/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.0.0pre7 ((detached from 5.0.0pre7)) (rev 5498ea5)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-types-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1385];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,110,111,116,32,120,41,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,113,63,32,120,32,121,41};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,113,118,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,41};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,111,110,115,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,97,114,32,120,41,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,100,114,32,120,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,100,114,32,120,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,100,114,32,120,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,97,114,32,120,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,97,114,32,120,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,100,114,32,120,41,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,97,114,32,120,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,100,114,32,120,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,97,114,32,120,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,97,114,32,120,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,100,114,32,120,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,97,114,32,120,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,100,114,32,120,41};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,41};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,32,105,41};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,108,105,115,116,45,114,101,102,32,108,115,116,32,105,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,32,108,115,116,41,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,41};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,114,101,102,32,115,32,105,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,32,105,32,99,41,0,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,32,121,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,32,121,41};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,97,98,115,32,120,41,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,32,98,41,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,32,98,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,32,98,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,41};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,111,100,100,63,32,110,41,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,41};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,41,0,0,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,41};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,114,101,102,32,118,32,105,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,32,105,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,41};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,41};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,41};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,41,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,41,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,118,97,108,32,120,32,46,32,101,110,118,41,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,32,46,32,101,118,97,108,117,97,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,41};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,41};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,52,49,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,15),40,97,57,49,52,55,32,100,105,118,32,114,101,109,41,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,41,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,41,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,50,54,53,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,122,41,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,41,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,10),40,102,95,57,51,57,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,50,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,55,52,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,55,54,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,41,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,56,54,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,15),40,102,95,57,52,57,52,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,41,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,50,48,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,49,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,14),40,114,101,99,32,102,48,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,41,0,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,10),40,102,95,57,53,54,54,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,110,115,41,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,56,49,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,41,0,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,51,49,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,99,115,41,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,15),40,102,95,57,54,52,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,41,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,32,121,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,9),40,108,111,111,112,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,32,120,41};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,108,105,115,116,115,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,32,46,32,108,115,116,41,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,98,108,115,116,32,108,115,116,41,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,32,108,115,116,41};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,14),40,102,95,57,57,57,50,32,120,32,108,115,116,41,0,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,32,121,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,32,118,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,49,56,52,32,120,32,108,115,116,41,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,108,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,32,108,115,116,32,46,32,116,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,32,121,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,32,121,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,32,121,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,32,121,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,32,121,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,32,121,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,41};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,41};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,41};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,32,121,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,32,46,32,97,114,103,115,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,41,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,32,105,32,121,41,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,16),67,95,100,101,99,111,100,101,95,115,101,99,111,110,100,115};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,98,121,116,101,32,120,32,105,41};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,32,105,32,110,41,0,0,0};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,41};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,32,105,41,0,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,32,105,32,121,41};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,32,121,32,46,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,32,102,114,111,109,32,116,111,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,32,46,32,108,111,99,41,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,20),40,108,112,32,112,114,111,109,105,115,101,32,102,111,114,119,97,114,100,41,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,41,0,0,0,0,0,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,11),40,99,111,112,121,32,110,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,41,0,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,32,108,115,41,0,0,0,0,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,41,0};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,49,53,50,48,32,108,115,116,41};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,9),40,105,116,101,114,32,110,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,41,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,32,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,41,0,0};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,46,32,101,110,100,41};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,101,110,100,41,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,53,55,51,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,50,48,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,52,52,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,54,56,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,56,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,54,49,54,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,51,48,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,53,52,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,55,56,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,57,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,115,116,114,115,32,110,41,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,41,0,0,0,0};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,41,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,111,115,41,0,0,0,0,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,32,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,55,48,49,32,104,100,32,116,108,32,99,41,0,0,0,0};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,105,41,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,32,121,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,32,121,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,32,121,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,32,121,41};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,32,121,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,32,121,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,32,121,41};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,41};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,41,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,41,0,0,0,0};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,41};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,41};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,41};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,41};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,41};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,41};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,41,0,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,18),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,32,105,41,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,32,112,104,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,41};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,41,0,0,0,0};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,12),40,114,97,116,110,117,109,32,109,32,110,41,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,41,0,0,0,0};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,41,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,50,50,49,50,32,120,32,105,41};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,13),40,100,101,108,105,118,101,114,32,121,32,100,41,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,41,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,32,109,41,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,97,114,103,115,32,120,41,0,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,47,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,47,45,50,32,120,32,121,41,0};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,41};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,41,0,0,0,0,0};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,41};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,8),40,115,114,32,120,32,121,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,24),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,32,121,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,32,101,41};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,120,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,105,110,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,101,120,112,32,110,41,0,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,111,103,45,49,32,120,41,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,111,103,32,97,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,115,105,110,32,110,41,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,111,115,32,110,41,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,116,97,110,32,110,41,0,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,115,105,110,32,110,41,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,99,111,115,32,110,41,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,116,97,110,32,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,48,57,41};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,52,49,41};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,20),40,97,49,52,50,53,55,32,113,50,53,56,48,32,117,50,53,56,50,41,0,0,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,22),40,97,49,52,50,50,51,32,115,94,50,53,54,48,32,114,94,50,53,54,50,41,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,41,0,0,0,0};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,55,55,41};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,14),40,97,49,52,51,56,51,32,115,94,50,32,114,41,0,0};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,48,53,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,50,57,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,52,49,32,100,115,94,50,32,100,114,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,49,55,32,110,115,94,50,32,110,114,41};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,32,110,41,0,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,115,113,114,116,32,120,41,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,10),40,108,112,32,103,48,32,103,49,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,32,107,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,11),40,108,112,32,114,101,115,32,101,50,41,0,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,32,101,41,0,0,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,14),40,108,111,103,45,101,120,112,116,32,97,32,98,41,0,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,15),40,115,108,111,119,45,101,120,112,116,32,97,32,98,41,0};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,8),40,97,49,52,55,54,52,41};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,15),40,97,49,52,55,55,54,32,100,115,94,110,32,114,41,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,112,116,32,97,32,98,41,0,0,0,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,32,97,32,98,41,0,0,0,0};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,103,99,100,32,97,32,98,41,0};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,99,109,32,120,32,121,41,0};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,8),40,97,49,53,49,50,49,41};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,22),40,97,49,53,49,50,55,32,104,105,50,55,54,53,32,108,111,50,55,54,55,41,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,32,98,97,115,101,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,41,0,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,20),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,32,100,41,0,0,0,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,23),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,32,101,41,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,46),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,32,110,101,103,63,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,41,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,41,0,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,43),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,32,110,101,103,63,32,100,101,99,105,109,97,108,45,104,101,97,100,41,0,0,0,0,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,32,110,101,103,63,41,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,17),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,32,115,116,114,32,111,102,102,115,101,116,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,32),40,115,99,97,110,45,112,114,101,102,105,120,32,105,32,101,120,110,101,115,115,32,114,97,100,105,120,32,108,101,110,41};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,32,121,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,10),40,119,97,108,107,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0,0};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,11),40,115,112,108,105,116,32,108,101,110,41,0,0,0,0,0};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,113,117,97,108,105,102,105,101,100,45,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,45,112,114,101,102,105,120,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,63,32,115,41,0,0,0,0,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,32,112,114,101,102,105,120,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,41,0,0,0,0,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,51,57,57,32,103,51,52,49,49,41,0,0,0,0};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,41,0,0,0,0};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,41,0,0,0,0,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,41,0,0,0,0};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,32,97,114,103,115,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0,0};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,41,0,0};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,41,0,0,0,0,0};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,41,0,0,0};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,41,0,0};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,32,98,50,41,0,0,0,0,0};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,41,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,51,54,41,0,0,0,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,52,56,41,0,0,0,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,32,116,111,32,46,32,110,41,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,55,57,41,0,0,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,32,105,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,54,48,55,41,0,0,0,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,105,110,105,116,41,0,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,32,121,41,0,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,32,121,41,0,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,32,121,41,0,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,32,121,41,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,32,121,41,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,15),40,108,111,111,107,117,112,45,99,104,97,114,32,99,41,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,32,46,32,121,41,0,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,32,108,115,116,48,41,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,109,97,112,32,112,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,30),40,109,97,112,115,97,102,101,51,54,56,51,32,112,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,51,54,56,52,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,55,49,52,32,103,51,55,50,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,52,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,53,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,55,52,53,32,103,51,55,53,55,41,0,0,0,0};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,52,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,53,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,97,112,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,18),40,97,49,56,54,55,57,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,32,116,104,117,110,107,32,97,102,116,101,114,41};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,24),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,41};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,13),40,97,49,56,55,48,51,32,99,111,110,116,41,0,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,32,110,41,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,41,0,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,32,99,108,97,115,115,32,110,97,109,101,32,116,121,112,101,41,0,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,56,53,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,50,53,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,54,53,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,54,56,32,112,32,115,41,0,0,0,0};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,55,49,32,112,32,100,41,0,0,0,0};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,55,55,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,56,48,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,8),40,97,51,49,57,49,55,41};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,114,101,109,32,97,99,116,32,115,116,97,114,116,41,0,0,0,0};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,23),40,97,51,49,56,56,51,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,8),40,97,51,50,48,55,56,41};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,108,101,110,32,108,105,109,105,116,32,98,117,102,102,101,114,32,114,101,115,117,108,116,32,102,41};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,17),40,97,51,49,57,56,50,32,112,32,114,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,51,48,41,0,0,0,0,0,0};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,53,53,41,0,0,0,0,0,0};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,56,48,41,0,0,0,0,0,0};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,41};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,41,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,41,0,0};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,32,100,97,116,97,41};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,52,48,49,55,32,109,111,100,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,25),40,111,112,101,110,32,110,97,109,101,32,105,110,112,32,109,111,100,101,115,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,20),40,99,108,111,115,101,32,112,111,114,116,32,105,110,112,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0,0};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,57,53,41};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,48,49,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,43),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,49,57,41};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,50,53,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,52,51,41};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,53,52,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,52,56,41};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,54,51,41};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,46),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,55,55,41};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,56,56,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,56,50,41};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,57,55,41};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,32,102,105,108,101,63,32,100,105,114,63,32,108,111,99,41};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,41,0,0};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,52,49,52,55,32,105,41,0,0};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,32,112,114,101,100,32,100,101,99,111,114,97,116,111,114,41,0,0,0,0,0};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,32,112,114,101,100,41,0,0,0,0,0};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,41,0,0};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,41};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,41};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,41,0,0};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,12),40,97,49,57,54,55,53,32,112,32,105,41,0,0,0,0};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,10),40,97,49,57,54,56,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,15),40,97,49,57,55,48,49,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,32,115,101,116,32,46,32,114,101,115,116,41};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,11),40,102,95,49,57,57,53,56,32,120,41,0,0,0,0,0};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,28),40,97,115,115,105,103,110,32,118,97,108,32,110,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41,0,0,0,0};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,24),40,98,111,100,121,52,50,57,56,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,24),40,100,101,102,45,115,101,116,63,52,51,48,49,32,37,99,111,110,118,101,114,116,63,41};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,51,48,48,41,0,0,0,0,0,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,15),40,97,49,57,56,52,57,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,12),40,97,49,57,57,51,49,32,118,97,108,41,0,0,0,0};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,41,0,0,0,0,0};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,32,110,41};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,50,51,57,32,99,41,0,0,0,0,0};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,21),40,105,110,102,111,32,99,108,97,115,115,32,100,97,116,97,32,118,97,108,41,0,0,0};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,8),40,115,107,105,112,32,99,41};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,22),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,41,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,29),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,99,41};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,115,101,113,32,110,41,0,0,0,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,22),40,114,45,117,115,101,113,117,101,110,99,101,32,117,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,25),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,32,108,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,14),40,101,97,116,45,119,115,32,99,32,110,108,63,41,0,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,15),40,114,45,115,116,114,105,110,103,32,116,101,114,109,41,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,19),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,11),40,102,95,50,49,48,55,49,32,99,41,0,0,0,0,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,15),40,97,50,49,49,56,54,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,97,115,116,41,0,0,0,0,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,15),40,97,50,49,48,54,55,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,18),40,114,45,108,105,115,116,32,115,116,97,114,116,32,101,110,100,41,0,0,0,0,0,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,15),40,97,50,49,51,49,52,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,26),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,41,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,15),40,97,50,49,54,49,50,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,32,115,107,119,41,0,0};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,12),40,114,45,120,116,111,107,101,110,32,107,41,0,0,0,0};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,19),40,98,117,105,108,100,45,107,101,121,119,111,114,100,32,116,111,107,41,0,0,0,0,0};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,54,53,41};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,13),40,97,50,50,50,55,49,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,48,56,41};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,13),40,97,50,50,52,49,52,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,55,57,41};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,13),40,97,50,50,52,56,53,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,57,51,41};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,57,56,41};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,48,52,41};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,53,53,41};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,15),40,97,50,50,55,54,54,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,54,48,41};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,57,53,41};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,8),40,97,50,50,57,48,50,41};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,13),40,97,50,50,57,48,56,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,32,105,110,102,111,104,97,110,100,108,101,114,41,0,0,0};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,41,0,0,0,0,0};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,32,108,111,41,0,0,0,0,0};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,7),40,104,101,120,32,99,41,0};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,104,41,0,0,0,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,41,0,0,0,0};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,32,112,41};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,32,112,111,114,116,41,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,57,57,32,103,53,49,48,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,49,51,49,32,103,53,49,51,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,116,114,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,17),40,111,117,116,99,104,114,32,112,111,114,116,32,99,104,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,121,109,32,112,111,114,116,32,115,121,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,25),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,22),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,41,0,0};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,10),40,103,53,50,57,55,32,99,110,41,0,0,0,0,0,0};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,50,50,32,105,32,99,41};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,53,50,32,120,41,0,0};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,54,54,32,105,41,0,0};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,57,48,32,105,32,99,41};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,7),40,111,117,116,32,120,41,0};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,114,105,110,116,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,114,101,103,105,115,116,101,114,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,54,51,41};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,11),40,97,50,52,57,53,55,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,49,52,41};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,50,57,41};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,50,51,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,48,56,41};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,10),40,97,50,52,57,53,49,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,57,54,41};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,51,57,41};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,52,53,41};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,57,48,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,32,116,104,117,110,107,41,0,0,0,0,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,15),40,99,104,101,99,107,53,53,48,55,32,112,32,110,41,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,10),40,97,51,49,50,56,55,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,49,50,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,12),40,97,51,49,51,51,48,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,14),40,97,51,49,51,52,57,32,112,32,115,116,114,41,0,0};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,54,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,55,49,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,23),40,97,51,49,51,55,52,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,12),40,97,51,49,52,52,57,32,112,111,115,41,0,0,0,0};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,51,57,41};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,29),40,97,51,49,52,53,56,32,110,101,120,116,32,108,105,110,101,32,102,117,108,108,45,108,105,110,101,63,41,0,0,0};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,16),40,97,51,49,52,49,53,32,112,32,108,105,109,105,116,41};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,10),40,97,51,49,52,57,57,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,37),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,111,108,100,45,108,105,110,101,41,0,0,0};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,8),40,97,50,53,50,54,51,41};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,25),40,97,50,53,50,54,57,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,8),40,97,50,53,51,50,55,41};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,25),40,97,50,53,51,51,51,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,108,105,109,105,116,32,108,105,110,101,41};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,32,108,105,109,105,116,32,115,116,97,114,116,45,112,111,115,32,101,111,115,45,104,97,110,100,108,101,114,41};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,41,0};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,9),40,103,53,54,51,55,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,51,54,32,103,53,54,52,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,41,0,0,0,0,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,8),40,97,50,53,55,55,53,41};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,12),40,103,53,55,48,51,32,105,110,102,111,41,0,0,0,0};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,48,50,32,103,53,55,48,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,32,99,104,97,105,110,32,104,101,97,100,101,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,54,50,32,103,53,55,54,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,8),40,97,50,54,48,56,52,41};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,51,48,32,103,53,56,51,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,41,0,0,0,0};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,99,41,0,0,0,0,0};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,50,52,41};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,50,56,41};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,32,116,104,117,110,107,41};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,53,57,57,48,41,0,0,0,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,69),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,32,107,105,110,100,32,112,108,105,115,116,41,0,0,0};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,32,46,32,112,114,111,112,115,41};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,48,51,52,41,0,0,0,0,0};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,55,57,32,103,54,48,57,49,41,0,0,0,0};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,53,50,32,103,54,48,54,52,41,0,0,0,0};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,32,46,32,99,111,110,100,115,41,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,51,57,32,103,54,49,53,49,41,0,0,0,0};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,49,50,32,103,54,49,50,52,41,0,0,0,0};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,41};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,9),40,103,54,49,55,53,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,54,57,32,103,54,49,56,49,41,0,0,0,0};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,41,0,0,0};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,52,55,32,99,41,0,0,0,0,0};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,41,0,0,0,0};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,55,52,32,99,41,0,0,0,0,0};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41,0,0,0,0,0};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,8),40,97,50,55,49,52,48,41};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,9),40,103,54,50,52,48,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,50,51,57,32,103,54,50,52,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,21),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,11),40,103,54,50,56,51,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,22),40,98,111,100,121,54,50,54,48,32,112,111,114,116,32,104,101,97,100,101,114,41,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,22),40,100,101,102,45,104,101,97,100,101,114,54,50,54,51,32,37,112,111,114,116,41,0,0};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,54,50,41,0,0};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,32,99,97,117,115,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,32,108,111,99,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,32,115,41,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,108,111,116,32,120,32,105,41};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,14),40,35,35,115,121,115,35,115,105,122,101,32,120,41,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,41,0,0,0};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,41,0,0,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,41,0,0,0,0};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,41,0};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,41};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,41,0};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,41,0,0,0,0};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,32,46,32,114,101,115,116,41};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,32,105,41,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,32,105,41,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,41,0,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,32,105,41,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,32,105,32,115,41,0,0,0,0,0};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,32,105,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,32,105,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,32,97,100,100,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,41,0,0};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,119,111,114,100,115,41};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41,0,0,0,0,0};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,41,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,41,0};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,41};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,32,116,120,41,0,0,0,0};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,41,0,0,0};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,32,115,116,97,116,101,32,110,97,109,101,32,113,41,0,0};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,32,111,119,110,101,114,41,0,0,0,0,0};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,8),40,97,50,56,52,57,52,41};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,15),40,97,50,56,52,56,53,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,41};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,41,0,0,0,0,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,32,110,41,0,0};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,114,101,97,115,111,110,41,0,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,32,115,116,97,116,101,41,0,0,0,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,41,0,0,0,0};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,54,54,49,32,99,41,0,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,13),40,114,101,97,100,108,110,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,36),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,32,115,107,105,112,45,98,114,97,99,101,63,41,0,0,0,0};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,15),40,100,111,108,111,111,112,54,54,57,54,32,108,110,41,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,27),40,108,111,111,112,50,32,108,115,116,32,110,101,120,116,45,115,116,114,105,110,103,32,97,99,99,41,0,0,0,0,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,41,0};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,63),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,99,45,115,116,114,105,110,103,54,56,49,51,41,0};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,32,118,97,108,41,0,0,0,0,0};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,8),40,115,99,97,110,32,106,41};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,54,56,53,55,32,105,32,118,41};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,41};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,32,121,41,0};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,50,57,41};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,11),40,97,50,57,53,50,51,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,52,49,41};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,54,52,41};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,15),40,97,50,57,53,53,56,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,51,53,41};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,10),40,97,50,57,53,49,55,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,57,51,50,32,105,41,0,0};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,41,0,0,0,0};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,41,0,0,0};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,32,105,110,100,101,120,32,119,101,97,107,63,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,32,112,114,111,112,32,118,97,108,41,0,0,0,0,0,0,0};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,32,115,121,109,32,112,114,111,112,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,116,108,41,0,0,0,0,0,0};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,32,112,114,111,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,108,105,115,116,41,0,0,0,0};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,32,112,114,111,112,115,41};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,10),40,112,110,117,109,32,110,117,109,41,0,0,0,0,0,0};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,14),40,114,111,117,110,100,45,116,111,32,120,32,121,41,0,0};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,12),40,112,109,101,109,32,98,121,116,101,115,41,0,0,0,0};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,41,0,0,0,0,0,0};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,7),40,115,116,114,32,120,41,0};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,9),40,99,104,101,99,107,32,102,41,0,0,0,0,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,56,57,32,103,55,50,57,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,55,51,49,50,32,103,55,51,50,52,41,0,0,0,0};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,105,100,115,41,0,0,0,0,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,12),40,97,51,48,57,50,54,32,115,121,109,41,0,0,0,0};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,16),40,97,51,48,57,51,53,32,115,121,109,32,108,115,116,41};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,10),40,97,51,48,57,55,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,52,49,32,120,54,56,55,52,51,54,54,52,48,41,0,0,0,0,0};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,52,55,32,120,54,56,54,52,51,54,54,52,54,41,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,53,51,32,120,54,56,54,52,51,54,54,53,50,41,0,0,0,0,0};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,8),40,97,51,49,48,54,48,41};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,12),40,97,51,49,48,56,50,32,100,105,114,41,0,0,0,0};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,57,53,32,103,53,57,48,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,8),40,97,51,49,49,51,51,41};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,9),40,103,53,57,50,55,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,50,54,32,103,53,57,51,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,52,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,19),40,97,51,49,48,56,56,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,52,56,41};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,53,55,41};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,54,51,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,14),40,97,51,49,53,51,49,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,52,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,53,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,54,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,55,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,56,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,57,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,48,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,49,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,50,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,51,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,52,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,53,49,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,56,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,13),40,97,51,49,54,54,49,32,112,114,111,99,41,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,48,49,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,53,54,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,15),40,97,51,49,55,55,50,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,16),40,97,51,49,55,50,55,32,103,101,116,32,115,101,116,41};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,15),40,97,51,49,55,49,55,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1003[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6853(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
C_regparm static C_word C_fcall stub6845(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k29213 */
C_regparm static C_word C_fcall stub6833(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k29168 in chicken.process-context#get-environment-variable in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
C_regparm static C_word C_fcall stub6814(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28328 */
C_regparm static C_word C_fcall stub6528(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28319 */
C_regparm static C_word C_fcall stub6520(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28267 */
C_regparm static C_word C_fcall stub6501(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5659(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15328 */
C_regparm static C_word C_fcall stub2823(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f33891)
static void C_ccall f33891(C_word c,C_word *av) C_noret;
C_noret_decl(f34420)
static void C_ccall f34420(C_word c,C_word *av) C_noret;
C_noret_decl(f36641)
static void C_ccall f36641(C_word c,C_word *av) C_noret;
C_noret_decl(f36647)
static void C_ccall f36647(C_word c,C_word *av) C_noret;
C_noret_decl(f36653)
static void C_ccall f36653(C_word c,C_word *av) C_noret;
C_noret_decl(f_10014)
static void C_ccall f_10014(C_word c,C_word *av) C_noret;
C_noret_decl(f_10039)
static void C_ccall f_10039(C_word c,C_word *av) C_noret;
C_noret_decl(f_10048)
static void C_fcall f_10048(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10089)
static void C_ccall f_10089(C_word c,C_word *av) C_noret;
C_noret_decl(f_10111)
static void C_ccall f_10111(C_word c,C_word *av) C_noret;
C_noret_decl(f_10143)
static void C_ccall f_10143(C_word c,C_word *av) C_noret;
C_noret_decl(f_10159)
static void C_fcall f_10159(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10162)
static void C_ccall f_10162(C_word c,C_word *av) C_noret;
C_noret_decl(f_10184)
static void C_ccall f_10184(C_word c,C_word *av) C_noret;
C_noret_decl(f_10190)
static void C_fcall f_10190(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10215)
static void C_ccall f_10215(C_word c,C_word *av) C_noret;
C_noret_decl(f_10255)
static void C_ccall f_10255(C_word c,C_word *av) C_noret;
C_noret_decl(f_10262)
static void C_fcall f_10262(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10267)
static void C_fcall f_10267(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10286)
static void C_ccall f_10286(C_word c,C_word *av) C_noret;
C_noret_decl(f_10308)
static void C_ccall f_10308(C_word c,C_word *av) C_noret;
C_noret_decl(f_10311)
static void C_ccall f_10311(C_word c,C_word *av) C_noret;
C_noret_decl(f_10314)
static void C_ccall f_10314(C_word c,C_word *av) C_noret;
C_noret_decl(f_10317)
static void C_ccall f_10317(C_word c,C_word *av) C_noret;
C_noret_decl(f_10323)
static void C_ccall f_10323(C_word c,C_word *av) C_noret;
C_noret_decl(f_10326)
static void C_ccall f_10326(C_word c,C_word *av) C_noret;
C_noret_decl(f_10329)
static void C_ccall f_10329(C_word c,C_word *av) C_noret;
C_noret_decl(f_10332)
static void C_ccall f_10332(C_word c,C_word *av) C_noret;
C_noret_decl(f_10335)
static void C_ccall f_10335(C_word c,C_word *av) C_noret;
C_noret_decl(f_10338)
static void C_ccall f_10338(C_word c,C_word *av) C_noret;
C_noret_decl(f_10341)
static void C_ccall f_10341(C_word c,C_word *av) C_noret;
C_noret_decl(f_10344)
static void C_ccall f_10344(C_word c,C_word *av) C_noret;
C_noret_decl(f_10347)
static void C_ccall f_10347(C_word c,C_word *av) C_noret;
C_noret_decl(f_10350)
static void C_ccall f_10350(C_word c,C_word *av) C_noret;
C_noret_decl(f_10353)
static void C_ccall f_10353(C_word c,C_word *av) C_noret;
C_noret_decl(f_10356)
static void C_ccall f_10356(C_word c,C_word *av) C_noret;
C_noret_decl(f_10359)
static void C_ccall f_10359(C_word c,C_word *av) C_noret;
C_noret_decl(f_10362)
static void C_ccall f_10362(C_word c,C_word *av) C_noret;
C_noret_decl(f_10365)
static void C_ccall f_10365(C_word c,C_word *av) C_noret;
C_noret_decl(f_10368)
static void C_ccall f_10368(C_word c,C_word *av) C_noret;
C_noret_decl(f_10371)
static void C_ccall f_10371(C_word c,C_word *av) C_noret;
C_noret_decl(f_10374)
static void C_ccall f_10374(C_word c,C_word *av) C_noret;
C_noret_decl(f_10377)
static void C_ccall f_10377(C_word c,C_word *av) C_noret;
C_noret_decl(f_10380)
static void C_ccall f_10380(C_word c,C_word *av) C_noret;
C_noret_decl(f_10383)
static void C_ccall f_10383(C_word c,C_word *av) C_noret;
C_noret_decl(f_10386)
static void C_ccall f_10386(C_word c,C_word *av) C_noret;
C_noret_decl(f_10389)
static void C_ccall f_10389(C_word c,C_word *av) C_noret;
C_noret_decl(f_10392)
static void C_ccall f_10392(C_word c,C_word *av) C_noret;
C_noret_decl(f_10395)
static void C_ccall f_10395(C_word c,C_word *av) C_noret;
C_noret_decl(f_10400)
static void C_ccall f_10400(C_word c,C_word *av) C_noret;
C_noret_decl(f_10409)
static void C_ccall f_10409(C_word c,C_word *av) C_noret;
C_noret_decl(f_10421)
static void C_ccall f_10421(C_word c,C_word *av) C_noret;
C_noret_decl(f_10436)
static void C_ccall f_10436(C_word c,C_word *av) C_noret;
C_noret_decl(f_10439)
static void C_ccall f_10439(C_word c,C_word *av) C_noret;
C_noret_decl(f_10448)
static void C_ccall f_10448(C_word c,C_word *av) C_noret;
C_noret_decl(f_10452)
static void C_ccall f_10452(C_word c,C_word *av) C_noret;
C_noret_decl(f_10454)
static void C_ccall f_10454(C_word c,C_word *av) C_noret;
C_noret_decl(f_10458)
static void C_ccall f_10458(C_word c,C_word *av) C_noret;
C_noret_decl(f_10461)
static void C_ccall f_10461(C_word c,C_word *av) C_noret;
C_noret_decl(f_10472)
static void C_ccall f_10472(C_word c,C_word *av) C_noret;
C_noret_decl(f_10474)
static void C_ccall f_10474(C_word c,C_word *av) C_noret;
C_noret_decl(f_10481)
static void C_ccall f_10481(C_word c,C_word *av) C_noret;
C_noret_decl(f_10484)
static void C_ccall f_10484(C_word c,C_word *av) C_noret;
C_noret_decl(f_10487)
static void C_ccall f_10487(C_word c,C_word *av) C_noret;
C_noret_decl(f_10492)
static void C_ccall f_10492(C_word c,C_word *av) C_noret;
C_noret_decl(f_10496)
static void C_ccall f_10496(C_word c,C_word *av) C_noret;
C_noret_decl(f_10501)
static void C_ccall f_10501(C_word c,C_word *av) C_noret;
C_noret_decl(f_10505)
static void C_ccall f_10505(C_word c,C_word *av) C_noret;
C_noret_decl(f_10508)
static void C_ccall f_10508(C_word c,C_word *av) C_noret;
C_noret_decl(f_10536)
static void C_ccall f_10536(C_word c,C_word *av) C_noret;
C_noret_decl(f_10539)
static void C_ccall f_10539(C_word c,C_word *av) C_noret;
C_noret_decl(f_10542)
static void C_ccall f_10542(C_word c,C_word *av) C_noret;
C_noret_decl(f_10559)
static void C_ccall f_10559(C_word c,C_word *av) C_noret;
C_noret_decl(f_10570)
static void C_ccall f_10570(C_word c,C_word *av) C_noret;
C_noret_decl(f_10582)
static void C_ccall f_10582(C_word c,C_word *av) C_noret;
C_noret_decl(f_10593)
static void C_ccall f_10593(C_word c,C_word *av) C_noret;
C_noret_decl(f_10604)
static void C_ccall f_10604(C_word c,C_word *av) C_noret;
C_noret_decl(f_10615)
static void C_ccall f_10615(C_word c,C_word *av) C_noret;
C_noret_decl(f_10626)
static void C_ccall f_10626(C_word c,C_word *av) C_noret;
C_noret_decl(f_10637)
static void C_ccall f_10637(C_word c,C_word *av) C_noret;
C_noret_decl(f_10648)
static void C_ccall f_10648(C_word c,C_word *av) C_noret;
C_noret_decl(f_10659)
static void C_ccall f_10659(C_word c,C_word *av) C_noret;
C_noret_decl(f_10670)
static void C_ccall f_10670(C_word c,C_word *av) C_noret;
C_noret_decl(f_10681)
static void C_ccall f_10681(C_word c,C_word *av) C_noret;
C_noret_decl(f_10692)
static void C_ccall f_10692(C_word c,C_word *av) C_noret;
C_noret_decl(f_10703)
static void C_ccall f_10703(C_word c,C_word *av) C_noret;
C_noret_decl(f_10714)
static void C_ccall f_10714(C_word c,C_word *av) C_noret;
C_noret_decl(f_10731)
static void C_ccall f_10731(C_word c,C_word *av) C_noret;
C_noret_decl(f_10748)
static void C_ccall f_10748(C_word c,C_word *av) C_noret;
C_noret_decl(f_10772)
static void C_ccall f_10772(C_word c,C_word *av) C_noret;
C_noret_decl(f_10789)
static void C_ccall f_10789(C_word c,C_word *av) C_noret;
C_noret_decl(f_10793)
static void C_ccall f_10793(C_word c,C_word *av) C_noret;
C_noret_decl(f_10819)
static void C_ccall f_10819(C_word c,C_word *av) C_noret;
C_noret_decl(f_10839)
static void C_ccall f_10839(C_word c,C_word *av) C_noret;
C_noret_decl(f_10850)
static void C_ccall f_10850(C_word c,C_word *av) C_noret;
C_noret_decl(f_10862)
static void C_fcall f_10862(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10896)
static void C_ccall f_10896(C_word c,C_word *av) C_noret;
C_noret_decl(f_10911)
static void C_fcall f_10911(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10978)
static void C_ccall f_10978(C_word c,C_word *av) C_noret;
C_noret_decl(f_10994)
static void C_ccall f_10994(C_word c,C_word *av) C_noret;
C_noret_decl(f_11010)
static void C_ccall f_11010(C_word c,C_word *av) C_noret;
C_noret_decl(f_11026)
static void C_ccall f_11026(C_word c,C_word *av) C_noret;
C_noret_decl(f_11042)
static void C_ccall f_11042(C_word c,C_word *av) C_noret;
C_noret_decl(f_11058)
static void C_ccall f_11058(C_word c,C_word *av) C_noret;
C_noret_decl(f_11074)
static void C_ccall f_11074(C_word c,C_word *av) C_noret;
C_noret_decl(f_11090)
static void C_ccall f_11090(C_word c,C_word *av) C_noret;
C_noret_decl(f_11106)
static void C_ccall f_11106(C_word c,C_word *av) C_noret;
C_noret_decl(f_11118)
static void C_fcall f_11118(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11137)
static void C_fcall f_11137(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11168)
static void C_ccall f_11168(C_word c,C_word *av) C_noret;
C_noret_decl(f_11185)
static void C_ccall f_11185(C_word c,C_word *av) C_noret;
C_noret_decl(f_11191)
static void C_fcall f_11191(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11215)
static void C_ccall f_11215(C_word c,C_word *av) C_noret;
C_noret_decl(f_11235)
static void C_ccall f_11235(C_word c,C_word *av) C_noret;
C_noret_decl(f_11239)
static void C_ccall f_11239(C_word c,C_word *av) C_noret;
C_noret_decl(f_11242)
static void C_ccall f_11242(C_word c,C_word *av) C_noret;
C_noret_decl(f_11271)
static void C_ccall f_11271(C_word c,C_word *av) C_noret;
C_noret_decl(f_11287)
static void C_fcall f_11287(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11309)
static void C_ccall f_11309(C_word c,C_word *av) C_noret;
C_noret_decl(f_11325)
static void C_ccall f_11325(C_word c,C_word *av) C_noret;
C_noret_decl(f_11330)
static C_word C_fcall f_11330(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11361)
static void C_ccall f_11361(C_word c,C_word *av) C_noret;
C_noret_decl(f_11372)
static void C_ccall f_11372(C_word c,C_word *av) C_noret;
C_noret_decl(f_11381)
static C_word C_fcall f_11381(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11410)
static void C_ccall f_11410(C_word c,C_word *av) C_noret;
C_noret_decl(f_11423)
static void C_ccall f_11423(C_word c,C_word *av) C_noret;
C_noret_decl(f_11433)
static void C_ccall f_11433(C_word c,C_word *av) C_noret;
C_noret_decl(f_11435)
static void C_ccall f_11435(C_word c,C_word *av) C_noret;
C_noret_decl(f_11442)
static void C_ccall f_11442(C_word c,C_word *av) C_noret;
C_noret_decl(f_11445)
static void C_fcall f_11445(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11454)
static void C_fcall f_11454(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11480)
static void C_ccall f_11480(C_word c,C_word *av) C_noret;
C_noret_decl(f_11485)
static void C_ccall f_11485(C_word c,C_word *av) C_noret;
C_noret_decl(f_11489)
static void C_ccall f_11489(C_word c,C_word *av) C_noret;
C_noret_decl(f_11494)
static void C_ccall f_11494(C_word c,C_word *av) C_noret;
C_noret_decl(f_11515)
static void C_ccall f_11515(C_word c,C_word *av) C_noret;
C_noret_decl(f_11521)
static void C_ccall f_11521(C_word c,C_word *av) C_noret;
C_noret_decl(f_11539)
static void C_ccall f_11539(C_word c,C_word *av) C_noret;
C_noret_decl(f_11545)
static void C_ccall f_11545(C_word c,C_word *av) C_noret;
C_noret_decl(f_11563)
static void C_ccall f_11563(C_word c,C_word *av) C_noret;
C_noret_decl(f_11569)
static void C_ccall f_11569(C_word c,C_word *av) C_noret;
C_noret_decl(f_11584)
static void C_ccall f_11584(C_word c,C_word *av) C_noret;
C_noret_decl(f_11590)
static void C_ccall f_11590(C_word c,C_word *av) C_noret;
C_noret_decl(f_11604)
static void C_ccall f_11604(C_word c,C_word *av) C_noret;
C_noret_decl(f_11625)
static void C_ccall f_11625(C_word c,C_word *av) C_noret;
C_noret_decl(f_11631)
static void C_ccall f_11631(C_word c,C_word *av) C_noret;
C_noret_decl(f_11649)
static void C_ccall f_11649(C_word c,C_word *av) C_noret;
C_noret_decl(f_11655)
static void C_ccall f_11655(C_word c,C_word *av) C_noret;
C_noret_decl(f_11673)
static void C_ccall f_11673(C_word c,C_word *av) C_noret;
C_noret_decl(f_11679)
static void C_ccall f_11679(C_word c,C_word *av) C_noret;
C_noret_decl(f_11694)
static void C_ccall f_11694(C_word c,C_word *av) C_noret;
C_noret_decl(f_11700)
static void C_ccall f_11700(C_word c,C_word *av) C_noret;
C_noret_decl(f_11715)
static void C_ccall f_11715(C_word c,C_word *av) C_noret;
C_noret_decl(f_11725)
static void C_ccall f_11725(C_word c,C_word *av) C_noret;
C_noret_decl(f_11731)
static void C_ccall f_11731(C_word c,C_word *av) C_noret;
C_noret_decl(f_11735)
static void C_ccall f_11735(C_word c,C_word *av) C_noret;
C_noret_decl(f_11737)
static void C_fcall f_11737(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11748)
static void C_ccall f_11748(C_word c,C_word *av) C_noret;
C_noret_decl(f_11760)
static void C_ccall f_11760(C_word c,C_word *av) C_noret;
C_noret_decl(f_11770)
static void C_ccall f_11770(C_word c,C_word *av) C_noret;
C_noret_decl(f_11776)
static void C_ccall f_11776(C_word c,C_word *av) C_noret;
C_noret_decl(f_11780)
static void C_ccall f_11780(C_word c,C_word *av) C_noret;
C_noret_decl(f_11785)
static C_word C_fcall f_11785(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11811)
static void C_ccall f_11811(C_word c,C_word *av) C_noret;
C_noret_decl(f_11815)
static void C_ccall f_11815(C_word c,C_word *av) C_noret;
C_noret_decl(f_11818)
static void C_ccall f_11818(C_word c,C_word *av) C_noret;
C_noret_decl(f_11826)
static void C_fcall f_11826(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11847)
static void C_fcall f_11847(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11861)
static void C_ccall f_11861(C_word c,C_word *av) C_noret;
C_noret_decl(f_11865)
static void C_ccall f_11865(C_word c,C_word *av) C_noret;
C_noret_decl(f_11906)
static void C_ccall f_11906(C_word c,C_word *av) C_noret;
C_noret_decl(f_11928)
static void C_ccall f_11928(C_word c,C_word *av) C_noret;
C_noret_decl(f_11930)
static void C_ccall f_11930(C_word c,C_word *av) C_noret;
C_noret_decl(f_11952)
static void C_ccall f_11952(C_word c,C_word *av) C_noret;
C_noret_decl(f_11954)
static void C_ccall f_11954(C_word c,C_word *av) C_noret;
C_noret_decl(f_11976)
static void C_ccall f_11976(C_word c,C_word *av) C_noret;
C_noret_decl(f_11978)
static void C_ccall f_11978(C_word c,C_word *av) C_noret;
C_noret_decl(f_12000)
static void C_ccall f_12000(C_word c,C_word *av) C_noret;
C_noret_decl(f_12002)
static void C_ccall f_12002(C_word c,C_word *av) C_noret;
C_noret_decl(f_12024)
static void C_ccall f_12024(C_word c,C_word *av) C_noret;
C_noret_decl(f_12026)
static void C_ccall f_12026(C_word c,C_word *av) C_noret;
C_noret_decl(f_12048)
static void C_ccall f_12048(C_word c,C_word *av) C_noret;
C_noret_decl(f_12050)
static void C_ccall f_12050(C_word c,C_word *av) C_noret;
C_noret_decl(f_12072)
static void C_ccall f_12072(C_word c,C_word *av) C_noret;
C_noret_decl(f_12074)
static void C_ccall f_12074(C_word c,C_word *av) C_noret;
C_noret_decl(f_12096)
static void C_ccall f_12096(C_word c,C_word *av) C_noret;
C_noret_decl(f_12098)
static void C_ccall f_12098(C_word c,C_word *av) C_noret;
C_noret_decl(f_12120)
static void C_ccall f_12120(C_word c,C_word *av) C_noret;
C_noret_decl(f_12122)
static void C_ccall f_12122(C_word c,C_word *av) C_noret;
C_noret_decl(f_12144)
static void C_ccall f_12144(C_word c,C_word *av) C_noret;
C_noret_decl(f_12146)
static void C_ccall f_12146(C_word c,C_word *av) C_noret;
C_noret_decl(f_12168)
static void C_ccall f_12168(C_word c,C_word *av) C_noret;
C_noret_decl(f_12170)
static void C_ccall f_12170(C_word c,C_word *av) C_noret;
C_noret_decl(f_12186)
static void C_ccall f_12186(C_word c,C_word *av) C_noret;
C_noret_decl(f_12188)
static void C_ccall f_12188(C_word c,C_word *av) C_noret;
C_noret_decl(f_12210)
static void C_ccall f_12210(C_word c,C_word *av) C_noret;
C_noret_decl(f_12212)
static void C_ccall f_12212(C_word c,C_word *av) C_noret;
C_noret_decl(f_12234)
static void C_ccall f_12234(C_word c,C_word *av) C_noret;
C_noret_decl(f_12236)
static void C_ccall f_12236(C_word c,C_word *av) C_noret;
C_noret_decl(f_12252)
static void C_ccall f_12252(C_word c,C_word *av) C_noret;
C_noret_decl(f_12254)
static void C_ccall f_12254(C_word c,C_word *av) C_noret;
C_noret_decl(f_12270)
static void C_ccall f_12270(C_word c,C_word *av) C_noret;
C_noret_decl(f_12272)
static void C_ccall f_12272(C_word c,C_word *av) C_noret;
C_noret_decl(f_12288)
static void C_ccall f_12288(C_word c,C_word *av) C_noret;
C_noret_decl(f_12290)
static void C_ccall f_12290(C_word c,C_word *av) C_noret;
C_noret_decl(f_12306)
static void C_ccall f_12306(C_word c,C_word *av) C_noret;
C_noret_decl(f_12308)
static void C_ccall f_12308(C_word c,C_word *av) C_noret;
C_noret_decl(f_12324)
static void C_ccall f_12324(C_word c,C_word *av) C_noret;
C_noret_decl(f_12326)
static void C_ccall f_12326(C_word c,C_word *av) C_noret;
C_noret_decl(f_12342)
static void C_ccall f_12342(C_word c,C_word *av) C_noret;
C_noret_decl(f_12344)
static void C_ccall f_12344(C_word c,C_word *av) C_noret;
C_noret_decl(f_12360)
static void C_ccall f_12360(C_word c,C_word *av) C_noret;
C_noret_decl(f_12362)
static void C_ccall f_12362(C_word c,C_word *av) C_noret;
C_noret_decl(f_12378)
static void C_ccall f_12378(C_word c,C_word *av) C_noret;
C_noret_decl(f_12380)
static void C_ccall f_12380(C_word c,C_word *av) C_noret;
C_noret_decl(f_12396)
static void C_ccall f_12396(C_word c,C_word *av) C_noret;
C_noret_decl(f_12398)
static void C_ccall f_12398(C_word c,C_word *av) C_noret;
C_noret_decl(f_12414)
static void C_ccall f_12414(C_word c,C_word *av) C_noret;
C_noret_decl(f_12416)
static void C_ccall f_12416(C_word c,C_word *av) C_noret;
C_noret_decl(f_12438)
static void C_ccall f_12438(C_word c,C_word *av) C_noret;
C_noret_decl(f_12440)
static void C_ccall f_12440(C_word c,C_word *av) C_noret;
C_noret_decl(f_12456)
static void C_ccall f_12456(C_word c,C_word *av) C_noret;
C_noret_decl(f_12458)
static void C_ccall f_12458(C_word c,C_word *av) C_noret;
C_noret_decl(f_12480)
static void C_ccall f_12480(C_word c,C_word *av) C_noret;
C_noret_decl(f_12482)
static void C_ccall f_12482(C_word c,C_word *av) C_noret;
C_noret_decl(f_12498)
static void C_ccall f_12498(C_word c,C_word *av) C_noret;
C_noret_decl(f_12500)
static void C_ccall f_12500(C_word c,C_word *av) C_noret;
C_noret_decl(f_12516)
static void C_ccall f_12516(C_word c,C_word *av) C_noret;
C_noret_decl(f_12518)
static void C_ccall f_12518(C_word c,C_word *av) C_noret;
C_noret_decl(f_12534)
static void C_ccall f_12534(C_word c,C_word *av) C_noret;
C_noret_decl(f_12536)
static void C_ccall f_12536(C_word c,C_word *av) C_noret;
C_noret_decl(f_12552)
static void C_ccall f_12552(C_word c,C_word *av) C_noret;
C_noret_decl(f_12554)
static void C_ccall f_12554(C_word c,C_word *av) C_noret;
C_noret_decl(f_12564)
static void C_ccall f_12564(C_word c,C_word *av) C_noret;
C_noret_decl(f_12576)
static void C_fcall f_12576(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12586)
static void C_ccall f_12586(C_word c,C_word *av) C_noret;
C_noret_decl(f_12590)
static void C_ccall f_12590(C_word c,C_word *av) C_noret;
C_noret_decl(f_12612)
static void C_ccall f_12612(C_word c,C_word *av) C_noret;
C_noret_decl(f_12616)
static void C_ccall f_12616(C_word c,C_word *av) C_noret;
C_noret_decl(f_12619)
static void C_ccall f_12619(C_word c,C_word *av) C_noret;
C_noret_decl(f_12624)
static void C_ccall f_12624(C_word c,C_word *av) C_noret;
C_noret_decl(f_12628)
static void C_ccall f_12628(C_word c,C_word *av) C_noret;
C_noret_decl(f_12631)
static void C_ccall f_12631(C_word c,C_word *av) C_noret;
C_noret_decl(f_12634)
static void C_ccall f_12634(C_word c,C_word *av) C_noret;
C_noret_decl(f_12645)
static void C_ccall f_12645(C_word c,C_word *av) C_noret;
C_noret_decl(f_12668)
static void C_ccall f_12668(C_word c,C_word *av) C_noret;
C_noret_decl(f_12694)
static void C_ccall f_12694(C_word c,C_word *av) C_noret;
C_noret_decl(f_12703)
static void C_ccall f_12703(C_word c,C_word *av) C_noret;
C_noret_decl(f_12708)
static void C_ccall f_12708(C_word c,C_word *av) C_noret;
C_noret_decl(f_12710)
static void C_ccall f_12710(C_word c,C_word *av) C_noret;
C_noret_decl(f_12749)
static void C_fcall f_12749(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12795)
static void C_ccall f_12795(C_word c,C_word *av) C_noret;
C_noret_decl(f_12819)
static void C_ccall f_12819(C_word c,C_word *av) C_noret;
C_noret_decl(f_12823)
static void C_ccall f_12823(C_word c,C_word *av) C_noret;
C_noret_decl(f_12841)
static void C_ccall f_12841(C_word c,C_word *av) C_noret;
C_noret_decl(f_12865)
static void C_ccall f_12865(C_word c,C_word *av) C_noret;
C_noret_decl(f_12869)
static void C_ccall f_12869(C_word c,C_word *av) C_noret;
C_noret_decl(f_12887)
static void C_ccall f_12887(C_word c,C_word *av) C_noret;
C_noret_decl(f_12928)
static void C_fcall f_12928(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12939)
static void C_ccall f_12939(C_word c,C_word *av) C_noret;
C_noret_decl(f_12945)
static void C_fcall f_12945(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12949)
static void C_ccall f_12949(C_word c,C_word *av) C_noret;
C_noret_decl(f_12954)
static void C_ccall f_12954(C_word c,C_word *av) C_noret;
C_noret_decl(f_12965)
static void C_ccall f_12965(C_word c,C_word *av) C_noret;
C_noret_decl(f_12978)
static void C_ccall f_12978(C_word c,C_word *av) C_noret;
C_noret_decl(f_12993)
static void C_ccall f_12993(C_word c,C_word *av) C_noret;
C_noret_decl(f_12997)
static void C_ccall f_12997(C_word c,C_word *av) C_noret;
C_noret_decl(f_13003)
static void C_ccall f_13003(C_word c,C_word *av) C_noret;
C_noret_decl(f_13007)
static void C_ccall f_13007(C_word c,C_word *av) C_noret;
C_noret_decl(f_13047)
static void C_ccall f_13047(C_word c,C_word *av) C_noret;
C_noret_decl(f_13051)
static void C_ccall f_13051(C_word c,C_word *av) C_noret;
C_noret_decl(f_13073)
static void C_ccall f_13073(C_word c,C_word *av) C_noret;
C_noret_decl(f_13076)
static void C_ccall f_13076(C_word c,C_word *av) C_noret;
C_noret_decl(f_13079)
static void C_ccall f_13079(C_word c,C_word *av) C_noret;
C_noret_decl(f_13082)
static void C_ccall f_13082(C_word c,C_word *av) C_noret;
C_noret_decl(f_13085)
static void C_ccall f_13085(C_word c,C_word *av) C_noret;
C_noret_decl(f_13106)
static void C_ccall f_13106(C_word c,C_word *av) C_noret;
C_noret_decl(f_13108)
static void C_fcall f_13108(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13126)
static void C_ccall f_13126(C_word c,C_word *av) C_noret;
C_noret_decl(f_13136)
static void C_ccall f_13136(C_word c,C_word *av) C_noret;
C_noret_decl(f_13140)
static void C_ccall f_13140(C_word c,C_word *av) C_noret;
C_noret_decl(f_13146)
static void C_fcall f_13146(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13178)
static void C_ccall f_13178(C_word c,C_word *av) C_noret;
C_noret_decl(f_13181)
static void C_ccall f_13181(C_word c,C_word *av) C_noret;
C_noret_decl(f_13184)
static void C_ccall f_13184(C_word c,C_word *av) C_noret;
C_noret_decl(f_13187)
static void C_ccall f_13187(C_word c,C_word *av) C_noret;
C_noret_decl(f_13196)
static void C_ccall f_13196(C_word c,C_word *av) C_noret;
C_noret_decl(f_13199)
static void C_ccall f_13199(C_word c,C_word *av) C_noret;
C_noret_decl(f_13229)
static void C_ccall f_13229(C_word c,C_word *av) C_noret;
C_noret_decl(f_13233)
static void C_ccall f_13233(C_word c,C_word *av) C_noret;
C_noret_decl(f_13300)
static void C_ccall f_13300(C_word c,C_word *av) C_noret;
C_noret_decl(f_13334)
static void C_ccall f_13334(C_word c,C_word *av) C_noret;
C_noret_decl(f_13384)
static void C_ccall f_13384(C_word c,C_word *av) C_noret;
C_noret_decl(f_13425)
static void C_ccall f_13425(C_word c,C_word *av) C_noret;
C_noret_decl(f_13466)
static void C_ccall f_13466(C_word c,C_word *av) C_noret;
C_noret_decl(f_13500)
static void C_ccall f_13500(C_word c,C_word *av) C_noret;
C_noret_decl(f_13524)
static void C_ccall f_13524(C_word c,C_word *av) C_noret;
C_noret_decl(f_13540)
static void C_fcall f_13540(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13543)
static void C_fcall f_13543(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13547)
static void C_ccall f_13547(C_word c,C_word *av) C_noret;
C_noret_decl(f_13550)
static void C_ccall f_13550(C_word c,C_word *av) C_noret;
C_noret_decl(f_13567)
static void C_ccall f_13567(C_word c,C_word *av) C_noret;
C_noret_decl(f_13585)
static void C_ccall f_13585(C_word c,C_word *av) C_noret;
C_noret_decl(f_13589)
static void C_ccall f_13589(C_word c,C_word *av) C_noret;
C_noret_decl(f_13608)
static void C_ccall f_13608(C_word c,C_word *av) C_noret;
C_noret_decl(f_13612)
static void C_ccall f_13612(C_word c,C_word *av) C_noret;
C_noret_decl(f_13643)
static void C_ccall f_13643(C_word c,C_word *av) C_noret;
C_noret_decl(f_13676)
static void C_ccall f_13676(C_word c,C_word *av) C_noret;
C_noret_decl(f_13680)
static void C_ccall f_13680(C_word c,C_word *av) C_noret;
C_noret_decl(f_13699)
static void C_ccall f_13699(C_word c,C_word *av) C_noret;
C_noret_decl(f_13701)
static void C_ccall f_13701(C_word c,C_word *av) C_noret;
C_noret_decl(f_13708)
static void C_fcall f_13708(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13744)
static void C_ccall f_13744(C_word c,C_word *av) C_noret;
C_noret_decl(f_13751)
static void C_fcall f_13751(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13787)
static void C_ccall f_13787(C_word c,C_word *av) C_noret;
C_noret_decl(f_13802)
static void C_ccall f_13802(C_word c,C_word *av) C_noret;
C_noret_decl(f_13811)
static void C_ccall f_13811(C_word c,C_word *av) C_noret;
C_noret_decl(f_13816)
static void C_ccall f_13816(C_word c,C_word *av) C_noret;
C_noret_decl(f_13829)
static void C_ccall f_13829(C_word c,C_word *av) C_noret;
C_noret_decl(f_13848)
static void C_fcall f_13848(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13852)
static void C_ccall f_13852(C_word c,C_word *av) C_noret;
C_noret_decl(f_13857)
static void C_ccall f_13857(C_word c,C_word *av) C_noret;
C_noret_decl(f_13861)
static void C_ccall f_13861(C_word c,C_word *av) C_noret;
C_noret_decl(f_13865)
static void C_ccall f_13865(C_word c,C_word *av) C_noret;
C_noret_decl(f_13869)
static void C_ccall f_13869(C_word c,C_word *av) C_noret;
C_noret_decl(f_13872)
static void C_ccall f_13872(C_word c,C_word *av) C_noret;
C_noret_decl(f_13886)
static void C_ccall f_13886(C_word c,C_word *av) C_noret;
C_noret_decl(f_13890)
static void C_ccall f_13890(C_word c,C_word *av) C_noret;
C_noret_decl(f_13901)
static void C_ccall f_13901(C_word c,C_word *av) C_noret;
C_noret_decl(f_13921)
static void C_ccall f_13921(C_word c,C_word *av) C_noret;
C_noret_decl(f_13925)
static void C_ccall f_13925(C_word c,C_word *av) C_noret;
C_noret_decl(f_13931)
static void C_ccall f_13931(C_word c,C_word *av) C_noret;
C_noret_decl(f_13951)
static void C_ccall f_13951(C_word c,C_word *av) C_noret;
C_noret_decl(f_13955)
static void C_ccall f_13955(C_word c,C_word *av) C_noret;
C_noret_decl(f_13961)
static void C_ccall f_13961(C_word c,C_word *av) C_noret;
C_noret_decl(f_13978)
static void C_ccall f_13978(C_word c,C_word *av) C_noret;
C_noret_decl(f_13982)
static void C_ccall f_13982(C_word c,C_word *av) C_noret;
C_noret_decl(f_13986)
static void C_ccall f_13986(C_word c,C_word *av) C_noret;
C_noret_decl(f_13996)
static void C_fcall f_13996(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14002)
static void C_fcall f_14002(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14007)
static void C_ccall f_14007(C_word c,C_word *av) C_noret;
C_noret_decl(f_14015)
static void C_ccall f_14015(C_word c,C_word *av) C_noret;
C_noret_decl(f_14035)
static void C_ccall f_14035(C_word c,C_word *av) C_noret;
C_noret_decl(f_14039)
static void C_ccall f_14039(C_word c,C_word *av) C_noret;
C_noret_decl(f_14049)
static void C_fcall f_14049(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14055)
static void C_fcall f_14055(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14060)
static void C_ccall f_14060(C_word c,C_word *av) C_noret;
C_noret_decl(f_14075)
static void C_ccall f_14075(C_word c,C_word *av) C_noret;
C_noret_decl(f_14079)
static void C_ccall f_14079(C_word c,C_word *av) C_noret;
C_noret_decl(f_14108)
static void C_ccall f_14108(C_word c,C_word *av) C_noret;
C_noret_decl(f_14112)
static void C_ccall f_14112(C_word c,C_word *av) C_noret;
C_noret_decl(f_14127)
static void C_ccall f_14127(C_word c,C_word *av) C_noret;
C_noret_decl(f_14137)
static void C_ccall f_14137(C_word c,C_word *av) C_noret;
C_noret_decl(f_14210)
static void C_ccall f_14210(C_word c,C_word *av) C_noret;
C_noret_decl(f_14224)
static void C_ccall f_14224(C_word c,C_word *av) C_noret;
C_noret_decl(f_14242)
static void C_ccall f_14242(C_word c,C_word *av) C_noret;
C_noret_decl(f_14258)
static void C_ccall f_14258(C_word c,C_word *av) C_noret;
C_noret_decl(f_14312)
static void C_ccall f_14312(C_word c,C_word *av) C_noret;
C_noret_decl(f_14316)
static void C_ccall f_14316(C_word c,C_word *av) C_noret;
C_noret_decl(f_14321)
static void C_ccall f_14321(C_word c,C_word *av) C_noret;
C_noret_decl(f_14331)
static void C_ccall f_14331(C_word c,C_word *av) C_noret;
C_noret_decl(f_14335)
static void C_ccall f_14335(C_word c,C_word *av) C_noret;
C_noret_decl(f_14344)
static void C_ccall f_14344(C_word c,C_word *av) C_noret;
C_noret_decl(f_14350)
static void C_ccall f_14350(C_word c,C_word *av) C_noret;
C_noret_decl(f_14367)
static void C_ccall f_14367(C_word c,C_word *av) C_noret;
C_noret_decl(f_14378)
static void C_ccall f_14378(C_word c,C_word *av) C_noret;
C_noret_decl(f_14384)
static void C_ccall f_14384(C_word c,C_word *av) C_noret;
C_noret_decl(f_14395)
static void C_ccall f_14395(C_word c,C_word *av) C_noret;
C_noret_decl(f_14406)
static void C_ccall f_14406(C_word c,C_word *av) C_noret;
C_noret_decl(f_14418)
static void C_ccall f_14418(C_word c,C_word *av) C_noret;
C_noret_decl(f_14430)
static void C_ccall f_14430(C_word c,C_word *av) C_noret;
C_noret_decl(f_14442)
static void C_ccall f_14442(C_word c,C_word *av) C_noret;
C_noret_decl(f_14459)
static void C_ccall f_14459(C_word c,C_word *av) C_noret;
C_noret_decl(f_14466)
static void C_ccall f_14466(C_word c,C_word *av) C_noret;
C_noret_decl(f_14470)
static void C_ccall f_14470(C_word c,C_word *av) C_noret;
C_noret_decl(f_14472)
static void C_ccall f_14472(C_word c,C_word *av) C_noret;
C_noret_decl(f_14478)
static void C_ccall f_14478(C_word c,C_word *av) C_noret;
C_noret_decl(f_14482)
static void C_ccall f_14482(C_word c,C_word *av) C_noret;
C_noret_decl(f_14485)
static void C_ccall f_14485(C_word c,C_word *av) C_noret;
C_noret_decl(f_14490)
static void C_ccall f_14490(C_word c,C_word *av) C_noret;
C_noret_decl(f_14500)
static void C_fcall f_14500(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14518)
static void C_ccall f_14518(C_word c,C_word *av) C_noret;
C_noret_decl(f_14537)
static void C_ccall f_14537(C_word c,C_word *av) C_noret;
C_noret_decl(f_14540)
static void C_fcall f_14540(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14560)
static void C_ccall f_14560(C_word c,C_word *av) C_noret;
C_noret_decl(f_14570)
static void C_ccall f_14570(C_word c,C_word *av) C_noret;
C_noret_decl(f_14574)
static void C_ccall f_14574(C_word c,C_word *av) C_noret;
C_noret_decl(f_14578)
static void C_ccall f_14578(C_word c,C_word *av) C_noret;
C_noret_decl(f_14594)
static void C_ccall f_14594(C_word c,C_word *av) C_noret;
C_noret_decl(f_14611)
static void C_ccall f_14611(C_word c,C_word *av) C_noret;
C_noret_decl(f_14622)
static void C_fcall f_14622(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14642)
static void C_ccall f_14642(C_word c,C_word *av) C_noret;
C_noret_decl(f_14657)
static void C_ccall f_14657(C_word c,C_word *av) C_noret;
C_noret_decl(f_14660)
static void C_fcall f_14660(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14670)
static void C_ccall f_14670(C_word c,C_word *av) C_noret;
C_noret_decl(f_14672)
static void C_fcall f_14672(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14691)
static void C_ccall f_14691(C_word c,C_word *av) C_noret;
C_noret_decl(f_14715)
static void C_fcall f_14715(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14719)
static void C_ccall f_14719(C_word c,C_word *av) C_noret;
C_noret_decl(f_14723)
static void C_ccall f_14723(C_word c,C_word *av) C_noret;
C_noret_decl(f_14758)
static void C_ccall f_14758(C_word c,C_word *av) C_noret;
C_noret_decl(f_14765)
static void C_ccall f_14765(C_word c,C_word *av) C_noret;
C_noret_decl(f_14777)
static void C_ccall f_14777(C_word c,C_word *av) C_noret;
C_noret_decl(f_14797)
static void C_ccall f_14797(C_word c,C_word *av) C_noret;
C_noret_decl(f_14801)
static void C_ccall f_14801(C_word c,C_word *av) C_noret;
C_noret_decl(f_14821)
static void C_fcall f_14821(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14830)
static void C_fcall f_14830(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14841)
static void C_ccall f_14841(C_word c,C_word *av) C_noret;
C_noret_decl(f_14845)
static void C_ccall f_14845(C_word c,C_word *av) C_noret;
C_noret_decl(f_14849)
static void C_ccall f_14849(C_word c,C_word *av) C_noret;
C_noret_decl(f_14856)
static void C_ccall f_14856(C_word c,C_word *av) C_noret;
C_noret_decl(f_14872)
static void C_ccall f_14872(C_word c,C_word *av) C_noret;
C_noret_decl(f_14876)
static void C_ccall f_14876(C_word c,C_word *av) C_noret;
C_noret_decl(f_14917)
static void C_fcall f_14917(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14950)
static void C_ccall f_14950(C_word c,C_word *av) C_noret;
C_noret_decl(f_14979)
static void C_ccall f_14979(C_word c,C_word *av) C_noret;
C_noret_decl(f_14987)
static void C_ccall f_14987(C_word c,C_word *av) C_noret;
C_noret_decl(f_14993)
static void C_ccall f_14993(C_word c,C_word *av) C_noret;
C_noret_decl(f_15013)
static void C_fcall f_15013(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15038)
static void C_ccall f_15038(C_word c,C_word *av) C_noret;
C_noret_decl(f_15044)
static void C_ccall f_15044(C_word c,C_word *av) C_noret;
C_noret_decl(f_15048)
static void C_ccall f_15048(C_word c,C_word *av) C_noret;
C_noret_decl(f_15055)
static void C_ccall f_15055(C_word c,C_word *av) C_noret;
C_noret_decl(f_15075)
static void C_fcall f_15075(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15096)
static void C_ccall f_15096(C_word c,C_word *av) C_noret;
C_noret_decl(f_15110)
static void C_ccall f_15110(C_word c,C_word *av) C_noret;
C_noret_decl(f_15117)
static void C_ccall f_15117(C_word c,C_word *av) C_noret;
C_noret_decl(f_15122)
static void C_ccall f_15122(C_word c,C_word *av) C_noret;
C_noret_decl(f_15128)
static void C_ccall f_15128(C_word c,C_word *av) C_noret;
C_noret_decl(f_15132)
static void C_ccall f_15132(C_word c,C_word *av) C_noret;
C_noret_decl(f_15135)
static void C_ccall f_15135(C_word c,C_word *av) C_noret;
C_noret_decl(f_15142)
static void C_ccall f_15142(C_word c,C_word *av) C_noret;
C_noret_decl(f_15163)
static void C_ccall f_15163(C_word c,C_word *av) C_noret;
C_noret_decl(f_15177)
static void C_ccall f_15177(C_word c,C_word *av) C_noret;
C_noret_decl(f_15181)
static void C_ccall f_15181(C_word c,C_word *av) C_noret;
C_noret_decl(f_15218)
static void C_ccall f_15218(C_word c,C_word *av) C_noret;
C_noret_decl(f_15226)
static void C_ccall f_15226(C_word c,C_word *av) C_noret;
C_noret_decl(f_15253)
static void C_ccall f_15253(C_word c,C_word *av) C_noret;
C_noret_decl(f_15256)
static void C_ccall f_15256(C_word c,C_word *av) C_noret;
C_noret_decl(f_15271)
static void C_ccall f_15271(C_word c,C_word *av) C_noret;
C_noret_decl(f_15274)
static void C_fcall f_15274(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15281)
static void C_ccall f_15281(C_word c,C_word *av) C_noret;
C_noret_decl(f_15292)
static void C_ccall f_15292(C_word c,C_word *av) C_noret;
C_noret_decl(f_15307)
static void C_ccall f_15307(C_word c,C_word *av) C_noret;
C_noret_decl(f_15332)
static void C_fcall f_15332(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15347)
static void C_ccall f_15347(C_word c,C_word *av) C_noret;
C_noret_decl(f_15370)
static void C_fcall f_15370(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15373)
static C_word C_fcall f_15373(C_word t0);
C_noret_decl(f_15383)
static void C_fcall f_15383(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15441)
static void C_ccall f_15441(C_word c,C_word *av) C_noret;
C_noret_decl(f_15457)
static void C_fcall f_15457(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15463)
static void C_fcall f_15463(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15526)
static void C_fcall f_15526(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15565)
static void C_fcall f_15565(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15571)
static void C_fcall f_15571(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15615)
static void C_fcall f_15615(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15619)
static void C_ccall f_15619(C_word c,C_word *av) C_noret;
C_noret_decl(f_15622)
static void C_ccall f_15622(C_word c,C_word *av) C_noret;
C_noret_decl(f_15671)
static void C_fcall f_15671(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15686)
static void C_fcall f_15686(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15695)
static void C_ccall f_15695(C_word c,C_word *av) C_noret;
C_noret_decl(f_15732)
static void C_fcall f_15732(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15742)
static void C_ccall f_15742(C_word c,C_word *av) C_noret;
C_noret_decl(f_15751)
static void C_fcall f_15751(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15754)
static void C_fcall f_15754(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15763)
static void C_fcall f_15763(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15772)
static void C_ccall f_15772(C_word c,C_word *av) C_noret;
C_noret_decl(f_15784)
static void C_ccall f_15784(C_word c,C_word *av) C_noret;
C_noret_decl(f_15790)
static void C_fcall f_15790(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15796)
static void C_ccall f_15796(C_word c,C_word *av) C_noret;
C_noret_decl(f_15837)
static void C_ccall f_15837(C_word c,C_word *av) C_noret;
C_noret_decl(f_15944)
static void C_fcall f_15944(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15951)
static void C_fcall f_15951(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15964)
static void C_ccall f_15964(C_word c,C_word *av) C_noret;
C_noret_decl(f_15970)
static void C_fcall f_15970(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16022)
static void C_fcall f_16022(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16037)
static void C_ccall f_16037(C_word c,C_word *av) C_noret;
C_noret_decl(f_16047)
static void C_ccall f_16047(C_word c,C_word *av) C_noret;
C_noret_decl(f_16083)
static void C_ccall f_16083(C_word c,C_word *av) C_noret;
C_noret_decl(f_16109)
static void C_ccall f_16109(C_word c,C_word *av) C_noret;
C_noret_decl(f_16120)
static void C_ccall f_16120(C_word c,C_word *av) C_noret;
C_noret_decl(f_16287)
static void C_fcall f_16287(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16302)
static void C_fcall f_16302(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16328)
static void C_fcall f_16328(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16360)
static void C_fcall f_16360(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16397)
static void C_ccall f_16397(C_word c,C_word *av) C_noret;
C_noret_decl(f_16421)
static void C_fcall f_16421(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16471)
static void C_ccall f_16471(C_word c,C_word *av) C_noret;
C_noret_decl(f_16519)
static void C_ccall f_16519(C_word c,C_word *av) C_noret;
C_noret_decl(f_16522)
static void C_ccall f_16522(C_word c,C_word *av) C_noret;
C_noret_decl(f_16541)
static void C_fcall f_16541(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16611)
static void C_ccall f_16611(C_word c,C_word *av) C_noret;
C_noret_decl(f_16632)
static void C_fcall f_16632(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16679)
static void C_ccall f_16679(C_word c,C_word *av) C_noret;
C_noret_decl(f_16771)
static void C_ccall f_16771(C_word c,C_word *av) C_noret;
C_noret_decl(f_16781)
static void C_ccall f_16781(C_word c,C_word *av) C_noret;
C_noret_decl(f_16790)
static void C_fcall f_16790(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_16797)
static void C_fcall f_16797(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17026)
static void C_ccall f_17026(C_word c,C_word *av) C_noret;
C_noret_decl(f_17072)
static void C_ccall f_17072(C_word c,C_word *av) C_noret;
C_noret_decl(f_17075)
static void C_fcall f_17075(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17102)
static void C_fcall f_17102(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17126)
static void C_ccall f_17126(C_word c,C_word *av) C_noret;
C_noret_decl(f_17143)
static void C_fcall f_17143(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17242)
static void C_ccall f_17242(C_word c,C_word *av) C_noret;
C_noret_decl(f_17245)
static void C_ccall f_17245(C_word c,C_word *av) C_noret;
C_noret_decl(f_17254)
static C_word C_fcall f_17254(C_word t0,C_word t1);
C_noret_decl(f_17281)
static void C_ccall f_17281(C_word c,C_word *av) C_noret;
C_noret_decl(f_17299)
static void C_ccall f_17299(C_word c,C_word *av) C_noret;
C_noret_decl(f_17319)
static void C_ccall f_17319(C_word c,C_word *av) C_noret;
C_noret_decl(f_17323)
static void C_ccall f_17323(C_word c,C_word *av) C_noret;
C_noret_decl(f_17325)
static void C_ccall f_17325(C_word c,C_word *av) C_noret;
C_noret_decl(f_17343)
static void C_ccall f_17343(C_word c,C_word *av) C_noret;
C_noret_decl(f_17366)
static void C_ccall f_17366(C_word c,C_word *av) C_noret;
C_noret_decl(f_17374)
static void C_ccall f_17374(C_word c,C_word *av) C_noret;
C_noret_decl(f_17379)
static void C_ccall f_17379(C_word c,C_word *av) C_noret;
C_noret_decl(f_17390)
static void C_ccall f_17390(C_word c,C_word *av) C_noret;
C_noret_decl(f_17392)
static void C_ccall f_17392(C_word c,C_word *av) C_noret;
C_noret_decl(f_17403)
static void C_ccall f_17403(C_word c,C_word *av) C_noret;
C_noret_decl(f_17405)
static void C_ccall f_17405(C_word c,C_word *av) C_noret;
C_noret_decl(f_17416)
static void C_ccall f_17416(C_word c,C_word *av) C_noret;
C_noret_decl(f_17418)
static void C_ccall f_17418(C_word c,C_word *av) C_noret;
C_noret_decl(f_17435)
static void C_ccall f_17435(C_word c,C_word *av) C_noret;
C_noret_decl(f_17439)
static void C_ccall f_17439(C_word c,C_word *av) C_noret;
C_noret_decl(f_17443)
static void C_ccall f_17443(C_word c,C_word *av) C_noret;
C_noret_decl(f_17452)
static void C_ccall f_17452(C_word c,C_word *av) C_noret;
C_noret_decl(f_17472)
static void C_ccall f_17472(C_word c,C_word *av) C_noret;
C_noret_decl(f_17480)
static void C_ccall f_17480(C_word c,C_word *av) C_noret;
C_noret_decl(f_17495)
static void C_ccall f_17495(C_word c,C_word *av) C_noret;
C_noret_decl(f_17497)
static void C_fcall f_17497(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17522)
static void C_ccall f_17522(C_word c,C_word *av) C_noret;
C_noret_decl(f_17531)
static void C_ccall f_17531(C_word c,C_word *av) C_noret;
C_noret_decl(f_17540)
static void C_ccall f_17540(C_word c,C_word *av) C_noret;
C_noret_decl(f_17551)
static void C_ccall f_17551(C_word c,C_word *av) C_noret;
C_noret_decl(f_17561)
static void C_ccall f_17561(C_word c,C_word *av) C_noret;
C_noret_decl(f_17568)
static void C_ccall f_17568(C_word c,C_word *av) C_noret;
C_noret_decl(f_17579)
static void C_ccall f_17579(C_word c,C_word *av) C_noret;
C_noret_decl(f_17607)
static void C_ccall f_17607(C_word c,C_word *av) C_noret;
C_noret_decl(f_17611)
static void C_ccall f_17611(C_word c,C_word *av) C_noret;
C_noret_decl(f_17613)
static void C_ccall f_17613(C_word c,C_word *av) C_noret;
C_noret_decl(f_17617)
static void C_ccall f_17617(C_word c,C_word *av) C_noret;
C_noret_decl(f_17622)
static void C_ccall f_17622(C_word c,C_word *av) C_noret;
C_noret_decl(f_17628)
static void C_ccall f_17628(C_word c,C_word *av) C_noret;
C_noret_decl(f_17632)
static void C_ccall f_17632(C_word c,C_word *av) C_noret;
C_noret_decl(f_17637)
static void C_ccall f_17637(C_word c,C_word *av) C_noret;
C_noret_decl(f_17647)
static void C_ccall f_17647(C_word c,C_word *av) C_noret;
C_noret_decl(f_17649)
static void C_ccall f_17649(C_word c,C_word *av) C_noret;
C_noret_decl(f_17653)
static void C_ccall f_17653(C_word c,C_word *av) C_noret;
C_noret_decl(f_17659)
static void C_ccall f_17659(C_word c,C_word *av) C_noret;
C_noret_decl(f_17661)
static void C_ccall f_17661(C_word c,C_word *av) C_noret;
C_noret_decl(f_17665)
static void C_ccall f_17665(C_word c,C_word *av) C_noret;
C_noret_decl(f_17668)
static void C_ccall f_17668(C_word c,C_word *av) C_noret;
C_noret_decl(f_17684)
static void C_ccall f_17684(C_word c,C_word *av) C_noret;
C_noret_decl(f_17688)
static void C_ccall f_17688(C_word c,C_word *av) C_noret;
C_noret_decl(f_17691)
static void C_ccall f_17691(C_word c,C_word *av) C_noret;
C_noret_decl(f_17713)
static void C_ccall f_17713(C_word c,C_word *av) C_noret;
C_noret_decl(f_17729)
static void C_ccall f_17729(C_word c,C_word *av) C_noret;
C_noret_decl(f_17734)
static C_word C_fcall f_17734(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17765)
static void C_ccall f_17765(C_word c,C_word *av) C_noret;
C_noret_decl(f_17774)
static void C_fcall f_17774(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17792)
static void C_ccall f_17792(C_word c,C_word *av) C_noret;
C_noret_decl(f_17798)
static void C_ccall f_17798(C_word c,C_word *av) C_noret;
C_noret_decl(f_17804)
static void C_ccall f_17804(C_word c,C_word *av) C_noret;
C_noret_decl(f_17813)
static C_word C_fcall f_17813(C_word t0,C_word t1);
C_noret_decl(f_17832)
static void C_ccall f_17832(C_word c,C_word *av) C_noret;
C_noret_decl(f_17848)
static void C_fcall f_17848(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17851)
static void C_ccall f_17851(C_word c,C_word *av) C_noret;
C_noret_decl(f_17854)
static void C_ccall f_17854(C_word c,C_word *av) C_noret;
C_noret_decl(f_17859)
static C_word C_fcall f_17859(C_word t0,C_word t1);
C_noret_decl(f_17901)
static void C_ccall f_17901(C_word c,C_word *av) C_noret;
C_noret_decl(f_17920)
static void C_ccall f_17920(C_word c,C_word *av) C_noret;
C_noret_decl(f_17923)
static void C_ccall f_17923(C_word c,C_word *av) C_noret;
C_noret_decl(f_17926)
static void C_ccall f_17926(C_word c,C_word *av) C_noret;
C_noret_decl(f_17931)
static C_word C_fcall f_17931(C_word t0,C_word t1);
C_noret_decl(f_17972)
static void C_ccall f_17972(C_word c,C_word *av) C_noret;
C_noret_decl(f_17982)
static void C_ccall f_17982(C_word c,C_word *av) C_noret;
C_noret_decl(f_17993)
static void C_fcall f_17993(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17997)
static void C_ccall f_17997(C_word c,C_word *av) C_noret;
C_noret_decl(f_18000)
static void C_ccall f_18000(C_word c,C_word *av) C_noret;
C_noret_decl(f_18005)
static C_word C_fcall f_18005(C_word t0,C_word t1);
C_noret_decl(f_18032)
static void C_ccall f_18032(C_word c,C_word *av) C_noret;
C_noret_decl(f_18046)
static void C_ccall f_18046(C_word c,C_word *av) C_noret;
C_noret_decl(f_18057)
static void C_ccall f_18057(C_word c,C_word *av) C_noret;
C_noret_decl(f_18068)
static void C_ccall f_18068(C_word c,C_word *av) C_noret;
C_noret_decl(f_18079)
static void C_ccall f_18079(C_word c,C_word *av) C_noret;
C_noret_decl(f_18092)
static void C_ccall f_18092(C_word c,C_word *av) C_noret;
C_noret_decl(f_18094)
static void C_fcall f_18094(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18107)
static C_word C_fcall f_18107(C_word t0,C_word t1);
C_noret_decl(f_18135)
static void C_ccall f_18135(C_word c,C_word *av) C_noret;
C_noret_decl(f_18139)
static void C_fcall f_18139(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18148)
static void C_ccall f_18148(C_word c,C_word *av) C_noret;
C_noret_decl(f_18166)
static void C_ccall f_18166(C_word c,C_word *av) C_noret;
C_noret_decl(f_18169)
static void C_ccall f_18169(C_word c,C_word *av) C_noret;
C_noret_decl(f_18252)
static void C_ccall f_18252(C_word c,C_word *av) C_noret;
C_noret_decl(f_18255)
static void C_ccall f_18255(C_word c,C_word *av) C_noret;
C_noret_decl(f_18258)
static void C_ccall f_18258(C_word c,C_word *av) C_noret;
C_noret_decl(f_18261)
static void C_ccall f_18261(C_word c,C_word *av) C_noret;
C_noret_decl(f_18264)
static void C_ccall f_18264(C_word c,C_word *av) C_noret;
C_noret_decl(f_18267)
static void C_ccall f_18267(C_word c,C_word *av) C_noret;
C_noret_decl(f_18270)
static void C_ccall f_18270(C_word c,C_word *av) C_noret;
C_noret_decl(f_18273)
static void C_ccall f_18273(C_word c,C_word *av) C_noret;
C_noret_decl(f_18276)
static void C_ccall f_18276(C_word c,C_word *av) C_noret;
C_noret_decl(f_18279)
static void C_ccall f_18279(C_word c,C_word *av) C_noret;
C_noret_decl(f_18282)
static void C_ccall f_18282(C_word c,C_word *av) C_noret;
C_noret_decl(f_18285)
static void C_ccall f_18285(C_word c,C_word *av) C_noret;
C_noret_decl(f_18288)
static void C_ccall f_18288(C_word c,C_word *av) C_noret;
C_noret_decl(f_18291)
static void C_ccall f_18291(C_word c,C_word *av) C_noret;
C_noret_decl(f_18296)
static void C_ccall f_18296(C_word c,C_word *av) C_noret;
C_noret_decl(f_18302)
static void C_fcall f_18302(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18318)
static void C_ccall f_18318(C_word c,C_word *av) C_noret;
C_noret_decl(f_18334)
static void C_ccall f_18334(C_word c,C_word *av) C_noret;
C_noret_decl(f_18340)
static void C_fcall f_18340(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18360)
static void C_ccall f_18360(C_word c,C_word *av) C_noret;
C_noret_decl(f_18364)
static void C_ccall f_18364(C_word c,C_word *av) C_noret;
C_noret_decl(f_18376)
static void C_ccall f_18376(C_word c,C_word *av) C_noret;
C_noret_decl(f_18408)
static void C_ccall f_18408(C_word c,C_word *av) C_noret;
C_noret_decl(f_18412)
static void C_ccall f_18412(C_word c,C_word *av) C_noret;
C_noret_decl(f_18420)
static void C_ccall f_18420(C_word c,C_word *av) C_noret;
C_noret_decl(f_18430)
static void C_fcall f_18430(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18438)
static C_word C_fcall f_18438(C_word t0);
C_noret_decl(f_18474)
static void C_ccall f_18474(C_word c,C_word *av) C_noret;
C_noret_decl(f_18489)
static void C_fcall f_18489(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18499)
static void C_ccall f_18499(C_word c,C_word *av) C_noret;
C_noret_decl(f_18519)
static void C_fcall f_18519(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18532)
static void C_ccall f_18532(C_word c,C_word *av) C_noret;
C_noret_decl(f_18539)
static void C_ccall f_18539(C_word c,C_word *av) C_noret;
C_noret_decl(f_18541)
static void C_ccall f_18541(C_word c,C_word *av) C_noret;
C_noret_decl(f_18549)
static void C_ccall f_18549(C_word c,C_word *av) C_noret;
C_noret_decl(f_18551)
static void C_ccall f_18551(C_word c,C_word *av) C_noret;
C_noret_decl(f_18560)
static void C_ccall f_18560(C_word c,C_word *av) C_noret;
C_noret_decl(f_18578)
static void C_fcall f_18578(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18603)
static void C_ccall f_18603(C_word c,C_word *av) C_noret;
C_noret_decl(f_18619)
static void C_fcall f_18619(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18636)
static void C_ccall f_18636(C_word c,C_word *av) C_noret;
C_noret_decl(f_18640)
static void C_ccall f_18640(C_word c,C_word *av) C_noret;
C_noret_decl(f_18644)
static void C_ccall f_18644(C_word c,C_word *av) C_noret;
C_noret_decl(f_18646)
static void C_ccall f_18646(C_word c,C_word *av) C_noret;
C_noret_decl(f_18654)
static void C_ccall f_18654(C_word c,C_word *av) C_noret;
C_noret_decl(f_18656)
static void C_ccall f_18656(C_word c,C_word *av) C_noret;
C_noret_decl(f_18663)
static void C_ccall f_18663(C_word c,C_word *av) C_noret;
C_noret_decl(f_18667)
static void C_ccall f_18667(C_word c,C_word *av) C_noret;
C_noret_decl(f_18671)
static void C_ccall f_18671(C_word c,C_word *av) C_noret;
C_noret_decl(f_18680)
static void C_ccall f_18680(C_word c,C_word *av) C_noret;
C_noret_decl(f_18688)
static void C_ccall f_18688(C_word c,C_word *av) C_noret;
C_noret_decl(f_18698)
static void C_ccall f_18698(C_word c,C_word *av) C_noret;
C_noret_decl(f_18704)
static void C_ccall f_18704(C_word c,C_word *av) C_noret;
C_noret_decl(f_18707)
static void C_ccall f_18707(C_word c,C_word *av) C_noret;
C_noret_decl(f_18711)
static void C_ccall f_18711(C_word c,C_word *av) C_noret;
C_noret_decl(f_18738)
static void C_fcall f_18738(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18754)
static void C_ccall f_18754(C_word c,C_word *av) C_noret;
C_noret_decl(f_18760)
static void C_ccall f_18760(C_word c,C_word *av) C_noret;
C_noret_decl(f_18783)
static void C_ccall f_18783(C_word c,C_word *av) C_noret;
C_noret_decl(f_18796)
static void C_ccall f_18796(C_word c,C_word *av) C_noret;
C_noret_decl(f_18802)
static void C_ccall f_18802(C_word c,C_word *av) C_noret;
C_noret_decl(f_18807)
static void C_ccall f_18807(C_word c,C_word *av) C_noret;
C_noret_decl(f_18812)
static void C_ccall f_18812(C_word c,C_word *av) C_noret;
C_noret_decl(f_18816)
static void C_ccall f_18816(C_word c,C_word *av) C_noret;
C_noret_decl(f_18825)
static void C_ccall f_18825(C_word c,C_word *av) C_noret;
C_noret_decl(f_18856)
static void C_ccall f_18856(C_word c,C_word *av) C_noret;
C_noret_decl(f_18860)
static void C_ccall f_18860(C_word c,C_word *av) C_noret;
C_noret_decl(f_18864)
static void C_ccall f_18864(C_word c,C_word *av) C_noret;
C_noret_decl(f_18867)
static void C_ccall f_18867(C_word c,C_word *av) C_noret;
C_noret_decl(f_18870)
static void C_ccall f_18870(C_word c,C_word *av) C_noret;
C_noret_decl(f_18873)
static void C_ccall f_18873(C_word c,C_word *av) C_noret;
C_noret_decl(f_18875)
static void C_ccall f_18875(C_word c,C_word *av) C_noret;
C_noret_decl(f_18886)
static void C_ccall f_18886(C_word c,C_word *av) C_noret;
C_noret_decl(f_18897)
static void C_ccall f_18897(C_word c,C_word *av) C_noret;
C_noret_decl(f_18908)
static void C_ccall f_18908(C_word c,C_word *av) C_noret;
C_noret_decl(f_18919)
static void C_ccall f_18919(C_word c,C_word *av) C_noret;
C_noret_decl(f_18932)
static void C_ccall f_18932(C_word c,C_word *av) C_noret;
C_noret_decl(f_18934)
static C_word C_fcall f_18934(C_word t0,C_word t1);
C_noret_decl(f_18940)
static C_word C_fcall f_18940(C_word t0);
C_noret_decl(f_18945)
static C_word C_fcall f_18945(C_word t0);
C_noret_decl(f_18980)
static void C_ccall f_18980(C_word c,C_word *av) C_noret;
C_noret_decl(f_18993)
static void C_ccall f_18993(C_word c,C_word *av) C_noret;
C_noret_decl(f_18995)
static C_word C_fcall f_18995(C_word t0,C_word t1);
C_noret_decl(f_19001)
static C_word C_fcall f_19001(C_word t0);
C_noret_decl(f_19006)
static C_word C_fcall f_19006(C_word t0);
C_noret_decl(f_19041)
static void C_ccall f_19041(C_word c,C_word *av) C_noret;
C_noret_decl(f_19054)
static void C_ccall f_19054(C_word c,C_word *av) C_noret;
C_noret_decl(f_19056)
static C_word C_fcall f_19056(C_word t0,C_word t1);
C_noret_decl(f_19062)
static C_word C_fcall f_19062(C_word t0);
C_noret_decl(f_19067)
static C_word C_fcall f_19067(C_word t0);
C_noret_decl(f_19102)
static void C_ccall f_19102(C_word c,C_word *av) C_noret;
C_noret_decl(f_19114)
static void C_ccall f_19114(C_word c,C_word *av) C_noret;
C_noret_decl(f_19116)
static void C_ccall f_19116(C_word c,C_word *av) C_noret;
C_noret_decl(f_19122)
static void C_ccall f_19122(C_word c,C_word *av) C_noret;
C_noret_decl(f_19128)
static void C_fcall f_19128(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19138)
static void C_ccall f_19138(C_word c,C_word *av) C_noret;
C_noret_decl(f_19141)
static void C_ccall f_19141(C_word c,C_word *av) C_noret;
C_noret_decl(f_19144)
static void C_ccall f_19144(C_word c,C_word *av) C_noret;
C_noret_decl(f_19147)
static void C_ccall f_19147(C_word c,C_word *av) C_noret;
C_noret_decl(f_19150)
static void C_ccall f_19150(C_word c,C_word *av) C_noret;
C_noret_decl(f_19157)
static void C_ccall f_19157(C_word c,C_word *av) C_noret;
C_noret_decl(f_19161)
static void C_ccall f_19161(C_word c,C_word *av) C_noret;
C_noret_decl(f_19165)
static void C_ccall f_19165(C_word c,C_word *av) C_noret;
C_noret_decl(f_19171)
static void C_fcall f_19171(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19184)
static void C_ccall f_19184(C_word c,C_word *av) C_noret;
C_noret_decl(f_19226)
static void C_fcall f_19226(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19230)
static void C_ccall f_19230(C_word c,C_word *av) C_noret;
C_noret_decl(f_19263)
static void C_ccall f_19263(C_word c,C_word *av) C_noret;
C_noret_decl(f_19269)
static void C_ccall f_19269(C_word c,C_word *av) C_noret;
C_noret_decl(f_19275)
static void C_ccall f_19275(C_word c,C_word *av) C_noret;
C_noret_decl(f_19281)
static void C_ccall f_19281(C_word c,C_word *av) C_noret;
C_noret_decl(f_19287)
static void C_ccall f_19287(C_word c,C_word *av) C_noret;
C_noret_decl(f_19291)
static void C_ccall f_19291(C_word c,C_word *av) C_noret;
C_noret_decl(f_19296)
static void C_ccall f_19296(C_word c,C_word *av) C_noret;
C_noret_decl(f_19302)
static void C_ccall f_19302(C_word c,C_word *av) C_noret;
C_noret_decl(f_19306)
static void C_ccall f_19306(C_word c,C_word *av) C_noret;
C_noret_decl(f_19311)
static void C_ccall f_19311(C_word c,C_word *av) C_noret;
C_noret_decl(f_19315)
static void C_ccall f_19315(C_word c,C_word *av) C_noret;
C_noret_decl(f_19320)
static void C_ccall f_19320(C_word c,C_word *av) C_noret;
C_noret_decl(f_19326)
static void C_ccall f_19326(C_word c,C_word *av) C_noret;
C_noret_decl(f_19330)
static void C_ccall f_19330(C_word c,C_word *av) C_noret;
C_noret_decl(f_19335)
static void C_ccall f_19335(C_word c,C_word *av) C_noret;
C_noret_decl(f_19339)
static void C_ccall f_19339(C_word c,C_word *av) C_noret;
C_noret_decl(f_19344)
static void C_ccall f_19344(C_word c,C_word *av) C_noret;
C_noret_decl(f_19349)
static void C_ccall f_19349(C_word c,C_word *av) C_noret;
C_noret_decl(f_19355)
static void C_ccall f_19355(C_word c,C_word *av) C_noret;
C_noret_decl(f_19359)
static void C_ccall f_19359(C_word c,C_word *av) C_noret;
C_noret_decl(f_19364)
static void C_ccall f_19364(C_word c,C_word *av) C_noret;
C_noret_decl(f_19369)
static void C_ccall f_19369(C_word c,C_word *av) C_noret;
C_noret_decl(f_19373)
static void C_ccall f_19373(C_word c,C_word *av) C_noret;
C_noret_decl(f_19378)
static void C_ccall f_19378(C_word c,C_word *av) C_noret;
C_noret_decl(f_19383)
static void C_ccall f_19383(C_word c,C_word *av) C_noret;
C_noret_decl(f_19389)
static void C_ccall f_19389(C_word c,C_word *av) C_noret;
C_noret_decl(f_19393)
static void C_ccall f_19393(C_word c,C_word *av) C_noret;
C_noret_decl(f_19398)
static void C_ccall f_19398(C_word c,C_word *av) C_noret;
C_noret_decl(f_19403)
static void C_ccall f_19403(C_word c,C_word *av) C_noret;
C_noret_decl(f_19408)
static void C_ccall f_19408(C_word c,C_word *av) C_noret;
C_noret_decl(f_19429)
static void C_ccall f_19429(C_word c,C_word *av) C_noret;
C_noret_decl(f_19436)
static void C_ccall f_19436(C_word c,C_word *av) C_noret;
C_noret_decl(f_19442)
static void C_ccall f_19442(C_word c,C_word *av) C_noret;
C_noret_decl(f_19460)
static void C_ccall f_19460(C_word c,C_word *av) C_noret;
C_noret_decl(f_19469)
static void C_ccall f_19469(C_word c,C_word *av) C_noret;
C_noret_decl(f_19482)
static void C_fcall f_19482(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19490)
static void C_ccall f_19490(C_word c,C_word *av) C_noret;
C_noret_decl(f_19495)
static void C_fcall f_19495(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19532)
static void C_ccall f_19532(C_word c,C_word *av) C_noret;
C_noret_decl(f_19544)
static void C_ccall f_19544(C_word c,C_word *av) C_noret;
C_noret_decl(f_19554)
static void C_fcall f_19554(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19570)
static void C_ccall f_19570(C_word c,C_word *av) C_noret;
C_noret_decl(f_19583)
static void C_ccall f_19583(C_word c,C_word *av) C_noret;
C_noret_decl(f_19590)
static void C_ccall f_19590(C_word c,C_word *av) C_noret;
C_noret_decl(f_19592)
static void C_ccall f_19592(C_word c,C_word *av) C_noret;
C_noret_decl(f_19605)
static void C_ccall f_19605(C_word c,C_word *av) C_noret;
C_noret_decl(f_19611)
static void C_ccall f_19611(C_word c,C_word *av) C_noret;
C_noret_decl(f_19618)
static void C_ccall f_19618(C_word c,C_word *av) C_noret;
C_noret_decl(f_19620)
static void C_ccall f_19620(C_word c,C_word *av) C_noret;
C_noret_decl(f_19624)
static void C_ccall f_19624(C_word c,C_word *av) C_noret;
C_noret_decl(f_19627)
static void C_ccall f_19627(C_word c,C_word *av) C_noret;
C_noret_decl(f_19637)
static void C_ccall f_19637(C_word c,C_word *av) C_noret;
C_noret_decl(f_19641)
static void C_ccall f_19641(C_word c,C_word *av) C_noret;
C_noret_decl(f_19649)
static void C_ccall f_19649(C_word c,C_word *av) C_noret;
C_noret_decl(f_19652)
static void C_ccall f_19652(C_word c,C_word *av) C_noret;
C_noret_decl(f_19659)
static void C_ccall f_19659(C_word c,C_word *av) C_noret;
C_noret_decl(f_19662)
static void C_ccall f_19662(C_word c,C_word *av) C_noret;
C_noret_decl(f_19665)
static void C_ccall f_19665(C_word c,C_word *av) C_noret;
C_noret_decl(f_19668)
static void C_ccall f_19668(C_word c,C_word *av) C_noret;
C_noret_decl(f_19676)
static void C_ccall f_19676(C_word c,C_word *av) C_noret;
C_noret_decl(f_19684)
static void C_ccall f_19684(C_word c,C_word *av) C_noret;
C_noret_decl(f_19686)
static void C_ccall f_19686(C_word c,C_word *av) C_noret;
C_noret_decl(f_19702)
static void C_ccall f_19702(C_word c,C_word *av) C_noret;
C_noret_decl(f_19729)
static void C_ccall f_19729(C_word c,C_word *av) C_noret;
C_noret_decl(f_19733)
static void C_ccall f_19733(C_word c,C_word *av) C_noret;
C_noret_decl(f_19737)
static void C_ccall f_19737(C_word c,C_word *av) C_noret;
C_noret_decl(f_19741)
static void C_ccall f_19741(C_word c,C_word *av) C_noret;
C_noret_decl(f_19745)
static void C_ccall f_19745(C_word c,C_word *av) C_noret;
C_noret_decl(f_19749)
static void C_ccall f_19749(C_word c,C_word *av) C_noret;
C_noret_decl(f_19753)
static void C_ccall f_19753(C_word c,C_word *av) C_noret;
C_noret_decl(f_19757)
static void C_ccall f_19757(C_word c,C_word *av) C_noret;
C_noret_decl(f_19761)
static void C_ccall f_19761(C_word c,C_word *av) C_noret;
C_noret_decl(f_19765)
static void C_ccall f_19765(C_word c,C_word *av) C_noret;
C_noret_decl(f_19769)
static void C_ccall f_19769(C_word c,C_word *av) C_noret;
C_noret_decl(f_19773)
static void C_ccall f_19773(C_word c,C_word *av) C_noret;
C_noret_decl(f_19777)
static void C_ccall f_19777(C_word c,C_word *av) C_noret;
C_noret_decl(f_19781)
static void C_ccall f_19781(C_word c,C_word *av) C_noret;
C_noret_decl(f_19785)
static void C_ccall f_19785(C_word c,C_word *av) C_noret;
C_noret_decl(f_19789)
static void C_ccall f_19789(C_word c,C_word *av) C_noret;
C_noret_decl(f_19793)
static void C_ccall f_19793(C_word c,C_word *av) C_noret;
C_noret_decl(f_19800)
static void C_ccall f_19800(C_word c,C_word *av) C_noret;
C_noret_decl(f_19807)
static void C_ccall f_19807(C_word c,C_word *av) C_noret;
C_noret_decl(f_19808)
static void C_fcall f_19808(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19812)
static void C_fcall f_19812(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19815)
static void C_ccall f_19815(C_word c,C_word *av) C_noret;
C_noret_decl(f_19831)
static void C_ccall f_19831(C_word c,C_word *av) C_noret;
C_noret_decl(f_19842)
static void C_fcall f_19842(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19850)
static void C_ccall f_19850(C_word c,C_word *av) C_noret;
C_noret_decl(f_19862)
static void C_fcall f_19862(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19871)
static void C_fcall f_19871(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19876)
static void C_fcall f_19876(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19932)
static void C_ccall f_19932(C_word c,C_word *av) C_noret;
C_noret_decl(f_19946)
static void C_ccall f_19946(C_word c,C_word *av) C_noret;
C_noret_decl(f_19958)
static void C_ccall f_19958(C_word c,C_word *av) C_noret;
C_noret_decl(f_19964)
static void C_ccall f_19964(C_word c,C_word *av) C_noret;
C_noret_decl(f_19989)
static void C_ccall f_19989(C_word c,C_word *av) C_noret;
C_noret_decl(f_20007)
static void C_ccall f_20007(C_word c,C_word *av) C_noret;
C_noret_decl(f_20011)
static void C_ccall f_20011(C_word c,C_word *av) C_noret;
C_noret_decl(f_20067)
static void C_ccall f_20067(C_word c,C_word *av) C_noret;
C_noret_decl(f_20076)
static void C_ccall f_20076(C_word c,C_word *av) C_noret;
C_noret_decl(f_20089)
static void C_ccall f_20089(C_word c,C_word *av) C_noret;
C_noret_decl(f_20101)
static void C_ccall f_20101(C_word c,C_word *av) C_noret;
C_noret_decl(f_20119)
static void C_ccall f_20119(C_word c,C_word *av) C_noret;
C_noret_decl(f_20140)
static void C_ccall f_20140(C_word c,C_word *av) C_noret;
C_noret_decl(f_20143)
static void C_ccall f_20143(C_word c,C_word *av) C_noret;
C_noret_decl(f_20146)
static void C_ccall f_20146(C_word c,C_word *av) C_noret;
C_noret_decl(f_20154)
static void C_ccall f_20154(C_word c,C_word *av) C_noret;
C_noret_decl(f_20158)
static void C_ccall f_20158(C_word c,C_word *av) C_noret;
C_noret_decl(f_20162)
static void C_ccall f_20162(C_word c,C_word *av) C_noret;
C_noret_decl(f_20166)
static void C_ccall f_20166(C_word c,C_word *av) C_noret;
C_noret_decl(f_20170)
static void C_ccall f_20170(C_word c,C_word *av) C_noret;
C_noret_decl(f_20172)
static void C_ccall f_20172(C_word c,C_word *av) C_noret;
C_noret_decl(f_20180)
static void C_ccall f_20180(C_word c,C_word *av) C_noret;
C_noret_decl(f_20183)
static void C_ccall f_20183(C_word c,C_word *av) C_noret;
C_noret_decl(f_20193)
static void C_ccall f_20193(C_word c,C_word *av) C_noret;
C_noret_decl(f_20195)
static void C_ccall f_20195(C_word c,C_word *av) C_noret;
C_noret_decl(f_20203)
static void C_ccall f_20203(C_word c,C_word *av) C_noret;
C_noret_decl(f_20206)
static void C_ccall f_20206(C_word c,C_word *av) C_noret;
C_noret_decl(f_20216)
static void C_ccall f_20216(C_word c,C_word *av) C_noret;
C_noret_decl(f_20221)
static void C_ccall f_20221(C_word c,C_word *av) C_noret;
C_noret_decl(f_20225)
static void C_ccall f_20225(C_word c,C_word *av) C_noret;
C_noret_decl(f_20228)
static void C_ccall f_20228(C_word c,C_word *av) C_noret;
C_noret_decl(f_20231)
static void C_ccall f_20231(C_word c,C_word *av) C_noret;
C_noret_decl(f_20234)
static void C_ccall f_20234(C_word c,C_word *av) C_noret;
C_noret_decl(f_20237)
static void C_ccall f_20237(C_word c,C_word *av) C_noret;
C_noret_decl(f_20239)
static void C_ccall f_20239(C_word c,C_word *av) C_noret;
C_noret_decl(f_20245)
static void C_fcall f_20245(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20254)
static void C_fcall f_20254(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20262)
static void C_ccall f_20262(C_word c,C_word *av) C_noret;
C_noret_decl(f_20264)
static void C_fcall f_20264(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20271)
static void C_fcall f_20271(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20278)
static void C_ccall f_20278(C_word c,C_word *av) C_noret;
C_noret_decl(f_20291)
static void C_fcall f_20291(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20295)
static void C_ccall f_20295(C_word c,C_word *av) C_noret;
C_noret_decl(f_20300)
static void C_fcall f_20300(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20304)
static void C_ccall f_20304(C_word c,C_word *av) C_noret;
C_noret_decl(f_20315)
static void C_fcall f_20315(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20318)
static void C_fcall f_20318(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20326)
static void C_ccall f_20326(C_word c,C_word *av) C_noret;
C_noret_decl(f_20328)
static void C_fcall f_20328(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20341)
static void C_ccall f_20341(C_word c,C_word *av) C_noret;
C_noret_decl(f_20348)
static void C_ccall f_20348(C_word c,C_word *av) C_noret;
C_noret_decl(f_20357)
static void C_ccall f_20357(C_word c,C_word *av) C_noret;
C_noret_decl(f_20364)
static void C_ccall f_20364(C_word c,C_word *av) C_noret;
C_noret_decl(f_20366)
static void C_fcall f_20366(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20372)
static void C_fcall f_20372(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20382)
static void C_ccall f_20382(C_word c,C_word *av) C_noret;
C_noret_decl(f_20385)
static void C_ccall f_20385(C_word c,C_word *av) C_noret;
C_noret_decl(f_20395)
static void C_ccall f_20395(C_word c,C_word *av) C_noret;
C_noret_decl(f_20398)
static void C_ccall f_20398(C_word c,C_word *av) C_noret;
C_noret_decl(f_20426)
static void C_fcall f_20426(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20430)
static void C_ccall f_20430(C_word c,C_word *av) C_noret;
C_noret_decl(f_20438)
static void C_fcall f_20438(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20463)
static void C_fcall f_20463(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20471)
static void C_ccall f_20471(C_word c,C_word *av) C_noret;
C_noret_decl(f_20473)
static void C_fcall f_20473(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20490)
static void C_ccall f_20490(C_word c,C_word *av) C_noret;
C_noret_decl(f_20503)
static void C_ccall f_20503(C_word c,C_word *av) C_noret;
C_noret_decl(f_20520)
static void C_ccall f_20520(C_word c,C_word *av) C_noret;
C_noret_decl(f_20537)
static void C_ccall f_20537(C_word c,C_word *av) C_noret;
C_noret_decl(f_20554)
static void C_ccall f_20554(C_word c,C_word *av) C_noret;
C_noret_decl(f_20571)
static void C_ccall f_20571(C_word c,C_word *av) C_noret;
C_noret_decl(f_20592)
static void C_ccall f_20592(C_word c,C_word *av) C_noret;
C_noret_decl(f_20613)
static void C_ccall f_20613(C_word c,C_word *av) C_noret;
C_noret_decl(f_20637)
static void C_ccall f_20637(C_word c,C_word *av) C_noret;
C_noret_decl(f_20645)
static void C_ccall f_20645(C_word c,C_word *av) C_noret;
C_noret_decl(f_20654)
static void C_ccall f_20654(C_word c,C_word *av) C_noret;
C_noret_decl(f_20660)
static void C_ccall f_20660(C_word c,C_word *av) C_noret;
C_noret_decl(f_20666)
static void C_fcall f_20666(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20669)
static void C_ccall f_20669(C_word c,C_word *av) C_noret;
C_noret_decl(f_20672)
static void C_ccall f_20672(C_word c,C_word *av) C_noret;
C_noret_decl(f_20682)
static void C_ccall f_20682(C_word c,C_word *av) C_noret;
C_noret_decl(f_20686)
static void C_ccall f_20686(C_word c,C_word *av) C_noret;
C_noret_decl(f_20703)
static void C_ccall f_20703(C_word c,C_word *av) C_noret;
C_noret_decl(f_20708)
static void C_ccall f_20708(C_word c,C_word *av) C_noret;
C_noret_decl(f_20715)
static void C_ccall f_20715(C_word c,C_word *av) C_noret;
C_noret_decl(f_20719)
static void C_ccall f_20719(C_word c,C_word *av) C_noret;
C_noret_decl(f_20728)
static void C_ccall f_20728(C_word c,C_word *av) C_noret;
C_noret_decl(f_20734)
static void C_ccall f_20734(C_word c,C_word *av) C_noret;
C_noret_decl(f_20744)
static void C_ccall f_20744(C_word c,C_word *av) C_noret;
C_noret_decl(f_20748)
static void C_ccall f_20748(C_word c,C_word *av) C_noret;
C_noret_decl(f_20757)
static void C_fcall f_20757(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20764)
static void C_ccall f_20764(C_word c,C_word *av) C_noret;
C_noret_decl(f_20777)
static void C_fcall f_20777(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20782)
static void C_fcall f_20782(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20799)
static void C_ccall f_20799(C_word c,C_word *av) C_noret;
C_noret_decl(f_20814)
static void C_ccall f_20814(C_word c,C_word *av) C_noret;
C_noret_decl(f_20827)
static void C_ccall f_20827(C_word c,C_word *av) C_noret;
C_noret_decl(f_20849)
static void C_ccall f_20849(C_word c,C_word *av) C_noret;
C_noret_decl(f_20852)
static void C_ccall f_20852(C_word c,C_word *av) C_noret;
C_noret_decl(f_20881)
static void C_fcall f_20881(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20891)
static void C_ccall f_20891(C_word c,C_word *av) C_noret;
C_noret_decl(f_20907)
static void C_ccall f_20907(C_word c,C_word *av) C_noret;
C_noret_decl(f_20918)
static void C_ccall f_20918(C_word c,C_word *av) C_noret;
C_noret_decl(f_20925)
static void C_ccall f_20925(C_word c,C_word *av) C_noret;
C_noret_decl(f_21023)
static void C_ccall f_21023(C_word c,C_word *av) C_noret;
C_noret_decl(f_21029)
static void C_fcall f_21029(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21038)
static void C_fcall f_21038(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21052)
static void C_ccall f_21052(C_word c,C_word *av) C_noret;
C_noret_decl(f_21055)
static void C_ccall f_21055(C_word c,C_word *av) C_noret;
C_noret_decl(f_21066)
static void C_ccall f_21066(C_word c,C_word *av) C_noret;
C_noret_decl(f_21068)
static void C_ccall f_21068(C_word c,C_word *av) C_noret;
C_noret_decl(f_21071)
static void C_ccall f_21071(C_word c,C_word *av) C_noret;
C_noret_decl(f_21088)
static void C_ccall f_21088(C_word c,C_word *av) C_noret;
C_noret_decl(f_21093)
static void C_fcall f_21093(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21097)
static void C_ccall f_21097(C_word c,C_word *av) C_noret;
C_noret_decl(f_21100)
static void C_fcall f_21100(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21103)
static void C_ccall f_21103(C_word c,C_word *av) C_noret;
C_noret_decl(f_21113)
static void C_ccall f_21113(C_word c,C_word *av) C_noret;
C_noret_decl(f_21131)
static void C_ccall f_21131(C_word c,C_word *av) C_noret;
C_noret_decl(f_21134)
static void C_ccall f_21134(C_word c,C_word *av) C_noret;
C_noret_decl(f_21143)
static void C_fcall f_21143(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21146)
static void C_ccall f_21146(C_word c,C_word *av) C_noret;
C_noret_decl(f_21149)
static void C_ccall f_21149(C_word c,C_word *av) C_noret;
C_noret_decl(f_21155)
static void C_ccall f_21155(C_word c,C_word *av) C_noret;
C_noret_decl(f_21168)
static void C_ccall f_21168(C_word c,C_word *av) C_noret;
C_noret_decl(f_21172)
static void C_ccall f_21172(C_word c,C_word *av) C_noret;
C_noret_decl(f_21176)
static void C_ccall f_21176(C_word c,C_word *av) C_noret;
C_noret_decl(f_21187)
static void C_ccall f_21187(C_word c,C_word *av) C_noret;
C_noret_decl(f_21191)
static void C_ccall f_21191(C_word c,C_word *av) C_noret;
C_noret_decl(f_21194)
static void C_ccall f_21194(C_word c,C_word *av) C_noret;
C_noret_decl(f_21222)
static void C_ccall f_21222(C_word c,C_word *av) C_noret;
C_noret_decl(f_21278)
static void C_ccall f_21278(C_word c,C_word *av) C_noret;
C_noret_decl(f_21282)
static void C_ccall f_21282(C_word c,C_word *av) C_noret;
C_noret_decl(f_21289)
static void C_ccall f_21289(C_word c,C_word *av) C_noret;
C_noret_decl(f_21291)
static void C_fcall f_21291(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21295)
static void C_ccall f_21295(C_word c,C_word *av) C_noret;
C_noret_decl(f_21309)
static void C_fcall f_21309(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21315)
static void C_ccall f_21315(C_word c,C_word *av) C_noret;
C_noret_decl(f_21322)
static void C_ccall f_21322(C_word c,C_word *av) C_noret;
C_noret_decl(f_21329)
static void C_ccall f_21329(C_word c,C_word *av) C_noret;
C_noret_decl(f_21344)
static void C_fcall f_21344(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21350)
static void C_ccall f_21350(C_word c,C_word *av) C_noret;
C_noret_decl(f_21379)
static void C_fcall f_21379(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21389)
static void C_ccall f_21389(C_word c,C_word *av) C_noret;
C_noret_decl(f_21392)
static void C_ccall f_21392(C_word c,C_word *av) C_noret;
C_noret_decl(f_21428)
static void C_ccall f_21428(C_word c,C_word *av) C_noret;
C_noret_decl(f_21430)
static void C_fcall f_21430(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21440)
static void C_ccall f_21440(C_word c,C_word *av) C_noret;
C_noret_decl(f_21443)
static void C_ccall f_21443(C_word c,C_word *av) C_noret;
C_noret_decl(f_21495)
static void C_ccall f_21495(C_word c,C_word *av) C_noret;
C_noret_decl(f_21497)
static void C_fcall f_21497(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21505)
static void C_ccall f_21505(C_word c,C_word *av) C_noret;
C_noret_decl(f_21507)
static void C_fcall f_21507(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21517)
static void C_fcall f_21517(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21532)
static void C_ccall f_21532(C_word c,C_word *av) C_noret;
C_noret_decl(f_21539)
static void C_ccall f_21539(C_word c,C_word *av) C_noret;
C_noret_decl(f_21561)
static void C_fcall f_21561(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21569)
static void C_ccall f_21569(C_word c,C_word *av) C_noret;
C_noret_decl(f_21571)
static void C_fcall f_21571(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21581)
static void C_fcall f_21581(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21587)
static void C_ccall f_21587(C_word c,C_word *av) C_noret;
C_noret_decl(f_21594)
static void C_ccall f_21594(C_word c,C_word *av) C_noret;
C_noret_decl(f_21607)
static void C_fcall f_21607(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21613)
static void C_ccall f_21613(C_word c,C_word *av) C_noret;
C_noret_decl(f_21617)
static void C_ccall f_21617(C_word c,C_word *av) C_noret;
C_noret_decl(f_21624)
static void C_ccall f_21624(C_word c,C_word *av) C_noret;
C_noret_decl(f_21632)
static void C_fcall f_21632(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21638)
static void C_fcall f_21638(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21642)
static void C_ccall f_21642(C_word c,C_word *av) C_noret;
C_noret_decl(f_21651)
static void C_fcall f_21651(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21657)
static void C_fcall f_21657(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21664)
static void C_ccall f_21664(C_word c,C_word *av) C_noret;
C_noret_decl(f_21675)
static void C_ccall f_21675(C_word c,C_word *av) C_noret;
C_noret_decl(f_21715)
static void C_ccall f_21715(C_word c,C_word *av) C_noret;
C_noret_decl(f_21724)
static void C_ccall f_21724(C_word c,C_word *av) C_noret;
C_noret_decl(f_21731)
static void C_ccall f_21731(C_word c,C_word *av) C_noret;
C_noret_decl(f_21735)
static void C_ccall f_21735(C_word c,C_word *av) C_noret;
C_noret_decl(f_21739)
static void C_ccall f_21739(C_word c,C_word *av) C_noret;
C_noret_decl(f_21748)
static void C_ccall f_21748(C_word c,C_word *av) C_noret;
C_noret_decl(f_21759)
static void C_ccall f_21759(C_word c,C_word *av) C_noret;
C_noret_decl(f_21797)
static void C_ccall f_21797(C_word c,C_word *av) C_noret;
C_noret_decl(f_21846)
static void C_fcall f_21846(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21850)
static void C_ccall f_21850(C_word c,C_word *av) C_noret;
C_noret_decl(f_21853)
static void C_ccall f_21853(C_word c,C_word *av) C_noret;
C_noret_decl(f_21865)
static void C_ccall f_21865(C_word c,C_word *av) C_noret;
C_noret_decl(f_21885)
static void C_fcall f_21885(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21891)
static void C_ccall f_21891(C_word c,C_word *av) C_noret;
C_noret_decl(f_21901)
static void C_ccall f_21901(C_word c,C_word *av) C_noret;
C_noret_decl(f_22030)
static void C_fcall f_22030(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22037)
static void C_ccall f_22037(C_word c,C_word *av) C_noret;
C_noret_decl(f_22055)
static void C_fcall f_22055(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22061)
static void C_fcall f_22061(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22065)
static void C_ccall f_22065(C_word c,C_word *av) C_noret;
C_noret_decl(f_22101)
static void C_ccall f_22101(C_word c,C_word *av) C_noret;
C_noret_decl(f_22124)
static void C_ccall f_22124(C_word c,C_word *av) C_noret;
C_noret_decl(f_22142)
static void C_fcall f_22142(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22146)
static void C_ccall f_22146(C_word c,C_word *av) C_noret;
C_noret_decl(f_22149)
static void C_ccall f_22149(C_word c,C_word *av) C_noret;
C_noret_decl(f_22155)
static void C_ccall f_22155(C_word c,C_word *av) C_noret;
C_noret_decl(f_22160)
static void C_fcall f_22160(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22179)
static void C_fcall f_22179(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22189)
static void C_ccall f_22189(C_word c,C_word *av) C_noret;
C_noret_decl(f_22193)
static void C_ccall f_22193(C_word c,C_word *av) C_noret;
C_noret_decl(f_22197)
static void C_ccall f_22197(C_word c,C_word *av) C_noret;
C_noret_decl(f_22208)
static void C_ccall f_22208(C_word c,C_word *av) C_noret;
C_noret_decl(f_22234)
static void C_fcall f_22234(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22242)
static void C_ccall f_22242(C_word c,C_word *av) C_noret;
C_noret_decl(f_22246)
static void C_ccall f_22246(C_word c,C_word *av) C_noret;
C_noret_decl(f_22249)
static void C_ccall f_22249(C_word c,C_word *av) C_noret;
C_noret_decl(f_22252)
static void C_ccall f_22252(C_word c,C_word *av) C_noret;
C_noret_decl(f_22258)
static void C_fcall f_22258(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22266)
static void C_ccall f_22266(C_word c,C_word *av) C_noret;
C_noret_decl(f_22272)
static void C_ccall f_22272(C_word c,C_word *av) C_noret;
C_noret_decl(f_22294)
static void C_ccall f_22294(C_word c,C_word *av) C_noret;
C_noret_decl(f_22301)
static void C_ccall f_22301(C_word c,C_word *av) C_noret;
C_noret_decl(f_22310)
static void C_ccall f_22310(C_word c,C_word *av) C_noret;
C_noret_decl(f_22317)
static void C_ccall f_22317(C_word c,C_word *av) C_noret;
C_noret_decl(f_22326)
static void C_ccall f_22326(C_word c,C_word *av) C_noret;
C_noret_decl(f_22335)
static void C_ccall f_22335(C_word c,C_word *av) C_noret;
C_noret_decl(f_22342)
static void C_ccall f_22342(C_word c,C_word *av) C_noret;
C_noret_decl(f_22349)
static void C_ccall f_22349(C_word c,C_word *av) C_noret;
C_noret_decl(f_22353)
static void C_ccall f_22353(C_word c,C_word *av) C_noret;
C_noret_decl(f_22362)
static void C_ccall f_22362(C_word c,C_word *av) C_noret;
C_noret_decl(f_22365)
static void C_ccall f_22365(C_word c,C_word *av) C_noret;
C_noret_decl(f_22383)
static void C_ccall f_22383(C_word c,C_word *av) C_noret;
C_noret_decl(f_22386)
static void C_ccall f_22386(C_word c,C_word *av) C_noret;
C_noret_decl(f_22392)
static void C_fcall f_22392(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22409)
static void C_ccall f_22409(C_word c,C_word *av) C_noret;
C_noret_decl(f_22415)
static void C_ccall f_22415(C_word c,C_word *av) C_noret;
C_noret_decl(f_22443)
static void C_ccall f_22443(C_word c,C_word *av) C_noret;
C_noret_decl(f_22466)
static void C_ccall f_22466(C_word c,C_word *av) C_noret;
C_noret_decl(f_22472)
static void C_fcall f_22472(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22480)
static void C_ccall f_22480(C_word c,C_word *av) C_noret;
C_noret_decl(f_22486)
static void C_ccall f_22486(C_word c,C_word *av) C_noret;
C_noret_decl(f_22511)
static void C_ccall f_22511(C_word c,C_word *av) C_noret;
C_noret_decl(f_22523)
static void C_ccall f_22523(C_word c,C_word *av) C_noret;
C_noret_decl(f_22535)
static void C_ccall f_22535(C_word c,C_word *av) C_noret;
C_noret_decl(f_22547)
static void C_ccall f_22547(C_word c,C_word *av) C_noret;
C_noret_decl(f_22559)
static void C_ccall f_22559(C_word c,C_word *av) C_noret;
C_noret_decl(f_22571)
static void C_ccall f_22571(C_word c,C_word *av) C_noret;
C_noret_decl(f_22583)
static void C_ccall f_22583(C_word c,C_word *av) C_noret;
C_noret_decl(f_22586)
static void C_ccall f_22586(C_word c,C_word *av) C_noret;
C_noret_decl(f_22589)
static void C_ccall f_22589(C_word c,C_word *av) C_noret;
C_noret_decl(f_22594)
static void C_ccall f_22594(C_word c,C_word *av) C_noret;
C_noret_decl(f_22599)
static void C_ccall f_22599(C_word c,C_word *av) C_noret;
C_noret_decl(f_22605)
static void C_ccall f_22605(C_word c,C_word *av) C_noret;
C_noret_decl(f_22647)
static void C_ccall f_22647(C_word c,C_word *av) C_noret;
C_noret_decl(f_22659)
static void C_ccall f_22659(C_word c,C_word *av) C_noret;
C_noret_decl(f_22662)
static void C_ccall f_22662(C_word c,C_word *av) C_noret;
C_noret_decl(f_22674)
static void C_ccall f_22674(C_word c,C_word *av) C_noret;
C_noret_decl(f_22686)
static void C_ccall f_22686(C_word c,C_word *av) C_noret;
C_noret_decl(f_22689)
static void C_ccall f_22689(C_word c,C_word *av) C_noret;
C_noret_decl(f_22701)
static void C_ccall f_22701(C_word c,C_word *av) C_noret;
C_noret_decl(f_22708)
static void C_ccall f_22708(C_word c,C_word *av) C_noret;
C_noret_decl(f_22717)
static void C_ccall f_22717(C_word c,C_word *av) C_noret;
C_noret_decl(f_22720)
static void C_ccall f_22720(C_word c,C_word *av) C_noret;
C_noret_decl(f_22729)
static void C_ccall f_22729(C_word c,C_word *av) C_noret;
C_noret_decl(f_22739)
static void C_ccall f_22739(C_word c,C_word *av) C_noret;
C_noret_decl(f_22748)
static void C_ccall f_22748(C_word c,C_word *av) C_noret;
C_noret_decl(f_22751)
static void C_ccall f_22751(C_word c,C_word *av) C_noret;
C_noret_decl(f_22756)
static void C_ccall f_22756(C_word c,C_word *av) C_noret;
C_noret_decl(f_22761)
static void C_ccall f_22761(C_word c,C_word *av) C_noret;
C_noret_decl(f_22767)
static void C_ccall f_22767(C_word c,C_word *av) C_noret;
C_noret_decl(f_22796)
static void C_ccall f_22796(C_word c,C_word *av) C_noret;
C_noret_decl(f_22808)
static void C_ccall f_22808(C_word c,C_word *av) C_noret;
C_noret_decl(f_22811)
static void C_ccall f_22811(C_word c,C_word *av) C_noret;
C_noret_decl(f_22822)
static void C_ccall f_22822(C_word c,C_word *av) C_noret;
C_noret_decl(f_22831)
static void C_ccall f_22831(C_word c,C_word *av) C_noret;
C_noret_decl(f_22834)
static void C_ccall f_22834(C_word c,C_word *av) C_noret;
C_noret_decl(f_22840)
static void C_fcall f_22840(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22843)
static void C_ccall f_22843(C_word c,C_word *av) C_noret;
C_noret_decl(f_22849)
static void C_ccall f_22849(C_word c,C_word *av) C_noret;
C_noret_decl(f_22868)
static void C_ccall f_22868(C_word c,C_word *av) C_noret;
C_noret_decl(f_22887)
static void C_ccall f_22887(C_word c,C_word *av) C_noret;
C_noret_decl(f_22903)
static void C_ccall f_22903(C_word c,C_word *av) C_noret;
C_noret_decl(f_22909)
static void C_ccall f_22909(C_word c,C_word *av) C_noret;
C_noret_decl(f_22981)
static void C_ccall f_22981(C_word c,C_word *av) C_noret;
C_noret_decl(f_22993)
static void C_ccall f_22993(C_word c,C_word *av) C_noret;
C_noret_decl(f_23071)
static void C_ccall f_23071(C_word c,C_word *av) C_noret;
C_noret_decl(f_23147)
static void C_ccall f_23147(C_word c,C_word *av) C_noret;
C_noret_decl(f_23312)
static void C_ccall f_23312(C_word c,C_word *av) C_noret;
C_noret_decl(f_23324)
static void C_ccall f_23324(C_word c,C_word *av) C_noret;
C_noret_decl(f_23386)
static void C_ccall f_23386(C_word c,C_word *av) C_noret;
C_noret_decl(f_23389)
static void C_fcall f_23389(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23435)
static void C_fcall f_23435(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23439)
static void C_ccall f_23439(C_word c,C_word *av) C_noret;
C_noret_decl(f_23457)
static void C_ccall f_23457(C_word c,C_word *av) C_noret;
C_noret_decl(f_23521)
static void C_ccall f_23521(C_word c,C_word *av) C_noret;
C_noret_decl(f_23532)
static void C_ccall f_23532(C_word c,C_word *av) C_noret;
C_noret_decl(f_23534)
static void C_ccall f_23534(C_word c,C_word *av) C_noret;
C_noret_decl(f_23547)
static void C_ccall f_23547(C_word c,C_word *av) C_noret;
C_noret_decl(f_23559)
static void C_ccall f_23559(C_word c,C_word *av) C_noret;
C_noret_decl(f_23579)
static void C_ccall f_23579(C_word c,C_word *av) C_noret;
C_noret_decl(f_23586)
static void C_ccall f_23586(C_word c,C_word *av) C_noret;
C_noret_decl(f_23595)
static void C_ccall f_23595(C_word c,C_word *av) C_noret;
C_noret_decl(f_23607)
static void C_ccall f_23607(C_word c,C_word *av) C_noret;
C_noret_decl(f_23628)
static void C_ccall f_23628(C_word c,C_word *av) C_noret;
C_noret_decl(f_23643)
static void C_ccall f_23643(C_word c,C_word *av) C_noret;
C_noret_decl(f_23661)
static void C_ccall f_23661(C_word c,C_word *av) C_noret;
C_noret_decl(f_23679)
static void C_ccall f_23679(C_word c,C_word *av) C_noret;
C_noret_decl(f_23698)
static void C_fcall f_23698(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23708)
static void C_ccall f_23708(C_word c,C_word *av) C_noret;
C_noret_decl(f_23722)
static void C_ccall f_23722(C_word c,C_word *av) C_noret;
C_noret_decl(f_23725)
static void C_ccall f_23725(C_word c,C_word *av) C_noret;
C_noret_decl(f_23730)
static void C_ccall f_23730(C_word c,C_word *av) C_noret;
C_noret_decl(f_23749)
static void C_fcall f_23749(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23759)
static void C_ccall f_23759(C_word c,C_word *av) C_noret;
C_noret_decl(f_23773)
static void C_ccall f_23773(C_word c,C_word *av) C_noret;
C_noret_decl(f_23776)
static void C_ccall f_23776(C_word c,C_word *av) C_noret;
C_noret_decl(f_23783)
static void C_ccall f_23783(C_word c,C_word *av) C_noret;
C_noret_decl(f_23787)
static void C_ccall f_23787(C_word c,C_word *av) C_noret;
C_noret_decl(f_23791)
static void C_ccall f_23791(C_word c,C_word *av) C_noret;
C_noret_decl(f_23793)
static void C_ccall f_23793(C_word c,C_word *av) C_noret;
C_noret_decl(f_23800)
static void C_ccall f_23800(C_word c,C_word *av) C_noret;
C_noret_decl(f_23803)
static void C_ccall f_23803(C_word c,C_word *av) C_noret;
C_noret_decl(f_23806)
static void C_ccall f_23806(C_word c,C_word *av) C_noret;
C_noret_decl(f_23808)
static void C_fcall f_23808(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23818)
static void C_ccall f_23818(C_word c,C_word *av) C_noret;
C_noret_decl(f_23824)
static void C_ccall f_23824(C_word c,C_word *av) C_noret;
C_noret_decl(f_23836)
static void C_ccall f_23836(C_word c,C_word *av) C_noret;
C_noret_decl(f_23839)
static void C_ccall f_23839(C_word c,C_word *av) C_noret;
C_noret_decl(f_23842)
static void C_ccall f_23842(C_word c,C_word *av) C_noret;
C_noret_decl(f_23859)
static void C_ccall f_23859(C_word c,C_word *av) C_noret;
C_noret_decl(f_23880)
static void C_fcall f_23880(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23884)
static void C_ccall f_23884(C_word c,C_word *av) C_noret;
C_noret_decl(f_23897)
static void C_ccall f_23897(C_word c,C_word *av) C_noret;
C_noret_decl(f_23900)
static void C_ccall f_23900(C_word c,C_word *av) C_noret;
C_noret_decl(f_23909)
static void C_ccall f_23909(C_word c,C_word *av) C_noret;
C_noret_decl(f_23912)
static void C_ccall f_23912(C_word c,C_word *av) C_noret;
C_noret_decl(f_23940)
static void C_fcall f_23940(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23944)
static void C_ccall f_23944(C_word c,C_word *av) C_noret;
C_noret_decl(f_23953)
static void C_ccall f_23953(C_word c,C_word *av) C_noret;
C_noret_decl(f_23964)
static void C_fcall f_23964(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23971)
static void C_ccall f_23971(C_word c,C_word *av) C_noret;
C_noret_decl(f_23976)
static void C_fcall f_23976(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23998)
static void C_ccall f_23998(C_word c,C_word *av) C_noret;
C_noret_decl(f_24004)
static void C_ccall f_24004(C_word c,C_word *av) C_noret;
C_noret_decl(f_24007)
static void C_ccall f_24007(C_word c,C_word *av) C_noret;
C_noret_decl(f_24018)
static void C_ccall f_24018(C_word c,C_word *av) C_noret;
C_noret_decl(f_24027)
static void C_ccall f_24027(C_word c,C_word *av) C_noret;
C_noret_decl(f_24030)
static void C_ccall f_24030(C_word c,C_word *av) C_noret;
C_noret_decl(f_24053)
static void C_fcall f_24053(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24102)
static void C_fcall f_24102(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24118)
static void C_fcall f_24118(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24125)
static void C_ccall f_24125(C_word c,C_word *av) C_noret;
C_noret_decl(f_24175)
static void C_fcall f_24175(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24232)
static void C_ccall f_24232(C_word c,C_word *av) C_noret;
C_noret_decl(f_24237)
static void C_fcall f_24237(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24286)
static void C_ccall f_24286(C_word c,C_word *av) C_noret;
C_noret_decl(f_24292)
static void C_ccall f_24292(C_word c,C_word *av) C_noret;
C_noret_decl(f_24296)
static void C_fcall f_24296(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24319)
static void C_ccall f_24319(C_word c,C_word *av) C_noret;
C_noret_decl(f_24326)
static void C_ccall f_24326(C_word c,C_word *av) C_noret;
C_noret_decl(f_24345)
static void C_ccall f_24345(C_word c,C_word *av) C_noret;
C_noret_decl(f_24384)
static void C_ccall f_24384(C_word c,C_word *av) C_noret;
C_noret_decl(f_24396)
static void C_ccall f_24396(C_word c,C_word *av) C_noret;
C_noret_decl(f_24402)
static void C_ccall f_24402(C_word c,C_word *av) C_noret;
C_noret_decl(f_24418)
static void C_ccall f_24418(C_word c,C_word *av) C_noret;
C_noret_decl(f_24425)
static void C_ccall f_24425(C_word c,C_word *av) C_noret;
C_noret_decl(f_24434)
static void C_ccall f_24434(C_word c,C_word *av) C_noret;
C_noret_decl(f_24441)
static void C_ccall f_24441(C_word c,C_word *av) C_noret;
C_noret_decl(f_24451)
static void C_ccall f_24451(C_word c,C_word *av) C_noret;
C_noret_decl(f_24460)
static void C_ccall f_24460(C_word c,C_word *av) C_noret;
C_noret_decl(f_24466)
static void C_fcall f_24466(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24479)
static void C_ccall f_24479(C_word c,C_word *av) C_noret;
C_noret_decl(f_24517)
static void C_ccall f_24517(C_word c,C_word *av) C_noret;
C_noret_decl(f_24583)
static void C_ccall f_24583(C_word c,C_word *av) C_noret;
C_noret_decl(f_24586)
static void C_ccall f_24586(C_word c,C_word *av) C_noret;
C_noret_decl(f_24593)
static void C_ccall f_24593(C_word c,C_word *av) C_noret;
C_noret_decl(f_24633)
static void C_ccall f_24633(C_word c,C_word *av) C_noret;
C_noret_decl(f_24636)
static void C_ccall f_24636(C_word c,C_word *av) C_noret;
C_noret_decl(f_24645)
static void C_fcall f_24645(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24655)
static void C_fcall f_24655(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24658)
static void C_ccall f_24658(C_word c,C_word *av) C_noret;
C_noret_decl(f_24667)
static void C_ccall f_24667(C_word c,C_word *av) C_noret;
C_noret_decl(f_24677)
static void C_ccall f_24677(C_word c,C_word *av) C_noret;
C_noret_decl(f_24680)
static void C_ccall f_24680(C_word c,C_word *av) C_noret;
C_noret_decl(f_24706)
static void C_ccall f_24706(C_word c,C_word *av) C_noret;
C_noret_decl(f_24712)
static void C_ccall f_24712(C_word c,C_word *av) C_noret;
C_noret_decl(f_24717)
static void C_fcall f_24717(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24730)
static void C_ccall f_24730(C_word c,C_word *av) C_noret;
C_noret_decl(f_24733)
static void C_ccall f_24733(C_word c,C_word *av) C_noret;
C_noret_decl(f_24744)
static void C_ccall f_24744(C_word c,C_word *av) C_noret;
C_noret_decl(f_24766)
static void C_ccall f_24766(C_word c,C_word *av) C_noret;
C_noret_decl(f_24778)
static void C_ccall f_24778(C_word c,C_word *av) C_noret;
C_noret_decl(f_24781)
static void C_ccall f_24781(C_word c,C_word *av) C_noret;
C_noret_decl(f_24788)
static void C_ccall f_24788(C_word c,C_word *av) C_noret;
C_noret_decl(f_24797)
static void C_ccall f_24797(C_word c,C_word *av) C_noret;
C_noret_decl(f_24800)
static void C_ccall f_24800(C_word c,C_word *av) C_noret;
C_noret_decl(f_24844)
static void C_ccall f_24844(C_word c,C_word *av) C_noret;
C_noret_decl(f_24847)
static void C_ccall f_24847(C_word c,C_word *av) C_noret;
C_noret_decl(f_24856)
static void C_fcall f_24856(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24869)
static void C_ccall f_24869(C_word c,C_word *av) C_noret;
C_noret_decl(f_24872)
static void C_ccall f_24872(C_word c,C_word *av) C_noret;
C_noret_decl(f_24897)
static void C_ccall f_24897(C_word c,C_word *av) C_noret;
C_noret_decl(f_24901)
static void C_ccall f_24901(C_word c,C_word *av) C_noret;
C_noret_decl(f_24911)
static void C_ccall f_24911(C_word c,C_word *av) C_noret;
C_noret_decl(f_24914)
static void C_ccall f_24914(C_word c,C_word *av) C_noret;
C_noret_decl(f_24934)
static void C_ccall f_24934(C_word c,C_word *av) C_noret;
C_noret_decl(f_24947)
static void C_ccall f_24947(C_word c,C_word *av) C_noret;
C_noret_decl(f_24952)
static void C_ccall f_24952(C_word c,C_word *av) C_noret;
C_noret_decl(f_24958)
static void C_ccall f_24958(C_word c,C_word *av) C_noret;
C_noret_decl(f_24964)
static void C_ccall f_24964(C_word c,C_word *av) C_noret;
C_noret_decl(f_24968)
static void C_ccall f_24968(C_word c,C_word *av) C_noret;
C_noret_decl(f_24971)
static void C_ccall f_24971(C_word c,C_word *av) C_noret;
C_noret_decl(f_24986)
static void C_ccall f_24986(C_word c,C_word *av) C_noret;
C_noret_decl(f_24989)
static void C_ccall f_24989(C_word c,C_word *av) C_noret;
C_noret_decl(f_25007)
static void C_ccall f_25007(C_word c,C_word *av) C_noret;
C_noret_decl(f_25009)
static void C_ccall f_25009(C_word c,C_word *av) C_noret;
C_noret_decl(f_25015)
static void C_ccall f_25015(C_word c,C_word *av) C_noret;
C_noret_decl(f_25024)
static void C_ccall f_25024(C_word c,C_word *av) C_noret;
C_noret_decl(f_25030)
static void C_ccall f_25030(C_word c,C_word *av) C_noret;
C_noret_decl(f_25037)
static void C_ccall f_25037(C_word c,C_word *av) C_noret;
C_noret_decl(f_25040)
static void C_ccall f_25040(C_word c,C_word *av) C_noret;
C_noret_decl(f_25043)
static void C_ccall f_25043(C_word c,C_word *av) C_noret;
C_noret_decl(f_25052)
static void C_ccall f_25052(C_word c,C_word *av) C_noret;
C_noret_decl(f_25068)
static void C_ccall f_25068(C_word c,C_word *av) C_noret;
C_noret_decl(f_25083)
static void C_ccall f_25083(C_word c,C_word *av) C_noret;
C_noret_decl(f_25085)
static void C_ccall f_25085(C_word c,C_word *av) C_noret;
C_noret_decl(f_25091)
static void C_ccall f_25091(C_word c,C_word *av) C_noret;
C_noret_decl(f_25097)
static void C_ccall f_25097(C_word c,C_word *av) C_noret;
C_noret_decl(f_25101)
static void C_ccall f_25101(C_word c,C_word *av) C_noret;
C_noret_decl(f_25104)
static void C_ccall f_25104(C_word c,C_word *av) C_noret;
C_noret_decl(f_25107)
static void C_ccall f_25107(C_word c,C_word *av) C_noret;
C_noret_decl(f_25111)
static void C_ccall f_25111(C_word c,C_word *av) C_noret;
C_noret_decl(f_25115)
static void C_ccall f_25115(C_word c,C_word *av) C_noret;
C_noret_decl(f_25119)
static void C_ccall f_25119(C_word c,C_word *av) C_noret;
C_noret_decl(f_25122)
static void C_ccall f_25122(C_word c,C_word *av) C_noret;
C_noret_decl(f_25125)
static void C_ccall f_25125(C_word c,C_word *av) C_noret;
C_noret_decl(f_25128)
static void C_ccall f_25128(C_word c,C_word *av) C_noret;
C_noret_decl(f_25140)
static void C_ccall f_25140(C_word c,C_word *av) C_noret;
C_noret_decl(f_25146)
static void C_ccall f_25146(C_word c,C_word *av) C_noret;
C_noret_decl(f_25150)
static void C_ccall f_25150(C_word c,C_word *av) C_noret;
C_noret_decl(f_25153)
static void C_ccall f_25153(C_word c,C_word *av) C_noret;
C_noret_decl(f_25156)
static void C_ccall f_25156(C_word c,C_word *av) C_noret;
C_noret_decl(f_25159)
static void C_ccall f_25159(C_word c,C_word *av) C_noret;
C_noret_decl(f_25162)
static void C_ccall f_25162(C_word c,C_word *av) C_noret;
C_noret_decl(f_25165)
static void C_ccall f_25165(C_word c,C_word *av) C_noret;
C_noret_decl(f_25170)
static void C_ccall f_25170(C_word c,C_word *av) C_noret;
C_noret_decl(f_25192)
static void C_ccall f_25192(C_word c,C_word *av) C_noret;
C_noret_decl(f_25198)
static void C_ccall f_25198(C_word c,C_word *av) C_noret;
C_noret_decl(f_25201)
static void C_ccall f_25201(C_word c,C_word *av) C_noret;
C_noret_decl(f_25226)
static void C_ccall f_25226(C_word c,C_word *av) C_noret;
C_noret_decl(f_25229)
static void C_fcall f_25229(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25236)
static void C_ccall f_25236(C_word c,C_word *av) C_noret;
C_noret_decl(f_25249)
static void C_fcall f_25249(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25259)
static void C_ccall f_25259(C_word c,C_word *av) C_noret;
C_noret_decl(f_25264)
static void C_ccall f_25264(C_word c,C_word *av) C_noret;
C_noret_decl(f_25270)
static void C_ccall f_25270(C_word c,C_word *av) C_noret;
C_noret_decl(f_25297)
static void C_ccall f_25297(C_word c,C_word *av) C_noret;
C_noret_decl(f_25303)
static void C_fcall f_25303(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25314)
static void C_ccall f_25314(C_word c,C_word *av) C_noret;
C_noret_decl(f_25320)
static void C_fcall f_25320(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25323)
static void C_ccall f_25323(C_word c,C_word *av) C_noret;
C_noret_decl(f_25328)
static void C_ccall f_25328(C_word c,C_word *av) C_noret;
C_noret_decl(f_25334)
static void C_ccall f_25334(C_word c,C_word *av) C_noret;
C_noret_decl(f_25358)
static void C_ccall f_25358(C_word c,C_word *av) C_noret;
C_noret_decl(f_25366)
static void C_ccall f_25366(C_word c,C_word *av) C_noret;
C_noret_decl(f_25383)
static void C_ccall f_25383(C_word c,C_word *av) C_noret;
C_noret_decl(f_25423)
static void C_ccall f_25423(C_word c,C_word *av) C_noret;
C_noret_decl(f_25430)
static void C_ccall f_25430(C_word c,C_word *av) C_noret;
C_noret_decl(f_25442)
static void C_ccall f_25442(C_word c,C_word *av) C_noret;
C_noret_decl(f_25446)
static void C_ccall f_25446(C_word c,C_word *av) C_noret;
C_noret_decl(f_25459)
static void C_ccall f_25459(C_word c,C_word *av) C_noret;
C_noret_decl(f_25461)
static void C_ccall f_25461(C_word c,C_word *av) C_noret;
C_noret_decl(f_25495)
static void C_ccall f_25495(C_word c,C_word *av) C_noret;
C_noret_decl(f_25499)
static void C_ccall f_25499(C_word c,C_word *av) C_noret;
C_noret_decl(f_25500)
static void C_fcall f_25500(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25510)
static void C_ccall f_25510(C_word c,C_word *av) C_noret;
C_noret_decl(f_25515)
static void C_fcall f_25515(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25525)
static void C_ccall f_25525(C_word c,C_word *av) C_noret;
C_noret_decl(f_25538)
static void C_ccall f_25538(C_word c,C_word *av) C_noret;
C_noret_decl(f_25549)
static void C_ccall f_25549(C_word c,C_word *av) C_noret;
C_noret_decl(f_25553)
static void C_ccall f_25553(C_word c,C_word *av) C_noret;
C_noret_decl(f_25557)
static void C_ccall f_25557(C_word c,C_word *av) C_noret;
C_noret_decl(f_25579)
static void C_ccall f_25579(C_word c,C_word *av) C_noret;
C_noret_decl(f_25583)
static void C_ccall f_25583(C_word c,C_word *av) C_noret;
C_noret_decl(f_25591)
static void C_ccall f_25591(C_word c,C_word *av) C_noret;
C_noret_decl(f_25607)
static void C_ccall f_25607(C_word c,C_word *av) C_noret;
C_noret_decl(f_25618)
static void C_fcall f_25618(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25637)
static void C_fcall f_25637(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25648)
static void C_ccall f_25648(C_word c,C_word *av) C_noret;
C_noret_decl(f_25656)
static void C_ccall f_25656(C_word c,C_word *av) C_noret;
C_noret_decl(f_25735)
static void C_ccall f_25735(C_word c,C_word *av) C_noret;
C_noret_decl(f_25745)
static void C_ccall f_25745(C_word c,C_word *av) C_noret;
C_noret_decl(f_25746)
static void C_fcall f_25746(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25759)
static void C_ccall f_25759(C_word c,C_word *av) C_noret;
C_noret_decl(f_25762)
static void C_ccall f_25762(C_word c,C_word *av) C_noret;
C_noret_decl(f_25765)
static void C_ccall f_25765(C_word c,C_word *av) C_noret;
C_noret_decl(f_25768)
static void C_ccall f_25768(C_word c,C_word *av) C_noret;
C_noret_decl(f_25776)
static void C_ccall f_25776(C_word c,C_word *av) C_noret;
C_noret_decl(f_25783)
static void C_fcall f_25783(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25786)
static void C_ccall f_25786(C_word c,C_word *av) C_noret;
C_noret_decl(f_25789)
static void C_ccall f_25789(C_word c,C_word *av) C_noret;
C_noret_decl(f_25812)
static void C_ccall f_25812(C_word c,C_word *av) C_noret;
C_noret_decl(f_25817)
static void C_fcall f_25817(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25827)
static void C_ccall f_25827(C_word c,C_word *av) C_noret;
C_noret_decl(f_25840)
static void C_ccall f_25840(C_word c,C_word *av) C_noret;
C_noret_decl(f_25871)
static void C_ccall f_25871(C_word c,C_word *av) C_noret;
C_noret_decl(f_25881)
static void C_ccall f_25881(C_word c,C_word *av) C_noret;
C_noret_decl(f_25931)
static void C_ccall f_25931(C_word c,C_word *av) C_noret;
C_noret_decl(f_25934)
static void C_ccall f_25934(C_word c,C_word *av) C_noret;
C_noret_decl(f_25953)
static void C_fcall f_25953(C_word t0) C_noret;
C_noret_decl(f_25958)
static void C_ccall f_25958(C_word c,C_word *av) C_noret;
C_noret_decl(f_25964)
static void C_ccall f_25964(C_word c,C_word *av) C_noret;
C_noret_decl(f_25967)
static void C_ccall f_25967(C_word c,C_word *av) C_noret;
C_noret_decl(f_25973)
static void C_ccall f_25973(C_word c,C_word *av) C_noret;
C_noret_decl(f_25981)
static void C_fcall f_25981(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26000)
static void C_ccall f_26000(C_word c,C_word *av) C_noret;
C_noret_decl(f_26005)
static void C_fcall f_26005(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26015)
static void C_ccall f_26015(C_word c,C_word *av) C_noret;
C_noret_decl(f_26029)
static void C_ccall f_26029(C_word c,C_word *av) C_noret;
C_noret_decl(f_26036)
static void C_ccall f_26036(C_word c,C_word *av) C_noret;
C_noret_decl(f_26040)
static void C_ccall f_26040(C_word c,C_word *av) C_noret;
C_noret_decl(f_26044)
static void C_ccall f_26044(C_word c,C_word *av) C_noret;
C_noret_decl(f_26046)
static void C_ccall f_26046(C_word c,C_word *av) C_noret;
C_noret_decl(f_26072)
static void C_ccall f_26072(C_word c,C_word *av) C_noret;
C_noret_decl(f_26075)
static void C_ccall f_26075(C_word c,C_word *av) C_noret;
C_noret_decl(f_26078)
static void C_ccall f_26078(C_word c,C_word *av) C_noret;
C_noret_decl(f_26085)
static void C_ccall f_26085(C_word c,C_word *av) C_noret;
C_noret_decl(f_26089)
static void C_ccall f_26089(C_word c,C_word *av) C_noret;
C_noret_decl(f_26095)
static void C_ccall f_26095(C_word c,C_word *av) C_noret;
C_noret_decl(f_26100)
static void C_fcall f_26100(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26110)
static void C_ccall f_26110(C_word c,C_word *av) C_noret;
C_noret_decl(f_26127)
static void C_fcall f_26127(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26148)
static void C_fcall f_26148(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26151)
static void C_fcall f_26151(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26171)
static void C_fcall f_26171(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26179)
static void C_ccall f_26179(C_word c,C_word *av) C_noret;
C_noret_decl(f_26313)
static void C_ccall f_26313(C_word c,C_word *av) C_noret;
C_noret_decl(f_26330)
static void C_ccall f_26330(C_word c,C_word *av) C_noret;
C_noret_decl(f_26334)
static void C_ccall f_26334(C_word c,C_word *av) C_noret;
C_noret_decl(f_26347)
static void C_ccall f_26347(C_word c,C_word *av) C_noret;
C_noret_decl(f_26356)
static void C_ccall f_26356(C_word c,C_word *av) C_noret;
C_noret_decl(f_26359)
static void C_ccall f_26359(C_word c,C_word *av) C_noret;
C_noret_decl(f_26363)
static void C_ccall f_26363(C_word c,C_word *av) C_noret;
C_noret_decl(f_26402)
static void C_ccall f_26402(C_word c,C_word *av) C_noret;
C_noret_decl(f_26405)
static void C_ccall f_26405(C_word c,C_word *av) C_noret;
C_noret_decl(f_26412)
static void C_ccall f_26412(C_word c,C_word *av) C_noret;
C_noret_decl(f_26416)
static void C_ccall f_26416(C_word c,C_word *av) C_noret;
C_noret_decl(f_26442)
static void C_ccall f_26442(C_word c,C_word *av) C_noret;
C_noret_decl(f_26473)
static void C_ccall f_26473(C_word c,C_word *av) C_noret;
C_noret_decl(f_26476)
static void C_ccall f_26476(C_word c,C_word *av) C_noret;
C_noret_decl(f_26488)
static void C_ccall f_26488(C_word c,C_word *av) C_noret;
C_noret_decl(f_26491)
static void C_ccall f_26491(C_word c,C_word *av) C_noret;
C_noret_decl(f_26494)
static void C_ccall f_26494(C_word c,C_word *av) C_noret;
C_noret_decl(f_26519)
static void C_ccall f_26519(C_word c,C_word *av) C_noret;
C_noret_decl(f_26525)
static void C_ccall f_26525(C_word c,C_word *av) C_noret;
C_noret_decl(f_26529)
static void C_ccall f_26529(C_word c,C_word *av) C_noret;
C_noret_decl(f_26533)
static void C_ccall f_26533(C_word c,C_word *av) C_noret;
C_noret_decl(f_26546)
static void C_ccall f_26546(C_word c,C_word *av) C_noret;
C_noret_decl(f_26548)
static C_word C_fcall f_26548(C_word t0,C_word t1);
C_noret_decl(f_26554)
static C_word C_fcall f_26554(C_word t0);
C_noret_decl(f_26559)
static C_word C_fcall f_26559(C_word t0);
C_noret_decl(f_26594)
static void C_fcall f_26594(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26600)
static void C_fcall f_26600(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26616)
static void C_fcall f_26616(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26638)
static void C_ccall f_26638(C_word c,C_word *av) C_noret;
C_noret_decl(f_26662)
static void C_ccall f_26662(C_word c,C_word *av) C_noret;
C_noret_decl(f_26674)
static void C_ccall f_26674(C_word c,C_word *av) C_noret;
C_noret_decl(f_26676)
static void C_ccall f_26676(C_word c,C_word *av) C_noret;
C_noret_decl(f_26695)
static void C_ccall f_26695(C_word c,C_word *av) C_noret;
C_noret_decl(f_26699)
static void C_ccall f_26699(C_word c,C_word *av) C_noret;
C_noret_decl(f_26711)
static void C_ccall f_26711(C_word c,C_word *av) C_noret;
C_noret_decl(f_26713)
static void C_fcall f_26713(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26757)
static void C_ccall f_26757(C_word c,C_word *av) C_noret;
C_noret_decl(f_26759)
static void C_fcall f_26759(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26793)
static C_word C_fcall f_26793(C_word t0);
C_noret_decl(f_26816)
static void C_ccall f_26816(C_word c,C_word *av) C_noret;
C_noret_decl(f_26823)
static void C_ccall f_26823(C_word c,C_word *av) C_noret;
C_noret_decl(f_26833)
static void C_ccall f_26833(C_word c,C_word *av) C_noret;
C_noret_decl(f_26835)
static void C_fcall f_26835(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26885)
static void C_ccall f_26885(C_word c,C_word *av) C_noret;
C_noret_decl(f_26887)
static void C_fcall f_26887(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26912)
static void C_ccall f_26912(C_word c,C_word *av) C_noret;
C_noret_decl(f_26921)
static void C_ccall f_26921(C_word c,C_word *av) C_noret;
C_noret_decl(f_26927)
static void C_ccall f_26927(C_word c,C_word *av) C_noret;
C_noret_decl(f_26931)
static void C_ccall f_26931(C_word c,C_word *av) C_noret;
C_noret_decl(f_26935)
static void C_fcall f_26935(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26943)
static void C_ccall f_26943(C_word c,C_word *av) C_noret;
C_noret_decl(f_26949)
static void C_fcall f_26949(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26980)
static void C_ccall f_26980(C_word c,C_word *av) C_noret;
C_noret_decl(f_27005)
static void C_fcall f_27005(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27030)
static void C_ccall f_27030(C_word c,C_word *av) C_noret;
C_noret_decl(f_27040)
static void C_ccall f_27040(C_word c,C_word *av) C_noret;
C_noret_decl(f_27045)
static void C_ccall f_27045(C_word c,C_word *av) C_noret;
C_noret_decl(f_27047)
static void C_ccall f_27047(C_word c,C_word *av) C_noret;
C_noret_decl(f_27054)
static void C_ccall f_27054(C_word c,C_word *av) C_noret;
C_noret_decl(f_27066)
static void C_ccall f_27066(C_word c,C_word *av) C_noret;
C_noret_decl(f_27074)
static void C_ccall f_27074(C_word c,C_word *av) C_noret;
C_noret_decl(f_27112)
static void C_ccall f_27112(C_word c,C_word *av) C_noret;
C_noret_decl(f_27116)
static void C_ccall f_27116(C_word c,C_word *av) C_noret;
C_noret_decl(f_27123)
static void C_ccall f_27123(C_word c,C_word *av) C_noret;
C_noret_decl(f_27126)
static void C_ccall f_27126(C_word c,C_word *av) C_noret;
C_noret_decl(f_27129)
static void C_ccall f_27129(C_word c,C_word *av) C_noret;
C_noret_decl(f_27130)
static void C_fcall f_27130(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27132)
static void C_fcall f_27132(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27136)
static void C_ccall f_27136(C_word c,C_word *av) C_noret;
C_noret_decl(f_27141)
static void C_ccall f_27141(C_word c,C_word *av) C_noret;
C_noret_decl(f_27153)
static void C_fcall f_27153(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27163)
static void C_ccall f_27163(C_word c,C_word *av) C_noret;
C_noret_decl(f_27175)
static void C_ccall f_27175(C_word c,C_word *av) C_noret;
C_noret_decl(f_27177)
static void C_fcall f_27177(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_27184)
static void C_ccall f_27184(C_word c,C_word *av) C_noret;
C_noret_decl(f_27187)
static void C_ccall f_27187(C_word c,C_word *av) C_noret;
C_noret_decl(f_27193)
static void C_fcall f_27193(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27196)
static void C_ccall f_27196(C_word c,C_word *av) C_noret;
C_noret_decl(f_27199)
static void C_ccall f_27199(C_word c,C_word *av) C_noret;
C_noret_decl(f_27202)
static void C_ccall f_27202(C_word c,C_word *av) C_noret;
C_noret_decl(f_27217)
static void C_ccall f_27217(C_word c,C_word *av) C_noret;
C_noret_decl(f_27223)
static void C_ccall f_27223(C_word c,C_word *av) C_noret;
C_noret_decl(f_27231)
static void C_fcall f_27231(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27235)
static void C_ccall f_27235(C_word c,C_word *av) C_noret;
C_noret_decl(f_27238)
static void C_ccall f_27238(C_word c,C_word *av) C_noret;
C_noret_decl(f_27241)
static void C_ccall f_27241(C_word c,C_word *av) C_noret;
C_noret_decl(f_27254)
static void C_ccall f_27254(C_word c,C_word *av) C_noret;
C_noret_decl(f_27258)
static void C_ccall f_27258(C_word c,C_word *av) C_noret;
C_noret_decl(f_27279)
static void C_ccall f_27279(C_word c,C_word *av) C_noret;
C_noret_decl(f_27295)
static void C_ccall f_27295(C_word c,C_word *av) C_noret;
C_noret_decl(f_27298)
static void C_ccall f_27298(C_word c,C_word *av) C_noret;
C_noret_decl(f_27304)
static void C_ccall f_27304(C_word c,C_word *av) C_noret;
C_noret_decl(f_27326)
static void C_fcall f_27326(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27331)
static void C_fcall f_27331(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27366)
static void C_ccall f_27366(C_word c,C_word *av) C_noret;
C_noret_decl(f_27376)
static void C_ccall f_27376(C_word c,C_word *av) C_noret;
C_noret_decl(f_27379)
static void C_ccall f_27379(C_word c,C_word *av) C_noret;
C_noret_decl(f_27382)
static void C_ccall f_27382(C_word c,C_word *av) C_noret;
C_noret_decl(f_27385)
static void C_ccall f_27385(C_word c,C_word *av) C_noret;
C_noret_decl(f_27388)
static void C_ccall f_27388(C_word c,C_word *av) C_noret;
C_noret_decl(f_27391)
static void C_ccall f_27391(C_word c,C_word *av) C_noret;
C_noret_decl(f_27398)
static void C_ccall f_27398(C_word c,C_word *av) C_noret;
C_noret_decl(f_27401)
static void C_ccall f_27401(C_word c,C_word *av) C_noret;
C_noret_decl(f_27404)
static void C_ccall f_27404(C_word c,C_word *av) C_noret;
C_noret_decl(f_27415)
static void C_ccall f_27415(C_word c,C_word *av) C_noret;
C_noret_decl(f_27438)
static void C_ccall f_27438(C_word c,C_word *av) C_noret;
C_noret_decl(f_27449)
static void C_ccall f_27449(C_word c,C_word *av) C_noret;
C_noret_decl(f_27453)
static void C_ccall f_27453(C_word c,C_word *av) C_noret;
C_noret_decl(f_27475)
static void C_ccall f_27475(C_word c,C_word *av) C_noret;
C_noret_decl(f_27486)
static void C_ccall f_27486(C_word c,C_word *av) C_noret;
C_noret_decl(f_27490)
static void C_ccall f_27490(C_word c,C_word *av) C_noret;
C_noret_decl(f_28071)
static void C_ccall f_28071(C_word c,C_word *av) C_noret;
C_noret_decl(f_28074)
static void C_ccall f_28074(C_word c,C_word *av) C_noret;
C_noret_decl(f_28077)
static void C_ccall f_28077(C_word c,C_word *av) C_noret;
C_noret_decl(f_28080)
static void C_ccall f_28080(C_word c,C_word *av) C_noret;
C_noret_decl(f_28085)
static void C_ccall f_28085(C_word c,C_word *av) C_noret;
C_noret_decl(f_28088)
static void C_ccall f_28088(C_word c,C_word *av) C_noret;
C_noret_decl(f_28091)
static void C_ccall f_28091(C_word c,C_word *av) C_noret;
C_noret_decl(f_28094)
static void C_ccall f_28094(C_word c,C_word *av) C_noret;
C_noret_decl(f_28097)
static void C_ccall f_28097(C_word c,C_word *av) C_noret;
C_noret_decl(f_28100)
static void C_ccall f_28100(C_word c,C_word *av) C_noret;
C_noret_decl(f_28103)
static void C_ccall f_28103(C_word c,C_word *av) C_noret;
C_noret_decl(f_28106)
static void C_ccall f_28106(C_word c,C_word *av) C_noret;
C_noret_decl(f_28123)
static void C_ccall f_28123(C_word c,C_word *av) C_noret;
C_noret_decl(f_28127)
static void C_ccall f_28127(C_word c,C_word *av) C_noret;
C_noret_decl(f_28129)
static void C_ccall f_28129(C_word c,C_word *av) C_noret;
C_noret_decl(f_28137)
static void C_ccall f_28137(C_word c,C_word *av) C_noret;
C_noret_decl(f_28139)
static void C_ccall f_28139(C_word c,C_word *av) C_noret;
C_noret_decl(f_28143)
static void C_ccall f_28143(C_word c,C_word *av) C_noret;
C_noret_decl(f_28145)
static void C_ccall f_28145(C_word c,C_word *av) C_noret;
C_noret_decl(f_28152)
static void C_ccall f_28152(C_word c,C_word *av) C_noret;
C_noret_decl(f_28162)
static void C_ccall f_28162(C_word c,C_word *av) C_noret;
C_noret_decl(f_28187)
static void C_ccall f_28187(C_word c,C_word *av) C_noret;
C_noret_decl(f_28190)
static void C_ccall f_28190(C_word c,C_word *av) C_noret;
C_noret_decl(f_28193)
static void C_ccall f_28193(C_word c,C_word *av) C_noret;
C_noret_decl(f_28196)
static void C_ccall f_28196(C_word c,C_word *av) C_noret;
C_noret_decl(f_28199)
static void C_ccall f_28199(C_word c,C_word *av) C_noret;
C_noret_decl(f_28209)
static void C_ccall f_28209(C_word c,C_word *av) C_noret;
C_noret_decl(f_28215)
static void C_ccall f_28215(C_word c,C_word *av) C_noret;
C_noret_decl(f_28219)
static void C_ccall f_28219(C_word c,C_word *av) C_noret;
C_noret_decl(f_28221)
static void C_ccall f_28221(C_word c,C_word *av) C_noret;
C_noret_decl(f_28231)
static void C_ccall f_28231(C_word c,C_word *av) C_noret;
C_noret_decl(f_28237)
static void C_ccall f_28237(C_word c,C_word *av) C_noret;
C_noret_decl(f_28241)
static void C_ccall f_28241(C_word c,C_word *av) C_noret;
C_noret_decl(f_28243)
static void C_ccall f_28243(C_word c,C_word *av) C_noret;
C_noret_decl(f_28248)
static void C_ccall f_28248(C_word c,C_word *av) C_noret;
C_noret_decl(f_28250)
static void C_ccall f_28250(C_word c,C_word *av) C_noret;
C_noret_decl(f_28253)
static void C_ccall f_28253(C_word c,C_word *av) C_noret;
C_noret_decl(f_28273)
static void C_ccall f_28273(C_word c,C_word *av) C_noret;
C_noret_decl(f_28279)
static void C_fcall f_28279(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28289)
static void C_ccall f_28289(C_word c,C_word *av) C_noret;
C_noret_decl(f_28299)
static void C_ccall f_28299(C_word c,C_word *av) C_noret;
C_noret_decl(f_28334)
static void C_ccall f_28334(C_word c,C_word *av) C_noret;
C_noret_decl(f_28338)
static void C_ccall f_28338(C_word c,C_word *av) C_noret;
C_noret_decl(f_28343)
static void C_fcall f_28343(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28353)
static void C_ccall f_28353(C_word c,C_word *av) C_noret;
C_noret_decl(f_28363)
static void C_ccall f_28363(C_word c,C_word *av) C_noret;
C_noret_decl(f_28372)
static void C_ccall f_28372(C_word c,C_word *av) C_noret;
C_noret_decl(f_28375)
static void C_ccall f_28375(C_word c,C_word *av) C_noret;
C_noret_decl(f_28378)
static void C_ccall f_28378(C_word c,C_word *av) C_noret;
C_noret_decl(f_28385)
static void C_ccall f_28385(C_word c,C_word *av) C_noret;
C_noret_decl(f_28392)
static void C_ccall f_28392(C_word c,C_word *av) C_noret;
C_noret_decl(f_28395)
static void C_ccall f_28395(C_word c,C_word *av) C_noret;
C_noret_decl(f_28399)
static void C_ccall f_28399(C_word c,C_word *av) C_noret;
C_noret_decl(f_28401)
static void C_ccall f_28401(C_word c,C_word *av) C_noret;
C_noret_decl(f_28404)
static void C_ccall f_28404(C_word c,C_word *av) C_noret;
C_noret_decl(f_28407)
static void C_ccall f_28407(C_word c,C_word *av) C_noret;
C_noret_decl(f_28410)
static void C_ccall f_28410(C_word c,C_word *av) C_noret;
C_noret_decl(f_28413)
static void C_ccall f_28413(C_word c,C_word *av) C_noret;
C_noret_decl(f_28416)
static void C_ccall f_28416(C_word c,C_word *av) C_noret;
C_noret_decl(f_28419)
static void C_ccall f_28419(C_word c,C_word *av) C_noret;
C_noret_decl(f_28422)
static void C_ccall f_28422(C_word c,C_word *av) C_noret;
C_noret_decl(f_28425)
static void C_ccall f_28425(C_word c,C_word *av) C_noret;
C_noret_decl(f_28428)
static void C_ccall f_28428(C_word c,C_word *av) C_noret;
C_noret_decl(f_28431)
static void C_ccall f_28431(C_word c,C_word *av) C_noret;
C_noret_decl(f_28435)
static void C_ccall f_28435(C_word c,C_word *av) C_noret;
C_noret_decl(f_28438)
static void C_ccall f_28438(C_word c,C_word *av) C_noret;
C_noret_decl(f_28454)
static void C_ccall f_28454(C_word c,C_word *av) C_noret;
C_noret_decl(f_28462)
static void C_ccall f_28462(C_word c,C_word *av) C_noret;
C_noret_decl(f_28465)
static void C_ccall f_28465(C_word c,C_word *av) C_noret;
C_noret_decl(f_28471)
static void C_ccall f_28471(C_word c,C_word *av) C_noret;
C_noret_decl(f_28480)
static void C_ccall f_28480(C_word c,C_word *av) C_noret;
C_noret_decl(f_28486)
static void C_ccall f_28486(C_word c,C_word *av) C_noret;
C_noret_decl(f_28495)
static void C_ccall f_28495(C_word c,C_word *av) C_noret;
C_noret_decl(f_28501)
static void C_ccall f_28501(C_word c,C_word *av) C_noret;
C_noret_decl(f_28507)
static void C_ccall f_28507(C_word c,C_word *av) C_noret;
C_noret_decl(f_28510)
static void C_ccall f_28510(C_word c,C_word *av) C_noret;
C_noret_decl(f_28514)
static void C_ccall f_28514(C_word c,C_word *av) C_noret;
C_noret_decl(f_28517)
static void C_ccall f_28517(C_word c,C_word *av) C_noret;
C_noret_decl(f_28522)
static void C_ccall f_28522(C_word c,C_word *av) C_noret;
C_noret_decl(f_28524)
static void C_ccall f_28524(C_word c,C_word *av) C_noret;
C_noret_decl(f_28528)
static void C_ccall f_28528(C_word c,C_word *av) C_noret;
C_noret_decl(f_28555)
static void C_fcall f_28555(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28565)
static void C_ccall f_28565(C_word c,C_word *av) C_noret;
C_noret_decl(f_28574)
static void C_ccall f_28574(C_word c,C_word *av) C_noret;
C_noret_decl(f_28581)
static void C_ccall f_28581(C_word c,C_word *av) C_noret;
C_noret_decl(f_28585)
static void C_ccall f_28585(C_word c,C_word *av) C_noret;
C_noret_decl(f_28599)
static void C_fcall f_28599(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28603)
static void C_ccall f_28603(C_word c,C_word *av) C_noret;
C_noret_decl(f_28610)
static void C_ccall f_28610(C_word c,C_word *av) C_noret;
C_noret_decl(f_28612)
static void C_fcall f_28612(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28634)
static void C_ccall f_28634(C_word c,C_word *av) C_noret;
C_noret_decl(f_28641)
static void C_ccall f_28641(C_word c,C_word *av) C_noret;
C_noret_decl(f_28646)
static void C_fcall f_28646(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28650)
static void C_ccall f_28650(C_word c,C_word *av) C_noret;
C_noret_decl(f_28653)
static void C_ccall f_28653(C_word c,C_word *av) C_noret;
C_noret_decl(f_28656)
static void C_ccall f_28656(C_word c,C_word *av) C_noret;
C_noret_decl(f_28661)
static void C_fcall f_28661(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28665)
static void C_ccall f_28665(C_word c,C_word *av) C_noret;
C_noret_decl(f_28691)
static void C_ccall f_28691(C_word c,C_word *av) C_noret;
C_noret_decl(f_28704)
static void C_ccall f_28704(C_word c,C_word *av) C_noret;
C_noret_decl(f_28707)
static void C_ccall f_28707(C_word c,C_word *av) C_noret;
C_noret_decl(f_28716)
static void C_ccall f_28716(C_word c,C_word *av) C_noret;
C_noret_decl(f_28719)
static void C_ccall f_28719(C_word c,C_word *av) C_noret;
C_noret_decl(f_28722)
static void C_ccall f_28722(C_word c,C_word *av) C_noret;
C_noret_decl(f_28728)
static void C_ccall f_28728(C_word c,C_word *av) C_noret;
C_noret_decl(f_28735)
static void C_ccall f_28735(C_word c,C_word *av) C_noret;
C_noret_decl(f_28737)
static void C_fcall f_28737(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28750)
static void C_ccall f_28750(C_word c,C_word *av) C_noret;
C_noret_decl(f_28763)
static void C_ccall f_28763(C_word c,C_word *av) C_noret;
C_noret_decl(f_28766)
static void C_ccall f_28766(C_word c,C_word *av) C_noret;
C_noret_decl(f_28769)
static void C_ccall f_28769(C_word c,C_word *av) C_noret;
C_noret_decl(f_28776)
static void C_ccall f_28776(C_word c,C_word *av) C_noret;
C_noret_decl(f_28829)
static void C_ccall f_28829(C_word c,C_word *av) C_noret;
C_noret_decl(f_28832)
static void C_ccall f_28832(C_word c,C_word *av) C_noret;
C_noret_decl(f_28835)
static void C_ccall f_28835(C_word c,C_word *av) C_noret;
C_noret_decl(f_28837)
static void C_fcall f_28837(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28841)
static void C_ccall f_28841(C_word c,C_word *av) C_noret;
C_noret_decl(f_28845)
static void C_ccall f_28845(C_word c,C_word *av) C_noret;
C_noret_decl(f_28851)
static void C_ccall f_28851(C_word c,C_word *av) C_noret;
C_noret_decl(f_28856)
static void C_fcall f_28856(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28860)
static void C_ccall f_28860(C_word c,C_word *av) C_noret;
C_noret_decl(f_28872)
static void C_ccall f_28872(C_word c,C_word *av) C_noret;
C_noret_decl(f_28884)
static void C_ccall f_28884(C_word c,C_word *av) C_noret;
C_noret_decl(f_28891)
static void C_ccall f_28891(C_word c,C_word *av) C_noret;
C_noret_decl(f_28897)
static void C_fcall f_28897(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28911)
static void C_ccall f_28911(C_word c,C_word *av) C_noret;
C_noret_decl(f_28920)
static void C_fcall f_28920(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28950)
static void C_ccall f_28950(C_word c,C_word *av) C_noret;
C_noret_decl(f_28969)
static void C_ccall f_28969(C_word c,C_word *av) C_noret;
C_noret_decl(f_28992)
static void C_ccall f_28992(C_word c,C_word *av) C_noret;
C_noret_decl(f_29001)
static void C_ccall f_29001(C_word c,C_word *av) C_noret;
C_noret_decl(f_29008)
static void C_ccall f_29008(C_word c,C_word *av) C_noret;
C_noret_decl(f_29025)
static void C_ccall f_29025(C_word c,C_word *av) C_noret;
C_noret_decl(f_29033)
static void C_ccall f_29033(C_word c,C_word *av) C_noret;
C_noret_decl(f_29044)
static void C_ccall f_29044(C_word c,C_word *av) C_noret;
C_noret_decl(f_29052)
static void C_ccall f_29052(C_word c,C_word *av) C_noret;
C_noret_decl(f_29059)
static void C_ccall f_29059(C_word c,C_word *av) C_noret;
C_noret_decl(f_29121)
static void C_ccall f_29121(C_word c,C_word *av) C_noret;
C_noret_decl(f_29128)
static void C_ccall f_29128(C_word c,C_word *av) C_noret;
C_noret_decl(f_29131)
static void C_ccall f_29131(C_word c,C_word *av) C_noret;
C_noret_decl(f_29137)
static void C_ccall f_29137(C_word c,C_word *av) C_noret;
C_noret_decl(f_29144)
static void C_ccall f_29144(C_word c,C_word *av) C_noret;
C_noret_decl(f_29148)
static void C_ccall f_29148(C_word c,C_word *av) C_noret;
C_noret_decl(f_29151)
static void C_ccall f_29151(C_word c,C_word *av) C_noret;
C_noret_decl(f_29159)
static void C_ccall f_29159(C_word c,C_word *av) C_noret;
C_noret_decl(f_29161)
static void C_ccall f_29161(C_word c,C_word *av) C_noret;
C_noret_decl(f_29170)
static void C_ccall f_29170(C_word c,C_word *av) C_noret;
C_noret_decl(f_29179)
static void C_ccall f_29179(C_word c,C_word *av) C_noret;
C_noret_decl(f_29190)
static void C_ccall f_29190(C_word c,C_word *av) C_noret;
C_noret_decl(f_29194)
static void C_ccall f_29194(C_word c,C_word *av) C_noret;
C_noret_decl(f_29196)
static void C_ccall f_29196(C_word c,C_word *av) C_noret;
C_noret_decl(f_29204)
static void C_ccall f_29204(C_word c,C_word *av) C_noret;
C_noret_decl(f_29216)
static void C_ccall f_29216(C_word c,C_word *av) C_noret;
C_noret_decl(f_29222)
static void C_fcall f_29222(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29226)
static void C_ccall f_29226(C_word c,C_word *av) C_noret;
C_noret_decl(f_29234)
static void C_fcall f_29234(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29252)
static void C_ccall f_29252(C_word c,C_word *av) C_noret;
C_noret_decl(f_29260)
static void C_ccall f_29260(C_word c,C_word *av) C_noret;
C_noret_decl(f_29264)
static void C_ccall f_29264(C_word c,C_word *av) C_noret;
C_noret_decl(f_29282)
static void C_ccall f_29282(C_word c,C_word *av) C_noret;
C_noret_decl(f_29289)
static void C_ccall f_29289(C_word c,C_word *av) C_noret;
C_noret_decl(f_29301)
static void C_ccall f_29301(C_word c,C_word *av) C_noret;
C_noret_decl(f_29309)
static void C_ccall f_29309(C_word c,C_word *av) C_noret;
C_noret_decl(f_29315)
static void C_fcall f_29315(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29337)
static void C_ccall f_29337(C_word c,C_word *av) C_noret;
C_noret_decl(f_29341)
static void C_ccall f_29341(C_word c,C_word *av) C_noret;
C_noret_decl(f_29345)
static void C_ccall f_29345(C_word c,C_word *av) C_noret;
C_noret_decl(f_29347)
static void C_ccall f_29347(C_word c,C_word *av) C_noret;
C_noret_decl(f_29350)
static void C_ccall f_29350(C_word c,C_word *av) C_noret;
C_noret_decl(f_29353)
static void C_ccall f_29353(C_word c,C_word *av) C_noret;
C_noret_decl(f_29357)
static void C_ccall f_29357(C_word c,C_word *av) C_noret;
C_noret_decl(f_29360)
static void C_ccall f_29360(C_word c,C_word *av) C_noret;
C_noret_decl(f_29378)
static void C_ccall f_29378(C_word c,C_word *av) C_noret;
C_noret_decl(f_29384)
static void C_ccall f_29384(C_word c,C_word *av) C_noret;
C_noret_decl(f_29388)
static void C_ccall f_29388(C_word c,C_word *av) C_noret;
C_noret_decl(f_29405)
static void C_ccall f_29405(C_word c,C_word *av) C_noret;
C_noret_decl(f_29415)
static void C_ccall f_29415(C_word c,C_word *av) C_noret;
C_noret_decl(f_29419)
static void C_ccall f_29419(C_word c,C_word *av) C_noret;
C_noret_decl(f_29423)
static void C_ccall f_29423(C_word c,C_word *av) C_noret;
C_noret_decl(f_29435)
static void C_ccall f_29435(C_word c,C_word *av) C_noret;
C_noret_decl(f_29445)
static void C_ccall f_29445(C_word c,C_word *av) C_noret;
C_noret_decl(f_29449)
static void C_ccall f_29449(C_word c,C_word *av) C_noret;
C_noret_decl(f_29453)
static void C_fcall f_29453(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29481)
static void C_ccall f_29481(C_word c,C_word *av) C_noret;
C_noret_decl(f_29484)
static void C_ccall f_29484(C_word c,C_word *av) C_noret;
C_noret_decl(f_29487)
static void C_ccall f_29487(C_word c,C_word *av) C_noret;
C_noret_decl(f_29493)
static void C_fcall f_29493(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29506)
static void C_ccall f_29506(C_word c,C_word *av) C_noret;
C_noret_decl(f_29509)
static void C_ccall f_29509(C_word c,C_word *av) C_noret;
C_noret_decl(f_29518)
static void C_ccall f_29518(C_word c,C_word *av) C_noret;
C_noret_decl(f_29524)
static void C_ccall f_29524(C_word c,C_word *av) C_noret;
C_noret_decl(f_29530)
static void C_ccall f_29530(C_word c,C_word *av) C_noret;
C_noret_decl(f_29536)
static void C_ccall f_29536(C_word c,C_word *av) C_noret;
C_noret_decl(f_29542)
static void C_ccall f_29542(C_word c,C_word *av) C_noret;
C_noret_decl(f_29559)
static void C_ccall f_29559(C_word c,C_word *av) C_noret;
C_noret_decl(f_29565)
static void C_ccall f_29565(C_word c,C_word *av) C_noret;
C_noret_decl(f_29580)
static void C_ccall f_29580(C_word c,C_word *av) C_noret;
C_noret_decl(f_29584)
static void C_ccall f_29584(C_word c,C_word *av) C_noret;
C_noret_decl(f_29588)
static void C_ccall f_29588(C_word c,C_word *av) C_noret;
C_noret_decl(f_29592)
static void C_ccall f_29592(C_word c,C_word *av) C_noret;
C_noret_decl(f_29598)
static void C_ccall f_29598(C_word c,C_word *av) C_noret;
C_noret_decl(f_29600)
static void C_ccall f_29600(C_word c,C_word *av) C_noret;
C_noret_decl(f_29606)
static void C_fcall f_29606(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29610)
static void C_ccall f_29610(C_word c,C_word *av) C_noret;
C_noret_decl(f_29619)
static void C_ccall f_29619(C_word c,C_word *av) C_noret;
C_noret_decl(f_29628)
static void C_ccall f_29628(C_word c,C_word *av) C_noret;
C_noret_decl(f_29671)
static void C_ccall f_29671(C_word c,C_word *av) C_noret;
C_noret_decl(f_29693)
static void C_ccall f_29693(C_word c,C_word *av) C_noret;
C_noret_decl(f_29706)
static void C_ccall f_29706(C_word c,C_word *av) C_noret;
C_noret_decl(f_29731)
static void C_ccall f_29731(C_word c,C_word *av) C_noret;
C_noret_decl(f_29747)
static void C_ccall f_29747(C_word c,C_word *av) C_noret;
C_noret_decl(f_29763)
static void C_ccall f_29763(C_word c,C_word *av) C_noret;
C_noret_decl(f_29779)
static void C_ccall f_29779(C_word c,C_word *av) C_noret;
C_noret_decl(f_29795)
static void C_ccall f_29795(C_word c,C_word *av) C_noret;
C_noret_decl(f_29811)
static void C_ccall f_29811(C_word c,C_word *av) C_noret;
C_noret_decl(f_29827)
static void C_ccall f_29827(C_word c,C_word *av) C_noret;
C_noret_decl(f_29843)
static void C_ccall f_29843(C_word c,C_word *av) C_noret;
C_noret_decl(f_29859)
static void C_ccall f_29859(C_word c,C_word *av) C_noret;
C_noret_decl(f_29875)
static void C_ccall f_29875(C_word c,C_word *av) C_noret;
C_noret_decl(f_29882)
static void C_ccall f_29882(C_word c,C_word *av) C_noret;
C_noret_decl(f_29923)
static void C_ccall f_29923(C_word c,C_word *av) C_noret;
C_noret_decl(f_29935)
static void C_ccall f_29935(C_word c,C_word *av) C_noret;
C_noret_decl(f_29941)
static void C_ccall f_29941(C_word c,C_word *av) C_noret;
C_noret_decl(f_29960)
static void C_ccall f_29960(C_word c,C_word *av) C_noret;
C_noret_decl(f_29962)
static void C_ccall f_29962(C_word c,C_word *av) C_noret;
C_noret_decl(f_29985)
static C_word C_fcall f_29985(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_30031)
static void C_ccall f_30031(C_word c,C_word *av) C_noret;
C_noret_decl(f_30033)
static void C_ccall f_30033(C_word c,C_word *av) C_noret;
C_noret_decl(f_30040)
static void C_fcall f_30040(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30052)
static void C_fcall f_30052(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30096)
static void C_ccall f_30096(C_word c,C_word *av) C_noret;
C_noret_decl(f_30111)
static void C_fcall f_30111(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30119)
static void C_ccall f_30119(C_word c,C_word *av) C_noret;
C_noret_decl(f_30125)
static void C_fcall f_30125(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30133)
static void C_ccall f_30133(C_word c,C_word *av) C_noret;
C_noret_decl(f_30137)
static void C_ccall f_30137(C_word c,C_word *av) C_noret;
C_noret_decl(f_30143)
static void C_ccall f_30143(C_word c,C_word *av) C_noret;
C_noret_decl(f_30145)
static void C_fcall f_30145(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30157)
static void C_ccall f_30157(C_word c,C_word *av) C_noret;
C_noret_decl(f_30164)
static void C_ccall f_30164(C_word c,C_word *av) C_noret;
C_noret_decl(f_30168)
static void C_ccall f_30168(C_word c,C_word *av) C_noret;
C_noret_decl(f_30184)
static void C_ccall f_30184(C_word c,C_word *av) C_noret;
C_noret_decl(f_30191)
static void C_ccall f_30191(C_word c,C_word *av) C_noret;
C_noret_decl(f_30195)
static void C_ccall f_30195(C_word c,C_word *av) C_noret;
C_noret_decl(f_30208)
static void C_ccall f_30208(C_word c,C_word *av) C_noret;
C_noret_decl(f_30215)
static void C_ccall f_30215(C_word c,C_word *av) C_noret;
C_noret_decl(f_30219)
static void C_ccall f_30219(C_word c,C_word *av) C_noret;
C_noret_decl(f_30224)
static void C_ccall f_30224(C_word c,C_word *av) C_noret;
C_noret_decl(f_30230)
static void C_ccall f_30230(C_word c,C_word *av) C_noret;
C_noret_decl(f_30233)
static void C_ccall f_30233(C_word c,C_word *av) C_noret;
C_noret_decl(f_30236)
static void C_ccall f_30236(C_word c,C_word *av) C_noret;
C_noret_decl(f_30242)
static void C_ccall f_30242(C_word c,C_word *av) C_noret;
C_noret_decl(f_30251)
static void C_ccall f_30251(C_word c,C_word *av) C_noret;
C_noret_decl(f_30260)
static void C_ccall f_30260(C_word c,C_word *av) C_noret;
C_noret_decl(f_30266)
static void C_ccall f_30266(C_word c,C_word *av) C_noret;
C_noret_decl(f_30269)
static void C_ccall f_30269(C_word c,C_word *av) C_noret;
C_noret_decl(f_30272)
static void C_ccall f_30272(C_word c,C_word *av) C_noret;
C_noret_decl(f_30284)
static void C_ccall f_30284(C_word c,C_word *av) C_noret;
C_noret_decl(f_30287)
static void C_ccall f_30287(C_word c,C_word *av) C_noret;
C_noret_decl(f_30290)
static void C_ccall f_30290(C_word c,C_word *av) C_noret;
C_noret_decl(f_30293)
static void C_ccall f_30293(C_word c,C_word *av) C_noret;
C_noret_decl(f_30305)
static void C_ccall f_30305(C_word c,C_word *av) C_noret;
C_noret_decl(f_30308)
static void C_ccall f_30308(C_word c,C_word *av) C_noret;
C_noret_decl(f_30311)
static void C_ccall f_30311(C_word c,C_word *av) C_noret;
C_noret_decl(f_30314)
static void C_ccall f_30314(C_word c,C_word *av) C_noret;
C_noret_decl(f_30322)
static void C_ccall f_30322(C_word c,C_word *av) C_noret;
C_noret_decl(f_30325)
static void C_ccall f_30325(C_word c,C_word *av) C_noret;
C_noret_decl(f_30338)
static void C_ccall f_30338(C_word c,C_word *av) C_noret;
C_noret_decl(f_30339)
static void C_ccall f_30339(C_word c,C_word *av) C_noret;
C_noret_decl(f_30344)
static void C_ccall f_30344(C_word c,C_word *av) C_noret;
C_noret_decl(f_30345)
static void C_ccall f_30345(C_word c,C_word *av) C_noret;
C_noret_decl(f_30350)
static void C_ccall f_30350(C_word c,C_word *av) C_noret;
C_noret_decl(f_30351)
static void C_ccall f_30351(C_word c,C_word *av) C_noret;
C_noret_decl(f_30356)
static void C_ccall f_30356(C_word c,C_word *av) C_noret;
C_noret_decl(f_30357)
static void C_ccall f_30357(C_word c,C_word *av) C_noret;
C_noret_decl(f_30362)
static void C_ccall f_30362(C_word c,C_word *av) C_noret;
C_noret_decl(f_30363)
static void C_ccall f_30363(C_word c,C_word *av) C_noret;
C_noret_decl(f_30368)
static void C_fcall f_30368(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30370)
static void C_ccall f_30370(C_word c,C_word *av) C_noret;
C_noret_decl(f_30380)
static void C_ccall f_30380(C_word c,C_word *av) C_noret;
C_noret_decl(f_30383)
static void C_ccall f_30383(C_word c,C_word *av) C_noret;
C_noret_decl(f_30386)
static void C_ccall f_30386(C_word c,C_word *av) C_noret;
C_noret_decl(f_30389)
static void C_ccall f_30389(C_word c,C_word *av) C_noret;
C_noret_decl(f_30391)
static void C_fcall f_30391(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30405)
static void C_ccall f_30405(C_word c,C_word *av) C_noret;
C_noret_decl(f_30413)
static void C_ccall f_30413(C_word c,C_word *av) C_noret;
C_noret_decl(f_30417)
static void C_ccall f_30417(C_word c,C_word *av) C_noret;
C_noret_decl(f_30421)
static void C_ccall f_30421(C_word c,C_word *av) C_noret;
C_noret_decl(f_30425)
static void C_ccall f_30425(C_word c,C_word *av) C_noret;
C_noret_decl(f_30431)
static void C_ccall f_30431(C_word c,C_word *av) C_noret;
C_noret_decl(f_30438)
static void C_ccall f_30438(C_word c,C_word *av) C_noret;
C_noret_decl(f_30442)
static void C_ccall f_30442(C_word c,C_word *av) C_noret;
C_noret_decl(f_30446)
static void C_ccall f_30446(C_word c,C_word *av) C_noret;
C_noret_decl(f_30450)
static void C_ccall f_30450(C_word c,C_word *av) C_noret;
C_noret_decl(f_30489)
static void C_ccall f_30489(C_word c,C_word *av) C_noret;
C_noret_decl(f_30492)
static void C_ccall f_30492(C_word c,C_word *av) C_noret;
C_noret_decl(f_30495)
static void C_ccall f_30495(C_word c,C_word *av) C_noret;
C_noret_decl(f_30498)
static void C_ccall f_30498(C_word c,C_word *av) C_noret;
C_noret_decl(f_30501)
static void C_ccall f_30501(C_word c,C_word *av) C_noret;
C_noret_decl(f_30509)
static void C_ccall f_30509(C_word c,C_word *av) C_noret;
C_noret_decl(f_30517)
static void C_ccall f_30517(C_word c,C_word *av) C_noret;
C_noret_decl(f_30521)
static void C_ccall f_30521(C_word c,C_word *av) C_noret;
C_noret_decl(f_30538)
static void C_ccall f_30538(C_word c,C_word *av) C_noret;
C_noret_decl(f_30545)
static void C_ccall f_30545(C_word c,C_word *av) C_noret;
C_noret_decl(f_30567)
static void C_ccall f_30567(C_word c,C_word *av) C_noret;
C_noret_decl(f_30572)
static void C_fcall f_30572(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30587)
static void C_ccall f_30587(C_word c,C_word *av) C_noret;
C_noret_decl(f_30590)
static void C_ccall f_30590(C_word c,C_word *av) C_noret;
C_noret_decl(f_30593)
static void C_ccall f_30593(C_word c,C_word *av) C_noret;
C_noret_decl(f_30596)
static void C_ccall f_30596(C_word c,C_word *av) C_noret;
C_noret_decl(f_30599)
static void C_ccall f_30599(C_word c,C_word *av) C_noret;
C_noret_decl(f_30602)
static void C_ccall f_30602(C_word c,C_word *av) C_noret;
C_noret_decl(f_30605)
static void C_fcall f_30605(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30608)
static void C_fcall f_30608(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30611)
static void C_fcall f_30611(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30614)
static void C_fcall f_30614(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30617)
static void C_fcall f_30617(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30621)
static void C_ccall f_30621(C_word c,C_word *av) C_noret;
C_noret_decl(f_30624)
static void C_ccall f_30624(C_word c,C_word *av) C_noret;
C_noret_decl(f_30629)
static void C_ccall f_30629(C_word c,C_word *av) C_noret;
C_noret_decl(f_30635)
static void C_ccall f_30635(C_word c,C_word *av) C_noret;
C_noret_decl(f_30648)
static void C_ccall f_30648(C_word c,C_word *av) C_noret;
C_noret_decl(f_30650)
static void C_fcall f_30650(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30660)
static void C_ccall f_30660(C_word c,C_word *av) C_noret;
C_noret_decl(f_30673)
static void C_ccall f_30673(C_word c,C_word *av) C_noret;
C_noret_decl(f_30680)
static void C_ccall f_30680(C_word c,C_word *av) C_noret;
C_noret_decl(f_30684)
static void C_ccall f_30684(C_word c,C_word *av) C_noret;
C_noret_decl(f_30686)
static void C_fcall f_30686(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30715)
static void C_ccall f_30715(C_word c,C_word *av) C_noret;
C_noret_decl(f_30717)
static void C_fcall f_30717(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30742)
static void C_ccall f_30742(C_word c,C_word *av) C_noret;
C_noret_decl(f_30751)
static void C_ccall f_30751(C_word c,C_word *av) C_noret;
C_noret_decl(f_30754)
static void C_ccall f_30754(C_word c,C_word *av) C_noret;
C_noret_decl(f_30760)
static void C_fcall f_30760(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30784)
static void C_ccall f_30784(C_word c,C_word *av) C_noret;
C_noret_decl(f_30793)
static void C_ccall f_30793(C_word c,C_word *av) C_noret;
C_noret_decl(f_30801)
static void C_ccall f_30801(C_word c,C_word *av) C_noret;
C_noret_decl(f_30805)
static void C_ccall f_30805(C_word c,C_word *av) C_noret;
C_noret_decl(f_30809)
static void C_ccall f_30809(C_word c,C_word *av) C_noret;
C_noret_decl(f_30839)
static void C_ccall f_30839(C_word c,C_word *av) C_noret;
C_noret_decl(f_30843)
static void C_ccall f_30843(C_word c,C_word *av) C_noret;
C_noret_decl(f_30847)
static void C_ccall f_30847(C_word c,C_word *av) C_noret;
C_noret_decl(f_30851)
static void C_ccall f_30851(C_word c,C_word *av) C_noret;
C_noret_decl(f_30855)
static void C_ccall f_30855(C_word c,C_word *av) C_noret;
C_noret_decl(f_30859)
static void C_ccall f_30859(C_word c,C_word *av) C_noret;
C_noret_decl(f_30862)
static void C_ccall f_30862(C_word c,C_word *av) C_noret;
C_noret_decl(f_30865)
static void C_ccall f_30865(C_word c,C_word *av) C_noret;
C_noret_decl(f_30875)
static void C_ccall f_30875(C_word c,C_word *av) C_noret;
C_noret_decl(f_30878)
static void C_ccall f_30878(C_word c,C_word *av) C_noret;
C_noret_decl(f_30881)
static void C_ccall f_30881(C_word c,C_word *av) C_noret;
C_noret_decl(f_30901)
static void C_ccall f_30901(C_word c,C_word *av) C_noret;
C_noret_decl(f_30905)
static void C_ccall f_30905(C_word c,C_word *av) C_noret;
C_noret_decl(f_30909)
static void C_ccall f_30909(C_word c,C_word *av) C_noret;
C_noret_decl(f_30913)
static void C_ccall f_30913(C_word c,C_word *av) C_noret;
C_noret_decl(f_30917)
static void C_ccall f_30917(C_word c,C_word *av) C_noret;
C_noret_decl(f_30921)
static void C_ccall f_30921(C_word c,C_word *av) C_noret;
C_noret_decl(f_30925)
static void C_ccall f_30925(C_word c,C_word *av) C_noret;
C_noret_decl(f_30927)
static void C_ccall f_30927(C_word c,C_word *av) C_noret;
C_noret_decl(f_30936)
static void C_ccall f_30936(C_word c,C_word *av) C_noret;
C_noret_decl(f_30946)
static void C_ccall f_30946(C_word c,C_word *av) C_noret;
C_noret_decl(f_30971)
static void C_ccall f_30971(C_word c,C_word *av) C_noret;
C_noret_decl(f_30974)
static void C_ccall f_30974(C_word c,C_word *av) C_noret;
C_noret_decl(f_30976)
static void C_ccall f_30976(C_word c,C_word *av) C_noret;
C_noret_decl(f_30992)
static void C_fcall f_30992(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31011)
static void C_fcall f_31011(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31021)
static void C_ccall f_31021(C_word c,C_word *av) C_noret;
C_noret_decl(f_31031)
static void C_ccall f_31031(C_word c,C_word *av) C_noret;
C_noret_decl(f_31055)
static void C_ccall f_31055(C_word c,C_word *av) C_noret;
C_noret_decl(f_31059)
static void C_ccall f_31059(C_word c,C_word *av) C_noret;
C_noret_decl(f_31061)
static void C_ccall f_31061(C_word c,C_word *av) C_noret;
C_noret_decl(f_31065)
static void C_ccall f_31065(C_word c,C_word *av) C_noret;
C_noret_decl(f_31068)
static void C_ccall f_31068(C_word c,C_word *av) C_noret;
C_noret_decl(f_31083)
static void C_ccall f_31083(C_word c,C_word *av) C_noret;
C_noret_decl(f_31089)
static void C_ccall f_31089(C_word c,C_word *av) C_noret;
C_noret_decl(f_31093)
static void C_ccall f_31093(C_word c,C_word *av) C_noret;
C_noret_decl(f_31102)
static void C_ccall f_31102(C_word c,C_word *av) C_noret;
C_noret_decl(f_31105)
static void C_ccall f_31105(C_word c,C_word *av) C_noret;
C_noret_decl(f_31108)
static void C_ccall f_31108(C_word c,C_word *av) C_noret;
C_noret_decl(f_31111)
static void C_ccall f_31111(C_word c,C_word *av) C_noret;
C_noret_decl(f_31114)
static void C_ccall f_31114(C_word c,C_word *av) C_noret;
C_noret_decl(f_31120)
static void C_ccall f_31120(C_word c,C_word *av) C_noret;
C_noret_decl(f_31126)
static void C_ccall f_31126(C_word c,C_word *av) C_noret;
C_noret_decl(f_31129)
static void C_ccall f_31129(C_word c,C_word *av) C_noret;
C_noret_decl(f_31134)
static void C_ccall f_31134(C_word c,C_word *av) C_noret;
C_noret_decl(f_31144)
static void C_ccall f_31144(C_word c,C_word *av) C_noret;
C_noret_decl(f_31156)
static void C_ccall f_31156(C_word c,C_word *av) C_noret;
C_noret_decl(f_31164)
static void C_fcall f_31164(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31174)
static void C_ccall f_31174(C_word c,C_word *av) C_noret;
C_noret_decl(f_31190)
static void C_ccall f_31190(C_word c,C_word *av) C_noret;
C_noret_decl(f_31196)
static void C_ccall f_31196(C_word c,C_word *av) C_noret;
C_noret_decl(f_31199)
static void C_ccall f_31199(C_word c,C_word *av) C_noret;
C_noret_decl(f_31202)
static void C_ccall f_31202(C_word c,C_word *av) C_noret;
C_noret_decl(f_31203)
static void C_fcall f_31203(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31207)
static void C_ccall f_31207(C_word c,C_word *av) C_noret;
C_noret_decl(f_31213)
static void C_ccall f_31213(C_word c,C_word *av) C_noret;
C_noret_decl(f_31217)
static void C_ccall f_31217(C_word c,C_word *av) C_noret;
C_noret_decl(f_31219)
static void C_fcall f_31219(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31229)
static void C_ccall f_31229(C_word c,C_word *av) C_noret;
C_noret_decl(f_31246)
static void C_ccall f_31246(C_word c,C_word *av) C_noret;
C_noret_decl(f_31249)
static void C_ccall f_31249(C_word c,C_word *av) C_noret;
C_noret_decl(f_31253)
static void C_ccall f_31253(C_word c,C_word *av) C_noret;
C_noret_decl(f_31258)
static void C_ccall f_31258(C_word c,C_word *av) C_noret;
C_noret_decl(f_31264)
static void C_ccall f_31264(C_word c,C_word *av) C_noret;
C_noret_decl(f_31271)
static void C_ccall f_31271(C_word c,C_word *av) C_noret;
C_noret_decl(f_31280)
static void C_ccall f_31280(C_word c,C_word *av) C_noret;
C_noret_decl(f_31288)
static void C_ccall f_31288(C_word c,C_word *av) C_noret;
C_noret_decl(f_31313)
static void C_ccall f_31313(C_word c,C_word *av) C_noret;
C_noret_decl(f_31331)
static void C_ccall f_31331(C_word c,C_word *av) C_noret;
C_noret_decl(f_31335)
static void C_ccall f_31335(C_word c,C_word *av) C_noret;
C_noret_decl(f_31350)
static void C_ccall f_31350(C_word c,C_word *av) C_noret;
C_noret_decl(f_31354)
static void C_ccall f_31354(C_word c,C_word *av) C_noret;
C_noret_decl(f_31369)
static void C_ccall f_31369(C_word c,C_word *av) C_noret;
C_noret_decl(f_31372)
static void C_ccall f_31372(C_word c,C_word *av) C_noret;
C_noret_decl(f_31375)
static void C_ccall f_31375(C_word c,C_word *av) C_noret;
C_noret_decl(f_31385)
static void C_fcall f_31385(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31416)
static void C_ccall f_31416(C_word c,C_word *av) C_noret;
C_noret_decl(f_31440)
static void C_ccall f_31440(C_word c,C_word *av) C_noret;
C_noret_decl(f_31450)
static void C_ccall f_31450(C_word c,C_word *av) C_noret;
C_noret_decl(f_31459)
static void C_ccall f_31459(C_word c,C_word *av) C_noret;
C_noret_decl(f_31500)
static void C_ccall f_31500(C_word c,C_word *av) C_noret;
C_noret_decl(f_31519)
static void C_ccall f_31519(C_word c,C_word *av) C_noret;
C_noret_decl(f_31532)
static void C_ccall f_31532(C_word c,C_word *av) C_noret;
C_noret_decl(f_31542)
static void C_ccall f_31542(C_word c,C_word *av) C_noret;
C_noret_decl(f_31552)
static void C_ccall f_31552(C_word c,C_word *av) C_noret;
C_noret_decl(f_31562)
static void C_ccall f_31562(C_word c,C_word *av) C_noret;
C_noret_decl(f_31572)
static void C_ccall f_31572(C_word c,C_word *av) C_noret;
C_noret_decl(f_31582)
static void C_ccall f_31582(C_word c,C_word *av) C_noret;
C_noret_decl(f_31592)
static void C_ccall f_31592(C_word c,C_word *av) C_noret;
C_noret_decl(f_31602)
static void C_ccall f_31602(C_word c,C_word *av) C_noret;
C_noret_decl(f_31612)
static void C_ccall f_31612(C_word c,C_word *av) C_noret;
C_noret_decl(f_31622)
static void C_ccall f_31622(C_word c,C_word *av) C_noret;
C_noret_decl(f_31632)
static void C_ccall f_31632(C_word c,C_word *av) C_noret;
C_noret_decl(f_31642)
static void C_ccall f_31642(C_word c,C_word *av) C_noret;
C_noret_decl(f_31652)
static void C_ccall f_31652(C_word c,C_word *av) C_noret;
C_noret_decl(f_31662)
static void C_ccall f_31662(C_word c,C_word *av) C_noret;
C_noret_decl(f_31678)
static void C_ccall f_31678(C_word c,C_word *av) C_noret;
C_noret_decl(f_31686)
static void C_ccall f_31686(C_word c,C_word *av) C_noret;
C_noret_decl(f_31702)
static void C_ccall f_31702(C_word c,C_word *av) C_noret;
C_noret_decl(f_31718)
static void C_ccall f_31718(C_word c,C_word *av) C_noret;
C_noret_decl(f_31728)
static void C_ccall f_31728(C_word c,C_word *av) C_noret;
C_noret_decl(f_31738)
static void C_ccall f_31738(C_word c,C_word *av) C_noret;
C_noret_decl(f_31757)
static void C_ccall f_31757(C_word c,C_word *av) C_noret;
C_noret_decl(f_31773)
static void C_ccall f_31773(C_word c,C_word *av) C_noret;
C_noret_decl(f_31786)
static void C_ccall f_31786(C_word c,C_word *av) C_noret;
C_noret_decl(f_31792)
static void C_ccall f_31792(C_word c,C_word *av) C_noret;
C_noret_decl(f_31815)
static void C_ccall f_31815(C_word c,C_word *av) C_noret;
C_noret_decl(f_31819)
static void C_ccall f_31819(C_word c,C_word *av) C_noret;
C_noret_decl(f_31823)
static void C_ccall f_31823(C_word c,C_word *av) C_noret;
C_noret_decl(f_31826)
static void C_ccall f_31826(C_word c,C_word *av) C_noret;
C_noret_decl(f_31832)
static void C_ccall f_31832(C_word c,C_word *av) C_noret;
C_noret_decl(f_31855)
static void C_ccall f_31855(C_word c,C_word *av) C_noret;
C_noret_decl(f_31859)
static void C_ccall f_31859(C_word c,C_word *av) C_noret;
C_noret_decl(f_31863)
static void C_ccall f_31863(C_word c,C_word *av) C_noret;
C_noret_decl(f_31866)
static void C_ccall f_31866(C_word c,C_word *av) C_noret;
C_noret_decl(f_31869)
static void C_ccall f_31869(C_word c,C_word *av) C_noret;
C_noret_decl(f_31872)
static void C_ccall f_31872(C_word c,C_word *av) C_noret;
C_noret_decl(f_31878)
static void C_ccall f_31878(C_word c,C_word *av) C_noret;
C_noret_decl(f_31881)
static void C_ccall f_31881(C_word c,C_word *av) C_noret;
C_noret_decl(f_31884)
static void C_ccall f_31884(C_word c,C_word *av) C_noret;
C_noret_decl(f_31892)
static void C_fcall f_31892(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31894)
static void C_fcall f_31894(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_31918)
static void C_ccall f_31918(C_word c,C_word *av) C_noret;
C_noret_decl(f_31941)
static void C_ccall f_31941(C_word c,C_word *av) C_noret;
C_noret_decl(f_31945)
static void C_ccall f_31945(C_word c,C_word *av) C_noret;
C_noret_decl(f_31949)
static void C_ccall f_31949(C_word c,C_word *av) C_noret;
C_noret_decl(f_31983)
static void C_ccall f_31983(C_word c,C_word *av) C_noret;
C_noret_decl(f_31987)
static void C_ccall f_31987(C_word c,C_word *av) C_noret;
C_noret_decl(f_31990)
static void C_fcall f_31990(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32003)
static void C_fcall f_32003(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_32036)
static void C_ccall f_32036(C_word c,C_word *av) C_noret;
C_noret_decl(f_32051)
static void C_ccall f_32051(C_word c,C_word *av) C_noret;
C_noret_decl(f_32055)
static void C_ccall f_32055(C_word c,C_word *av) C_noret;
C_noret_decl(f_32079)
static void C_ccall f_32079(C_word c,C_word *av) C_noret;
C_noret_decl(f_32087)
static void C_ccall f_32087(C_word c,C_word *av) C_noret;
C_noret_decl(f_32091)
static void C_ccall f_32091(C_word c,C_word *av) C_noret;
C_noret_decl(f_32102)
static void C_ccall f_32102(C_word c,C_word *av) C_noret;
C_noret_decl(f_32106)
static void C_ccall f_32106(C_word c,C_word *av) C_noret;
C_noret_decl(f_32110)
static void C_ccall f_32110(C_word c,C_word *av) C_noret;
C_noret_decl(f_32124)
static void C_ccall f_32124(C_word c,C_word *av) C_noret;
C_noret_decl(f_32156)
static void C_ccall f_32156(C_word c,C_word *av) C_noret;
C_noret_decl(f_8494)
static void C_ccall f_8494(C_word c,C_word *av) C_noret;
C_noret_decl(f_8496)
static void C_ccall f_8496(C_word c,C_word *av) C_noret;
C_noret_decl(f_8499)
static void C_ccall f_8499(C_word c,C_word *av) C_noret;
C_noret_decl(f_8502)
static void C_ccall f_8502(C_word c,C_word *av) C_noret;
C_noret_decl(f_8505)
static void C_ccall f_8505(C_word c,C_word *av) C_noret;
C_noret_decl(f_8508)
static void C_ccall f_8508(C_word c,C_word *av) C_noret;
C_noret_decl(f_8511)
static void C_ccall f_8511(C_word c,C_word *av) C_noret;
C_noret_decl(f_8514)
static void C_ccall f_8514(C_word c,C_word *av) C_noret;
C_noret_decl(f_8517)
static void C_ccall f_8517(C_word c,C_word *av) C_noret;
C_noret_decl(f_8520)
static void C_ccall f_8520(C_word c,C_word *av) C_noret;
C_noret_decl(f_8523)
static void C_ccall f_8523(C_word c,C_word *av) C_noret;
C_noret_decl(f_8526)
static void C_ccall f_8526(C_word c,C_word *av) C_noret;
C_noret_decl(f_8529)
static void C_ccall f_8529(C_word c,C_word *av) C_noret;
C_noret_decl(f_8532)
static void C_ccall f_8532(C_word c,C_word *av) C_noret;
C_noret_decl(f_8535)
static void C_ccall f_8535(C_word c,C_word *av) C_noret;
C_noret_decl(f_8538)
static void C_ccall f_8538(C_word c,C_word *av) C_noret;
C_noret_decl(f_8541)
static void C_ccall f_8541(C_word c,C_word *av) C_noret;
C_noret_decl(f_8544)
static void C_ccall f_8544(C_word c,C_word *av) C_noret;
C_noret_decl(f_8547)
static void C_ccall f_8547(C_word c,C_word *av) C_noret;
C_noret_decl(f_8550)
static void C_ccall f_8550(C_word c,C_word *av) C_noret;
C_noret_decl(f_8564)
static void C_ccall f_8564(C_word c,C_word *av) C_noret;
C_noret_decl(f_8571)
static void C_ccall f_8571(C_word c,C_word *av) C_noret;
C_noret_decl(f_8578)
static void C_ccall f_8578(C_word c,C_word *av) C_noret;
C_noret_decl(f_8592)
static void C_ccall f_8592(C_word c,C_word *av) C_noret;
C_noret_decl(f_8599)
static void C_ccall f_8599(C_word c,C_word *av) C_noret;
C_noret_decl(f_8613)
static void C_ccall f_8613(C_word c,C_word *av) C_noret;
C_noret_decl(f_8627)
static void C_ccall f_8627(C_word c,C_word *av) C_noret;
C_noret_decl(f_8645)
static void C_ccall f_8645(C_word c,C_word *av) C_noret;
C_noret_decl(f_8656)
static void C_ccall f_8656(C_word c,C_word *av) C_noret;
C_noret_decl(f_8667)
static void C_ccall f_8667(C_word c,C_word *av) C_noret;
C_noret_decl(f_8674)
static void C_ccall f_8674(C_word c,C_word *av) C_noret;
C_noret_decl(f_8685)
static void C_ccall f_8685(C_word c,C_word *av) C_noret;
C_noret_decl(f_8689)
static void C_ccall f_8689(C_word c,C_word *av) C_noret;
C_noret_decl(f_8696)
static void C_ccall f_8696(C_word c,C_word *av) C_noret;
C_noret_decl(f_8714)
static void C_ccall f_8714(C_word c,C_word *av) C_noret;
C_noret_decl(f_8725)
static void C_ccall f_8725(C_word c,C_word *av) C_noret;
C_noret_decl(f_8736)
static void C_ccall f_8736(C_word c,C_word *av) C_noret;
C_noret_decl(f_8743)
static void C_ccall f_8743(C_word c,C_word *av) C_noret;
C_noret_decl(f_8761)
static void C_ccall f_8761(C_word c,C_word *av) C_noret;
C_noret_decl(f_8772)
static void C_ccall f_8772(C_word c,C_word *av) C_noret;
C_noret_decl(f_8790)
static void C_ccall f_8790(C_word c,C_word *av) C_noret;
C_noret_decl(f_8796)
static void C_ccall f_8796(C_word c,C_word *av) C_noret;
C_noret_decl(f_8799)
static void C_ccall f_8799(C_word c,C_word *av) C_noret;
C_noret_decl(f_8802)
static void C_ccall f_8802(C_word c,C_word *av) C_noret;
C_noret_decl(f_8805)
static void C_ccall f_8805(C_word c,C_word *av) C_noret;
C_noret_decl(f_8808)
static void C_ccall f_8808(C_word c,C_word *av) C_noret;
C_noret_decl(f_8814)
static void C_fcall f_8814(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8847)
static void C_ccall f_8847(C_word c,C_word *av) C_noret;
C_noret_decl(f_8850)
static void C_ccall f_8850(C_word c,C_word *av) C_noret;
C_noret_decl(f_8853)
static void C_ccall f_8853(C_word c,C_word *av) C_noret;
C_noret_decl(f_8856)
static void C_ccall f_8856(C_word c,C_word *av) C_noret;
C_noret_decl(f_8859)
static void C_ccall f_8859(C_word c,C_word *av) C_noret;
C_noret_decl(f_8862)
static void C_ccall f_8862(C_word c,C_word *av) C_noret;
C_noret_decl(f_8865)
static void C_ccall f_8865(C_word c,C_word *av) C_noret;
C_noret_decl(f_8868)
static void C_ccall f_8868(C_word c,C_word *av) C_noret;
C_noret_decl(f_8871)
static void C_ccall f_8871(C_word c,C_word *av) C_noret;
C_noret_decl(f_8874)
static void C_ccall f_8874(C_word c,C_word *av) C_noret;
C_noret_decl(f_8877)
static void C_ccall f_8877(C_word c,C_word *av) C_noret;
C_noret_decl(f_8880)
static void C_ccall f_8880(C_word c,C_word *av) C_noret;
C_noret_decl(f_8883)
static void C_ccall f_8883(C_word c,C_word *av) C_noret;
C_noret_decl(f_8887)
static void C_ccall f_8887(C_word c,C_word *av) C_noret;
C_noret_decl(f_8890)
static void C_ccall f_8890(C_word c,C_word *av) C_noret;
C_noret_decl(f_8896)
static void C_ccall f_8896(C_word c,C_word *av) C_noret;
C_noret_decl(f_8899)
static void C_ccall f_8899(C_word c,C_word *av) C_noret;
C_noret_decl(f_8902)
static void C_ccall f_8902(C_word c,C_word *av) C_noret;
C_noret_decl(f_8905)
static void C_ccall f_8905(C_word c,C_word *av) C_noret;
C_noret_decl(f_8908)
static void C_ccall f_8908(C_word c,C_word *av) C_noret;
C_noret_decl(f_8916)
static void C_ccall f_8916(C_word c,C_word *av) C_noret;
C_noret_decl(f_8920)
static void C_ccall f_8920(C_word c,C_word *av) C_noret;
C_noret_decl(f_8923)
static void C_ccall f_8923(C_word c,C_word *av) C_noret;
C_noret_decl(f_8926)
static void C_ccall f_8926(C_word c,C_word *av) C_noret;
C_noret_decl(f_8929)
static void C_ccall f_8929(C_word c,C_word *av) C_noret;
C_noret_decl(f_8932)
static void C_ccall f_8932(C_word c,C_word *av) C_noret;
C_noret_decl(f_8935)
static void C_ccall f_8935(C_word c,C_word *av) C_noret;
C_noret_decl(f_8938)
static void C_ccall f_8938(C_word c,C_word *av) C_noret;
C_noret_decl(f_8941)
static void C_ccall f_8941(C_word c,C_word *av) C_noret;
C_noret_decl(f_8945)
static void C_ccall f_8945(C_word c,C_word *av) C_noret;
C_noret_decl(f_8948)
static void C_ccall f_8948(C_word c,C_word *av) C_noret;
C_noret_decl(f_8951)
static void C_ccall f_8951(C_word c,C_word *av) C_noret;
C_noret_decl(f_8954)
static void C_ccall f_8954(C_word c,C_word *av) C_noret;
C_noret_decl(f_8957)
static void C_ccall f_8957(C_word c,C_word *av) C_noret;
C_noret_decl(f_8965)
static void C_ccall f_8965(C_word c,C_word *av) C_noret;
C_noret_decl(f_8968)
static void C_ccall f_8968(C_word c,C_word *av) C_noret;
C_noret_decl(f_8975)
static void C_ccall f_8975(C_word c,C_word *av) C_noret;
C_noret_decl(f_8979)
static void C_ccall f_8979(C_word c,C_word *av) C_noret;
C_noret_decl(f_8982)
static void C_ccall f_8982(C_word c,C_word *av) C_noret;
C_noret_decl(f_8985)
static void C_ccall f_8985(C_word c,C_word *av) C_noret;
C_noret_decl(f_8988)
static void C_ccall f_8988(C_word c,C_word *av) C_noret;
C_noret_decl(f_8991)
static void C_ccall f_8991(C_word c,C_word *av) C_noret;
C_noret_decl(f_8994)
static void C_ccall f_8994(C_word c,C_word *av) C_noret;
C_noret_decl(f_8997)
static void C_ccall f_8997(C_word c,C_word *av) C_noret;
C_noret_decl(f_9003)
static void C_ccall f_9003(C_word c,C_word *av) C_noret;
C_noret_decl(f_9014)
static void C_ccall f_9014(C_word c,C_word *av) C_noret;
C_noret_decl(f_9020)
static void C_ccall f_9020(C_word c,C_word *av) C_noret;
C_noret_decl(f_9026)
static void C_ccall f_9026(C_word c,C_word *av) C_noret;
C_noret_decl(f_9032)
static void C_ccall f_9032(C_word c,C_word *av) C_noret;
C_noret_decl(f_9038)
static void C_ccall f_9038(C_word c,C_word *av) C_noret;
C_noret_decl(f_9044)
static void C_ccall f_9044(C_word c,C_word *av) C_noret;
C_noret_decl(f_9051)
static void C_ccall f_9051(C_word c,C_word *av) C_noret;
C_noret_decl(f_9057)
static void C_ccall f_9057(C_word c,C_word *av) C_noret;
C_noret_decl(f_9073)
static void C_ccall f_9073(C_word c,C_word *av) C_noret;
C_noret_decl(f_9084)
static void C_ccall f_9084(C_word c,C_word *av) C_noret;
C_noret_decl(f_9090)
static void C_ccall f_9090(C_word c,C_word *av) C_noret;
C_noret_decl(f_9096)
static void C_ccall f_9096(C_word c,C_word *av) C_noret;
C_noret_decl(f_9102)
static void C_ccall f_9102(C_word c,C_word *av) C_noret;
C_noret_decl(f_9108)
static void C_ccall f_9108(C_word c,C_word *av) C_noret;
C_noret_decl(f_9117)
static void C_ccall f_9117(C_word c,C_word *av) C_noret;
C_noret_decl(f_9120)
static void C_ccall f_9120(C_word c,C_word *av) C_noret;
C_noret_decl(f_9123)
static void C_ccall f_9123(C_word c,C_word *av) C_noret;
C_noret_decl(f_9126)
static void C_ccall f_9126(C_word c,C_word *av) C_noret;
C_noret_decl(f_9129)
static void C_ccall f_9129(C_word c,C_word *av) C_noret;
C_noret_decl(f_9132)
static void C_ccall f_9132(C_word c,C_word *av) C_noret;
C_noret_decl(f_9136)
static void C_ccall f_9136(C_word c,C_word *av) C_noret;
C_noret_decl(f_9142)
static void C_ccall f_9142(C_word c,C_word *av) C_noret;
C_noret_decl(f_9148)
static void C_ccall f_9148(C_word c,C_word *av) C_noret;
C_noret_decl(f_9181)
static void C_ccall f_9181(C_word c,C_word *av) C_noret;
C_noret_decl(f_9184)
static void C_ccall f_9184(C_word c,C_word *av) C_noret;
C_noret_decl(f_9187)
static void C_ccall f_9187(C_word c,C_word *av) C_noret;
C_noret_decl(f_9195)
static void C_ccall f_9195(C_word c,C_word *av) C_noret;
C_noret_decl(f_9200)
static void C_ccall f_9200(C_word c,C_word *av) C_noret;
C_noret_decl(f_9206)
static void C_ccall f_9206(C_word c,C_word *av) C_noret;
C_noret_decl(f_9221)
static void C_ccall f_9221(C_word c,C_word *av) C_noret;
C_noret_decl(f_9242)
static void C_ccall f_9242(C_word c,C_word *av) C_noret;
C_noret_decl(f_9248)
static void C_ccall f_9248(C_word c,C_word *av) C_noret;
C_noret_decl(f_9254)
static void C_ccall f_9254(C_word c,C_word *av) C_noret;
C_noret_decl(f_9261)
static void C_ccall f_9261(C_word c,C_word *av) C_noret;
C_noret_decl(f_9266)
static void C_ccall f_9266(C_word c,C_word *av) C_noret;
C_noret_decl(f_9269)
static void C_ccall f_9269(C_word c,C_word *av) C_noret;
C_noret_decl(f_9278)
static void C_fcall f_9278(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9296)
static void C_ccall f_9296(C_word c,C_word *av) C_noret;
C_noret_decl(f_9306)
static void C_ccall f_9306(C_word c,C_word *av) C_noret;
C_noret_decl(f_9315)
static void C_fcall f_9315(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9333)
static void C_ccall f_9333(C_word c,C_word *av) C_noret;
C_noret_decl(f_9346)
static void C_ccall f_9346(C_word c,C_word *av) C_noret;
C_noret_decl(f_9353)
static void C_ccall f_9353(C_word c,C_word *av) C_noret;
C_noret_decl(f_9360)
static void C_ccall f_9360(C_word c,C_word *av) C_noret;
C_noret_decl(f_9371)
static void C_ccall f_9371(C_word c,C_word *av) C_noret;
C_noret_decl(f_9378)
static void C_ccall f_9378(C_word c,C_word *av) C_noret;
C_noret_decl(f_9390)
static void C_ccall f_9390(C_word c,C_word *av) C_noret;
C_noret_decl(f_9393)
static void C_ccall f_9393(C_word c,C_word *av) C_noret;
C_noret_decl(f_9395)
static void C_ccall f_9395(C_word c,C_word *av) C_noret;
C_noret_decl(f_9401)
static void C_fcall f_9401(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9417)
static void C_ccall f_9417(C_word c,C_word *av) C_noret;
C_noret_decl(f_9426)
static void C_ccall f_9426(C_word c,C_word *av) C_noret;
C_noret_decl(f_9428)
static void C_ccall f_9428(C_word c,C_word *av) C_noret;
C_noret_decl(f_9434)
static void C_fcall f_9434(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9447)
static void C_ccall f_9447(C_word c,C_word *av) C_noret;
C_noret_decl(f_9463)
static void C_ccall f_9463(C_word c,C_word *av) C_noret;
C_noret_decl(f_9474)
static void C_ccall f_9474(C_word c,C_word *av) C_noret;
C_noret_decl(f_9476)
static void C_ccall f_9476(C_word c,C_word *av) C_noret;
C_noret_decl(f_9484)
static void C_ccall f_9484(C_word c,C_word *av) C_noret;
C_noret_decl(f_9486)
static void C_ccall f_9486(C_word c,C_word *av) C_noret;
C_noret_decl(f_9492)
static void C_ccall f_9492(C_word c,C_word *av) C_noret;
C_noret_decl(f_9494)
static void C_ccall f_9494(C_word c,C_word *av) C_noret;
C_noret_decl(f_9502)
static void C_ccall f_9502(C_word c,C_word *av) C_noret;
C_noret_decl(f_9504)
static void C_ccall f_9504(C_word c,C_word *av) C_noret;
C_noret_decl(f_9507)
static void C_ccall f_9507(C_word c,C_word *av) C_noret;
C_noret_decl(f_9515)
static void C_ccall f_9515(C_word c,C_word *av) C_noret;
C_noret_decl(f_9521)
static void C_ccall f_9521(C_word c,C_word *av) C_noret;
C_noret_decl(f_9529)
static void C_ccall f_9529(C_word c,C_word *av) C_noret;
C_noret_decl(f_9540)
static void C_ccall f_9540(C_word c,C_word *av) C_noret;
C_noret_decl(f_9552)
static void C_fcall f_9552(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9566)
static void C_ccall f_9566(C_word c,C_word *av) C_noret;
C_noret_decl(f_9574)
static void C_ccall f_9574(C_word c,C_word *av) C_noret;
C_noret_decl(f_9577)
static void C_ccall f_9577(C_word c,C_word *av) C_noret;
C_noret_decl(f_9579)
static void C_ccall f_9579(C_word c,C_word *av) C_noret;
C_noret_decl(f_9581)
static void C_ccall f_9581(C_word c,C_word *av) C_noret;
C_noret_decl(f_9587)
static void C_fcall f_9587(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9606)
static void C_ccall f_9606(C_word c,C_word *av) C_noret;
C_noret_decl(f_9623)
static void C_ccall f_9623(C_word c,C_word *av) C_noret;
C_noret_decl(f_9631)
static void C_ccall f_9631(C_word c,C_word *av) C_noret;
C_noret_decl(f_9645)
static void C_ccall f_9645(C_word c,C_word *av) C_noret;
C_noret_decl(f_9651)
static void C_fcall f_9651(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9670)
static void C_ccall f_9670(C_word c,C_word *av) C_noret;
C_noret_decl(f_9679)
static void C_ccall f_9679(C_word c,C_word *av) C_noret;
C_noret_decl(f_9682)
static void C_ccall f_9682(C_word c,C_word *av) C_noret;
C_noret_decl(f_9694)
static C_word C_fcall f_9694(C_word t0,C_word t1);
C_noret_decl(f_9710)
static void C_ccall f_9710(C_word c,C_word *av) C_noret;
C_noret_decl(f_9716)
static void C_fcall f_9716(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9741)
static void C_ccall f_9741(C_word c,C_word *av) C_noret;
C_noret_decl(f_9743)
static void C_ccall f_9743(C_word c,C_word *av) C_noret;
C_noret_decl(f_9752)
static void C_fcall f_9752(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9773)
static void C_ccall f_9773(C_word c,C_word *av) C_noret;
C_noret_decl(f_9775)
static void C_ccall f_9775(C_word c,C_word *av) C_noret;
C_noret_decl(f_9781)
static void C_fcall f_9781(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9807)
static void C_ccall f_9807(C_word c,C_word *av) C_noret;
C_noret_decl(f_9814)
static void C_ccall f_9814(C_word c,C_word *av) C_noret;
C_noret_decl(f_9816)
static void C_ccall f_9816(C_word c,C_word *av) C_noret;
C_noret_decl(f_9820)
static void C_fcall f_9820(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9828)
static void C_fcall f_9828(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9863)
static void C_ccall f_9863(C_word c,C_word *av) C_noret;
C_noret_decl(f_9873)
static void C_ccall f_9873(C_word c,C_word *av) C_noret;
C_noret_decl(f_9882)
static void C_fcall f_9882(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9924)
static void C_ccall f_9924(C_word c,C_word *av) C_noret;
C_noret_decl(f_9953)
static void C_ccall f_9953(C_word c,C_word *av) C_noret;
C_noret_decl(f_9960)
static void C_fcall f_9960(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9963)
static void C_ccall f_9963(C_word c,C_word *av) C_noret;
C_noret_decl(f_9992)
static void C_ccall f_9992(C_word c,C_word *av) C_noret;
C_noret_decl(f_9998)
static void C_fcall f_9998(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10048)
static void C_ccall trf_10048(C_word c,C_word *av) C_noret;
static void C_ccall trf_10048(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10048(t0,t1,t2);}

C_noret_decl(trf_10159)
static void C_ccall trf_10159(C_word c,C_word *av) C_noret;
static void C_ccall trf_10159(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10159(t0,t1);}

C_noret_decl(trf_10190)
static void C_ccall trf_10190(C_word c,C_word *av) C_noret;
static void C_ccall trf_10190(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10190(t0,t1,t2);}

C_noret_decl(trf_10262)
static void C_ccall trf_10262(C_word c,C_word *av) C_noret;
static void C_ccall trf_10262(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10262(t0,t1);}

C_noret_decl(trf_10267)
static void C_ccall trf_10267(C_word c,C_word *av) C_noret;
static void C_ccall trf_10267(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10267(t0,t1,t2);}

C_noret_decl(trf_10862)
static void C_ccall trf_10862(C_word c,C_word *av) C_noret;
static void C_ccall trf_10862(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10862(t0,t1,t2,t3);}

C_noret_decl(trf_10911)
static void C_ccall trf_10911(C_word c,C_word *av) C_noret;
static void C_ccall trf_10911(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10911(t0,t1);}

C_noret_decl(trf_11118)
static void C_ccall trf_11118(C_word c,C_word *av) C_noret;
static void C_ccall trf_11118(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11118(t0,t1,t2);}

C_noret_decl(trf_11137)
static void C_ccall trf_11137(C_word c,C_word *av) C_noret;
static void C_ccall trf_11137(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11137(t0,t1,t2);}

C_noret_decl(trf_11191)
static void C_ccall trf_11191(C_word c,C_word *av) C_noret;
static void C_ccall trf_11191(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11191(t0,t1,t2,t3);}

C_noret_decl(trf_11287)
static void C_ccall trf_11287(C_word c,C_word *av) C_noret;
static void C_ccall trf_11287(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11287(t0,t1,t2,t3);}

C_noret_decl(trf_11445)
static void C_ccall trf_11445(C_word c,C_word *av) C_noret;
static void C_ccall trf_11445(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11445(t0,t1);}

C_noret_decl(trf_11454)
static void C_ccall trf_11454(C_word c,C_word *av) C_noret;
static void C_ccall trf_11454(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11454(t0,t1);}

C_noret_decl(trf_11737)
static void C_ccall trf_11737(C_word c,C_word *av) C_noret;
static void C_ccall trf_11737(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11737(t0,t1,t2,t3);}

C_noret_decl(trf_11826)
static void C_ccall trf_11826(C_word c,C_word *av) C_noret;
static void C_ccall trf_11826(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11826(t0,t1,t2,t3);}

C_noret_decl(trf_11847)
static void C_ccall trf_11847(C_word c,C_word *av) C_noret;
static void C_ccall trf_11847(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11847(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12576)
static void C_ccall trf_12576(C_word c,C_word *av) C_noret;
static void C_ccall trf_12576(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12576(t0,t1,t2);}

C_noret_decl(trf_12749)
static void C_ccall trf_12749(C_word c,C_word *av) C_noret;
static void C_ccall trf_12749(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12749(t0,t1,t2);}

C_noret_decl(trf_12928)
static void C_ccall trf_12928(C_word c,C_word *av) C_noret;
static void C_ccall trf_12928(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12928(t0,t1,t2,t3);}

C_noret_decl(trf_12945)
static void C_ccall trf_12945(C_word c,C_word *av) C_noret;
static void C_ccall trf_12945(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12945(t0,t1,t2,t3);}

C_noret_decl(trf_13108)
static void C_ccall trf_13108(C_word c,C_word *av) C_noret;
static void C_ccall trf_13108(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13108(t0,t1,t2,t3);}

C_noret_decl(trf_13146)
static void C_ccall trf_13146(C_word c,C_word *av) C_noret;
static void C_ccall trf_13146(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13146(t0,t1);}

C_noret_decl(trf_13540)
static void C_ccall trf_13540(C_word c,C_word *av) C_noret;
static void C_ccall trf_13540(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13540(t0,t1,t2);}

C_noret_decl(trf_13543)
static void C_ccall trf_13543(C_word c,C_word *av) C_noret;
static void C_ccall trf_13543(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13543(t0,t1,t2,t3);}

C_noret_decl(trf_13708)
static void C_ccall trf_13708(C_word c,C_word *av) C_noret;
static void C_ccall trf_13708(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13708(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13751)
static void C_ccall trf_13751(C_word c,C_word *av) C_noret;
static void C_ccall trf_13751(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13751(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13848)
static void C_ccall trf_13848(C_word c,C_word *av) C_noret;
static void C_ccall trf_13848(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13848(t0,t1);}

C_noret_decl(trf_13996)
static void C_ccall trf_13996(C_word c,C_word *av) C_noret;
static void C_ccall trf_13996(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13996(t0,t1);}

C_noret_decl(trf_14002)
static void C_ccall trf_14002(C_word c,C_word *av) C_noret;
static void C_ccall trf_14002(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14002(t0,t1);}

C_noret_decl(trf_14049)
static void C_ccall trf_14049(C_word c,C_word *av) C_noret;
static void C_ccall trf_14049(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14049(t0,t1);}

C_noret_decl(trf_14055)
static void C_ccall trf_14055(C_word c,C_word *av) C_noret;
static void C_ccall trf_14055(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14055(t0,t1);}

C_noret_decl(trf_14500)
static void C_ccall trf_14500(C_word c,C_word *av) C_noret;
static void C_ccall trf_14500(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14500(t0,t1);}

C_noret_decl(trf_14540)
static void C_ccall trf_14540(C_word c,C_word *av) C_noret;
static void C_ccall trf_14540(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14540(t0,t1,t2,t3);}

C_noret_decl(trf_14622)
static void C_ccall trf_14622(C_word c,C_word *av) C_noret;
static void C_ccall trf_14622(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14622(t0,t1,t2,t3);}

C_noret_decl(trf_14660)
static void C_ccall trf_14660(C_word c,C_word *av) C_noret;
static void C_ccall trf_14660(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14660(t0,t1,t2);}

C_noret_decl(trf_14672)
static void C_ccall trf_14672(C_word c,C_word *av) C_noret;
static void C_ccall trf_14672(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14672(t0,t1,t2);}

C_noret_decl(trf_14715)
static void C_ccall trf_14715(C_word c,C_word *av) C_noret;
static void C_ccall trf_14715(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14715(t0,t1);}

C_noret_decl(trf_14821)
static void C_ccall trf_14821(C_word c,C_word *av) C_noret;
static void C_ccall trf_14821(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14821(t0,t1);}

C_noret_decl(trf_14830)
static void C_ccall trf_14830(C_word c,C_word *av) C_noret;
static void C_ccall trf_14830(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14830(t0,t1);}

C_noret_decl(trf_14917)
static void C_ccall trf_14917(C_word c,C_word *av) C_noret;
static void C_ccall trf_14917(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14917(t0,t1,t2,t3);}

C_noret_decl(trf_15013)
static void C_ccall trf_15013(C_word c,C_word *av) C_noret;
static void C_ccall trf_15013(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15013(t0,t1,t2,t3);}

C_noret_decl(trf_15075)
static void C_ccall trf_15075(C_word c,C_word *av) C_noret;
static void C_ccall trf_15075(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15075(t0,t1,t2,t3);}

C_noret_decl(trf_15274)
static void C_ccall trf_15274(C_word c,C_word *av) C_noret;
static void C_ccall trf_15274(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15274(t0,t1);}

C_noret_decl(trf_15332)
static void C_ccall trf_15332(C_word c,C_word *av) C_noret;
static void C_ccall trf_15332(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15332(t0,t1,t2);}

C_noret_decl(trf_15370)
static void C_ccall trf_15370(C_word c,C_word *av) C_noret;
static void C_ccall trf_15370(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15370(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15383)
static void C_ccall trf_15383(C_word c,C_word *av) C_noret;
static void C_ccall trf_15383(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15383(t0,t1,t2,t3);}

C_noret_decl(trf_15457)
static void C_ccall trf_15457(C_word c,C_word *av) C_noret;
static void C_ccall trf_15457(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15457(t0,t1,t2);}

C_noret_decl(trf_15463)
static void C_ccall trf_15463(C_word c,C_word *av) C_noret;
static void C_ccall trf_15463(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15463(t0,t1,t2);}

C_noret_decl(trf_15526)
static void C_ccall trf_15526(C_word c,C_word *av) C_noret;
static void C_ccall trf_15526(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15526(t0,t1);}

C_noret_decl(trf_15565)
static void C_ccall trf_15565(C_word c,C_word *av) C_noret;
static void C_ccall trf_15565(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15565(t0,t1,t2);}

C_noret_decl(trf_15571)
static void C_ccall trf_15571(C_word c,C_word *av) C_noret;
static void C_ccall trf_15571(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15571(t0,t1,t2);}

C_noret_decl(trf_15615)
static void C_ccall trf_15615(C_word c,C_word *av) C_noret;
static void C_ccall trf_15615(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15615(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15671)
static void C_ccall trf_15671(C_word c,C_word *av) C_noret;
static void C_ccall trf_15671(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15671(t0,t1,t2);}

C_noret_decl(trf_15686)
static void C_ccall trf_15686(C_word c,C_word *av) C_noret;
static void C_ccall trf_15686(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15686(t0,t1);}

C_noret_decl(trf_15732)
static void C_ccall trf_15732(C_word c,C_word *av) C_noret;
static void C_ccall trf_15732(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15732(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15751)
static void C_ccall trf_15751(C_word c,C_word *av) C_noret;
static void C_ccall trf_15751(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15751(t0,t1);}

C_noret_decl(trf_15754)
static void C_ccall trf_15754(C_word c,C_word *av) C_noret;
static void C_ccall trf_15754(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15754(t0,t1);}

C_noret_decl(trf_15763)
static void C_ccall trf_15763(C_word c,C_word *av) C_noret;
static void C_ccall trf_15763(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15763(t0,t1);}

C_noret_decl(trf_15790)
static void C_ccall trf_15790(C_word c,C_word *av) C_noret;
static void C_ccall trf_15790(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15790(t0,t1);}

C_noret_decl(trf_15944)
static void C_ccall trf_15944(C_word c,C_word *av) C_noret;
static void C_ccall trf_15944(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15944(t0,t1,t2,t3);}

C_noret_decl(trf_15951)
static void C_ccall trf_15951(C_word c,C_word *av) C_noret;
static void C_ccall trf_15951(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15951(t0,t1);}

C_noret_decl(trf_15970)
static void C_ccall trf_15970(C_word c,C_word *av) C_noret;
static void C_ccall trf_15970(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15970(t0,t1);}

C_noret_decl(trf_16022)
static void C_ccall trf_16022(C_word c,C_word *av) C_noret;
static void C_ccall trf_16022(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16022(t0,t1);}

C_noret_decl(trf_16287)
static void C_ccall trf_16287(C_word c,C_word *av) C_noret;
static void C_ccall trf_16287(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16287(t0,t1,t2);}

C_noret_decl(trf_16302)
static void C_ccall trf_16302(C_word c,C_word *av) C_noret;
static void C_ccall trf_16302(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16302(t0,t1);}

C_noret_decl(trf_16328)
static void C_ccall trf_16328(C_word c,C_word *av) C_noret;
static void C_ccall trf_16328(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16328(t0,t1);}

C_noret_decl(trf_16360)
static void C_ccall trf_16360(C_word c,C_word *av) C_noret;
static void C_ccall trf_16360(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16360(t0,t1);}

C_noret_decl(trf_16421)
static void C_ccall trf_16421(C_word c,C_word *av) C_noret;
static void C_ccall trf_16421(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16421(t0,t1);}

C_noret_decl(trf_16541)
static void C_ccall trf_16541(C_word c,C_word *av) C_noret;
static void C_ccall trf_16541(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16541(t0,t1);}

C_noret_decl(trf_16632)
static void C_ccall trf_16632(C_word c,C_word *av) C_noret;
static void C_ccall trf_16632(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16632(t0,t1);}

C_noret_decl(trf_16790)
static void C_ccall trf_16790(C_word c,C_word *av) C_noret;
static void C_ccall trf_16790(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_16790(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_16797)
static void C_ccall trf_16797(C_word c,C_word *av) C_noret;
static void C_ccall trf_16797(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16797(t0,t1);}

C_noret_decl(trf_17075)
static void C_ccall trf_17075(C_word c,C_word *av) C_noret;
static void C_ccall trf_17075(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17075(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17102)
static void C_ccall trf_17102(C_word c,C_word *av) C_noret;
static void C_ccall trf_17102(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17102(t0,t1,t2);}

C_noret_decl(trf_17143)
static void C_ccall trf_17143(C_word c,C_word *av) C_noret;
static void C_ccall trf_17143(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17143(t0,t1,t2,t3);}

C_noret_decl(trf_17497)
static void C_ccall trf_17497(C_word c,C_word *av) C_noret;
static void C_ccall trf_17497(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17497(t0,t1,t2);}

C_noret_decl(trf_17774)
static void C_ccall trf_17774(C_word c,C_word *av) C_noret;
static void C_ccall trf_17774(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17774(t0,t1,t2);}

C_noret_decl(trf_17848)
static void C_ccall trf_17848(C_word c,C_word *av) C_noret;
static void C_ccall trf_17848(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17848(t0,t1);}

C_noret_decl(trf_17993)
static void C_ccall trf_17993(C_word c,C_word *av) C_noret;
static void C_ccall trf_17993(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17993(t0,t1,t2,t3);}

C_noret_decl(trf_18094)
static void C_ccall trf_18094(C_word c,C_word *av) C_noret;
static void C_ccall trf_18094(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18094(t0,t1,t2);}

C_noret_decl(trf_18139)
static void C_ccall trf_18139(C_word c,C_word *av) C_noret;
static void C_ccall trf_18139(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18139(t0,t1);}

C_noret_decl(trf_18302)
static void C_ccall trf_18302(C_word c,C_word *av) C_noret;
static void C_ccall trf_18302(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18302(t0,t1,t2);}

C_noret_decl(trf_18340)
static void C_ccall trf_18340(C_word c,C_word *av) C_noret;
static void C_ccall trf_18340(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18340(t0,t1,t2);}

C_noret_decl(trf_18430)
static void C_ccall trf_18430(C_word c,C_word *av) C_noret;
static void C_ccall trf_18430(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18430(t0,t1);}

C_noret_decl(trf_18489)
static void C_ccall trf_18489(C_word c,C_word *av) C_noret;
static void C_ccall trf_18489(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18489(t0,t1,t2);}

C_noret_decl(trf_18519)
static void C_ccall trf_18519(C_word c,C_word *av) C_noret;
static void C_ccall trf_18519(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18519(t0,t1,t2);}

C_noret_decl(trf_18578)
static void C_ccall trf_18578(C_word c,C_word *av) C_noret;
static void C_ccall trf_18578(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18578(t0,t1,t2);}

C_noret_decl(trf_18619)
static void C_ccall trf_18619(C_word c,C_word *av) C_noret;
static void C_ccall trf_18619(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18619(t0,t1,t2);}

C_noret_decl(trf_18738)
static void C_ccall trf_18738(C_word c,C_word *av) C_noret;
static void C_ccall trf_18738(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18738(t0,t1,t2);}

C_noret_decl(trf_19128)
static void C_ccall trf_19128(C_word c,C_word *av) C_noret;
static void C_ccall trf_19128(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_19128(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19171)
static void C_ccall trf_19171(C_word c,C_word *av) C_noret;
static void C_ccall trf_19171(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19171(t0,t1,t2);}

C_noret_decl(trf_19226)
static void C_ccall trf_19226(C_word c,C_word *av) C_noret;
static void C_ccall trf_19226(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19226(t0,t1,t2,t3);}

C_noret_decl(trf_19482)
static void C_ccall trf_19482(C_word c,C_word *av) C_noret;
static void C_ccall trf_19482(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19482(t0,t1,t2);}

C_noret_decl(trf_19495)
static void C_ccall trf_19495(C_word c,C_word *av) C_noret;
static void C_ccall trf_19495(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19495(t0,t1,t2);}

C_noret_decl(trf_19554)
static void C_ccall trf_19554(C_word c,C_word *av) C_noret;
static void C_ccall trf_19554(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19554(t0,t1,t2);}

C_noret_decl(trf_19808)
static void C_ccall trf_19808(C_word c,C_word *av) C_noret;
static void C_ccall trf_19808(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19808(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19812)
static void C_ccall trf_19812(C_word c,C_word *av) C_noret;
static void C_ccall trf_19812(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19812(t0,t1);}

C_noret_decl(trf_19842)
static void C_ccall trf_19842(C_word c,C_word *av) C_noret;
static void C_ccall trf_19842(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19842(t0,t1);}

C_noret_decl(trf_19862)
static void C_ccall trf_19862(C_word c,C_word *av) C_noret;
static void C_ccall trf_19862(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19862(t0,t1,t2,t3);}

C_noret_decl(trf_19871)
static void C_ccall trf_19871(C_word c,C_word *av) C_noret;
static void C_ccall trf_19871(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19871(t0,t1,t2);}

C_noret_decl(trf_19876)
static void C_ccall trf_19876(C_word c,C_word *av) C_noret;
static void C_ccall trf_19876(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19876(t0,t1);}

C_noret_decl(trf_20245)
static void C_ccall trf_20245(C_word c,C_word *av) C_noret;
static void C_ccall trf_20245(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20245(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20254)
static void C_ccall trf_20254(C_word c,C_word *av) C_noret;
static void C_ccall trf_20254(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20254(t0,t1);}

C_noret_decl(trf_20264)
static void C_ccall trf_20264(C_word c,C_word *av) C_noret;
static void C_ccall trf_20264(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20264(t0,t1,t2);}

C_noret_decl(trf_20271)
static void C_ccall trf_20271(C_word c,C_word *av) C_noret;
static void C_ccall trf_20271(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20271(t0,t1);}

C_noret_decl(trf_20291)
static void C_ccall trf_20291(C_word c,C_word *av) C_noret;
static void C_ccall trf_20291(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20291(t0,t1,t2);}

C_noret_decl(trf_20300)
static void C_ccall trf_20300(C_word c,C_word *av) C_noret;
static void C_ccall trf_20300(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20300(t0,t1,t2);}

C_noret_decl(trf_20315)
static void C_ccall trf_20315(C_word c,C_word *av) C_noret;
static void C_ccall trf_20315(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20315(t0,t1);}

C_noret_decl(trf_20318)
static void C_ccall trf_20318(C_word c,C_word *av) C_noret;
static void C_ccall trf_20318(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20318(t0,t1);}

C_noret_decl(trf_20328)
static void C_ccall trf_20328(C_word c,C_word *av) C_noret;
static void C_ccall trf_20328(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20328(t0,t1,t2);}

C_noret_decl(trf_20366)
static void C_ccall trf_20366(C_word c,C_word *av) C_noret;
static void C_ccall trf_20366(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20366(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20372)
static void C_ccall trf_20372(C_word c,C_word *av) C_noret;
static void C_ccall trf_20372(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20372(t0,t1,t2,t3);}

C_noret_decl(trf_20426)
static void C_ccall trf_20426(C_word c,C_word *av) C_noret;
static void C_ccall trf_20426(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20426(t0,t1,t2);}

C_noret_decl(trf_20438)
static void C_ccall trf_20438(C_word c,C_word *av) C_noret;
static void C_ccall trf_20438(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20438(t0,t1,t2,t3);}

C_noret_decl(trf_20463)
static void C_ccall trf_20463(C_word c,C_word *av) C_noret;
static void C_ccall trf_20463(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20463(t0,t1,t2);}

C_noret_decl(trf_20473)
static void C_ccall trf_20473(C_word c,C_word *av) C_noret;
static void C_ccall trf_20473(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20473(t0,t1,t2,t3);}

C_noret_decl(trf_20666)
static void C_ccall trf_20666(C_word c,C_word *av) C_noret;
static void C_ccall trf_20666(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20666(t0,t1);}

C_noret_decl(trf_20757)
static void C_ccall trf_20757(C_word c,C_word *av) C_noret;
static void C_ccall trf_20757(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20757(t0,t1);}

C_noret_decl(trf_20777)
static void C_ccall trf_20777(C_word c,C_word *av) C_noret;
static void C_ccall trf_20777(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20777(t0,t1);}

C_noret_decl(trf_20782)
static void C_ccall trf_20782(C_word c,C_word *av) C_noret;
static void C_ccall trf_20782(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20782(t0,t1,t2,t3);}

C_noret_decl(trf_20881)
static void C_ccall trf_20881(C_word c,C_word *av) C_noret;
static void C_ccall trf_20881(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20881(t0,t1);}

C_noret_decl(trf_21029)
static void C_ccall trf_21029(C_word c,C_word *av) C_noret;
static void C_ccall trf_21029(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21029(t0,t1,t2,t3);}

C_noret_decl(trf_21038)
static void C_ccall trf_21038(C_word c,C_word *av) C_noret;
static void C_ccall trf_21038(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21038(t0,t1,t2);}

C_noret_decl(trf_21093)
static void C_ccall trf_21093(C_word c,C_word *av) C_noret;
static void C_ccall trf_21093(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21093(t0,t1,t2);}

C_noret_decl(trf_21100)
static void C_ccall trf_21100(C_word c,C_word *av) C_noret;
static void C_ccall trf_21100(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21100(t0,t1);}

C_noret_decl(trf_21143)
static void C_ccall trf_21143(C_word c,C_word *av) C_noret;
static void C_ccall trf_21143(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21143(t0,t1);}

C_noret_decl(trf_21291)
static void C_ccall trf_21291(C_word c,C_word *av) C_noret;
static void C_ccall trf_21291(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21291(t0,t1);}

C_noret_decl(trf_21309)
static void C_ccall trf_21309(C_word c,C_word *av) C_noret;
static void C_ccall trf_21309(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21309(t0,t1,t2,t3);}

C_noret_decl(trf_21344)
static void C_ccall trf_21344(C_word c,C_word *av) C_noret;
static void C_ccall trf_21344(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21344(t0,t1);}

C_noret_decl(trf_21379)
static void C_ccall trf_21379(C_word c,C_word *av) C_noret;
static void C_ccall trf_21379(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21379(t0,t1,t2);}

C_noret_decl(trf_21430)
static void C_ccall trf_21430(C_word c,C_word *av) C_noret;
static void C_ccall trf_21430(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21430(t0,t1,t2);}

C_noret_decl(trf_21497)
static void C_ccall trf_21497(C_word c,C_word *av) C_noret;
static void C_ccall trf_21497(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21497(t0,t1);}

C_noret_decl(trf_21507)
static void C_ccall trf_21507(C_word c,C_word *av) C_noret;
static void C_ccall trf_21507(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21507(t0,t1,t2,t3);}

C_noret_decl(trf_21517)
static void C_ccall trf_21517(C_word c,C_word *av) C_noret;
static void C_ccall trf_21517(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21517(t0,t1);}

C_noret_decl(trf_21561)
static void C_ccall trf_21561(C_word c,C_word *av) C_noret;
static void C_ccall trf_21561(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21561(t0,t1);}

C_noret_decl(trf_21571)
static void C_ccall trf_21571(C_word c,C_word *av) C_noret;
static void C_ccall trf_21571(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21571(t0,t1,t2,t3);}

C_noret_decl(trf_21581)
static void C_ccall trf_21581(C_word c,C_word *av) C_noret;
static void C_ccall trf_21581(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21581(t0,t1);}

C_noret_decl(trf_21607)
static void C_ccall trf_21607(C_word c,C_word *av) C_noret;
static void C_ccall trf_21607(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21607(t0,t1);}

C_noret_decl(trf_21632)
static void C_ccall trf_21632(C_word c,C_word *av) C_noret;
static void C_ccall trf_21632(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21632(t0,t1,t2);}

C_noret_decl(trf_21638)
static void C_ccall trf_21638(C_word c,C_word *av) C_noret;
static void C_ccall trf_21638(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21638(t0,t1,t2,t3);}

C_noret_decl(trf_21651)
static void C_ccall trf_21651(C_word c,C_word *av) C_noret;
static void C_ccall trf_21651(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21651(t0,t1);}

C_noret_decl(trf_21657)
static void C_ccall trf_21657(C_word c,C_word *av) C_noret;
static void C_ccall trf_21657(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21657(t0,t1);}

C_noret_decl(trf_21846)
static void C_ccall trf_21846(C_word c,C_word *av) C_noret;
static void C_ccall trf_21846(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21846(t0,t1);}

C_noret_decl(trf_21885)
static void C_ccall trf_21885(C_word c,C_word *av) C_noret;
static void C_ccall trf_21885(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21885(t0,t1);}

C_noret_decl(trf_22030)
static void C_ccall trf_22030(C_word c,C_word *av) C_noret;
static void C_ccall trf_22030(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22030(t0,t1);}

C_noret_decl(trf_22055)
static void C_ccall trf_22055(C_word c,C_word *av) C_noret;
static void C_ccall trf_22055(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22055(t0,t1);}

C_noret_decl(trf_22061)
static void C_ccall trf_22061(C_word c,C_word *av) C_noret;
static void C_ccall trf_22061(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22061(t0,t1,t2);}

C_noret_decl(trf_22142)
static void C_ccall trf_22142(C_word c,C_word *av) C_noret;
static void C_ccall trf_22142(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22142(t0,t1);}

C_noret_decl(trf_22160)
static void C_ccall trf_22160(C_word c,C_word *av) C_noret;
static void C_ccall trf_22160(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22160(t0,t1,t2);}

C_noret_decl(trf_22179)
static void C_ccall trf_22179(C_word c,C_word *av) C_noret;
static void C_ccall trf_22179(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22179(t0,t1);}

C_noret_decl(trf_22234)
static void C_ccall trf_22234(C_word c,C_word *av) C_noret;
static void C_ccall trf_22234(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22234(t0,t1,t2);}

C_noret_decl(trf_22258)
static void C_ccall trf_22258(C_word c,C_word *av) C_noret;
static void C_ccall trf_22258(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22258(t0,t1);}

C_noret_decl(trf_22392)
static void C_ccall trf_22392(C_word c,C_word *av) C_noret;
static void C_ccall trf_22392(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22392(t0,t1);}

C_noret_decl(trf_22472)
static void C_ccall trf_22472(C_word c,C_word *av) C_noret;
static void C_ccall trf_22472(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22472(t0,t1);}

C_noret_decl(trf_22840)
static void C_ccall trf_22840(C_word c,C_word *av) C_noret;
static void C_ccall trf_22840(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22840(t0,t1);}

C_noret_decl(trf_23389)
static void C_ccall trf_23389(C_word c,C_word *av) C_noret;
static void C_ccall trf_23389(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23389(t0,t1,t2);}

C_noret_decl(trf_23435)
static void C_ccall trf_23435(C_word c,C_word *av) C_noret;
static void C_ccall trf_23435(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23435(t0,t1,t2,t3);}

C_noret_decl(trf_23698)
static void C_ccall trf_23698(C_word c,C_word *av) C_noret;
static void C_ccall trf_23698(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23698(t0,t1,t2);}

C_noret_decl(trf_23749)
static void C_ccall trf_23749(C_word c,C_word *av) C_noret;
static void C_ccall trf_23749(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23749(t0,t1,t2);}

C_noret_decl(trf_23808)
static void C_ccall trf_23808(C_word c,C_word *av) C_noret;
static void C_ccall trf_23808(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23808(t0,t1,t2,t3);}

C_noret_decl(trf_23880)
static void C_ccall trf_23880(C_word c,C_word *av) C_noret;
static void C_ccall trf_23880(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23880(t0,t1,t2,t3);}

C_noret_decl(trf_23940)
static void C_ccall trf_23940(C_word c,C_word *av) C_noret;
static void C_ccall trf_23940(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23940(t0,t1,t2,t3);}

C_noret_decl(trf_23964)
static void C_ccall trf_23964(C_word c,C_word *av) C_noret;
static void C_ccall trf_23964(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23964(t0,t1,t2,t3);}

C_noret_decl(trf_23976)
static void C_ccall trf_23976(C_word c,C_word *av) C_noret;
static void C_ccall trf_23976(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23976(t0,t1,t2);}

C_noret_decl(trf_24053)
static void C_ccall trf_24053(C_word c,C_word *av) C_noret;
static void C_ccall trf_24053(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24053(t0,t1,t2);}

C_noret_decl(trf_24102)
static void C_ccall trf_24102(C_word c,C_word *av) C_noret;
static void C_ccall trf_24102(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24102(t0,t1,t2);}

C_noret_decl(trf_24118)
static void C_ccall trf_24118(C_word c,C_word *av) C_noret;
static void C_ccall trf_24118(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24118(t0,t1);}

C_noret_decl(trf_24175)
static void C_ccall trf_24175(C_word c,C_word *av) C_noret;
static void C_ccall trf_24175(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24175(t0,t1);}

C_noret_decl(trf_24237)
static void C_ccall trf_24237(C_word c,C_word *av) C_noret;
static void C_ccall trf_24237(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24237(t0,t1,t2);}

C_noret_decl(trf_24296)
static void C_ccall trf_24296(C_word c,C_word *av) C_noret;
static void C_ccall trf_24296(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24296(t0,t1,t2);}

C_noret_decl(trf_24466)
static void C_ccall trf_24466(C_word c,C_word *av) C_noret;
static void C_ccall trf_24466(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24466(t0,t1,t2,t3);}

C_noret_decl(trf_24645)
static void C_ccall trf_24645(C_word c,C_word *av) C_noret;
static void C_ccall trf_24645(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24645(t0,t1,t2);}

C_noret_decl(trf_24655)
static void C_ccall trf_24655(C_word c,C_word *av) C_noret;
static void C_ccall trf_24655(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24655(t0,t1);}

C_noret_decl(trf_24717)
static void C_ccall trf_24717(C_word c,C_word *av) C_noret;
static void C_ccall trf_24717(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24717(t0,t1,t2);}

C_noret_decl(trf_24856)
static void C_ccall trf_24856(C_word c,C_word *av) C_noret;
static void C_ccall trf_24856(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24856(t0,t1,t2,t3);}

C_noret_decl(trf_25229)
static void C_ccall trf_25229(C_word c,C_word *av) C_noret;
static void C_ccall trf_25229(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25229(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25249)
static void C_ccall trf_25249(C_word c,C_word *av) C_noret;
static void C_ccall trf_25249(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25249(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25303)
static void C_ccall trf_25303(C_word c,C_word *av) C_noret;
static void C_ccall trf_25303(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25303(t0,t1);}

C_noret_decl(trf_25320)
static void C_ccall trf_25320(C_word c,C_word *av) C_noret;
static void C_ccall trf_25320(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25320(t0,t1);}

C_noret_decl(trf_25500)
static void C_ccall trf_25500(C_word c,C_word *av) C_noret;
static void C_ccall trf_25500(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25500(t0,t1,t2);}

C_noret_decl(trf_25515)
static void C_ccall trf_25515(C_word c,C_word *av) C_noret;
static void C_ccall trf_25515(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25515(t0,t1,t2);}

C_noret_decl(trf_25618)
static void C_ccall trf_25618(C_word c,C_word *av) C_noret;
static void C_ccall trf_25618(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25618(t0,t1,t2);}

C_noret_decl(trf_25637)
static void C_ccall trf_25637(C_word c,C_word *av) C_noret;
static void C_ccall trf_25637(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25637(t0,t1);}

C_noret_decl(trf_25746)
static void C_ccall trf_25746(C_word c,C_word *av) C_noret;
static void C_ccall trf_25746(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25746(t0,t1,t2);}

C_noret_decl(trf_25783)
static void C_ccall trf_25783(C_word c,C_word *av) C_noret;
static void C_ccall trf_25783(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25783(t0,t1);}

C_noret_decl(trf_25817)
static void C_ccall trf_25817(C_word c,C_word *av) C_noret;
static void C_ccall trf_25817(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25817(t0,t1,t2);}

C_noret_decl(trf_25953)
static void C_ccall trf_25953(C_word c,C_word *av) C_noret;
static void C_ccall trf_25953(C_word c,C_word *av){
C_word t0=av[0];
f_25953(t0);}

C_noret_decl(trf_25981)
static void C_ccall trf_25981(C_word c,C_word *av) C_noret;
static void C_ccall trf_25981(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25981(t0,t1);}

C_noret_decl(trf_26005)
static void C_ccall trf_26005(C_word c,C_word *av) C_noret;
static void C_ccall trf_26005(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26005(t0,t1,t2);}

C_noret_decl(trf_26100)
static void C_ccall trf_26100(C_word c,C_word *av) C_noret;
static void C_ccall trf_26100(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26100(t0,t1,t2);}

C_noret_decl(trf_26127)
static void C_ccall trf_26127(C_word c,C_word *av) C_noret;
static void C_ccall trf_26127(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26127(t0,t1);}

C_noret_decl(trf_26148)
static void C_ccall trf_26148(C_word c,C_word *av) C_noret;
static void C_ccall trf_26148(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26148(t0,t1);}

C_noret_decl(trf_26151)
static void C_ccall trf_26151(C_word c,C_word *av) C_noret;
static void C_ccall trf_26151(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26151(t0,t1);}

C_noret_decl(trf_26171)
static void C_ccall trf_26171(C_word c,C_word *av) C_noret;
static void C_ccall trf_26171(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26171(t0,t1);}

C_noret_decl(trf_26594)
static void C_ccall trf_26594(C_word c,C_word *av) C_noret;
static void C_ccall trf_26594(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26594(t0,t1,t2,t3);}

C_noret_decl(trf_26600)
static void C_ccall trf_26600(C_word c,C_word *av) C_noret;
static void C_ccall trf_26600(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26600(t0,t1,t2);}

C_noret_decl(trf_26616)
static void C_ccall trf_26616(C_word c,C_word *av) C_noret;
static void C_ccall trf_26616(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26616(t0,t1);}

C_noret_decl(trf_26713)
static void C_ccall trf_26713(C_word c,C_word *av) C_noret;
static void C_ccall trf_26713(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26713(t0,t1,t2);}

C_noret_decl(trf_26759)
static void C_ccall trf_26759(C_word c,C_word *av) C_noret;
static void C_ccall trf_26759(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26759(t0,t1,t2);}

C_noret_decl(trf_26835)
static void C_ccall trf_26835(C_word c,C_word *av) C_noret;
static void C_ccall trf_26835(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26835(t0,t1,t2);}

C_noret_decl(trf_26887)
static void C_ccall trf_26887(C_word c,C_word *av) C_noret;
static void C_ccall trf_26887(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26887(t0,t1,t2);}

C_noret_decl(trf_26935)
static void C_ccall trf_26935(C_word c,C_word *av) C_noret;
static void C_ccall trf_26935(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26935(t0,t1,t2);}

C_noret_decl(trf_26949)
static void C_ccall trf_26949(C_word c,C_word *av) C_noret;
static void C_ccall trf_26949(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26949(t0,t1,t2);}

C_noret_decl(trf_27005)
static void C_ccall trf_27005(C_word c,C_word *av) C_noret;
static void C_ccall trf_27005(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27005(t0,t1,t2);}

C_noret_decl(trf_27130)
static void C_ccall trf_27130(C_word c,C_word *av) C_noret;
static void C_ccall trf_27130(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27130(t0,t1,t2);}

C_noret_decl(trf_27132)
static void C_ccall trf_27132(C_word c,C_word *av) C_noret;
static void C_ccall trf_27132(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27132(t0,t1,t2);}

C_noret_decl(trf_27153)
static void C_ccall trf_27153(C_word c,C_word *av) C_noret;
static void C_ccall trf_27153(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27153(t0,t1,t2);}

C_noret_decl(trf_27177)
static void C_ccall trf_27177(C_word c,C_word *av) C_noret;
static void C_ccall trf_27177(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_27177(t0,t1,t2,t3);}

C_noret_decl(trf_27193)
static void C_ccall trf_27193(C_word c,C_word *av) C_noret;
static void C_ccall trf_27193(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27193(t0,t1);}

C_noret_decl(trf_27231)
static void C_ccall trf_27231(C_word c,C_word *av) C_noret;
static void C_ccall trf_27231(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27231(t0,t1,t2);}

C_noret_decl(trf_27326)
static void C_ccall trf_27326(C_word c,C_word *av) C_noret;
static void C_ccall trf_27326(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27326(t0,t1,t2);}

C_noret_decl(trf_27331)
static void C_ccall trf_27331(C_word c,C_word *av) C_noret;
static void C_ccall trf_27331(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27331(t0,t1);}

C_noret_decl(trf_28279)
static void C_ccall trf_28279(C_word c,C_word *av) C_noret;
static void C_ccall trf_28279(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28279(t0,t1,t2);}

C_noret_decl(trf_28343)
static void C_ccall trf_28343(C_word c,C_word *av) C_noret;
static void C_ccall trf_28343(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28343(t0,t1,t2);}

C_noret_decl(trf_28555)
static void C_ccall trf_28555(C_word c,C_word *av) C_noret;
static void C_ccall trf_28555(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28555(t0,t1,t2);}

C_noret_decl(trf_28599)
static void C_ccall trf_28599(C_word c,C_word *av) C_noret;
static void C_ccall trf_28599(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28599(t0,t1);}

C_noret_decl(trf_28612)
static void C_ccall trf_28612(C_word c,C_word *av) C_noret;
static void C_ccall trf_28612(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28612(t0,t1,t2);}

C_noret_decl(trf_28646)
static void C_ccall trf_28646(C_word c,C_word *av) C_noret;
static void C_ccall trf_28646(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28646(t0,t1,t2);}

C_noret_decl(trf_28661)
static void C_ccall trf_28661(C_word c,C_word *av) C_noret;
static void C_ccall trf_28661(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28661(t0,t1);}

C_noret_decl(trf_28737)
static void C_ccall trf_28737(C_word c,C_word *av) C_noret;
static void C_ccall trf_28737(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28737(t0,t1,t2);}

C_noret_decl(trf_28837)
static void C_ccall trf_28837(C_word c,C_word *av) C_noret;
static void C_ccall trf_28837(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28837(t0,t1);}

C_noret_decl(trf_28856)
static void C_ccall trf_28856(C_word c,C_word *av) C_noret;
static void C_ccall trf_28856(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28856(t0,t1,t2);}

C_noret_decl(trf_28897)
static void C_ccall trf_28897(C_word c,C_word *av) C_noret;
static void C_ccall trf_28897(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28897(t0,t1,t2,t3,t4);}

C_noret_decl(trf_28920)
static void C_ccall trf_28920(C_word c,C_word *av) C_noret;
static void C_ccall trf_28920(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28920(t0,t1);}

C_noret_decl(trf_29222)
static void C_ccall trf_29222(C_word c,C_word *av) C_noret;
static void C_ccall trf_29222(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29222(t0,t1,t2);}

C_noret_decl(trf_29234)
static void C_ccall trf_29234(C_word c,C_word *av) C_noret;
static void C_ccall trf_29234(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29234(t0,t1,t2);}

C_noret_decl(trf_29315)
static void C_ccall trf_29315(C_word c,C_word *av) C_noret;
static void C_ccall trf_29315(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29315(t0,t1,t2,t3);}

C_noret_decl(trf_29453)
static void C_ccall trf_29453(C_word c,C_word *av) C_noret;
static void C_ccall trf_29453(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29453(t0,t1);}

C_noret_decl(trf_29493)
static void C_ccall trf_29493(C_word c,C_word *av) C_noret;
static void C_ccall trf_29493(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29493(t0,t1,t2);}

C_noret_decl(trf_29606)
static void C_ccall trf_29606(C_word c,C_word *av) C_noret;
static void C_ccall trf_29606(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29606(t0,t1);}

C_noret_decl(trf_30040)
static void C_ccall trf_30040(C_word c,C_word *av) C_noret;
static void C_ccall trf_30040(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30040(t0,t1);}

C_noret_decl(trf_30052)
static void C_ccall trf_30052(C_word c,C_word *av) C_noret;
static void C_ccall trf_30052(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30052(t0,t1,t2);}

C_noret_decl(trf_30111)
static void C_ccall trf_30111(C_word c,C_word *av) C_noret;
static void C_ccall trf_30111(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30111(t0,t1);}

C_noret_decl(trf_30125)
static void C_ccall trf_30125(C_word c,C_word *av) C_noret;
static void C_ccall trf_30125(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30125(t0,t1,t2);}

C_noret_decl(trf_30145)
static void C_ccall trf_30145(C_word c,C_word *av) C_noret;
static void C_ccall trf_30145(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30145(t0,t1,t2);}

C_noret_decl(trf_30368)
static void C_ccall trf_30368(C_word c,C_word *av) C_noret;
static void C_ccall trf_30368(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30368(t0,t1);}

C_noret_decl(trf_30391)
static void C_ccall trf_30391(C_word c,C_word *av) C_noret;
static void C_ccall trf_30391(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30391(t0,t1);}

C_noret_decl(trf_30572)
static void C_ccall trf_30572(C_word c,C_word *av) C_noret;
static void C_ccall trf_30572(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30572(t0,t1);}

C_noret_decl(trf_30605)
static void C_ccall trf_30605(C_word c,C_word *av) C_noret;
static void C_ccall trf_30605(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30605(t0,t1);}

C_noret_decl(trf_30608)
static void C_ccall trf_30608(C_word c,C_word *av) C_noret;
static void C_ccall trf_30608(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30608(t0,t1);}

C_noret_decl(trf_30611)
static void C_ccall trf_30611(C_word c,C_word *av) C_noret;
static void C_ccall trf_30611(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30611(t0,t1);}

C_noret_decl(trf_30614)
static void C_ccall trf_30614(C_word c,C_word *av) C_noret;
static void C_ccall trf_30614(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30614(t0,t1);}

C_noret_decl(trf_30617)
static void C_ccall trf_30617(C_word c,C_word *av) C_noret;
static void C_ccall trf_30617(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30617(t0,t1);}

C_noret_decl(trf_30650)
static void C_ccall trf_30650(C_word c,C_word *av) C_noret;
static void C_ccall trf_30650(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30650(t0,t1,t2);}

C_noret_decl(trf_30686)
static void C_ccall trf_30686(C_word c,C_word *av) C_noret;
static void C_ccall trf_30686(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30686(t0,t1,t2);}

C_noret_decl(trf_30717)
static void C_ccall trf_30717(C_word c,C_word *av) C_noret;
static void C_ccall trf_30717(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30717(t0,t1,t2);}

C_noret_decl(trf_30760)
static void C_ccall trf_30760(C_word c,C_word *av) C_noret;
static void C_ccall trf_30760(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30760(t0,t1,t2);}

C_noret_decl(trf_30992)
static void C_ccall trf_30992(C_word c,C_word *av) C_noret;
static void C_ccall trf_30992(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30992(t0,t1,t2);}

C_noret_decl(trf_31011)
static void C_ccall trf_31011(C_word c,C_word *av) C_noret;
static void C_ccall trf_31011(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31011(t0,t1);}

C_noret_decl(trf_31164)
static void C_ccall trf_31164(C_word c,C_word *av) C_noret;
static void C_ccall trf_31164(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31164(t0,t1,t2);}

C_noret_decl(trf_31203)
static void C_ccall trf_31203(C_word c,C_word *av) C_noret;
static void C_ccall trf_31203(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31203(t0,t1,t2);}

C_noret_decl(trf_31219)
static void C_ccall trf_31219(C_word c,C_word *av) C_noret;
static void C_ccall trf_31219(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31219(t0,t1,t2);}

C_noret_decl(trf_31385)
static void C_ccall trf_31385(C_word c,C_word *av) C_noret;
static void C_ccall trf_31385(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31385(t0,t1);}

C_noret_decl(trf_31892)
static void C_ccall trf_31892(C_word c,C_word *av) C_noret;
static void C_ccall trf_31892(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31892(t0,t1);}

C_noret_decl(trf_31894)
static void C_ccall trf_31894(C_word c,C_word *av) C_noret;
static void C_ccall trf_31894(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_31894(t0,t1,t2,t3,t4);}

C_noret_decl(trf_31990)
static void C_ccall trf_31990(C_word c,C_word *av) C_noret;
static void C_ccall trf_31990(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31990(t0,t1);}

C_noret_decl(trf_32003)
static void C_ccall trf_32003(C_word c,C_word *av) C_noret;
static void C_ccall trf_32003(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_32003(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8814)
static void C_ccall trf_8814(C_word c,C_word *av) C_noret;
static void C_ccall trf_8814(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8814(t0,t1,t2,t3);}

C_noret_decl(trf_9278)
static void C_ccall trf_9278(C_word c,C_word *av) C_noret;
static void C_ccall trf_9278(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9278(t0,t1,t2,t3);}

C_noret_decl(trf_9315)
static void C_ccall trf_9315(C_word c,C_word *av) C_noret;
static void C_ccall trf_9315(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9315(t0,t1,t2);}

C_noret_decl(trf_9401)
static void C_ccall trf_9401(C_word c,C_word *av) C_noret;
static void C_ccall trf_9401(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9401(t0,t1,t2);}

C_noret_decl(trf_9434)
static void C_ccall trf_9434(C_word c,C_word *av) C_noret;
static void C_ccall trf_9434(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9434(t0,t1,t2);}

C_noret_decl(trf_9552)
static void C_ccall trf_9552(C_word c,C_word *av) C_noret;
static void C_ccall trf_9552(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9552(t0,t1,t2);}

C_noret_decl(trf_9587)
static void C_ccall trf_9587(C_word c,C_word *av) C_noret;
static void C_ccall trf_9587(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9587(t0,t1,t2);}

C_noret_decl(trf_9651)
static void C_ccall trf_9651(C_word c,C_word *av) C_noret;
static void C_ccall trf_9651(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9651(t0,t1,t2);}

C_noret_decl(trf_9716)
static void C_ccall trf_9716(C_word c,C_word *av) C_noret;
static void C_ccall trf_9716(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9716(t0,t1,t2);}

C_noret_decl(trf_9752)
static void C_ccall trf_9752(C_word c,C_word *av) C_noret;
static void C_ccall trf_9752(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9752(t0,t1,t2);}

C_noret_decl(trf_9781)
static void C_ccall trf_9781(C_word c,C_word *av) C_noret;
static void C_ccall trf_9781(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9781(t0,t1,t2,t3);}

C_noret_decl(trf_9820)
static void C_ccall trf_9820(C_word c,C_word *av) C_noret;
static void C_ccall trf_9820(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9820(t0,t1);}

C_noret_decl(trf_9828)
static void C_ccall trf_9828(C_word c,C_word *av) C_noret;
static void C_ccall trf_9828(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9828(t0,t1,t2);}

C_noret_decl(trf_9882)
static void C_ccall trf_9882(C_word c,C_word *av) C_noret;
static void C_ccall trf_9882(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9882(t0,t1,t2,t3);}

C_noret_decl(trf_9960)
static void C_ccall trf_9960(C_word c,C_word *av) C_noret;
static void C_ccall trf_9960(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9960(t0,t1);}

C_noret_decl(trf_9998)
static void C_ccall trf_9998(C_word c,C_word *av) C_noret;
static void C_ccall trf_9998(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9998(t0,t1,t2);}

/* f33891 in chicken.base#emergency-exit in k8492 */
static void C_ccall f33891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f33891,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34420 in chicken.base#exit in k8492 */
static void C_ccall f34420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34420,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f36641 in k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f36641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36641,3,av);}
t3=C_i_check_list_2(t2,lf[1349]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36647 in k31057 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f36647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36647,3,av);}
t3=C_i_check_string_2(t2,lf[1351]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36653 in k31053 in k31057 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f36653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36653,3,av);}
t3=C_i_check_string_2(t2,lf[1351]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k10012 in loop */
static void C_ccall f_10014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10014,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:894: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_9998(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#alist-update in k8492 */
static void C_ccall f_10039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_10039,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+9);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10048,a[2]=t2,a[3]=t3,a[4]=t10,a[5]=t8,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_10048(t12,t1,t4);}

/* loop in chicken.base#alist-update in k8492 */
static void C_fcall f_10048(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10048,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:907: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[262];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_i_pairp(t5);
if(C_truep(C_i_not(t6))){
/* library.scm:911: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[263];
av2[4]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10089,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t5,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t8=C_slot(t5,C_fix(0));
/* library.scm:912: cmp */
t9=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}}}

/* k10087 in loop in chicken.base#alist-update in k8492 */
static void C_ccall f_10089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10089,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10111,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:916: loop */
t8=((C_word*)((C_word*)t0)[7])[1];
f_10048(t8,t6,t7);}}

/* k10109 in k10087 in loop in chicken.base#alist-update in k8492 */
static void C_ccall f_10111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10111,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8492 */
static void C_ccall f_10143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10143,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+10);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=t11;
t13=C_i_nullp(t9);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:C_i_cdr(t9));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10159,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t16=C_eqp(*((C_word*)lf[4]+1),t7);
if(C_truep(t16)){
t17=t15;
f_10159(t17,*((C_word*)lf[52]+1));}
else{
t17=C_eqp(*((C_word*)lf[5]+1),t7);
if(C_truep(t17)){
t18=t15;
f_10159(t18,*((C_word*)lf[53]+1));}
else{
t18=C_eqp(*((C_word*)lf[6]+1),t7);
t19=t15;
f_10159(t19,(C_truep(t18)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10184,a[2]=t7,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10157 in chicken.base#alist-ref in k8492 */
static void C_fcall f_10159(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10159,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10162,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:934: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10160 in k10157 in chicken.base#alist-ref in k8492 */
static void C_ccall f_10162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10162,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10184 in chicken.base#alist-ref in k8492 */
static void C_ccall f_10184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10184,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10190,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10190(t7,t1,t3);}

/* loop */
static void C_fcall f_10190(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10190,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[265]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10215,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(0));
/* library.scm:930: cmp */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
/* library.scm:933: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[265];
av2[3]=lf[266];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10213 in loop */
static void C_ccall f_10215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10215,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:932: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10190(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#rassoc in k8492 */
static void C_ccall f_10255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_10255,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_check_list_2(t3,lf[268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_10262,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t7=t4;
t8=t6;
f_10262(t8,C_u_i_car(t7));}
else{
t7=t6;
f_10262(t7,*((C_word*)lf[5]+1));}}

/* k10260 in chicken.base#rassoc in k8492 */
static void C_fcall f_10262(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_10262,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10267,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_10267(t6,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* loop in k10260 in chicken.base#rassoc in k8492 */
static void C_fcall f_10267(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10267,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[268]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10286,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(1));
/* library.scm:947: tst */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10284 in loop in k10260 in chicken.base#rassoc in k8492 */
static void C_ccall f_10286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10286,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:949: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10267(t3,((C_word*)t0)[2],t2);}}

/* chicken.fixnum#fx+ in k8492 */
static void C_ccall f_10308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10308,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8492 */
static void C_ccall f_10311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10311,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8492 */
static void C_ccall f_10314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10314,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8492 */
static void C_ccall f_10317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10317,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8492 */
static void C_ccall f_10323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10323,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8492 */
static void C_ccall f_10326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10326,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8492 */
static void C_ccall f_10329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10329,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8492 */
static void C_ccall f_10332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10332,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8492 */
static void C_ccall f_10335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10335,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8492 */
static void C_ccall f_10338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10338,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8492 */
static void C_ccall f_10341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10341,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8492 */
static void C_ccall f_10344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10344,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8492 */
static void C_ccall f_10347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10347,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8492 */
static void C_ccall f_10350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10350,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8492 */
static void C_ccall f_10353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10353,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8492 */
static void C_ccall f_10356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10356,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8492 */
static void C_ccall f_10359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10359,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8492 */
static void C_ccall f_10362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10362,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8492 */
static void C_ccall f_10365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10365,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8492 */
static void C_ccall f_10368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10368,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8492 */
static void C_ccall f_10371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10371,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8492 */
static void C_ccall f_10374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10374,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8492 */
static void C_ccall f_10377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10377,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8492 */
static void C_ccall f_10380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10380,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8492 */
static void C_ccall f_10383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10383,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8492 */
static void C_ccall f_10386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10386,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8492 */
static void C_ccall f_10389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10389,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8492 */
static void C_ccall f_10392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10392,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8492 */
static void C_ccall f_10395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10395,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8492 */
static void C_ccall f_10400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10400,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[304]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[307];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8492 */
static void C_ccall f_10409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10409,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[305]+1))?*((C_word*)lf[304]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[309];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8492 */
static void C_ccall f_10421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10421,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_mutate((C_word*)lf[304]+1 /* (set! ##sys#warnings-enabled ...) */,C_u_i_car(t3));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=*((C_word*)lf[304]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[304]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8492 */
static void C_ccall f_10436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10436,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8492 */
static void C_ccall f_10439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10439,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8492 */
static void C_ccall f_10448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10448,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10452,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1050: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10450 in start-timer in k8492 */
static void C_ccall f_10452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10452,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8492 */
static void C_ccall f_10454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10454,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10458,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1054: g1203 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10456 in stop-timer in k8492 */
static void C_ccall f_10458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10458,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10461,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1057: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10459 in k10456 in stop-timer in k8492 */
static void C_ccall f_10461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10461,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10472,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1058: g1205 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10470 in k10459 in k10456 in stop-timer in k8492 */
static void C_ccall f_10472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10472,2,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8492 */
static void C_ccall f_10474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10474,3,av);}
t3=C_blockp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#message in k8492 */
static void C_ccall f_10481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10481,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8492 */
static void C_ccall f_10484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10484,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8492 */
static void C_ccall f_10487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10487,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8492 */
static void C_ccall f_10492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10492,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8492 */
static void C_ccall f_10496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10496,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8492 */
static void C_ccall f_10501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10501,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10505,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_blockp(t2);
t7=C_i_not(t6);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1077: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[334];
av2[4]=lf[336];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10505(2,av2);}}}
else{
t8=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t8)){
if(C_truep(t8)){
/* library.scm:1077: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[334];
av2[4]=lf[336];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10505(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1077: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[334];
av2[4]=lf[336];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10505(2,av2);}}}}}

/* k10503 in block-set! in k8492 */
static void C_ccall f_10505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10505,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10508,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[3]);
/* library.scm:1078: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[334];
tp(6,av2);}}

/* k10506 in k10503 in block-set! in k8492 */
static void C_ccall f_10508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10508,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8492 */
static void C_ccall f_10536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10536,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8492 */
static void C_ccall f_10539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10539,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8492 */
static void C_ccall f_10542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10542,2,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
/* library.scm:1105: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_values(4,av2);}}

/* ##sys#check-structure in k8492 */
static void C_ccall f_10559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10559,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_structure_2(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_structure(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-blob in k8492 */
static void C_ccall f_10570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10570,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_bytevector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_bytevector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-pair in k8492 */
static void C_ccall f_10582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10582,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_pair_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_pair(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-list in k8492 */
static void C_ccall f_10593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10593,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_list_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_list(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-string in k8492 */
static void C_ccall f_10604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10604,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_string_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_string(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-number in k8492 */
static void C_ccall f_10615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10615,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_number_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_number(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-fixnum in k8492 */
static void C_ccall f_10626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10626,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_fixnum_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_fixnum(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-exact in k8492 */
static void C_ccall f_10637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10637,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_exact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_exact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-inexact in k8492 */
static void C_ccall f_10648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10648,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_inexact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_inexact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-symbol in k8492 */
static void C_ccall f_10659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10659,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_symbol_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_symbol(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-vector in k8492 */
static void C_ccall f_10670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10670,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_vector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_vector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-char in k8492 */
static void C_ccall f_10681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10681,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_char_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_char(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-boolean in k8492 */
static void C_ccall f_10692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10692,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_boolean_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_boolean(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-locative in k8492 */
static void C_ccall f_10703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10703,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_locative_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_locative(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-integer in k8492 */
static void C_ccall f_10714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10714,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1183: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1183: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8492 */
static void C_ccall f_10731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10731,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1187: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1187: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8492 */
static void C_ccall f_10748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10748,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_exact_integerp(t2);
t5=C_i_not(t4);
t6=(C_truep(t5)?t5:C_i_integer_negativep(t2));
if(C_truep(t6)){
if(C_truep(C_i_pairp(t3))){
t7=t3;
t8=C_u_i_car(t7);
/* library.scm:1192: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1192: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#check-real in k8492 */
static void C_ccall f_10772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10772,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1196: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1196: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8492 */
static void C_ccall f_10789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10789,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10793,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1199: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10791 in check-range in k8492 */
static void C_ccall f_10793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10793,2,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
t5=((C_word*)t0)[6];
t6=C_u_i_car(t5);
/* library.scm:1201: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t6;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1201: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8492 */
static void C_ccall f_10819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10819,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=C_u_i_car(t5);
/* library.scm:1207: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t6;
av2[4]=lf[365];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
/* library.scm:1207: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[365];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8492 */
static void C_ccall f_10839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10839,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_closure_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#force in k8492 */
static void C_ccall f_10850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10850,3,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[216]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10862,a[2]=t4,a[3]=((C_word)li275),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10862(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* lp in scheme#force in k8492 */
static void C_fcall f_10862(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10862,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1220: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10896,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1224: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[368]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[216]))){
/* library.scm:1236: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10894 in lp in scheme#force in k8492 */
static void C_ccall f_10896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10896,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=C_i_closurep(t3);
if(C_truep(C_i_not(t4))){
/* library.scm:1226: lp */
t5=((C_word*)((C_word*)t0)[3])[1];
f_10862(t5,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10911,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_i_nullp(t2);
if(C_truep(C_i_not(t6))){
t7=C_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=C_slot(t2,C_fix(0));
t9=t5;
f_10911(t9,C_i_structurep(t8,lf[216]));}
else{
t8=t5;
f_10911(t8,C_SCHEME_FALSE);}}
else{
t7=t5;
f_10911(t7,C_SCHEME_FALSE);}}}

/* k10909 in k10894 in lp in scheme#force in k8492 */
static void C_fcall f_10911(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10911,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1231: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10862(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8492 */
static void C_ccall f_10978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_10978,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1246: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1246: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8492 */
static void C_ccall f_10994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_10994,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1250: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1250: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8492 */
static void C_ccall f_11010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11010,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1254: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1254: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8492 */
static void C_ccall f_11026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11026,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1258: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1258: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8492 */
static void C_ccall f_11042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11042,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1262: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1262: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8492 */
static void C_ccall f_11058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11058,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1266: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1266: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8492 */
static void C_ccall f_11074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11074,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1270: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1270: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8492 */
static void C_ccall f_11090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11090,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1274: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1274: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8492 */
static void C_ccall f_11106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11106,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11118,a[2]=t5,a[3]=((C_word)li288),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11118(t7,t1,t2);}}

/* loop in scheme#append in k8492 */
static void C_fcall f_11118(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11118,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11137,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=((C_word)li287),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11137(t9,t1,t5);}}

/* copy in loop in scheme#append in k8492 */
static void C_fcall f_11137(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11137,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:1285: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_11118(t5,t1,t4);}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11168,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:1287: copy */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t4=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:1289: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=lf[375];
tp(4,av2);}}}}

/* k11166 in copy in loop in scheme#append in k8492 */
static void C_ccall f_11168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11168,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8492 */
static void C_ccall f_11185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11185,3,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11191,a[2]=t4,a[3]=((C_word)li290),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11191(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in fast-reverse in k8492 */
static void C_fcall f_11191(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11191,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1295: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-string in k8492 */
static void C_ccall f_11215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_11215,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_nullp(t3))){
t4=t1;
t5=t2;
/* library.scm:1302: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t4=C_i_car(t3);
t5=t1;
t6=t2;
/* library.scm:1302: ##sys#allocate-vector */
t7=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* scheme#make-string in k8492 */
static void C_ccall f_11235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11235,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11239,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1309: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[379];
tp(4,av2);}}

/* k11237 in scheme#make-string in k8492 */
static void C_ccall f_11239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11239,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11242,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1311: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[380];
av2[3]=lf[379];
av2[4]=lf[381];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11242(2,av2);}}}

/* k11240 in k11237 in scheme#make-string in k8492 */
static void C_ccall f_11242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11242,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=((C_word*)t0)[4];
/* library.scm:1302: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[379]);
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
/* library.scm:1302: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}}

/* scheme#string->list in k8492 */
static void C_ccall f_11271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11271,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[383]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11287,a[2]=t2,a[3]=t7,a[4]=((C_word)li294),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11287(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8492 */
static void C_fcall f_11287(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11287,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1327: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8492 */
static void C_ccall f_11309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11309,3,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1335: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[386];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11325,a[2]=t5,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1337: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}}

/* k11323 in scheme#list->string in k8492 */
static void C_ccall f_11325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11325,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11330,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li296),tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11330(t3,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop1520 in k11323 in scheme#list->string in k8492 */
static C_word C_fcall f_11330(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[386]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t7=C_slot(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* ##sys#reverse-list->string in k8492 */
static void C_ccall f_11361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11361,3,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=t2;
t4=C_u_i_length(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11372,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1352: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}
else{
/* library.scm:1360: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[389];
tp(4,av2);}}}

/* k11370 in reverse-list->string in k8492 */
static void C_ccall f_11372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11372,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11381,a[2]=t2,a[3]=((C_word)li298),tmp=(C_word)a,a+=4,tmp);
t5=(
  f_11381(t4,((C_word*)t0)[3],t3)
);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* iter in k11370 in reverse-list->string in k8492 */
static C_word C_fcall f_11381(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[389]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_difference(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8492 */
static void C_ccall f_11410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11410,4,av);}
t4=C_i_check_string_2(t2,lf[391]);
t5=C_i_check_char_2(t3,lf[391]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8492 */
static void C_ccall f_11423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11423,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[393]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11433,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1373: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k11431 in scheme#string-copy in k8492 */
static void C_ccall f_11433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11433,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8492 */
static void C_ccall f_11435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11435,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[395]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11442,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1380: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[395];
tp(4,av2);}}

/* k11440 in scheme#substring in k8492 */
static void C_ccall f_11442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11442,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11445,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=C_u_i_car(t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11480,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1383: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[395];
tp(4,av2);}}
else{
t3=t2;
f_11445(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11443 in k11440 in scheme#substring in k8492 */
static void C_fcall f_11445(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11445,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11454,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t2))){
t5=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t6=t4;
f_11454(t6,(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_SCHEME_FALSE));}
else{
t5=t4;
f_11454(t5,C_SCHEME_FALSE);}}

/* k11452 in k11443 in k11440 in scheme#substring in k8492 */
static void C_fcall f_11454(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11454,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1390: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1391: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word av2[6];
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[395];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11478 in k11440 in scheme#substring in k8492 */
static void C_ccall f_11480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11480,2,av);}
t2=((C_word*)t0)[2];
f_11445(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8492 */
static void C_ccall f_11485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11485,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11489,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_fixnum_difference(t4,t3);
/* library.scm:1396: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}

/* k11487 in substring in k8492 */
static void C_ccall f_11489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11489,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1573 in k8492 */
static void C_ccall f_11494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11494,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare(t2,t3,t8);
/* library.scm:1406: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare(t2,t3,t9);
/* library.scm:1406: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string<? in k8492 */
static void C_ccall f_11515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11515,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11521,a[2]=((C_word)li305),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1414: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[398];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11520 in scheme#string<? in k8492 */
static void C_ccall f_11521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11521,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8492 */
static void C_ccall f_11539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11539,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11545,a[2]=((C_word)li307),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1421: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[400];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11544 in scheme#string>? in k8492 */
static void C_ccall f_11545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11545,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8492 */
static void C_ccall f_11563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11563,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11569,a[2]=((C_word)li309),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1428: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[402];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11568 in scheme#string<=? in k8492 */
static void C_ccall f_11569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11569,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8492 */
static void C_ccall f_11584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11584,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11590,a[2]=((C_word)li311),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1435: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[404];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11589 in scheme#string>=? in k8492 */
static void C_ccall f_11590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11590,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1616 in k8492 */
static void C_ccall f_11604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11604,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare_case_insensitive(t2,t3,t8);
/* library.scm:1448: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare_case_insensitive(t2,t3,t9);
/* library.scm:1448: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string-ci<? in k8492 */
static void C_ccall f_11625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11625,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11631,a[2]=((C_word)li314),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1456: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[406];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11630 in scheme#string-ci<? in k8492 */
static void C_ccall f_11631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11631,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8492 */
static void C_ccall f_11649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11649,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11655,a[2]=((C_word)li316),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1463: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[408];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11654 in scheme#string-ci>? in k8492 */
static void C_ccall f_11655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11655,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8492 */
static void C_ccall f_11673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11673,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11679,a[2]=((C_word)li318),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1470: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[410];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11678 in scheme#string-ci<=? in k8492 */
static void C_ccall f_11679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11679,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8492 */
static void C_ccall f_11694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11694,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11700,a[2]=((C_word)li320),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1477: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[412];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11699 in scheme#string-ci>=? in k8492 */
static void C_ccall f_11700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11700,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8492 */
static void C_ccall f_11715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11715,4,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=t4;
t6=C_block_size(t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11725,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t9=C_fixnum_plus(t5,t7);
/* library.scm:1487: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t8;
av2[2]=t9;
tp(3,av2);}}

/* k11723 in string-append in k8492 */
static void C_ccall f_11725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11725,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8492 */
static void C_ccall f_11731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11731,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11735,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11737,a[2]=t4,a[3]=t7,a[4]=((C_word)li323),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11737(t9,t5,t2,C_fix(0));}

/* k11733 in scheme#string-append in k8492 */
static void C_ccall f_11735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11735,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8492 */
static void C_fcall f_11737(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11737,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11748,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1497: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_check_string_2(t6,lf[415]);
t8=C_block_size(t6);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11760,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t9);
/* library.scm:1501: loop */
t14=t10;
t15=t11;
t16=t12;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k11746 in loop in scheme#string-append in k8492 */
static void C_ccall f_11748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11748,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11758 in loop in scheme#string-append in k8492 */
static void C_ccall f_11760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11760,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1],C_fix(0),((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string in k8492 */
static void C_ccall f_11770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11770,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* list->string */
t3=*((C_word*)lf[387]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8492 */
static void C_ccall f_11776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11776,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11780,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1510: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11778 in fragments->string in k8492 */
static void C_ccall f_11780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11780,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11785,a[2]=t2,a[3]=((C_word)li326),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11785(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k11778 in fragments->string in k8492 */
static C_word C_fcall f_11785(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,t4);
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* chicken.base#chop in k8492 */
static void C_ccall f_11811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11811,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11815,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1521: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[419];
tp(4,av2);}}

/* k11813 in chicken.base#chop in k8492 */
static void C_ccall f_11815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11815,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11818,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1522: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[419];
av2[3]=lf[420];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11818(2,av2);}}}

/* k11816 in k11813 in chicken.base#chop in k8492 */
static void C_ccall f_11818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11818,2,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11826,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li329),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11826(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11816 in k11813 in chicken.base#chop in k8492 */
static void C_fcall f_11826(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11826,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11847,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t5,a[6]=((C_word)li328),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11847(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1701 in loop in k11816 in k11813 in chicken.base#chop in k8492 */
static void C_fcall f_11847(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11847,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11861,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1532: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t8=C_slot(t3,C_fix(1));
t9=C_fixnum_difference(t4,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t14=t9;
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* k11859 in doloop1701 in loop in k11816 in k11813 in chicken.base#chop in k8492 */
static void C_ccall f_11861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11861,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11865,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:1532: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_11826(t5,t3,((C_word*)t0)[6],t4);}

/* k11863 in k11859 in doloop1701 in loop in k11816 in k11813 in chicken.base#chop in k8492 */
static void C_ccall f_11865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11865,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8492 */
static void C_ccall f_11906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11906,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11928,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_plus(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[433];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11926 in chicken.flonum#fp+ in k8492 */
static void C_ccall f_11928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11928,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_plus(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8492 */
static void C_ccall f_11930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11930,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11952,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_difference(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[435];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11950 in chicken.flonum#fp- in k8492 */
static void C_ccall f_11952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11952,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_difference(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8492 */
static void C_ccall f_11954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11954,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11976,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_times(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[437];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11974 in chicken.flonum#fp* in k8492 */
static void C_ccall f_11976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11976,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8492 */
static void C_ccall f_11978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11978,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12000,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[439];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11998 in chicken.flonum#fp/ in k8492 */
static void C_ccall f_12000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12000,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8492 */
static void C_ccall f_12002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12002,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12024,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[441];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12022 in chicken.flonum#fpgcd in k8492 */
static void C_ccall f_12024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12024,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8492 */
static void C_ccall f_12026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12026,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12048,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[443];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12046 in chicken.flonum#fp/? in k8492 */
static void C_ccall f_12048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12048,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8492 */
static void C_ccall f_12050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12050,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12072,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[445];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12070 in chicken.flonum#fp= in k8492 */
static void C_ccall f_12072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12072,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_equalp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8492 */
static void C_ccall f_12074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12074,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12096,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[447];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12094 in chicken.flonum#fp> in k8492 */
static void C_ccall f_12096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12096,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greaterp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8492 */
static void C_ccall f_12098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12098,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12120,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[449];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12118 in chicken.flonum#fp< in k8492 */
static void C_ccall f_12120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12120,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8492 */
static void C_ccall f_12122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12122,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12144,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[451];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12142 in chicken.flonum#fp>= in k8492 */
static void C_ccall f_12144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12144,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greater_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8492 */
static void C_ccall f_12146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12146,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12168,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[453];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12166 in chicken.flonum#fp<= in k8492 */
static void C_ccall f_12168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12168,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_less_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8492 */
static void C_ccall f_12170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12170,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12186,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[455];
av2[4]=t4;
tp(5,av2);}}}

/* k12184 in chicken.flonum#fpneg in k8492 */
static void C_ccall f_12186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12186,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8492 */
static void C_ccall f_12188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12188,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12210,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[457];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12208 in chicken.flonum#fpmax in k8492 */
static void C_ccall f_12210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12210,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8492 */
static void C_ccall f_12212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12212,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12234,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[459];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12232 in chicken.flonum#fpmin in k8492 */
static void C_ccall f_12234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12234,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8492 */
static void C_ccall f_12236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12236,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12252,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_floor(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[461];
av2[4]=t4;
tp(5,av2);}}}

/* k12250 in chicken.flonum#fpfloor in k8492 */
static void C_ccall f_12252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12252,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_floor(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8492 */
static void C_ccall f_12254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12254,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12270,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_truncate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[463];
av2[4]=t4;
tp(5,av2);}}}

/* k12268 in chicken.flonum#fptruncate in k8492 */
static void C_ccall f_12270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12270,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_truncate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8492 */
static void C_ccall f_12272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12272,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12288,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_round(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[465];
av2[4]=t4;
tp(5,av2);}}}

/* k12286 in chicken.flonum#fpround in k8492 */
static void C_ccall f_12288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12288,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_round(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8492 */
static void C_ccall f_12290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12290,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12306,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_ceiling(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[467];
av2[4]=t4;
tp(5,av2);}}}

/* k12304 in chicken.flonum#fpceiling in k8492 */
static void C_ccall f_12306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12306,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_ceiling(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8492 */
static void C_ccall f_12308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12308,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12324,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[469];
av2[4]=t4;
tp(5,av2);}}}

/* k12322 in chicken.flonum#fpsin in k8492 */
static void C_ccall f_12324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12324,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8492 */
static void C_ccall f_12326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12326,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12342,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_cos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[471];
av2[4]=t4;
tp(5,av2);}}}

/* k12340 in chicken.flonum#fpcos in k8492 */
static void C_ccall f_12342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12342,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_cos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8492 */
static void C_ccall f_12344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12344,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12360,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_tan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[473];
av2[4]=t4;
tp(5,av2);}}}

/* k12358 in chicken.flonum#fptan in k8492 */
static void C_ccall f_12360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12360,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_tan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8492 */
static void C_ccall f_12362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12362,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12378,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_asin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[475];
av2[4]=t4;
tp(5,av2);}}}

/* k12376 in chicken.flonum#fpasin in k8492 */
static void C_ccall f_12378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12378,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_asin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8492 */
static void C_ccall f_12380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12380,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12396,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_acos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[477];
av2[4]=t4;
tp(5,av2);}}}

/* k12394 in chicken.flonum#fpacos in k8492 */
static void C_ccall f_12396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12396,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_acos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8492 */
static void C_ccall f_12398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12398,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12414,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_atan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[479];
av2[4]=t4;
tp(5,av2);}}}

/* k12412 in chicken.flonum#fpatan in k8492 */
static void C_ccall f_12414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12414,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8492 */
static void C_ccall f_12416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12416,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12438,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_atan2(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[481];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12436 in chicken.flonum#fpatan2 in k8492 */
static void C_ccall f_12438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12438,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan2(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8492 */
static void C_ccall f_12440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12440,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12456,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_exp(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[483];
av2[4]=t4;
tp(5,av2);}}}

/* k12454 in chicken.flonum#fpexp in k8492 */
static void C_ccall f_12456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12456,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_exp(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8492 */
static void C_ccall f_12458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12458,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12480,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1563: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[485];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12478 in chicken.flonum#fpexpt in k8492 */
static void C_ccall f_12480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12480,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8492 */
static void C_ccall f_12482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12482,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12498,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_log(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[487];
av2[4]=t4;
tp(5,av2);}}}

/* k12496 in chicken.flonum#fplog in k8492 */
static void C_ccall f_12498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12498,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_log(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8492 */
static void C_ccall f_12500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12500,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12516,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sqrt(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[489];
av2[4]=t4;
tp(5,av2);}}}

/* k12514 in chicken.flonum#fpsqrt in k8492 */
static void C_ccall f_12516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12516,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sqrt(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8492 */
static void C_ccall f_12518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12518,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12534,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[491];
av2[4]=t4;
tp(5,av2);}}}

/* k12532 in chicken.flonum#fpabs in k8492 */
static void C_ccall f_12534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12534,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_abs(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8492 */
static void C_ccall f_12536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12536,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12552,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1559: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[493];
av2[4]=t4;
tp(5,av2);}}}

/* k12550 in chicken.flonum#fpinteger? in k8492 */
static void C_ccall f_12552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12552,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8492 */
static void C_ccall f_12554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_12554,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=C_get_print_precision();
if(C_truep(t5)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12564,a[2]=t5,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1692: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t5;
av2[3]=lf[495];
tp(4,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k12562 in chicken.flonum#flonum-print-precision in k8492 */
static void C_ccall f_12564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12564,2,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8492 */
static void C_fcall f_12576(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12576,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12586,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12586(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1712: chicken.flonum#fp= */
t6=*((C_word*)lf[444]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[501];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12586(2,av2);}}}}

/* k12584 in make-complex in k8492 */
static void C_ccall f_12586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12586,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12590,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1715: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
f_12590(2,av2);}}}}

/* k12588 in k12584 in make-complex in k8492 */
static void C_ccall f_12590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12590,2,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=C_a_i_cplxnum(&a,2,t1,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#make-rectangular in k8492 */
static void C_ccall f_12612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12612,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12616,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1720: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[503];
tp(4,av2);}}

/* k12614 in scheme#make-rectangular in k8492 */
static void C_ccall f_12616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12616,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12619,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1721: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[503];
tp(4,av2);}}

/* k12617 in k12614 in scheme#make-rectangular in k8492 */
static void C_ccall f_12619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12619,2,av);}
/* library.scm:1722: make-complex */
f_12576(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8492 */
static void C_ccall f_12624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12624,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12628,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1726: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[505];
tp(4,av2);}}

/* k12626 in scheme#make-polar in k8492 */
static void C_ccall f_12628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12628,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12631,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1727: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[505];
tp(4,av2);}}

/* k12629 in k12626 in scheme#make-polar in k8492 */
static void C_ccall f_12631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12631,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12634,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1728: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12632 in k12629 in k12626 in scheme#make-polar in k8492 */
static void C_ccall f_12634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12634,2,av);}
a=C_alloc(74);
t2=((C_word*)t0)[2];
t3=C_a_i_cos(&a,1,t1);
t4=C_s_a_i_times(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_a_i_sin(&a,1,t1);
t7=C_s_a_i_times(&a,2,t5,t6);
/* library.scm:1729: make-complex */
f_12576(((C_word*)t0)[3],t4,t7);}

/* scheme#real-part in k8492 */
static void C_ccall f_12645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12645,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_real(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1737: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[507];
tp(4,av2);}}}}

/* scheme#imag-part in k8492 */
static void C_ccall f_12668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12668,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_imag(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[501];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1744: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[509];
tp(4,av2);}}}}}

/* scheme#angle in k8492 */
static void C_ccall f_12694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12694,3,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[511]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12703,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1750: scheme#imag-part */
t5=*((C_word*)lf[508]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12701 in scheme#angle in k8492 */
static void C_ccall f_12703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12703,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12708,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1751: scheme#real-part */
t4=*((C_word*)lf[506]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12706 in k12701 in scheme#angle in k8492 */
static void C_ccall f_12708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12708,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8492 */
static void C_ccall f_12710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12710,3,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_real(t3);
t5=t2;
t6=C_u_i_cplxnum_imag(t5);
t7=C_s_a_i_times(&a,2,t4,t4);
t8=C_s_a_i_times(&a,2,t6,t6);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1758: scheme#sqrt */
t10=*((C_word*)lf[513]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:1760: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[514];
tp(4,av2);}}}}

/* ratnum in k8492 */
static void C_fcall f_12749(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,1)))){
C_save_and_reclaim_args((void *)trf_12749,3,t1,t2,t3);}
a=C_alloc(13);
switch(t3){
case C_fix(1):
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(-1):
t4=t1;
t5=t2;
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_u_i_integer_negate(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}
default:
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=t2;
t6=C_s_a_u_i_integer_negate(&a,1,t5);
t7=t3;
t8=C_s_a_u_i_integer_negate(&a,1,t7);
t9=t1;
t10=t9;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_a_i_ratnum(&a,2,t6,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=t1;
t6=t2;
t7=t3;
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_ratnum(&a,2,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* scheme#numerator in k8492 */
static void C_ccall f_12795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12795,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1780: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[517]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[517]+1);
av2[1]=t1;
av2[2]=lf[518];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12819,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12823,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1782: scheme#inexact->exact */
t8=*((C_word*)lf[519]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_num(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1784: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[518];
av2[4]=lf[520];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12817 in scheme#numerator in k8492 */
static void C_ccall f_12819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12819,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12821 in scheme#numerator in k8492 */
static void C_ccall f_12823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12823,2,av);}
/* library.scm:1782: scheme#numerator */
t2=*((C_word*)lf[516]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8492 */
static void C_ccall f_12841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12841,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1792: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[517]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[517]+1);
av2[1]=t1;
av2[2]=lf[522];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[523];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12865,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12869,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1794: scheme#inexact->exact */
t8=*((C_word*)lf[519]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_denom(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1796: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[518];
av2[4]=lf[524];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12863 in scheme#denominator in k8492 */
static void C_ccall f_12865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12865,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12867 in scheme#denominator in k8492 */
static void C_ccall f_12869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12869,2,av);}
/* library.scm:1794: scheme#denominator */
t2=*((C_word*)lf[521]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8492 */
static void C_ccall f_12887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12887,3,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t2;
t4=C_u_i_ratnum_num(t3);
t5=C_u_i_integer_signum(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_imag(t3);
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_u_i_cplxnum_real(t3);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_a_i_flonum_atan2(&a,2,t5,t7);
/* library.scm:1803: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1804: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[526];
tp(4,av2);}}}}

/* doloop2212 in deliver in scheme#inexact->exact in k8492 */
static void C_fcall f_12928(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12928,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12939,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1812: chicken.flonum#fp* */
t5=*((C_word*)lf[436]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k12937 in doloop2212 in deliver in scheme#inexact->exact in k8492 */
static void C_ccall f_12939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12939,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_12928(t3,((C_word*)t0)[4],t1,t2);}

/* deliver in scheme#inexact->exact in k8492 */
static void C_fcall f_12945(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_12945,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_12949,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12978,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12928,a[2]=t8,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_12928(t10,t5,t6,C_fix(0));}

/* k12947 in deliver in scheme#inexact->exact in k8492 */
static void C_ccall f_12949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_12949,2,av);}
a=C_alloc(7);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_12954,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1818: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12952 in k12947 in deliver in scheme#inexact->exact in k8492 */
static void C_ccall f_12954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_12954,2,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12965,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1820: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1821: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[528];
tp(4,av2);}}}

/* k12963 in k12952 in k12947 in deliver in scheme#inexact->exact in k8492 */
static void C_ccall f_12965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12965,2,av);}
/* library.scm:1820: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k12976 in deliver in scheme#inexact->exact in k8492 */
static void C_ccall f_12978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12978,2,av);}
/* library.scm:1817: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k12991 in k13001 in scheme#inexact->exact in k8492 */
static void C_ccall f_12993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_12993,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12997,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1828: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[426]+1);
tp(4,av2);}}

/* k12995 in k12991 in k13001 in scheme#inexact->exact in k8492 */
static void C_ccall f_12997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12997,2,av);}
/* library.scm:1825: deliver */
t2=((C_word*)t0)[2];
f_12945(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13001 in scheme#inexact->exact in k8492 */
static void C_ccall f_13003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13003,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_flonum_greaterp(((C_word*)t0)[2],lf[531]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12993,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1825: scheme#expt */
t5=*((C_word*)lf[532]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[530];
av2[3]=*((C_word*)lf[426]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:1829: deliver */
t3=((C_word*)t0)[3];
f_12945(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8492 */
static void C_ccall f_13007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13007,3,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=t1;
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12945,a[2]=t4,a[3]=((C_word)li375),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13003,a[2]=t4,a[3]=t5,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1823: chicken.flonum#fp< */
t7=*((C_word*)lf[448]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[523];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
/* library.scm:1837: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[528];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13047,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=C_u_i_cplxnum_real(t4);
/* library.scm:1839: scheme#inexact->exact */
t6=*((C_word*)lf[519]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1841: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[528];
tp(4,av2);}}}}}

/* k13045 in scheme#inexact->exact in k8492 */
static void C_ccall f_13047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13047,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13051,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_cplxnum_imag(t4);
/* library.scm:1840: scheme#inexact->exact */
t6=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13049 in k13045 in scheme#inexact->exact in k8492 */
static void C_ccall f_13051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13051,2,av);}
/* library.scm:1839: make-complex */
f_12576(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8492 */
static void C_ccall f_13073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13073,3,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8492 */
static void C_ccall f_13076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13076,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8492 */
static void C_ccall f_13079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13079,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8492 */
static void C_ccall f_13082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13082,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8492 */
static void C_ccall f_13085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13085,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t3))){
/* library.scm:1876: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13106,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t3,C_fix(0));
/* library.scm:1878: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}}

/* k13104 in scheme#/ in k8492 */
static void C_ccall f_13106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13106,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13108,a[2]=t3,a[3]=((C_word)li384),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13108(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13104 in scheme#/ in k8492 */
static void C_fcall f_13108(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13108,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13126,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(0));
/* library.scm:1882: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}}

/* k13124 in loop in k13104 in scheme#/ in k8492 */
static void C_ccall f_13126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13126,2,av);}
/* library.scm:1881: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13108(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8492 */
static void C_ccall f_13136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13136,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13140,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1889: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[545];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13140(2,av2);}}}

/* k13138 in /-2 in k8492 */
static void C_ccall f_13140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13140,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13146,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[2];
if(C_truep(C_i_exact_integerp(t3))){
t4=((C_word*)t0)[3];
t5=t2;
f_13146(t5,C_i_exact_integerp(t4));}
else{
t4=t2;
f_13146(t4,C_SCHEME_FALSE);}}

/* k13144 in k13138 in /-2 in k8492 */
static void C_fcall f_13146(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(96,0,4)))){
C_save_and_reclaim_args((void *)trf_13146,2,t0,t1);}
a=C_alloc(96);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_u_i_integer_gcd(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_s_a_u_i_integer_quotient(&a,2,t5,t4);
t7=((C_word*)t0)[3];
t8=C_s_a_u_i_integer_quotient(&a,2,t7,t4);
/* library.scm:1892: ratnum */
f_12749(((C_word*)t0)[4],t6,t8);}
else{
t2=C_i_cplxnump(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13178,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1895: scheme#real-part */
t5=*((C_word*)lf[506]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_i_flonump(((C_word*)t0)[2]);
t5=(C_truep(t4)?t4:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13229,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1903: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=((C_word*)t0)[2];
t9=C_u_i_ratnum_denom(t8);
t10=((C_word*)t0)[3];
t11=C_u_i_ratnum_num(t10);
t12=((C_word*)t0)[3];
t13=C_u_i_ratnum_denom(t12);
t14=C_s_a_u_i_integer_gcd(&a,2,t7,t11);
t15=C_s_a_u_i_integer_gcd(&a,2,t9,t13);
t16=C_s_a_i_quotient(&a,2,t7,t14);
t17=C_s_a_i_quotient(&a,2,t13,t15);
t18=C_s_a_i_times(&a,2,t16,t17);
t19=C_s_a_i_quotient(&a,2,t9,t15);
t20=C_s_a_i_quotient(&a,2,t11,t14);
t21=C_s_a_i_times(&a,2,t19,t20);
/* library.scm:1913: ratnum */
f_12749(((C_word*)t0)[4],t18,t21);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13300,a[2]=t8,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1919: ##sys#internal-gcd */
f_14917(t9,lf[545],t8,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[3];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13334,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t8,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1930: ##sys#internal-gcd */
f_14917(t9,lf[545],((C_word*)t0)[2],t8);}
else{
t6=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t6))){
/* library.scm:1936: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[545];
tp(4,av2);}}
else{
/* library.scm:1937: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[545];
tp(4,av2);}}}}}}}}

/* k13176 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13178,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13181,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1895: scheme#imag-part */
t4=*((C_word*)lf[508]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13179 in k13176 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13181,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13184,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1896: scheme#real-part */
t4=*((C_word*)lf[506]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13182 in k13179 in k13176 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13184,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13187,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1896: scheme#imag-part */
t4=*((C_word*)lf[508]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13185 in k13182 in k13179 in k13176 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13187,2,av);}
a=C_alloc(198);
t2=t1;
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t4=C_s_a_i_times(&a,2,t2,t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13196,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=t5,tmp=(C_word)a,a+=8,tmp);
t7=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_s_a_i_times(&a,2,((C_word*)t0)[4],t2);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1898: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t9;
av2[3]=t5;
tp(4,av2);}}

/* k13194 in k13185 in k13182 in k13179 in k13176 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13196,2,av);}
a=C_alloc(99);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13199,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t6=C_s_a_i_minus(&a,2,t4,t5);
/* library.scm:1899: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t3;
av2[2]=t6;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13197 in k13194 in k13185 in k13182 in k13179 in k13176 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13199,2,av);}
/* library.scm:1900: make-complex */
f_12576(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13227 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13229,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13233,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1903: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13231 in k13227 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13233,2,av);}
/* library.scm:1903: chicken.flonum#fp/ */
t2=*((C_word*)lf[438]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13298 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13300,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=((C_word*)t0)[4];
t6=C_s_a_i_quotient(&a,2,t5,t1);
t7=C_s_a_i_times(&a,2,t4,t6);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1923: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1924: ratnum */
f_12749(((C_word*)t0)[5],t2,t7);}}

/* k13332 in k13144 in k13138 in /-2 in k8492 */
static void C_ccall f_13334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13334,2,av);}
a=C_alloc(43);
t2=((C_word*)t0)[2];
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=C_s_a_i_times(&a,2,t3,t5);
t7=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1934: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1935: ratnum */
f_12749(((C_word*)t0)[5],t6,t7);}}

/* scheme#floor in k8492 */
static void C_ccall f_13384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13384,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1942: chicken.flonum#fpfloor */
t4=*((C_word*)lf[460]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?t8:C_s_a_i_minus(&a,2,t8,C_fix(1)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1947: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[547];
tp(4,av2);}}}}}

/* scheme#ceiling in k8492 */
static void C_ccall f_13425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13425,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1952: chicken.flonum#fpceiling */
t4=*((C_word*)lf[466]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?C_s_a_i_plus(&a,2,t8,C_fix(1)):t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1957: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[549];
tp(4,av2);}}}}}

/* scheme#truncate in k8492 */
static void C_ccall f_13466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13466,3,av);}
a=C_alloc(5);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1962: chicken.flonum#fptruncate */
t4=*((C_word*)lf[462]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1966: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[551];
tp(4,av2);}}}}}

/* scheme#round in k8492 */
static void C_ccall f_13500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13500,3,av);}
a=C_alloc(36);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t6=C_s_a_i_plus(&a,2,t4,t5);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13524,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1975: scheme#floor */
t8=*((C_word*)lf[546]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* library.scm:1977: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[553];
tp(4,av2);}}}}}

/* k13522 in scheme#round in k8492 */
static void C_ccall f_13524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13524,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(C_i_nequalp(t1,((C_word*)t0)[3]))?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* find-ratio-between in k8492 */
static void C_fcall f_13540(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13540,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13543,a[2]=t5,a[3]=((C_word)li391),tmp=(C_word)a,a+=4,tmp));
t7=t3;
t8=t2;
if(C_truep(C_i_lessp(t7,t8))){
/* library.scm:1990: find-ratio-between */
t20=t1;
t21=t3;
t22=t2;
t1=t20;
t2=t21;
t3=t22;
goto loop;}
else{
t9=t2;
t10=t3;
t11=C_i_lessp(t9,t10);
if(C_truep(C_i_not(t11))){
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=t2;
if(C_truep(C_i_positivep(t12))){
/* library.scm:1992: sr */
t13=((C_word*)t5)[1];
f_13543(t13,t1,t2,t3);}
else{
t13=t3;
if(C_truep(C_i_negativep(t13))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13643,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t15=t3;
t16=C_s_a_i_negate(&a,1,t15);
t17=t2;
t18=C_s_a_i_negate(&a,1,t17);
/* library.scm:1993: sr */
t19=((C_word*)t5)[1];
f_13543(t19,t14,t16,t18);}
else{
t14=t1;{
C_word av2[2];
av2[0]=t14;
av2[1]=lf[555];
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8492 */
static void C_fcall f_13543(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13543,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13547,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13612,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1981: scheme#floor */
t6=*((C_word*)lf[546]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13545 in sr in find-ratio-between in k8492 */
static void C_ccall f_13547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13547,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13550,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13608,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1982: scheme#floor */
t5=*((C_word*)lf[546]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13548 in k13545 in sr in find-ratio-between in k8492 */
static void C_ccall f_13550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13550,2,av);}
a=C_alloc(39);
t2=((C_word*)t0)[2];
t3=C_i_lessp(((C_word*)t0)[3],t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[3],t1))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13567,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13585,a[2]=((C_word*)t0)[5],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[6];
t7=C_s_a_i_minus(&a,2,t6,t1);
/* library.scm:1985: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t5;
av2[2]=C_fix(1);
av2[3]=t7;
tp(4,av2);}}
else{
t4=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[3]);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t4,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k13565 in k13548 in k13545 in sr in find-ratio-between in k8492 */
static void C_ccall f_13567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13567,2,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13583 in k13548 in k13545 in sr in find-ratio-between in k8492 */
static void C_ccall f_13585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13585,2,av);}
a=C_alloc(34);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13589,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[4];
t5=C_s_a_i_minus(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:1986: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t3;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}

/* k13587 in k13583 in k13548 in k13545 in sr in find-ratio-between in k8492 */
static void C_ccall f_13589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13589,2,av);}
/* library.scm:1985: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13543(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13606 in k13545 in sr in find-ratio-between in k8492 */
static void C_ccall f_13608(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13608,2,av);}
/* library.scm:1982: scheme#inexact->exact */
t2=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13610 in sr in find-ratio-between in k8492 */
static void C_ccall f_13612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13612,2,av);}
/* library.scm:1981: scheme#inexact->exact */
t2=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13641 in find-ratio-between in k8492 */
static void C_ccall f_13643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13643,2,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8492 */
static void C_ccall f_13676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13676,4,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13680,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13699,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=t3;
t8=C_s_a_i_minus(&a,2,t6,t7);
t9=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:1997: find-ratio-between */
f_13540(t5,t8,t9);}

/* k13678 in scheme#rationalize in k8492 */
static void C_ccall f_13680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13680,2,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:2003: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:2003: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13697 in scheme#rationalize in k8492 */
static void C_ccall f_13699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13699,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[527]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8492 */
static void C_ccall f_13701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13701,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13708,a[2]=t6,a[3]=((C_word)li394),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13708(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8492 */
static void C_fcall f_13708(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13708,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[558]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_greaterp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2013: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#min in k8492 */
static void C_ccall f_13744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13744,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13751,a[2]=t6,a[3]=((C_word)li396),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13751(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8492 */
static void C_fcall f_13751(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13751,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[560]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_lessp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2024: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#exp in k8492 */
static void C_ccall f_13787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13787,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[562]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13802,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=C_u_i_cplxnum_real(t5);
/* library.scm:2033: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t4;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_flonum_exp(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13800 in scheme#exp in k8492 */
static void C_ccall f_13802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13802,2,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=((C_word*)t0)[2];
t4=C_u_i_cplxnum_imag(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13811,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13816,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2036: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}

/* k13809 in k13800 in scheme#exp in k8492 */
static void C_ccall f_13811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13811,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13814 in k13800 in scheme#exp in k8492 */
static void C_ccall f_13816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13816,2,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2035: make-complex */
f_12576(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8492 */
static void C_ccall f_13829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_13829,3,av);}
a=C_alloc(4);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2043: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[564];
av2[3]=lf[565];
av2[4]=lf[566];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13848,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_13848(t6,t4);}
else{
t6=t2;
t7=t5;
f_13848(t7,C_i_negativep(t6));}}}

/* k13846 in log-1 in k8492 */
static void C_fcall f_13848(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_13848,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13852,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13865,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2046: scheme#magnitude */
t4=*((C_word*)lf[512]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13869,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2049: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k13850 in k13846 in log-1 in k8492 */
static void C_ccall f_13852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13852,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13857,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2047: make-complex */
f_12576(t3,C_fix(0),C_fix(1));}

/* k13855 in k13850 in k13846 in log-1 in k8492 */
static void C_ccall f_13857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13857,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13861,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2047: scheme#angle */
t4=*((C_word*)lf[510]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13859 in k13855 in k13850 in k13846 in log-1 in k8492 */
static void C_ccall f_13861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_13861,2,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13863 in k13846 in log-1 in k8492 */
static void C_ccall f_13865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13865,2,av);}
/* library.scm:2046: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[563]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k13867 in k13846 in log-1 in k8492 */
static void C_ccall f_13869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_13869,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8492 */
static void C_ccall f_13872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_13872,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13886,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2053: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[563]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2053: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[563]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k13884 in scheme#log in k8492 */
static void C_ccall f_13886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13886,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13890,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2053: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[563]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k13888 in k13884 in scheme#log in k8492 */
static void C_ccall f_13890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13890,2,av);}
/* library.scm:2053: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8492 */
static void C_ccall f_13901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13901,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[569]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[570],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13921,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2060: scheme#exp */
t7=*((C_word*)lf[561]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_sin(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13919 in scheme#sin in k8492 */
static void C_ccall f_13921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13921,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13925,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2060: scheme#exp */
t5=*((C_word*)lf[561]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13923 in k13919 in scheme#sin in k8492 */
static void C_ccall f_13925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13925,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2060: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[571];
tp(4,av2);}}

/* scheme#cos in k8492 */
static void C_ccall f_13931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13931,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[573]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[570],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13951,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2068: scheme#exp */
t7=*((C_word*)lf[561]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_cos(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13949 in scheme#cos in k8492 */
static void C_ccall f_13951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13951,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13955,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2068: scheme#exp */
t5=*((C_word*)lf[561]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13953 in k13949 in scheme#cos in k8492 */
static void C_ccall f_13955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13955,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2068: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8492 */
static void C_ccall f_13961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13961,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[575]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13978,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2075: scheme#sin */
t5=*((C_word*)lf[568]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_tan(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13976 in scheme#tan in k8492 */
static void C_ccall f_13978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13978,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13982,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2075: scheme#cos */
t4=*((C_word*)lf[572]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13980 in k13976 in scheme#tan in k8492 */
static void C_ccall f_13982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13982,2,av);}
/* library.scm:2075: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8492 */
static void C_ccall f_13986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_13986,3,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[577]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13996,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14035,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2082: chicken.flonum#fp>= */
t6=*((C_word*)lf[450]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[531];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_13996(t5,C_SCHEME_FALSE);}}

/* k13994 in scheme#asin in k8492 */
static void C_fcall f_13996(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_13996,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14002,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14002(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14002(t3,C_SCHEME_FALSE);}}}

/* k14000 in k13994 in scheme#asin in k8492 */
static void C_fcall f_14002(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_14002,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14007,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,lf[570],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14015,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[3];
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=C_s_a_i_minus(&a,2,C_fix(1),t8);
/* library.scm:2091: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[579]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[579]+1);
av2[1]=t5;
av2[2]=lf[577];
av2[3]=t9;
tp(4,av2);}}}

/* k14005 in k14000 in k13994 in scheme#asin in k8492 */
static void C_ccall f_14007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14007,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[578],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14013 in k14000 in k13994 in scheme#asin in k8492 */
static void C_ccall f_14015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14015,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2089: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[563]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14033 in scheme#asin in k8492 */
static void C_ccall f_14035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14035,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[523]);
t4=((C_word*)t0)[3];
f_13996(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_13996(t2,C_SCHEME_FALSE);}}

/* scheme#acos in k8492 */
static void C_ccall f_14039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14039,3,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[581]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14049,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14075,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2099: chicken.flonum#fp>= */
t6=*((C_word*)lf[450]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[531];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14049(t5,C_SCHEME_FALSE);}}

/* k14047 in scheme#acos in k8492 */
static void C_fcall f_14049(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14049,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14055,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14055(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14055(t3,C_SCHEME_FALSE);}}}

/* k14053 in k14047 in scheme#acos in k8492 */
static void C_fcall f_14055(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14055,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14060,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2106: scheme#asin */
t4=*((C_word*)lf[576]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k14058 in k14053 in k14047 in scheme#acos in k8492 */
static void C_ccall f_14060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14060,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14073 in scheme#acos in k8492 */
static void C_ccall f_14075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14075,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[523]);
t4=((C_word*)t0)[3];
f_14049(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14049(t2,C_SCHEME_FALSE);}}

/* scheme#atan in k8492 */
static void C_ccall f_14079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +66,c,3)))){
C_save_and_reclaim((void*)f_14079,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+66);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_check_number_2(t2,lf[583]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t5)){
/* library.scm:2113: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[583];
tp(4,av2);}}
else{
t7=t2;
t8=C_s_a_i_times(&a,2,lf[570],t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14108,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t10=C_s_a_i_plus(&a,2,C_fix(1),t8);
/* library.scm:2115: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[563]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}}
else{
if(C_truep(t5)){
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14127,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2119: scheme#exact->inexact */
t10=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_atan(&a,1,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* k14106 in scheme#atan in k8492 */
static void C_ccall f_14108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14108,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14112,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2116: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[563]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k14110 in k14106 in scheme#atan in k8492 */
static void C_ccall f_14112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14112,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2115: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[571];
tp(4,av2);}}

/* k14125 in scheme#atan in k8492 */
static void C_ccall f_14127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14127,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8492 */
static void C_ccall f_14137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14137,3,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t2;
t6=C_eqp(t5,C_fix(0));
t7=(C_truep(t6)?t6:C_eqp(t5,C_fix(1)));
if(C_truep(t7)){
/* library.scm:2131: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t5){
case C_fix(2):
/* library.scm:2132: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2133: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2134: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2135: chicken.base#error */
t8=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[585];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
t5=t2;
t6=C_i_integer_length(t5);
t7=C_fixnum_plus(t6,C_fix(1));
t8=C_fixnum_shift_right(t7,C_fix(2));
t9=t8;
t10=C_fixnum_shift_left(t9,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14210,a[2]=t11,a[3]=t2,a[4]=((C_word)li407),tmp=(C_word)a,a+=5,tmp);
t13=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14224,a[2]=t9,a[3]=t2,a[4]=((C_word)li411),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2136: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a14209 in exact-integer-sqrt in k8492 */
static void C_ccall f_14210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14210,2,av);}
a=C_alloc(5);
t2=C_fixnum_negate(((C_word*)t0)[2]);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t2);
/* library.scm:2139: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14223 in exact-integer-sqrt in k8492 */
static void C_ccall f_14224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(62,c,4)))){
C_save_and_reclaim((void *)f_14224,4,av);}
a=C_alloc(62);
t4=t2;
t5=t3;
t6=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t7=C_s_a_i_minus(&a,2,t6,C_fix(1));
t8=((C_word*)t0)[3];
t9=C_s_a_i_bitwise_and(&a,2,t8,t7);
t10=t9;
t11=C_fixnum_negate(((C_word*)t0)[2]);
t12=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t11);
t13=C_s_a_i_bitwise_and(&a,2,t12,t7);
t14=t13;
t15=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14242,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t14,a[5]=t4,a[6]=((C_word)li409),tmp=(C_word)a,a+=7,tmp);
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14258,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t10,a[5]=((C_word)li410),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2136: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
C_call_with_values(4,av2);}}

/* a14241 in a14223 in exact-integer-sqrt in k8492 */
static void C_ccall f_14242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_14242,2,av);}
a=C_alloc(42);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li408),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_i_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2136: g2584 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14257 in a14223 in exact-integer-sqrt in k8492 */
static void C_ccall f_14258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14258,4,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2150: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2152: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8492 */
static void C_ccall f_14312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14312,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14316,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2156: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[587];
tp(4,av2);}}

/* k14314 in chicken.base#exact-integer-sqrt in k8492 */
static void C_ccall f_14316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14316,2,av);}
/* library.scm:2157: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8492 */
static void C_ccall f_14321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14321,4,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14331,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t3;
t6=C_u_i_cplxnum_imag(t5);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_u_i_cplxnum_real(t5);
t9=C_a_i_exact_to_inexact(&a,1,t8);
t10=C_a_i_flonum_atan2(&a,2,t7,t9);
/* library.scm:2163: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14367,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2168: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14378,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14384,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2170: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14406,a[2]=t3,a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14418,a[2]=t3,a[3]=t2,a[4]=((C_word)li419),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2175: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14470,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2183: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}}}

/* k14329 in sqrt/loc in k8492 */
static void C_ccall f_14331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14331,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14335,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2164: scheme#magnitude */
t4=*((C_word*)lf[512]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14333 in k14329 in sqrt/loc in k8492 */
static void C_ccall f_14335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_14335,2,av);}
a=C_alloc(10);
t2=C_a_i_sqrt(&a,1,t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14344,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2165: scheme#cos */
t5=*((C_word*)lf[572]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14342 in k14333 in k14329 in sqrt/loc in k8492 */
static void C_ccall f_14344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14344,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14350,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2165: scheme#sin */
t5=*((C_word*)lf[568]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14348 in k14342 in k14333 in k14329 in sqrt/loc in k8492 */
static void C_ccall f_14350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14350,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2165: make-complex */
f_12576(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14365 in sqrt/loc in k8492 */
static void C_ccall f_14367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14367,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2167: make-complex */
f_12576(((C_word*)t0)[2],lf[501],t2);}

/* a14377 in sqrt/loc in k8492 */
static void C_ccall f_14378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14378,2,av);}
/* library.scm:2170: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14383 in sqrt/loc in k8492 */
static void C_ccall f_14384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14384,4,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14395,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2173: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14393 in a14383 in sqrt/loc in k8492 */
static void C_ccall f_14395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14395,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14405 in sqrt/loc in k8492 */
static void C_ccall f_14406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14406,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_num(t2);
/* library.scm:2175: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14417 in sqrt/loc in k8492 */
static void C_ccall f_14418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14418,4,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14430,a[2]=((C_word*)t0)[2],a[3]=((C_word)li417),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14442,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li418),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2177: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14466,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2182: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14429 in a14417 in sqrt/loc in k8492 */
static void C_ccall f_14430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14430,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2178: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14441 in a14417 in sqrt/loc in k8492 */
static void C_ccall f_14442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14442,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2180: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14459,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2181: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14457 in a14441 in a14417 in sqrt/loc in k8492 */
static void C_ccall f_14459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14459,2,av);}
/* library.scm:2181: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[579]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[579]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14464 in a14417 in sqrt/loc in k8492 */
static void C_ccall f_14466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14466,2,av);}
/* library.scm:2182: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[579]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[579]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14468 in sqrt/loc in k8492 */
static void C_ccall f_14470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14470,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8492 */
static void C_ccall f_14472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14472,3,av);}
/* library.scm:2185: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[579]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[579]+1);
av2[1]=t1;
av2[2]=lf[588];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8492 */
static void C_ccall f_14478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14478,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14482,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2189: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[591];
tp(4,av2);}}

/* k14480 in chicken.base#exact-integer-nth-root in k8492 */
static void C_ccall f_14482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14482,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14485,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2190: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[591];
tp(4,av2);}}

/* k14483 in k14480 in chicken.base#exact-integer-nth-root in k8492 */
static void C_ccall f_14485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14485,2,av);}
/* library.scm:2191: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[590]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[590]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[591];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8492 */
static void C_ccall f_14490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14490,5,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14500,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14500(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14500(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14498 in exact-integer-nth-root/loc in k8492 */
static void C_fcall f_14500(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14500,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2197: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_i_integer_length(t2);
t4=((C_word*)t0)[4];
if(C_truep(C_i_lessp(t3,t4))){
t5=((C_word*)t0)[3];
t6=C_s_a_i_minus(&a,2,t5,C_fix(1));
/* library.scm:2200: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t6;
C_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14518,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14574,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14578,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(t3,C_fix(1));
t9=((C_word*)t0)[4];
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
tp(4,av2);}}}}

/* k14516 in k14498 in exact-integer-nth-root/loc in k8492 */
static void C_ccall f_14518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(76,c,3)))){
C_save_and_reclaim((void *)f_14518,2,av);}
a=C_alloc(76);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=t2;
t4=((C_word*)t0)[2];
t5=C_s_a_i_minus(&a,2,t4,C_fix(1));
t6=C_s_a_i_times(&a,2,t5,t3);
t7=((C_word*)t0)[3];
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_14537,a[2]=t7,a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=t5,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2208: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t5;
tp(4,av2);}}

/* k14535 in k14516 in k14498 in exact-integer-nth-root/loc in k8492 */
static void C_ccall f_14537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14537,2,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14540,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=t7,a[6]=((C_word)li423),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_14540(t9,((C_word*)t0)[7],((C_word*)t0)[8],t5);}

/* lp in k14535 in k14516 in k14498 in exact-integer-nth-root/loc in k8492 */
static void C_fcall f_14540(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14540,4,t0,t1,t2,t3);}
a=C_alloc(41);
t4=t3;
t5=t2;
if(C_truep(C_i_lessp(t4,t5))){
t6=t3;
t7=C_s_a_i_times(&a,2,((C_word*)t0)[2],t6);
t8=((C_word*)t0)[3];
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14560,a[2]=t8,a[3]=t7,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2213: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14570,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2215: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14558 in lp in k14535 in k14516 in k14498 in exact-integer-nth-root/loc in k8492 */
static void C_ccall f_14560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14560,2,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
/* library.scm:2211: lp */
t6=((C_word*)((C_word*)t0)[5])[1];
f_14540(t6,((C_word*)t0)[6],((C_word*)t0)[7],t5);}

/* k14568 in lp in k14535 in k14516 in k14498 in exact-integer-nth-root/loc in k8492 */
static void C_ccall f_14570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14570,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2215: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14572 in k14498 in exact-integer-nth-root/loc in k8492 */
static void C_ccall f_14574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14574,2,av);}
/* library.scm:2202: scheme#inexact->exact */
t2=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14576 in k14498 in exact-integer-nth-root/loc in k8492 */
static void C_ccall f_14578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14578,2,av);}
/* library.scm:2202: scheme#ceiling */
t2=*((C_word*)lf[548]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8492 */
static void C_ccall f_14594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14594,4,av);}
a=C_alloc(8);
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14611,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_u_i_integer_negate(&a,1,t6);
/* library.scm:2220: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14622,a[2]=t6,a[3]=t2,a[4]=((C_word)li425),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_14622(t8,t1,C_fix(1),t3);}}

/* k14609 in integer-power in k8492 */
static void C_ccall f_14611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14611,2,av);}
/* library.scm:2220: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in integer-power in k8492 */
static void C_fcall f_14622(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14622,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t3;
if(C_truep(C_i_evenp(t5))){
t6=t2;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14642,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=C_s_a_i_arithmetic_shift(&a,2,t3,C_fix(-1));
/* library.scm:2225: lp */
t12=t7;
t13=C_fix(1);
t14=t8;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=t2;
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=t3;
t10=C_s_a_i_minus(&a,2,t9,C_fix(1));
/* library.scm:2227: lp */
t12=t1;
t13=t8;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}

/* k14640 in lp in integer-power in k8492 */
static void C_ccall f_14642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14642,2,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8492 */
static void C_ccall f_14657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,4)))){
C_save_and_reclaim((void *)f_14657,4,av);}
a=C_alloc(17);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14660,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14672,a[2]=((C_word)li428),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2239: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[592];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2240: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[592];
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14715,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t7,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_ratnump(t2))){
t13=C_i_inexactp(t3);
t14=t12;
f_14715(t14,C_i_not(t13));}
else{
t13=t12;
f_14715(t13,C_SCHEME_FALSE);}}}}

/* log-expt in scheme#expt in k8492 */
static void C_fcall f_14660(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14660,3,t1,t2,t3);}
a=C_alloc(4);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14670,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2232: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[563]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k14668 in log-expt in scheme#expt in k8492 */
static void C_ccall f_14670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14670,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2232: scheme#exp */
t3=*((C_word*)lf[561]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8492 */
static void C_fcall f_14672(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14672,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2235: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[564];
av2[3]=lf[592];
av2[4]=lf[593];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=t3;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14691,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2238: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[563]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[563]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}}

/* k14689 in slow-expt in scheme#expt in k8492 */
static void C_ccall f_14691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14691,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2238: scheme#exp */
t3=*((C_word*)lf[561]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14713 in scheme#expt in k8492 */
static void C_fcall f_14715(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_14715,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14719,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_num(t3);
/* library.scm:2244: scheme#expt */
t5=*((C_word*)lf[532]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[4]))){
t2=((C_word*)t0)[3];
if(C_truep(C_i_exact_integerp(t2))){
t3=((C_word*)t0)[3];
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14758,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2251: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14765,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14777,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li430),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2252: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[3]))){
t3=((C_word*)t0)[4];
t4=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2261: log-expt */
f_14660(((C_word*)t0)[2],((C_word*)t0)[3],t4);}
else{
/* library.scm:2262: slow-expt */
f_14672(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}}}
else{
t2=C_i_cplxnump(((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14821,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;
f_14821(t4,t2);}
else{
if(C_truep(C_i_cplxnump(((C_word*)t0)[3]))){
t4=((C_word*)t0)[4];
t5=C_i_integerp(t4);
t6=t3;
f_14821(t6,C_i_not(t5));}
else{
t4=t3;
f_14821(t4,C_SCHEME_FALSE);}}}}}

/* k14717 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14719,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14723,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2245: scheme#expt */
t8=*((C_word*)lf[532]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t3;
av2[2]=t5;
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k14721 in k14717 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14723,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14756 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14758(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14758,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];
t3=C_a_i_exact_to_inexact(&a,1,t2);
/* library.scm:2251: log-expt */
f_14660(((C_word*)t0)[4],t1,t3);}

/* a14764 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14765,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2253: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[590]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[590]+1);
av2[1]=t1;
av2[2]=lf[592];
av2[3]=((C_word*)t0)[3];
av2[4]=t3;
tp(5,av2);}}

/* a14776 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14777,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];
t6=C_u_i_ratnum_num(t5);
/* library.scm:2256: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14797,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2258: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14795 in a14776 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14797,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14801,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2259: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14799 in k14795 in a14776 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14801,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14819 in k14713 in scheme#expt in k8492 */
static void C_fcall f_14821(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_14821,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:2264: slow-expt */
f_14672(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14830,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_flonump(((C_word*)t0)[5]))){
t3=C_u_i_fpintegerp(((C_word*)t0)[5]);
t4=t2;
f_14830(t4,C_i_not(t3));}
else{
t3=t2;
f_14830(t3,C_SCHEME_FALSE);}}}

/* k14828 in k14819 in k14713 in scheme#expt in k8492 */
static void C_fcall f_14830(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_14830,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
if(C_truep(C_i_negativep(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14841,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2268: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14849,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2270: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14856,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2272: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_i_inexactp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14872,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14876,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2276: scheme#inexact->exact */
t6=*((C_word*)lf[519]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:2277: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k14839 in k14828 in k14819 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14841,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14845,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2268: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14843 in k14839 in k14828 in k14819 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14845,2,av);}
/* library.scm:2268: log-expt */
f_14660(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k14847 in k14828 in k14819 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14849,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14854 in k14828 in k14819 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14856,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14870 in k14828 in k14819 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14872,2,av);}
/* library.scm:2276: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14874 in k14828 in k14819 in k14713 in scheme#expt in k8492 */
static void C_ccall f_14876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14876,2,av);}
/* library.scm:2276: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8492 */
static void C_fcall f_14917(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_14917,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=t4;
if(C_truep(C_i_exact_integerp(t6))){
t7=t1;
t8=t3;
t9=t4;
t10=t7;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t7=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14950,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2285: scheme#inexact->exact */
t9=*((C_word*)lf[519]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2286: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t6=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
if(C_truep(C_i_flonump(t4))){
t7=C_a_i_flonum_gcd(&a,2,t3,t4);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t4;
if(C_truep(C_i_exact_integerp(t7))){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14979,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2292: scheme#inexact->exact */
t9=*((C_word*)lf[519]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2293: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2294: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k14948 in internal-gcd in k8492 */
static void C_ccall f_14950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14950,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t2,t1);
/* library.scm:2285: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14977 in internal-gcd in k8492 */
static void C_ccall f_14979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14979,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t1,t2);
/* library.scm:2292: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##sys#gcd in k8492 */
static void C_ccall f_14987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14987,4,av);}
/* library.scm:2296: ##sys#internal-gcd */
f_14917(t1,lf[595],t2,t3);}

/* scheme#gcd in k8492 */
static void C_ccall f_14993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_14993,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15013,a[2]=t7,a[3]=((C_word)li434),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_15013(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8492 */
static void C_fcall f_15013(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15013,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2305: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[595];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15038,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2307: ##sys#internal-gcd */
f_14917(t5,lf[595],t2,t4);}}

/* k15036 in loop in scheme#gcd in k8492 */
static void C_ccall f_15038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15038,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2307: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15013(t3,((C_word*)t0)[4],t1,t2);}

/* ##sys#lcm in k8492 */
static void C_ccall f_15044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15044,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15048,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2311: ##sys#internal-gcd */
f_14917(t4,lf[598],t2,t3);}

/* k15046 in lcm in k8492 */
static void C_ccall f_15048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15048,2,av);}
a=C_alloc(45);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,t2,t3);
t5=C_s_a_i_quotient(&a,2,t4,t1);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#lcm in k8492 */
static void C_ccall f_15055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15055,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15075,a[2]=t6,a[3]=((C_word)li437),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15075(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8492 */
static void C_fcall f_15075(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15075,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2321: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[598];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15096,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2323: ##sys#internal-gcd */
f_14917(t6,lf[598],t2,t5);}}

/* k15094 in loop in scheme#lcm in k8492 */
static void C_ccall f_15096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15096,2,av);}
a=C_alloc(38);
t2=((C_word*)t0)[2];
t3=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t4=C_s_a_i_quotient(&a,2,t3,t1);
t5=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:2324: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_15075(t6,((C_word*)t0)[6],t4,t5);}

/* ##sys#integer->string/recursive in k8492 */
static void C_ccall f_15110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15110,5,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15117,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2331: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}

/* k15115 in integer->string/recursive in k8492 */
static void C_ccall f_15117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15117,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15122,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15128,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li441),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2330: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a15121 in k15115 in integer->string/recursive in k8492 */
static void C_ccall f_15122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15122,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li439),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2330: g2769 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15127 in k15115 in integer->string/recursive in k8492 */
static void C_ccall f_15128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15128,4,av);}
a=C_alloc(6);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15132,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[3];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}

/* k15130 in a15127 in k15115 in integer->string/recursive in k8492 */
static void C_ccall f_15132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15132,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15135,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
t5=((C_word*)t0)[5];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}

/* k15133 in k15130 in a15127 in k15115 in integer->string/recursive in k8492 */
static void C_ccall f_15135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15135,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15142,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(t2);
t5=C_fixnum_difference(((C_word*)t0)[4],t4);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15140 in k15133 in k15130 in a15127 in k15115 in integer->string/recursive in k8492 */
static void C_ccall f_15142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15142,2,av);}
/* library.scm:2336: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8492 */
static void C_ccall f_15163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15163,4,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15177,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_u_i_ratnum_num(t5);
t7=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_u_i_cplxnum_real(t4);
t6=t2;
t7=C_u_i_cplxnum_imag(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15218,a[2]=t8,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t10=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t9;
av2[2]=t5;
av2[3]=t10;
tp(4,av2);}}
else{
/* library.scm:2358: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[607];
tp(4,av2);}}}}

/* k15175 in extended-number->string in k8492 */
static void C_ccall f_15177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15177,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15181,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}

/* k15179 in k15175 in extended-number->string in k8492 */
static void C_ccall f_15181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15181,2,av);}
/* library.scm:2346: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[603];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15216 in extended-number->string in k8492 */
static void C_ccall f_15218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15218,2,av);}
a=C_alloc(5);
t2=t1;
t3=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[604]:lf[605]):lf[605]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15226,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t6;
tp(4,av2);}}

/* k15224 in k15216 in extended-number->string in k8492 */
static void C_ccall f_15226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15226,2,av);}
/* library.scm:2353: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[606];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15251 in safe-exponent in string->compnum in k8492 */
static void C_ccall f_15253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15253,2,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15254 in safe-exponent in string->compnum in k8492 */
static void C_ccall f_15256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15256,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_i_integer_length(((C_word*)t0)[2]);
t4=C_i_integer_length(t2);
t5=C_fixnum_difference(t3,t4);
t6=C_fixnum_difference(t5,*((C_word*)lf[426]+1));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t8)[1],C_fix(0)))){
t9=C_fixnum_negate(((C_word*)t8)[1]);
t10=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t9);
t11=t10;
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15271,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t11,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2377: round-quotient */
f_15332(t12,t11,t2);}
else{
t9=((C_word*)t0)[2];
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15307,a[2]=((C_word*)t0)[3],a[3]=t9,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2384: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15269 in k15254 in safe-exponent in string->compnum in k8492 */
static void C_ccall f_15271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15271,2,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15274,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[426]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[426]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15292,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2381: round-quotient */
f_15332(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15274(t8,C_SCHEME_UNDEFINED);}}

/* k15272 in k15269 in k15254 in safe-exponent in string->compnum in k8492 */
static void C_fcall f_15274(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15274,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15281,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2382: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15279 in k15272 in k15269 in k15254 in safe-exponent in string->compnum in k8492 */
static void C_ccall f_15281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15281,2,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=C_i_foreign_flonum_argumentp(t1);
t5=C_i_foreign_fixnum_argumentp(t2);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub2823(t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k15290 in k15269 in k15254 in safe-exponent in string->compnum in k8492 */
static void C_ccall f_15292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15292,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15274(t3,t2);}

/* k15305 in k15254 in safe-exponent in string->compnum in k8492 */
static void C_ccall f_15307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15307,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8492 */
static void C_fcall f_15332(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15332,3,t1,t2,t3);}
a=C_alloc(63);
t4=t2;
t5=t3;
t6=C_s_a_u_i_integer_quotient(&a,2,t4,t5);
t7=t6;
t8=(C_truep(C_i_evenp(t7))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15347,a[2]=t2,a[3]=t3,a[4]=t7,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=t2;
t11=t3;
t12=C_s_a_i_remainder(&a,2,t10,t11);
t13=C_s_a_i_abs(&a,1,t12);
t14=C_s_a_i_times(&a,2,t13,C_fix(2));
t15=t3;
t16=C_s_a_i_abs(&a,1,t15);
/* library.scm:2391: g2836 */
t17=t8;{
C_word av2[4];
av2[0]=t17;
av2[1]=t9;
av2[2]=t14;
av2[3]=t16;
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* k15345 in round-quotient in k8492 */
static void C_ccall f_15347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15347,2,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_i_negativep(t2);
t4=((C_word*)t0)[3];
t5=C_i_negativep(t4);
t6=C_eqp(t3,t5);
if(C_truep(t6)){
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(-1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8492 */
static void C_fcall f_15370(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(83,0,5)))){
C_save_and_reclaim_args((void *)trf_15370,5,t1,t2,t3,t4,t5);}
a=C_alloc(83);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15373,a[2]=t6,tmp=(C_word)a,a+=3,tmp));
t12=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15383,a[2]=t6,a[3]=((C_word)li445),tmp=(C_word)a,a+=4,tmp));
t13=C_block_size(t3);
t14=t13;
t15=C_fixnum_difference(t2,C_fix(1));
t16=C_fixnum_plus(C_fix(48),t15);
t17=C_make_character(C_unfix(t16));
t18=t17;
t19=C_fixnum_difference(t2,C_fix(11));
t20=C_fixnum_plus(C_fix(97),t19);
t21=C_make_character(C_unfix(t20));
t22=t21;
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=t25;
t27=C_SCHEME_FALSE;
t28=(*a=C_VECTOR_TYPE|1,a[1]=t27,tmp=(C_word)a,a+=2,tmp);
t29=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15457,a[2]=t14,a[3]=t3,a[4]=t2,a[5]=t18,a[6]=t22,a[7]=t26,a[8]=((C_word)li447),tmp=(C_word)a,a+=9,tmp);
t30=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15565,a[2]=t14,a[3]=t3,a[4]=((C_word)li449),tmp=(C_word)a,a+=5,tmp);
t31=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15615,a[2]=t3,a[3]=t2,a[4]=t28,a[5]=t8,a[6]=t30,a[7]=t29,a[8]=((C_word)li450),tmp=(C_word)a,a+=9,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15671,a[2]=t14,a[3]=t3,a[4]=t8,a[5]=t2,a[6]=t29,a[7]=((C_word)li451),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15732,a[2]=t14,a[3]=t10,a[4]=t32,a[5]=t3,a[6]=t31,a[7]=((C_word)li452),tmp=(C_word)a,a+=8,tmp);
t34=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_15944,a[2]=t8,a[3]=t33,a[4]=t2,a[5]=t14,a[6]=t10,a[7]=t32,a[8]=t28,a[9]=t6,a[10]=t31,a[11]=t3,a[12]=((C_word)li453),tmp=(C_word)a,a+=13,tmp);
t35=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16287,a[2]=t14,a[3]=t3,a[4]=t34,a[5]=t8,a[6]=((C_word)li454),tmp=(C_word)a,a+=7,tmp);
t36=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16519,a[2]=t6,a[3]=t1,a[4]=t14,a[5]=t3,a[6]=t4,a[7]=t28,a[8]=t35,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2573: scan-real */
t37=t35;
f_16287(t37,t36,t4);}

/* go-inexact! in string->compnum in k8492 */
static C_word C_fcall f_15373(C_word t0){
C_word tmp;
C_word t1;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
t1=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[611]);
return(t2);}}

/* safe-exponent in string->compnum in k8492 */
static void C_fcall f_15383(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15383,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;
if(C_truep(C_i_greaterp(t4,C_fix(10000)))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
if(C_truep(t5)){
t6=t2;
if(C_truep(C_i_zerop(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=lf[501];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=t2;
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(C_i_greaterp(t7,lf[501]))?lf[612]:lf[613]);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=t3;
t6=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t5,t6))){
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?lf[501]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
if(C_truep(t7)){
t8=t1;
t9=t2;
t10=t3;
t11=C_i_negativep(t10);
if(C_truep(C_i_not(t11))){
t12=t9;
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15253,a[2]=t12,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2370: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t13;
av2[2]=C_fix(10);
av2[3]=t10;
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15256,a[2]=t9,a[3]=t8,a[4]=t10,tmp=(C_word)a,a+=5,tmp);
t13=C_s_a_i_abs(&a,1,t10);
/* library.scm:2371: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t12;
av2[2]=C_fix(10);
av2[3]=t13;
tp(4,av2);}}}
else{
t8=t2;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15441,a[2]=t8,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2412: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t9;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15439 in safe-exponent in string->compnum in k8492 */
static void C_ccall f_15441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15441,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scan-digits in string->compnum in k8492 */
static void C_fcall f_15457(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15457,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15463,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li446),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15463(t6,t1,t2);}

/* lp in scan-digits in string->compnum in k8492 */
static void C_fcall f_15463(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15463,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2436: lp */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}
else{
t9=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=(C_truep(t9)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,C_make_character(57)):C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15526,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t8)){
t10=t9;
f_15526(t10,t8);}
else{
t10=(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(97)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[8]):C_SCHEME_FALSE);
t11=t9;
f_15526(t11,(C_truep(t10)?t10:(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(65)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15524 in lp in scan-digits in string->compnum in k8492 */
static void C_fcall f_15526(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15526,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2441: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15463(t3,((C_word*)t0)[4],t2);}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[5]);
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in string->compnum in k8492 */
static void C_fcall f_15565(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15565,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15571,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li448),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15571(t6,t1,t2);}

/* lp in scan-hashes in string->compnum in k8492 */
static void C_fcall f_15571(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15571,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
t7=C_eqp(t6,C_make_character(35));
if(C_truep(t7)){
t8=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2450: lp */
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t8=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t8)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* scan-digits+hashes in string->compnum in k8492 */
static void C_fcall f_15615(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15615,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15619,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2454: scan-digits */
t6=((C_word*)t0)[7];
f_15457(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15619(2,av2);}}}

/* k15617 in scan-digits+hashes in string->compnum in k8492 */
static void C_ccall f_15619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15619,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15622,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
/* library.scm:2456: scan-hashes */
t5=((C_word*)t0)[9];
f_15565(t5,t3,t4);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15622(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2457: scan-hashes */
t4=((C_word*)t0)[9];
f_15565(t4,t3,((C_word*)t0)[3]);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15622(2,av2);}}}}

/* k15620 in k15617 in scan-digits+hashes in string->compnum in k8492 */
static void C_ccall f_15622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15622,2,av);}
a=C_alloc(8);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
  /* library.scm:2465: go-inexact! */
  f_15373(((C_word*)((C_word*)t0)[8])[1])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in string->compnum in k8492 */
static void C_fcall f_15671(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15671,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15686,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_15686(t8,lf[615]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_15686(t9,(C_truep(t8)?lf[614]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15684 in scan-exponent in string->compnum in k8492 */
static void C_fcall f_15686(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15686,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15695,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2473: scan-digits */
t6=((C_word*)t0)[7];
f_15457(t6,t5,t4);}
else{
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15693 in k15684 in scan-exponent in string->compnum in k8492 */
static void C_ccall f_15695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15695,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(
  /* library.scm:2474: go-inexact! */
  f_15373(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_i_car(t1);
t4=C_eqp(((C_word*)t0)[3],lf[614]);
t5=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[4],((C_word*)t0)[5],t3,((C_word*)t0)[6],t4);
t6=C_u_i_cdr(t1);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_cons(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in string->compnum in k8492 */
static void C_fcall f_15732(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15732,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15742,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2482: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15615(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_ccall f_15742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15742,2,av);}
a=C_alloc(11);
t2=t1;
t3=(C_truep(t2)?C_i_cdr(t2):((C_word*)t0)[2]);
t4=t3;
t5=((C_word*)t0)[3];
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15751,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t5)){
t7=t6;
f_15751(t7,t5);}
else{
t7=C_i_not(t4);
t8=t6;
f_15751(t8,(C_truep(t7)?t7:C_fixnum_greaterp(t4,((C_word*)t0)[2])));}}

/* k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_fcall f_15751(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15751,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15754,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=((C_word*)t0)[10];
t4=t2;
f_15754(t4,C_subchar(t3,((C_word*)t0)[3]));}
else{
t3=t2;
f_15754(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k15752 in k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_fcall f_15754(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15754,2,t0,t1);}
a=C_alloc(10);
t2=C_eqp(t1,C_make_character(101));
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15763,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
t4=t3;
f_15763(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(115));
if(C_truep(t4)){
t5=t3;
f_15763(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(102));
if(C_truep(t5)){
t6=t3;
f_15763(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(100));
if(C_truep(t6)){
t7=t3;
f_15763(t7,t6);}
else{
t7=C_eqp(t1,C_make_character(108));
if(C_truep(t7)){
t8=t3;
f_15763(t8,t7);}
else{
t8=C_eqp(t1,C_make_character(69));
if(C_truep(t8)){
t9=t3;
f_15763(t9,t8);}
else{
t9=C_eqp(t1,C_make_character(83));
if(C_truep(t9)){
t10=t3;
f_15763(t10,t9);}
else{
t10=C_eqp(t1,C_make_character(70));
if(C_truep(t10)){
t11=t3;
f_15763(t11,t10);}
else{
t11=C_eqp(t1,C_make_character(68));
t12=t3;
f_15763(t12,(C_truep(t11)?t11:C_eqp(t1,C_make_character(76))));}}}}}}}}}

/* k15761 in k15752 in k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_fcall f_15763(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15763,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15772,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2490: scan-exponent */
t4=((C_word*)t0)[9];
f_15671(t4,t2,t3);}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15837,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2500: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15383(t6,t5,t4,t3);}}

/* k15770 in k15761 in k15752 in k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_ccall f_15772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_15772,2,av);}
a=C_alloc(8);
t2=t1;
if(C_truep(t2)){
t3=C_i_car(t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15784,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2492: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15383(t6,t5,((C_word*)t0)[6],t4);}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15782 in k15770 in k15761 in k15752 in k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_ccall f_15784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_15784,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15790,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t4=C_i_cdr(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,((C_word*)t0)[6]);
t6=t3;
f_15790(t6,C_fixnum_difference(((C_word*)t0)[7],t5));}
else{
t4=t3;
f_15790(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15788 in k15782 in k15770 in k15761 in k15752 in k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_fcall f_15790(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15790,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15796,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2495: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15383(t4,t3,t2,t1);}

/* k15794 in k15788 in k15782 in k15770 in k15761 in k15752 in k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_ccall f_15796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15796,2,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15835 in k15761 in k15752 in k15749 in k15740 in scan-decimal-tail in string->compnum in k8492 */
static void C_ccall f_15837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15837,2,av);}
a=C_alloc(32);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:C_fix(0));
if(C_truep(t1)){
t4=C_s_a_i_plus(&a,2,t3,t1);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_cons(&a,2,t4,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scan-ureal in string->compnum in k8492 */
static void C_fcall f_15944(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_15944,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_15951,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t5))){
t6=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t6)){
t7=((C_word*)t0)[11];
t8=t2;
t9=C_subchar(t7,t8);
t10=t4;
f_15951(t10,C_eqp(t9,C_make_character(46)));}
else{
t7=t4;
f_15951(t7,C_SCHEME_FALSE);}}
else{
t6=t4;
f_15951(t6,C_SCHEME_FALSE);}}

/* k15949 in scan-ureal in string->compnum in k8492 */
static void C_fcall f_15951(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_15951,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
  /* library.scm:2508: go-inexact! */
  f_15373(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2509: scan-decimal-tail */
t4=((C_word*)t0)[4];
f_15732(t4,((C_word*)t0)[5],t3,((C_word*)t0)[6],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15964,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2510: scan-digits+hashes */
t3=((C_word*)t0)[13];
f_15615(t3,t2,((C_word*)t0)[3],((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_ccall f_15964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_15964,2,av);}
a=C_alloc(14);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15970,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
t5=((C_word*)t0)[13];
t6=t3;
f_15970(t6,C_subchar(t5,t4));}
else{
t4=t3;
f_15970(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15968 in k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_fcall f_15970(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,4)))){
C_save_and_reclaim_args((void *)trf_15970,2,t0,t1);}
a=C_alloc(12);
t2=t1;
t3=C_eqp(t2,C_make_character(46));
if(C_truep(t3)){
t4=(
  /* library.scm:2513: go-inexact! */
  f_15373(((C_word*)((C_word*)t0)[2])[1])
);
t5=C_eqp(((C_word*)t0)[3],C_fix(10));
if(C_truep(t5)){
t6=C_u_i_cdr(((C_word*)t0)[4]);
t7=C_fixnum_plus(t6,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t7))){
t8=C_u_i_cdr(((C_word*)t0)[4]);
t9=C_fixnum_plus(t8,C_fix(1));
t10=C_u_i_car(((C_word*)t0)[4]);
/* library.scm:2516: scan-decimal-tail */
t11=((C_word*)t0)[6];
f_15732(t11,((C_word*)t0)[7],t9,((C_word*)t0)[8],t10);}
else{
t8=C_u_i_car(((C_word*)t0)[4]);
t9=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t4=C_eqp(t2,C_make_character(101));
t5=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_16022,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=t2,a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],tmp=(C_word)a,a+=12,tmp);
if(C_truep(t4)){
t6=t5;
f_16022(t6,t4);}
else{
t6=C_eqp(t2,C_make_character(115));
if(C_truep(t6)){
t7=t5;
f_16022(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(102));
if(C_truep(t7)){
t8=t5;
f_16022(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(100));
if(C_truep(t8)){
t9=t5;
f_16022(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(108));
if(C_truep(t9)){
t10=t5;
f_16022(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(69));
if(C_truep(t10)){
t11=t5;
f_16022(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(83));
if(C_truep(t11)){
t12=t5;
f_16022(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(70));
if(C_truep(t12)){
t13=t5;
f_16022(t13,t12);}
else{
t13=C_eqp(t2,C_make_character(68));
t14=t5;
f_16022(t14,(C_truep(t13)?t13:C_eqp(t2,C_make_character(76))));}}}}}}}}}}

/* k16020 in k15968 in k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_fcall f_16022(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16022,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],C_fix(10));
if(C_truep(t2)){
t3=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16037,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t5=C_u_i_cdr(((C_word*)t0)[3]);
t6=C_fixnum_plus(t5,C_fix(1));
/* library.scm:2522: scan-exponent */
t7=((C_word*)t0)[7];
f_15671(t7,t4,t6);}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[9],0,C_SCHEME_FALSE);
t4=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t4))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16083,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[3]);
t7=C_fixnum_plus(t6,C_fix(1));
/* library.scm:2529: scan-digits+hashes */
t8=((C_word*)t0)[11];
f_15615(t8,t5,t7,C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16035 in k16020 in k15968 in k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_ccall f_16037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16037,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16047,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t5=C_i_car(t2);
/* library.scm:2524: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15383(t6,t4,t3,t5);}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16045 in k16035 in k16020 in k15968 in k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_ccall f_16047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16047,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16081 in k16020 in k15968 in k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_ccall f_16083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16083,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_i_car(t2);
if(C_truep(t4)){
t5=C_eqp(t4,C_fix(0));
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16109,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2533: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t6=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[610]);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16120,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2537: chicken.base#signum */
t8=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16107 in k16081 in k16020 in k15968 in k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_ccall f_16109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16109,2,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16118 in k16081 in k16020 in k15968 in k15962 in k15949 in scan-ureal in string->compnum in k8492 */
static void C_ccall f_16120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16120,2,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[613],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_a_i_flonum_quotient(&a,2,lf[501],lf[501]);
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[612],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in string->compnum in k8492 */
static void C_fcall f_16287(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16287,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16302,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_16302(t8,lf[615]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_16302(t9,(C_truep(t8)?lf[614]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16300 in scan-real in string->compnum in k8492 */
static void C_fcall f_16302(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,4)))){
C_save_and_reclaim_args((void *)trf_16302,2,t0,t1);}
a=C_alloc(16);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[3]))){
t5=((C_word*)t0)[4];
t6=C_subchar(t5,t4);
t7=C_eqp(t6,C_make_character(105));
t8=(C_truep(t7)?t7:C_eqp(t6,C_make_character(73)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16328,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=C_eqp(t10,((C_word*)t0)[3]);
if(C_truep(t11)){
t12=C_eqp(t2,lf[614]);
t13=t9;
f_16328(t13,(C_truep(t12)?C_a_i_cons(&a,2,C_fix(-1),t4):C_a_i_cons(&a,2,C_fix(1),t4)));}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16360,a[2]=((C_word*)t0)[7],a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=t9,tmp=(C_word)a,a+=7,tmp);
t13=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t13,((C_word*)t0)[3]))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16397,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t15=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2556: scheme#substring */
t16=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t16;
av2[1]=t14;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t15;
((C_proc)(void*)(*((C_word*)t16+1)))(5,av2);}}
else{
t14=t12;
f_16360(t14,C_SCHEME_FALSE);}}}
else{
t10=t9;
f_16328(t10,C_SCHEME_FALSE);}}
else{
t9=C_eqp(t6,C_make_character(110));
t10=(C_truep(t9)?t9:C_eqp(t6,C_make_character(78)));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16421,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t12=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t12,((C_word*)t0)[3]))){
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16471,a[2]=((C_word*)t0)[7],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t11,tmp=(C_word)a,a+=6,tmp);
t14=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2566: scheme#substring */
t15=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t15;
av2[1]=t13;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(5,av2);}}
else{
t13=t11;
f_16421(t13,C_SCHEME_FALSE);}}
else{
t12=t11;
f_16421(t12,C_SCHEME_FALSE);}}
else{
t11=C_eqp(t2,lf[614]);
/* library.scm:2572: scan-ureal */
t12=((C_word*)t0)[6];
f_15944(t12,((C_word*)t0)[5],t4,t11);}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k16326 in k16300 in scan-real in string->compnum in k8492 */
static void C_fcall f_16328(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16328,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[614]);
/* library.scm:2562: scan-ureal */
t3=((C_word*)t0)[4];
f_15944(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16358 in k16300 in scan-real in string->compnum in k8492 */
static void C_fcall f_16360(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,1)))){
C_save_and_reclaim_args((void *)trf_16360,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
  /* library.scm:2557: go-inexact! */
  f_15373(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_eqp(((C_word*)t0)[3],lf[614]);
t4=(C_truep(t3)?lf[613]:lf[612]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=((C_word*)t0)[6];
f_16328(t7,C_a_i_cons(&a,2,t4,t6));}
else{
t6=((C_word*)t0)[6];
f_16328(t6,C_a_i_cons(&a,2,t4,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[6];
f_16328(t2,C_SCHEME_FALSE);}}

/* k16395 in k16300 in scan-real in string->compnum in k8492 */
static void C_ccall f_16397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16397,2,av);}
t2=((C_word*)t0)[2];
f_16360(t2,C_i_string_ci_equal_p(t1,lf[616]));}

/* k16419 in k16300 in scan-real in string->compnum in k8492 */
static void C_fcall f_16421(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16421,2,t0,t1);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[614]);
/* library.scm:2571: scan-ureal */
t3=((C_word*)t0)[4];
f_15944(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16469 in k16300 in scan-real in string->compnum in k8492 */
static void C_ccall f_16471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16471,2,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[617]))){
t2=(
  /* library.scm:2567: go-inexact! */
  f_15373(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_a_i_flonum_quotient(&a,2,lf[501],lf[501]);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[4]))){
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
t6=((C_word*)t0)[5];
f_16421(t6,C_a_i_cons(&a,2,t3,t5));}
else{
t5=((C_word*)t0)[5];
f_16421(t5,C_a_i_cons(&a,2,t3,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[5];
f_16421(t2,C_SCHEME_FALSE);}}

/* k16517 in string->compnum in k8492 */
static void C_ccall f_16519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_16519,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16522,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16541,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_cdr(t2))){
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[5];
t7=t4;
f_16541(t7,C_subchar(t6,t5));}
else{
t5=t4;
f_16541(t5,C_SCHEME_FALSE);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}

/* k16520 in k16517 in string->compnum in k8492 */
static void C_ccall f_16522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16522,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
if(C_truep(t2)){
/* library.scm:2595: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16539 in k16517 in string->compnum in k8492 */
static void C_fcall f_16541(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_16541,2,t0,t1);}
a=C_alloc(6);
t2=C_eqp(t1,C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_16522(2,av2);}}
else{
t3=C_eqp(t1,C_make_character(105));
t4=(C_truep(t3)?t3:C_eqp(t1,C_make_character(73)));
if(C_truep(t4)){
t5=C_u_i_cdr(((C_word*)t0)[2]);
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_eqp(((C_word*)t0)[4],t6);
if(C_truep(t7)){
t8=((C_word*)t0)[5];
t9=((C_word*)t0)[6];
t10=C_subchar(t8,t9);
t11=C_eqp(t10,C_make_character(43));
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2579: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[502]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[502]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t12;
tp(4,av2);}}
else{
t12=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}
else{
t12=((C_word*)t0)[5];
t13=((C_word*)t0)[6];
t14=C_subchar(t12,t13);
t15=C_eqp(t14,C_make_character(45));
if(C_truep(t15)){
t16=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2579: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[502]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[502]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t16;
tp(4,av2);}}
else{
t16=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t16;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}
else{
t5=C_eqp(t1,C_make_character(43));
t6=(C_truep(t5)?t5:C_eqp(t1,C_make_character(45)));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16611,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=C_u_i_cdr(((C_word*)t0)[2]);
/* library.scm:2582: scan-real */
t10=((C_word*)t0)[8];
f_16287(t10,t8,t9);}
else{
t7=C_eqp(t1,C_make_character(64));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16679,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=C_u_i_cdr(((C_word*)t0)[2]);
t11=C_fixnum_plus(t10,C_fix(1));
/* library.scm:2590: scan-real */
t12=((C_word*)t0)[8];
f_16287(t12,t9,t11);}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}}}}

/* k16609 in k16539 in k16517 in string->compnum in k8492 */
static void C_ccall f_16611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_16611,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t2);
t7=((C_word*)t0)[3];
t8=C_subchar(t7,t6);
t9=C_eqp(t8,C_make_character(105));
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16632,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t9)){
t11=t10;
f_16632(t11,t9);}
else{
t11=C_u_i_cdr(t2);
t12=((C_word*)t0)[3];
t13=C_subchar(t12,t11);
t14=t10;
f_16632(t14,C_eqp(t13,C_make_character(73)));}}
else{
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}

/* k16630 in k16609 in k16539 in k16517 in string->compnum in k8492 */
static void C_fcall f_16632(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16632,2,t0,t1);}
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
t3=C_u_i_car(((C_word*)t0)[3]);
/* library.scm:2587: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[502]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[502]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}

/* k16677 in k16539 in k16517 in string->compnum in k8492 */
static void C_ccall f_16679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16679,2,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=C_u_i_car(t1);
/* library.scm:2592: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16522(2,av2);}}}

/* scheme#string->number in k8492 */
static void C_ccall f_16771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_16771,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[619]);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16781,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t6))){
if(C_truep(C_fixnum_lessp(C_fix(1),t6))){
if(C_truep(C_fixnum_lessp(t6,C_fix(37)))){
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_16781(2,av2);}}
else{
/* library.scm:2604: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[619];
tp(4,av2);}}}
else{
/* library.scm:2604: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[619];
tp(4,av2);}}}
else{
/* library.scm:2604: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[619];
tp(4,av2);}}}

/* k16779 in scheme#string->number in k8492 */
static void C_ccall f_16781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_16781,2,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16790,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li456),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_16790(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k16779 in scheme#string->number in k8492 */
static void C_fcall f_16790(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16790,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(10);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16797,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=t1,a[7]=t4,a[8]=t5,a[9]=((C_word*)t0)[4],tmp=(C_word)a,a+=10,tmp);
t7=C_fixnum_plus(t2,C_fix(2));
if(C_truep(C_fixnum_lessp(t7,t5))){
t8=((C_word*)t0)[2];
t9=t2;
t10=C_subchar(t8,t9);
t11=t6;
f_16797(t11,C_eqp(t10,C_make_character(35)));}
else{
t8=t6;
f_16797(t8,C_SCHEME_FALSE);}}

/* k16795 in scan-prefix in k16779 in scheme#string->number in k8492 */
static void C_fcall f_16797(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_16797,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];
t4=C_subchar(t3,t2);
t5=C_eqp(t4,C_make_character(105));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(73)));
if(C_truep(t6)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t7=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2611: scan-prefix */
t8=((C_word*)((C_word*)t0)[5])[1];
f_16790(t8,((C_word*)t0)[6],t7,lf[611],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_eqp(t4,C_make_character(101));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(69)));
if(C_truep(t8)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2612: scan-prefix */
t10=((C_word*)((C_word*)t0)[5])[1];
f_16790(t10,((C_word*)t0)[6],t9,lf[610],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t9=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(t4,C_make_character(98));
t10=(C_truep(t9)?t9:C_eqp(t4,C_make_character(66)));
if(C_truep(t10)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t11=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2613: scan-prefix */
t12=((C_word*)((C_word*)t0)[5])[1];
f_16790(t12,((C_word*)t0)[6],t11,((C_word*)t0)[4],C_fix(2),((C_word*)t0)[8]);}
else{
t11=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t11=C_eqp(t4,C_make_character(111));
t12=(C_truep(t11)?t11:C_eqp(t4,C_make_character(79)));
if(C_truep(t12)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t13=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2614: scan-prefix */
t14=((C_word*)((C_word*)t0)[5])[1];
f_16790(t14,((C_word*)t0)[6],t13,((C_word*)t0)[4],C_fix(8),((C_word*)t0)[8]);}
else{
t13=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t4,C_make_character(100));
t14=(C_truep(t13)?t13:C_eqp(t4,C_make_character(68)));
if(C_truep(t14)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t15=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2615: scan-prefix */
t16=((C_word*)((C_word*)t0)[5])[1];
f_16790(t16,((C_word*)t0)[6],t15,((C_word*)t0)[4],C_fix(10),((C_word*)t0)[8]);}
else{
t15=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t4,C_make_character(120));
t16=(C_truep(t15)?t15:C_eqp(t4,C_make_character(88)));
if(C_truep(t16)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t17=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2616: scan-prefix */
t18=((C_word*)((C_word*)t0)[5])[1];
f_16790(t18,((C_word*)t0)[6],t17,((C_word*)t0)[4],C_fix(16),((C_word*)t0)[8]);}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[7];
if(C_truep(t2)){
/* library.scm:2618: ##sys#string->compnum */
f_15370(((C_word*)t0)[6],t2,((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}
else{
/* library.scm:2618: ##sys#string->compnum */
f_15370(((C_word*)t0)[6],((C_word*)t0)[9],((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}}}

/* ##sys#string->number in k8492 */
static void C_ccall f_17026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_17026,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
if(C_truep(C_i_nullp(t7))){
/* library.scm:2621: ##sys#string->compnum */
f_15370(t1,t5,t2,C_fix(0),t9);}
else{
t10=C_i_cdr(t7);
/* library.scm:2621: ##sys#string->compnum */
f_15370(t1,t5,t2,C_fix(0),t9);}}

/* chicken.base#equal=? in k8492 */
static void C_ccall f_17072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17072,4,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17075,a[2]=t7,a[3]=((C_word)li463),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17143,a[2]=t5,a[3]=((C_word)li464),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2664: walk */
t10=((C_word*)t7)[1];
f_17143(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8492 */
static void C_fcall f_17075(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17075,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=t9;
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17102,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t12,a[7]=((C_word)li462),tmp=(C_word)a,a+=8,tmp));
t14=((C_word*)t12)[1];
f_17102(t14,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8492 */
static void C_fcall f_17102(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17102,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[3],t2);
t5=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2638: walk */
t6=((C_word*)((C_word*)t0)[5])[1];
f_17143(t6,t1,t4,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17126,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(((C_word*)t0)[3],t2);
t6=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2639: walk */
t7=((C_word*)((C_word*)t0)[5])[1];
f_17143(t7,t4,t5,t6);}}

/* k17124 in loop in compare-slots in chicken.base#equal=? in k8492 */
static void C_ccall f_17126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17126,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2640: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_17102(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8492 */
static void C_fcall f_17143(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17143,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
if(C_truep(C_i_numberp(t3))){
t5=t2;
t6=t3;
t7=C_i_nequalp(t5,t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=C_blockp(t2);
if(C_truep(C_i_not(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_blockp(t3);
if(C_truep(C_i_not(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_sametypep(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2654: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17075(t8,t1,t2,t3,C_fix(1));}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
t11=C_substring_compare(t2,t3,C_fix(0),C_fix(0),t8);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
/* library.scm:2663: compare-slots */
t11=((C_word*)((C_word*)t0)[2])[1];
f_17075(t11,t1,t2,t3,C_fix(0));}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8492 */
static void C_ccall f_17242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17242,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8492 */
static void C_ccall f_17245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17245,3,av);}
t3=C_i_check_string(t2);
/* library.scm:2675: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* split in k8492 */
static C_word C_fcall f_17254(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;{}
t3=C_subbyte(t1,C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t4=C_fixnum_less_or_equal_p(t3,C_fix(31));
return((C_truep(t4)?C_fixnum_plus(t3,C_fix(1)):C_SCHEME_FALSE));}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* ##sys#symbol->string in k8492 */
static void C_ccall f_17281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17281,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2694: split */
  f_17254(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2695: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t5;
av2[4]=t4;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#symbol->qualified-string in k8492 */
static void C_ccall f_17299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_17299,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_block_size(t4);
t6=t5;
t7=(
  /* library.scm:2701: split */
  f_17254(t4,t6)
);
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17319,a[2]=t1,a[3]=t4,a[4]=t8,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2703: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(1);
av2[4]=t8;
tp(5,av2);}}
else{
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k17317 in symbol->qualified-string in k8492 */
static void C_ccall f_17319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_17319,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17323,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2703: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}

/* k17321 in k17317 in symbol->qualified-string in k8492 */
static void C_ccall f_17323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17323,2,av);}
/* library.scm:2703: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[632];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[633];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#qualified-symbol-prefix in k8492 */
static void C_ccall f_17325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17325,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2710: split */
  f_17254(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2711: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#qualified-symbol? in k8492 */
static void C_ccall f_17343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17343,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
if(C_truep(C_fixnum_greaterp(t4,C_fix(0)))){
t5=C_subbyte(t3,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fixnum_less_or_equal_p(t5,C_fix(31));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#string->qualified-symbol in k8492 */
static void C_ccall f_17366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_17366,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17374,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t2)){
/* library.scm:2722: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t5=t3;
/* library.scm:2720: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t1;
av2[2]=t5;
tp(3,av2);}}}

/* k17372 in string->qualified-symbol in k8492 */
static void C_ccall f_17374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17374,2,av);}
/* library.scm:2720: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* scheme#symbol->string in k8492 */
static void C_ccall f_17379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17379,3,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[638]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17390,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2728: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17388 in scheme#symbol->string in k8492 */
static void C_ccall f_17390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17390,2,av);}
/* library.scm:2728: scheme#string-copy */
t2=*((C_word*)lf[392]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8492 */
static void C_ccall f_17392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17392,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[640]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17403,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2734: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17401 in scheme#string->symbol in k8492 */
static void C_ccall f_17403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17403,2,av);}
/* library.scm:2734: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8492 */
static void C_ccall f_17405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17405,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[642]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li477),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17416,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2740: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17414 in chicken.base#string->uninterned-symbol in k8492 */
static void C_ccall f_17416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17416,2,av);}
/* library.scm:2738: g3376 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8492 */
static void C_ccall f_17418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +15,c,5)))){
C_save_and_reclaim((void*)f_17418,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+15);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li479),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17435,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17439,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=t7;{
C_word *av2=av;
av2[0]=t9;
av2[1]=lf[644];
f_17439(2,av2);}}
else{
t9=C_i_car(t2);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17452,a[2]=t7,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_blockp(t10))){
if(C_truep(C_stringp(t10))){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_17452(2,av2);}}
else{
if(C_truep(C_symbolp(t10))){
/* library.scm:2754: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t11;
av2[2]=t10;
tp(3,av2);}}
else{
/* library.scm:2745: ##sys#signal-hook */
t12=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[258];
av2[3]=lf[645];
av2[4]=lf[646];
av2[5]=t10;
((C_proc)(void*)(*((C_word*)t12+1)))(6,av2);}}}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_17452(2,av2);}}}}

/* k17433 in chicken.base#gensym in k8492 */
static void C_ccall f_17435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17435,2,av);}
/* library.scm:2745: g3383 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17437 in chicken.base#gensym in k8492 */
static void C_ccall f_17439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17439,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17443,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2757: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17441 in k17437 in chicken.base#gensym in k8492 */
static void C_ccall f_17443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17443,2,av);}
/* library.scm:2748: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17450 in chicken.base#gensym in k8492 */
static void C_ccall f_17452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17452,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_17439(2,av2);}}
else{
/* library.scm:2745: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[645];
av2[4]=lf[646];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8492 */
static void C_ccall f_17472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17472,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17480,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17495,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17497,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li481),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17497(t12,t8,t2);}

/* k17478 in chicken.base#symbol-append in k8492 */
static void C_ccall f_17480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17480,2,av);}
/* library.scm:2762: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17493 in chicken.base#symbol-append in k8492 */
static void C_ccall f_17495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17495,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3399 in chicken.base#symbol-append in k8492 */
static void C_fcall f_17497(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17497,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17522,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[648]);
/* library.scm:2767: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17520 in map-loop3399 in chicken.base#symbol-append in k8492 */
static void C_ccall f_17522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17522,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_17497(t6,((C_word*)t0)[5],t5);}

/* chicken.keyword#keyword? in k8492 */
static void C_ccall f_17531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17531,3,av);}
if(C_truep(C_i_symbolp(t2))){
t3=C_u_i_keywordp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.keyword#string->keyword in k8492 */
static void C_ccall f_17540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17540,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[652]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17551,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_string(&a,1,C_make_character(0));
/* library.scm:2785: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t4;
av2[2]=t5;
av2[3]=t2;
tp(4,av2);}}

/* k17549 in chicken.keyword#string->keyword in k8492 */
static void C_ccall f_17551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17551,2,av);}
/* library.scm:2785: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.keyword#keyword->string in k8492 */
static void C_ccall f_17561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17561,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17568,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2790: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17566 in chicken.keyword#keyword->string in k8492 */
static void C_ccall f_17568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17568,2,av);}
if(C_truep(t1)){
/* library.scm:2791: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2792: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[654];
av2[4]=lf[655];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8492 */
static void C_ccall f_17579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_17579,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_list_2(t3,lf[658]);
t8=C_i_get_keyword(t2,t3,((C_word*)t0)[2]);
t9=C_eqp(t8,((C_word*)t0)[2]);
if(C_truep(t9)){
if(C_truep(t6)){
/* library.scm:2800: thunk */
t10=t6;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* ##sys#make-blob in k8492 */
static void C_ccall f_17607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17607,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17611,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2816: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17609 in make-blob in k8492 */
static void C_ccall f_17611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17611,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8492 */
static void C_ccall f_17613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17613,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17617,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2821: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[663];
tp(4,av2);}}

/* k17615 in chicken.blob#make-blob in k8492 */
static void C_ccall f_17617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17617,2,av);}
/* library.scm:2822: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[661]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[661]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8492 */
static void C_ccall f_17622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17622,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_bytevectorp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.blob#blob-size in k8492 */
static void C_ccall f_17628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17628,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17632,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2829: ##sys#check-blob */
t4=*((C_word*)lf[342]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[666];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17630 in chicken.blob#blob-size in k8492 */
static void C_ccall f_17632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17632,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8492 */
static void C_ccall f_17637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17637,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[668]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17647,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2835: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[661]);
C_word *av2=av;
av2[0]=*((C_word*)lf[661]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k17645 in chicken.blob#string->blob in k8492 */
static void C_ccall f_17647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17647,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8492 */
static void C_ccall f_17649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17649,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17653,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2840: ##sys#check-blob */
t4=*((C_word*)lf[342]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[670];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17651 in chicken.blob#blob->string in k8492 */
static void C_ccall f_17653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17653,2,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17659,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2842: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k17657 in k17651 in chicken.blob#blob->string in k8492 */
static void C_ccall f_17659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17659,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8492 */
static void C_ccall f_17661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17661,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17665,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2847: ##sys#check-blob */
t5=*((C_word*)lf[342]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[672];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17663 in chicken.blob#blob=? in k8492 */
static void C_ccall f_17665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17665,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17668,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2848: ##sys#check-blob */
t3=*((C_word*)lf[342]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[672];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17666 in k17663 in chicken.blob#blob=? in k8492 */
static void C_ccall f_17668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17668,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t6=C_i_zerop(t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#make-vector in k8492 */
static void C_ccall f_17684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17684,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17688,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2860: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[673];
tp(4,av2);}}

/* k17686 in scheme#make-vector in k8492 */
static void C_ccall f_17688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17688,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17691,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2861: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[673];
av2[3]=lf[674];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17691(2,av2);}}}

/* k17689 in k17686 in scheme#make-vector in k8492 */
static void C_ccall f_17691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17691,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2862: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
/* library.scm:2862: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#list->vector in k8492 */
static void C_ccall f_17713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17713,3,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2874: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[676];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17729,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2876: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[675]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[675]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17727 in scheme#list->vector in k8492 */
static void C_ccall f_17729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17729,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17734,a[2]=t2,a[3]=((C_word)li495),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17734(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k17727 in scheme#list->vector in k8492 */
static C_word C_fcall f_17734(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t5=C_slot(t1,C_fix(1));
t6=C_fixnum_plus(t2,C_fix(1));
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* scheme#vector->list in k8492 */
static void C_ccall f_17765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17765,3,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[677]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17774,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li497),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17774(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8492 */
static void C_fcall f_17774(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17774,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17792,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2893: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k17790 in loop in scheme#vector->list in k8492 */
static void C_ccall f_17792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17792,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8492 */
static void C_ccall f_17798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17798,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2895: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8492 */
static void C_ccall f_17804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17804,4,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[678]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17813,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li500),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17813(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3536 in scheme#vector-fill! in k8492 */
static C_word C_fcall f_17813(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_fixnum_plus(t1,C_fix(1));
t5=t3;
t1=t5;
goto loop;}}

/* chicken.base#vector-copy! in k8492 */
static void C_ccall f_17832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17832,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t5=C_i_check_vector_2(t2,lf[679]);
t6=C_i_check_vector_2(t3,lf[679]);
t7=C_block_size(t2);
t8=t7;
t9=C_block_size(t3);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17848,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t10,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t4))){
t12=t4;
t13=t11;
f_17848(t13,C_u_i_car(t12));}
else{
t12=t11;
f_17848(t12,C_i_fixnum_min(t10,t8));}}

/* k17846 in chicken.base#vector-copy! in k8492 */
static void C_fcall f_17848(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_17848,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17851,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2912: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[679];
tp(4,av2);}}

/* k17849 in k17846 in chicken.base#vector-copy! in k8492 */
static void C_ccall f_17851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17851,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17854,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2914: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[380];
av2[3]=lf[679];
av2[4]=lf[680];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17854(2,av2);}}}

/* k17852 in k17849 in k17846 in chicken.base#vector-copy! in k8492 */
static void C_ccall f_17854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17854,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17859,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li502),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17859(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3548 in k17852 in k17849 in k17846 in chicken.base#vector-copy! in k8492 */
static C_word C_fcall f_17859(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* chicken.base#subvector in k8492 */
static void C_ccall f_17901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_17901,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_vector_2(t2,lf[681]);
t8=C_block_size(t2);
t9=t8;
t10=(C_truep(t6)?t6:t9);
t11=t10;
t12=C_fixnum_difference(t11,t3);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17920,a[2]=t13,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t9,a[7]=t11,tmp=(C_word)a,a+=8,tmp);
t15=C_fixnum_plus(t9,C_fix(1));
/* library.scm:2927: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=lf[681];
tp(6,av2);}}

/* k17918 in chicken.base#subvector in k8492 */
static void C_ccall f_17920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_17920,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17923,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
/* library.scm:2928: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[681];
tp(6,av2);}}

/* k17921 in k17918 in chicken.base#subvector in k8492 */
static void C_ccall f_17923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17923,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17926,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2929: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k17924 in k17921 in k17918 in chicken.base#subvector in k8492 */
static void C_ccall f_17926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17926,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17931,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li504),tmp=(C_word)a,a+=7,tmp);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17931(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3579 in k17924 in k17921 in k17918 in chicken.base#subvector in k8492 */
static C_word C_fcall f_17931(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t5=C_fixnum_plus(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}

/* chicken.base#vector-resize in k8492 */
static void C_ccall f_17972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_17972,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_check_vector_2(t2,lf[682]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17982,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2937: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=lf[682];
tp(4,av2);}}

/* k17980 in chicken.base#vector-resize in k8492 */
static void C_ccall f_17982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17982,2,av);}
/* library.scm:2938: ##sys#vector-resize */
f_17993(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8492 */
static void C_fcall f_17993(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17993,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17997,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2941: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[675]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[675]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k17995 in vector-resize in k8492 */
static void C_ccall f_17997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17997,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18000,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(((C_word*)t0)[2]);
/* library.scm:2942: scheme#min */
t5=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17998 in k17995 in vector-resize in k8492 */
static void C_ccall f_18000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18000,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18005,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li507),tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_18005(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3607 in k17998 in k17995 in vector-resize in k8492 */
static C_word C_fcall f_18005(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* scheme#char-ci=? in k8492 */
static void C_ccall f_18032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18032,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_eqp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>? in k8492 */
static void C_ccall f_18046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18046,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greaterp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<? in k8492 */
static void C_ccall f_18057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18057,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_lessp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>=? in k8492 */
static void C_ccall f_18068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18068,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greater_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<=? in k8492 */
static void C_ccall f_18079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18079,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_less_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k18090 in k8492 */
static void C_ccall f_18092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_18092,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18094,a[2]=t2,a[3]=((C_word)li515),tmp=(C_word)a,a+=4,tmp);
t6=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18135,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=((C_word)li516),tmp=(C_word)a,a+=6,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18252,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3011: chicken.base#char-name */
t8=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1384];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* lookup-char in k18090 in k8492 */
static void C_fcall f_18094(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_18094,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18107,a[2]=t2,a[3]=((C_word)li514),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_18107(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k18090 in k8492 */
static C_word C_fcall f_18107(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k18090 in k8492 */
static void C_ccall f_18135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_18135,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18139,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_18139(t6,C_u_i_car(t5));}
else{
t5=t4;
f_18139(t5,C_SCHEME_FALSE);}}

/* k18137 in chicken.base#char-name in k18090 in k8492 */
static void C_fcall f_18139(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_18139,2,t0,t1);}
a=C_alloc(8);
t2=t1;
if(C_truep(C_charp(((C_word*)t0)[2]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18148,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2985: lookup-char */
t4=((C_word*)t0)[4];
f_18094(t4,t3,((C_word*)t0)[2]);}
else{
if(C_truep(t2)){
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[684]);
t4=C_i_check_char_2(t2,lf[684]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18166,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t6=C_slot(((C_word*)t0)[2],C_fix(1));
t7=C_block_size(t6);
if(C_truep(C_fixnum_lessp(t7,C_fix(2)))){
/* library.scm:2991: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[684];
av2[4]=lf[685];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_18166(2,av2);}}}
else{
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[684]);
t4=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[5])[1]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t4,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k18146 in k18137 in chicken.base#char-name in k18090 in k8492 */
static void C_ccall f_18148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18148,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18164 in k18137 in chicken.base#char-name in k18090 in k8492 */
static void C_ccall f_18166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18166,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18169,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2992: lookup-char */
t3=((C_word*)t0)[7];
f_18094(t3,t2,((C_word*)t0)[5]);}

/* k18167 in k18164 in k18137 in chicken.base#char-name in k18090 in k8492 */
static void C_ccall f_18169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18169,2,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18250 in k18090 in k8492 */
static void C_ccall f_18252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18252,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18255,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3012: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1383];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18255,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18258,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3013: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1382];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18258,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18261,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3014: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1381];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18261,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18264,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3015: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1380];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18264,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18267,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3016: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1379];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18267,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18270,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3017: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1378];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18270,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18273,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3018: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1377];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18273,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18276,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3019: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1376];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18276,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18279,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3020: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1375];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18279,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18282,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3021: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1374];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18282,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18285,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3022: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1373];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18285,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18288,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3023: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1372];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18288,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18291,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3024: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1371];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,c,6)))){
C_save_and_reclaim((void *)f_18291,2,av);}
a=C_alloc(102);
t2=C_mutate((C_word*)lf[686]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li517),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li518),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[689]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18296,a[2]=((C_word)li520),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[691]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18334,a[2]=((C_word)li522),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18376,a[2]=t10,a[3]=t8,a[4]=((C_word)li523),tmp=(C_word)a,a+=5,tmp);
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18420,a[2]=((C_word)li525),tmp=(C_word)a,a+=3,tmp);
t13=C_set_block_item(t8,0,t11);
t14=C_set_block_item(t10,0,t12);
t15=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18474,a[2]=t8,a[3]=t10,a[4]=((C_word)li530),tmp=(C_word)a,a+=5,tmp));
t16=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18560,a[2]=t8,a[3]=t10,a[4]=((C_word)li535),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(lf[694] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t18=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18667,a[2]=((C_word)li537),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[695]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t20=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18698,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t22=C_mutate(&lf[696] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18738,a[2]=((C_word)li541),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18796,a[2]=((C_word)li542),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18802,a[2]=((C_word)li543),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18807,a[2]=((C_word)li544),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18812,a[2]=((C_word)li545),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[701]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18825,a[2]=((C_word)li546),tmp=(C_word)a,a+=3,tmp));
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31786,a[2]=((C_word)li548),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31826,a[2]=((C_word)li550),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31866,a[2]=((C_word)li551),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31869,a[2]=((C_word)li552),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31872,a[2]=((C_word)li553),tmp=(C_word)a,a+=3,tmp);
t33=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31878,a[2]=((C_word)li554),tmp=(C_word)a,a+=3,tmp);
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31881,a[2]=((C_word)li555),tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31884,a[2]=((C_word)li558),tmp=(C_word)a,a+=3,tmp);
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31983,a[2]=((C_word)li561),tmp=(C_word)a,a+=3,tmp);
t37=C_a_i_vector(&a,10,t28,t29,t30,t31,t32,t33,t34,t35,t36,C_SCHEME_FALSE);
t38=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#stream-port-class ...) */,t37);
t39=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li562),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18856,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3308: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t40;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[715]);
av2[4]=lf[1370];
av2[5]=lf[734];
tp(6,av2);}}

/* ##sys#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18296,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18302,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li519),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18302(t7,t1,t3);}

/* loop in for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18302(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18302,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18318,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3037: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3039: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[690];
tp(4,av2);}}}}

/* k18316 in loop in for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18318,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:3038: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18302(t3,((C_word*)t0)[4],t2);}

/* ##sys#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18334,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18340,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li521),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18340(t7,t1,t3);}

/* loop in map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18340(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18340,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18360,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3045: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3046: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[692];
tp(4,av2);}}}}

/* k18358 in loop in map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18360,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18364,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3045: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_18340(t5,t3,t4);}

/* k18362 in k18358 in loop in map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18364,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3683 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18376,6,av);}
a=C_alloc(7);
t6=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t6)){
t7=t3;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(0));
t8=C_eqp(t7,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
/* library.scm:3054: check */
t9=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
av2[4]=t5;
((C_proc)C_fast_retrieve_proc(t9))(5,av2);}}
else{
if(C_truep(C_i_pairp(t7))){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18408,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3056: p */
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t7;
((C_proc)C_fast_retrieve_proc(t10))(3,av2);}}
else{
/* library.scm:3057: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=t5;
tp(4,av2);}}}}}

/* k18406 in mapsafe3683 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_18408,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18412,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3056: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=t4;
av2[4]=C_SCHEME_FALSE;
av2[5]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* k18410 in k18406 in mapsafe3683 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18412,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check3684 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_18420,5,av);}
a=C_alloc(8);
t5=C_i_not(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18430,a[2]=t1,a[3]=t4,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_18430(t7,t5);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18438,a[2]=((C_word)li524),tmp=(C_word)a,a+=3,tmp);
t8=t6;
f_18430(t8,(
  f_18438(t2)
));}}

/* k18428 in check3684 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18430(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_18430,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:3065: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[693];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in check3684 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static C_word C_fcall f_18438(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t2))){
t3=C_slot(t1,C_fix(0));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t4))){
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,3)))){
C_save_and_reclaim((void*)f_18474,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
if(C_truep(C_i_nullp(t4))){
t5=t2;
t6=t3;
t7=C_i_check_list_2(t6,lf[690]);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18489,a[2]=t9,a[3]=t5,a[4]=((C_word)li526),tmp=(C_word)a,a+=5,tmp));
t11=((C_word*)t9)[1];
f_18489(t11,t1,t6);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18519,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li529),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18519(t9,t1,t5);}}

/* for-each-loop3714 in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18489(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18489,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18499,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3070: g3715 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18497 in for-each-loop3714 in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18499,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_18489(t3,((C_word*)t0)[4],t2);}

/* loop in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18519(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18519,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18532,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18549,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18551,a[2]=((C_word)li528),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3074: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[690];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
/* library.scm:3076: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[690];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}}

/* k18530 in loop in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_18532,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18539,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18541,a[2]=((C_word)li527),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3075: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[690];
((C_proc)C_fast_retrieve_proc(t4))(6,av2);}}

/* k18537 in k18530 in loop in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18539,2,av);}
/* library.scm:3075: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18519(t2,((C_word*)t0)[3],t1);}

/* a18540 in k18530 in loop in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18541,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18547 in loop in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18549,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18550 in loop in scheme#for-each in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18551,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18560,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
if(C_truep(C_i_nullp(t4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=t2;
t10=t3;
t11=C_i_check_list_2(t10,lf[692]);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18578,a[2]=t7,a[3]=t13,a[4]=t9,a[5]=t8,a[6]=((C_word)li531),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_18578(t15,t1,t10);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18619,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li534),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18619(t9,t1,t5);}}

/* map-loop3745 in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18578(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18578,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18603,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3081: g3751 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18601 in map-loop3745 in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18603,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_18578(t6,((C_word*)t0)[5],t5);}

/* loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18619(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18619,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18636,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18654,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18656,a[2]=((C_word)li533),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3085: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[692];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18663,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_i_cdr(t2);
/* library.scm:3087: check */
t6=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[692];
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* k18634 in loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_18636,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18640,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18644,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18646,a[2]=((C_word)li532),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3086: mapsafe */
t6=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[692];
((C_proc)C_fast_retrieve_proc(t6))(6,av2);}}

/* k18638 in k18634 in loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18640,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18642 in k18634 in loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18644,2,av);}
/* library.scm:3086: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18619(t2,((C_word*)t0)[3],t1);}

/* a18645 in k18634 in loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18646,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18652 in loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18654,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18655 in loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18656,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18661 in loop in scheme#map in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18663,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#dynamic-wind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18667,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18671,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3107: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18669 in scheme#dynamic-wind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18671,2,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[694]));
t4=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18680,a[2]=((C_word*)t0)[3],a[3]=((C_word)li536),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3109: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18679 in k18669 in scheme#dynamic-wind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18680,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[694]),C_fix(1));
t4=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18688,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3113: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18686 in a18679 in k18669 in scheme#dynamic-wind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18688,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18698,3,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[694]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18704,a[2]=t3,a[3]=t2,a[4]=((C_word)li539),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3121: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18703 in scheme#call-with-current-continuation in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18704,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18707,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li538),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3127: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18703 in scheme#call-with-current-continuation in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18707,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18711,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[694]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[694]));
t6=C_i_length(((C_word*)t0)[3]);
t7=C_fixnum_difference(t5,t6);
/* library.scm:3125: ##sys#dynamic-unwind */
f_18738(t3,((C_word*)t0)[3],t7);}}

/* k18709 in continuation in a18703 in scheme#call-with-current-continuation in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18711,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_18738(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18738,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[694]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18754,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t2,C_fix(1));
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3134: ##sys#dynamic-unwind */
t11=t5;
t12=t6;
t13=t7;
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[694]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[694]),C_fix(1));
t8=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18783,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3140: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18752 in dynamic-unwind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18754,2,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18760,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3132: g3810 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18758 in k18752 in dynamic-unwind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18760,2,av);}
t2=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18781 in dynamic-unwind in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18783,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:3141: ##sys#dynamic-unwind */
f_18738(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* chicken.base#port? in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18796,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.base#input-port-open? in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18802,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(1),lf[697]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18807,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(2),lf[698]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#port-closed? in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18812,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18816,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3163: ##sys#check-port */
t4=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[700];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18814 in chicken.base#port-closed? in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18816,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(8));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-port in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18825,6,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18856,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18860,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3309: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[715]);
av2[4]=lf[1369];
av2[5]=lf[734];
tp(6,av2);}}

/* k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18860,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18864,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3310: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[715]);
av2[4]=lf[1368];
av2[5]=lf[734];
tp(6,av2);}}

/* k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18864,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[719]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18867,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3312: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[716]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[716]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[717]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18867,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18870,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3313: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[716]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[716]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_18870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18870,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18873,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3314: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[716]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[716]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[719]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 in ... */
static void C_ccall f_18873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18873,2,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[720]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18875,a[2]=((C_word)li563),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[721]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18886,a[2]=((C_word)li564),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[699]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18897,a[2]=((C_word)li565),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[722]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18908,a[2]=((C_word)li566),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18919,a[2]=((C_word)li568),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18980,a[2]=((C_word)li570),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19041,a[2]=((C_word)li572),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[726]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19102,a[2]=((C_word)li573),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[728]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19116,a[2]=((C_word)li574),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[729]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19122,a[2]=((C_word)li575),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19128,a[2]=((C_word)li577),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19226,a[2]=((C_word)li578),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19263,a[2]=t13,a[3]=((C_word)li579),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19269,a[2]=t13,a[3]=((C_word)li580),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19275,a[2]=t15,a[3]=((C_word)li581),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19281,a[2]=t15,a[3]=((C_word)li582),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19287,a[2]=t22,a[3]=((C_word)li585),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19311,a[2]=t24,a[3]=((C_word)li588),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19335,a[2]=t26,a[3]=((C_word)li593),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19369,a[2]=t28,a[3]=((C_word)li598),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[747]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19403,a[2]=((C_word)li599),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[750]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19429,a[2]=((C_word)li600),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19442,a[2]=((C_word)li601),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19460,a[2]=((C_word)li602),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[753]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19469,a[2]=((C_word)li605),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[754]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19544,a[2]=((C_word)li607),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[755]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19583,a[2]=((C_word)li608),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[756]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19592,a[2]=((C_word)li609),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[757]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19605,a[2]=((C_word)li610),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[758]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19611,a[2]=((C_word)li611),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19620,a[2]=((C_word)li612),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[761]);
t42=C_mutate(&lf[762] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19649,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31662,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31702,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31718,a[2]=((C_word)li1002),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3543: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_18875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18875,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(1),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-output-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_18886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18886,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(2),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(2),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_18897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18897,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-open-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_18908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18908,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#current-input-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_18919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18919,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18932,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3341: ##sys#check-port */
t6=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[723];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18930 in scheme#current-input-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_18932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18932,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18934,a[2]=((C_word*)t0)[3],a[3]=((C_word)li567),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18940,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18945,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3342: def-convert?3932 */
  f_18945(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3342: def-set?3933 */
  f_18940(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3342: body3930 */
  f_18934(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3930 in k18930 in scheme#current-input-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_18934(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3933 in k18930 in scheme#current-input-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_18940(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3342: body3930 */
  f_18934(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3932 in k18930 in scheme#current-input-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_18945(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3342: def-set?3933 */
  f_18940(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_18980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18980,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[718]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18993,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3351: ##sys#check-port */
t6=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[724];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18991 in scheme#current-output-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_18993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18993,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18995,a[2]=((C_word*)t0)[3],a[3]=((C_word)li569),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19001,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19006,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3352: def-convert?3957 */
  f_19006(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3352: def-set?3958 */
  f_19001(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3352: body3955 */
  f_18995(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3955 in k18991 in scheme#current-output-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_18995(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3958 in k18991 in scheme#current-output-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_19001(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3352: body3955 */
  f_18995(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3957 in k18991 in scheme#current-output-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_19006(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3352: def-set?3958 */
  f_19001(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19041,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[719]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19054,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3361: ##sys#check-port */
t6=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[725];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19052 in chicken.base#current-error-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19054,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19056,a[2]=((C_word*)t0)[3],a[3]=((C_word)li571),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19062,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19067,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3362: def-convert?3982 */
  f_19067(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3362: def-set?3983 */
  f_19062(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3362: body3980 */
  f_19056(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3980 in k19052 in chicken.base#current-error-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_19056(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[719]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3983 in k19052 in chicken.base#current-error-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_19062(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3362: body3980 */
  f_19056(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3982 in k19052 in chicken.base#current-error-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static C_word C_fcall f_19067(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3362: def-set?3983 */
  f_19062(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19102,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19114,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3367: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[727]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[727]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k19112 in tty-port? in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19114,2,av);}
t2=C_i_zerop(t1);
if(C_truep(C_i_not(t2))){
t3=C_tty_portp(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#port-data in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19116,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19122,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_fcall f_19128(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_19128,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[730]:lf[731]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[732];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19138,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19171,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li576),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19171(t16,t12,t4);}

/* k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19138,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19141,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3389: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[715]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[734];
tp(6,av2);}}
else{
/* library.scm:3389: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[715]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[734];
tp(6,av2);}}}

/* k19139 in k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19141,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19144,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19147,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19165,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3390: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t5;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19142 in k19139 in k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19144,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19145 in k19139 in k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19147,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19150,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3391: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word *av2=av;
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19148 in k19145 in k19139 in k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in ... */
static void C_ccall f_19150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19150,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19157,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19161,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19155 in k19148 in k19145 in k19139 in k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in ... */
static void C_ccall f_19157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19157,2,av);}
/* library.scm:3392: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[703];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19159 in k19148 in k19145 in k19139 in k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in ... */
static void C_ccall f_19161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19161,2,av);}
/* library.scm:3392: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[733];
av2[3]=t1;
tp(4,av2);}}

/* k19163 in k19139 in k19136 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19165,2,av);}
/* library.scm:3390: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[716]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[716]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop4017 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_fcall f_19171(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19171,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19184,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[735]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[736]);
t7=C_slot(t2,C_fix(1));
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}
else{
t6=C_eqp(t3,lf[737]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[738]);
t8=C_slot(t2,C_fix(1));
t11=t1;
t12=t8;
t1=t11;
t2=t12;
goto loop;}
else{
t7=C_eqp(t3,lf[739]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3386: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[740];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[741]);
t9=C_slot(t2,C_fix(1));
t11=t1;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}
else{
/* library.scm:3388: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[742];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19182 in doloop4017 in open in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19184,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_19171(t3,((C_word*)t0)[4],t2);}

/* close in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_fcall f_19226(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19226,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19230,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3396: ##sys#check-port */
t6=*((C_word*)lf[699]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19228 in close in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19230,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
t8=C_slot(t7,C_fix(4));
/* library.scm:3399: g4038 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19263,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3403: open */
f_19128(t1,t2,C_SCHEME_TRUE,t3,lf[743]);}

/* scheme#open-output-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19269,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3404: open */
f_19128(t1,t2,C_SCHEME_FALSE,t3,lf[744]);}

/* scheme#close-input-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19275,3,av);}
/* library.scm:3405: close */
f_19226(t1,t2,C_SCHEME_TRUE,lf[745]);}

/* scheme#close-output-port in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19281,3,av);}
/* library.scm:3406: close */
f_19226(t1,t2,C_SCHEME_FALSE,lf[746]);}

/* scheme#call-with-input-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19287,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19291,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19289 in scheme#call-with-input-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19291,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19296,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li583),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19302,a[2]=t2,a[3]=((C_word)li584),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3413: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19295 in k19289 in scheme#call-with-input-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19296,2,av);}
/* library.scm:3414: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19301 in k19289 in scheme#call-with-input-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19302,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19306,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3416: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19304 in a19301 in k19289 in scheme#call-with-input-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19306,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19311,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19315,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19313 in scheme#call-with-output-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19315,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19320,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li586),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19326,a[2]=t2,a[3]=((C_word)li587),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3424: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19319 in k19313 in scheme#call-with-output-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19320,2,av);}
/* library.scm:3425: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19325 in k19313 in scheme#call-with-output-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19326,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19330,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3427: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19328 in a19325 in k19313 in scheme#call-with-output-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19330,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19335,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19339,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19337 in scheme#with-input-from-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19339,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19344,a[2]=t6,a[3]=t4,a[4]=((C_word)li589),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19349,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li591),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19364,a[2]=t4,a[3]=t6,a[4]=((C_word)li592),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3435: ##sys#dynamic-wind */
t10=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19343 in k19337 in scheme#with-input-from-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19344,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19348 in k19337 in scheme#with-input-from-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19349,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19355,a[2]=((C_word*)t0)[2],a[3]=((C_word)li590),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3436: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19354 in a19348 in k19337 in scheme#with-input-from-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19355,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19359,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3438: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19357 in a19354 in a19348 in k19337 in scheme#with-input-from-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in ... */
static void C_ccall f_19359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19359,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19363 in k19337 in scheme#with-input-from-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19364,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19369,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19373,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19371 in scheme#with-output-to-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19373,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19378,a[2]=t6,a[3]=t4,a[4]=((C_word)li594),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19383,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li596),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19398,a[2]=t4,a[3]=t6,a[4]=((C_word)li597),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3446: ##sys#dynamic-wind */
t10=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19377 in k19371 in scheme#with-output-to-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19378,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[718]+1));
t3=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19382 in k19371 in scheme#with-output-to-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19383,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19389,a[2]=((C_word*)t0)[2],a[3]=((C_word)li595),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3447: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19388 in a19382 in k19371 in scheme#with-output-to-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19389,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19393,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3449: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19391 in a19388 in a19382 in k19371 in scheme#with-output-to-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in ... */
static void C_ccall f_19393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19393,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19397 in k19371 in scheme#with-output-to-file in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19398,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[718]+1));
t3=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19403,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19408,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3453: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2=av;
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19406 in file-exists? in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19408,2,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3457: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[703];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[748];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19429,3,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19436,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3461: g4118 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19434 in flush-output in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19436,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19442,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[718]+1);
t4=C_i_check_port_2(*((C_word*)lf[718]+1),C_fix(2),C_SCHEME_TRUE,lf[751]);
/* library.scm:3468: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[751]);
/* library.scm:3468: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#port-line in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19460,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19469,5,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=t5;
t7=C_fixnum_difference(t6,C_fix(1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19482,a[2]=t6,a[3]=t2,a[4]=t4,a[5]=t9,a[6]=t3,a[7]=((C_word)li604),tmp=(C_word)a,a+=8,tmp));
t11=((C_word*)t9)[1];
f_19482(t11,t1,t7);}

/* loop in decorate-lambda in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_fcall f_19482(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19482,3,t0,t1,t2);}
a=C_alloc(7);
t3=t2;
if(C_truep(C_i_zerop(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19490,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3482: scheme#make-vector */
t6=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_slot(((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19532,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3491: pred */
t6=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19488 in loop in decorate-lambda in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19490,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19495,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word)li603),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_19495(t6,((C_word*)t0)[5],C_fix(1));}

/* doloop4147 in k19488 in loop in decorate-lambda in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_fcall f_19495(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19495,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3487: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t5=C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}

/* k19530 in loop in decorate-lambda in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19532,2,av);}
if(C_truep(t1)){
/* library.scm:3492: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3493: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_19482(t3,((C_word*)t0)[3],t2);}}

/* ##sys#lambda-decoration in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19544,4,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19554,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li606),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19554(t9,t1,t5);}

/* loop in lambda-decoration in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_fcall f_19554(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19554,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19570,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3499: pred */
t6=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19568 in loop in lambda-decoration in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19570,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* library.scm:3501: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_19554(t3,((C_word*)t0)[2],t2);}}

/* ##sys#make-lambda-info in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19583,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19590,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3508: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19588 in make-lambda-info in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19590,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19592,3,av);}
t3=C_immp(t2);
if(C_truep(C_i_not(t3))){
t4=C_lambdainfop(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#lambda-info in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19605,3,av);}
/* library.scm:3520: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[756]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19611,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19618,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3524: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19616 in lambda-info->string in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19618,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19620,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19624,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3530: ##sys#check-closure */
t4=*((C_word*)lf[366]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[760];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19622 in chicken.base#procedure-information in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19624,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19627,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3531: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19625 in k19622 in chicken.base#procedure-information in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19627,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19637,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19641,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3532: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19635 in k19625 in k19622 in chicken.base#procedure-information in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19637,2,av);}
/* library.scm:3532: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[759]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[759]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19639 in k19625 in k19622 in chicken.base#procedure-information in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19641,2,av);}
/* library.scm:3532: chicken.base#open-input-string */
t2=*((C_word*)lf[212]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_19649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19649,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[763]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[203]+1));
t4=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19652,a[2]=((C_word)li616),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19729,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3592: chicken.base#getter-with-setter */
t6=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_19652,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19659,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3571: ##sys#check-closure */
t9=*((C_word*)lf[366]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[764];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19659,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19662,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3572: ##sys#check-closure */
t3=*((C_word*)lf[366]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[764];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19660 in k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19662,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19665,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[764]);
/* library.scm:3575: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[755]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[755]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3576: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19663 in k19660 in k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in ... */
static void C_ccall f_19665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19665,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19668,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19684,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3578: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[333]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[333]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19666 in k19663 in k19660 in k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in ... */
static void C_ccall f_19668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19668,2,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19676,a[2]=((C_word*)t0)[2],a[3]=((C_word)li613),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3584: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[756]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=t1;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19675 in k19666 in k19663 in k19660 in k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in ... */
static void C_ccall f_19676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19676,4,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19682 in k19663 in k19660 in k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in ... */
static void C_ccall f_19684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19684,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19686,a[2]=((C_word)li614),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19702,a[2]=((C_word*)t0)[2],a[3]=((C_word)li615),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3577: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19685 in k19682 in k19663 in k19660 in k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in ... */
static void C_ccall f_19686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19686,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[762],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19701 in k19682 in k19663 in k19660 in k19657 in chicken.base#getter-with-setter in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in ... */
static void C_ccall f_19702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19702,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[762],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_19729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19729,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19733,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3593: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_19733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19733,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19737,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31652,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3594: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_19737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19737,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19741,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31642,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3595: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in ... */
static void C_ccall f_19741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19741,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19745,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31632,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3596: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in ... */
static void C_ccall f_19745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19745,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19749,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31622,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3597: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in ... */
static void C_ccall f_19749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19749,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19753,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31612,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3598: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in ... */
static void C_ccall f_19753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19753,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19757,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31602,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3599: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in ... */
static void C_ccall f_19757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19757,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19761,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31592,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3600: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in ... */
static void C_ccall f_19761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19761,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19765,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31582,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3601: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in ... */
static void C_ccall f_19765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19765,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19769,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31572,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3602: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in ... */
static void C_ccall f_19769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19769,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19773,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31562,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3603: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in ... */
static void C_ccall f_19773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19773,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19777,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31552,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3604: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in ... */
static void C_ccall f_19777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19777,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19781,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31542,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3605: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in ... */
static void C_ccall f_19781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19781,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19785,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3606: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in ... */
static void C_ccall f_19785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19785,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19789,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3607: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in ... */
static void C_ccall f_19789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19789,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19793,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31532,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3610: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in ... */
static void C_ccall f_19793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19793,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[765] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[766]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[767]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19800,a[2]=t8,a[3]=((C_word)li624),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19964,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19989,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[769]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20007,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[770]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20067,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[771]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20076,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20101,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20119,a[2]=((C_word)li631),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[773] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[774] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_set_block_item(lf[775] /* ##sys#enable-qualifiers */,0,C_SCHEME_TRUE);
t20=C_mutate((C_word*)lf[776]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20140,a[2]=((C_word)li632),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[777]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20143,a[2]=((C_word)li633),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[778]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20146,a[2]=((C_word)li634),tmp=(C_word)a,a+=3,tmp));
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20154,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3721: chicken.base#make-parameter */
t24=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t24;
av2[1]=t23;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t24+1)))(3,av2);}}

/* chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_19800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_19800,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19958,a[2]=((C_word)li617),tmp=(C_word)a,a+=3,tmp):C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19807,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3623: guard */
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in ... */
static void C_ccall f_19807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19807,2,av);}
a=C_alloc(14);
t2=t1;
t3=((C_word*)((C_word*)t0)[2])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19808,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word)li618),tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t6=C_set_block_item(((C_word*)t0)[2],0,t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19842,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(C_retrieve2(lf[765],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t8))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19946,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t10=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3640: ##sys#vector-resize */
f_17993(t9,C_retrieve2(lf[765],C_text("##sys#default-parameter-vector")),t10,C_SCHEME_UNDEFINED);}
else{
t9=t7;
f_19842(t9,C_SCHEME_UNDEFINED);}}

/* assign in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in ... */
static void C_fcall f_19808(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19808,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19812,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19831,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3628: ##sys#vector-resize */
f_17993(t7,C_fast_retrieve(lf[766]),t8,*((C_word*)lf[625]+1));}
else{
t7=t6;
f_19812(t7,C_SCHEME_UNDEFINED);}}

/* k19810 in assign in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in ... */
static void C_fcall f_19812(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19812,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3632: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19815(2,av2);}}}

/* k19813 in k19810 in assign in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in ... */
static void C_ccall f_19815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19815,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[766]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19829 in assign in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in ... */
static void C_ccall f_19831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19831,2,av);}
t2=C_mutate((C_word*)lf[766]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19812(t3,t2);}

/* k19840 in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in ... */
static void C_fcall f_19842(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19842,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[765],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19850,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li622),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19932,a[2]=((C_word*)t0)[4],a[3]=((C_word)li623),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3646: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19849 in k19840 in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in ... */
static void C_ccall f_19850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19850,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t3=C_block_size(C_fast_retrieve(lf[766]));
t4=t3;
if(C_truep(C_i_pairp(t2))){
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19862,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li619),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19871,a[2]=t7,a[3]=((C_word)li620),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19876,a[2]=t8,a[3]=((C_word)li621),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
/* library.scm:3650: def-convert?4300 */
t10=t9;
f_19876(t10,t1);}
else{
t10=C_i_car(t6);
t11=C_u_i_cdr(t6);
if(C_truep(C_i_nullp(t11))){
/* library.scm:3650: def-set?4301 */
t12=t8;
f_19871(t12,t1,t10);}
else{
t12=C_i_car(t11);
t13=C_u_i_cdr(t11);
/* library.scm:3650: body4298 */
t14=t7;
f_19862(t14,t1,t10,t12);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_slot(C_retrieve2(lf[765],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(C_fast_retrieve(lf[766]),((C_word*)t0)[3]);
t6=C_eqp(t5,*((C_word*)lf[625]+1));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_slot(C_retrieve2(lf[765],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* body4298 in a19849 in k19840 in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in ... */
static void C_fcall f_19862(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19862,4,t0,t1,t2,t3);}
t4=C_i_car(((C_word*)t0)[2]);
/* library.scm:3652: assign */
t5=((C_word*)t0)[3];
f_19808(t5,t1,t4,((C_word*)t0)[4],t2,t3);}

/* def-set?4301 in a19849 in k19840 in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in ... */
static void C_fcall f_19871(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19871,3,t0,t1,t2);}
/* library.scm:3650: body4298 */
t3=((C_word*)t0)[2];
f_19862(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4300 in a19849 in k19840 in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in ... */
static void C_fcall f_19876(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19876,2,t0,t1);}
/* library.scm:3650: def-set?4301 */
t2=((C_word*)t0)[2];
f_19871(t2,t1,C_SCHEME_TRUE);}

/* a19931 in k19840 in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in ... */
static void C_ccall f_19932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19932,3,av);}
t3=C_block_size(C_fast_retrieve(lf[766]));
/* library.scm:3662: assign */
t4=((C_word*)t0)[2];
f_19808(t4,t1,t2,t3,C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k19944 in k19805 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in ... */
static void C_ccall f_19946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19946,2,av);}
t2=C_mutate(&lf[765] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19842(t3,t2);}

/* f_19958 in chicken.base#make-parameter in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in ... */
static void C_ccall f_19958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19958,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_19964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19964,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[717]+1):C_i_car(t2));
t5=C_i_check_port_2(t4,C_fix(1),C_SCHEME_TRUE,lf[768]);
t6=C_slot(t4,C_fix(2));
t7=C_slot(t6,C_fix(6));
/* library.scm:3668: g4333 */
t8=t7;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* scheme#read-char in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_19989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19989,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(1),C_SCHEME_TRUE,lf[704]);
/* library.scm:3675: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[704]);
/* library.scm:3675: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20007,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20011,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_20011(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
t5=C_slot(t4,C_fix(0));
/* library.scm:3678: g4351 */
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20009 in read-char-0 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in ... */
static void C_ccall f_20011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20011,2,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=C_eofp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t5);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20067,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[704]);
/* library.scm:3692: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2=av;
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20076,3,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20089,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3697: g4365 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20087 in peek-char-0 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in ... */
static void C_ccall f_20089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20089,2,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20101,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(1),C_SCHEME_TRUE,lf[708]);
/* library.scm:3705: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[708]);
/* library.scm:3705: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* scheme#read in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_20119,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(1),C_SCHEME_TRUE,lf[772]);
/* library.scm:3710: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[759]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[759]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[717]+1);
av2[3]=C_fast_retrieve(lf[773]);
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[772]);
/* library.scm:3710: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[759]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[759]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fast_retrieve(lf[773]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20140,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20143,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20146,4,av);}
/* library.scm:3719: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[780];
av2[4]=t3;
tp(5,av2);}}

/* k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in ... */
static void C_ccall f_20154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20154,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20158,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3722: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[816];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in ... */
static void C_ccall f_20158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20158,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[231]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20162,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3723: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in ... */
static void C_ccall f_20162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20162,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20166,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3724: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in ... */
static void C_ccall f_20166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20166,2,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20170,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1365],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3726: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in ... */
static void C_ccall f_20170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(59,c,4)))){
C_save_and_reclaim((void *)f_20170,2,av);}
a=C_alloc(59);
t2=C_mutate((C_word*)lf[781]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[782]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20172,a[2]=((C_word)li635),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[779]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20195,a[2]=((C_word)li636),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[231]+1);
t6=*((C_word*)lf[230]+1);
t7=*((C_word*)lf[232]+1);
t8=*((C_word*)lf[233]+1);
t9=C_fast_retrieve(lf[781]);
t10=C_a_i_string(&a,1,C_make_character(0));
t11=t10;
t12=C_mutate((C_word*)lf[759]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20221,a[2]=t11,a[3]=t9,a[4]=t8,a[5]=t7,a[6]=t5,a[7]=t6,a[8]=((C_word)li693),tmp=(C_word)a,a+=9,tmp));
t13=C_mutate((C_word*)lf[794]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23147,a[2]=((C_word)li694),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[801]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23312,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[798]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23324,a[2]=((C_word)li696),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[849]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23386,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[861]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23534,a[2]=((C_word)li700),tmp=(C_word)a,a+=3,tmp));
t18=C_set_block_item(lf[859] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t19=C_mutate((C_word*)lf[868]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23579,a[2]=((C_word)li701),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[869]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23595,a[2]=((C_word)li702),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23607,a[2]=((C_word)li703),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23628,a[2]=((C_word)li704),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23643,a[2]=((C_word)li705),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23661,a[2]=((C_word)li706),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23679,a[2]=((C_word)li708),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23730,a[2]=((C_word)li710),tmp=(C_word)a,a+=3,tmp));
t27=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23783,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4472: chicken.base#make-parameter */
t28=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t28;
av2[1]=t27;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t28+1)))(3,av2);}}

/* ##sys#read-warning in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_20172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20172,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20180,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3733: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2=av;
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20178 in read-warning in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_20180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20180,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20183,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[774]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20193,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3735: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t4;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20181 in k20178 in read-warning in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_20183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20183,2,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20191 in k20178 in read-warning in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_20193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20193,2,av);}
/* library.scm:3735: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[783];
av2[3]=t1;
av2[4]=lf[784];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_20195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20195,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20203,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3745: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2=av;
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20201 in read-error in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_20203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20203,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20206,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[774]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20216,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3747: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[785];
av2[4]=t4;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20204 in k20201 in read-error in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_20206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20206,2,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[785];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20214 in k20201 in read-error in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_20216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20216,2,av);}
/* library.scm:3747: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[786];
av2[3]=t1;
av2[4]=lf[787];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_20221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20221,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20225,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3760: case-sensitive */
t5=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_20225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20225,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20228,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3761: keyword-style */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_20228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20228,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20231,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3762: parentheses-synonyms */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_20231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20231,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20234,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3763: symbol-escape */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_20234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20234,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20237,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3764: current-read-table */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_20237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(53,c,5)))){
C_save_and_reclaim((void *)f_20237,2,av);}
a=C_alloc(53);
t2=t1;
t3=lf[788];
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20239,a[2]=((C_word*)t0)[2],a[3]=((C_word)li637),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20245,a[2]=((C_word*)t0)[3],a[3]=((C_word)li638),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20254,a[2]=((C_word*)t0)[2],a[3]=((C_word)li640),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20291,a[2]=((C_word*)t0)[2],a[3]=((C_word)li641),tmp=(C_word)a,a+=4,tmp));
t22=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20300,a[2]=t5,a[3]=t13,a[4]=((C_word)li642),tmp=(C_word)a,a+=5,tmp));
t23=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_20315,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=t7,a[5]=t9,a[6]=t17,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t15,a[10]=t3,a[11]=t5,a[12]=t13,a[13]=((C_word*)t0)[6],a[14]=t2,a[15]=((C_word*)t0)[7],a[16]=((C_word*)t0)[8],a[17]=((C_word)li692),tmp=(C_word)a,a+=18,tmp));
/* library.scm:4339: readrec */
t24=((C_word*)t17)[1];
f_20315(t24,((C_word*)t0)[9]);}

/* f_20239 in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_20239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20239,3,av);}
/* library.scm:3770: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[789];
av2[4]=t2;
tp(5,av2);}}

/* info in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_20245(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20245,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3774: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* skip-to-eol in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_20254(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20254,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20262,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3778: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20260 in skip-to-eol in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_20262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20262,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20264,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li639),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20264(t5,((C_word*)t0)[3],t1);}

/* skip in k20260 in skip-to-eol in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_20264(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20264,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20271,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_eofp(t2);
if(C_truep(C_i_not(t4))){
t5=C_eqp(C_make_character(10),t2);
t6=t3;
f_20271(t6,C_i_not(t5));}
else{
t5=t3;
f_20271(t5,C_SCHEME_FALSE);}}

/* k20269 in skip in k20260 in skip-to-eol in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_20271(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20271,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20278,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3780: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20276 in k20269 in skip in k20260 in skip-to-eol in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_20278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20278,2,av);}
/* library.scm:3780: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20264(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_20291(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20291,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20295,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3783: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20293 in reserved-character in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_20295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20295,2,av);}
/* library.scm:3784: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[790];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_20300(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20300,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20304,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3787: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20302 in read-unreserved-char-0 in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_20304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20304,2,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3789: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20291(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_20315(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(159,0,5)))){
C_save_and_reclaim_args((void *)trf_20315,2,t0,t1);}
a=C_alloc(159);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20318,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li644),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20366,a[2]=((C_word*)t0)[2],a[3]=((C_word)li646),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20426,a[2]=((C_word)li648),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20463,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li651),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_21029,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t35,a[9]=t27,a[10]=((C_word)li657),tmp=(C_word)a,a+=11,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21291,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li658),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21309,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li660),tmp=(C_word)a,a+=7,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21379,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li661),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21430,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li662),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21497,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li664),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21561,a[2]=((C_word*)t0)[2],a[3]=((C_word)li666),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21607,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li668),tmp=(C_word)a,a+=7,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21632,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li670),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21846,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li671),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22055,a[2]=((C_word*)t0)[2],a[3]=((C_word)li673),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22142,a[2]=((C_word*)t0)[2],a[3]=t21,a[4]=((C_word)li675),tmp=(C_word)a,a+=5,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22234,a[2]=((C_word*)t0)[13],a[3]=((C_word)li676),tmp=(C_word)a,a+=4,tmp));
t53=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22246,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[14],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t23,a[8]=t17,a[9]=t19,a[10]=((C_word*)t0)[8],a[11]=t13,a[12]=t29,a[13]=t31,a[14]=t33,a[15]=((C_word*)t0)[7],a[16]=t35,a[17]=t27,a[18]=((C_word*)t0)[3],a[19]=t21,a[20]=t11,a[21]=((C_word*)t0)[4],a[22]=t9,a[23]=t15,a[24]=((C_word*)t0)[12],a[25]=t25,a[26]=t3,tmp=(C_word)a,a+=27,tmp);
t54=C_i_not(((C_word*)t0)[15]);
t55=(C_truep(t54)?lf[862]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[16]))){
/* library.scm:4184: scheme#append */
t56=*((C_word*)lf[374]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[863];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4184: scheme#append */
t56=*((C_word*)lf[374]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_20318(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20318,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20326,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3795: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20324 in r-spaces in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_20326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20326,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20328,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li643),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20328(t5,((C_word*)t0)[4],t1);}

/* loop in k20324 in r-spaces in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_20328(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20328,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20341,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3798: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20254(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20357,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3801: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20339 in loop in k20324 in r-spaces in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_20341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20341,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20348,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3799: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20346 in k20339 in loop in k20324 in r-spaces in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20348,2,av);}
/* library.scm:3799: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20328(t2,((C_word*)t0)[3],t1);}

/* k20355 in loop in k20324 in r-spaces in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_20357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20357,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20364,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3802: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20362 in k20355 in loop in k20324 in r-spaces in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20364,2,av);}
/* library.scm:3802: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20328(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_20366(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20366,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20372,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li645),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20372(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_20372(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20372,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20382,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3807: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20398,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3814: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20380 in loop in r-usequence in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_20382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20382,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20385,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3808: scheme#string->number */
t4=*((C_word*)lf[618]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k20383 in k20380 in loop in r-usequence in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_20385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20385,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20395,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3812: string-append */
t3=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[791];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[792];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20393 in k20383 in k20380 in loop in r-usequence in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20395,2,av);}
/* library.scm:3810: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20396 in loop in r-usequence in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_20398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20398,2,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3816: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[793];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
t5=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3817: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_20372(t6,((C_word*)t0)[2],t4,t5);}}

/* r-cons-codepoint in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_20426(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20426,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20430,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_make_character(C_unfix(t2));
/* library.scm:3820: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[794]);
C_word av2[3];
av2[0]=*((C_word*)lf[794]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k20428 in r-cons-codepoint in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_20430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20430,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20438,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li647),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_20438(t8,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20428 in r-cons-codepoint in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_20438(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20438,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3825: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_20463(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20463,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20471,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3828: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_20471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20471,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20473,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li650),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20473(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_20473(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20473,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3830: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[4];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[795];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20490,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3832: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3903: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21023,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3904: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_20490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20490,2,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20503,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3834: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20520,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3835: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20537,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3836: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20554,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3837: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20571,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3838: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20592,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3839: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20613,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3840: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20645,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3842: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20366(t5,t4,lf[796],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20654,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3845: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20366(t5,t4,lf[802],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20728,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3858: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20366(t5,t4,lf[804],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20757,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20757(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20757(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20757(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20501 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20503,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3834: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20473(t3,((C_word*)t0)[4],t1,t2);}

/* k20518 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20520,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3835: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20473(t3,((C_word*)t0)[4],t1,t2);}

/* k20535 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20537,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3836: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20473(t3,((C_word*)t0)[4],t1,t2);}

/* k20552 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20554,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3837: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20473(t3,((C_word*)t0)[4],t1,t2);}

/* k20569 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20571,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3838: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20473(t3,((C_word*)t0)[4],t1,t2);}

/* k20590 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20592,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3839: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20473(t3,((C_word*)t0)[4],t1,t2);}

/* k20611 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20613,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3840: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20473(t3,((C_word*)t0)[4],t1,t2);}

/* k20635 in k20643 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_20637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20637,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3843: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20473(t3,((C_word*)t0)[5],t1,t2);}

/* k20643 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20645,2,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20637,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3843: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20654,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20660,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3846: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[801]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[801]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_20660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20660,2,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20666,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20708,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3847: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20715,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3856: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20664 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_fcall f_20666(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20666,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20669,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3849: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20366(t3,t2,lf[799],C_fix(4),C_fix(16));}
else{
/* library.scm:3855: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[5];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[800];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20667 in k20664 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20669,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20672,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3850: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[798]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[798]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
tp(4,av2);}}

/* k20670 in k20667 in k20664 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_20672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20672,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20682,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3852: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3854: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[797];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20680 in k20670 in k20667 in k20664 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_20682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20682,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20686,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3853: r-cons-codepoint */
f_20426(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20684 in k20680 in k20670 in k20667 in k20664 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_20686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20686,2,av);}
/* library.scm:3852: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20473(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20701 in k20706 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20703,2,av);}
t2=((C_word*)t0)[2];
f_20666(t2,C_eqp(C_make_character(117),t1));}

/* k20706 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_20708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20708,2,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20703,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3848: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20666(t3,C_SCHEME_FALSE);}}

/* k20713 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_20715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20715,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20719,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3856: r-cons-codepoint */
f_20426(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20717 in k20713 in k20658 in k20652 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20719,2,av);}
/* library.scm:3856: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20473(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20726 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_20728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20728,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20734,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3859: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[801]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[801]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20732 in k20726 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_20734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20734,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3860: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[803];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20744,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3861: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20742 in k20732 in k20726 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_20744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20744,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20748,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3861: r-cons-codepoint */
f_20426(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20746 in k20742 in k20732 in k20726 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20748,2,av);}
/* library.scm:3861: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20473(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_20757(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20757,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20764,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3863: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20777,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20777(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20777(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20777(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20762 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_20764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20764,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3863: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20473(t3,((C_word*)t0)[5],t1,t2);}

/* k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_fcall f_20777(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20777,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20782,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li649),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20782(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3889: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[4];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[806];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20881,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20881(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20881(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_fcall f_20782(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20782,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=t2;
t5=C_eqp(t4,C_make_character(32));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(9)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20799,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3869: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t4){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3872: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20473(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20814,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3873: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3879: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20473(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20849,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3880: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20852,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3886: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_20473(t8,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3883: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word av2[4];
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[805];
tp(4,av2);}}}}}

/* k20797 in eat-ws in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20799,2,av);}
/* library.scm:3869: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20782(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20812 in eat-ws in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20814,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20827,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3875: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3876: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20782(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20825 in k20812 in eat-ws in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_20827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20827,2,av);}
/* library.scm:3875: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20782(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20847 in eat-ws in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20849,2,av);}
/* library.scm:3880: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20782(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20850 in eat-ws in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20852,2,av);}
/* library.scm:3886: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20473(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20879 in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_fcall f_20881(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20881,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20907,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3895: r-usequence */
t7=((C_word*)((C_word*)t0)[7])[1];
f_20366(t7,t6,lf[807],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20918,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3898: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word av2[5];
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[808];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20889 in k20905 in k20879 in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_20891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20891,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3896: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20473(t3,((C_word*)t0)[5],t1,t2);}

/* k20905 in k20879 in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20907,2,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20891,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3896: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20916 in k20879 in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_20918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20918,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20925,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3902: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20923 in k20916 in k20879 in k20775 in k20755 in k20488 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_20925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20925,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3902: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20473(t3,((C_word*)t0)[5],t1,t2);}

/* k21021 in loop in k20469 in r-string in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21023,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3904: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20473(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21029(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_21029,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21289,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3907: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_21038(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21038,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[774]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21052,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3915: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k21050 in starting-line in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21052,2,av);}
/* library.scm:3913: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[809];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k21053 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21055,2,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21066,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3982: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k21064 in k21053 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21066,2,av);}
/* library.scm:3982: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20245(t2,((C_word*)t0)[3],lf[810],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,3)))){
C_save_and_reclaim((void *)f_21068,3,av);}
a=C_alloc(23);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21071,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li653),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21093,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word)li655),tmp=(C_word)a,a+=14,tmp));
t7=((C_word*)t5)[1];
f_21093(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_21071 in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21071,3,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3922: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21088,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3925: starting-line */
t5=((C_word*)t0)[5];
f_21038(t5,t4,lf[811]);}}

/* k21086 */
static void C_ccall f_21088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_21088,2,av);}
/* library.scm:3923: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_21093(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21093,3,t0,t1,t2);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21097,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],a[14]=((C_word*)t0)[12],tmp=(C_word)a,a+=15,tmp);
/* library.scm:3928: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20318(t4,t3);}

/* k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_21097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,2)))){
C_save_and_reclaim((void *)f_21097,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21100,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_21100(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21282,a[2]=((C_word*)t0)[14],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3929: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_fcall f_21100(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_21100,2,t0,t1);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21103,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3930: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_21103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21103,2,av);}
a=C_alloc(14);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21113,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3934: starting-line */
t3=((C_word*)t0)[4];
f_21038(t3,t2,lf[812]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3936: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21131,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3938: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21278,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3975: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20315(t5,t4);}}}}

/* k21111 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_21113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21113,2,av);}
/* library.scm:3932: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_21131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21131,2,av);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21134,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3939: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_21134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21134,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_u_i_char_whitespacep(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21143,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=t2,a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21143(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(40));
if(C_truep(t5)){
t6=t4;
f_21143(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(41));
if(C_truep(t6)){
t7=t4;
f_21143(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(34));
t8=t4;
f_21143(t8,(C_truep(t7)?t7:C_eqp(t2,C_make_character(59))));}}}}

/* k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_fcall f_21143(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_21143,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21146,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_21146(2,av2);}}
else{
/* library.scm:3946: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[4];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[814];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21187,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word*)t0)[13],a[8]=((C_word)li654),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3956: r-xtoken */
t3=((C_word*)((C_word*)t0)[14])[1];
f_21632(t3,((C_word*)t0)[4],t2);}}

/* k21144 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_21146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_21146,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21149,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3947: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20318(t3,t2);}

/* k21147 in k21144 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in ... */
static void C_ccall f_21149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_21149,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21176,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3948: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20315(t3,t2);}

/* k21153 in k21174 in k21147 in k21144 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in ... */
static void C_ccall f_21155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21155,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21172,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3950: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21166 in k21170 in k21153 in k21174 in k21147 in k21144 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in ... */
static void C_ccall f_21168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21168,2,av);}
/* library.scm:3951: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21170 in k21153 in k21174 in k21147 in k21144 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in ... */
static void C_ccall f_21172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21172,2,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21168,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3953: starting-line */
t4=((C_word*)t0)[5];
f_21038(t4,t3,lf[813]);}}

/* k21174 in k21147 in k21144 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in ... */
static void C_ccall f_21176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21176,2,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21155,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3949: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20318(t4,t3);}

/* a21186 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_21187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_21187,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21191,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=t3,a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3958: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t4;
av2[2]=lf[818];
av2[3]=t2;
tp(4,av2);}}

/* k21189 in a21186 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in ... */
static void C_ccall f_21191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21191,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21194,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=C_i_string_equal_p(t2,lf[815]);
t5=(C_truep(t4)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[816]):C_SCHEME_FALSE);
if(C_truep(t5)){
/* library.scm:3964: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22234(t6,t3,lf[817]);}
else{
if(C_truep(((C_word*)t0)[8])){
/* library.scm:3965: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22234(t6,t3,t2);}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21222,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[9]))){
/* library.scm:3967: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4176: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}}}

/* k21192 in k21189 in a21186 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in ... */
static void C_ccall f_21194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21194,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3973: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21093(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3973: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21093(t4,((C_word*)t0)[5],t2);}}

/* k21220 in k21189 in a21186 in k21141 in k21132 in k21129 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in ... */
static void C_ccall f_21222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21222,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21194(2,av2);}}
else{
/* library.scm:4176: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21276 in k21101 in k21098 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_21278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21278,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3979: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21093(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3979: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21093(t4,((C_word*)t0)[5],t2);}}

/* k21280 in k21095 in loop in a21067 in k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21282,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_21100(t3,t2);}

/* k21287 in r-list in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_21289,2,av);}
a=C_alloc(30);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21038,a[2]=t6,a[3]=((C_word)li652),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21055,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21068,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=t6,a[13]=((C_word)li656),tmp=(C_word)a,a+=14,tmp);
/* library.scm:3917: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3984: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[819];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21291(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21291,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21295,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3987: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21029(t3,t2,C_make_character(40),C_make_character(41));}

/* k21293 in r-vector in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21295,2,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3989: ##sys#list->vector */
t2=*((C_word*)lf[820]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3990: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[821];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21309(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_21309,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21315,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=((C_word)li659),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3993: r-xtoken */
t5=((C_word*)((C_word*)t0)[5])[1];
f_21632(t5,t1,t4);}

/* a21314 in r-number in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_21315,4,av);}
a=C_alloc(7);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21322,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3996: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22234(t5,t4,t2);}
else{
if(C_truep(C_i_string_equal_p(t2,lf[823]))){
/* library.scm:3999: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2=av;
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[824];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21344,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t5=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t6=t2;
t7=C_i_string_ref(t6,C_fix(0));
t8=t4;
f_21344(t8,C_u_i_char_equalp(t7,C_make_character(35)));}
else{
t6=t4;
f_21344(t6,C_SCHEME_FALSE);}}}}

/* k21320 in a21314 in r-number in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21322,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21329,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3997: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21327 in k21320 in a21314 in r-number in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21329,2,av);}
/* library.scm:3997: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20245(t2,((C_word*)t0)[3],lf[822],((C_word*)t0)[4],t1);}

/* k21342 in a21314 in r-number in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_21344(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21344,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:4001: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[5];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[825];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21350,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];
if(C_truep(t3)){
/* library.scm:4002: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}
else{
/* library.scm:4002: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}}}

/* k21348 in k21342 in a21314 in r-number in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21350,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:4003: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[826];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[5];
/* library.scm:4176: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21379(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21379,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21428,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4007: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21387 in k21426 in r-number-with-exactness in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21389,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21392,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4009: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21390 in k21387 in k21426 in r-number-with-exactness in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21392,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4011: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[827];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:4012: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21309(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[611]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:4013: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21309(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[610]);}
else{
/* library.scm:4015: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[828];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21426 in r-number-with-exactness in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21428,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21389,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4008: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4018: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21309(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21430(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21430,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21495,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4021: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21438 in k21493 in r-number-with-radix in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21440,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21443,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4023: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21441 in k21438 in k21493 in r-number-with-radix in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21443,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4024: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[829];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:4025: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21309(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:4026: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21309(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:4027: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21309(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:4028: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21309(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:4029: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[830];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21493 in r-number-with-radix in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21495,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21440,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4022: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4030: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21309(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21497(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21497,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21505,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4033: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21503 in r-token in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21505,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21507,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li663),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21507(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21503 in r-token in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_21507(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21507,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21517,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21517(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21517(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21515 in loop in k21503 in r-token in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_21517(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21517,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:4037: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:4039: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[4];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[831];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21532,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4041: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20300(t3,t2,((C_word*)t0)[5]);}}}

/* k21530 in k21515 in loop in k21503 in r-token in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_21532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21532,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21539,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4042: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21537 in k21530 in k21515 in loop in k21503 in r-token in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21539,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=((C_word*)t0)[3];
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4042: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21507(t4,((C_word*)t0)[6],t1,t3);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4042: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21507(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21561(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21561,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21569,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4046: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21567 in r-digits in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21569,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21571,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li665),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21571(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21567 in r-digits in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_21571(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21571,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21581,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t4)){
t6=t5;
f_21581(t6,t4);}
else{
t6=C_u_i_char_numericp(t2);
t7=t5;
f_21581(t7,C_i_not(t6));}}

/* k21579 in loop in k21567 in r-digits in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_21581(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21581,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:4048: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21587,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4050: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k21585 in k21579 in loop in k21567 in r-digits in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_21587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21587,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21594,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4051: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21592 in k21585 in k21579 in loop in k21567 in r-digits in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21594,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4051: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21571(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21607(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21607,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21613,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li667),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4054: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21632(t3,t1,t2);}

/* a21612 in r-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21613,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21617,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:4056: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22234(t5,t4,t2);}
else{
t5=t2;
/* library.scm:4176: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t5;
C_string_to_symbol(3,av2);}}}

/* k21615 in a21612 in r-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21617,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21624,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4057: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21622 in k21615 in a21612 in r-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21624,2,av);}
/* library.scm:4057: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20245(t2,((C_word*)t0)[3],lf[822],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21632(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,4)))){
C_save_and_reclaim_args((void *)trf_21632,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21638,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t6,a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word)li669),tmp=(C_word)a,a+=13,tmp));
t8=((C_word*)t6)[1];
f_21638(t8,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_21638(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21638,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21642,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
/* library.scm:4062: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
tp(3,av2);}}

/* k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21642,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_eofp(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21651,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21651(t5,t3);}
else{
t5=C_u_i_char_whitespacep(t2);
t6=t4;
f_21651(t6,(C_truep(t5)?t5:C_i_memq(t2,((C_word*)t0)[14])));}}

/* k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_21651(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_21651,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21657,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
t3=C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[816]);
if(C_truep(t3)){
t4=C_i_cdr(((C_word*)t0)[4]);
t5=C_i_nullp(t4);
t6=t2;
f_21657(t6,C_i_not(t5));}
else{
t4=t2;
f_21657(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21657(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[8],((C_word*)((C_word*)t0)[9])[1]))){
/* library.scm:4074: reserved-character */
t2=((C_word*)((C_word*)t0)[10])[1];
f_20291(t2,((C_word*)t0)[3],((C_word*)t0)[8]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21715,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[12],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[14],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4076: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[13];
tp(3,av2);}}}}

/* k21655 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_21657(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21657,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21664,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cdr(((C_word*)t0)[4]);
/* library.scm:4070: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21675,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4071: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21662 in k21655 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21664,2,av);}
/* library.scm:4070: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21673 in k21655 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21675,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_i_nullp(((C_word*)t0)[3]);
t3=C_i_not(t2);
/* library.scm:4071: k */
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
/* library.scm:4071: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_21715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21715,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21724,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4079: r-string */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20463(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21748,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21759,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4085: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}
case C_make_character(58):
t2=C_i_nullp(((C_word*)t0)[4]);
t3=(C_truep(t2)?C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[833]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_TRUE);
/* library.scm:4090: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21638(t5,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}
else{
t4=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[4]);
/* library.scm:4091: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21638(t5,((C_word*)t0)[3],t4,C_SCHEME_TRUE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21797,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4093: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4100: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21638(t3,((C_word*)t0)[3],t2,C_SCHEME_FALSE);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4100: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21638(t4,((C_word*)t0)[3],t3,C_SCHEME_FALSE);}}}

/* k21722 in k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21724,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21731,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21735,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21739,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4080: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[384]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[384]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21729 in k21722 in k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_21731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21731,2,av);}
/* library.scm:4080: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21638(t2,((C_word*)t0)[3],t1,C_SCHEME_FALSE);}

/* k21733 in k21722 in k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_21735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21735,2,av);}
/* library.scm:4080: scheme#append */
t2=*((C_word*)lf[374]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21737 in k21722 in k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_21739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21739,2,av);}
/* library.scm:4080: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21746 in k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21748,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4086: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21638(t3,((C_word*)t0)[4],t2,C_SCHEME_FALSE);}

/* k21757 in k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21759,2,av);}
/* library.scm:4083: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[832];
av2[4]=t1;
tp(5,av2);}}

/* k21795 in k21713 in k21649 in k21640 in loop in r-xtoken in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21797,2,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4095: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[834];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4098: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21638(t3,((C_word*)t0)[2],t2,C_SCHEME_FALSE);}}

/* r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_21846(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21846,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21850,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4106: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[3];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_21850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21850,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21853,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4107: r-token */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21497(t4,t3);}

/* k21851 in k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_21853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21853,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(t2);
t4=t3;
if(C_truep(C_fixnum_greaterp(t4,C_fix(1)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21865,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22030,a[2]=t5,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t6)){
t8=t7;
f_22030(t8,t6);}
else{
t8=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
if(C_truep(t8)){
t9=t7;
f_22030(t9,t8);}
else{
t9=C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4]);
t10=t7;
f_22030(t10,t9);}}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4137: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k21863 in k21851 in k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_21865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21865,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=t1;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_make_character(C_unfix(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21885,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21885(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21885(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21885(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21885(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21885(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21885(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21885(t6,C_SCHEME_FALSE);}}}

/* k21883 in k21863 in k21851 in k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_21885(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21885,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21891,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21901,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4135: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21889 in k21883 in k21863 in k21851 in k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21891,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4136: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[835];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21899 in k21883 in k21863 in k21851 in k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_21901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21901,2,av);}
/* library.scm:4135: chicken.base#char-name */
t2=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22028 in k21851 in k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_22030(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_22030,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22037,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4111: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21865(2,av2);}}}

/* k22035 in k22028 in k21851 in k21848 in r-char in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22037,2,av);}
/* library.scm:4111: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[620]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_22055(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_22055,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22061,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li672),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_22061(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_22061(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22061,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22065,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4142: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22063 in loop in r-comment in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_22065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22065,2,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22101,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4144: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22124,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4148: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4152: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[836];
tp(4,av2);}}
else{
/* library.scm:4153: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_22061(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k22099 in k22063 in loop in r-comment in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_22101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22101,2,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
t4=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:4146: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_22061(t5,((C_word*)t0)[4],t4);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4147: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_22061(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k22122 in k22063 in loop in r-comment in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_22124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22124,2,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4148: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22061(t4,((C_word*)t0)[4],t3);}
else{
t3=((C_word*)t0)[2];
/* library.scm:4148: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22061(t4,((C_word*)t0)[4],t3);}}

/* r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_22142(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_22142,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22146,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4156: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t2;
av2[2]=C_fix(1);
tp(3,av2);}}

/* k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_22146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22146,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22149,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4157: r-token */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21497(t4,t3);}

/* k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_22149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_22149,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_block_size(((C_word*)t3)[1]);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22155,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fast_retrieve(lf[775]))){
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_22155(2,av2);}}
else{
/* library.scm:4160: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[838];
av2[4]=((C_word*)t3)[1];
tp(5,av2);}}}

/* k22153 in k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_22155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_22155,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22160,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word)li674),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_22160(t5,((C_word*)t0)[6],C_fix(0));}

/* loop in k22153 in k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_22160(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_22160,3,t0,t1,t2);}
a=C_alloc(11);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4163: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[5];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[837];
av2[4]=((C_word*)((C_word*)t0)[4])[1];
tp(5,av2);}}
else{
t3=C_subbyte(((C_word*)((C_word*)t0)[4])[1],t2);
t4=C_eqp(t3,C_fix(35));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22179,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fixnum_greaterp(t2,C_fix(31)))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22208,a[2]=((C_word*)t0)[4],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4166: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t6;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_fix(0);
av2[4]=C_fix(31);
tp(5,av2);}}
else{
t6=t5;
f_22179(t6,C_SCHEME_UNDEFINED);}}
else{
t5=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4173: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k22177 in loop in k22153 in k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_fcall f_22179(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,4)))){
C_save_and_reclaim_args((void *)trf_22179,2,t0,t1);}
a=C_alloc(10);
t2=C_setbyte(((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22189,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22193,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4171: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[3];
tp(5,av2);}}

/* k22187 in k22177 in loop in k22153 in k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_22189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22189,2,av);}
/* library.scm:4168: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22191 in k22177 in loop in k22153 in k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_22193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22193,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22197,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:4172: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=t4;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}

/* k22195 in k22191 in k22177 in loop in k22153 in k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22197,2,av);}
/* library.scm:4169: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k22206 in loop in k22153 in k22147 in k22144 in r-ext-symbol in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_22208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22208,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_22179(t3,t2);}

/* build-keyword in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_22234(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_22234,3,t0,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22242,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4180: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}

/* k22240 in build-keyword in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_22242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22242,2,av);}
/* library.scm:4179: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_22246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22246,2,av);}
a=C_alloc(26);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22249,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[2],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4187: r-spaces */
t4=((C_word*)((C_word*)t0)[26])[1];
f_20318(t4,t3);}

/* k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_22249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22249,2,av);}
a=C_alloc(26);
t2=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22252,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4188: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_22252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22252,2,av);}
a=C_alloc(27);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22258,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],a[21]=((C_word*)t0)[20],a[22]=((C_word*)t0)[21],a[23]=((C_word*)t0)[22],a[24]=((C_word*)t0)[23],a[25]=((C_word*)t0)[24],a[26]=((C_word*)t0)[25],tmp=(C_word)a,a+=27,tmp);
t5=C_eofp(t2);
if(C_truep(C_i_not(t5))){
if(C_truep(t3)){
t6=C_fix(C_character_code(t2));
t7=t4;
f_22258(t7,C_slot(t3,t6));}
else{
t6=t4;
f_22258(t6,C_SCHEME_FALSE);}}
else{
t6=t4;
f_22258(t6,C_SCHEME_FALSE);}}

/* k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_22258(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,0,3)))){
C_save_and_reclaim_args((void *)trf_22258,2,t0,t1);}
a=C_alloc(20);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22266,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li677),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22272,a[2]=((C_word*)t0)[4],a[3]=((C_word)li678),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4194: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
switch(((C_word*)t0)[2]){
case C_make_character(39):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22294,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4200: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22310,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4203: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22326,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4206: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t3=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22362,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4212: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4322: r-list */
t3=((C_word*)((C_word*)t0)[20])[1];
f_21029(t3,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22981,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4323: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22993,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4324: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4325: r-number */
t3=((C_word*)((C_word*)t0)[23])[1];
f_21309(t3,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t3=C_eqp(((C_word*)t0)[2],C_make_character(45));
t4=(C_truep(t3)?t3:C_eqp(((C_word*)t0)[2],C_make_character(43)));
if(C_truep(t4)){
/* library.scm:4326: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21309(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[2]))){
/* library.scm:4329: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21309(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[24])[1]))){
/* library.scm:4331: reserved-character */
t5=((C_word*)((C_word*)t0)[25])[1];
f_20291(t5,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
switch(((C_word*)t0)[2]){
case C_make_character(91):
/* library.scm:4334: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21029(t5,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4335: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21029(t5,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t5=C_eqp(((C_word*)t0)[2],C_make_character(93));
t6=(C_truep(t5)?t5:C_eqp(((C_word*)t0)[2],C_make_character(125)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23071,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4336: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4337: r-symbol */
t7=((C_word*)((C_word*)t0)[26])[1];
f_21607(t7,((C_word*)t0)[5]);}}}}}}}}}

/* a22265 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22266,2,av);}
/* library.scm:4195: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22271 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22272,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4196: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20315(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22292 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22294,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22301,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4201: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20315(t3,t2);}

/* k22299 in k22292 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_22301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22301,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[839],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22308 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22310,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22317,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4204: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20315(t3,t2);}

/* k22315 in k22308 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_22317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22317,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[840],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22324 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22326,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22353,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4207: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22333 in k22351 in k22324 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_22335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22335,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22342,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4209: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20315(t3,t2);}

/* k22340 in k22333 in k22351 in k22324 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22342,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[841],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22347 in k22351 in k22324 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_22349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22349,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[842],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22351 in k22324 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_22353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22353,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22335,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4208: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22349,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4210: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20315(t4,t3);}}

/* k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,2)))){
C_save_and_reclaim((void *)f_22362,2,av);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22365,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4213: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_22365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_22365,2,av);}
a=C_alloc(18);
t2=t1;
if(C_truep(C_eofp(t2))){
/* library.scm:4216: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[843];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t2))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22383,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22466,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4219: r-digits */
t5=((C_word*)((C_word*)t0)[7])[1];
f_21561(t5,t4);}
else{
t3=C_slot(((C_word*)t0)[4],C_fix(2));
t4=(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_22472,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=((C_word*)t0)[14],a[13]=((C_word*)t0)[15],a[14]=((C_word*)t0)[16],a[15]=((C_word*)t0)[17],a[16]=((C_word*)t0)[18],a[17]=((C_word*)t0)[19],tmp=(C_word)a,a+=18,tmp);
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22472(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22472(t5,C_SCHEME_FALSE);}}}}

/* k22381 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_22383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22383,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22386,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4220: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22384 in k22381 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22386,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22392,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_charp(t2))){
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22392(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22392(t5,C_SCHEME_FALSE);}}
else{
t5=t4;
f_22392(t5,C_SCHEME_FALSE);}}

/* k22390 in k22384 in k22381 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_fcall f_22392(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,5)))){
C_save_and_reclaim_args((void *)trf_22392,2,t0,t1);}
a=C_alloc(11);
t2=t1;
if(C_truep(C_eofp(((C_word*)t0)[2]))){
/* library.scm:4226: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[6];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[844];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22409,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li679),tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22415,a[2]=((C_word*)t0)[7],a[3]=((C_word)li680),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4229: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_eqp(((C_word*)t0)[2],C_make_character(41));
t4=(C_truep(t3)?t3:C_u_i_char_whitespacep(((C_word*)t0)[2]));
if(C_truep(t4)){
/* library.scm:4234: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22443,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4235: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22408 in k22390 in k22384 in k22381 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22409,2,av);}
/* library.scm:4230: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22414 in k22390 in k22384 in k22381 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22415,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4231: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20315(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22441 in k22390 in k22384 in k22381 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22443,2,av);}
/* library.scm:4236: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[845];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22464 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_22466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22466,2,av);}
/* library.scm:4219: scheme#string->number */
t2=*((C_word*)lf[618]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_fcall f_22472(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_22472,2,t0,t1);}
a=C_alloc(10);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22480,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li681),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22486,a[2]=((C_word*)t0)[4],a[3]=((C_word)li682),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4244: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_u_i_char_downcase(((C_word*)t0)[2]);
switch(t3){
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22511,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4249: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22523,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4250: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22535,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4251: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22547,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4252: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22559,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4253: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22571,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4254: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22583,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4256: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4265: r-vector */
t4=((C_word*)((C_word*)t0)[9])[1];
f_21291(t4,((C_word*)t0)[5]);
case C_make_character(92):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22647,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4266: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22659,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4268: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22674,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4271: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22686,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4274: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22701,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4277: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22717,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4280: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22748,a[2]=((C_word*)t0)[13],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[14],a[5]=((C_word*)t0)[15],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4287: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(43):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22808,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4297: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22831,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[16],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[17],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4301: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22903,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li690),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22909,a[2]=((C_word*)t0)[4],a[3]=((C_word)li691),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4320: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}}

/* a22479 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22480,2,av);}
/* library.scm:4245: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22485 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22486,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4246: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20315(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22509 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22511,2,av);}
/* library.scm:4249: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21379(t2,((C_word*)t0)[3],C_fix(16));}

/* k22521 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22523,2,av);}
/* library.scm:4250: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21379(t2,((C_word*)t0)[3],C_fix(10));}

/* k22533 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22535,2,av);}
/* library.scm:4251: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21379(t2,((C_word*)t0)[3],C_fix(8));}

/* k22545 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22547,2,av);}
/* library.scm:4252: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21379(t2,((C_word*)t0)[3],C_fix(2));}

/* k22557 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22559,2,av);}
/* library.scm:4253: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21430(t2,((C_word*)t0)[3],lf[611]);}

/* k22569 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22571,2,av);}
/* library.scm:4254: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21430(t2,((C_word*)t0)[3],lf[610]);}

/* k22581 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22583,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22586,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4257: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22584 in k22581 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22586,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22589,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4260: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[846];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22589(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22589(2,av2);}
default:
/* library.scm:4263: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[847];
av2[4]=t1;
tp(5,av2);}}}}

/* k22587 in k22584 in k22581 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22589,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22594,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li683),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22599,a[2]=((C_word*)t0)[3],a[3]=((C_word)li684),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22605,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li685),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4258: ##sys#dynamic-wind */
t9=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22593 in k22587 in k22584 in k22581 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_22594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22594,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22598 in k22587 in k22584 in k22581 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_22599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22599,2,av);}
/* library.scm:4264: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20315(t2,t1);}

/* a22604 in k22587 in k22584 in k22581 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_22605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22605,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22645 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22647,2,av);}
/* library.scm:4266: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21846(t2,((C_word*)t0)[3]);}

/* k22657 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22659,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22662,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4269: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_22055(t3,t2);}

/* k22660 in k22657 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22662,2,av);}
/* library.scm:4269: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20315(t2,((C_word*)t0)[3]);}

/* k22672 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22674,2,av);}
/* library.scm:4272: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22142(t2,((C_word*)t0)[3]);}

/* k22684 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22686,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22689,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4275: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20315(t3,t2);}

/* k22687 in k22684 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22689,2,av);}
/* library.scm:4275: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20315(t2,((C_word*)t0)[3]);}

/* k22699 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22701,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22708,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4278: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20315(t3,t2);}

/* k22706 in k22699 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22708,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[848],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22715 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22717,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22720,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4281: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22718 in k22715 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22720,2,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22729,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4283: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22739,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4285: readrec */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20315(t3,t2);}}

/* k22727 in k22718 in k22715 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22729,2,av);}
/* library.scm:4284: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[849]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[849]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22737 in k22718 in k22715 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22739,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[850],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22746 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22748,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22751,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4288: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22749 in k22746 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_22751,2,av);}
a=C_alloc(23);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22756,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li686),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22761,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li688),tmp=(C_word)a,a+=7,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22796,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li689),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4289: ##sys#dynamic-wind */
t10=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[6];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a22755 in k22749 in k22746 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22756,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22760 in k22749 in k22746 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22761,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22767,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li687),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4290: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21632(t3,t1,t2);}

/* a22766 in a22760 in k22749 in k22746 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_22767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22767,4,av);}
t4=C_block_size(t2);
t5=C_eqp(C_fix(0),t4);
if(C_truep(t5)){
t6=C_i_char_equalp(((C_word*)t0)[2],C_make_character(124));
if(C_truep(C_i_not(t6))){
/* library.scm:4294: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2=av;
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[851];
tp(4,av2);}}
else{
/* library.scm:4295: build-keyword */
t7=((C_word*)((C_word*)t0)[4])[1];
f_22234(t7,t1,t2);}}
else{
/* library.scm:4295: build-keyword */
t6=((C_word*)((C_word*)t0)[4])[1];
f_22234(t6,t1,t2);}}

/* a22795 in k22749 in k22746 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22796,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22806 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22808,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22811,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4298: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20315(t3,t2);}

/* k22809 in k22806 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22811,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22822,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4299: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20315(t4,t3);}

/* k22820 in k22809 in k22806 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_22822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_22822,2,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list3(&a,3,lf[852],t2,lf[853]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k22829 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22831,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22834,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4302: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22832 in k22829 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_22834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22834,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22840,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
if(C_truep(t3)){
t4=t2;
f_22840(t4,t3);}
else{
t4=C_u_i_char_equalp(C_make_character(47),t1);
t5=t2;
f_22840(t5,t4);}}
else{
t3=t2;
f_22840(t3,C_SCHEME_FALSE);}}

/* k22838 in k22832 in k22829 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_fcall f_22840(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22840,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22843,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4305: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20254(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22849,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4308: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21497(t3,t2);}}

/* k22841 in k22838 in k22832 in k22829 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_22843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22843,2,av);}
/* library.scm:4306: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20315(t2,((C_word*)t0)[3]);}

/* k22847 in k22838 in k22832 in k22829 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_22849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22849,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(C_i_string_equal_p(lf[854],t2))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t2,lf[855]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[856]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[857]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22868,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4311: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t3;
av2[2]=lf[858];
av2[3]=t2;
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22887,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4313: scheme#string->symbol */
t4=*((C_word*)lf[639]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}}

/* k22866 in k22847 in k22838 in k22832 in k22829 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in ... */
static void C_ccall f_22868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22868,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4176: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22885 in k22847 in k22838 in k22832 in k22829 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in ... */
static void C_ccall f_22887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22887,2,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[859]));
if(C_truep(t2)){
t3=C_slot(t2,C_fix(1));
/* library.scm:4314: g4927 */
t4=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
/* library.scm:4316: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[860];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22902 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22903,2,av);}
/* library.scm:4320: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22908 in k22470 in k22363 in k22360 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_22909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22909,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4321: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20315(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22979 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22981,2,av);}
/* library.scm:4323: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k22991 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_22993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22993,2,av);}
/* library.scm:4324: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20463(t2,((C_word*)t0)[3],C_make_character(34));}

/* k23069 in k22256 in k22250 in k22247 in k22244 in readrec in k20235 in k20232 in k20229 in k20226 in k20223 in read in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_23071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23071,2,av);}
/* library.scm:4336: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23147,3,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4361: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[864];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23312,3,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23324,4,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=C_fixnum_or(t9,t10);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_fixnum_or(t7,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23386,3,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23389,a[2]=t2,a[3]=((C_word)li697),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23435,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li698),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23435(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in read-bytevector-literal in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_fcall f_23389(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23389,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_fix(C_character_code(t3));
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(t5,C_fix(87));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=C_fix(C_character_code(t3));
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fixnum_difference(t6,C_fix(48));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:4381: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word av2[4];
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[865];
tp(4,av2);}}}}

/* loop in read-bytevector-literal in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_fcall f_23435(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23435,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23439,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4383: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23437 in loop in read-bytevector-literal in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_23439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23439,2,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4385: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[866];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23457,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4387: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
t3=((C_word*)t0)[5];
/* library.scm:4387: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4395: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23435(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4396: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23435(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23521,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4397: hex */
t3=((C_word*)t0)[7];
f_23389(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23532,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4398: hex */
t3=((C_word*)t0)[7];
f_23389(t3,t2,t1);}}}}}

/* k23455 in k23437 in loop in read-bytevector-literal in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_23457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23457,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23519 in k23437 in loop in read-bytevector-literal in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_23521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23521,2,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4397: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23435(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23530 in k23437 in loop in read-bytevector-literal in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_23532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23532,2,av);}
t2=C_fixnum_shift_left(t1,C_fix(4));
/* library.scm:4398: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23435(t3,((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* ##sys#user-read-hook in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23534,4,av);}
a=C_alloc(3);
t4=t2;
t5=C_eqp(t4,C_make_character(102));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(70)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23547,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4410: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2=av;
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t7;
av2[2]=t3;
tp(3,av2);}}
else{
t7=C_eqp(t4,C_make_character(116));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(84)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23559,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4411: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2=av;
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t9;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4412: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[867];
av2[4]=t2;
tp(5,av2);}}}}

/* k23545 in user-read-hook in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_23547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23547,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23557 in user-read-hook in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_23559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23559,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23579,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23586,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4426: g5038 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23584 in write-char-0 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_23586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23586,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23595,4,av);}
t4=t3;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[870]);
t6=C_i_check_char_2(t2,lf[870]);
/* library.scm:4433: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2=av;
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23607,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?*((C_word*)lf[718]+1):C_i_car(t3));
t6=C_i_check_char_2(t2,lf[870]);
t7=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[870]);
/* library.scm:4439: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* scheme#newline in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23628,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[718]+1);
t4=*((C_word*)lf[718]+1);
/* library.scm:4443: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[869]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[869]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}
else{
t3=C_i_car(t2);
/* library.scm:4443: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[869]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[869]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=t3;
tp(4,av2);}}}

/* scheme#write in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23643,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[718]+1);
t5=C_i_check_port_2(*((C_word*)lf[718]+1),C_fix(2),C_SCHEME_TRUE,lf[871]);
/* library.scm:4448: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[871]);
/* library.scm:4448: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* scheme#display in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23661,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[718]+1);
t5=C_i_check_port_2(*((C_word*)lf[718]+1),C_fix(2),C_SCHEME_TRUE,lf[873]);
/* library.scm:4453: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[873]);
/* library.scm:4453: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* chicken.base#print in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23679,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[718]+1);
t4=C_i_check_port_2(*((C_word*)lf[718]+1),C_fix(2),C_SCHEME_TRUE,lf[874]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23722,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[690]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23698,a[2]=t8,a[3]=((C_word)li707),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23698(t10,t5,t2);}

/* for-each-loop5099 in chicken.base#print in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_fcall f_23698(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23698,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23708,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[872]+1);
/* library.scm:4456: g5115 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[872]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[872]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23706 in for-each-loop5099 in chicken.base#print in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_23708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23708,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23698(t3,((C_word*)t0)[4],t2);}

/* k23720 in chicken.base#print in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_23722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23722,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23725,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4462: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k23723 in k23720 in chicken.base#print in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_23725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23725,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23730,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[718]+1);
t4=C_i_check_port_2(*((C_word*)lf[718]+1),C_fix(2),C_SCHEME_TRUE,lf[874]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23773,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[690]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23749,a[2]=t8,a[3]=((C_word)li709),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23749(t10,t5,t2);}

/* for-each-loop5131 in chicken.base#print* in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_fcall f_23749(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23749,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23759,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[872]+1);
/* library.scm:4456: g5147 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[872]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[872]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23757 in for-each-loop5131 in chicken.base#print* in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_23759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23759,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23749(t3,((C_word*)t0)[4],t2);}

/* k23771 in chicken.base#print* in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_23773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23773,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23776,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4469: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* k23774 in k23771 in chicken.base#print* in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_23776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23776,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in ... */
static void C_ccall f_23783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23783,2,av);}
a=C_alloc(3);
t2=C_mutate(&lf[875] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23787,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4473: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in ... */
static void C_ccall f_23787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23787,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[876]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23791,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4474: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in ... */
static void C_ccall f_23791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(104,c,6)))){
C_save_and_reclaim((void *)f_23791,2,av);}
a=C_alloc(104);
t2=C_mutate(&lf[877] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[230]+1);
t4=*((C_word*)lf[231]+1);
t5=C_mutate((C_word*)lf[872]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23793,a[2]=t4,a[3]=t3,a[4]=((C_word)li724),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[898]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24897,a[2]=((C_word)li725),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[911] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[912]+1 /* (set! ##sys#register-record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24914,a[2]=((C_word)li726),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[897]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24934,a[2]=((C_word)li734),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[923]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25085,a[2]=((C_word)li739),tmp=(C_word)a,a+=3,tmp));
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25170,a[2]=t12,a[3]=((C_word)li740),tmp=(C_word)a,a+=4,tmp);
t14=C_set_block_item(t12,0,t13);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31288,a[2]=((C_word)li741),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31313,a[2]=((C_word)li742),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31331,a[2]=t12,a[3]=((C_word)li743),tmp=(C_word)a,a+=4,tmp);
t18=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31350,a[2]=t12,a[3]=((C_word)li744),tmp=(C_word)a,a+=4,tmp);
t19=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31369,a[2]=((C_word)li745),tmp=(C_word)a,a+=3,tmp);
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31372,a[2]=((C_word)li746),tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31375,a[2]=((C_word)li747),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31416,a[2]=((C_word)li751),tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31500,a[2]=((C_word)li752),tmp=(C_word)a,a+=3,tmp);
t24=C_a_i_vector(&a,10,t15,t16,t17,t18,*((C_word*)lf[196]+1),t19,t20,t21,t22,t23);
t25=C_mutate((C_word*)lf[928]+1 /* (set! ##sys#string-port-class ...) */,t24);
t26=C_mutate((C_word*)lf[926]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25226,a[2]=((C_word)li759),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25423,a[2]=((C_word)li760),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25442,a[2]=((C_word)li761),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25461,a[2]=((C_word)li762),tmp=(C_word)a,a+=3,tmp));
t30=*((C_word*)lf[211]+1);
t31=*((C_word*)lf[213]+1);
t32=C_mutate((C_word*)lf[938]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25495,a[2]=t30,a[3]=t31,a[4]=((C_word)li765),tmp=(C_word)a,a+=5,tmp));
t33=C_mutate((C_word*)lf[892]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25538,a[2]=((C_word)li766),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25591,a[2]=((C_word)li768),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[947]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25735,a[2]=((C_word)li772),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25840,a[2]=((C_word)li773),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[955]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25931,a[2]=((C_word)li775),tmp=(C_word)a,a+=3,tmp));
t38=lf[958] /* exit-in-progress */ =C_SCHEME_FALSE;;
t39=C_mutate(&lf[959] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25953,a[2]=((C_word)li778),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26036,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t41=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31264,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5040: chicken.base#make-parameter */
t42=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t42;
av2[1]=t40;
av2[2]=t41;
((C_proc)(void*)(*((C_word*)t42+1)))(3,av2);}}

/* ##sys#print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_23793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23793,5,av);}
a=C_alloc(7);
t5=t4;
t6=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23800,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4481: case-sensitive */
t8=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_23800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23800,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23803,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4482: keyword-style */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_23803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23803,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23806,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4483: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[876]);
C_word *av2=av;
av2[0]=*((C_word*)lf[876]+1);
av2[1]=t3;
tp(2,av2);}}

/* k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_23806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(50,c,4)))){
C_save_and_reclaim((void *)f_23806,2,av);}
a=C_alloc(50);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23808,a[2]=t2,a[3]=((C_word)li711),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23880,a[2]=t2,a[3]=((C_word)li712),tmp=(C_word)a,a+=4,tmp));
t15=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23940,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t10,a[5]=t12,a[6]=((C_word)li713),tmp=(C_word)a,a+=7,tmp));
t16=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23964,a[2]=t6,a[3]=t4,a[4]=((C_word)li715),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24053,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li717),tmp=(C_word)a,a+=5,tmp));
t18=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24232,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t19=C_SCHEME_UNDEFINED;
t20=(*a=C_VECTOR_TYPE|1,a[1]=t19,tmp=(C_word)a,a+=2,tmp);
t21=C_set_block_item(t20,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24237,a[2]=t4,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word*)t0)[3],a[7]=t8,a[8]=t20,a[9]=((C_word)li723),tmp=(C_word)a,a+=10,tmp));
t22=((C_word*)t20)[1];
f_24237(t22,t18,((C_word*)t0)[7]);}

/* outstr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_23808(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23808,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23818,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4489: current-print-length */
t7=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=t1;
t5=t2;
t6=t3;
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51905191 */
t9=t8;{
C_word av2[4];
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23816 in outstr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_23818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23818,2,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23824,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t3,((C_word*)t0)[4]))){
t5=C_fixnum_difference(((C_word*)t0)[4],t1);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23836,a[2]=t4,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23859,a[2]=((C_word*)t0)[5],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4493: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_23836(2,av2);}}}
else{
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51905191 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23822 in k23816 in outstr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_23824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23824,2,av);}
/* library.scm:4497: current-print-length */
t2=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23834 in k23816 in outstr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_23836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23836,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23839,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51905191 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[878];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k23837 in k23834 in k23816 in outstr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_23839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23839,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23842,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4495: ##sys#print-exit */
t3=C_retrieve2(lf[877],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23840 in k23837 in k23834 in k23816 in outstr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_23842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23842,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4492: g5183 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23857 in k23816 in outstr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_23859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23859,2,av);}
t2=((C_word*)t0)[2];
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(3));
/* g51905191 */
t5=t4;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* outchr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_23880(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23880,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23884,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23897,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4505: current-print-length */
t6=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
t6=C_slot(t5,C_fix(2));
/* g51995200 */
t7=t6;{
C_word av2[4];
av2[0]=t7;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k23882 in outchr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_23884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23884,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51995200 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23895 in outchr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_23897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23897,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23900,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4506: current-print-length */
t5=C_retrieve2(lf[875],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k23898 in k23895 in outchr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_23900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23900,2,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23909,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[5];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51905191 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[879];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51995200 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}}

/* k23907 in k23898 in k23895 in outchr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_23909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23909,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23912,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4509: ##sys#print-exit */
t3=C_retrieve2(lf[877],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23910 in k23907 in k23898 in k23895 in outchr in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_23912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23912,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4507: g5195 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_23940(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23940,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23944,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4518: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23942 in outsym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_23944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23944,2,av);}
a=C_alloc(7);
t2=t1;
t3=C_i_not(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23953,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t3)){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
f_23953(2,av2);}}
else{
/* library.scm:4519: sym-is-readable? */
t5=((C_word*)((C_word*)t0)[7])[1];
f_24053(t5,t4,t2);}}

/* k23951 in k23942 in outsym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_23953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23953,2,av);}
if(C_truep(t1)){
/* library.scm:4520: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4521: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23964(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_23964(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23964,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23971,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4525: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23880(t7,t6,t2,C_make_character(124));}

/* k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_23971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_23971,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23976,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li714),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_23976(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_23976(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_23976,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4528: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23880(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23998,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4531: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23808(t7,t6,((C_word*)t0)[4],lf[880]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24027,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4537: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23880(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_24027(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4537: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23880(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_24027(2,av2);}}}}}}

/* k23996 in loop in k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_23998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_23998,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24004,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4533: outchr */
t5=((C_word*)((C_word*)t0)[8])[1];
f_23880(t5,t4,((C_word*)t0)[7],C_make_character(48));}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_24004(2,av2);}}}

/* k24002 in k23996 in loop in k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_24004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24004,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24007,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24018,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4534: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24005 in k24002 in k23996 in loop in k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_24007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24007,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4535: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23976(t3,((C_word*)t0)[4],t2);}

/* k24016 in k24002 in k23996 in loop in k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_24018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24018,2,av);}
/* library.scm:4534: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24025 in loop in k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24027,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24030,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4538: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23880(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k24028 in k24025 in loop in k23969 in outreadablesym in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_24030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24030,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4539: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23976(t3,((C_word*)t0)[4],t2);}

/* sym-is-readable? in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_24053(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24053,3,t0,t1,t2);}
a=C_alloc(10);
t3=C_block_size(t2);
t4=t3;
switch(t4){
case C_fix(0):
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(1):
t5=C_subchar(t2,C_fix(0));
t6=C_eqp(C_make_character(35),t5);
t7=(C_truep(t6)?t6:C_eqp(C_make_character(46),t5));
if(C_truep(t7)){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=C_fix(C_character_code(t5));
t9=C_fixnum_less_or_equal_p(t8,C_fix(32));
t10=(C_truep(t9)?t9:C_i_memq(t5,lf[881]));
if(C_truep(t10)){
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t11=C_u_i_char_numericp(t5);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=(C_truep(t11)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
default:
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24102,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word)li716),tmp=(C_word)a,a+=8,tmp));
t9=((C_word*)t7)[1];
f_24102(t9,t1,t5);}}

/* loop in sym-is-readable? in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_24102(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_24102,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24118,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_24118(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_24118(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_24118(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24175,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[6])){
t6=t5;
f_24175(t6,((C_word*)t0)[6]);}
else{
t6=C_u_i_char_upper_casep(t4);
t7=t5;
f_24175(t7,C_i_not(t6));}}}

/* k24116 in loop in sym-is-readable? in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_24118(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_24118,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24125,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4558: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(((C_word*)t0)[4]){
case C_make_character(58):
t2=C_eqp(((C_word*)t0)[5],lf[833]);
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_make_character(35):
t2=C_subchar(((C_word*)t0)[3],C_fix(1));
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_eqp(t2,C_make_character(33));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=C_fix(C_character_code(((C_word*)t0)[4]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[4],lf[881]));
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k24123 in k24116 in loop in sym-is-readable? in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24125,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k24173 in loop in sym-is-readable? in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_24175(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_24175,2,t0,t1);}
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[2],lf[881]));
if(C_truep(C_i_not(t4))){
t5=C_eqp(((C_word*)t0)[2],C_make_character(58));
t6=C_i_not(t5);
if(C_truep(t6)){
if(C_truep(t6)){
t7=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4570: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_24102(t8,((C_word*)t0)[5],t7);}
else{
t7=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t8=C_fixnum_lessp(((C_word*)t0)[3],t7);
if(C_truep(t8)){
if(C_truep(t8)){
t9=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4570: loop */
t10=((C_word*)((C_word*)t0)[4])[1];
f_24102(t10,((C_word*)t0)[5],t9);}
else{
t9=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(((C_word*)t0)[7],lf[816]);
if(C_truep(C_i_not(t9))){
t10=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4570: loop */
t11=((C_word*)((C_word*)t0)[4])[1];
f_24102(t11,((C_word*)t0)[5],t10);}
else{
t10=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24230 in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_24232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24232,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_24237(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24237,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4573: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t1,((C_word*)t0)[3],lf[882]);
case C_SCHEME_TRUE:
/* library.scm:4574: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t1,((C_word*)t0)[3],lf[883]);
case C_SCHEME_FALSE:
/* library.scm:4575: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t1,((C_word*)t0)[3],lf[884]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4576: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t1,((C_word*)t0)[3],lf[885]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4577: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t1,((C_word*)t0)[3],lf[886]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24286,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4580: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t3,((C_word*)t0)[3],lf[887]);}
else{
/* library.scm:4589: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23880(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24345,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4590: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4591: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t1,((C_word*)t0)[3],lf[888]);}
else{
t3=C_blockp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:4592: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t1,((C_word*)t0)[3],lf[889]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4593: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t1,((C_word*)t0)[3],lf[890]);}
else{
if(C_truep(C_symbolp(t2))){
if(C_truep(C_u_i_keywordp(t2))){
t4=C_i_not(((C_word*)t0)[4]);
t5=(C_truep(t4)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t6=C_eqp(t5,lf[833]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24384,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4599: outchr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23880(t8,t7,((C_word*)t0)[3],C_make_character(58));}
else{
t7=C_eqp(t5,lf[816]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24396,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4602: outsym */
t9=((C_word*)((C_word*)t0)[7])[1];
f_23940(t9,t8,((C_word*)t0)[3],t2);}
else{
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24402,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4605: outstr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23808(t9,t8,((C_word*)t0)[3],lf[891]);}}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24418,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4607: ##sys#qualified-symbol? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[635]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[635]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24434,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4611: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[496]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[496]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}

/* k24284 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24286,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24292,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4582: chicken.base#char-name */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k24290 in k24284 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24292,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24296,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li718),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4582: g5297 */
t3=t2;
f_24296(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24319,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4586: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23880(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4588: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23880(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5297 in k24290 in k24284 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_24296(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24296,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* library.scm:4584: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t1,((C_word*)t0)[3],t3);}

/* k24317 in k24290 in k24284 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24319,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24326,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4587: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24324 in k24317 in k24290 in k24284 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_24326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24326,2,av);}
/* library.scm:4587: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24343 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24345,2,av);}
/* library.scm:4590: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24382 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24384,2,av);}
/* library.scm:4600: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23940(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24394 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24396,2,av);}
/* library.scm:4603: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23880(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24400 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24402,2,av);}
/* library.scm:4606: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23940(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24416 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24418,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24425,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4608: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:4610: outsym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23940(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* k24423 in k24416 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24425,2,av);}
/* library.scm:4608: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24434,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24441,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4611: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24451,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4612: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[892]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[892]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24460,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4615: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23880(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4641: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24633,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4643: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23880(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24706,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4655: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t2,((C_word*)t0)[4],lf[896]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4664: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[897]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[897]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24766,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4665: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[898]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[898]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4666: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[899]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24778,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4668: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23808(t3,t2,((C_word*)t0)[4],lf[900]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24797,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4673: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t3,((C_word*)t0)[4],lf[902]);
case C_fix(2):
/* library.scm:4674: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t3,((C_word*)t0)[4],lf[903]);
default:
/* library.scm:4675: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t3,((C_word*)t0)[4],lf[904]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4681: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[905]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24844,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4683: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23808(t5,t4,((C_word*)t0)[4],lf[906]);}}
else{
/* library.scm:4691: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[907];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24439 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24441,2,av);}
/* library.scm:4611: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24449 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24451,2,av);}
/* library.scm:4612: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24458 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24460,2,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24466,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li719),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24466(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5322 in k24458 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_24466(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24466,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4619: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23880(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24479,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4622: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23808(t7,t6,((C_word*)t0)[3],lf[893]);
case C_fix(92):
/* library.scm:4623: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23808(t7,t6,((C_word*)t0)[3],lf[894]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24517,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4627: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23880(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
t9=C_fix_to_char(t5);
/* library.scm:4640: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23880(t10,t6,((C_word*)t0)[3],t9);}}}}

/* k24477 in doloop5322 in k24458 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_24479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24479,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24466(t4,((C_word*)t0)[5],t2,t3);}

/* k24515 in doloop5322 in k24458 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_24517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24517,2,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4629: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23880(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4630: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23880(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4631: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23880(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4632: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23880(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4633: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23880(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4634: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23880(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4635: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23880(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24583,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4637: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23880(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24581 in k24515 in doloop5322 in k24458 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_24583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24583,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24586,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4638: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23880(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24586(2,av2);}}}

/* k24584 in k24581 in k24515 in doloop5322 in k24458 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_24586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24586,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24593,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4639: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24591 in k24584 in k24581 in k24515 in doloop5322 in k24458 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_24593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24593,2,av);}
/* library.scm:4639: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24633,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24636,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4644: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24237(t4,t2,t3);}

/* k24634 in k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24636,2,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24645,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li720),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24645(t6,((C_word*)t0)[7],t2);}

/* doloop5352 in k24634 in k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_24645(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_24645,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_blockp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24655,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_24655(t6,t4);}
else{
t6=C_pairp(t2);
t7=t5;
f_24655(t7,C_i_not(t6));}}

/* k24653 in doloop5352 in k24634 in k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_fcall f_24655(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24655,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24658,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(((C_word*)t0)[5],C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24667,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4649: outstr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23808(t5,t4,((C_word*)t0)[4],lf[895]);}
else{
/* library.scm:4651: outchr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23880(t4,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24677,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4652: outchr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23880(t3,t2,((C_word*)t0)[4],C_make_character(32));}}

/* k24656 in k24653 in doloop5352 in k24634 in k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_24658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24658,2,av);}
/* library.scm:4651: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23880(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24665 in k24653 in doloop5352 in k24634 in k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_24667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24667,2,av);}
/* library.scm:4650: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24237(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24675 in k24653 in doloop5352 in k24634 in k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_24677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24677,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24680,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4653: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24237(t4,t2,t3);}

/* k24678 in k24675 in k24653 in doloop5352 in k24634 in k24631 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_24680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24680,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24645(t3,((C_word*)t0)[4],t2);}

/* k24704 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24706,2,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24712,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24717,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li721),tmp=(C_word)a,a+=9,tmp));
t8=((C_word*)t6)[1];
f_24717(t8,t4,C_fix(0));}

/* k24710 in k24704 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24712,2,av);}
/* library.scm:4663: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23880(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5366 in k24704 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_24717(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24717,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24730,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t4,C_fix(16)))){
/* library.scm:4661: outchr */
t6=((C_word*)((C_word*)t0)[7])[1];
f_23880(t6,t5,((C_word*)t0)[6],C_make_character(48));}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_24730(2,av2);}}}}

/* k24728 in doloop5366 in k24704 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_24730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24730,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24733,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24744,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4662: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24731 in k24728 in doloop5366 in k24704 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_24733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24733,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24717(t3,((C_word*)t0)[4],t2);}

/* k24742 in k24728 in doloop5366 in k24704 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_24744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24744,2,av);}
/* library.scm:4662: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24764 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24766,2,av);}
/* library.scm:4665: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24776 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24778,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24781,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24788,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4669: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24779 in k24776 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24781,2,av);}
/* library.scm:4670: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23880(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24786 in k24776 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24788,2,av);}
/* library.scm:4669: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24795 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24797,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24800,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(3));
/* library.scm:4676: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23808(t4,t2,((C_word*)t0)[4],t3);}

/* k24798 in k24795 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24800,2,av);}
/* library.scm:4677: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23808(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[901]);}

/* k24842 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24844(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24844,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24847,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(0));
/* library.scm:4684: out */
t4=((C_word*)((C_word*)t0)[6])[1];
f_24237(t4,t2,t3);}

/* k24845 in k24842 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24847,2,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24856,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li722),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24856(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5390 in k24845 in k24842 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_24856(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24856,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4688: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23880(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24869,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4689: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23880(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24867 in doloop5390 in k24845 in k24842 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_24869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24869,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24872,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[6],((C_word*)t0)[2]);
/* library.scm:4690: out */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24237(t4,t2,t3);}

/* k24870 in k24867 in doloop5390 in k24845 in k24842 in k24432 in out in k23804 in k23801 in k23798 in print in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_24872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24872,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24856(t4,((C_word*)t0)[5],t2,t3);}

/* ##sys#procedure->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_24897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24897,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24901,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4697: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2=av;
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24899 in procedure->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_24901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24901,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24911,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4699: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[910];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24909 in k24899 in procedure->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_24911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24911,2,av);}
/* library.scm:4699: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[908];
av2[3]=t1;
av2[4]=lf[909];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#register-record-printer in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_24914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24914,4,av);}
a=C_alloc(6);
t4=C_i_assq(t2,C_fast_retrieve(lf[911]));
if(C_truep(t4)){
t5=C_i_setslot(t4,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_a_i_cons(&a,2,t2,t3);
t6=C_a_i_cons(&a,2,t5,C_fast_retrieve(lf[911]));
t7=C_mutate((C_word*)lf[911]+1 /* (set! ##sys#record-printers ...) */,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_24934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24934,5,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_assq(t6,C_fast_retrieve(lf[911]));
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24947,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24952,a[2]=t4,a[3]=t6,a[4]=t8,a[5]=t2,a[6]=((C_word)li733),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4714: scheme#call-with-current-continuation */
t11=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25037,a[2]=t1,a[3]=t4,a[4]=t6,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4726: ##sys#print */
t10=*((C_word*)lf[872]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[922];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}}

/* k24945 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_24947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24947,2,av);}
/* library.scm:4714: g5431 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_24952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24952,3,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24958,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li728),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25009,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li732),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4714: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[918]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24957 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_24958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24958,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24964,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li727),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4714: k5428 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24963 in a24957 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_24964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24964,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24968,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4716: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[917];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24966 in a24963 in a24957 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_24968(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24968,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24971,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25007,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4717: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k24969 in k24966 in a24963 in a24957 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_24971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_24971,2,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[913]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[914],t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24986,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4720: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[915];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4723: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[916];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k24984 in k24969 in k24966 in a24963 in a24957 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_24986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_24986,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24989,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cadr(((C_word*)t0)[4]);
/* library.scm:4721: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k24987 in k24984 in k24969 in k24966 in a24963 in a24957 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_24989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24989,2,av);}
/* library.scm:4722: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25005 in k24966 in a24963 in a24957 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_25007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25007,2,av);}
/* library.scm:4717: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a25008 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25009,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25015,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li729),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25024,a[2]=((C_word*)t0)[5],a[3]=((C_word)li731),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4714: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a25014 in a25008 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25015,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4714: g5441 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a25023 in a25008 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_25024,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25030,a[2]=t2,a[3]=((C_word)li730),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4714: k5428 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a25029 in a25023 in a25008 in a24951 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25030,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k25035 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25037,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25040,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25083,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4727: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k25038 in k25035 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25040,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25043,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[913]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25052,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4730: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[919];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[920]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25068,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4733: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[921];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4735: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k25041 in k25038 in k25035 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25043,2,av);}
/* library.scm:4735: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25050 in k25038 in k25035 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25052,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4731: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25066 in k25038 in k25035 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25068,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(6));
/* library.scm:4734: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25081 in k25035 in user-print-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25083,2,av);}
/* library.scm:4727: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25085,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25091,a[2]=t2,a[3]=t3,a[4]=((C_word)li738),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4740: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_25091,3,av);}
a=C_alloc(31);
t3=C_fast_retrieve(lf[876]);
t4=C_retrieve2(lf[877],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[875],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=t2;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_TRUE;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25097,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t14,a[6]=t5,a[7]=t4,a[8]=t3,a[9]=((C_word)li735),tmp=(C_word)a,a+=10,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25140,a[2]=((C_word*)t0)[3],a[3]=((C_word)li736),tmp=(C_word)a,a+=4,tmp);
t17=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25146,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t5,a[6]=t4,a[7]=t3,a[8]=((C_word)li737),tmp=(C_word)a,a+=9,tmp);
/* library.scm:4742: ##sys#dynamic-wind */
t18=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t18;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
av2[4]=t17;
((C_proc)(void*)(*((C_word*)t18+1)))(5,av2);}}

/* a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25097,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25101,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4742: print-length-limit54615462 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_25101(2,av2);}}}

/* k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25101,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25104,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4742: print-exit54635464 */
t4=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_25104(2,av2);}}}

/* k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_25104,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25107,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],tmp=(C_word)a,a+=12,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4742: current-print-length54655466 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_25107(2,av2);}}}

/* k25105 in k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_25107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_25107,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_25111,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],tmp=(C_word)a,a+=13,tmp);
/* library.scm:4742: print-length-limit54615462 */
t4=((C_word*)t0)[10];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k25109 in k25105 in k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_25111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_25111,2,av);}
a=C_alloc(12);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25115,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* library.scm:4742: print-exit54635464 */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25113 in k25109 in k25105 in k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_25115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25115,2,av);}
a=C_alloc(11);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25119,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4742: current-print-length54655466 */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25117 in k25113 in k25109 in k25105 in k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_25119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_25119,2,av);}
a=C_alloc(8);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25122,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4742: print-length-limit54615462 */
t4=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25120 in k25117 in k25113 in k25109 in k25105 in k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_25122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_25122,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25125,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4742: print-exit54635464 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25123 in k25120 in k25117 in k25113 in k25109 in k25105 in k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_25125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25125,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25128,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4742: current-print-length54655466 */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25126 in k25123 in k25120 in k25117 in k25113 in k25109 in k25105 in k25102 in k25099 in a25096 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_25128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25128,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a25139 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25140,2,av);}
/* library.scm:4745: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a25145 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25146,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25150,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4742: print-length-limit54615462 */
t3=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k25148 in a25145 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25150,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25153,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4742: print-exit54635464 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25151 in k25148 in a25145 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25153,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25156,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4742: current-print-length54655466 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25154 in k25151 in k25148 in a25145 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_25156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25156,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25159,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4742: print-length-limit54615462 */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25157 in k25154 in k25151 in k25148 in a25145 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_25159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25159,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25162,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4742: print-exit54635464 */
t3=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25160 in k25157 in k25154 in k25151 in k25148 in a25145 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_25162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25162,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25165,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4742: current-print-length54655466 */
t3=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25163 in k25160 in k25157 in k25154 in k25151 in k25148 in a25145 in a25090 in with-print-length-limit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_25165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25165,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5507 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25170,4,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=C_fixnum_plus(t5,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t10,t7))){
t11=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25192,a[2]=t7,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t9,a[8]=t5,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t10,lf[269]))){
/* library.scm:4773: ##sys#error */
t12=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[925];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
f_25192(2,av2);}}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k25190 in check5507 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25192,2,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[269],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25198,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4775: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k25196 in k25190 in check5507 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_25198,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25201,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4776: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[924]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[924]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k25199 in k25196 in k25190 in check5507 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25201,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4779: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25226,6,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25229,a[2]=((C_word)li753),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25249,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li758),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25249(t10,t1,t2,t4,t4,t3,lf[931]);}

/* copy&append in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_fcall f_25229(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25229,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25236,a[2]=t5,a[3]=t7,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_difference(t4,t3);
t10=C_fixnum_plus(t7,t9);
/* library.scm:4856: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t8;
av2[2]=t10;
tp(3,av2);}}

/* k25234 in copy&append in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25236,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_fcall f_25249(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25249,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25259,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4866: copy&append */
f_25229(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25297,a[2]=t1,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4873: copy&append */
f_25229(t12,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25303,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[3],a[10]=t8,a[11]=t5,tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=C_subchar(t2,t13);
t15=t10;
f_25303(t15,C_eqp(t14,C_make_character(10)));}
else{
t13=t10;
f_25303(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25303(t12,C_SCHEME_FALSE);}}}}

/* k25257 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25259,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25264,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li754),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25270,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word)li755),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4867: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25263 in k25257 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25264,2,av);}
/* library.scm:4867: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25269 in k25257 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25270,5,av);}
if(C_truep(t2)){
/* library.scm:4869: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25249(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4870: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25295 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25297,2,av);}
/* library.scm:4873: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_fcall f_25303(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25303,2,t0,t1);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25314,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4877: copy&append */
f_25229(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25320,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t3=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t3)){
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t5=t2;
f_25320(t5,C_eqp(((C_word*)t0)[11],t4));}
else{
t4=t2;
f_25320(t4,C_SCHEME_FALSE);}}}

/* k25312 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25314,2,av);}
/* library.scm:4877: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25318 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_25320(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25320,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25323,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4880: copy&append */
f_25229(t2,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25383,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4891: copy&append */
f_25229(t5,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:4892: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_25249(t4,((C_word*)t0)[5],((C_word*)t0)[7],((C_word*)t0)[8],t3,((C_word*)t0)[11],((C_word*)t0)[9]);}}}

/* k25321 in k25318 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25323,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25328,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li756),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25334,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word)li757),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4881: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25327 in k25321 in k25318 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_25328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25328,2,av);}
/* library.scm:4881: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25333 in k25321 in k25318 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_25334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25334,5,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_subchar(t2,t3);
t6=C_eqp(t5,C_make_character(10));
if(C_truep(t6)){
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:4884: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t7;
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25358,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4887: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[929];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25366,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4889: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[930];
tp(4,av2);}}}

/* k25356 in a25333 in k25321 in k25318 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_25358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25358,2,av);}
/* library.scm:4886: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25249(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25364 in a25333 in k25321 in k25318 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_25366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25366,2,av);}
/* library.scm:4889: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25381 in k25318 in k25301 in loop in scan-buffer-line in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25383,2,av);}
/* library.scm:4891: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25423,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[932]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25430,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4897: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[928]);
av2[4]=lf[933];
av2[5]=lf[934];
tp(6,av2);}}

/* k25428 in chicken.base#open-input-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25430,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_i_set_i_slot(t1,C_fix(11),t2);
t4=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t5=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.base#open-output-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25442,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25446,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4905: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[928]);
av2[4]=lf[935];
av2[5]=lf[934];
tp(6,av2);}}

/* k25444 in chicken.base#open-output-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25446,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_i_set_i_slot(t2,C_fix(10),C_fix(0));
t4=C_i_set_i_slot(t2,C_fix(11),C_fix(256));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25459,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4908: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25457 in k25444 in chicken.base#open-output-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25459,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25461,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_FALSE,lf[936]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[934],t5);
if(C_truep(C_i_not(t6))){
/* library.scm:4915: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[936];
av2[4]=lf[937];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=C_slot(t2,C_fix(12));
t8=C_slot(t2,C_fix(10));
/* library.scm:4917: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}

/* ##sys#print-to-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25495,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25499,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4923: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25497 in print-to-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25499,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25500,a[2]=t2,a[3]=((C_word)li763),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];
t5=C_i_check_list_2(t4,lf[690]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25510,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25515,a[2]=t8,a[3]=t3,a[4]=((C_word)li764),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_25515(t10,t6,t4);}

/* g5637 in k25497 in print-to-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_fcall f_25500(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25500,3,t0,t1,t2);}
/* library.scm:4924: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25508 in k25497 in print-to-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25510,2,av);}
/* library.scm:4925: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5636 in k25497 in print-to-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_fcall f_25515(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25515,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25525,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4924: g5637 */
t5=((C_word*)t0)[3];
f_25500(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25523 in for-each-loop5636 in k25497 in print-to-string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25525,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25515(t3,((C_word*)t0)[4],t2);}

/* ##sys#pointer->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25538,3,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25549,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4933: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word *av2=av;
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4933: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word *av2=av;
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25579,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25583,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4939: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[942]);
C_word *av2=av;
av2[0]=*((C_word*)lf[942]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25547 in pointer->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25549,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25553,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25557,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4937: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[942]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[942]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25551 in k25547 in pointer->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25553,2,av);}
/* library.scm:4931: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[939];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[940];
av2[5]=t1;
av2[6]=lf[941];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25555 in k25547 in pointer->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25557,2,av);}
/* library.scm:4937: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25577 in pointer->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25579,2,av);}
/* library.scm:4939: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[943];
av2[3]=t1;
av2[4]=lf[944];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25581 in pointer->string in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25583,2,av);}
/* library.scm:4939: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_25591,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fast_retrieve(lf[945]):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_fix((C_word)C_trace_buffer_size);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25607,a[2]=t5,a[3]=t13,a[4]=t10,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t15=C_fixnum_times(C_fix(4),t13);
/* library.scm:4953: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[675]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[675]+1);
av2[1]=t14;
av2[2]=t15;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25605 in chicken.base#get-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25607,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_fetch_trace(((C_word*)t0)[2],t2);
t4=C_fixnump(t3);
t5=(C_truep(t4)?t3:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t6=t5;
t7=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25618,a[2]=t6,a[3]=t2,a[4]=t10,a[5]=((C_word*)t0)[4],a[6]=t8,a[7]=((C_word)li767),tmp=(C_word)a,a+=8,tmp));
t12=((C_word*)t10)[1];
f_25618(t12,((C_word*)t0)[5],C_fix(0));}

/* loop in k25605 in chicken.base#get-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_fcall f_25618(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25618,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25637,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25637(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25637(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25635 in loop in k25605 in chicken.base#get-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_25637(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25637,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25656,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=stub5659(t4,t3);
/* library.scm:4948: ##sys#peek-nonnull-c-string */
t6=*((C_word*)lf[946]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t2;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4967: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_25618(t3,((C_word*)t0)[4],t2);}}

/* k25646 in k25654 in k25635 in loop in k25605 in chicken.base#get-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_25648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25648,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25654 in k25635 in loop in k25605 in chicken.base#get-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25656,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25648,a[2]=((C_word*)t0)[4],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4966: loop */
t10=((C_word*)((C_word*)t0)[5])[1];
f_25618(t10,t8,t9);}

/* ##sys#really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25735,5,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25745,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4971: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25745,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25746,a[2]=((C_word*)t0)[2],a[3]=((C_word)li770),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25812,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25817,a[2]=t6,a[3]=t2,a[4]=((C_word)li771),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25817(t8,t4,t3);}

/* g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_fcall f_25746(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25746,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_slot(t2,C_fix(2));
t6=t5;
t7=C_i_structurep(t6,lf[948]);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25759,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t8,a[6]=t6,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4977: ##sys#print */
t10=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[951];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25759,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25762,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=C_slot(((C_word*)t0)[7],C_fix(0));
/* library.scm:4978: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25760 in k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25762,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25765,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4979: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[950];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25763 in k25760 in k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_25765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25765,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25768,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25783,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25783(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25783(t5,t4);}}
else{
t4=t3;
f_25783(t4,C_SCHEME_FALSE);}}

/* k25766 in k25763 in k25760 in k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_25768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25768,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li769),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4989: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[923]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25775 in k25766 in k25763 in k25760 in k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_25776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25776,2,av);}
/* library.scm:4992: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25781 in k25763 in k25760 in k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_25783(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25783,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25786,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4981: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25768(2,av2);}}}

/* k25784 in k25781 in k25763 in k25760 in k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_25786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25786,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25789,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_slot(((C_word*)t0)[5],C_fix(1));
/* library.scm:4982: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:4982: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25787 in k25784 in k25781 in k25763 in k25760 in k25757 in g5703 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_25789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25789,2,av);}
/* library.scm:4987: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[949];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25810 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25812,2,av);}
/* library.scm:4994: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[952];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5702 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_fcall f_25817(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25817,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25827,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4972: g5703 */
t5=((C_word*)t0)[3];
f_25746(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25825 in for-each-loop5702 in k25743 in really-print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25827,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25817(t3,((C_word*)t0)[4],t2);}

/* chicken.base#print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_25840,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[718]+1):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fix(0):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_fast_retrieve(lf[945]):C_i_car(t12));
t15=t14;
t16=C_i_nullp(t12);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t18=C_i_nullp(t17);
t19=(C_truep(t18)?lf[953]:C_i_car(t17));
t20=t19;
t21=C_i_nullp(t17);
t22=(C_truep(t21)?C_SCHEME_END_OF_LIST:C_i_cdr(t17));
t23=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[954]);
t24=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25871,a[2]=t20,a[3]=t1,a[4]=t5,a[5]=t10,a[6]=t15,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5001: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t24;
av2[2]=t10;
av2[3]=lf[954];
tp(4,av2);}}

/* k25869 in chicken.base#print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25871,2,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[954]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25881,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5003: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25879 in k25869 in chicken.base#print-call-chain in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25881,2,av);}
/* library.scm:5003: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[947]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[947]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_25931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25931,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25934,a[2]=((C_word)li774),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[945]),C_fast_retrieve(lf[957]));
if(C_truep(t3)){
t4=t1;
/* library.scm:5009: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[956];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[957]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in user-interrupt-hook in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25934,2,av);}
/* library.scm:5009: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[956];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_fcall f_25953(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25953,1,t1);}
a=C_alloc(6);
t2=lf[958] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25958,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26029,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5024: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[964];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25958(2,av2);}}}

/* k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_25958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25958,2,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25964,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25981,a[2]=t5,a[3]=((C_word)li777),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_25981(t7,t3);}

/* k25962 in k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_25964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25964,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25967,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:5035: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[962];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_25967(2,av2);}}}

/* k25965 in k25962 in k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_25967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_25967,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25973,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5036: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[961]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25971 in k25965 in k25962 in k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_25973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25973,2,av);}
if(C_truep(t1)){
/* library.scm:5037: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_fcall f_25981(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_25981,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[225]+1);
t3=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[690]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26000,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26005,a[2]=t7,a[3]=((C_word)li776),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_26005(t9,t5,t2);}}

/* k25998 in loop in k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_26000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26000,2,av);}
/* library.scm:5033: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25981(t2,((C_word*)t0)[3]);}

/* for-each-loop5762 in loop in k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_fcall f_26005(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26005,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26015,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5032: t */
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26013 in for-each-loop5762 in loop in k25956 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26015,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26005(t3,((C_word*)t0)[4],t2);}

/* k26027 in cleanup-before-exit in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_26029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26029,2,av);}
/* library.scm:5025: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[963]);
C_word *av2=av;
av2[0]=*((C_word*)lf[963]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_26036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26036,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[224]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26040,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31258,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5050: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_26040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26040,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26044,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31249,a[2]=((C_word)li980),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5055: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_26044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_26044,2,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[965]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[966]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26046,a[2]=((C_word)li781),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[968]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26330,a[2]=((C_word)li782),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1006]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26347,a[2]=((C_word)li783),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1007]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26356,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31089,a[2]=((C_word)li979),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5152: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_26046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_26046,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=t2;
t9=C_eqp(t8,lf[956]);
if(C_truep(t9)){
t10=C_a_i_record3(&a,3,lf[913],lf[967],C_SCHEME_END_OF_LIST);
/* library.scm:5083: abort */
t11=C_fast_retrieve(lf[968]);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t10=C_eqp(t8,lf[307]);
t11=(C_truep(t10)?t10:C_eqp(t8,lf[309]));
if(C_truep(t11)){
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26072,a[2]=t4,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t13=C_eqp(t2,lf[307]);
if(C_truep(t13)){
/* library.scm:5089: ##sys#print */
t14=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[970];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}
else{
/* library.scm:5089: ##sys#print */
t14=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[971];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}}
else{
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26148,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t13=C_i_symbolp(((C_word*)t5)[1]);
t14=(C_truep(t13)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t14)){
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26313,a[2]=t5,a[3]=t12,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5107: scheme#symbol->string */
t16=*((C_word*)lf[637]+1);{
C_word *av2=av;
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}
else{
t15=t12;
f_26148(t15,C_SCHEME_UNDEFINED);}}}}

/* k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26072,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26075,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5092: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_26075,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26078,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26127,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t5=t4;
f_26127(t5,t3);}
else{
t5=((C_word*)t0)[2];
t6=C_u_i_length(t5);
t7=t4;
f_26127(t7,C_fixnum_greaterp(t6,C_fix(1)));}}

/* k26076 in k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_26078,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26095,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26100,a[2]=t5,a[3]=((C_word)li780),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26100(t7,t3,t2);}

/* a26084 in for-each-loop5830 in k26076 in k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_26085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_26085,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26089,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5101: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26087 in a26084 in for-each-loop5830 in k26076 in k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_26089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26089,2,av);}
/* library.scm:5102: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[719]+1);
tp(4,av2);}}

/* k26093 in k26076 in k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_26095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26095,2,av);}
/* library.scm:5104: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[719]+1);
tp(3,av2);}}

/* for-each-loop5830 in k26076 in k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_26100(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26100,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26110,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26085,a[2]=t5,a[3]=((C_word)li779),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5098: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word av2[4];
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t6;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26108 in for-each-loop5830 in k26076 in k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_26110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26110,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26100(t3,((C_word*)t0)[4],t2);}

/* k26125 in k26073 in k26070 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_26127(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_26127,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:5094: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[719]+1);
tp(4,av2);}}
else{
/* library.scm:5095: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[969];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k26146 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_26148(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26148,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26151,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_26151(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_26151(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k26149 in k26146 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_26151(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26151,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=t2;
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t5=t4;
t6=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t7=t6;
t8=((C_word*)t0)[4];
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26171,a[2]=t5,a[3]=t7,a[4]=t3,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(t8,lf[258]);
if(C_truep(t10)){
t11=t9;
f_26171(t11,lf[976]);}
else{
t11=C_eqp(t8,lf[785]);
if(C_truep(t11)){
t12=t9;
f_26171(t12,lf[977]);}
else{
t12=C_eqp(t8,lf[380]);
if(C_truep(t12)){
t13=t9;
f_26171(t13,lf[978]);}
else{
t13=C_eqp(t8,lf[564]);
if(C_truep(t13)){
t14=t9;
f_26171(t14,lf[979]);}
else{
t14=C_eqp(t8,lf[703]);
if(C_truep(t14)){
t15=t9;
f_26171(t15,lf[980]);}
else{
t15=C_eqp(t8,lf[981]);
if(C_truep(t15)){
t16=t9;
f_26171(t16,lf[982]);}
else{
t16=C_eqp(t8,lf[983]);
if(C_truep(t16)){
t17=t9;
f_26171(t17,lf[984]);}
else{
t17=C_eqp(t8,lf[985]);
if(C_truep(t17)){
t18=t9;
f_26171(t18,lf[986]);}
else{
t18=C_eqp(t8,lf[987]);
if(C_truep(t18)){
t19=t9;
f_26171(t19,lf[988]);}
else{
t19=C_eqp(t8,lf[989]);
if(C_truep(t19)){
t20=t9;
f_26171(t20,lf[990]);}
else{
t20=C_eqp(t8,lf[991]);
if(C_truep(t20)){
t21=t9;
f_26171(t21,lf[992]);}
else{
t21=C_eqp(t8,lf[993]);
if(C_truep(t21)){
t22=t9;
f_26171(t22,lf[994]);}
else{
t22=C_eqp(t8,lf[995]);
if(C_truep(t22)){
t23=t9;
f_26171(t23,lf[996]);}
else{
t23=C_eqp(t8,lf[997]);
t24=t9;
f_26171(t24,(C_truep(t23)?lf[998]:lf[999]));}}}}}}}}}}}}}}

/* k26169 in k26149 in k26146 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_26171(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_26171,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26179,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5133: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k26177 in k26169 in k26149 in k26146 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_26179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_26179,2,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[972],((C_word*)t0)[2],lf[973],((C_word*)t0)[3],lf[974],t1,lf[975],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[913],((C_word*)t0)[5],t2);
/* library.scm:5112: abort */
t4=C_fast_retrieve(lf[968]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26311 in signal-hook in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26313,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_26148(t3,t2);}

/* chicken.condition#abort in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_26330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26330,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26334,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5137: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1005]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1005]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26332 in chicken.condition#abort in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26334,2,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[1000],lf[1001],lf[1002],C_SCHEME_END_OF_LIST,lf[1003],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[913],lf[1004],t2);
/* library.scm:5138: abort */
t4=C_fast_retrieve(lf[968]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_26347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26347,3,av);}
/* library.scm:5147: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1005]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1005]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_26356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26356,2,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[1008]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1009] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26359,a[2]=((C_word)li784),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[918]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26519,a[2]=((C_word)li787),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1025]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26533,a[2]=((C_word)li789),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1027] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26594,a[2]=((C_word)li791),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1029]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26662,a[2]=((C_word)li792),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1031]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26676,a[2]=((C_word)li796),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1033]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26816,a[2]=((C_word)li799),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1034]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26921,a[2]=((C_word)li800),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1035]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26927,a[2]=((C_word)li804),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1038]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27045,a[2]=((C_word)li806),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1039]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27066,a[2]=((C_word)li808),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1042]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27112,a[2]=((C_word)li809),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27123,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5335: condition-property-accessor */
t17=C_fast_retrieve(lf[1039]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1012];
av2[3]=lf[1358];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* ##sys#current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26359,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26363,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[913]))){
t4=C_mutate((C_word*)lf[1009]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1012],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1013],t6);
t8=t7;
t9=C_i_member(lf[1014],t6);
t10=t9;
t11=C_i_member(lf[1015],t6);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26402,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26412,a[2]=t10,a[3]=t13,a[4]=t8,a[5]=t12,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5204: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1008]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1008]+1);
av2[1]=t14;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1020],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26473,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5222: ##sys#print */
t9=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1021];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1022],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26488,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5225: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1008]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1008]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1010],t2);
t11=C_a_i_record3(&a,3,lf[913],lf[1011],t10);
/* library.scm:5229: abort */
t12=C_fast_retrieve(lf[968]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1010],t2);
t5=C_a_i_record3(&a,3,lf[913],lf[1011],t4);
/* library.scm:5229: abort */
t6=C_fast_retrieve(lf[968]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26361 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26363,2,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1010],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[913],lf[1011],t2);
/* library.scm:5229: abort */
t4=C_fast_retrieve(lf[968]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26400 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26402,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26405,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5220: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[965]);
C_word *av2=av;
av2[0]=*((C_word*)lf[965]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26403 in k26400 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26405,2,av);}
/* library.scm:5199: g5968 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26410 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26412,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26416,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t4=C_i_cadr(((C_word*)t0)[4]);
t5=t4;
t6=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t7=(C_truep(t6)?C_i_symbolp(t6):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26442,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5210: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t8;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t3;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
f_26416(2,av2);}}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1019];
f_26416(2,av2);}}}

/* k26414 in k26410 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26416,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_cadr(((C_word*)t0)[2]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26440 in k26410 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26442,2,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5209: string-append */
t3=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1016];
av2[3]=t1;
av2[4]=lf[1017];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5209: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1016];
av2[3]=t1;
av2[4]=lf[1017];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5209: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1016];
av2[3]=t1;
av2[4]=lf[1017];
av2[5]=lf[1018];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26471 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26473,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26476,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5223: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[965]);
C_word *av2=av;
av2[0]=*((C_word*)lf[965]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26474 in k26471 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26476,2,av);}
/* library.scm:5198: g5971 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26486 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26488,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26491,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1023],t3);
t5=C_i_cadr(t4);
/* library.scm:5198: g5974 */
t6=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=lf[1024];
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k26489 in k26486 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26491,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26494,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5228: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[965]);
C_word *av2=av;
av2[0]=*((C_word*)lf[965]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26492 in k26489 in k26486 in current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_26494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26494,2,av);}
/* library.scm:5198: g5976 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26519,4,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[1005]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26525,a[2]=t2,a[3]=((C_word)li785),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26529,a[2]=t4,a[3]=((C_word)li786),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5237: ##sys#dynamic-wind */
t7=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26524 in chicken.condition#with-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26525,2,av);}
t2=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26528 in chicken.condition#with-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26529,2,av);}
t2=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26533,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[1005]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[1005]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26546,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5247: ##sys#check-closure */
t6=*((C_word*)lf[366]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[1026];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k26544 in chicken.condition#current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26546,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26548,a[2]=((C_word*)t0)[3],a[3]=((C_word)li788),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26554,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26559,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:5248: def-convert?5992 */
  f_26559(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:5248: def-set?5993 */
  f_26554(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:5248: body5990 */
  f_26548(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body5990 in k26544 in chicken.condition#current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static C_word C_fcall f_26548(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?5993 in k26544 in chicken.condition#current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static C_word C_fcall f_26554(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5248: body5990 */
  f_26548(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?5992 in k26544 in chicken.condition#current-exception-handler in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static C_word C_fcall f_26559(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5248: def-set?5993 */
  f_26554(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_fcall f_26594(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26594,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26600,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li790),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26600(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_26600(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26600,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26616,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26616(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=C_i_pairp(t6);
t8=t5;
f_26616(t8,C_i_not(t7));}}}

/* k26614 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_26616(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26616,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5258: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1028];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=t3;
t5=C_i_cadr(((C_word*)t0)[5]);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26638,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=((C_word*)t0)[5];
t9=C_u_i_cdr(t8);
t10=C_u_i_cdr(t9);
/* library.scm:5262: loop */
t11=((C_word*)((C_word*)t0)[7])[1];
f_26600(t11,t7,t10);}}

/* k26636 in k26614 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_26638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26638,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26662,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_a_i_list1(&a,1,t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26674,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5267: prop-list->kind-prefixed-prop-list */
f_26594(t6,lf[1030],t2,t3);}

/* k26672 in chicken.condition#make-property-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26674,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[913],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26676,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26793,a[2]=((C_word)li793),tmp=(C_word)a,a+=3,tmp);
t7=(
  f_26793(t5)
);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26695,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t9=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t10=t9;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=((C_word*)t11)[1];
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26757,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26759,a[2]=t11,a[3]=t15,a[4]=t12,a[5]=((C_word)li795),tmp=(C_word)a,a+=6,tmp));
t17=((C_word*)t15)[1];
f_26759(t17,t13,t5);}

/* k26693 in chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26695,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26699,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26711,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26713,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li794),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_26713(t12,t8,((C_word*)t0)[3]);}

/* k26697 in k26693 in chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26699,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[913],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26709 in k26693 in chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26711,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6079 in k26693 in chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_26713(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26713,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26755 in chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26757,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6052 in chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_26759(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26759,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop6034 in chicken.condition#make-composite-condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static C_word C_fcall f_26793(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[913],lf[1032]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26816,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26823,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=((C_word*)t9)[1];
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26885,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26887,a[2]=t9,a[3]=t13,a[4]=t10,a[5]=((C_word)li798),tmp=(C_word)a,a+=6,tmp));
t15=((C_word*)t13)[1];
f_26887(t15,t11,t5);}

/* k26821 in chicken.condition#condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26823,2,av);}
a=C_alloc(17);
t2=t1;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26833,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26835,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li797),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26835(t11,t7,((C_word*)t0)[3]);}

/* k26831 in k26821 in chicken.condition#condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26833,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[913],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6139 in k26821 in chicken.condition#condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_26835(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26835,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26883 in chicken.condition#condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26885,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6112 in chicken.condition#condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_fcall f_26887(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26887,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26912,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* library.scm:5282: prop-list->kind-prefixed-prop-list */
f_26594(t3,lf[913],t5,t6);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26910 in map-loop6112 in chicken.condition#condition in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_26912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26912,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26887(t6,((C_word*)t0)[5],t5);}

/* chicken.condition#condition? in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26921,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[913]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_26927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26927,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26931,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27040,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5290: condition? */
t5=C_fast_retrieve(lf[1034]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26929 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_26931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26931,2,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26935,a[2]=((C_word*)t0)[2],a[3]=((C_word)li802),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[692]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27005,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li803),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_27005(t12,((C_word*)t0)[3],t7);}

/* g6175 in k26929 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_26935(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26935,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26943,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26949,a[2]=t2,a[3]=t6,a[4]=((C_word)li801),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26949(t8,t3,t4);}

/* k26941 in g6175 in k26929 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_26943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26943,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6175 in k26929 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_26949(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26949,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=t2;
t6=C_u_i_car(t5);
t7=C_u_i_cdr(t6);
t8=C_i_cadr(t2);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26980,a[2]=t9,a[3]=t1,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
t11=t2;
t12=C_u_i_cdr(t11);
t13=C_u_i_cdr(t12);
/* library.scm:5300: loop */
t15=t10;
t16=t13;
t1=t15;
t2=t16;
goto loop;}
else{
t5=C_i_cddr(t2);
/* library.scm:5302: loop */
t15=t1;
t16=t5;
t1=t15;
t2=t16;
goto loop;}}}

/* k26978 in loop in g6175 in k26929 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_26980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26980,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6169 in k26929 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_fcall f_27005(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_27005,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27030,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5294: g6175 */
t5=((C_word*)t0)[4];
f_26935(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k27028 in map-loop6169 in k26929 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_27030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27030,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_27005(t6,((C_word*)t0)[5],t5);}

/* k27038 in chicken.condition#condition->list in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_27040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27040,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26931(2,av2);}}
else{
/* library.scm:5291: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[1036];
av2[4]=lf[1037];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_27045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27045,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27047,a[2]=t2,a[3]=((C_word)li805),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_27047 in chicken.condition#condition-predicate in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_27047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27047,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27054,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5307: condition? */
t4=C_fast_retrieve(lf[1034]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27052 */
static void C_ccall f_27054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27054,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_27066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_27066,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=t5;
t7=C_a_i_cons(&a,2,t2,t3);
t8=t7;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27074,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t3,a[6]=t4,a[7]=((C_word)li807),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}

/* f_27074 in chicken.condition#condition-property-accessor in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_27074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27074,3,av);}
t3=C_i_check_structure(t2,lf[913]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5318: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[1040];
av2[4]=lf[1041];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_27112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_27112,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27116,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1039]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k27114 in chicken.condition#get-condition-property in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_27116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27116,2,av);}
/* library.scm:5324: g6224 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_27123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_27123,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27126,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5336: condition-property-accessor */
t4=C_fast_retrieve(lf[1039]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1012];
av2[3]=lf[850];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_27126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_27126,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27129,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5337: condition-property-accessor */
t4=C_fast_retrieve(lf[1039]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1012];
av2[3]=lf[1357];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_27129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_27129,2,av);}
a=C_alloc(182);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27130,a[2]=((C_word)li813),tmp=(C_word)a,a+=3,tmp);
t4=C_mutate((C_word*)lf[1043]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27175,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li818),tmp=(C_word)a,a+=7,tmp));
t5=C_fast_retrieve(lf[1043]);
t6=*((C_word*)lf[187]+1);
t7=*((C_word*)lf[213]+1);
t8=*((C_word*)lf[211]+1);
t9=C_mutate((C_word*)lf[1055]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27366,a[2]=t6,a[3]=t5,a[4]=t8,a[5]=t7,a[6]=((C_word)li819),tmp=(C_word)a,a+=7,tmp));
t10=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27415,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28071,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28074,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28077,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28080,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1121]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28085,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28088,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28091,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28094,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28097,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28100,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28103,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1129]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28106,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28123,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28129,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28139,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[942]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28145,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28152,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[727]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28187,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28190,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28193,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28196,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[706]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28199,a[2]=((C_word)li846),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[946]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28215,a[2]=((C_word)li847),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28221,a[2]=((C_word)li848),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28237,a[2]=((C_word)li849),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28243,a[2]=((C_word)li850),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28250,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28253,a[2]=((C_word)li852),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28273,a[2]=((C_word)li854),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28334,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28372,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28375,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[924]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28378,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28385,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28392,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28395,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28401,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28404,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1153]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28407,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28410,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1155]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28413,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1156]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28416,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1157]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28419,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1158]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28422,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28425,a[2]=((C_word)li871),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1160]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28428,a[2]=((C_word)li872),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[1161]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28431,a[2]=((C_word)li873),tmp=(C_word)a,a+=3,tmp));
t62=C_set_block_item(lf[1162] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t63=C_mutate((C_word*)lf[1163]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28435,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[1165]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28438,a[2]=((C_word)li875),tmp=(C_word)a,a+=3,tmp));
t65=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28462,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5695: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1165]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1165]+1);
av2[1]=t65;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1355];
av2[4]=lf[1356];
av2[5]=C_fast_retrieve(lf[1162]);
tp(6,av2);}}

/* writeargs in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_fcall f_27130(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_27130,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27132,a[2]=t3,a[3]=((C_word)li811),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[690]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27153,a[2]=t7,a[3]=t4,a[4]=((C_word)li812),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_27153(t9,t1,t2);}

/* g6240 in writeargs in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_27132(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_27132,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27136,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27141,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li810),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5342: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word av2[4];
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k27134 in g6240 in writeargs in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_27136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27136,2,av);}
/* library.scm:5343: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a27140 in g6240 in writeargs in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_27141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27141,2,av);}
/* library.scm:5342: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6239 in writeargs in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_27153(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_27153,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27163,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5340: g6240 */
t5=((C_word*)t0)[3];
f_27132(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k27161 in for-each-loop6239 in writeargs in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_27163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27163,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_27153(t3,((C_word*)t0)[4],t2);}

/* chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_27175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +16,c,4)))){
C_save_and_reclaim((void*)f_27175,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+16);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27177,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li815),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27326,a[2]=t4,a[3]=((C_word)li816),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27331,a[2]=t5,a[3]=((C_word)li817),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* library.scm:5346: def-port6262 */
t7=t6;
f_27331(t7,t1);}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
/* library.scm:5346: def-header6263 */
t9=t5;
f_27326(t9,t1,t7);}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
/* library.scm:5346: body6260 */
t11=t4;
f_27177(t11,t1,t7,t9);}}}

/* body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_27177(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_27177,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=t2;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[1044]);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27184,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5349: newline */
t7=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_27184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27184,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27187,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5350: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_27187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_27187,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27193,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=C_immp(((C_word*)t0)[6]);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[6],C_fix(0));
t5=t2;
f_27193(t5,C_eqp(lf[913],t4));}
else{
t4=t2;
f_27193(t4,C_SCHEME_FALSE);}}

/* k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_fcall f_27193(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_27193,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27196,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5352: errmsg */
t3=((C_word*)t0)[8];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[6]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27295,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5376: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1052];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27304,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5380: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1053];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}}

/* k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_27196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_27196,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27199,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27231,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li814),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5352: g6283 */
t4=t3;
f_27231(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1049],t3))){
/* library.scm:5362: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27279,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5364: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1051];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k27197 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_27199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27199,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27202,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5366: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27200 in k27197 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_27202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_27202,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_not(t2);
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_length(t2);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27217,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5370: display */
t7=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1045];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27223,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5373: newline */
t7=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k27215 in k27200 in k27197 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_27217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27217,2,av);}
/* library.scm:5371: writeargs */
f_27130(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27221 in k27200 in k27197 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_27223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27223,2,av);}
/* library.scm:5374: writeargs */
f_27130(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6283 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_fcall f_27231(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27231,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27235,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5354: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1048];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27233 in g6283 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_27235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27235,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27238,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5355: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27236 in k27233 in g6283 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_27238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27238,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27241,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27254,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27258,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5357: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5358: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27239 in k27236 in k27233 in g6283 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_27241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27241,2,av);}
/* library.scm:5358: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27252 in k27236 in k27233 in g6283 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_27254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27254,2,av);}
/* library.scm:5357: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27256 in k27236 in k27233 in g6283 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_27258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27258,2,av);}
/* library.scm:5357: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1046];
av2[3]=t1;
av2[4]=lf[1047];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27277 in k27194 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_27279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27279,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5365: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27293 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_27295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27295,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27298,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5377: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27296 in k27293 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_27298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27298,2,av);}
/* library.scm:5378: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27302 in k27191 in k27185 in k27182 in body6260 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_27304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27304,2,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5381: writeargs */
f_27130(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6263 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_27326(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27326,3,t0,t1,t2);}
/* library.scm:5346: body6260 */
t3=((C_word*)t0)[2];
f_27177(t3,t1,t2,lf[1054]);}

/* def-port6262 in chicken.condition#print-error-message in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_27331(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27331,2,t0,t1);}
/* library.scm:5346: def-header6263 */
t2=((C_word*)t0)[2];
f_27326(t2,t1,*((C_word*)lf[718]+1));}

/* ##sys#show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_27366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_27366,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_fast_retrieve(lf[945]):C_i_car(t4));
t7=t6;
if(C_truep(*((C_word*)lf[304]+1))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27376,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5396: open-output-string */
t9=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_27376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27376,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27379,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5397: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1058];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_27379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27379,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27382,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27401,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5399: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1057];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27382(2,av2);}}}

/* k27380 in k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_27382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27382,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27385,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5402: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1056];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27383 in k27380 in k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_27385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27385,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27388,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5403: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27386 in k27383 in k27380 in k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_27388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27388,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27391,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27398,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5404: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27389 in k27386 in k27383 in k27380 in k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_27391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27391,2,av);}
/* library.scm:5405: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[719]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27396 in k27386 in k27383 in k27380 in k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_27398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27398,2,av);}
/* library.scm:5404: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[719]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27399 in k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_27401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27401,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27404,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5400: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27402 in k27399 in k27377 in k27374 in show-exception-warning in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_27404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27404,2,av);}
/* write-char/port */
t2=C_fast_retrieve(lf[869]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_27415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27415,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
switch(t2){
case C_fix(1):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27438,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27449,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5420: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(2):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27475,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27486,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5429: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[981];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[564];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[380];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[989];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[703];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[997];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[564];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[981];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[997];
av2[4]=t3;
av2[5]=lf[1107];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1108];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1109];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1110];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1111];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1112];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1113];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1114];
av2[6]=t4;
C_apply(7,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[981];
av2[4]=t3;
av2[5]=lf[1115];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27436 in error-hook in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_27438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27438,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[991];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27447 in error-hook in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_27449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27449,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27453,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5421: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27451 in k27447 in error-hook in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_27453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27453,2,av);}
/* library.scm:5420: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1059];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1060];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27473 in error-hook in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_27475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27475,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[991];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27484 in error-hook in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_27486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27486,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27490,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5430: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27488 in k27484 in error-hook in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_27490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27490,2,av);}
/* library.scm:5429: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1061];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1062];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28071,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28074,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28077,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28080,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28085,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28088,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28091,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28094,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28097,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28100,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28103,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28106,3,av);}
if(C_truep(C_blockp(t2))){
if(C_truep(C_structurep(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_memq(t3,lf[1130]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#null-pointer in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28123,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28127,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5513: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t2;
tp(2,av2);}}

/* k28125 in null-pointer in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28127,2,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28129,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28137,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5518: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[942]);
C_word *av2=av;
av2[0]=*((C_word*)lf[942]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k28135 in null-pointer? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28137,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28139,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28143,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5521: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28141 in address->pointer in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28143,2,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28145,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_28152,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?lf[749]:C_i_car(t3));
t6=t5;
t7=C_block_size(t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28162,a[2]=t2,a[3]=t8,a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t10=C_fixnum_plus(t8,C_fix(1));
/* library.scm:5531: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}

/* k28160 in make-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_28162,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_asciiz_strlen(t1);
t5=C_eqp(t4,((C_word*)t0)[3]);
if(C_truep(t5)){
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5536: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28187,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28190,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28193,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_28196,4,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28199,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28209,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5552: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28207 in peek-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28209,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=t1;
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28215,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28219,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5558: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28217 in peek-nonnull-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28219,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28221,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28231,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5565: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28229 in peek-and-free-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28231,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28237,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28241,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5572: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28239 in peek-and-free-nonnull-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28241,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28243,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28248,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5578: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2=av;
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28246 in poke-c-string in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28248,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28250,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28253,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28273,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28279,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li853),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28279(t7,t1,C_fix(0));}

/* loop in peek-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_28279(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28279,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28289,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[4];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6501(t7,t8,t9);
/* library.scm:5584: ##sys#peek-c-string */
t11=*((C_word*)lf[706]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28287 in loop in peek-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28289,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28299,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5591: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_28279(t5,t3,t4);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28297 in k28287 in loop in peek-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28299,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28334,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28338,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28343,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li855),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28343(t8,t4,C_fix(0));}

/* k28336 in peek-and-free-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28338,2,av);}
t2=((C_word*)t0)[2];
if(C_truep(t2)){
t3=C_i_foreign_pointer_argumentp(t2);
t4=stub6528(C_SCHEME_UNDEFINED,t3);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=stub6528(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in peek-and-free-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_28343(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28343,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28353,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=((C_word*)t0)[3];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6520(t7,t8,t9);
/* library.scm:5595: ##sys#peek-c-string */
t11=*((C_word*)lf[706]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28351 in loop in peek-and-free-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28353,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28363,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5604: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_28343(t6,t4,t5);}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28361 in k28351 in loop in peek-and-free-c-string-list in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28363,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28372,4,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28375,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28378,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_substring_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#copy-words in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28385,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_subvector_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#compare-bytes in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28392,7,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28395,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28399,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5637: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28397 in block-pointer in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28399,2,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28401,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28404,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28407,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28410,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28413,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28416,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28419,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28422,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28425,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28428,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28431,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28435,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1164]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28438,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28454,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=C_block_size(C_fast_retrieve(lf[766]));
/* library.scm:5682: ##sys#vector-resize */
f_17993(t6,C_fast_retrieve(lf[766]),t7,C_SCHEME_FALSE);}

/* k28452 in make-thread in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28454,2,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[694]),*((C_word*)lf[717]+1),*((C_word*)lf[718]+1),*((C_word*)lf[719]+1),C_fast_retrieve(lf[1163]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[920],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_28462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28462,2,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[957]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[945]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[957]));
t4=C_mutate((C_word*)lf[1166]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28465,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28471,a[2]=((C_word)li877),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28480,a[2]=((C_word)li880),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1170]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28501,a[2]=((C_word)li881),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1171]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28507,a[2]=((C_word)li882),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28510,a[2]=((C_word)li883),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1173]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li884),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28522,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5738: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28465,4,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1167],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28471,2,av);}
t2=C_slot(C_fast_retrieve(lf[945]),C_fix(1));
/* library.scm:5709: g6614 */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* ##sys#thread-yield! in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28480,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28486,a[2]=((C_word)li879),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5712: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28485 in thread-yield! in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28486,3,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[945]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28495,a[2]=t2,a[3]=((C_word)li878),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[945]),C_fix(1),t4);
/* library.scm:5716: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1168]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1168]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28494 in a28485 in thread-yield! in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28495,2,av);}
/* library.scm:5715: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28501,3,av);}
/* library.scm:5719: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28507,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sleep in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28510,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28514,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5729: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1172];
tp(4,av2);}}

/* k28512 in chicken.base#sleep in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28514,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28517,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5730: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1171]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1171]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28515 in k28512 in chicken.base#sleep in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28517,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_28522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28522,2,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1174]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28524,a[2]=((C_word)li886),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[702]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28574,a[2]=((C_word)li887),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[707]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28581,a[2]=t6,a[3]=((C_word)li888),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1178]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28585,a[2]=t6,a[3]=((C_word)li889),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[861]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28599,a[2]=((C_word)li891),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28646,a[2]=((C_word)li893),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[861]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28691,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li898),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1189]);
t18=C_mutate((C_word*)lf[1190]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29121,a[2]=((C_word)li899),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1193]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29151,a[2]=((C_word)li900),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29159,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31061,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31083,a[2]=((C_word)li973),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5956: chicken.base#getter-with-setter */
t23=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
((C_proc)(void*)(*((C_word*)t23+1)))(4,av2);}}

/* ##sys#interrupt-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28524,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28528,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28555,a[2]=t6,a[3]=((C_word)li885),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28555(t8,t4,t2);}

/* k28526 in interrupt-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28528,2,av);}
t2=C_slot(C_fast_retrieve(lf[1176]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5748: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1177]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1177]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5749: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5750: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in interrupt-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_fcall f_28555(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28555,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1174]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28565,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5745: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t5=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5746: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28563 in loop in interrupt-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_28565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28565,2,av);}
t2=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5746: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_28555(t3,((C_word*)t0)[3],t2);}

/* ##sys#dispatch-interrupt in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28574,3,av);}
t3=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5753: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1175]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1175]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28581,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28585,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_fcall f_28599(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28599,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28603,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5782: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28601 in readln in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28603,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28610,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5783: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28608 in k28601 in readln in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_28610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28610,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28612,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li890),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28612(t5,((C_word*)t0)[4],t1);}

/* doloop6661 in k28608 in k28601 in readln in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_fcall f_28612(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28612,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5785: chicken.base#get-output-string */
t5=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28634,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5786: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28632 in doloop6661 in k28608 in k28601 in readln in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_28634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28634,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28641,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5783: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28639 in k28632 in doloop6661 in k28608 in k28601 in readln in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_28641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28641,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28612(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_fcall f_28646(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28646,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28650,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5788: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28650(2,av2);}}}

/* k28648 in read-escaped-sexp in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28650,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28653,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5789: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28651 in k28648 in read-escaped-sexp in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_28653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28653,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28656,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28661,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=((C_word)li892),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_28661(t7,t3);}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28654 in k28651 in k28648 in read-escaped-sexp in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_28656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28656,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28651 in k28648 in read-escaped-sexp in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_fcall f_28661(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28661,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28665,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5793: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28663 in loop in k28651 in k28648 in read-escaped-sexp in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_28665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28665,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5795: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1179];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5796: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28661(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_28691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28691,4,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5799: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28704,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* read-char/port */
t6=C_fast_retrieve(lf[770]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_28704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28704,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28707,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5802: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_28707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28707,2,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28716,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5804: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28829,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5829: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5884: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[779]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[779]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1188];
tp(4,av2);}}}

/* k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_28716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28716,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28719,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5805: chicken.base#open-output-string */
t3=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_28719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28719,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28722,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5806: readln */
f_28599(t3,((C_word*)t0)[2]);}

/* k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_28722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28722,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_eofp(t2);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(t2));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28728,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5811: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(t2,t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5815: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1183];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28728(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(t2,t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5815: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1183];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28728(2,av2);}}}}}

/* k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_28728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28728,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28735,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5818: readln */
f_28599(t2,((C_word*)t0)[4]);}

/* k28733 in k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_28735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28735,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28737,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li894),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28737(t5,((C_word*)t0)[7],t1);}

/* doloop6696 in k28733 in k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_fcall f_28737(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28737,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28750,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28763,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1180],((C_word*)t0)[2],lf[1181]);
/* library.scm:5773: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word av2[3];
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5823: chicken.base#get-output-string */
t6=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28766,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5825: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word av2[4];
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28766(2,av2);}}}}

/* k28748 in doloop6696 in k28733 in k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_28750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28750,2,av);}
/* library.scm:5823: chicken.base#get-output-string */
t2=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28761 in doloop6696 in k28733 in k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_28763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28763,2,av);}
/* library.scm:5821: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28764 in doloop6696 in k28733 in k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_28766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28766,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28769,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5827: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28767 in k28764 in doloop6696 in k28733 in k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_28769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28769,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5818: readln */
f_28599(t2,((C_word*)t0)[5]);}

/* k28774 in k28767 in k28764 in doloop6696 in k28733 in k28726 in k28720 in k28717 in k28714 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_28776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28776,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28737(t2,((C_word*)t0)[3],t1);}

/* k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_28829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28829,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28832,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5830: readln */
f_28599(t2,((C_word*)t0)[2]);}

/* k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_28832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28832,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28835,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5831: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_28835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28835,2,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28837,a[2]=t3,a[3]=((C_word)li895),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28851,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5840: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5844: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1187];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28851(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5844: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1187];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28851(2,av2);}}}}}

/* get/clear-str in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_fcall f_28837(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28837,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28841,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5833: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28839 in get/clear-str in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_28841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28841,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28845,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5834: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28843 in k28839 in get/clear-str in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_28845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28845,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_28851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28851,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28856,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li897),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28856(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_fcall f_28856(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28856,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28860,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5849: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word av2[3];
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_28860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28860,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_eqp(t2,C_make_character(10));
t4=(C_truep(t3)?t3:C_eqp(t2,C_SCHEME_END_OF_FILE));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28872,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5852: get/clear-str */
t6=((C_word*)t0)[7];
f_28837(t6,t5);}
else{
t5=C_eqp(t2,C_make_character(35));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28992,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5872: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29059,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5882: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_28872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28872,2,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28884,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28969,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1180],((C_word*)t0)[3],lf[1181]);
/* library.scm:5773: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28884(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5870: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28856(t6,((C_word*)t0)[4],t5);}}

/* k28882 in k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_28884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28884,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28891,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28897,a[2]=t5,a[3]=((C_word)li896),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28897(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1185]);}

/* k28889 in k28882 in k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_28891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28891,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[938],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28882 in k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_fcall f_28897(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_28897,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28911,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5862: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word av2[3];
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28920,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_28920(t8,t6);}
else{
t8=t2;
t9=C_u_i_car(t8);
t10=t7;
f_28920(t10,C_charp(t9));}}}

/* k28909 in loop2 in k28882 in k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_ccall f_28911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28911,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1184],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28918 in loop2 in k28882 in k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_fcall f_28920(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28920,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=C_a_i_cons(&a,2,t5,((C_word*)t0)[3]);
/* library.scm:5864: loop2 */
t7=((C_word*)((C_word*)t0)[4])[1];
f_28897(t7,((C_word*)t0)[5],t3,t6,((C_word*)t0)[6]);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28950,a[2]=((C_word*)t0)[6],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5869: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word av2[3];
av2[0]=*((C_word*)lf[938]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k28948 in k28918 in loop2 in k28882 in k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_28950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_28950,2,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1184],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1184],((C_word*)t0)[3],t2);
/* library.scm:5866: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28897(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k28967 in k28870 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_28969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28969,2,av);}
/* library.scm:5855: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[782]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[782]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28990 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_28992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28992,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29001,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29008,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5875: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29025,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5877: read-escaped-sexp */
f_28646(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29044,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5879: read-escaped-sexp */
f_28646(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k28999 in k28990 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_29001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29001,2,av);}
/* library.scm:5876: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28856(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k29006 in k28990 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_29008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29008,2,av);}
/* library.scm:5875: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k29023 in k28990 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_29025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29025,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29033,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5878: get/clear-str */
t4=((C_word*)t0)[5];
f_28837(t4,t3);}

/* k29031 in k29023 in k28990 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_29033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29033,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5877: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28856(t4,((C_word*)t0)[5],t3);}

/* k29042 in k28990 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_29044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29044,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29052,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5880: get/clear-str */
t4=((C_word*)t0)[5];
f_28837(t4,t3);}

/* k29050 in k29042 in k28990 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_29052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29052,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5879: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28856(t4,((C_word*)t0)[5],t3);}

/* k29057 in k28858 in loop in k28849 in k28833 in k28830 in k28827 in k28705 in k28702 in user-read-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_29059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29059,2,av);}
/* library.scm:5883: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28856(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_29121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29121,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1191]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29128,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5945: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1191];
tp(4,av2);}}

/* k29126 in chicken.process-context#change-directory in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_29128,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29131,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29137,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5947: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word *av2=av;
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k29129 in k29126 in chicken.process-context#change-directory in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_29131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29131,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29135 in k29126 in chicken.process-context#change-directory in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_29137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_29137,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29144,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29148,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29142 in k29135 in k29126 in chicken.process-context#change-directory in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_29144,2,av);}
/* library.scm:5948: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[703];
av2[3]=lf[1191];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k29146 in k29135 in k29126 in chicken.process-context#change-directory in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29148,2,av);}
/* library.scm:5949: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1192];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_29151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29151,3,av);}
/* library.scm:5953: change-directory */
t3=C_fast_retrieve(lf[1190]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_29159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_29159,2,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29161,a[2]=((C_word)li901),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1196]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29179,a[2]=((C_word)li902),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1198]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29196,a[2]=((C_word)li903),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1200]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29216,a[2]=((C_word)li906),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1201]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29282,a[2]=((C_word)li907),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29289,a[2]=((C_word)li908),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1203]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29301,a[2]=t10,a[3]=((C_word)li910),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29341,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31059,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6029: argv */
t14=C_fast_retrieve(lf[1203]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29161,3,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29170,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t5=C_i_foreign_string_argumentp(t2);
/* library.scm:5974: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2=av;
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=stub6814(t3,C_SCHEME_FALSE);
/* library.scm:5974: ##sys#peek-c-string */
t6=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k29168 in chicken.process-context#get-environment-variable in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_29170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29170,2,av);}
t2=stub6814(((C_word*)t0)[2],t1);
/* library.scm:5974: ##sys#peek-c-string */
t3=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29179,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1197]);
t5=C_i_check_string_2(t3,lf[1197]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29190,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5980: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2=av;
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1197];
tp(4,av2);}}

/* k29188 in chicken.process-context#set-environment-variable! in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_29190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29190,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29194,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5981: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1197];
tp(4,av2);}}

/* k29192 in k29188 in chicken.process-context#set-environment-variable! in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29194,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29196,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1199]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29204,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5987: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1199];
tp(4,av2);}}

/* k29202 in chicken.process-context#unset-environment-variable! in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_29204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29204,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29216,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29222,a[2]=t3,a[3]=((C_word)li905),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29222(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_fcall f_29222(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29222,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29226,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub6833(t5,t6);
/* library.scm:5991: ##sys#peek-c-string */
t8=*((C_word*)lf[706]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k29224 in loop in chicken.process-context#get-environment-variables in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29226,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29234,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li904),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_29234(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan in k29224 in loop in chicken.process-context#get-environment-variables in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_fcall f_29234(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29234,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29260,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5998: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:6001: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k29250 in k29262 in k29258 in scan in k29224 in loop in chicken.process-context#get-environment-variables in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_29252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29252,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29258 in scan in k29224 in loop in chicken.process-context#get-environment-variables in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29260,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29264,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* library.scm:5999: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k29262 in k29258 in scan in k29224 in loop in chicken.process-context#get-environment-variables in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29264,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29252,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:6000: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_29222(t6,t4,t5);}

/* chicken.process-context#executable-pathname in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29282,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub6845(t2);
/* library.scm:6011: ##sys#peek-and-free-c-string */
t4=*((C_word*)lf[1139]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29289,2,av);}
a=C_alloc(3);
/* library.scm:6014: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29301,2,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29309,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29315,a[2]=t5,a[3]=((C_word)li909),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29315(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29307 in chicken.process-context#argv in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_29309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29309,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6857 in chicken.process-context#argv in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_fcall f_29315(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29315,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29337,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t7=t2;
t8=C_a_i_bytevector(&a,1,C_fix(3));
t9=stub6853(t8,t7);
/* library.scm:6018: ##sys#peek-c-string */
t10=*((C_word*)lf[706]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t6;
av2[2]=t9;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}

/* k29335 in doloop6857 in chicken.process-context#argv in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29337,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29315(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_29341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29341,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1204]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29345,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30971,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6038: argv */
t5=C_fast_retrieve(lf[1203]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_29345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29345,2,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1205]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1206]);
t4=C_mutate((C_word*)lf[1207]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29347,a[2]=((C_word)li911),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1208]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29350,a[2]=((C_word)li912),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1209]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29353,a[2]=((C_word)li913),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29378,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6086: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[675]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[675]+1);
av2[1]=t7;
av2[2]=t9;
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29347,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29350,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29353,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29357,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6076: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29355 in chicken.gc#memory-statistics in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_29357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29357,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29360,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6077: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[320]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[320]+1);
av2[1]=t3;
tp(2,av2);}}

/* k29358 in k29355 in chicken.gc#memory-statistics in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29360,2,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_difference(t2,((C_word*)t0)[2]);
t4=C_slot(t1,C_fix(1));
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_vector3(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_29378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29378,2,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1176]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1176]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1210]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li914),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1211]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29384,a[2]=((C_word)li915),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1177]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29449,a[2]=t7,a[3]=((C_word)li924),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29598,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6155: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_29384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29384,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29388,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_live_finalizer_count();
if(C_truep(C_fixnum_greater_or_equal_p(t5,C_fix((C_word)C_max_pending_finalizers)))){
t6=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t6))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29405,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6098: ##sys#vector-resize */
f_17993(t7,C_fast_retrieve(lf[1176]),t9,C_SCHEME_UNDEFINED);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29435,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29445,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=C_i_live_finalizer_count();
/* library.scm:6114: string-append */
t10=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[1215];
av2[3]=t9;
av2[4]=lf[1216];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:6119: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1210]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1210]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29386 in chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29388,2,av);}
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1210]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1210]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29403 in chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29405,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1176]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29415,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29419,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=C_i_live_finalizer_count();
/* library.scm:6105: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1210]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1210]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29413 in k29403 in chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29415,2,av);}
/* library.scm:6102: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29417 in k29403 in chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29419,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29423,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6108: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29421 in k29417 in k29403 in chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_29423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29423,2,av);}
/* library.scm:6103: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1212];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1213];
av2[5]=t1;
av2[6]=lf[1214];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29433 in chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29435,2,av);}
/* library.scm:6119: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29443 in chicken.gc#set-finalizer! in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29445,2,av);}
/* library.scm:6113: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_29449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_29449,3,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29453,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t4=t3;
f_29453(t4,C_SCHEME_UNDEFINED);}
else{
t4=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t5=C_slot(C_fast_retrieve(lf[1176]),C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29481,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29580,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29584,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6132: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t7;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_29481(2,av2);}}}}

/* k29451 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_fcall f_29453(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_29453,2,t0,t1);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6152: state */
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6153: ##sys#context-switch */{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29481,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29484,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29493,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li923),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29493(t6,t2,C_fix(0));}

/* k29482 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29484,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29487,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6148: vector-fill! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[97]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[97]+1);
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1176]);
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* k29485 in k29482 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_29487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29487,2,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1176]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];
f_29453(t4,t3);}

/* doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_fcall f_29493(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29493,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29506,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29518,a[2]=t5,a[3]=((C_word)li922),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: scheme#call-with-current-continuation */
t8=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t6;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k29504 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_29506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29506,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29509,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6143: g6939 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29507 in k29504 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_29509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29509,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_29493(t3,((C_word*)t0)[4],t2);}

/* a29517 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_29518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29518,3,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29524,a[2]=t2,a[3]=((C_word)li917),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29536,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li921),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6144: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[918]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29523 in a29517 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_29524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29524,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29530,a[2]=t2,a[3]=((C_word)li916),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: k6936 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29529 in a29523 in a29517 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_29530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29530,2,av);}
/* library.scm:6145: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1055]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1055]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1217];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29535 in a29517 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_29536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29536,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29542,a[2]=((C_word*)t0)[2],a[3]=((C_word)li918),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29559,a[2]=((C_word*)t0)[3],a[3]=((C_word)li920),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29541 in a29535 in a29517 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_29542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29542,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(C_fast_retrieve(lf[1176]),t2);
t4=C_slot(C_fast_retrieve(lf[1176]),((C_word*)t0)[2]);
/* library.scm:6144: g6943 */
t5=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}

/* a29558 in a29535 in a29517 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_29559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29559,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29565,a[2]=t2,a[3]=((C_word)li919),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: k6936 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29564 in a29558 in a29535 in a29517 in doloop6932 in k29479 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_29565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29565,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29578 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29580,2,av);}
/* library.scm:6131: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29582 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29584,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29588,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_live_finalizer_count();
/* library.scm:6134: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29586 in k29582 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29588,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29592,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_i_allocated_finalizer_count();
/* library.scm:6137: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29590 in k29586 in k29582 in run-pending-finalizers in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_29592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29592,2,av);}
/* library.scm:6132: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1218];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1219];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1220];
av2[7]=t1;
av2[8]=lf[1221];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_29598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29598,2,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[961]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[960]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29600,a[2]=((C_word)li926),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1222]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29628,a[2]=((C_word)li927),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[820]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[254]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[374]+1));
t10=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1236]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1237]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1238]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1239]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1240]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1241]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1242]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1243]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1244]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29671,a[2]=((C_word)li928),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1257]);
t31=C_mutate((C_word*)lf[1258]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29935,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1260]+1 /* (set! chicken.plist#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29941,a[2]=((C_word)li930),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1262]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1258]));
t34=C_mutate((C_word*)lf[1263]+1 /* (set! ##sys#get ...) */,C_fast_retrieve(lf[1260]));
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29960,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6289: chicken.base#getter-with-setter */
t36=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t36;
av2[1]=t35;
av2[2]=C_fast_retrieve(lf[1260]);
av2[3]=C_fast_retrieve(lf[1258]);
((C_proc)(void*)(*((C_word*)t36+1)))(4,av2);}}

/* ##sys#force-finalizers in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29600,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29606,a[2]=t3,a[3]=((C_word)li925),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29606(t5,t1);}

/* loop in force-finalizers in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_fcall f_29606(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29606,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29610,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6159: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29608 in loop in force-finalizers in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_29610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29610,2,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1176]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29619,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6161: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1177]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1177]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29617 in k29608 in loop in force-finalizers in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_29619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29619,2,av);}
/* library.scm:6162: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29606(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29628,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
if(C_truep(t4)){
/* library.scm:6168: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6169: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}}
else{
/* library.scm:6169: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29671,6,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6202: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1245];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29693,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t9=C_block_size(t2);
/* library.scm:6204: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t9;
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29706,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6211: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1246]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=t11;
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29731,a[2]=t12,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t14=C_block_size(t12);
/* library.scm:6217: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t14;
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1247]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29747,a[2]=t1,a[3]=t13,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t15=C_block_size(t13);
/* library.scm:6221: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1248]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=t13;
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29763,a[2]=t14,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t16=C_block_size(t14);
/* library.scm:6225: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t16;
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1249]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=t14;
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29779,a[2]=t1,a[3]=t15,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t17=C_block_size(t15);
/* library.scm:6229: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t17;
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1250]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=t15;
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29795,a[2]=t16,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t18=C_block_size(t16);
/* library.scm:6233: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t18;
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1251]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=t16;
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29811,a[2]=t1,a[3]=t17,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t19=C_block_size(t17);
/* library.scm:6237: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t19;
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1252]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=t17;
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29827,a[2]=t18,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t20=C_block_size(t18);
/* library.scm:6241: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t20;
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1253]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=t18;
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29843,a[2]=t1,a[3]=t19,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t19);
/* library.scm:6245: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t21;
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1254]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=t19;
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29859,a[2]=t20,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t22=C_block_size(t20);
/* library.scm:6249: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1255]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=t20;
t22=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29875,a[2]=t1,a[3]=t21,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t23=C_block_size(t21);
/* library.scm:6253: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t22;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t23;
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29882,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
t22=C_fixnum_difference(t21,C_fix(1));
/* library.scm:6257: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29923,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6260: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[335]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[335]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6263: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1256];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29691 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29693,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29704 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29706,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29729 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29731,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29745 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29747,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29761 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29763,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29777 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29779,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29793 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29795,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29809 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29811,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29825 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29827,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29841 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29843,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29857 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29859,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29873 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29875,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29880 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29882,2,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29921 in make-locative in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29923,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_29935,5,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1259]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.plist#get in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_29941,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_symbol_2(t2,lf[1261]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_getprop(t2,t3,t6);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_29960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_29960,2,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1260]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1264]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29962,a[2]=((C_word)li932),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30031,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30927,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30936,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6309: chicken.base#getter-with-setter */
t7=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1348];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_29962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29962,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1265]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29985,a[2]=t3,a[3]=t2,a[4]=((C_word)li931),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_29985(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=C_i_unpersist_symbol(t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static C_word C_fcall f_29985(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_30031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_30031,2,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1266]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1267]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30033,a[2]=((C_word)li934),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1269]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30096,a[2]=((C_word)li938),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[963]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li939),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1285]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li940),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1286]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30338,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30925,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6414: g7199 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_30033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30033,4,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30040,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_30040(t9,t8);}
else{
t7=t6;
f_30040(t7,C_SCHEME_UNDEFINED);}}

/* k30038 in chicken.plist#get-properties in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_fcall f_30040(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_30040,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1268]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30052,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li933),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30052(t7,((C_word*)t0)[4],t3);}

/* loop in k30038 in chicken.plist#get-properties in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_fcall f_30052(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_30052,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6333: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
t6=C_slot(t4,C_fix(0));
/* library.scm:6338: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=t6;
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6339: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* ##sys#display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_30096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_30096,3,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30111,a[2]=((C_word)li935),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30125,a[2]=((C_word)li936),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30145,a[2]=t4,a[3]=t6,a[4]=((C_word)li937),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30230,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6361: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2=av;
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* pnum in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_fcall f_30111(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_30111,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30119,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=t2;
if(C_truep(C_i_zerop(t4))){
/* library.scm:6350: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[1270];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6350: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k30117 in pnum in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30119,2,av);}
/* library.scm:6350: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_fcall f_30125(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_30125,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30133,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30143,a[2]=t5,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6352: scheme#expt */
t7=*((C_word*)lf[532]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k30131 in round-to in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30133,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30137,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6352: scheme#expt */
t4=*((C_word*)lf[532]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1271];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k30135 in k30131 in round-to in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_30137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30137,2,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k30141 in round-to in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_30143,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6352: scheme#round */
t3=*((C_word*)lf[552]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_fcall f_30145(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_30145,3,t0,t1,t2);}
a=C_alloc(11);
t3=t2;
if(C_truep(C_i_greaterp(t3,lf[1272]))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30157,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30164,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30168,a[2]=((C_word*)t0)[3],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t7;
av2[3]=lf[1272];
tp(4,av2);}}
else{
t4=t2;
if(C_truep(C_i_greaterp(t4,C_fix(1048576)))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30184,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30191,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30195,a[2]=((C_word*)t0)[3],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
t5=t2;
if(C_truep(C_i_greaterp(t5,C_fix(1024)))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30208,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30215,a[2]=((C_word*)t0)[2],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30219,a[2]=((C_word*)t0)[3],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t8;
av2[2]=t9;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30224,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6360: pnum */
f_30111(t6,t2);}}}}

/* k30155 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30157,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30162 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30164,2,av);}
/* library.scm:6355: pnum */
f_30111(((C_word*)t0)[3],t1);}

/* k30166 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30168,2,av);}
/* library.scm:6355: round-to */
f_30125(((C_word*)t0)[3],t1,C_fix(2));}

/* k30182 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30184,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30189 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30191,2,av);}
/* library.scm:6357: pnum */
f_30111(((C_word*)t0)[3],t1);}

/* k30193 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30195,2,av);}
/* library.scm:6357: round-to */
f_30125(((C_word*)t0)[3],t1,C_fix(2));}

/* k30206 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30208,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30213 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30215,2,av);}
/* library.scm:6359: pnum */
f_30111(((C_word*)t0)[3],t1);}

/* k30217 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30219,2,av);}
/* library.scm:6359: round-to */
f_30125(((C_word*)t0)[3],t1,C_fix(2));}

/* k30222 in pmem in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30224,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1276];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_30230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30230,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30233,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:6362: pnum */
f_30111(t2,t3);}

/* k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30233,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30236,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1284];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_30236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30236,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30242,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30322,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6347: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1283];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30242(2,av2);}}}

/* k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_30242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30242,2,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(3));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30251,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30305,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t5,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t8=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1281];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30251(2,av2);}}}

/* k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_ccall f_30251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30251,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30260,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t7=C_fixnum_greaterp(t3,C_fix(0));
t8=(C_truep(t7)?t7:C_fixnum_greaterp(t5,C_fix(0)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30284,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t10=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[1279];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
t9=t6;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_30260(2,av2);}}}

/* k30258 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30260,2,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30266,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6347: ##sys#print */
t5=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1277];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k30264 in k30258 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30266,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30269,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6387: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30145(t3,t2,((C_word*)t0)[4]);}

/* k30267 in k30264 in k30258 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30269,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30272,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6388: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[719]+1);
tp(4,av2);}}

/* k30270 in k30267 in k30264 in k30258 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30272,2,av);}
/* library.scm:6389: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[719]+1);
tp(3,av2);}}

/* k30282 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30284,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30287,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6381: pnum */
f_30111(t2,((C_word*)t0)[5]);}

/* k30285 in k30282 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30287,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30290,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6348: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[719]+1);
tp(4,av2);}}

/* k30288 in k30285 in k30282 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30290,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30293,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6383: pnum */
f_30111(t2,((C_word*)t0)[4]);}

/* k30291 in k30288 in k30285 in k30282 in k30249 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30293,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1278];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30303 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_ccall f_30305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30305,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30308,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6373: pnum */
f_30111(t2,((C_word*)t0)[5]);}

/* k30306 in k30303 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30308,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30311,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6348: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[719]+1);
tp(4,av2);}}

/* k30309 in k30306 in k30303 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30311,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30314,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6375: pnum */
f_30111(t2,((C_word*)t0)[4]);}

/* k30312 in k30309 in k30306 in k30303 in k30240 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30314,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1280];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30320 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_30322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30322,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30325,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6367: pnum */
f_30111(t2,((C_word*)t0)[4]);}

/* k30323 in k30320 in k30234 in k30231 in k30228 in display-times in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_ccall f_30325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30325,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1282];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_30338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30338,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1287]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30339,a[2]=t2,a[3]=((C_word)li941),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30344,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30921,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6418: g7203 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-type in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_30339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30339,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_30344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30344,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1288]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30345,a[2]=t2,a[3]=((C_word)li942),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30350,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30917,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6422: g7207 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-type in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30345,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30350,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1289]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30351,a[2]=t2,a[3]=((C_word)li943),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30356,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30913,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6426: g7211 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-byte-order in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_30351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30351,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_30356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30356,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1290]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30357,a[2]=t2,a[3]=((C_word)li944),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30362,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30909,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6430: g7215 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-version in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_30357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30357,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_30362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30362,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_mutate((C_word*)lf[1291]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30363,a[2]=t2,a[3]=((C_word)li945),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30368,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30905,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6434: software-type */
t6=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.platform#build-platform in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_ccall f_30363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30363,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_fcall f_30368(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,3)))){
C_save_and_reclaim_args((void *)trf_30368,2,t0,t1);}
a=C_alloc(15);
t2=C_set_block_item(lf[1292] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1293]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30370,a[2]=((C_word)li947),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1327]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30509,a[2]=((C_word)li948),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30517,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30875,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t7=*((C_word*)lf[706]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_30370,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30431,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30501,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6451: feature? */
t7=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1326];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t5=C_fast_retrieve(lf[1295]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fast_retrieve(lf[1295]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in ... */
static void C_ccall f_30380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30380,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30383,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6441: software-type */
t4=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in ... */
static void C_ccall f_30383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30383,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30386,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6442: software-version */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in ... */
static void C_ccall f_30386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30386,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30389,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6443: machine-type */
t4=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30387 in k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in ... */
static void C_ccall f_30389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30389,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30391,a[2]=((C_word)li946),tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30413,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6448: str */
f_30391(t4,((C_word*)t0)[5]);}

/* str in k30387 in k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in ... */
static void C_fcall f_30391(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30391,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1300],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1301];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30405,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6447: scheme#symbol->string */
t5=*((C_word*)lf[637]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30403 in str in k30387 in k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in ... */
static void C_ccall f_30405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30405,2,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1302];
tp(4,av2);}}

/* k30411 in k30387 in k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in ... */
static void C_ccall f_30413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30413,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30417,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6448: str */
f_30391(t3,((C_word*)t0)[6]);}

/* k30415 in k30411 in k30387 in k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in ... */
static void C_ccall f_30417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30417,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30421,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6448: str */
f_30391(t3,((C_word*)t0)[6]);}

/* k30419 in k30415 in k30411 in k30387 in k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in ... */
static void C_ccall f_30421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30421,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30425,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6448: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30423 in k30419 in k30415 in k30411 in k30387 in k30384 in k30381 in k30378 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in ... */
static void C_ccall f_30425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30425,2,av);}
/* library.scm:6448: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30431,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30438,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1307]))){
/* library.scm:6458: scheme#string-append */
t4=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1308];
av2[3]=C_fast_retrieve(lf[1307]);
av2[4]=lf[1309];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1310];
f_30438(2,av2);}}}

/* k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30438,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30442,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1303]))){
/* library.scm:6459: scheme#string-append */
t4=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1304];
av2[3]=C_fast_retrieve(lf[1303]);
av2[4]=lf[1305];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1306];
f_30442(2,av2);}}}

/* k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30442,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30446,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30380,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6440: build-platform */
t6=C_fast_retrieve(lf[1291]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k30444 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in ... */
static void C_ccall f_30446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30446,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30450,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_block_size(((C_word*)t0)[5]);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
/* library.scm:6456: scheme#string-append */
t6=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1294];
av2[3]=C_fast_retrieve(lf[1295]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1296];
av2[7]=t2;
av2[8]=lf[1297];
((C_proc)(void*)(*((C_word*)t6+1)))(9,av2);}}
else{
/* library.scm:6464: scheme#string-append */
t6=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=lf[1298];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1299];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* k30448 in k30444 in k30440 in k30436 in k30429 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in ... */
static void C_ccall f_30450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30450,2,av);}
/* library.scm:6456: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1294];
av2[3]=C_fast_retrieve(lf[1295]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1296];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30487 in k30490 in k30493 in k30496 in k30499 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in ... */
static void C_ccall f_30489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30489,2,av);}
if(C_truep(t1)){
/* library.scm:6450: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1319];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6450: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1320];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30490 in k30493 in k30496 in k30499 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in ... */
static void C_ccall f_30492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30492,2,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1317]:lf[1318]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30489,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6455: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1322];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30493 in k30496 in k30499 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30495,2,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1315]:lf[1316]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30492,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6454: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1323];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30496 in k30499 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30498,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1313]:lf[1314]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30495,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6453: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1324];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30499 in chicken.platform#chicken-version in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30501,2,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1311]:lf[1312]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30498,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6452: feature? */
t5=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1325];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30509,2,av);}
a=C_alloc(3);
/* ##sys#peek-c-string */
t2=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30517,2,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1328]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30521,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30859,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30521,2,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1329]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1330] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30538,a[2]=((C_word)li949),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,lf[1333]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30572,a[2]=((C_word)li950),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30590,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30855,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6511: software-type */
t8=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30538,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30545,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6497: chicken.keyword#keyword? */
t4=*((C_word*)lf[650]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30543 in chicken.platform#->feature-id in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30545,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:6498: chicken.keyword#string->keyword */
t2=*((C_word*)lf[651]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30567,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6499: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_list(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=lf[1331];
av2[5]=t3;
C_apply(6,av2);}}}}}

/* k30565 in k30543 in chicken.platform#->feature-id in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in ... */
static void C_ccall f_30567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30567,2,av);}
/* library.scm:6499: chicken.keyword#string->keyword */
t2=*((C_word*)lf[651]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_fcall f_30572(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30572,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1300],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30587,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6510: ->feature-id */
t5=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30538(3,av2);}}}

/* k30585 in check in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30587,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1332]));
t3=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30590,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30593,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30851,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6512: software-version */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30593,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30596,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30847,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6513: build-platform */
t4=C_fast_retrieve(lf[1291]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in ... */
static void C_ccall f_30596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30596,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30599,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30843,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6514: machine-type */
t4=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in ... */
static void C_ccall f_30599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30599,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30602,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30839,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6515: machine-byte-order */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in ... */
static void C_ccall f_30602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30602,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30605,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1325],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30605(t5,t4);}
else{
t3=t2;
f_30605(t3,C_SCHEME_UNDEFINED);}}

/* k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in ... */
static void C_fcall f_30605(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30605,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30608,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1324],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30608(t5,t4);}
else{
t3=t2;
f_30608(t3,C_SCHEME_UNDEFINED);}}

/* k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in ... */
static void C_fcall f_30608(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30608,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30611,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1323],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30611(t5,t4);}
else{
t3=t2;
f_30611(t3,C_SCHEME_UNDEFINED);}}

/* k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in ... */
static void C_fcall f_30611(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30611,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30614,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1322],C_fast_retrieve(lf[1332]));
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30614(t5,t4);}
else{
t3=t2;
f_30614(t3,C_SCHEME_UNDEFINED);}}

/* k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in ... */
static void C_fcall f_30614(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30614,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30617,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1326],C_fast_retrieve(lf[1332]));
t6=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30617(t7,t6);}
else{
t5=t2;
f_30617(t5,C_SCHEME_UNDEFINED);}}

/* k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in ... */
static void C_fcall f_30617(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30617,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30621,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6529: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in ... */
static void C_ccall f_30621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30621,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30624,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6530: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in ... */
static void C_ccall f_30624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30624,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30793,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30809,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6531: scheme#string-append */
t5=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1340];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* chicken.platform#register-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in ... */
static void C_ccall f_30629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30629,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30648,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30650,a[2]=t5,a[3]=((C_word)li951),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30650(t7,t3,t2);}

/* k30633 in for-each-loop7289 in chicken.platform#register-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in ... */
static void C_ccall f_30635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30635,2,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1332])))){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1332]));
t3=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30646 in chicken.platform#register-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in ... */
static void C_ccall f_30648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30648,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7289 in chicken.platform#register-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in ... */
static void C_fcall f_30650(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_30650,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30660,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30635,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6538: ->feature-id */
t7=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
f_30538(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30658 in for-each-loop7289 in chicken.platform#register-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in ... */
static void C_ccall f_30660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30660,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_30650(t3,((C_word*)t0)[4],t2);}

/* chicken.platform#unregister-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in ... */
static void C_ccall f_30673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,3)))){
C_save_and_reclaim((void*)f_30673,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30680,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30717,a[2]=t5,a[3]=t10,a[4]=t7,a[5]=t6,a[6]=((C_word)li954),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_30717(t12,t8,t2);}

/* k30678 in chicken.platform#unregister-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in ... */
static void C_ccall f_30680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30680,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30684,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30686,a[2]=t2,a[3]=t5,a[4]=((C_word)li953),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30686(t7,t3,C_fast_retrieve(lf[1332]));}

/* k30682 in k30678 in chicken.platform#unregister-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in ... */
static void C_ccall f_30684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30684,2,av);}
t2=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30678 in chicken.platform#unregister-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in ... */
static void C_fcall f_30686(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30686,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t4,((C_word*)t0)[2]))){
/* library.scm:6552: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30715,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6553: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k30713 in loop in k30678 in chicken.platform#unregister-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in ... */
static void C_ccall f_30715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30715,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7312 in chicken.platform#unregister-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in ... */
static void C_fcall f_30717(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30717,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30742,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:6544: g7318 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30740 in map-loop7312 in chicken.platform#unregister-feature! in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in ... */
static void C_ccall f_30742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30742,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_30717(t6,((C_word*)t0)[5],t5);}

/* chicken.platform#features in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in ... */
static void C_ccall f_30751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30751,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1332]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in ... */
static void C_ccall f_30754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30754,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30760,a[2]=t4,a[3]=((C_word)li957),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30760(t6,t1,t2);}

/* loop in chicken.platform#feature? in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in ... */
static void C_fcall f_30760(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30760,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30784,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:6561: ->feature-id */
t6=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
f_30538(3,av2);}}}

/* k30782 in loop in chicken.platform#feature? in k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in ... */
static void C_ccall f_30784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30784,2,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1332])))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:6562: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30760(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in ... */
static void C_ccall f_30793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_30793,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30801,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30805,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6532: scheme#string-append */
t5=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1338];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1339];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}

/* k30799 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in ... */
static void C_ccall f_30801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_30801,2,av);}
a=C_alloc(21);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1332]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1334]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30629,a[2]=((C_word)li952),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1335]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30673,a[2]=((C_word)li955),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1336]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30751,a[2]=((C_word)li956),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1321]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30754,a[2]=((C_word)li958),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1337]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp));
t10=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}

/* k30803 in k30791 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in ... */
static void C_ccall f_30805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30805,2,av);}
/* library.scm:6532: ->feature-id */
t2=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30538(3,av2);}}

/* k30807 in k30622 in k30619 in k30615 in k30612 in k30609 in k30606 in k30603 in k30600 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in ... */
static void C_ccall f_30809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30809,2,av);}
/* library.scm:6531: ->feature-id */
t2=C_retrieve2(lf[1330],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30538(3,av2);}}

/* k30837 in k30597 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in ... */
static void C_ccall f_30839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30839,2,av);}
/* library.scm:6515: check */
f_30572(((C_word*)t0)[3],t1);}

/* k30841 in k30594 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in ... */
static void C_ccall f_30843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30843,2,av);}
/* library.scm:6514: check */
f_30572(((C_word*)t0)[3],t1);}

/* k30845 in k30591 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in ... */
static void C_ccall f_30847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30847,2,av);}
/* library.scm:6513: check */
f_30572(((C_word*)t0)[3],t1);}

/* k30849 in k30588 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in ... */
static void C_ccall f_30851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30851,2,av);}
/* library.scm:6512: check */
f_30572(((C_word*)t0)[3],t1);}

/* k30853 in k30519 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30855,2,av);}
/* library.scm:6511: check */
f_30572(((C_word*)t0)[3],t1);}

/* k30857 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30859,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30862,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6482: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30865,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6484: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1195]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1341];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30860 in k30857 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30862,2,av);}
/* library.scm:6482: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30863 in k30857 in k30515 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in ... */
static void C_ccall f_30865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30865,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6482: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30873 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30875,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30878,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6476: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30881,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6478: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1195]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1342];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30876 in k30873 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30878,2,av);}
/* library.scm:6476: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30879 in k30873 in k30366 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in ... */
static void C_ccall f_30881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30881,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6476: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30899 in k30903 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in ... */
static void C_ccall f_30901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30901,2,av);}
t2=C_eqp(lf[1344],t1);
t3=((C_word*)t0)[2];
f_30368(t3,C_i_not(t2));}

/* k30903 in k30360 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in ... */
static void C_ccall f_30905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30905,2,av);}
a=C_alloc(3);
t2=C_eqp(lf[1343],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30901,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6436: software-version */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30368(t3,C_SCHEME_FALSE);}}

/* k30907 in k30354 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in ... */
static void C_ccall f_30909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30909,2,av);}
/* library.scm:6430: scheme#string->symbol */
t2=*((C_word*)lf[639]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30911 in k30348 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in ... */
static void C_ccall f_30913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30913,2,av);}
/* library.scm:6426: scheme#string->symbol */
t2=*((C_word*)lf[639]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30915 in k30342 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in ... */
static void C_ccall f_30917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30917,2,av);}
/* library.scm:6422: scheme#string->symbol */
t2=*((C_word*)lf[639]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30919 in k30336 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in ... */
static void C_ccall f_30921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30921,2,av);}
/* library.scm:6418: scheme#string->symbol */
t2=*((C_word*)lf[639]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30923 in k30029 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_30925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30925,2,av);}
/* library.scm:6414: scheme#string->symbol */
t2=*((C_word*)lf[639]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a30926 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_30927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30927,3,av);}
t3=C_i_check_symbol_2(t2,lf[1345]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a30935 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in ... */
static void C_ccall f_30936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_30936,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1345]);
t5=C_i_check_list_2(t3,lf[1346]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30946,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_setslot(t2,C_fix(2),t3);
f_30946(2,av2);}}
else{
/* library.scm:6318: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[258];
av2[3]=lf[1347];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k30944 in a30935 in k29958 in k29596 in k29376 in k29343 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in ... */
static void C_ccall f_30946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30946,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_i_unpersist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_i_persist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_30971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30971,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30974,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30992,a[2]=t5,a[3]=((C_word)li968),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30992(t7,t2,t3);}
else{
t3=t1;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36641,a[2]=((C_word)li969),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6037: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k30972 in k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_30974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30974,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30976,a[2]=((C_word)li967),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6037: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a30975 in k30972 in k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_30976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30976,3,av);}
t3=C_i_check_list_2(t2,lf[1349]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_fcall f_30992(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_30992,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31011,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(t4);
if(C_truep(C_fixnum_greater_or_equal_p(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31031,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6046: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t9=t7;
f_31011(t9,C_SCHEME_FALSE);}}}

/* k31009 in loop in k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_fcall f_31011(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_31011,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:6047: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_30992(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31021,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6048: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_30992(t3,t2,((C_word*)t0)[4]);}}

/* k31019 in k31009 in loop in k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in ... */
static void C_ccall f_31021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31021,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k31029 in loop in k30969 in k29339 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in ... */
static void C_ccall f_31031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31031,2,av);}
t2=((C_word*)t0)[2];
f_31011(t2,C_i_string_equal_p(lf[1350],t1));}

/* k31053 in k31057 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_31055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31055,2,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36653,a[2]=((C_word)li971),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6028: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31057 in k29157 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_31059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31059,2,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36647,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6028: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1352];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31055,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6031: argv */
t3=C_fast_retrieve(lf[1203]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31060 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31061,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31065,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31063 in a31060 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_31065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31065,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31068,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1292]))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31068(2,av2);}}
else{
/* library.scm:5961: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word *av2=av;
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k31066 in k31063 in a31060 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_31068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31068,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5963: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5964: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[703];
av2[3]=lf[1353];
av2[4]=lf[1354];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31082 in k28520 in k28460 in k27127 in k27124 in k27121 in k26354 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31083,3,av);}
/* library.scm:5968: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1193]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1193]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_31089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31089,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31093,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31246,a[2]=((C_word)li978),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5155: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1008]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1008]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_31093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31093,2,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31102,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5157: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1362];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31196,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5182: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_31102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31102,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31105,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31190,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5159: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1361];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31105(2,av2);}}}

/* k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_31105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31105,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31108,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31134,a[2]=((C_word*)t0)[3],a[3]=((C_word)li975),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5161: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31106 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_31108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31108,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31111,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5173: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31109 in k31106 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_31111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31111,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31114,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5174: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31112 in k31109 in k31106 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31114,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31120,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[1007]))){
/* library.scm:5175: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1147]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1147]+1);
av2[1]=t2;
av2[2]=lf[1359];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31120(2,av2);}}}

/* k31118 in k31112 in k31109 in k31106 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in ... */
static void C_ccall f_31120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31120,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1359],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31126,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5175: g5913 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=C_halt(C_SCHEME_FALSE);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31124 in k31118 in k31112 in k31109 in k31106 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in ... */
static void C_ccall f_31126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31126,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31129,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5178: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31127 in k31124 in k31118 in k31112 in k31109 in k31106 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in ... */
static void C_ccall f_31129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31129,2,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=C_halt(C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31133 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_31134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31134,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];
t3=C_u_i_length(t2);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31144,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5165: ##sys#print */
t6=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1360];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31164,a[2]=t7,a[3]=((C_word)li974),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_31164(t9,t1,t5);}}

/* k31142 in a31133 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_31144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31144,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:5166: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31154 in for-each-loop5895 in a31133 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31156,2,av);}
/* library.scm:5171: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5895 in a31133 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_31164(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31164,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31174,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31156,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5170: ##sys#print */
t8=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31172 in for-each-loop5895 in a31133 in k31103 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31174,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31164(t3,((C_word*)t0)[4],t2);}

/* k31188 in k31100 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_31190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31190,2,av);}
/* library.scm:5160: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[719]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in ... */
static void C_ccall f_31196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31196,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31199,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5183: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31199(2,av2);}}}

/* k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in ... */
static void C_ccall f_31199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31199,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31202,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5184: ##sys#print */
t3=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31200 in k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in ... */
static void C_ccall f_31202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31202,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31203,a[2]=((C_word*)t0)[2],a[3]=((C_word)li976),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31213,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31219,a[2]=t6,a[3]=t2,a[4]=((C_word)li977),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_31219(t8,t4,t3);}

/* g5927 in k31200 in k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_31203(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31203,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31207,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5185: ##sys#print */
t4=*((C_word*)lf[872]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31205 in g5927 in k31200 in k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31207,2,av);}
/* library.scm:5185: ##sys#print */
t2=*((C_word*)lf[872]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31211 in k31200 in k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_ccall f_31213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31213,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31217,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5186: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31215 in k31211 in k31200 in k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31217,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* for-each-loop5926 in k31200 in k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in ... */
static void C_fcall f_31219(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31219,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31229,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5185: g5927 */
t5=((C_word*)t0)[3];
f_31203(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31227 in for-each-loop5926 in k31200 in k31197 in k31194 in k31091 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in ... */
static void C_ccall f_31229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31229,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31219(t3,((C_word*)t0)[4],t2);}

/* a31245 in a31088 in k26042 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in ... */
static void C_ccall f_31246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31246,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1363]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31248 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_31249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31249,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31253,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5057: chicken.base#exit-handler */
t3=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31251 in a31248 in k26038 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in ... */
static void C_ccall f_31253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31253,2,av);}
/* library.scm:5056: g5802 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31257 in k26034 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_31258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31258,2,av);}
/* library.scm:5052: cleanup-before-exit */
f_25953(t1);}

/* a31263 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_31264,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31271,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5042: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k31269 in a31263 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_31271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31271,2,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[958],C_text("exit-in-progress")))){
/* library.scm:5044: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[311]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[311]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1364];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31280,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5046: cleanup-before-exit */
f_25953(t2);}}

/* k31278 in k31269 in a31263 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_31280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31280,2,av);}
t2=C_exit_runtime(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31287 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31288,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31312 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31313,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a31330 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31331,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31335,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4798: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31333 in a31330 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_31335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31335,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=C_fixnum_plus(t2,C_fix(1));
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31349 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31350,4,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31354,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4805: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31352 in a31349 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_31354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31354,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=C_fixnum_plus(t2,((C_word*)t0)[4]);
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31368 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31369,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31371 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31372,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31374 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31375,6,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=t7;
t9=C_slot(t2,C_fix(11));
t10=C_fixnum_difference(t9,t8);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31385,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_i_not(((C_word*)t6)[1]);
if(C_truep(t12)){
if(C_truep(t12)){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31385(t14,t13);}
else{
t13=t11;
f_31385(t13,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t10))){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31385(t14,t13);}
else{
t13=t11;
f_31385(t13,C_SCHEME_UNDEFINED);}}}

/* k31383 in a31374 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_fcall f_31385(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31385,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31415 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31416,4,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=(C_truep(t3)?C_fixnum_plus(t5,t3):t7);
t11=t10;
if(C_truep(C_fixnum_greater_or_equal_p(t5,t7))){
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31440,a[2]=t11,a[3]=t7,a[4]=t9,a[5]=t5,a[6]=((C_word)li749),tmp=(C_word)a,a+=7,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31459,a[2]=t2,a[3]=((C_word)li750),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4827: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a31439 in a31415 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_31440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31440,2,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31450,a[2]=((C_word)li748),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4828: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[926]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[926]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31449 in a31439 in a31415 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in ... */
static void C_ccall f_31450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31450,3,av);}
/* library.scm:4830: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31458 in a31415 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_31459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31459,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a31499 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in ... */
static void C_ccall f_31500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31500,3,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=t5;
if(C_truep(C_fixnum_greater_or_equal_p(t3,t6))){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=lf[927];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31519,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4845: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t7;
av2[2]=t4;
av2[3]=t3;
av2[4]=t6;
tp(5,av2);}}}

/* k31517 in a31499 in k23789 in k23785 in k23781 in k20168 in k20164 in k20160 in k20156 in k20152 in k19791 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in ... */
static void C_ccall f_31519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31519,2,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31531 in k19787 in k19783 in k19779 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in ... */
static void C_ccall f_31532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31532,5,av);}
t5=C_i_list_tail(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_car(t5,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31541 in k19775 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in ... */
static void C_ccall f_31542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31542,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31551 in k19771 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in ... */
static void C_ccall f_31552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31552,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31561 in k19767 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in ... */
static void C_ccall f_31562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31562,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31571 in k19763 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in ... */
static void C_ccall f_31572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31572,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31581 in k19759 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in ... */
static void C_ccall f_31582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31582,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31591 in k19755 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in ... */
static void C_ccall f_31592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31592,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31601 in k19751 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in ... */
static void C_ccall f_31602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31602,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31611 in k19747 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in ... */
static void C_ccall f_31612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31612,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31621 in k19743 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in ... */
static void C_ccall f_31622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31622,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31631 in k19739 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in ... */
static void C_ccall f_31632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31632,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31641 in k19735 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in ... */
static void C_ccall f_31642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31642,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31651 in k19731 in k19727 in k19647 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in ... */
static void C_ccall f_31652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31652,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31661 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_31662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31662,3,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31678,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31686,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3546: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3548: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[761];
av2[3]=lf[1366];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31676 in a31661 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_31678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31678,2,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3548: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[761];
av2[3]=lf[1366];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3548: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[761];
av2[3]=lf[1366];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31685 in a31661 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_31686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31686,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[762],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31701 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_31702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31702,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[762],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31717 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_31718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31718,4,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31728,a[2]=((C_word)li1001),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[762],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31727 in a31717 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in ... */
static void C_ccall f_31728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_31728,4,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31738,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31757,a[2]=((C_word)li999),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31773,a[2]=t3,a[3]=((C_word)li1000),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3557: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3564: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1367];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31736 in a31727 in a31717 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_31738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31738,2,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3563: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[330]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[330]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a31756 in a31727 in a31717 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_31757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31757,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[762],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31772 in a31727 in a31717 in k18871 in k18868 in k18865 in k18862 in k18858 in k18854 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in ... */
static void C_ccall f_31773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31773,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[762],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31785 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31786,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31792,a[2]=t2,a[3]=t4,a[4]=((C_word)li547),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31792(2,av2);}}

/* loop in a31785 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31792,2,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31823,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3216: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word *av2=av;
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31813 in k31821 in loop in a31785 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31815,2,av);}
/* library.scm:3218: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[703];
av2[3]=lf[704];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31817 in k31821 in loop in a31785 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31819,2,av);}
/* library.scm:3220: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[705];
av2[3]=t1;
tp(4,av2);}}

/* k31821 in loop in a31785 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31823,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3217: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[702]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31819,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31825 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31826,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31832,a[2]=t2,a[3]=t4,a[4]=((C_word)li549),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31832(2,av2);}}

/* loop in a31825 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31832,2,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31863,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3228: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word *av2=av;
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31853 in k31861 in loop in a31825 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31855,2,av);}
/* library.scm:3230: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[703];
av2[3]=lf[708];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31857 in k31861 in loop in a31825 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31859,2,av);}
/* library.scm:3232: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[709];
av2[3]=t1;
tp(4,av2);}}

/* k31861 in loop in a31825 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31863,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3229: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[702]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31855,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31859,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31865 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31866,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31868 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31869,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31871 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31872,4,av);}
t4=C_close_file(t2);
/* library.scm:3241: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word *av2=av;
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t1;
tp(2,av2);}}

/* a31877 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31878,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31880 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31881,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31883 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31884,6,av);}
a=C_alloc(7);
t6=t3;
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31892,a[2]=t4,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_31892(t8,t6);}
else{
t8=C_block_size(t4);
t9=t7;
f_31892(t9,C_fixnum_difference(t8,t5));}}

/* k31890 in a31883 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_31892(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_31892,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31894,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word)li557),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_31894(t5,((C_word*)t0)[5],t1,C_fix(0),((C_word*)t0)[6]);}

/* loop in k31890 in a31883 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_31894(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_31894,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_31949,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3252: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word av2[2];
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
t6=C_fixnum_difference(t2,t5);
t7=C_fixnum_plus(t3,t5);
t8=C_fixnum_plus(t4,t5);
/* library.scm:3261: loop */
t10=t1;
t11=t6;
t12=t7;
t13=t8;
t1=t10;
t2=t11;
t3=t12;
t4=t13;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a31917 in k31947 in loop in k31890 in a31883 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31918,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_fixnum_plus(((C_word*)t0)[4],((C_word*)t0)[3]);
t4=C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[3]);
/* library.scm:3255: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_31894(t5,t1,t2,t3,t4);}

/* k31939 in k31947 in loop in k31890 in a31883 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_31941,2,av);}
/* library.scm:3256: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[703];
av2[3]=lf[710];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k31943 in k31947 in loop in k31890 in a31883 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31945,2,av);}
/* library.scm:3258: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[711];
av2[3]=t1;
tp(4,av2);}}

/* k31947 in loop in k31890 in a31883 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_31949,2,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31918,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li556),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3253: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[702]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31941,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31945,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31983,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31987,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3265: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[712];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31987(2,av2);}}}

/* k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_31987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_31987,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31990,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_31990(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32156,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3268: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_31990(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_31990,2,t0,t1);}
a=C_alloc(8);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:lf[269]);
t4=C_slot(((C_word*)t0)[3],C_fix(12));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_32003,a[2]=((C_word*)t0)[3],a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=((C_word)li560),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_32003(t8,((C_word*)t0)[4],C_fix(1024),t3,t4,lf[714],C_SCHEME_FALSE);}

/* loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_fcall f_32003(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32003,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32036,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3279: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=t9;
t11=C_fixnum_difference(t3,t2);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32051,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t10,a[5]=t12,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t14=C_fixnum_times(t2,C_fix(2));
/* library.scm:3282: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t13;
av2[2]=t14;
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32110,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3286: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[707]);
C_word av2[2];
av2[0]=*((C_word*)lf[707]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32124,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3299: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3302: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k32034 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_32036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32036,2,av);}
/* library.scm:3279: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32049 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_32051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32051,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32055,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3283: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32053 in k32049 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 in ... */
static void C_ccall f_32055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32055,2,av);}
/* library.scm:3280: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32003(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32078 in k32108 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 in ... */
static void C_ccall f_32079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32079,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32087,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32091,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3292: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32085 in a32078 in k32108 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_32087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32087,2,av);}
/* library.scm:3290: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32003(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32089 in a32078 in k32108 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in ... */
static void C_ccall f_32091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32091,2,av);}
/* library.scm:3291: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32100 in k32108 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 in ... */
static void C_ccall f_32102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32102,2,av);}
/* library.scm:3294: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[703];
av2[3]=lf[712];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32104 in k32108 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 in ... */
static void C_ccall f_32106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32106,2,av);}
/* library.scm:3296: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[713];
av2[3]=t1;
tp(4,av2);}}

/* k32108 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_32110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32110,2,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32079,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t6,a[8]=((C_word)li559),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3288: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[702]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t7;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32102,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32106,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[706]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32122 in loop in k31988 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_32124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32124,2,av);}
/* library.scm:3299: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32154 in k31985 in a31982 in k18289 in k18286 in k18283 in k18280 in k18277 in k18274 in k18271 in k18268 in k18265 in k18262 in k18259 in k18256 in k18253 in k18250 in k18090 in k8492 */
static void C_ccall f_32156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32156,2,av);}
t2=((C_word*)t0)[2];
f_31990(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8492 */
static void C_ccall f_8494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word t526;
C_word t527;
C_word t528;
C_word t529;
C_word t530;
C_word t531;
C_word t532;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1342,c,6)))){
C_save_and_reclaim((void *)f_8494,2,av);}
a=C_alloc(1342);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8496,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8499,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8502,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8505,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8508,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8511,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8514,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8517,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8520,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8523,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8526,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8529,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8532,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8535,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8538,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8541,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8544,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8547,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8550,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8564,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8571,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8578,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8592,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8599,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8613,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8627,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8645,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8656,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8667,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8674,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8685,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8689,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8696,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8714,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8725,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8736,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8743,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8761,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8772,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8790,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8796,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8799,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8802,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8805,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8808,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8847,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8850,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8853,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8856,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8859,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8862,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8865,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8868,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8871,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8874,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8877,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8880,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8883,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8887,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8890,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8896,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8899,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8902,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8905,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8908,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8916,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8920,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8923,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8926,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8929,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8932,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8935,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8938,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8941,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8945,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8948,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8951,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8954,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8957,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8965,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8968,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8975,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8982,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8985,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8988,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8991,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8994,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8997,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9003,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9014,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9020,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9026,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9032,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9038,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9044,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9051,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9057,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9073,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9084,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9090,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9096,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9102,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9108,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9117,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9120,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9123,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9126,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9129,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9132,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9136,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9181,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9184,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9187,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9195,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9200,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9206,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9221,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#sleep */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t191=C_set_block_item(lf[214] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t192=C_mutate((C_word*)lf[215]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9242,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate((C_word*)lf[217]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9248,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate((C_word*)lf[218]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9254,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[219]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9269,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate((C_word*)lf[221]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9306,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t197=C_set_block_item(lf[223] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t198=C_set_block_item(lf[224] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t199=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t200=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9346,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9353,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate((C_word*)lf[228]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9371,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t203=C_set_block_item(lf[230] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t204=C_set_block_item(lf[231] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t205=C_set_block_item(lf[232] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t206=C_set_block_item(lf[233] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t207=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9390,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9393,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9426,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9463,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9484,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9492,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9504,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9540,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9579,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[243]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9623,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9679,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[246]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9682,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9710,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[249]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9743,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9775,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[252]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9816,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[255]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9873,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[259]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9953,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[260]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10039,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[264]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10143,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate((C_word*)lf[267]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10255,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t228=C_mutate(&lf[269] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t229=C_a_i_provide(&a,1,lf[270]);
t230=C_set_block_item(lf[271] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t231=C_set_block_item(lf[272] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t232=C_set_block_item(lf[273] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t233=C_set_block_item(lf[274] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t234=C_mutate((C_word*)lf[275]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10308,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t235=C_mutate((C_word*)lf[276]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10311,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10314,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10317,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10323,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10326,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10329,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10332,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10335,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10338,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10341,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10344,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10347,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10350,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10353,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10356,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10359,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10362,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10365,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10368,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10371,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10374,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10377,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10380,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10383,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10386,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10389,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10392,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t262=C_mutate((C_word*)lf[303]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10395,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t263=C_set_block_item(lf[304] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t264=C_set_block_item(lf[305] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t265=C_mutate((C_word*)lf[306]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10400,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t266=C_mutate((C_word*)lf[308]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10409,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t267=C_mutate((C_word*)lf[310]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10421,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t268=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t269=C_mutate((C_word*)lf[311]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[306]+1));
t270=C_mutate((C_word*)lf[312]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[308]+1));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10436,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10439,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#decode-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_decode_seconds,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10448,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10454,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10474,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10481,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10484,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10487,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t286=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t287=C_set_block_item(lf[244] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t288=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10492,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10496,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t293=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10501,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t294=C_a_i_provide(&a,1,lf[337]);
t295=C_mutate((C_word*)lf[338]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10536,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10539,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10542,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10559,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10570,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[342]+1));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10582,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10593,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10604,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10615,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10626,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10637,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10648,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10659,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10670,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10681,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10692,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10703,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10714,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10731,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10748,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10772,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[335]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10789,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[364]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10819,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[366]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10839,a[2]=((C_word)li274),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[367]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10850,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[369]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10978,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10994,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11010,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11026,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11042,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11058,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11074,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[373]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11090,a[2]=((C_word)li286),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[374]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11106,a[2]=((C_word)li289),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[376]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11185,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[377]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11215,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[378]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11235,a[2]=((C_word)li293),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[382]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11271,a[2]=((C_word)li295),tmp=(C_word)a,a+=3,tmp));
t336=C_mutate((C_word*)lf[384]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[382]+1));
t337=C_mutate((C_word*)lf[385]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11309,a[2]=((C_word)li297),tmp=(C_word)a,a+=3,tmp));
t338=C_mutate((C_word*)lf[387]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[385]+1));
t339=C_mutate((C_word*)lf[388]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11361,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[390]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11410,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t341=C_mutate((C_word*)lf[392]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11423,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[394]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11435,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t343=C_mutate((C_word*)lf[396]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11485,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp));
t344=C_SCHEME_UNDEFINED;
t345=(*a=C_VECTOR_TYPE|1,a[1]=t344,tmp=(C_word)a,a+=2,tmp);
t346=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11494,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
t347=C_set_block_item(t345,0,t346);
t348=C_mutate((C_word*)lf[397]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11515,a[2]=t345,a[3]=((C_word)li306),tmp=(C_word)a,a+=4,tmp));
t349=C_mutate((C_word*)lf[399]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11539,a[2]=t345,a[3]=((C_word)li308),tmp=(C_word)a,a+=4,tmp));
t350=C_mutate((C_word*)lf[401]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11563,a[2]=t345,a[3]=((C_word)li310),tmp=(C_word)a,a+=4,tmp));
t351=C_mutate((C_word*)lf[403]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11584,a[2]=t345,a[3]=((C_word)li312),tmp=(C_word)a,a+=4,tmp));
t352=C_SCHEME_UNDEFINED;
t353=(*a=C_VECTOR_TYPE|1,a[1]=t352,tmp=(C_word)a,a+=2,tmp);
t354=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11604,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
t355=C_set_block_item(t353,0,t354);
t356=C_mutate((C_word*)lf[405]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11625,a[2]=t353,a[3]=((C_word)li315),tmp=(C_word)a,a+=4,tmp));
t357=C_mutate((C_word*)lf[407]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11649,a[2]=t353,a[3]=((C_word)li317),tmp=(C_word)a,a+=4,tmp));
t358=C_mutate((C_word*)lf[409]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11673,a[2]=t353,a[3]=((C_word)li319),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[411]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11694,a[2]=t353,a[3]=((C_word)li321),tmp=(C_word)a,a+=4,tmp));
t360=C_mutate((C_word*)lf[413]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11715,a[2]=((C_word)li322),tmp=(C_word)a,a+=3,tmp));
t361=C_mutate((C_word*)lf[414]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11731,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t362=C_mutate((C_word*)lf[416]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11770,a[2]=((C_word)li325),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[417]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11776,a[2]=((C_word)li327),tmp=(C_word)a,a+=3,tmp));
t364=C_mutate((C_word*)lf[418]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11811,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t365=C_a_i_provide(&a,1,lf[421]);
t366=C_mutate((C_word*)lf[422]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t367=C_mutate((C_word*)lf[423]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t368=C_set_block_item(lf[424] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t369=C_mutate((C_word*)lf[425]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t371=C_set_block_item(lf[427] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t375=C_set_block_item(lf[431] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t376=C_mutate((C_word*)lf[432]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11906,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t377=C_mutate((C_word*)lf[434]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11930,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t378=C_mutate((C_word*)lf[436]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11954,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[438]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11978,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[440]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12002,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[442]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12026,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[444]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12050,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[446]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12074,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[448]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12098,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[450]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12122,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[452]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12146,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[454]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12170,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[456]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12188,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[458]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12212,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[460]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12236,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[462]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12254,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[464]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12272,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[466]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12290,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[468]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12308,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[470]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12326,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[472]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12344,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[474]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12362,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[476]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12380,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[478]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12398,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[480]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12416,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[482]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12440,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[484]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12458,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[486]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12482,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[488]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12500,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[490]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12518,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[492]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12536,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[494]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12554,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t408=C_mutate((C_word*)lf[496]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t409=C_mutate((C_word*)lf[497]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t411=C_mutate((C_word*)lf[499]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t412=C_mutate(&lf[500] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12576,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t413=C_mutate((C_word*)lf[502]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12612,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t414=C_mutate((C_word*)lf[504]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12624,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[506]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12645,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[508]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12668,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[510]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12694,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate((C_word*)lf[512]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12710,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate(&lf[515] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12749,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[516]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12795,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate((C_word*)lf[521]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12841,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[525]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12887,a[2]=((C_word)li373),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[519]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13007,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t424=C_mutate((C_word*)lf[533]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t425=C_mutate((C_word*)lf[534]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[519]+1));
t426=C_a_i_provide(&a,1,lf[535]);
t427=C_mutate((C_word*)lf[536]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t428=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t429=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13073,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13076,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[541]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13079,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[542]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13082,a[2]=((C_word)li383),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[543]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13085,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[527]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13136,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[546]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13384,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[548]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13425,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[550]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13466,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate((C_word*)lf[552]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13500,a[2]=((C_word)li390),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate(&lf[554] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13540,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[556]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13676,a[2]=((C_word)li393),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate((C_word*)lf[557]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13701,a[2]=((C_word)li395),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[559]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13744,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[561]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13787,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[563]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13829,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[567]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13872,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[568]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13901,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[572]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13931,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[574]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13961,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t450=C_mutate((C_word*)lf[576]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13986,a[2]=((C_word)li404),tmp=(C_word)a,a+=3,tmp));
t451=C_a_i_asin(&a,1,C_fix(1));
t452=C_mutate((C_word*)lf[580]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14039,a[2]=t451,a[3]=((C_word)li405),tmp=(C_word)a,a+=4,tmp));
t453=C_mutate((C_word*)lf[582]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14079,a[2]=((C_word)li406),tmp=(C_word)a,a+=3,tmp));
t454=C_mutate((C_word*)lf[584]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14137,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t455=C_mutate((C_word*)lf[586]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14312,a[2]=((C_word)li413),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[579]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14321,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[513]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14472,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[589]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14478,a[2]=((C_word)li422),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[590]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14490,a[2]=((C_word)li424),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[529]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14594,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate((C_word*)lf[532]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14657,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate(&lf[544] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14917,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[594]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14987,a[2]=((C_word)li433),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate((C_word*)lf[596]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14993,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[597]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15044,a[2]=((C_word)li436),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[599]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15055,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[600]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15110,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate((C_word*)lf[602]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15163,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate(&lf[608] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15332,a[2]=((C_word)li444),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate(&lf[609] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15370,a[2]=((C_word)li455),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate((C_word*)lf[618]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16771,a[2]=((C_word)li457),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate((C_word*)lf[620]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17026,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[621]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[623]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li461),tmp=(C_word)a,a+=3,tmp));
t476=C_mutate((C_word*)lf[601]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t477=C_mutate((C_word*)lf[624]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17072,a[2]=((C_word)li465),tmp=(C_word)a,a+=3,tmp));
t478=C_mutate((C_word*)lf[625]+1 /* (set! ##sys#snafu ...) */,lf[626]);
t479=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[628]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17242,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t481=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17245,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp));
t482=*((C_word*)lf[392]+1);
t483=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17254,a[2]=((C_word)li469),tmp=(C_word)a,a+=3,tmp);
t484=C_mutate((C_word*)lf[630]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17281,a[2]=t483,a[3]=((C_word)li470),tmp=(C_word)a,a+=4,tmp));
t485=C_mutate((C_word*)lf[631]+1 /* (set! ##sys#symbol->qualified-string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17299,a[2]=t483,a[3]=((C_word)li471),tmp=(C_word)a,a+=4,tmp));
t486=C_mutate((C_word*)lf[634]+1 /* (set! ##sys#qualified-symbol-prefix ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17325,a[2]=t483,a[3]=((C_word)li472),tmp=(C_word)a,a+=4,tmp));
t487=C_mutate((C_word*)lf[635]+1 /* (set! ##sys#qualified-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17343,a[2]=((C_word)li473),tmp=(C_word)a,a+=3,tmp));
t488=C_mutate((C_word*)lf[636]+1 /* (set! ##sys#string->qualified-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17366,a[2]=((C_word)li474),tmp=(C_word)a,a+=3,tmp));
t489=C_mutate((C_word*)lf[637]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17379,a[2]=((C_word)li475),tmp=(C_word)a,a+=3,tmp));
t490=*((C_word*)lf[392]+1);
t491=C_mutate((C_word*)lf[639]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17392,a[2]=t490,a[3]=((C_word)li476),tmp=(C_word)a,a+=4,tmp));
t492=*((C_word*)lf[392]+1);
t493=C_mutate((C_word*)lf[641]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17405,a[2]=t492,a[3]=((C_word)li478),tmp=(C_word)a,a+=4,tmp));
t494=C_fix(-1);
t495=(*a=C_VECTOR_TYPE|1,a[1]=t494,tmp=(C_word)a,a+=2,tmp);
t496=C_mutate((C_word*)lf[643]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17418,a[2]=t495,a[3]=((C_word)li480),tmp=(C_word)a,a+=4,tmp));
t497=*((C_word*)lf[414]+1);
t498=C_mutate((C_word*)lf[647]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17472,a[2]=t497,a[3]=((C_word)li482),tmp=(C_word)a,a+=4,tmp));
t499=C_a_i_provide(&a,1,lf[649]);
t500=C_mutate((C_word*)lf[650]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17531,a[2]=((C_word)li483),tmp=(C_word)a,a+=3,tmp));
t501=C_mutate((C_word*)lf[651]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17540,a[2]=((C_word)li484),tmp=(C_word)a,a+=3,tmp));
t502=*((C_word*)lf[650]+1);
t503=C_mutate((C_word*)lf[653]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17561,a[2]=t502,a[3]=((C_word)li485),tmp=(C_word)a,a+=4,tmp));
t504=C_a_i_list1(&a,1,lf[656]);
t505=t504;
t506=C_mutate((C_word*)lf[657]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17579,a[2]=t505,a[3]=((C_word)li486),tmp=(C_word)a,a+=4,tmp));
t507=C_mutate((C_word*)lf[659]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[657]+1));
t508=C_a_i_provide(&a,1,lf[660]);
t509=C_mutate((C_word*)lf[661]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17607,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[662]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17613,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t511=C_mutate((C_word*)lf[664]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17622,a[2]=((C_word)li489),tmp=(C_word)a,a+=3,tmp));
t512=C_mutate((C_word*)lf[665]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17628,a[2]=((C_word)li490),tmp=(C_word)a,a+=3,tmp));
t513=C_mutate((C_word*)lf[667]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17637,a[2]=((C_word)li491),tmp=(C_word)a,a+=3,tmp));
t514=C_mutate((C_word*)lf[669]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17649,a[2]=((C_word)li492),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[671]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17661,a[2]=((C_word)li493),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17684,a[2]=((C_word)li494),tmp=(C_word)a,a+=3,tmp));
t517=C_mutate((C_word*)lf[675]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t518=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17713,a[2]=((C_word)li496),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17765,a[2]=((C_word)li498),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17798,a[2]=((C_word)li499),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17804,a[2]=((C_word)li501),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17832,a[2]=((C_word)li503),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17901,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t524=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17972,a[2]=((C_word)li506),tmp=(C_word)a,a+=3,tmp));
t525=C_mutate(&lf[683] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17993,a[2]=((C_word)li508),tmp=(C_word)a,a+=3,tmp));
t526=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18032,a[2]=((C_word)li509),tmp=(C_word)a,a+=3,tmp));
t527=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18046,a[2]=((C_word)li510),tmp=(C_word)a,a+=3,tmp));
t528=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18057,a[2]=((C_word)li511),tmp=(C_word)a,a+=3,tmp));
t529=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18068,a[2]=((C_word)li512),tmp=(C_word)a,a+=3,tmp));
t530=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18079,a[2]=((C_word)li513),tmp=(C_word)a,a+=3,tmp));
t531=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18092,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2971: scheme#make-vector */
t532=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t532;
av2[1]=t531;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t532+1)))(4,av2);}}

/* scheme#not in k8492 */
static void C_ccall f_8496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8496,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8492 */
static void C_ccall f_8499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8499,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8492 */
static void C_ccall f_8502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8502,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8492 */
static void C_ccall f_8505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8505,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8492 */
static void C_ccall f_8508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8508,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8492 */
static void C_ccall f_8511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8511,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8492 */
static void C_ccall f_8514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8514,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#car in k8492 */
static void C_ccall f_8517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8517,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdr in k8492 */
static void C_ccall f_8520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8520,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8492 */
static void C_ccall f_8523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8523,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8492 */
static void C_ccall f_8526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8526,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadr in k8492 */
static void C_ccall f_8529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8529,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddr in k8492 */
static void C_ccall f_8532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8532,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8492 */
static void C_ccall f_8535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8535,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8492 */
static void C_ccall f_8538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8538,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caar in k8492 */
static void C_ccall f_8541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8541,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdar in k8492 */
static void C_ccall f_8544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8544,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddr in k8492 */
static void C_ccall f_8547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8547,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caaar in k8492 */
static void C_ccall f_8550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8550,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadr in k8492 */
static void C_ccall f_8564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8564,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadar in k8492 */
static void C_ccall f_8571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8571,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaar in k8492 */
static void C_ccall f_8578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8578,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadr in k8492 */
static void C_ccall f_8592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8592,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddar in k8492 */
static void C_ccall f_8599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8599,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddr in k8492 */
static void C_ccall f_8613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8613,3,av);}
t3=C_i_cdr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaaar in k8492 */
static void C_ccall f_8627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8627,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_car(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#caaadr in k8492 */
static void C_ccall f_8645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8645,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadar in k8492 */
static void C_ccall f_8656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8656,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaddr in k8492 */
static void C_ccall f_8667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8667,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadaar in k8492 */
static void C_ccall f_8674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8674,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cadr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cadadr in k8492 */
static void C_ccall f_8685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8685,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caddar in k8492 */
static void C_ccall f_8689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8689,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_caddr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaaar in k8492 */
static void C_ccall f_8696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8696,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cdaadr in k8492 */
static void C_ccall f_8714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8714,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadar in k8492 */
static void C_ccall f_8725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8725,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaddr in k8492 */
static void C_ccall f_8736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8736,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddaar in k8492 */
static void C_ccall f_8743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8743,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cddadr in k8492 */
static void C_ccall f_8761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8761,3,av);}
t3=C_i_cadr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddar in k8492 */
static void C_ccall f_8772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8772,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#null? in k8492 */
static void C_ccall f_8790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8790,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8492 */
static void C_ccall f_8796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8796,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8492 */
static void C_ccall f_8799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8799,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8492 */
static void C_ccall f_8802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8802,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list-ref in k8492 */
static void C_ccall f_8805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8805,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8492 */
static void C_ccall f_8808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8808,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8814,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8814(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8492 */
static void C_fcall f_8814(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8814,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8492 */
static void C_ccall f_8847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8847,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8492 */
static void C_ccall f_8850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8850,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8492 */
static void C_ccall f_8853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8853,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8492 */
static void C_ccall f_8856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8856,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8492 */
static void C_ccall f_8859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8859,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8492 */
static void C_ccall f_8862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8862,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8492 */
static void C_ccall f_8865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8865,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8492 */
static void C_ccall f_8868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8868,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8492 */
static void C_ccall f_8871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8871,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-ref in k8492 */
static void C_ccall f_8874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8874,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8492 */
static void C_ccall f_8877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8877,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8492 */
static void C_ccall f_8880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8880,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8492 */
static void C_ccall f_8883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8883,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8492 */
static void C_ccall f_8887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8887,3,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8492 */
static void C_ccall f_8890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8890,3,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8492 */
static void C_ccall f_8896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8896,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8492 */
static void C_ccall f_8899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8899,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8492 */
static void C_ccall f_8902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8902,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8492 */
static void C_ccall f_8905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8905,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8492 */
static void C_ccall f_8908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8908,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8492 */
static void C_ccall f_8916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8916,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8492 */
static void C_ccall f_8920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8920,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8492 */
static void C_ccall f_8923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8923,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8492 */
static void C_ccall f_8926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8926,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8492 */
static void C_ccall f_8929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8929,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8492 */
static void C_ccall f_8932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8932,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8492 */
static void C_ccall f_8935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8935,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8492 */
static void C_ccall f_8938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8938,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8492 */
static void C_ccall f_8941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8941,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8492 */
static void C_ccall f_8945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8945,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8492 */
static void C_ccall f_8948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8948,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8492 */
static void C_ccall f_8951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8951,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-ref in k8492 */
static void C_ccall f_8954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8954,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8492 */
static void C_ccall f_8957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8957,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8492 */
static void C_ccall f_8965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8965,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8492 */
static void C_ccall f_8968(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8968,3,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=C_character_code(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fix(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#integer->char in k8492 */
static void C_ccall f_8975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_8975,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_8979,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k8977 in scheme#integer->char in k8492 */
static void C_ccall f_8979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8979,2,av);}
t2=C_unfix(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_make_character(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char=? in k8492 */
static void C_ccall f_8982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8982,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8492 */
static void C_ccall f_8985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8985,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8492 */
static void C_ccall f_8988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8988,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8492 */
static void C_ccall f_8991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8991,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8492 */
static void C_ccall f_8994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8994,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8492 */
static void C_ccall f_8997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8997,3,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8492 */
static void C_ccall f_9003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9003,3,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8492 */
static void C_ccall f_9014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9014,3,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8492 */
static void C_ccall f_9020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9020,3,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8492 */
static void C_ccall f_9026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9026,3,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8492 */
static void C_ccall f_9032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9032,3,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8492 */
static void C_ccall f_9038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9038,3,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8492 */
static void C_ccall f_9044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9044,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8492 */
static void C_ccall f_9051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9051,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_input_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#output-port? in k8492 */
static void C_ccall f_9057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9057,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_output_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#eof-object? in k8492 */
static void C_ccall f_9073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9073,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8492 */
static void C_ccall f_9084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9084,3,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8492 */
static void C_ccall f_9090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9090,2,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8492 */
static void C_ccall f_9096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9096,3,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8492 */
static void C_ccall f_9102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9102,2,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8492 */
static void C_ccall f_9108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9108,3,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8492 */
static void C_ccall f_9117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9117,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8492 */
static void C_ccall f_9120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9120,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8492 */
static void C_ccall f_9123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9123,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8492 */
static void C_ccall f_9126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9126,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8492 */
static void C_ccall f_9129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9129,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8492 */
static void C_ccall f_9132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9132,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8492 */
static void C_ccall f_9136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9136,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9142,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9148,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:619: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9141 in chicken.base#quotient&modulo in k8492 */
static void C_ccall f_9142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9142,2,av);}
/* library.scm:619: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9147 in chicken.base#quotient&modulo in k8492 */
static void C_ccall f_9148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9148,4,av);}
a=C_alloc(29);
t4=((C_word*)t0)[2];
if(C_truep(C_i_positivep(t4))){
t5=t3;
if(C_truep(C_i_negativep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:623: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
t5=t3;
if(C_truep(C_i_positivep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:626: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8492 */
static void C_ccall f_9181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9181,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8492 */
static void C_ccall f_9184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9184,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8492 */
static void C_ccall f_9187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9187,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8492 */
static void C_ccall f_9195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9195,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8492 */
static void C_ccall f_9200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9200,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8492 */
static void C_ccall f_9206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9206,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:648: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8492 */
static void C_ccall f_9221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9221,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8492 */
static void C_ccall f_9242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9242,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[216]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8492 */
static void C_ccall f_9248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9248,3,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[216],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8492 */
static void C_ccall f_9254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9254,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9261,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:692: promise? */
t4=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9259 in chicken.base#make-promise in k8492 */
static void C_ccall f_9261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9261,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9266,a[2]=((C_word*)t0)[2],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:693: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[217]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[217]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}}

/* a9265 in k9259 in chicken.base#make-promise in k8492 */
static void C_ccall f_9266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9266,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8492 */
static void C_ccall f_9269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9269,5,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[220]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9278,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9278(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8492 */
static void C_fcall f_9278(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9278,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9296,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t2,C_fix(0));
/* library.scm:702: f */
t9=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=t3;
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k9294 in loop in chicken.base#foldl in k8492 */
static void C_ccall f_9296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9296,2,av);}
/* library.scm:702: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9278(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8492 */
static void C_ccall f_9306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9306,5,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[222]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9315,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9315(t9,t1,t4);}

/* loop in chicken.base#foldr in k8492 */
static void C_fcall f_9315(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9315,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[2];
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9333,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:709: loop */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* k9331 in loop in chicken.base#foldr in k8492 */
static void C_ccall f_9333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9333,2,av);}
/* library.scm:709: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8492 */
static void C_ccall f_9346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9346,3,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[225]+1));
t4=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8492 */
static void C_ccall f_9353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9353,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34420,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:722: chicken.base#exit-handler */
t4=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9360,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:722: chicken.base#exit-handler */
t6=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k9358 in chicken.base#exit in k8492 */
static void C_ccall f_9360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9360,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8492 */
static void C_ccall f_9371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9371,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f33891,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=C_fix(0);
av2[3]=lf[229];
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9378,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[229];
tp(4,av2);}}}

/* k9376 in chicken.base#emergency-exit in k8492 */
static void C_ccall f_9378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9378,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8492 */
static void C_ccall f_9390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9390,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8492 */
static void C_ccall f_9393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9393,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9395,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9395 in chicken.base#conjoin in k8492 */
static void C_ccall f_9395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9395,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9401,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9401(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9401(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9401,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9417,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:743: g700 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9415 in loop */
static void C_ccall f_9417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9417,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:744: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9401(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8492 */
static void C_ccall f_9426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9426,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9428,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9428 in chicken.base#disjoin in k8492 */
static void C_ccall f_9428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9428,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9434,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9434(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9434(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9434,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9447,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:750: g712 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9445 in loop */
static void C_ccall f_9447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9447,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:751: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_9434(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#constantly in k8492 */
static void C_ccall f_9463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9463,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=t2;
t4=C_u_i_length(t3);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=C_i_car(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9474,a[2]=t7,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9476,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* f_9474 in chicken.base#constantly in k8492 */
static void C_ccall f_9474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9474,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9476 in chicken.base#constantly in k8492 */
static void C_ccall f_9476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9476,2,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8492 */
static void C_ccall f_9484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9484,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9486,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9486 in chicken.base#flip in k8492 */
static void C_ccall f_9486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9486,4,av);}
/* library.scm:759: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8492 */
static void C_ccall f_9492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9492,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9494,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9494 in chicken.base#complement in k8492 */
static void C_ccall f_9494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9494,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9502,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9500 */
static void C_ccall f_9502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9502,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8492 */
static void C_ccall f_9504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9504,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9507,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_nullp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8492 */
static void C_ccall f_9507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9507,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9515,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9515 in rec in chicken.base#compose in k8492 */
static void C_ccall f_9515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9515,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9521,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:770: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9520 */
static void C_ccall f_9521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9521,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9529,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9527 in a9520 */
static void C_ccall f_9529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9529,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8492 */
static void C_ccall f_9540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9540,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[234]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9552,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9552(t6,t1,t2);}}

/* loop in chicken.base#o in k8492 */
static void C_fcall f_9552(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9552,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9566,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* f_9566 in loop in chicken.base#o in k8492 */
static void C_ccall f_9566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9566,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9574,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:785: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9552(t4,t3,((C_word*)t0)[4]);}

/* k9572 */
static void C_ccall f_9574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9574,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9577,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:785: g741 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9575 in k9572 */
static void C_ccall f_9577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9577,2,av);}
/* library.scm:785: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8492 */
static void C_ccall f_9579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9579,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9581,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9581 in chicken.base#list-of? in k8492 */
static void C_ccall f_9581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9581,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9587,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9587(t6,t1,t2);}

/* loop */
static void C_fcall f_9587(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9587,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9606,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:792: pred */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}}

/* k9604 in loop */
static void C_ccall f_9606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9606,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9587(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8492 */
static void C_ccall f_9623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9623,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9631,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9645,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9631 in chicken.base#each in k8492 */
static void C_ccall f_9631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9631,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9645 in chicken.base#each in k8492 */
static void C_ccall f_9645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9645,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9651,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9651(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9651(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9651,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=t4;
if(C_truep(C_i_nullp(t5))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9670,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9668 in loop */
static void C_ccall f_9670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9670,2,av);}
/* library.scm:807: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9651(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8492 */
static void C_ccall f_9679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9679,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8492 */
static void C_ccall f_9682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9682,4,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[247]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9694,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9694(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8492 */
static C_word C_fcall f_9694(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t2=C_slot(t1,C_fix(1));
t4=t2;
t1=t4;
goto loop;}}}

/* chicken.base#intersperse in k8492 */
static void C_ccall f_9710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9710,4,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9716,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9716(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8492 */
static void C_fcall f_9716(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9716,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9741,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:830: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}}}

/* k9739 in loop in chicken.base#intersperse in k8492 */
static void C_ccall f_9741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9741,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8492 */
static void C_ccall f_9743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9743,3,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[250]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9752,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9752(t7,t1,t2);}

/* loop in chicken.base#butlast in k8492 */
static void C_fcall f_9752(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9752,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9773,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:837: loop */
t9=t7;
t10=t3;
t1=t9;
t2=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9771 in loop in chicken.base#butlast in k8492 */
static void C_ccall f_9773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9773,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8492 */
static void C_ccall f_9775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9775,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9781,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9781(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8492 */
static void C_fcall f_9781(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9781,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t5))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9807,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:847: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9814,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:848: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k9805 in loop in chicken.base#flatten in k8492 */
static void C_ccall f_9807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9807,2,av);}
/* library.scm:847: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9781(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9812 in loop in chicken.base#flatten in k8492 */
static void C_ccall f_9814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9814,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8492 */
static void C_ccall f_9816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9816,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9820,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_9820(t6,C_u_i_car(t5));}
else{
t5=t4;
f_9820(t5,C_SCHEME_END_OF_LIST);}}

/* k9818 in chicken.base#join in k8492 */
static void C_fcall f_9820(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_9820,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=C_i_check_list_2(t2,lf[253]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9828,a[2]=t2,a[3]=t5,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9828(t7,((C_word*)t0)[2],((C_word*)t0)[3]);}

/* loop in k9818 in chicken.base#join in k8492 */
static void C_fcall f_9828(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9828,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:858: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9863,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:864: loop */
t9=t7;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}}

/* k9861 in loop in k9818 in chicken.base#join in k8492 */
static void C_ccall f_9863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9863,2,av);}
/* library.scm:864: ##sys#append */
t2=*((C_word*)lf[254]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8492 */
static void C_ccall f_9873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9873,4,av);}
a=C_alloc(7);
t4=lf[256];
t5=C_i_check_list_2(t3,lf[257]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9882,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9882(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8492 */
static void C_fcall f_9882(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9882,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:873: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:875: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9924,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_slot(t3,C_fix(1));
/* library.scm:877: loop */
t12=t8;
t13=t9;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=C_slot(t2,C_fix(1));
t7=C_slot(t3,C_fix(1));
/* library.scm:878: loop */
t12=t1;
t13=t6;
t14=t7;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}}}

/* k9922 in loop in chicken.base#compress in k8492 */
static void C_ccall f_9924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9924,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-update! in k8492 */
static void C_ccall f_9953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_9953,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+10);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9960,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(*((C_word*)lf[4]+1),t8);
if(C_truep(t10)){
t11=t9;
f_9960(t11,*((C_word*)lf[52]+1));}
else{
t11=C_eqp(*((C_word*)lf[5]+1),t8);
if(C_truep(t11)){
t12=t9;
f_9960(t12,*((C_word*)lf[53]+1));}
else{
t12=C_eqp(*((C_word*)lf[6]+1),t8);
t13=t9;
f_9960(t13,(C_truep(t12)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9992,a[2]=t8,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k9958 in chicken.base#alist-update! in k8492 */
static void C_fcall f_9960(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9960,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9963,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:895: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k9961 in k9958 in chicken.base#alist-update! in k8492 */
static void C_ccall f_9963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9963,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* f_9992 in chicken.base#alist-update! in k8492 */
static void C_ccall f_9992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9992,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9998,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_9998(t7,t1,t3);}

/* loop */
static void C_fcall f_9998(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9998,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10014,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t4))){
t6=C_slot(t4,C_fix(0));
/* library.scm:892: cmp */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_10014(2,av2);}}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7860))){
C_save(t1);
C_rereclaim2(7860*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1385);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],27, C_text("\003syserror-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],16, C_text("\003syscheck-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],9, C_text("\003syserror"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],15, C_text("\003syssignal-hook"));
lf[195]=C_h_intern(&lf[195],6, C_text("\000error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],18, C_text("chicken.base#sleep"));
lf[198]=C_h_intern(&lf[198],20, C_text("chicken.base#call/cc"));
lf[199]=C_h_intern(&lf[199],22, C_text("chicken.base#char-name"));
lf[200]=C_h_intern(&lf[200],31, C_text("chicken.base#getter-with-setter"));
lf[201]=C_h_intern(&lf[201],27, C_text("chicken.base#make-parameter"));
lf[202]=C_h_intern(&lf[202],34, C_text("chicken.base#procedure-information"));
lf[203]=C_h_intern(&lf[203],19, C_text("chicken.base#setter"));
lf[204]=C_h_intern(&lf[204],25, C_text("chicken.base#vector-copy!"));
lf[205]=C_h_intern(&lf[205],22, C_text("chicken.base#subvector"));
lf[206]=C_h_intern(&lf[206],26, C_text("chicken.base#vector-resize"));
lf[207]=C_h_intern(&lf[207],18, C_text("chicken.base#port\077"));
lf[208]=C_h_intern(&lf[208],25, C_text("chicken.base#port-closed\077"));
lf[209]=C_h_intern(&lf[209],29, C_text("chicken.base#input-port-open\077"));
lf[210]=C_h_intern(&lf[210],30, C_text("chicken.base#output-port-open\077"));
lf[211]=C_h_intern(&lf[211],30, C_text("chicken.base#get-output-string"));
lf[212]=C_h_intern(&lf[212],30, C_text("chicken.base#open-input-string"));
lf[213]=C_h_intern(&lf[213],31, C_text("chicken.base#open-output-string"));
lf[214]=C_h_intern(&lf[214],25, C_text("chicken.base#flush-output"));
lf[215]=C_h_intern(&lf[215],21, C_text("chicken.base#promise\077"));
lf[216]=C_h_intern(&lf[216],7, C_text("promise"));
lf[217]=C_h_intern(&lf[217],16, C_text("\003sysmake-promise"));
lf[218]=C_h_intern(&lf[218],25, C_text("chicken.base#make-promise"));
lf[219]=C_h_intern(&lf[219],18, C_text("chicken.base#foldl"));
lf[220]=C_h_intern(&lf[220],5, C_text("foldl"));
lf[221]=C_h_intern(&lf[221],18, C_text("chicken.base#foldr"));
lf[222]=C_h_intern(&lf[222],5, C_text("foldr"));
lf[223]=C_h_intern(&lf[223],34, C_text("chicken.base#implicit-exit-handler"));
lf[224]=C_h_intern(&lf[224],25, C_text("chicken.base#exit-handler"));
lf[225]=C_h_intern(&lf[225],26, C_text("chicken.base#cleanup-tasks"));
lf[226]=C_h_intern(&lf[226],20, C_text("chicken.base#on-exit"));
lf[227]=C_h_intern(&lf[227],17, C_text("chicken.base#exit"));
lf[228]=C_h_intern(&lf[228],27, C_text("chicken.base#emergency-exit"));
lf[229]=C_h_intern(&lf[229],14, C_text("emergency-exit"));
lf[230]=C_h_intern(&lf[230],27, C_text("chicken.base#case-sensitive"));
lf[231]=C_h_intern(&lf[231],26, C_text("chicken.base#keyword-style"));
lf[232]=C_h_intern(&lf[232],33, C_text("chicken.base#parentheses-synonyms"));
lf[233]=C_h_intern(&lf[233],26, C_text("chicken.base#symbol-escape"));
lf[234]=C_h_intern(&lf[234],21, C_text("chicken.base#identity"));
lf[235]=C_h_intern(&lf[235],20, C_text("chicken.base#conjoin"));
lf[236]=C_h_intern(&lf[236],20, C_text("chicken.base#disjoin"));
lf[237]=C_h_intern(&lf[237],23, C_text("chicken.base#constantly"));
lf[238]=C_h_intern(&lf[238],17, C_text("chicken.base#flip"));
lf[239]=C_h_intern(&lf[239],23, C_text("chicken.base#complement"));
lf[240]=C_h_intern(&lf[240],20, C_text("chicken.base#compose"));
lf[241]=C_h_intern(&lf[241],14, C_text("chicken.base#o"));
lf[242]=C_h_intern(&lf[242],21, C_text("chicken.base#list-of\077"));
lf[243]=C_h_intern(&lf[243],17, C_text("chicken.base#each"));
lf[244]=C_h_intern(&lf[244],19, C_text("\003sysundefined-value"));
lf[245]=C_h_intern(&lf[245],18, C_text("chicken.base#atom\077"));
lf[246]=C_h_intern(&lf[246],18, C_text("chicken.base#tail\077"));
lf[247]=C_h_intern(&lf[247],5, C_text("tail\077"));
lf[248]=C_h_intern(&lf[248],24, C_text("chicken.base#intersperse"));
lf[249]=C_h_intern(&lf[249],20, C_text("chicken.base#butlast"));
lf[250]=C_h_intern(&lf[250],7, C_text("butlast"));
lf[251]=C_h_intern(&lf[251],20, C_text("chicken.base#flatten"));
lf[252]=C_h_intern(&lf[252],17, C_text("chicken.base#join"));
lf[253]=C_h_intern(&lf[253],4, C_text("join"));
lf[254]=C_h_intern(&lf[254],10, C_text("\003sysappend"));
lf[255]=C_h_intern(&lf[255],21, C_text("chicken.base#compress"));
lf[256]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[257]=C_h_intern(&lf[257],8, C_text("compress"));
lf[258]=C_h_intern(&lf[258],11, C_text("\000type-error"));
lf[259]=C_h_intern(&lf[259],26, C_text("chicken.base#alist-update!"));
lf[260]=C_h_intern(&lf[260],25, C_text("chicken.base#alist-update"));
lf[261]=C_h_intern(&lf[261],12, C_text("alist-update"));
lf[262]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[263]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[264]=C_h_intern(&lf[264],22, C_text("chicken.base#alist-ref"));
lf[265]=C_h_intern(&lf[265],9, C_text("alist-ref"));
lf[266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[267]=C_h_intern(&lf[267],19, C_text("chicken.base#rassoc"));
lf[268]=C_h_intern(&lf[268],6, C_text("rassoc"));
lf[270]=C_h_intern(&lf[270],15, C_text("chicken.fixnum#"));
lf[271]=C_h_intern(&lf[271],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[272]=C_h_intern(&lf[272],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[273]=C_h_intern(&lf[273],26, C_text("chicken.fixnum#fixnum-bits"));
lf[274]=C_h_intern(&lf[274],31, C_text("chicken.fixnum#fixnum-precision"));
lf[275]=C_h_intern(&lf[275],18, C_text("chicken.fixnum#fx+"));
lf[276]=C_h_intern(&lf[276],18, C_text("chicken.fixnum#fx-"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx\052"));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx="));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx>"));
lf[280]=C_h_intern(&lf[280],18, C_text("chicken.fixnum#fx<"));
lf[281]=C_h_intern(&lf[281],19, C_text("chicken.fixnum#fx>="));
lf[282]=C_h_intern(&lf[282],19, C_text("chicken.fixnum#fx<="));
lf[283]=C_h_intern(&lf[283],20, C_text("chicken.fixnum#fxmin"));
lf[284]=C_h_intern(&lf[284],20, C_text("chicken.fixnum#fxmax"));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxneg"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxand"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxior"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxxor"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxnot"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxshl"));
lf[291]=C_h_intern(&lf[291],20, C_text("chicken.fixnum#fxshr"));
lf[292]=C_h_intern(&lf[292],21, C_text("chicken.fixnum#fxodd\077"));
lf[293]=C_h_intern(&lf[293],22, C_text("chicken.fixnum#fxeven\077"));
lf[294]=C_h_intern(&lf[294],20, C_text("chicken.fixnum#fxlen"));
lf[295]=C_h_intern(&lf[295],18, C_text("chicken.fixnum#fx/"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxgcd"));
lf[297]=C_h_intern(&lf[297],20, C_text("chicken.fixnum#fxmod"));
lf[298]=C_h_intern(&lf[298],20, C_text("chicken.fixnum#fxrem"));
lf[299]=C_h_intern(&lf[299],19, C_text("chicken.fixnum#fx+\077"));
lf[300]=C_h_intern(&lf[300],19, C_text("chicken.fixnum#fx-\077"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx\052\077"));
lf[302]=C_h_intern(&lf[302],19, C_text("chicken.fixnum#fx/\077"));
lf[303]=C_h_intern(&lf[303],15, C_text("\003sysdebug-mode\077"));
lf[304]=C_h_intern(&lf[304],20, C_text("\003syswarnings-enabled"));
lf[305]=C_h_intern(&lf[305],19, C_text("\003sysnotices-enabled"));
lf[306]=C_h_intern(&lf[306],20, C_text("chicken.base#warning"));
lf[307]=C_h_intern(&lf[307],8, C_text("\000warning"));
lf[308]=C_h_intern(&lf[308],19, C_text("chicken.base#notice"));
lf[309]=C_h_intern(&lf[309],7, C_text("\000notice"));
lf[310]=C_h_intern(&lf[310],28, C_text("chicken.base#enable-warnings"));
lf[311]=C_h_intern(&lf[311],8, C_text("\003syswarn"));
lf[312]=C_h_intern(&lf[312],10, C_text("\003sysnotice"));
lf[313]=C_h_intern(&lf[313],6, C_text("\003sysgc"));
lf[314]=C_h_intern(&lf[314],11, C_text("\003syssetslot"));
lf[315]=C_h_intern(&lf[315],12, C_text("\003syssetislot"));
lf[316]=C_h_intern(&lf[316],19, C_text("\003sysallocate-vector"));
lf[317]=C_h_intern(&lf[317],18, C_text("\003sysmake-structure"));
lf[318]=C_h_intern(&lf[318],23, C_text("\003sysensure-heap-reserve"));
lf[319]=C_h_intern(&lf[319],21, C_text("\003syssymbol-table-info"));
lf[320]=C_h_intern(&lf[320],15, C_text("\003sysmemory-info"));
lf[321]=C_h_intern(&lf[321],18, C_text("\003sysdecode-seconds"));
lf[322]=C_h_intern(&lf[322],15, C_text("\003sysstart-timer"));
lf[323]=C_h_intern(&lf[323],14, C_text("\003sysstop-timer"));
lf[324]=C_h_intern(&lf[324],14, C_text("\003sysimmediate\077"));
lf[325]=C_h_intern(&lf[325],11, C_text("\003sysmessage"));
lf[326]=C_h_intern(&lf[326],8, C_text("\003sysbyte"));
lf[327]=C_h_intern(&lf[327],11, C_text("\003syssetbyte"));
lf[328]=C_h_intern(&lf[328],8, C_text("\003sysvoid"));
lf[329]=C_h_intern(&lf[329],8, C_text("\003syshalt"));
lf[330]=C_h_intern(&lf[330],11, C_text("\003sysbecome!"));
lf[331]=C_h_intern(&lf[331],13, C_text("\003sysblock-ref"));
lf[332]=C_h_intern(&lf[332],16, C_text("\003sysapply-values"));
lf[333]=C_h_intern(&lf[333],16, C_text("\003syscopy-closure"));
lf[334]=C_h_intern(&lf[334],14, C_text("\003sysblock-set!"));
lf[335]=C_h_intern(&lf[335],15, C_text("\003syscheck-range"));
lf[336]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[337]=C_h_intern(&lf[337],13, C_text("chicken.time#"));
lf[338]=C_h_intern(&lf[338],33, C_text("chicken.time#current-milliseconds"));
lf[339]=C_h_intern(&lf[339],28, C_text("chicken.time#current-seconds"));
lf[340]=C_h_intern(&lf[340],21, C_text("chicken.time#cpu-time"));
lf[341]=C_h_intern(&lf[341],19, C_text("\003syscheck-structure"));
lf[342]=C_h_intern(&lf[342],14, C_text("\003syscheck-blob"));
lf[343]=C_h_intern(&lf[343],21, C_text("\003syscheck-byte-vector"));
lf[344]=C_h_intern(&lf[344],14, C_text("\003syscheck-pair"));
lf[345]=C_h_intern(&lf[345],14, C_text("\003syscheck-list"));
lf[346]=C_h_intern(&lf[346],16, C_text("\003syscheck-string"));
lf[347]=C_h_intern(&lf[347],16, C_text("\003syscheck-number"));
lf[348]=C_h_intern(&lf[348],15, C_text("\003syscheck-exact"));
lf[349]=C_h_intern(&lf[349],17, C_text("\003syscheck-inexact"));
lf[350]=C_h_intern(&lf[350],16, C_text("\003syscheck-symbol"));
lf[351]=C_h_intern(&lf[351],16, C_text("\003syscheck-vector"));
lf[352]=C_h_intern(&lf[352],14, C_text("\003syscheck-char"));
lf[353]=C_h_intern(&lf[353],17, C_text("\003syscheck-boolean"));
lf[354]=C_h_intern(&lf[354],18, C_text("\003syscheck-locative"));
lf[355]=C_h_intern(&lf[355],17, C_text("\003syscheck-integer"));
lf[356]=C_h_intern(&lf[356],21, C_text("\003syserror-bad-integer"));
lf[357]=C_h_intern(&lf[357],23, C_text("\003syscheck-exact-integer"));
lf[358]=C_h_intern(&lf[358],27, C_text("\003syserror-bad-exact-integer"));
lf[359]=C_h_intern(&lf[359],24, C_text("\003syscheck-exact-uinteger"));
lf[360]=C_h_intern(&lf[360],28, C_text("\003syserror-bad-exact-uinteger"));
lf[361]=C_h_intern(&lf[361],14, C_text("\003syscheck-real"));
lf[362]=C_h_intern(&lf[362],18, C_text("\003syserror-bad-real"));
lf[363]=C_h_intern(&lf[363],14, C_text("\003syserror-hook"));
lf[364]=C_h_intern(&lf[364],17, C_text("\003syscheck-special"));
lf[365]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[366]=C_h_intern(&lf[366],17, C_text("\003syscheck-closure"));
lf[367]=C_h_intern(&lf[367],12, C_text("scheme#force"));
lf[368]=C_h_intern(&lf[368],8, C_text("\003syslist"));
lf[369]=C_h_intern(&lf[369],9, C_text("\003sysdload"));
lf[370]=C_h_intern(&lf[370],21, C_text("\003sysset-dlopen-flags!"));
lf[371]=C_h_intern(&lf[371],20, C_text("\003syserror-bad-number"));
lf[372]=C_h_intern(&lf[372],21, C_text("\003syserror-bad-inexact"));
lf[373]=C_h_intern(&lf[373],18, C_text("\003syserror-bad-base"));
lf[374]=C_h_intern(&lf[374],13, C_text("scheme#append"));
lf[375]=C_h_intern(&lf[375],6, C_text("append"));
lf[376]=C_h_intern(&lf[376],16, C_text("\003sysfast-reverse"));
lf[377]=C_h_intern(&lf[377],15, C_text("\003sysmake-string"));
lf[378]=C_h_intern(&lf[378],18, C_text("scheme#make-string"));
lf[379]=C_h_intern(&lf[379],11, C_text("make-string"));
lf[380]=C_h_intern(&lf[380],13, C_text("\000bounds-error"));
lf[381]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[382]=C_h_intern(&lf[382],19, C_text("scheme#string->list"));
lf[383]=C_h_intern(&lf[383],12, C_text("string->list"));
lf[384]=C_h_intern(&lf[384],16, C_text("\003sysstring->list"));
lf[385]=C_h_intern(&lf[385],19, C_text("scheme#list->string"));
lf[386]=C_h_intern(&lf[386],12, C_text("list->string"));
lf[387]=C_h_intern(&lf[387],16, C_text("\003syslist->string"));
lf[388]=C_h_intern(&lf[388],24, C_text("\003sysreverse-list->string"));
lf[389]=C_h_intern(&lf[389],20, C_text("reverse-list->string"));
lf[390]=C_h_intern(&lf[390],19, C_text("scheme#string-fill!"));
lf[391]=C_h_intern(&lf[391],12, C_text("string-fill!"));
lf[392]=C_h_intern(&lf[392],18, C_text("scheme#string-copy"));
lf[393]=C_h_intern(&lf[393],11, C_text("string-copy"));
lf[394]=C_h_intern(&lf[394],16, C_text("scheme#substring"));
lf[395]=C_h_intern(&lf[395],9, C_text("substring"));
lf[396]=C_h_intern(&lf[396],13, C_text("\003syssubstring"));
lf[397]=C_h_intern(&lf[397],15, C_text("scheme#string<\077"));
lf[398]=C_h_intern(&lf[398],8, C_text("string<\077"));
lf[399]=C_h_intern(&lf[399],15, C_text("scheme#string>\077"));
lf[400]=C_h_intern(&lf[400],8, C_text("string>\077"));
lf[401]=C_h_intern(&lf[401],16, C_text("scheme#string<=\077"));
lf[402]=C_h_intern(&lf[402],9, C_text("string<=\077"));
lf[403]=C_h_intern(&lf[403],16, C_text("scheme#string>=\077"));
lf[404]=C_h_intern(&lf[404],9, C_text("string>=\077"));
lf[405]=C_h_intern(&lf[405],18, C_text("scheme#string-ci<\077"));
lf[406]=C_h_intern(&lf[406],11, C_text("string-ci<\077"));
lf[407]=C_h_intern(&lf[407],18, C_text("scheme#string-ci>\077"));
lf[408]=C_h_intern(&lf[408],11, C_text("string-ci>\077"));
lf[409]=C_h_intern(&lf[409],19, C_text("scheme#string-ci<=\077"));
lf[410]=C_h_intern(&lf[410],12, C_text("string-ci<=\077"));
lf[411]=C_h_intern(&lf[411],19, C_text("scheme#string-ci>=\077"));
lf[412]=C_h_intern(&lf[412],12, C_text("string-ci>=\077"));
lf[413]=C_h_intern(&lf[413],17, C_text("\003sysstring-append"));
lf[414]=C_h_intern(&lf[414],20, C_text("scheme#string-append"));
lf[415]=C_h_intern(&lf[415],13, C_text("string-append"));
lf[416]=C_h_intern(&lf[416],13, C_text("scheme#string"));
lf[417]=C_h_intern(&lf[417],21, C_text("\003sysfragments->string"));
lf[418]=C_h_intern(&lf[418],17, C_text("chicken.base#chop"));
lf[419]=C_h_intern(&lf[419],4, C_text("chop"));
lf[420]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[421]=C_h_intern(&lf[421],15, C_text("chicken.flonum#"));
lf[422]=C_h_intern(&lf[422],29, C_text("chicken.flonum#maximum-flonum"));
lf[423]=C_h_intern(&lf[423],29, C_text("chicken.flonum#minimum-flonum"));
lf[424]=C_h_intern(&lf[424],27, C_text("chicken.flonum#flonum-radix"));
lf[425]=C_h_intern(&lf[425],29, C_text("chicken.flonum#flonum-epsilon"));
lf[426]=C_h_intern(&lf[426],31, C_text("chicken.flonum#flonum-precision"));
lf[427]=C_h_intern(&lf[427],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[428]=C_h_intern(&lf[428],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[429]=C_h_intern(&lf[429],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[430]=C_h_intern(&lf[430],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[431]=C_h_intern(&lf[431],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[432]=C_h_intern(&lf[432],18, C_text("chicken.flonum#fp+"));
lf[433]=C_h_intern(&lf[433],3, C_text("fp+"));
lf[434]=C_h_intern(&lf[434],18, C_text("chicken.flonum#fp-"));
lf[435]=C_h_intern(&lf[435],3, C_text("fp-"));
lf[436]=C_h_intern(&lf[436],18, C_text("chicken.flonum#fp\052"));
lf[437]=C_h_intern(&lf[437],3, C_text("fp\052"));
lf[438]=C_h_intern(&lf[438],18, C_text("chicken.flonum#fp/"));
lf[439]=C_h_intern(&lf[439],3, C_text("fp/"));
lf[440]=C_h_intern(&lf[440],20, C_text("chicken.flonum#fpgcd"));
lf[441]=C_h_intern(&lf[441],5, C_text("fpgcd"));
lf[442]=C_h_intern(&lf[442],19, C_text("chicken.flonum#fp/\077"));
lf[443]=C_h_intern(&lf[443],4, C_text("fp/\077"));
lf[444]=C_h_intern(&lf[444],18, C_text("chicken.flonum#fp="));
lf[445]=C_h_intern(&lf[445],3, C_text("fp="));
lf[446]=C_h_intern(&lf[446],18, C_text("chicken.flonum#fp>"));
lf[447]=C_h_intern(&lf[447],3, C_text("fp>"));
lf[448]=C_h_intern(&lf[448],18, C_text("chicken.flonum#fp<"));
lf[449]=C_h_intern(&lf[449],3, C_text("fp<"));
lf[450]=C_h_intern(&lf[450],19, C_text("chicken.flonum#fp>="));
lf[451]=C_h_intern(&lf[451],4, C_text("fp>="));
lf[452]=C_h_intern(&lf[452],19, C_text("chicken.flonum#fp<="));
lf[453]=C_h_intern(&lf[453],4, C_text("fp<="));
lf[454]=C_h_intern(&lf[454],20, C_text("chicken.flonum#fpneg"));
lf[455]=C_h_intern(&lf[455],5, C_text("fpneg"));
lf[456]=C_h_intern(&lf[456],20, C_text("chicken.flonum#fpmax"));
lf[457]=C_h_intern(&lf[457],5, C_text("fpmax"));
lf[458]=C_h_intern(&lf[458],20, C_text("chicken.flonum#fpmin"));
lf[459]=C_h_intern(&lf[459],5, C_text("fpmin"));
lf[460]=C_h_intern(&lf[460],22, C_text("chicken.flonum#fpfloor"));
lf[461]=C_h_intern(&lf[461],7, C_text("fpfloor"));
lf[462]=C_h_intern(&lf[462],25, C_text("chicken.flonum#fptruncate"));
lf[463]=C_h_intern(&lf[463],10, C_text("fptruncate"));
lf[464]=C_h_intern(&lf[464],22, C_text("chicken.flonum#fpround"));
lf[465]=C_h_intern(&lf[465],7, C_text("fpround"));
lf[466]=C_h_intern(&lf[466],24, C_text("chicken.flonum#fpceiling"));
lf[467]=C_h_intern(&lf[467],9, C_text("fpceiling"));
lf[468]=C_h_intern(&lf[468],20, C_text("chicken.flonum#fpsin"));
lf[469]=C_h_intern(&lf[469],5, C_text("fpsin"));
lf[470]=C_h_intern(&lf[470],20, C_text("chicken.flonum#fpcos"));
lf[471]=C_h_intern(&lf[471],5, C_text("fpcos"));
lf[472]=C_h_intern(&lf[472],20, C_text("chicken.flonum#fptan"));
lf[473]=C_h_intern(&lf[473],5, C_text("fptan"));
lf[474]=C_h_intern(&lf[474],21, C_text("chicken.flonum#fpasin"));
lf[475]=C_h_intern(&lf[475],6, C_text("fpasin"));
lf[476]=C_h_intern(&lf[476],21, C_text("chicken.flonum#fpacos"));
lf[477]=C_h_intern(&lf[477],6, C_text("fpacos"));
lf[478]=C_h_intern(&lf[478],21, C_text("chicken.flonum#fpatan"));
lf[479]=C_h_intern(&lf[479],6, C_text("fpatan"));
lf[480]=C_h_intern(&lf[480],22, C_text("chicken.flonum#fpatan2"));
lf[481]=C_h_intern(&lf[481],7, C_text("fpatan2"));
lf[482]=C_h_intern(&lf[482],20, C_text("chicken.flonum#fpexp"));
lf[483]=C_h_intern(&lf[483],5, C_text("fpexp"));
lf[484]=C_h_intern(&lf[484],21, C_text("chicken.flonum#fpexpt"));
lf[485]=C_h_intern(&lf[485],6, C_text("fpexpt"));
lf[486]=C_h_intern(&lf[486],20, C_text("chicken.flonum#fplog"));
lf[487]=C_h_intern(&lf[487],5, C_text("fplog"));
lf[488]=C_h_intern(&lf[488],21, C_text("chicken.flonum#fpsqrt"));
lf[489]=C_h_intern(&lf[489],6, C_text("fpsqrt"));
lf[490]=C_h_intern(&lf[490],20, C_text("chicken.flonum#fpabs"));
lf[491]=C_h_intern(&lf[491],5, C_text("fpabs"));
lf[492]=C_h_intern(&lf[492],25, C_text("chicken.flonum#fpinteger\077"));
lf[493]=C_h_intern(&lf[493],10, C_text("fpinteger\077"));
lf[494]=C_h_intern(&lf[494],37, C_text("chicken.flonum#flonum-print-precision"));
lf[495]=C_h_intern(&lf[495],22, C_text("flonum-print-precision"));
lf[496]=C_h_intern(&lf[496],11, C_text("\003sysnumber\077"));
lf[497]=C_h_intern(&lf[497],12, C_text("\003sysinteger\077"));
lf[498]=C_h_intern(&lf[498],10, C_text("\003sysexact\077"));
lf[499]=C_h_intern(&lf[499],12, C_text("\003sysinexact\077"));
lf[501]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[502]=C_h_intern(&lf[502],23, C_text("scheme#make-rectangular"));
lf[503]=C_h_intern(&lf[503],16, C_text("make-rectangular"));
lf[504]=C_h_intern(&lf[504],17, C_text("scheme#make-polar"));
lf[505]=C_h_intern(&lf[505],10, C_text("make-polar"));
lf[506]=C_h_intern(&lf[506],16, C_text("scheme#real-part"));
lf[507]=C_h_intern(&lf[507],9, C_text("real-part"));
lf[508]=C_h_intern(&lf[508],16, C_text("scheme#imag-part"));
lf[509]=C_h_intern(&lf[509],9, C_text("imag-part"));
lf[510]=C_h_intern(&lf[510],12, C_text("scheme#angle"));
lf[511]=C_h_intern(&lf[511],5, C_text("angle"));
lf[512]=C_h_intern(&lf[512],16, C_text("scheme#magnitude"));
lf[513]=C_h_intern(&lf[513],11, C_text("scheme#sqrt"));
lf[514]=C_h_intern(&lf[514],9, C_text("magnitude"));
lf[516]=C_h_intern(&lf[516],16, C_text("scheme#numerator"));
lf[517]=C_h_intern(&lf[517],11, C_text("bad-inexact"));
lf[518]=C_h_intern(&lf[518],9, C_text("numerator"));
lf[519]=C_h_intern(&lf[519],21, C_text("scheme#inexact->exact"));
lf[520]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[521]=C_h_intern(&lf[521],18, C_text("scheme#denominator"));
lf[522]=C_h_intern(&lf[522],11, C_text("denominator"));
lf[523]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[524]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[525]=C_h_intern(&lf[525],19, C_text("\003sysextended-signum"));
lf[526]=C_h_intern(&lf[526],6, C_text("signum"));
lf[527]=C_h_intern(&lf[527],7, C_text("\003sys/-2"));
lf[528]=C_h_intern(&lf[528],14, C_text("inexact->exact"));
lf[529]=C_h_intern(&lf[529],17, C_text("\003sysinteger-power"));
lf[530]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[531]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[532]=C_h_intern(&lf[532],11, C_text("scheme#expt"));
lf[533]=C_h_intern(&lf[533],18, C_text("\003sysexact->inexact"));
lf[534]=C_h_intern(&lf[534],18, C_text("\003sysinexact->exact"));
lf[535]=C_h_intern(&lf[535],16, C_text("chicken.bitwise#"));
lf[536]=C_h_intern(&lf[536],27, C_text("chicken.bitwise#bitwise-and"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-ior"));
lf[538]=C_h_intern(&lf[538],27, C_text("chicken.bitwise#bitwise-xor"));
lf[539]=C_h_intern(&lf[539],27, C_text("chicken.bitwise#bitwise-not"));
lf[540]=C_h_intern(&lf[540],28, C_text("chicken.bitwise#bit->boolean"));
lf[541]=C_h_intern(&lf[541],30, C_text("chicken.bitwise#integer-length"));
lf[542]=C_h_intern(&lf[542],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[543]=C_h_intern(&lf[543],8, C_text("scheme#/"));
lf[545]=C_h_intern(&lf[545],1, C_text("/"));
lf[546]=C_h_intern(&lf[546],12, C_text("scheme#floor"));
lf[547]=C_h_intern(&lf[547],5, C_text("floor"));
lf[548]=C_h_intern(&lf[548],14, C_text("scheme#ceiling"));
lf[549]=C_h_intern(&lf[549],7, C_text("ceiling"));
lf[550]=C_h_intern(&lf[550],15, C_text("scheme#truncate"));
lf[551]=C_h_intern(&lf[551],8, C_text("truncate"));
lf[552]=C_h_intern(&lf[552],12, C_text("scheme#round"));
lf[553]=C_h_intern(&lf[553],5, C_text("round"));
lf[555]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[556]=C_h_intern(&lf[556],18, C_text("scheme#rationalize"));
lf[557]=C_h_intern(&lf[557],10, C_text("scheme#max"));
lf[558]=C_h_intern(&lf[558],3, C_text("max"));
lf[559]=C_h_intern(&lf[559],10, C_text("scheme#min"));
lf[560]=C_h_intern(&lf[560],3, C_text("min"));
lf[561]=C_h_intern(&lf[561],10, C_text("scheme#exp"));
lf[562]=C_h_intern(&lf[562],3, C_text("exp"));
lf[563]=C_h_intern(&lf[563],9, C_text("\003syslog-1"));
lf[564]=C_h_intern(&lf[564],17, C_text("\000arithmetic-error"));
lf[565]=C_h_intern(&lf[565],3, C_text("log"));
lf[566]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[567]=C_h_intern(&lf[567],10, C_text("scheme#log"));
lf[568]=C_h_intern(&lf[568],10, C_text("scheme#sin"));
lf[569]=C_h_intern(&lf[569],3, C_text("sin"));
lf[570]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[571]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[572]=C_h_intern(&lf[572],10, C_text("scheme#cos"));
lf[573]=C_h_intern(&lf[573],3, C_text("cos"));
lf[574]=C_h_intern(&lf[574],10, C_text("scheme#tan"));
lf[575]=C_h_intern(&lf[575],3, C_text("tan"));
lf[576]=C_h_intern(&lf[576],11, C_text("scheme#asin"));
lf[577]=C_h_intern(&lf[577],4, C_text("asin"));
lf[578]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[579]=C_h_intern(&lf[579],12, C_text("\003syssqrt/loc"));
lf[580]=C_h_intern(&lf[580],11, C_text("scheme#acos"));
lf[581]=C_h_intern(&lf[581],4, C_text("acos"));
lf[582]=C_h_intern(&lf[582],11, C_text("scheme#atan"));
lf[583]=C_h_intern(&lf[583],4, C_text("atan"));
lf[584]=C_h_intern(&lf[584],22, C_text("\003sysexact-integer-sqrt"));
lf[585]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[586]=C_h_intern(&lf[586],31, C_text("chicken.base#exact-integer-sqrt"));
lf[587]=C_h_intern(&lf[587],18, C_text("exact-integer-sqrt"));
lf[588]=C_h_intern(&lf[588],4, C_text("sqrt"));
lf[589]=C_h_intern(&lf[589],35, C_text("chicken.base#exact-integer-nth-root"));
lf[590]=C_h_intern(&lf[590],30, C_text("\003sysexact-integer-nth-root/loc"));
lf[591]=C_h_intern(&lf[591],22, C_text("exact-integer-nth-root"));
lf[592]=C_h_intern(&lf[592],4, C_text("expt"));
lf[593]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[594]=C_h_intern(&lf[594],7, C_text("\003sysgcd"));
lf[595]=C_h_intern(&lf[595],3, C_text("gcd"));
lf[596]=C_h_intern(&lf[596],10, C_text("scheme#gcd"));
lf[597]=C_h_intern(&lf[597],7, C_text("\003syslcm"));
lf[598]=C_h_intern(&lf[598],3, C_text("lcm"));
lf[599]=C_h_intern(&lf[599],10, C_text("scheme#lcm"));
lf[600]=C_h_intern(&lf[600],29, C_text("\003sysinteger->string/recursive"));
lf[601]=C_h_intern(&lf[601],18, C_text("\003sysnumber->string"));
lf[602]=C_h_intern(&lf[602],27, C_text("\003sysextended-number->string"));
lf[603]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[604]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[606]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[607]=C_h_intern(&lf[607],14, C_text("number->string"));
lf[610]=C_h_intern(&lf[610],1, C_text("e"));
lf[611]=C_h_intern(&lf[611],1, C_text("i"));
lf[612]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[613]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[614]=C_h_intern(&lf[614],3, C_text("neg"));
lf[615]=C_h_intern(&lf[615],3, C_text("pos"));
lf[616]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[617]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[618]=C_h_intern(&lf[618],21, C_text("scheme#string->number"));
lf[619]=C_h_intern(&lf[619],14, C_text("string->number"));
lf[620]=C_h_intern(&lf[620],18, C_text("\003sysstring->number"));
lf[621]=C_h_intern(&lf[621],18, C_text("\003sysfixnum->string"));
lf[622]=C_h_intern(&lf[622],18, C_text("\003sysflonum->string"));
lf[623]=C_h_intern(&lf[623],19, C_text("\003sysinteger->string"));
lf[624]=C_h_intern(&lf[624],20, C_text("chicken.base#equal=\077"));
lf[625]=C_h_intern(&lf[625],9, C_text("\003syssnafu"));
lf[626]=C_h_intern(&lf[626],9, C_text("\003sysfnord"));
lf[627]=C_h_intern(&lf[627],17, C_text("\003sysintern-symbol"));
lf[628]=C_h_intern(&lf[628],20, C_text("\003sysinterned-symbol\077"));
lf[629]=C_h_intern(&lf[629],18, C_text("\003sysstring->symbol"));
lf[630]=C_h_intern(&lf[630],18, C_text("\003syssymbol->string"));
lf[631]=C_h_intern(&lf[631],28, C_text("\003syssymbol->qualified-string"));
lf[632]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[633]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001#"));
lf[634]=C_h_intern(&lf[634],27, C_text("\003sysqualified-symbol-prefix"));
lf[635]=C_h_intern(&lf[635],21, C_text("\003sysqualified-symbol\077"));
lf[636]=C_h_intern(&lf[636],28, C_text("\003sysstring->qualified-symbol"));
lf[637]=C_h_intern(&lf[637],21, C_text("scheme#symbol->string"));
lf[638]=C_h_intern(&lf[638],14, C_text("symbol->string"));
lf[639]=C_h_intern(&lf[639],21, C_text("scheme#string->symbol"));
lf[640]=C_h_intern(&lf[640],14, C_text("string->symbol"));
lf[641]=C_h_intern(&lf[641],38, C_text("chicken.base#string->uninterned-symbol"));
lf[642]=C_h_intern(&lf[642],25, C_text("string->uninterned-symbol"));
lf[643]=C_h_intern(&lf[643],19, C_text("chicken.base#gensym"));
lf[644]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[645]=C_h_intern(&lf[645],6, C_text("gensym"));
lf[646]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[647]=C_h_intern(&lf[647],26, C_text("chicken.base#symbol-append"));
lf[648]=C_h_intern(&lf[648],13, C_text("symbol-append"));
lf[649]=C_h_intern(&lf[649],16, C_text("chicken.keyword#"));
lf[650]=C_h_intern(&lf[650],24, C_text("chicken.keyword#keyword\077"));
lf[651]=C_h_intern(&lf[651],31, C_text("chicken.keyword#string->keyword"));
lf[652]=C_h_intern(&lf[652],15, C_text("string->keyword"));
lf[653]=C_h_intern(&lf[653],31, C_text("chicken.keyword#keyword->string"));
lf[654]=C_h_intern(&lf[654],15, C_text("keyword->string"));
lf[655]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[656]=C_h_intern(&lf[656],3, C_text("tag"));
lf[657]=C_h_intern(&lf[657],27, C_text("chicken.keyword#get-keyword"));
lf[658]=C_h_intern(&lf[658],11, C_text("get-keyword"));
lf[659]=C_h_intern(&lf[659],15, C_text("\003sysget-keyword"));
lf[660]=C_h_intern(&lf[660],13, C_text("chicken.blob#"));
lf[661]=C_h_intern(&lf[661],13, C_text("\003sysmake-blob"));
lf[662]=C_h_intern(&lf[662],22, C_text("chicken.blob#make-blob"));
lf[663]=C_h_intern(&lf[663],9, C_text("make-blob"));
lf[664]=C_h_intern(&lf[664],18, C_text("chicken.blob#blob\077"));
lf[665]=C_h_intern(&lf[665],22, C_text("chicken.blob#blob-size"));
lf[666]=C_h_intern(&lf[666],9, C_text("blob-size"));
lf[667]=C_h_intern(&lf[667],25, C_text("chicken.blob#string->blob"));
lf[668]=C_h_intern(&lf[668],12, C_text("string->blob"));
lf[669]=C_h_intern(&lf[669],25, C_text("chicken.blob#blob->string"));
lf[670]=C_h_intern(&lf[670],12, C_text("blob->string"));
lf[671]=C_h_intern(&lf[671],19, C_text("chicken.blob#blob=\077"));
lf[672]=C_h_intern(&lf[672],6, C_text("blob=\077"));
lf[673]=C_h_intern(&lf[673],11, C_text("make-vector"));
lf[674]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[675]=C_h_intern(&lf[675],15, C_text("\003sysmake-vector"));
lf[676]=C_h_intern(&lf[676],12, C_text("list->vector"));
lf[677]=C_h_intern(&lf[677],12, C_text("vector->list"));
lf[678]=C_h_intern(&lf[678],12, C_text("vector-fill!"));
lf[679]=C_h_intern(&lf[679],12, C_text("vector-copy!"));
lf[680]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[681]=C_h_intern(&lf[681],9, C_text("subvector"));
lf[682]=C_h_intern(&lf[682],13, C_text("vector-resize"));
lf[684]=C_h_intern(&lf[684],9, C_text("char-name"));
lf[685]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[686]=C_h_intern(&lf[686],34, C_text("\003syscall-with-current-continuation"));
lf[687]=C_h_intern(&lf[687],21, C_text("\003syscall-with-cthulhu"));
lf[688]=C_h_intern(&lf[688],20, C_text("\003syscall-with-values"));
lf[689]=C_h_intern(&lf[689],12, C_text("\003sysfor-each"));
lf[690]=C_h_intern(&lf[690],8, C_text("for-each"));
lf[691]=C_h_intern(&lf[691],7, C_text("\003sysmap"));
lf[692]=C_h_intern(&lf[692],3, C_text("map"));
lf[693]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034lists are not of same length"));
lf[694]=C_h_intern(&lf[694],17, C_text("\003sysdynamic-winds"));
lf[695]=C_h_intern(&lf[695],16, C_text("\003sysdynamic-wind"));
lf[697]=C_h_intern(&lf[697],16, C_text("input-port-open\077"));
lf[698]=C_h_intern(&lf[698],17, C_text("output-port-open\077"));
lf[699]=C_h_intern(&lf[699],14, C_text("\003syscheck-port"));
lf[700]=C_h_intern(&lf[700],12, C_text("port-closed\077"));
lf[701]=C_h_intern(&lf[701],13, C_text("\003sysmake-port"));
lf[702]=C_h_intern(&lf[702],22, C_text("\003sysdispatch-interrupt"));
lf[703]=C_h_intern(&lf[703],11, C_text("\000file-error"));
lf[704]=C_h_intern(&lf[704],9, C_text("read-char"));
lf[705]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[706]=C_h_intern(&lf[706],17, C_text("\003syspeek-c-string"));
lf[707]=C_h_intern(&lf[707],16, C_text("\003sysupdate-errno"));
lf[708]=C_h_intern(&lf[708],9, C_text("peek-char"));
lf[709]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[710]=C_h_intern(&lf[710],12, C_text("read-string!"));
lf[711]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[712]=C_h_intern(&lf[712],9, C_text("read-line"));
lf[713]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[714]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[715]=C_h_intern(&lf[715],21, C_text("\003sysstream-port-class"));
lf[716]=C_h_intern(&lf[716],18, C_text("\003sysopen-file-port"));
lf[717]=C_h_intern(&lf[717],18, C_text("\003sysstandard-input"));
lf[718]=C_h_intern(&lf[718],19, C_text("\003sysstandard-output"));
lf[719]=C_h_intern(&lf[719],18, C_text("\003sysstandard-error"));
lf[720]=C_h_intern(&lf[720],20, C_text("\003syscheck-input-port"));
lf[721]=C_h_intern(&lf[721],21, C_text("\003syscheck-output-port"));
lf[722]=C_h_intern(&lf[722],19, C_text("\003syscheck-open-port"));
lf[723]=C_h_intern(&lf[723],18, C_text("current-input-port"));
lf[724]=C_h_intern(&lf[724],19, C_text("current-output-port"));
lf[725]=C_h_intern(&lf[725],18, C_text("current-error-port"));
lf[726]=C_h_intern(&lf[726],13, C_text("\003systty-port\077"));
lf[727]=C_h_intern(&lf[727],25, C_text("\003syspeek-unsigned-integer"));
lf[728]=C_h_intern(&lf[728],13, C_text("\003sysport-data"));
lf[729]=C_h_intern(&lf[729],18, C_text("\003sysset-port-data!"));
lf[730]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[731]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[732]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[733]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[734]=C_h_intern(&lf[734],6, C_text("stream"));
lf[735]=C_h_intern(&lf[735],7, C_text("\000binary"));
lf[736]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[737]=C_h_intern(&lf[737],5, C_text("\000text"));
lf[738]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[739]=C_h_intern(&lf[739],7, C_text("\000append"));
lf[740]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[741]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[742]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[743]=C_h_intern(&lf[743],15, C_text("open-input-file"));
lf[744]=C_h_intern(&lf[744],16, C_text("open-output-file"));
lf[745]=C_h_intern(&lf[745],16, C_text("close-input-port"));
lf[746]=C_h_intern(&lf[746],17, C_text("close-output-port"));
lf[747]=C_h_intern(&lf[747],16, C_text("\003sysfile-exists\077"));
lf[748]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[749]=C_h_intern(&lf[749],17, C_text("\003sysmake-c-string"));
lf[750]=C_h_intern(&lf[750],16, C_text("\003sysflush-output"));
lf[751]=C_h_intern(&lf[751],12, C_text("flush-output"));
lf[752]=C_h_intern(&lf[752],13, C_text("\003sysport-line"));
lf[753]=C_h_intern(&lf[753],19, C_text("\003sysdecorate-lambda"));
lf[754]=C_h_intern(&lf[754],21, C_text("\003syslambda-decoration"));
lf[755]=C_h_intern(&lf[755],20, C_text("\003sysmake-lambda-info"));
lf[756]=C_h_intern(&lf[756],16, C_text("\003syslambda-info\077"));
lf[757]=C_h_intern(&lf[757],15, C_text("\003syslambda-info"));
lf[758]=C_h_intern(&lf[758],23, C_text("\003syslambda-info->string"));
lf[759]=C_h_intern(&lf[759],8, C_text("\003sysread"));
lf[760]=C_h_intern(&lf[760],21, C_text("procedure-information"));
lf[761]=C_h_intern(&lf[761],6, C_text("setter"));
lf[763]=C_h_intern(&lf[763],10, C_text("\003syssetter"));
lf[764]=C_h_intern(&lf[764],18, C_text("getter-with-setter"));
lf[766]=C_h_intern(&lf[766],28, C_text("\003syscurrent-parameter-vector"));
lf[767]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[768]=C_h_intern(&lf[768],11, C_text("char-ready\077"));
lf[769]=C_h_intern(&lf[769],15, C_text("\003sysread-char-0"));
lf[770]=C_h_intern(&lf[770],18, C_text("\003sysread-char/port"));
lf[771]=C_h_intern(&lf[771],15, C_text("\003syspeek-char-0"));
lf[772]=C_h_intern(&lf[772],4, C_text("read"));
lf[773]=C_h_intern(&lf[773],26, C_text("\003sysdefault-read-info-hook"));
lf[774]=C_h_intern(&lf[774],31, C_text("\003sysread-error-with-line-number"));
lf[775]=C_h_intern(&lf[775],21, C_text("\003sysenable-qualifiers"));
lf[776]=C_h_intern(&lf[776],20, C_text("\003sysread-prompt-hook"));
lf[777]=C_h_intern(&lf[777],19, C_text("\003sysinfix-list-hook"));
lf[778]=C_h_intern(&lf[778],21, C_text("\003syssharp-number-hook"));
lf[779]=C_h_intern(&lf[779],14, C_text("\003sysread-error"));
lf[780]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[781]=C_h_intern(&lf[781],22, C_text("\003syscurrent-read-table"));
lf[782]=C_h_intern(&lf[782],16, C_text("\003sysread-warning"));
lf[783]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[784]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[785]=C_h_intern(&lf[785],13, C_text("\000syntax-error"));
lf[786]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[787]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[788]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[789]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[790]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[791]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[792]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[793]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[794]=C_h_intern(&lf[794],21, C_text("\003syschar->utf8-string"));
lf[795]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[796]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[797]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[798]=C_h_intern(&lf[798],25, C_text("\003syssurrogates->codepoint"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[800]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[801]=C_h_intern(&lf[801],22, C_text("\003sysunicode-surrogate\077"));
lf[802]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[803]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[804]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[805]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[808]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[809]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[810]=C_h_intern(&lf[810],9, C_text("list-info"));
lf[811]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[812]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[813]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[814]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[815]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[816]=C_h_intern(&lf[816],7, C_text("\000suffix"));
lf[817]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[819]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[820]=C_h_intern(&lf[820],16, C_text("\003syslist->vector"));
lf[821]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[822]=C_h_intern(&lf[822],11, C_text("symbol-info"));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[825]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[826]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[827]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[828]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[830]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[831]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[832]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[833]=C_h_intern(&lf[833],7, C_text("\000prefix"));
lf[834]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[835]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[836]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\000\037invalid qualified symbol syntax"));
lf[838]=C_decode_literal(C_heaptop,C_text("\376B\000\000&qualified symbol syntax is not allowed"));
lf[839]=C_h_intern(&lf[839],5, C_text("quote"));
lf[840]=C_h_intern(&lf[840],10, C_text("quasiquote"));
lf[841]=C_h_intern(&lf[841],16, C_text("unquote-splicing"));
lf[842]=C_h_intern(&lf[842],7, C_text("unquote"));
lf[843]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[844]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[845]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[846]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[847]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[848]=C_h_intern(&lf[848],11, C_text("quasisyntax"));
lf[849]=C_h_intern(&lf[849],27, C_text("\003sysread-bytevector-literal"));
lf[850]=C_h_intern(&lf[850],8, C_text("location"));
lf[851]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[852]=C_h_intern(&lf[852],11, C_text("cond-expand"));
lf[853]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004else\376\377\016"));
lf[854]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[855]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[858]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[859]=C_h_intern(&lf[859],14, C_text("\003sysread-marks"));
lf[860]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[861]=C_h_intern(&lf[861],18, C_text("\003sysuser-read-hook"));
lf[862]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[863]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[864]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[865]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[866]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[867]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[868]=C_h_intern(&lf[868],16, C_text("\003syswrite-char-0"));
lf[869]=C_h_intern(&lf[869],19, C_text("\003syswrite-char/port"));
lf[870]=C_h_intern(&lf[870],10, C_text("write-char"));
lf[871]=C_h_intern(&lf[871],5, C_text("write"));
lf[872]=C_h_intern(&lf[872],9, C_text("\003sysprint"));
lf[873]=C_h_intern(&lf[873],7, C_text("display"));
lf[874]=C_h_intern(&lf[874],5, C_text("print"));
lf[876]=C_h_intern(&lf[876],22, C_text("\003sysprint-length-limit"));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[880]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[883]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[885]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[886]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[887]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[888]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[889]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[890]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[891]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[892]=C_h_intern(&lf[892],19, C_text("\003syspointer->string"));
lf[893]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[896]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[897]=C_h_intern(&lf[897],19, C_text("\003sysuser-print-hook"));
lf[898]=C_h_intern(&lf[898],21, C_text("\003sysprocedure->string"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[902]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[903]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[904]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[905]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[906]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[907]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[908]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[909]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[910]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[911]=C_h_intern(&lf[911],19, C_text("\003sysrecord-printers"));
lf[912]=C_h_intern(&lf[912],27, C_text("\003sysregister-record-printer"));
lf[913]=C_h_intern(&lf[913],9, C_text("condition"));
lf[914]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[915]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[916]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[917]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[918]=C_h_intern(&lf[918],40, C_text("chicken.condition#with-exception-handler"));
lf[919]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[920]=C_h_intern(&lf[920],6, C_text("thread"));
lf[921]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[922]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[923]=C_h_intern(&lf[923],27, C_text("\003syswith-print-length-limit"));
lf[924]=C_h_intern(&lf[924],14, C_text("\003syscopy-bytes"));
lf[925]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[926]=C_h_intern(&lf[926],20, C_text("\003sysscan-buffer-line"));
lf[927]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[928]=C_h_intern(&lf[928],21, C_text("\003sysstring-port-class"));
lf[929]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[930]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[931]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[932]=C_h_intern(&lf[932],17, C_text("open-input-string"));
lf[933]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[934]=C_h_intern(&lf[934],6, C_text("string"));
lf[935]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[936]=C_h_intern(&lf[936],17, C_text("get-output-string"));
lf[937]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[938]=C_h_intern(&lf[938],19, C_text("\003sysprint-to-string"));
lf[939]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[940]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[941]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[942]=C_h_intern(&lf[942],20, C_text("\003syspointer->address"));
lf[943]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[944]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[945]=C_h_intern(&lf[945],18, C_text("\003syscurrent-thread"));
lf[946]=C_h_intern(&lf[946],25, C_text("\003syspeek-nonnull-c-string"));
lf[947]=C_h_intern(&lf[947],27, C_text("\003sysreally-print-call-chain"));
lf[948]=C_h_intern(&lf[948],9, C_text("frameinfo"));
lf[949]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[950]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[951]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[952]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[953]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[954]=C_h_intern(&lf[954],16, C_text("print-call-chain"));
lf[955]=C_h_intern(&lf[955],23, C_text("\003sysuser-interrupt-hook"));
lf[956]=C_h_intern(&lf[956],15, C_text("\000user-interrupt"));
lf[957]=C_h_intern(&lf[957],21, C_text("\003sysprimordial-thread"));
lf[960]=C_h_intern(&lf[960],20, C_text("\003sysforce-finalizers"));
lf[961]=C_h_intern(&lf[961],27, C_text("chicken.gc#force-finalizers"));
lf[962]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[963]=C_h_intern(&lf[963],19, C_text("\003sysdump-heap-state"));
lf[964]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[965]=C_h_intern(&lf[965],17, C_text("\003sysreset-handler"));
lf[966]=C_h_intern(&lf[966],18, C_text("chicken.condition#"));
lf[967]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[968]=C_h_intern(&lf[968],23, C_text("chicken.condition#abort"));
lf[969]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[970]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[971]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[972]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[974]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\012call-chain"));
lf[975]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[976]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\004type\376\377\016"));
lf[977]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006syntax\376\377\016"));
lf[978]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006bounds\376\377\016"));
lf[979]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\012arithmetic\376\377\016"));
lf[980]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\004file\376\377\016"));
lf[981]=C_h_intern(&lf[981],14, C_text("\000runtime-error"));
lf[982]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\377\016"));
lf[983]=C_h_intern(&lf[983],14, C_text("\000process-error"));
lf[984]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007process\376\377\016"));
lf[985]=C_h_intern(&lf[985],14, C_text("\000network-error"));
lf[986]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\377\016"));
lf[987]=C_h_intern(&lf[987],22, C_text("\000network-timeout-error"));
lf[988]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\003\000\000\002\376\001\000\000\007timeout\376\377\016"));
lf[989]=C_h_intern(&lf[989],12, C_text("\000limit-error"));
lf[990]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\003\000\000\002\376\001\000\000\005limit\376\377\016"));
lf[991]=C_h_intern(&lf[991],12, C_text("\000arity-error"));
lf[992]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\005arity\376\377\016"));
lf[993]=C_h_intern(&lf[993],13, C_text("\000access-error"));
lf[994]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006access\376\377\016"));
lf[995]=C_h_intern(&lf[995],13, C_text("\000domain-error"));
lf[996]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006domain\376\377\016"));
lf[997]=C_h_intern(&lf[997],13, C_text("\000memory-error"));
lf[998]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006memory\376\377\016"));
lf[999]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[1000]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1001]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[1002]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1003]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1004]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[1005]=C_h_intern(&lf[1005],29, C_text("\003syscurrent-exception-handler"));
lf[1006]=C_h_intern(&lf[1006],24, C_text("chicken.condition#signal"));
lf[1007]=C_h_intern(&lf[1007],18, C_text("\003sysbreak-on-error"));
lf[1008]=C_h_intern(&lf[1008],17, C_text("\003syserror-handler"));
lf[1009]=C_h_intern(&lf[1009],18, C_text("\003syslast-exception"));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1011]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\377\016"));
lf[1012]=C_h_intern(&lf[1012],3, C_text("exn"));
lf[1013]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1014]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1015]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1016]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1017]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1018]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1019]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1020]=C_h_intern(&lf[1020],14, C_text("user-interrupt"));
lf[1021]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1022]=C_h_intern(&lf[1022],18, C_text("uncaught-exception"));
lf[1023]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1024]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1025]=C_h_intern(&lf[1025],43, C_text("chicken.condition#current-exception-handler"));
lf[1026]=C_h_intern(&lf[1026],25, C_text("current-exception-handler"));
lf[1028]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1029]=C_h_intern(&lf[1029],41, C_text("chicken.condition#make-property-condition"));
lf[1030]=C_h_intern(&lf[1030],23, C_text("make-property-condition"));
lf[1031]=C_h_intern(&lf[1031],42, C_text("chicken.condition#make-composite-condition"));
lf[1032]=C_h_intern(&lf[1032],24, C_text("make-composite-condition"));
lf[1033]=C_h_intern(&lf[1033],27, C_text("chicken.condition#condition"));
lf[1034]=C_h_intern(&lf[1034],28, C_text("chicken.condition#condition\077"));
lf[1035]=C_h_intern(&lf[1035],33, C_text("chicken.condition#condition->list"));
lf[1036]=C_h_intern(&lf[1036],15, C_text("condition->list"));
lf[1037]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1038]=C_h_intern(&lf[1038],37, C_text("chicken.condition#condition-predicate"));
lf[1039]=C_h_intern(&lf[1039],45, C_text("chicken.condition#condition-property-accessor"));
lf[1040]=C_h_intern(&lf[1040],27, C_text("condition-property-accessor"));
lf[1041]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1042]=C_h_intern(&lf[1042],40, C_text("chicken.condition#get-condition-property"));
lf[1043]=C_h_intern(&lf[1043],37, C_text("chicken.condition#print-error-message"));
lf[1044]=C_h_intern(&lf[1044],19, C_text("print-error-message"));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1046]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1048]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1049]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1052]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1054]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1055]=C_h_intern(&lf[1055],26, C_text("\003sysshow-exception-warning"));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1107]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1108]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1109]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1110]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1111]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1112]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1113]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1114]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1115]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1116]=C_h_intern(&lf[1116],14, C_text("\003sysstructure\077"));
lf[1117]=C_h_intern(&lf[1117],22, C_text("\003sysgeneric-structure\077"));
lf[1118]=C_h_intern(&lf[1118],8, C_text("\003sysslot"));
lf[1119]=C_h_intern(&lf[1119],8, C_text("\003syssize"));
lf[1120]=C_h_intern(&lf[1120],16, C_text("\003sysmake-pointer"));
lf[1121]=C_h_intern(&lf[1121],23, C_text("\003sysmake-tagged-pointer"));
lf[1122]=C_h_intern(&lf[1122],12, C_text("\003syspointer\077"));
lf[1123]=C_h_intern(&lf[1123],24, C_text("\003sysset-pointer-address!"));
lf[1124]=C_h_intern(&lf[1124],15, C_text("\003sysbytevector\077"));
lf[1125]=C_h_intern(&lf[1125],23, C_text("\003sysstring->pbytevector"));
lf[1126]=C_h_intern(&lf[1126],14, C_text("\003syspermanent\077"));
lf[1127]=C_h_intern(&lf[1127],17, C_text("\003sysblock-address"));
lf[1128]=C_h_intern(&lf[1128],13, C_text("\003syslocative\077"));
lf[1129]=C_h_intern(&lf[1129],18, C_text("\003syssrfi-4-vector\077"));
lf[1130]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010u8vector\376\003\000\000\002\376\001\000\000\011u16vector\376\003\000\000\002\376\001\000\000\010s8vector\376\003\000\000\002\376\001\000\000\011s16vector\376\003\000\000\002\376"
"\001\000\000\011u32vector\376\003\000\000\002\376\001\000\000\011s32vector\376\003\000\000\002\376\001\000\000\011u64vector\376\003\000\000\002\376\001\000\000\011s64vector\376\003\000\000\002\376\001\000\000\011"
"f32vector\376\003\000\000\002\376\001\000\000\011f64vector\376\377\016"));
lf[1131]=C_h_intern(&lf[1131],16, C_text("\003sysnull-pointer"));
lf[1132]=C_h_intern(&lf[1132],17, C_text("\003sysnull-pointer\077"));
lf[1133]=C_h_intern(&lf[1133],20, C_text("\003sysaddress->pointer"));
lf[1134]=C_h_intern(&lf[1134],23, C_text("\003syspeek-signed-integer"));
lf[1135]=C_h_intern(&lf[1135],15, C_text("\003syspeek-fixnum"));
lf[1136]=C_h_intern(&lf[1136],13, C_text("\003syspeek-byte"));
lf[1137]=C_h_intern(&lf[1137],22, C_text("\003sysvector->structure!"));
lf[1138]=C_h_intern(&lf[1138],15, C_text("\003syspeek-double"));
lf[1139]=C_h_intern(&lf[1139],26, C_text("\003syspeek-and-free-c-string"));
lf[1140]=C_h_intern(&lf[1140],34, C_text("\003syspeek-and-free-nonnull-c-string"));
lf[1141]=C_h_intern(&lf[1141],17, C_text("\003syspoke-c-string"));
lf[1142]=C_h_intern(&lf[1142],16, C_text("\003syspoke-integer"));
lf[1143]=C_h_intern(&lf[1143],15, C_text("\003syspoke-double"));
lf[1144]=C_h_intern(&lf[1144],22, C_text("\003syspeek-c-string-list"));
lf[1145]=C_h_intern(&lf[1145],31, C_text("\003syspeek-and-free-c-string-list"));
lf[1146]=C_h_intern(&lf[1146],20, C_text("\003sysvector->closure!"));
lf[1147]=C_h_intern(&lf[1147],32, C_text("\003syssymbol-has-toplevel-binding\077"));
lf[1148]=C_h_intern(&lf[1148],14, C_text("\003syscopy-words"));
lf[1149]=C_h_intern(&lf[1149],17, C_text("\003syscompare-bytes"));
lf[1150]=C_h_intern(&lf[1150],17, C_text("\003sysblock-pointer"));
lf[1151]=C_h_intern(&lf[1151],25, C_text("\003sysforeign-char-argument"));
lf[1152]=C_h_intern(&lf[1152],27, C_text("\003sysforeign-fixnum-argument"));
lf[1153]=C_h_intern(&lf[1153],27, C_text("\003sysforeign-flonum-argument"));
lf[1154]=C_h_intern(&lf[1154],26, C_text("\003sysforeign-block-argument"));
lf[1155]=C_h_intern(&lf[1155],35, C_text("\003sysforeign-struct-wrapper-argument"));
lf[1156]=C_h_intern(&lf[1156],27, C_text("\003sysforeign-string-argument"));
lf[1157]=C_h_intern(&lf[1157],27, C_text("\003sysforeign-symbol-argument"));
lf[1158]=C_h_intern(&lf[1158],28, C_text("\003sysforeign-pointer-argument"));
lf[1159]=C_h_intern(&lf[1159],35, C_text("\003sysforeign-tagged-pointer-argument"));
lf[1160]=C_h_intern(&lf[1160],35, C_text("\003sysforeign-ranged-integer-argument"));
lf[1161]=C_h_intern(&lf[1161],44, C_text("\003sysforeign-unsigned-ranged-integer-argument"));
lf[1162]=C_h_intern(&lf[1162],26, C_text("\003sysdefault-thread-quantum"));
lf[1163]=C_h_intern(&lf[1163],29, C_text("\003sysdefault-exception-handler"));
lf[1164]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1165]=C_h_intern(&lf[1165],15, C_text("\003sysmake-thread"));
lf[1166]=C_h_intern(&lf[1166],14, C_text("\003sysmake-mutex"));
lf[1167]=C_h_intern(&lf[1167],5, C_text("mutex"));
lf[1168]=C_h_intern(&lf[1168],12, C_text("\003sysschedule"));
lf[1169]=C_h_intern(&lf[1169],17, C_text("\003systhread-yield!"));
lf[1170]=C_h_intern(&lf[1170],22, C_text("\003syskill-other-threads"));
lf[1171]=C_h_intern(&lf[1171],23, C_text("chicken.base#sleep-hook"));
lf[1172]=C_h_intern(&lf[1172],5, C_text("sleep"));
lf[1173]=C_h_intern(&lf[1173],18, C_text("\003syscontext-switch"));
lf[1174]=C_h_intern(&lf[1174],17, C_text("\003syssignal-vector"));
lf[1175]=C_h_intern(&lf[1175],18, C_text("\003sysinterrupt-hook"));
lf[1176]=C_h_intern(&lf[1176],22, C_text("\003syspending-finalizers"));
lf[1177]=C_h_intern(&lf[1177],26, C_text("\003sysrun-pending-finalizers"));
lf[1178]=C_h_intern(&lf[1178],9, C_text("\003syserrno"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1180]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1181]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1182]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1183]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1184]=C_h_intern(&lf[1184],4, C_text("cons"));
lf[1185]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1186]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1187]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1188]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1189]=C_h_intern(&lf[1189],24, C_text("chicken.process-context#"));
lf[1190]=C_h_intern(&lf[1190],40, C_text("chicken.process-context#change-directory"));
lf[1191]=C_h_intern(&lf[1191],16, C_text("change-directory"));
lf[1192]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1193]=C_h_intern(&lf[1193],25, C_text("\003syschange-directory-hook"));
lf[1194]=C_h_intern(&lf[1194],41, C_text("chicken.process-context#current-directory"));
lf[1195]=C_h_intern(&lf[1195],48, C_text("chicken.process-context#get-environment-variable"));
lf[1196]=C_h_intern(&lf[1196],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1197]=C_h_intern(&lf[1197],25, C_text("set-environment-variable!"));
lf[1198]=C_h_intern(&lf[1198],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1199]=C_h_intern(&lf[1199],27, C_text("unset-environment-variable!"));
lf[1200]=C_h_intern(&lf[1200],49, C_text("chicken.process-context#get-environment-variables"));
lf[1201]=C_h_intern(&lf[1201],43, C_text("chicken.process-context#executable-pathname"));
lf[1202]=C_h_intern(&lf[1202],33, C_text("chicken.process-context#argc+argv"));
lf[1203]=C_h_intern(&lf[1203],28, C_text("chicken.process-context#argv"));
lf[1204]=C_h_intern(&lf[1204],36, C_text("chicken.process-context#program-name"));
lf[1205]=C_h_intern(&lf[1205],46, C_text("chicken.process-context#command-line-arguments"));
lf[1206]=C_h_intern(&lf[1206],11, C_text("chicken.gc#"));
lf[1207]=C_h_intern(&lf[1207],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1208]=C_h_intern(&lf[1208],25, C_text("chicken.gc#set-gc-report!"));
lf[1209]=C_h_intern(&lf[1209],28, C_text("chicken.gc#memory-statistics"));
lf[1210]=C_h_intern(&lf[1210],18, C_text("\003sysset-finalizer!"));
lf[1211]=C_h_intern(&lf[1211],25, C_text("chicken.gc#set-finalizer!"));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1213]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1214]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1215]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1216]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1217]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1218]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1219]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1220]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1221]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1222]=C_h_intern(&lf[1222],13, C_text("chicken.gc#gc"));
lf[1223]=C_h_intern(&lf[1223],10, C_text("\003syslength"));
lf[1224]=C_h_intern(&lf[1224],8, C_text("\003syscons"));
lf[1225]=C_h_intern(&lf[1225],10, C_text("\003sysvector"));
lf[1226]=C_h_intern(&lf[1226],9, C_text("\003sysapply"));
lf[1227]=C_h_intern(&lf[1227],10, C_text("\003sysvalues"));
lf[1228]=C_h_intern(&lf[1228],10, C_text("\003sysequal\077"));
lf[1229]=C_h_intern(&lf[1229],7, C_text("\003syscar"));
lf[1230]=C_h_intern(&lf[1230],7, C_text("\003syscdr"));
lf[1231]=C_h_intern(&lf[1231],9, C_text("\003syspair\077"));
lf[1232]=C_h_intern(&lf[1232],11, C_text("\003sysvector\077"));
lf[1233]=C_h_intern(&lf[1233],16, C_text("\003sysvector->list"));
lf[1234]=C_h_intern(&lf[1234],17, C_text("\003sysvector-length"));
lf[1235]=C_h_intern(&lf[1235],14, C_text("\003sysvector-ref"));
lf[1236]=C_h_intern(&lf[1236],6, C_text("\003sys>="));
lf[1237]=C_h_intern(&lf[1237],5, C_text("\003sys="));
lf[1238]=C_h_intern(&lf[1238],5, C_text("\003sys+"));
lf[1239]=C_h_intern(&lf[1239],7, C_text("\003syseq\077"));
lf[1240]=C_h_intern(&lf[1240],8, C_text("\003syseqv\077"));
lf[1241]=C_h_intern(&lf[1241],9, C_text("\003syslist\077"));
lf[1242]=C_h_intern(&lf[1242],9, C_text("\003sysnull\077"));
lf[1243]=C_h_intern(&lf[1243],9, C_text("\003sysmap-n"));
lf[1244]=C_h_intern(&lf[1244],17, C_text("\003sysmake-locative"));
lf[1245]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1246]=C_h_intern(&lf[1246],8, C_text("u8vector"));
lf[1247]=C_h_intern(&lf[1247],8, C_text("s8vector"));
lf[1248]=C_h_intern(&lf[1248],9, C_text("u16vector"));
lf[1249]=C_h_intern(&lf[1249],9, C_text("s16vector"));
lf[1250]=C_h_intern(&lf[1250],9, C_text("u32vector"));
lf[1251]=C_h_intern(&lf[1251],9, C_text("s32vector"));
lf[1252]=C_h_intern(&lf[1252],9, C_text("u64vector"));
lf[1253]=C_h_intern(&lf[1253],9, C_text("s64vector"));
lf[1254]=C_h_intern(&lf[1254],9, C_text("f32vector"));
lf[1255]=C_h_intern(&lf[1255],9, C_text("f64vector"));
lf[1256]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1257]=C_h_intern(&lf[1257],14, C_text("chicken.plist#"));
lf[1258]=C_h_intern(&lf[1258],18, C_text("chicken.plist#put!"));
lf[1259]=C_h_intern(&lf[1259],4, C_text("put!"));
lf[1260]=C_h_intern(&lf[1260],17, C_text("chicken.plist#get"));
lf[1261]=C_h_intern(&lf[1261],3, C_text("get"));
lf[1262]=C_h_intern(&lf[1262],8, C_text("\003sysput!"));
lf[1263]=C_h_intern(&lf[1263],7, C_text("\003sysget"));
lf[1264]=C_h_intern(&lf[1264],22, C_text("chicken.plist#remprop!"));
lf[1265]=C_h_intern(&lf[1265],8, C_text("remprop!"));
lf[1266]=C_h_intern(&lf[1266],26, C_text("chicken.plist#symbol-plist"));
lf[1267]=C_h_intern(&lf[1267],28, C_text("chicken.plist#get-properties"));
lf[1268]=C_h_intern(&lf[1268],14, C_text("get-properties"));
lf[1269]=C_h_intern(&lf[1269],17, C_text("\003sysdisplay-times"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1276]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1277]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1278]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1279]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1280]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1281]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1282]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1283]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1284]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1285]=C_h_intern(&lf[1285],23, C_text("\003sysfilter-heap-objects"));
lf[1286]=C_h_intern(&lf[1286],17, C_text("chicken.platform#"));
lf[1287]=C_h_intern(&lf[1287],30, C_text("chicken.platform#software-type"));
lf[1288]=C_h_intern(&lf[1288],29, C_text("chicken.platform#machine-type"));
lf[1289]=C_h_intern(&lf[1289],35, C_text("chicken.platform#machine-byte-order"));
lf[1290]=C_h_intern(&lf[1290],33, C_text("chicken.platform#software-version"));
lf[1291]=C_h_intern(&lf[1291],31, C_text("chicken.platform#build-platform"));
lf[1292]=C_h_intern(&lf[1292],20, C_text("\003syswindows-platform"));
lf[1293]=C_h_intern(&lf[1293],32, C_text("chicken.platform#chicken-version"));
lf[1294]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1295]=C_h_intern(&lf[1295],17, C_text("\003sysbuild-version"));
lf[1296]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1297]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1299]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1300]=C_h_intern(&lf[1300],7, C_text("unknown"));
lf[1301]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1302]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1303]=C_h_intern(&lf[1303],12, C_text("\003sysbuild-id"));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1306]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1307]=C_h_intern(&lf[1307],16, C_text("\003sysbuild-branch"));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1313]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1314]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1315]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1316]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1317]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1318]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1319]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1320]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1321]=C_h_intern(&lf[1321],25, C_text("chicken.platform#feature\077"));
lf[1322]=C_h_intern(&lf[1322],14, C_text("\000cross-chicken"));
lf[1323]=C_h_intern(&lf[1323],8, C_text("\000gchooks"));
lf[1324]=C_h_intern(&lf[1324],8, C_text("\000ptables"));
lf[1325]=C_h_intern(&lf[1325],6, C_text("\000dload"));
lf[1326]=C_h_intern(&lf[1326],6, C_text("\00064bit"));
lf[1327]=C_h_intern(&lf[1327],29, C_text("chicken.platform#chicken-home"));
lf[1328]=C_h_intern(&lf[1328],32, C_text("chicken.platform#repository-path"));
lf[1329]=C_h_intern(&lf[1329],40, C_text("chicken.platform#installation-repository"));
lf[1331]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1332]=C_h_intern(&lf[1332],12, C_text("\003sysfeatures"));
lf[1333]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010\000chicken\376\003\000\000\002\376\001\000\000\007\000srfi-6\376\003\000\000\002\376\001\000\000\010\000srfi-12\376\003\000\000\002\376\001\000\000\010\000srfi-17\376\003\000\000\002\376\001\000\000"
"\010\000srfi-23\376\003\000\000\002\376\001\000\000\010\000srfi-30\376\003\000\000\002\376\001\000\000\010\000srfi-39\376\003\000\000\002\376\001\000\000\010\000srfi-62\376\003\000\000\002\376\001\000\000\023\000full-n"
"umeric-tower\376\377\016"));
lf[1334]=C_h_intern(&lf[1334],34, C_text("chicken.platform#register-feature!"));
lf[1335]=C_h_intern(&lf[1335],36, C_text("chicken.platform#unregister-feature!"));
lf[1336]=C_h_intern(&lf[1336],25, C_text("chicken.platform#features"));
lf[1337]=C_h_intern(&lf[1337],31, C_text("chicken.platform#return-to-host"));
lf[1338]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1339]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1340]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1341]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1342]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1343]=C_h_intern(&lf[1343],7, C_text("windows"));
lf[1344]=C_h_intern(&lf[1344],6, C_text("cygwin"));
lf[1345]=C_h_intern(&lf[1345],12, C_text("symbol-plist"));
lf[1346]=C_h_intern(&lf[1346],19, C_text("symbol-plist/setter"));
lf[1347]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1348]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022(symbol-plist sym)"));
lf[1349]=C_h_intern(&lf[1349],22, C_text("command-line-arguments"));
lf[1350]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1351]=C_h_intern(&lf[1351],12, C_text("program-name"));
lf[1352]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1353]=C_h_intern(&lf[1353],17, C_text("current-directory"));
lf[1354]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1355]=C_h_intern(&lf[1355],7, C_text("running"));
lf[1356]=C_h_intern(&lf[1356],10, C_text("primordial"));
lf[1357]=C_h_intern(&lf[1357],9, C_text("arguments"));
lf[1358]=C_h_intern(&lf[1358],7, C_text("message"));
lf[1359]=C_h_intern(&lf[1359],17, C_text("chicken.repl#repl"));
lf[1360]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1361]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1362]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1363]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1364]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1365]=C_h_intern(&lf[1365],10, C_text("read-table"));
lf[1366]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1367]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1368]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1369]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1370]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1371]=C_h_intern(&lf[1371],9, C_text("backspace"));
lf[1372]=C_h_intern(&lf[1372],4, C_text("page"));
lf[1373]=C_h_intern(&lf[1373],6, C_text("return"));
lf[1374]=C_h_intern(&lf[1374],4, C_text("null"));
lf[1375]=C_h_intern(&lf[1375],3, C_text("nul"));
lf[1376]=C_h_intern(&lf[1376],5, C_text("alarm"));
lf[1377]=C_h_intern(&lf[1377],6, C_text("escape"));
lf[1378]=C_h_intern(&lf[1378],3, C_text("esc"));
lf[1379]=C_h_intern(&lf[1379],6, C_text("delete"));
lf[1380]=C_h_intern(&lf[1380],4, C_text("vtab"));
lf[1381]=C_h_intern(&lf[1381],7, C_text("newline"));
lf[1382]=C_h_intern(&lf[1382],8, C_text("linefeed"));
lf[1383]=C_h_intern(&lf[1383],3, C_text("tab"));
lf[1384]=C_h_intern(&lf[1384],5, C_text("space"));
C_register_lf2(lf,1385,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8494,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2112] = {
{C_text("f33891:library_2escm"),(void*)f33891},
{C_text("f34420:library_2escm"),(void*)f34420},
{C_text("f36641:library_2escm"),(void*)f36641},
{C_text("f36647:library_2escm"),(void*)f36647},
{C_text("f36653:library_2escm"),(void*)f36653},
{C_text("f_10014:library_2escm"),(void*)f_10014},
{C_text("f_10039:library_2escm"),(void*)f_10039},
{C_text("f_10048:library_2escm"),(void*)f_10048},
{C_text("f_10089:library_2escm"),(void*)f_10089},
{C_text("f_10111:library_2escm"),(void*)f_10111},
{C_text("f_10143:library_2escm"),(void*)f_10143},
{C_text("f_10159:library_2escm"),(void*)f_10159},
{C_text("f_10162:library_2escm"),(void*)f_10162},
{C_text("f_10184:library_2escm"),(void*)f_10184},
{C_text("f_10190:library_2escm"),(void*)f_10190},
{C_text("f_10215:library_2escm"),(void*)f_10215},
{C_text("f_10255:library_2escm"),(void*)f_10255},
{C_text("f_10262:library_2escm"),(void*)f_10262},
{C_text("f_10267:library_2escm"),(void*)f_10267},
{C_text("f_10286:library_2escm"),(void*)f_10286},
{C_text("f_10308:library_2escm"),(void*)f_10308},
{C_text("f_10311:library_2escm"),(void*)f_10311},
{C_text("f_10314:library_2escm"),(void*)f_10314},
{C_text("f_10317:library_2escm"),(void*)f_10317},
{C_text("f_10323:library_2escm"),(void*)f_10323},
{C_text("f_10326:library_2escm"),(void*)f_10326},
{C_text("f_10329:library_2escm"),(void*)f_10329},
{C_text("f_10332:library_2escm"),(void*)f_10332},
{C_text("f_10335:library_2escm"),(void*)f_10335},
{C_text("f_10338:library_2escm"),(void*)f_10338},
{C_text("f_10341:library_2escm"),(void*)f_10341},
{C_text("f_10344:library_2escm"),(void*)f_10344},
{C_text("f_10347:library_2escm"),(void*)f_10347},
{C_text("f_10350:library_2escm"),(void*)f_10350},
{C_text("f_10353:library_2escm"),(void*)f_10353},
{C_text("f_10356:library_2escm"),(void*)f_10356},
{C_text("f_10359:library_2escm"),(void*)f_10359},
{C_text("f_10362:library_2escm"),(void*)f_10362},
{C_text("f_10365:library_2escm"),(void*)f_10365},
{C_text("f_10368:library_2escm"),(void*)f_10368},
{C_text("f_10371:library_2escm"),(void*)f_10371},
{C_text("f_10374:library_2escm"),(void*)f_10374},
{C_text("f_10377:library_2escm"),(void*)f_10377},
{C_text("f_10380:library_2escm"),(void*)f_10380},
{C_text("f_10383:library_2escm"),(void*)f_10383},
{C_text("f_10386:library_2escm"),(void*)f_10386},
{C_text("f_10389:library_2escm"),(void*)f_10389},
{C_text("f_10392:library_2escm"),(void*)f_10392},
{C_text("f_10395:library_2escm"),(void*)f_10395},
{C_text("f_10400:library_2escm"),(void*)f_10400},
{C_text("f_10409:library_2escm"),(void*)f_10409},
{C_text("f_10421:library_2escm"),(void*)f_10421},
{C_text("f_10436:library_2escm"),(void*)f_10436},
{C_text("f_10439:library_2escm"),(void*)f_10439},
{C_text("f_10448:library_2escm"),(void*)f_10448},
{C_text("f_10452:library_2escm"),(void*)f_10452},
{C_text("f_10454:library_2escm"),(void*)f_10454},
{C_text("f_10458:library_2escm"),(void*)f_10458},
{C_text("f_10461:library_2escm"),(void*)f_10461},
{C_text("f_10472:library_2escm"),(void*)f_10472},
{C_text("f_10474:library_2escm"),(void*)f_10474},
{C_text("f_10481:library_2escm"),(void*)f_10481},
{C_text("f_10484:library_2escm"),(void*)f_10484},
{C_text("f_10487:library_2escm"),(void*)f_10487},
{C_text("f_10492:library_2escm"),(void*)f_10492},
{C_text("f_10496:library_2escm"),(void*)f_10496},
{C_text("f_10501:library_2escm"),(void*)f_10501},
{C_text("f_10505:library_2escm"),(void*)f_10505},
{C_text("f_10508:library_2escm"),(void*)f_10508},
{C_text("f_10536:library_2escm"),(void*)f_10536},
{C_text("f_10539:library_2escm"),(void*)f_10539},
{C_text("f_10542:library_2escm"),(void*)f_10542},
{C_text("f_10559:library_2escm"),(void*)f_10559},
{C_text("f_10570:library_2escm"),(void*)f_10570},
{C_text("f_10582:library_2escm"),(void*)f_10582},
{C_text("f_10593:library_2escm"),(void*)f_10593},
{C_text("f_10604:library_2escm"),(void*)f_10604},
{C_text("f_10615:library_2escm"),(void*)f_10615},
{C_text("f_10626:library_2escm"),(void*)f_10626},
{C_text("f_10637:library_2escm"),(void*)f_10637},
{C_text("f_10648:library_2escm"),(void*)f_10648},
{C_text("f_10659:library_2escm"),(void*)f_10659},
{C_text("f_10670:library_2escm"),(void*)f_10670},
{C_text("f_10681:library_2escm"),(void*)f_10681},
{C_text("f_10692:library_2escm"),(void*)f_10692},
{C_text("f_10703:library_2escm"),(void*)f_10703},
{C_text("f_10714:library_2escm"),(void*)f_10714},
{C_text("f_10731:library_2escm"),(void*)f_10731},
{C_text("f_10748:library_2escm"),(void*)f_10748},
{C_text("f_10772:library_2escm"),(void*)f_10772},
{C_text("f_10789:library_2escm"),(void*)f_10789},
{C_text("f_10793:library_2escm"),(void*)f_10793},
{C_text("f_10819:library_2escm"),(void*)f_10819},
{C_text("f_10839:library_2escm"),(void*)f_10839},
{C_text("f_10850:library_2escm"),(void*)f_10850},
{C_text("f_10862:library_2escm"),(void*)f_10862},
{C_text("f_10896:library_2escm"),(void*)f_10896},
{C_text("f_10911:library_2escm"),(void*)f_10911},
{C_text("f_10978:library_2escm"),(void*)f_10978},
{C_text("f_10994:library_2escm"),(void*)f_10994},
{C_text("f_11010:library_2escm"),(void*)f_11010},
{C_text("f_11026:library_2escm"),(void*)f_11026},
{C_text("f_11042:library_2escm"),(void*)f_11042},
{C_text("f_11058:library_2escm"),(void*)f_11058},
{C_text("f_11074:library_2escm"),(void*)f_11074},
{C_text("f_11090:library_2escm"),(void*)f_11090},
{C_text("f_11106:library_2escm"),(void*)f_11106},
{C_text("f_11118:library_2escm"),(void*)f_11118},
{C_text("f_11137:library_2escm"),(void*)f_11137},
{C_text("f_11168:library_2escm"),(void*)f_11168},
{C_text("f_11185:library_2escm"),(void*)f_11185},
{C_text("f_11191:library_2escm"),(void*)f_11191},
{C_text("f_11215:library_2escm"),(void*)f_11215},
{C_text("f_11235:library_2escm"),(void*)f_11235},
{C_text("f_11239:library_2escm"),(void*)f_11239},
{C_text("f_11242:library_2escm"),(void*)f_11242},
{C_text("f_11271:library_2escm"),(void*)f_11271},
{C_text("f_11287:library_2escm"),(void*)f_11287},
{C_text("f_11309:library_2escm"),(void*)f_11309},
{C_text("f_11325:library_2escm"),(void*)f_11325},
{C_text("f_11330:library_2escm"),(void*)f_11330},
{C_text("f_11361:library_2escm"),(void*)f_11361},
{C_text("f_11372:library_2escm"),(void*)f_11372},
{C_text("f_11381:library_2escm"),(void*)f_11381},
{C_text("f_11410:library_2escm"),(void*)f_11410},
{C_text("f_11423:library_2escm"),(void*)f_11423},
{C_text("f_11433:library_2escm"),(void*)f_11433},
{C_text("f_11435:library_2escm"),(void*)f_11435},
{C_text("f_11442:library_2escm"),(void*)f_11442},
{C_text("f_11445:library_2escm"),(void*)f_11445},
{C_text("f_11454:library_2escm"),(void*)f_11454},
{C_text("f_11480:library_2escm"),(void*)f_11480},
{C_text("f_11485:library_2escm"),(void*)f_11485},
{C_text("f_11489:library_2escm"),(void*)f_11489},
{C_text("f_11494:library_2escm"),(void*)f_11494},
{C_text("f_11515:library_2escm"),(void*)f_11515},
{C_text("f_11521:library_2escm"),(void*)f_11521},
{C_text("f_11539:library_2escm"),(void*)f_11539},
{C_text("f_11545:library_2escm"),(void*)f_11545},
{C_text("f_11563:library_2escm"),(void*)f_11563},
{C_text("f_11569:library_2escm"),(void*)f_11569},
{C_text("f_11584:library_2escm"),(void*)f_11584},
{C_text("f_11590:library_2escm"),(void*)f_11590},
{C_text("f_11604:library_2escm"),(void*)f_11604},
{C_text("f_11625:library_2escm"),(void*)f_11625},
{C_text("f_11631:library_2escm"),(void*)f_11631},
{C_text("f_11649:library_2escm"),(void*)f_11649},
{C_text("f_11655:library_2escm"),(void*)f_11655},
{C_text("f_11673:library_2escm"),(void*)f_11673},
{C_text("f_11679:library_2escm"),(void*)f_11679},
{C_text("f_11694:library_2escm"),(void*)f_11694},
{C_text("f_11700:library_2escm"),(void*)f_11700},
{C_text("f_11715:library_2escm"),(void*)f_11715},
{C_text("f_11725:library_2escm"),(void*)f_11725},
{C_text("f_11731:library_2escm"),(void*)f_11731},
{C_text("f_11735:library_2escm"),(void*)f_11735},
{C_text("f_11737:library_2escm"),(void*)f_11737},
{C_text("f_11748:library_2escm"),(void*)f_11748},
{C_text("f_11760:library_2escm"),(void*)f_11760},
{C_text("f_11770:library_2escm"),(void*)f_11770},
{C_text("f_11776:library_2escm"),(void*)f_11776},
{C_text("f_11780:library_2escm"),(void*)f_11780},
{C_text("f_11785:library_2escm"),(void*)f_11785},
{C_text("f_11811:library_2escm"),(void*)f_11811},
{C_text("f_11815:library_2escm"),(void*)f_11815},
{C_text("f_11818:library_2escm"),(void*)f_11818},
{C_text("f_11826:library_2escm"),(void*)f_11826},
{C_text("f_11847:library_2escm"),(void*)f_11847},
{C_text("f_11861:library_2escm"),(void*)f_11861},
{C_text("f_11865:library_2escm"),(void*)f_11865},
{C_text("f_11906:library_2escm"),(void*)f_11906},
{C_text("f_11928:library_2escm"),(void*)f_11928},
{C_text("f_11930:library_2escm"),(void*)f_11930},
{C_text("f_11952:library_2escm"),(void*)f_11952},
{C_text("f_11954:library_2escm"),(void*)f_11954},
{C_text("f_11976:library_2escm"),(void*)f_11976},
{C_text("f_11978:library_2escm"),(void*)f_11978},
{C_text("f_12000:library_2escm"),(void*)f_12000},
{C_text("f_12002:library_2escm"),(void*)f_12002},
{C_text("f_12024:library_2escm"),(void*)f_12024},
{C_text("f_12026:library_2escm"),(void*)f_12026},
{C_text("f_12048:library_2escm"),(void*)f_12048},
{C_text("f_12050:library_2escm"),(void*)f_12050},
{C_text("f_12072:library_2escm"),(void*)f_12072},
{C_text("f_12074:library_2escm"),(void*)f_12074},
{C_text("f_12096:library_2escm"),(void*)f_12096},
{C_text("f_12098:library_2escm"),(void*)f_12098},
{C_text("f_12120:library_2escm"),(void*)f_12120},
{C_text("f_12122:library_2escm"),(void*)f_12122},
{C_text("f_12144:library_2escm"),(void*)f_12144},
{C_text("f_12146:library_2escm"),(void*)f_12146},
{C_text("f_12168:library_2escm"),(void*)f_12168},
{C_text("f_12170:library_2escm"),(void*)f_12170},
{C_text("f_12186:library_2escm"),(void*)f_12186},
{C_text("f_12188:library_2escm"),(void*)f_12188},
{C_text("f_12210:library_2escm"),(void*)f_12210},
{C_text("f_12212:library_2escm"),(void*)f_12212},
{C_text("f_12234:library_2escm"),(void*)f_12234},
{C_text("f_12236:library_2escm"),(void*)f_12236},
{C_text("f_12252:library_2escm"),(void*)f_12252},
{C_text("f_12254:library_2escm"),(void*)f_12254},
{C_text("f_12270:library_2escm"),(void*)f_12270},
{C_text("f_12272:library_2escm"),(void*)f_12272},
{C_text("f_12288:library_2escm"),(void*)f_12288},
{C_text("f_12290:library_2escm"),(void*)f_12290},
{C_text("f_12306:library_2escm"),(void*)f_12306},
{C_text("f_12308:library_2escm"),(void*)f_12308},
{C_text("f_12324:library_2escm"),(void*)f_12324},
{C_text("f_12326:library_2escm"),(void*)f_12326},
{C_text("f_12342:library_2escm"),(void*)f_12342},
{C_text("f_12344:library_2escm"),(void*)f_12344},
{C_text("f_12360:library_2escm"),(void*)f_12360},
{C_text("f_12362:library_2escm"),(void*)f_12362},
{C_text("f_12378:library_2escm"),(void*)f_12378},
{C_text("f_12380:library_2escm"),(void*)f_12380},
{C_text("f_12396:library_2escm"),(void*)f_12396},
{C_text("f_12398:library_2escm"),(void*)f_12398},
{C_text("f_12414:library_2escm"),(void*)f_12414},
{C_text("f_12416:library_2escm"),(void*)f_12416},
{C_text("f_12438:library_2escm"),(void*)f_12438},
{C_text("f_12440:library_2escm"),(void*)f_12440},
{C_text("f_12456:library_2escm"),(void*)f_12456},
{C_text("f_12458:library_2escm"),(void*)f_12458},
{C_text("f_12480:library_2escm"),(void*)f_12480},
{C_text("f_12482:library_2escm"),(void*)f_12482},
{C_text("f_12498:library_2escm"),(void*)f_12498},
{C_text("f_12500:library_2escm"),(void*)f_12500},
{C_text("f_12516:library_2escm"),(void*)f_12516},
{C_text("f_12518:library_2escm"),(void*)f_12518},
{C_text("f_12534:library_2escm"),(void*)f_12534},
{C_text("f_12536:library_2escm"),(void*)f_12536},
{C_text("f_12552:library_2escm"),(void*)f_12552},
{C_text("f_12554:library_2escm"),(void*)f_12554},
{C_text("f_12564:library_2escm"),(void*)f_12564},
{C_text("f_12576:library_2escm"),(void*)f_12576},
{C_text("f_12586:library_2escm"),(void*)f_12586},
{C_text("f_12590:library_2escm"),(void*)f_12590},
{C_text("f_12612:library_2escm"),(void*)f_12612},
{C_text("f_12616:library_2escm"),(void*)f_12616},
{C_text("f_12619:library_2escm"),(void*)f_12619},
{C_text("f_12624:library_2escm"),(void*)f_12624},
{C_text("f_12628:library_2escm"),(void*)f_12628},
{C_text("f_12631:library_2escm"),(void*)f_12631},
{C_text("f_12634:library_2escm"),(void*)f_12634},
{C_text("f_12645:library_2escm"),(void*)f_12645},
{C_text("f_12668:library_2escm"),(void*)f_12668},
{C_text("f_12694:library_2escm"),(void*)f_12694},
{C_text("f_12703:library_2escm"),(void*)f_12703},
{C_text("f_12708:library_2escm"),(void*)f_12708},
{C_text("f_12710:library_2escm"),(void*)f_12710},
{C_text("f_12749:library_2escm"),(void*)f_12749},
{C_text("f_12795:library_2escm"),(void*)f_12795},
{C_text("f_12819:library_2escm"),(void*)f_12819},
{C_text("f_12823:library_2escm"),(void*)f_12823},
{C_text("f_12841:library_2escm"),(void*)f_12841},
{C_text("f_12865:library_2escm"),(void*)f_12865},
{C_text("f_12869:library_2escm"),(void*)f_12869},
{C_text("f_12887:library_2escm"),(void*)f_12887},
{C_text("f_12928:library_2escm"),(void*)f_12928},
{C_text("f_12939:library_2escm"),(void*)f_12939},
{C_text("f_12945:library_2escm"),(void*)f_12945},
{C_text("f_12949:library_2escm"),(void*)f_12949},
{C_text("f_12954:library_2escm"),(void*)f_12954},
{C_text("f_12965:library_2escm"),(void*)f_12965},
{C_text("f_12978:library_2escm"),(void*)f_12978},
{C_text("f_12993:library_2escm"),(void*)f_12993},
{C_text("f_12997:library_2escm"),(void*)f_12997},
{C_text("f_13003:library_2escm"),(void*)f_13003},
{C_text("f_13007:library_2escm"),(void*)f_13007},
{C_text("f_13047:library_2escm"),(void*)f_13047},
{C_text("f_13051:library_2escm"),(void*)f_13051},
{C_text("f_13073:library_2escm"),(void*)f_13073},
{C_text("f_13076:library_2escm"),(void*)f_13076},
{C_text("f_13079:library_2escm"),(void*)f_13079},
{C_text("f_13082:library_2escm"),(void*)f_13082},
{C_text("f_13085:library_2escm"),(void*)f_13085},
{C_text("f_13106:library_2escm"),(void*)f_13106},
{C_text("f_13108:library_2escm"),(void*)f_13108},
{C_text("f_13126:library_2escm"),(void*)f_13126},
{C_text("f_13136:library_2escm"),(void*)f_13136},
{C_text("f_13140:library_2escm"),(void*)f_13140},
{C_text("f_13146:library_2escm"),(void*)f_13146},
{C_text("f_13178:library_2escm"),(void*)f_13178},
{C_text("f_13181:library_2escm"),(void*)f_13181},
{C_text("f_13184:library_2escm"),(void*)f_13184},
{C_text("f_13187:library_2escm"),(void*)f_13187},
{C_text("f_13196:library_2escm"),(void*)f_13196},
{C_text("f_13199:library_2escm"),(void*)f_13199},
{C_text("f_13229:library_2escm"),(void*)f_13229},
{C_text("f_13233:library_2escm"),(void*)f_13233},
{C_text("f_13300:library_2escm"),(void*)f_13300},
{C_text("f_13334:library_2escm"),(void*)f_13334},
{C_text("f_13384:library_2escm"),(void*)f_13384},
{C_text("f_13425:library_2escm"),(void*)f_13425},
{C_text("f_13466:library_2escm"),(void*)f_13466},
{C_text("f_13500:library_2escm"),(void*)f_13500},
{C_text("f_13524:library_2escm"),(void*)f_13524},
{C_text("f_13540:library_2escm"),(void*)f_13540},
{C_text("f_13543:library_2escm"),(void*)f_13543},
{C_text("f_13547:library_2escm"),(void*)f_13547},
{C_text("f_13550:library_2escm"),(void*)f_13550},
{C_text("f_13567:library_2escm"),(void*)f_13567},
{C_text("f_13585:library_2escm"),(void*)f_13585},
{C_text("f_13589:library_2escm"),(void*)f_13589},
{C_text("f_13608:library_2escm"),(void*)f_13608},
{C_text("f_13612:library_2escm"),(void*)f_13612},
{C_text("f_13643:library_2escm"),(void*)f_13643},
{C_text("f_13676:library_2escm"),(void*)f_13676},
{C_text("f_13680:library_2escm"),(void*)f_13680},
{C_text("f_13699:library_2escm"),(void*)f_13699},
{C_text("f_13701:library_2escm"),(void*)f_13701},
{C_text("f_13708:library_2escm"),(void*)f_13708},
{C_text("f_13744:library_2escm"),(void*)f_13744},
{C_text("f_13751:library_2escm"),(void*)f_13751},
{C_text("f_13787:library_2escm"),(void*)f_13787},
{C_text("f_13802:library_2escm"),(void*)f_13802},
{C_text("f_13811:library_2escm"),(void*)f_13811},
{C_text("f_13816:library_2escm"),(void*)f_13816},
{C_text("f_13829:library_2escm"),(void*)f_13829},
{C_text("f_13848:library_2escm"),(void*)f_13848},
{C_text("f_13852:library_2escm"),(void*)f_13852},
{C_text("f_13857:library_2escm"),(void*)f_13857},
{C_text("f_13861:library_2escm"),(void*)f_13861},
{C_text("f_13865:library_2escm"),(void*)f_13865},
{C_text("f_13869:library_2escm"),(void*)f_13869},
{C_text("f_13872:library_2escm"),(void*)f_13872},
{C_text("f_13886:library_2escm"),(void*)f_13886},
{C_text("f_13890:library_2escm"),(void*)f_13890},
{C_text("f_13901:library_2escm"),(void*)f_13901},
{C_text("f_13921:library_2escm"),(void*)f_13921},
{C_text("f_13925:library_2escm"),(void*)f_13925},
{C_text("f_13931:library_2escm"),(void*)f_13931},
{C_text("f_13951:library_2escm"),(void*)f_13951},
{C_text("f_13955:library_2escm"),(void*)f_13955},
{C_text("f_13961:library_2escm"),(void*)f_13961},
{C_text("f_13978:library_2escm"),(void*)f_13978},
{C_text("f_13982:library_2escm"),(void*)f_13982},
{C_text("f_13986:library_2escm"),(void*)f_13986},
{C_text("f_13996:library_2escm"),(void*)f_13996},
{C_text("f_14002:library_2escm"),(void*)f_14002},
{C_text("f_14007:library_2escm"),(void*)f_14007},
{C_text("f_14015:library_2escm"),(void*)f_14015},
{C_text("f_14035:library_2escm"),(void*)f_14035},
{C_text("f_14039:library_2escm"),(void*)f_14039},
{C_text("f_14049:library_2escm"),(void*)f_14049},
{C_text("f_14055:library_2escm"),(void*)f_14055},
{C_text("f_14060:library_2escm"),(void*)f_14060},
{C_text("f_14075:library_2escm"),(void*)f_14075},
{C_text("f_14079:library_2escm"),(void*)f_14079},
{C_text("f_14108:library_2escm"),(void*)f_14108},
{C_text("f_14112:library_2escm"),(void*)f_14112},
{C_text("f_14127:library_2escm"),(void*)f_14127},
{C_text("f_14137:library_2escm"),(void*)f_14137},
{C_text("f_14210:library_2escm"),(void*)f_14210},
{C_text("f_14224:library_2escm"),(void*)f_14224},
{C_text("f_14242:library_2escm"),(void*)f_14242},
{C_text("f_14258:library_2escm"),(void*)f_14258},
{C_text("f_14312:library_2escm"),(void*)f_14312},
{C_text("f_14316:library_2escm"),(void*)f_14316},
{C_text("f_14321:library_2escm"),(void*)f_14321},
{C_text("f_14331:library_2escm"),(void*)f_14331},
{C_text("f_14335:library_2escm"),(void*)f_14335},
{C_text("f_14344:library_2escm"),(void*)f_14344},
{C_text("f_14350:library_2escm"),(void*)f_14350},
{C_text("f_14367:library_2escm"),(void*)f_14367},
{C_text("f_14378:library_2escm"),(void*)f_14378},
{C_text("f_14384:library_2escm"),(void*)f_14384},
{C_text("f_14395:library_2escm"),(void*)f_14395},
{C_text("f_14406:library_2escm"),(void*)f_14406},
{C_text("f_14418:library_2escm"),(void*)f_14418},
{C_text("f_14430:library_2escm"),(void*)f_14430},
{C_text("f_14442:library_2escm"),(void*)f_14442},
{C_text("f_14459:library_2escm"),(void*)f_14459},
{C_text("f_14466:library_2escm"),(void*)f_14466},
{C_text("f_14470:library_2escm"),(void*)f_14470},
{C_text("f_14472:library_2escm"),(void*)f_14472},
{C_text("f_14478:library_2escm"),(void*)f_14478},
{C_text("f_14482:library_2escm"),(void*)f_14482},
{C_text("f_14485:library_2escm"),(void*)f_14485},
{C_text("f_14490:library_2escm"),(void*)f_14490},
{C_text("f_14500:library_2escm"),(void*)f_14500},
{C_text("f_14518:library_2escm"),(void*)f_14518},
{C_text("f_14537:library_2escm"),(void*)f_14537},
{C_text("f_14540:library_2escm"),(void*)f_14540},
{C_text("f_14560:library_2escm"),(void*)f_14560},
{C_text("f_14570:library_2escm"),(void*)f_14570},
{C_text("f_14574:library_2escm"),(void*)f_14574},
{C_text("f_14578:library_2escm"),(void*)f_14578},
{C_text("f_14594:library_2escm"),(void*)f_14594},
{C_text("f_14611:library_2escm"),(void*)f_14611},
{C_text("f_14622:library_2escm"),(void*)f_14622},
{C_text("f_14642:library_2escm"),(void*)f_14642},
{C_text("f_14657:library_2escm"),(void*)f_14657},
{C_text("f_14660:library_2escm"),(void*)f_14660},
{C_text("f_14670:library_2escm"),(void*)f_14670},
{C_text("f_14672:library_2escm"),(void*)f_14672},
{C_text("f_14691:library_2escm"),(void*)f_14691},
{C_text("f_14715:library_2escm"),(void*)f_14715},
{C_text("f_14719:library_2escm"),(void*)f_14719},
{C_text("f_14723:library_2escm"),(void*)f_14723},
{C_text("f_14758:library_2escm"),(void*)f_14758},
{C_text("f_14765:library_2escm"),(void*)f_14765},
{C_text("f_14777:library_2escm"),(void*)f_14777},
{C_text("f_14797:library_2escm"),(void*)f_14797},
{C_text("f_14801:library_2escm"),(void*)f_14801},
{C_text("f_14821:library_2escm"),(void*)f_14821},
{C_text("f_14830:library_2escm"),(void*)f_14830},
{C_text("f_14841:library_2escm"),(void*)f_14841},
{C_text("f_14845:library_2escm"),(void*)f_14845},
{C_text("f_14849:library_2escm"),(void*)f_14849},
{C_text("f_14856:library_2escm"),(void*)f_14856},
{C_text("f_14872:library_2escm"),(void*)f_14872},
{C_text("f_14876:library_2escm"),(void*)f_14876},
{C_text("f_14917:library_2escm"),(void*)f_14917},
{C_text("f_14950:library_2escm"),(void*)f_14950},
{C_text("f_14979:library_2escm"),(void*)f_14979},
{C_text("f_14987:library_2escm"),(void*)f_14987},
{C_text("f_14993:library_2escm"),(void*)f_14993},
{C_text("f_15013:library_2escm"),(void*)f_15013},
{C_text("f_15038:library_2escm"),(void*)f_15038},
{C_text("f_15044:library_2escm"),(void*)f_15044},
{C_text("f_15048:library_2escm"),(void*)f_15048},
{C_text("f_15055:library_2escm"),(void*)f_15055},
{C_text("f_15075:library_2escm"),(void*)f_15075},
{C_text("f_15096:library_2escm"),(void*)f_15096},
{C_text("f_15110:library_2escm"),(void*)f_15110},
{C_text("f_15117:library_2escm"),(void*)f_15117},
{C_text("f_15122:library_2escm"),(void*)f_15122},
{C_text("f_15128:library_2escm"),(void*)f_15128},
{C_text("f_15132:library_2escm"),(void*)f_15132},
{C_text("f_15135:library_2escm"),(void*)f_15135},
{C_text("f_15142:library_2escm"),(void*)f_15142},
{C_text("f_15163:library_2escm"),(void*)f_15163},
{C_text("f_15177:library_2escm"),(void*)f_15177},
{C_text("f_15181:library_2escm"),(void*)f_15181},
{C_text("f_15218:library_2escm"),(void*)f_15218},
{C_text("f_15226:library_2escm"),(void*)f_15226},
{C_text("f_15253:library_2escm"),(void*)f_15253},
{C_text("f_15256:library_2escm"),(void*)f_15256},
{C_text("f_15271:library_2escm"),(void*)f_15271},
{C_text("f_15274:library_2escm"),(void*)f_15274},
{C_text("f_15281:library_2escm"),(void*)f_15281},
{C_text("f_15292:library_2escm"),(void*)f_15292},
{C_text("f_15307:library_2escm"),(void*)f_15307},
{C_text("f_15332:library_2escm"),(void*)f_15332},
{C_text("f_15347:library_2escm"),(void*)f_15347},
{C_text("f_15370:library_2escm"),(void*)f_15370},
{C_text("f_15373:library_2escm"),(void*)f_15373},
{C_text("f_15383:library_2escm"),(void*)f_15383},
{C_text("f_15441:library_2escm"),(void*)f_15441},
{C_text("f_15457:library_2escm"),(void*)f_15457},
{C_text("f_15463:library_2escm"),(void*)f_15463},
{C_text("f_15526:library_2escm"),(void*)f_15526},
{C_text("f_15565:library_2escm"),(void*)f_15565},
{C_text("f_15571:library_2escm"),(void*)f_15571},
{C_text("f_15615:library_2escm"),(void*)f_15615},
{C_text("f_15619:library_2escm"),(void*)f_15619},
{C_text("f_15622:library_2escm"),(void*)f_15622},
{C_text("f_15671:library_2escm"),(void*)f_15671},
{C_text("f_15686:library_2escm"),(void*)f_15686},
{C_text("f_15695:library_2escm"),(void*)f_15695},
{C_text("f_15732:library_2escm"),(void*)f_15732},
{C_text("f_15742:library_2escm"),(void*)f_15742},
{C_text("f_15751:library_2escm"),(void*)f_15751},
{C_text("f_15754:library_2escm"),(void*)f_15754},
{C_text("f_15763:library_2escm"),(void*)f_15763},
{C_text("f_15772:library_2escm"),(void*)f_15772},
{C_text("f_15784:library_2escm"),(void*)f_15784},
{C_text("f_15790:library_2escm"),(void*)f_15790},
{C_text("f_15796:library_2escm"),(void*)f_15796},
{C_text("f_15837:library_2escm"),(void*)f_15837},
{C_text("f_15944:library_2escm"),(void*)f_15944},
{C_text("f_15951:library_2escm"),(void*)f_15951},
{C_text("f_15964:library_2escm"),(void*)f_15964},
{C_text("f_15970:library_2escm"),(void*)f_15970},
{C_text("f_16022:library_2escm"),(void*)f_16022},
{C_text("f_16037:library_2escm"),(void*)f_16037},
{C_text("f_16047:library_2escm"),(void*)f_16047},
{C_text("f_16083:library_2escm"),(void*)f_16083},
{C_text("f_16109:library_2escm"),(void*)f_16109},
{C_text("f_16120:library_2escm"),(void*)f_16120},
{C_text("f_16287:library_2escm"),(void*)f_16287},
{C_text("f_16302:library_2escm"),(void*)f_16302},
{C_text("f_16328:library_2escm"),(void*)f_16328},
{C_text("f_16360:library_2escm"),(void*)f_16360},
{C_text("f_16397:library_2escm"),(void*)f_16397},
{C_text("f_16421:library_2escm"),(void*)f_16421},
{C_text("f_16471:library_2escm"),(void*)f_16471},
{C_text("f_16519:library_2escm"),(void*)f_16519},
{C_text("f_16522:library_2escm"),(void*)f_16522},
{C_text("f_16541:library_2escm"),(void*)f_16541},
{C_text("f_16611:library_2escm"),(void*)f_16611},
{C_text("f_16632:library_2escm"),(void*)f_16632},
{C_text("f_16679:library_2escm"),(void*)f_16679},
{C_text("f_16771:library_2escm"),(void*)f_16771},
{C_text("f_16781:library_2escm"),(void*)f_16781},
{C_text("f_16790:library_2escm"),(void*)f_16790},
{C_text("f_16797:library_2escm"),(void*)f_16797},
{C_text("f_17026:library_2escm"),(void*)f_17026},
{C_text("f_17072:library_2escm"),(void*)f_17072},
{C_text("f_17075:library_2escm"),(void*)f_17075},
{C_text("f_17102:library_2escm"),(void*)f_17102},
{C_text("f_17126:library_2escm"),(void*)f_17126},
{C_text("f_17143:library_2escm"),(void*)f_17143},
{C_text("f_17242:library_2escm"),(void*)f_17242},
{C_text("f_17245:library_2escm"),(void*)f_17245},
{C_text("f_17254:library_2escm"),(void*)f_17254},
{C_text("f_17281:library_2escm"),(void*)f_17281},
{C_text("f_17299:library_2escm"),(void*)f_17299},
{C_text("f_17319:library_2escm"),(void*)f_17319},
{C_text("f_17323:library_2escm"),(void*)f_17323},
{C_text("f_17325:library_2escm"),(void*)f_17325},
{C_text("f_17343:library_2escm"),(void*)f_17343},
{C_text("f_17366:library_2escm"),(void*)f_17366},
{C_text("f_17374:library_2escm"),(void*)f_17374},
{C_text("f_17379:library_2escm"),(void*)f_17379},
{C_text("f_17390:library_2escm"),(void*)f_17390},
{C_text("f_17392:library_2escm"),(void*)f_17392},
{C_text("f_17403:library_2escm"),(void*)f_17403},
{C_text("f_17405:library_2escm"),(void*)f_17405},
{C_text("f_17416:library_2escm"),(void*)f_17416},
{C_text("f_17418:library_2escm"),(void*)f_17418},
{C_text("f_17435:library_2escm"),(void*)f_17435},
{C_text("f_17439:library_2escm"),(void*)f_17439},
{C_text("f_17443:library_2escm"),(void*)f_17443},
{C_text("f_17452:library_2escm"),(void*)f_17452},
{C_text("f_17472:library_2escm"),(void*)f_17472},
{C_text("f_17480:library_2escm"),(void*)f_17480},
{C_text("f_17495:library_2escm"),(void*)f_17495},
{C_text("f_17497:library_2escm"),(void*)f_17497},
{C_text("f_17522:library_2escm"),(void*)f_17522},
{C_text("f_17531:library_2escm"),(void*)f_17531},
{C_text("f_17540:library_2escm"),(void*)f_17540},
{C_text("f_17551:library_2escm"),(void*)f_17551},
{C_text("f_17561:library_2escm"),(void*)f_17561},
{C_text("f_17568:library_2escm"),(void*)f_17568},
{C_text("f_17579:library_2escm"),(void*)f_17579},
{C_text("f_17607:library_2escm"),(void*)f_17607},
{C_text("f_17611:library_2escm"),(void*)f_17611},
{C_text("f_17613:library_2escm"),(void*)f_17613},
{C_text("f_17617:library_2escm"),(void*)f_17617},
{C_text("f_17622:library_2escm"),(void*)f_17622},
{C_text("f_17628:library_2escm"),(void*)f_17628},
{C_text("f_17632:library_2escm"),(void*)f_17632},
{C_text("f_17637:library_2escm"),(void*)f_17637},
{C_text("f_17647:library_2escm"),(void*)f_17647},
{C_text("f_17649:library_2escm"),(void*)f_17649},
{C_text("f_17653:library_2escm"),(void*)f_17653},
{C_text("f_17659:library_2escm"),(void*)f_17659},
{C_text("f_17661:library_2escm"),(void*)f_17661},
{C_text("f_17665:library_2escm"),(void*)f_17665},
{C_text("f_17668:library_2escm"),(void*)f_17668},
{C_text("f_17684:library_2escm"),(void*)f_17684},
{C_text("f_17688:library_2escm"),(void*)f_17688},
{C_text("f_17691:library_2escm"),(void*)f_17691},
{C_text("f_17713:library_2escm"),(void*)f_17713},
{C_text("f_17729:library_2escm"),(void*)f_17729},
{C_text("f_17734:library_2escm"),(void*)f_17734},
{C_text("f_17765:library_2escm"),(void*)f_17765},
{C_text("f_17774:library_2escm"),(void*)f_17774},
{C_text("f_17792:library_2escm"),(void*)f_17792},
{C_text("f_17798:library_2escm"),(void*)f_17798},
{C_text("f_17804:library_2escm"),(void*)f_17804},
{C_text("f_17813:library_2escm"),(void*)f_17813},
{C_text("f_17832:library_2escm"),(void*)f_17832},
{C_text("f_17848:library_2escm"),(void*)f_17848},
{C_text("f_17851:library_2escm"),(void*)f_17851},
{C_text("f_17854:library_2escm"),(void*)f_17854},
{C_text("f_17859:library_2escm"),(void*)f_17859},
{C_text("f_17901:library_2escm"),(void*)f_17901},
{C_text("f_17920:library_2escm"),(void*)f_17920},
{C_text("f_17923:library_2escm"),(void*)f_17923},
{C_text("f_17926:library_2escm"),(void*)f_17926},
{C_text("f_17931:library_2escm"),(void*)f_17931},
{C_text("f_17972:library_2escm"),(void*)f_17972},
{C_text("f_17982:library_2escm"),(void*)f_17982},
{C_text("f_17993:library_2escm"),(void*)f_17993},
{C_text("f_17997:library_2escm"),(void*)f_17997},
{C_text("f_18000:library_2escm"),(void*)f_18000},
{C_text("f_18005:library_2escm"),(void*)f_18005},
{C_text("f_18032:library_2escm"),(void*)f_18032},
{C_text("f_18046:library_2escm"),(void*)f_18046},
{C_text("f_18057:library_2escm"),(void*)f_18057},
{C_text("f_18068:library_2escm"),(void*)f_18068},
{C_text("f_18079:library_2escm"),(void*)f_18079},
{C_text("f_18092:library_2escm"),(void*)f_18092},
{C_text("f_18094:library_2escm"),(void*)f_18094},
{C_text("f_18107:library_2escm"),(void*)f_18107},
{C_text("f_18135:library_2escm"),(void*)f_18135},
{C_text("f_18139:library_2escm"),(void*)f_18139},
{C_text("f_18148:library_2escm"),(void*)f_18148},
{C_text("f_18166:library_2escm"),(void*)f_18166},
{C_text("f_18169:library_2escm"),(void*)f_18169},
{C_text("f_18252:library_2escm"),(void*)f_18252},
{C_text("f_18255:library_2escm"),(void*)f_18255},
{C_text("f_18258:library_2escm"),(void*)f_18258},
{C_text("f_18261:library_2escm"),(void*)f_18261},
{C_text("f_18264:library_2escm"),(void*)f_18264},
{C_text("f_18267:library_2escm"),(void*)f_18267},
{C_text("f_18270:library_2escm"),(void*)f_18270},
{C_text("f_18273:library_2escm"),(void*)f_18273},
{C_text("f_18276:library_2escm"),(void*)f_18276},
{C_text("f_18279:library_2escm"),(void*)f_18279},
{C_text("f_18282:library_2escm"),(void*)f_18282},
{C_text("f_18285:library_2escm"),(void*)f_18285},
{C_text("f_18288:library_2escm"),(void*)f_18288},
{C_text("f_18291:library_2escm"),(void*)f_18291},
{C_text("f_18296:library_2escm"),(void*)f_18296},
{C_text("f_18302:library_2escm"),(void*)f_18302},
{C_text("f_18318:library_2escm"),(void*)f_18318},
{C_text("f_18334:library_2escm"),(void*)f_18334},
{C_text("f_18340:library_2escm"),(void*)f_18340},
{C_text("f_18360:library_2escm"),(void*)f_18360},
{C_text("f_18364:library_2escm"),(void*)f_18364},
{C_text("f_18376:library_2escm"),(void*)f_18376},
{C_text("f_18408:library_2escm"),(void*)f_18408},
{C_text("f_18412:library_2escm"),(void*)f_18412},
{C_text("f_18420:library_2escm"),(void*)f_18420},
{C_text("f_18430:library_2escm"),(void*)f_18430},
{C_text("f_18438:library_2escm"),(void*)f_18438},
{C_text("f_18474:library_2escm"),(void*)f_18474},
{C_text("f_18489:library_2escm"),(void*)f_18489},
{C_text("f_18499:library_2escm"),(void*)f_18499},
{C_text("f_18519:library_2escm"),(void*)f_18519},
{C_text("f_18532:library_2escm"),(void*)f_18532},
{C_text("f_18539:library_2escm"),(void*)f_18539},
{C_text("f_18541:library_2escm"),(void*)f_18541},
{C_text("f_18549:library_2escm"),(void*)f_18549},
{C_text("f_18551:library_2escm"),(void*)f_18551},
{C_text("f_18560:library_2escm"),(void*)f_18560},
{C_text("f_18578:library_2escm"),(void*)f_18578},
{C_text("f_18603:library_2escm"),(void*)f_18603},
{C_text("f_18619:library_2escm"),(void*)f_18619},
{C_text("f_18636:library_2escm"),(void*)f_18636},
{C_text("f_18640:library_2escm"),(void*)f_18640},
{C_text("f_18644:library_2escm"),(void*)f_18644},
{C_text("f_18646:library_2escm"),(void*)f_18646},
{C_text("f_18654:library_2escm"),(void*)f_18654},
{C_text("f_18656:library_2escm"),(void*)f_18656},
{C_text("f_18663:library_2escm"),(void*)f_18663},
{C_text("f_18667:library_2escm"),(void*)f_18667},
{C_text("f_18671:library_2escm"),(void*)f_18671},
{C_text("f_18680:library_2escm"),(void*)f_18680},
{C_text("f_18688:library_2escm"),(void*)f_18688},
{C_text("f_18698:library_2escm"),(void*)f_18698},
{C_text("f_18704:library_2escm"),(void*)f_18704},
{C_text("f_18707:library_2escm"),(void*)f_18707},
{C_text("f_18711:library_2escm"),(void*)f_18711},
{C_text("f_18738:library_2escm"),(void*)f_18738},
{C_text("f_18754:library_2escm"),(void*)f_18754},
{C_text("f_18760:library_2escm"),(void*)f_18760},
{C_text("f_18783:library_2escm"),(void*)f_18783},
{C_text("f_18796:library_2escm"),(void*)f_18796},
{C_text("f_18802:library_2escm"),(void*)f_18802},
{C_text("f_18807:library_2escm"),(void*)f_18807},
{C_text("f_18812:library_2escm"),(void*)f_18812},
{C_text("f_18816:library_2escm"),(void*)f_18816},
{C_text("f_18825:library_2escm"),(void*)f_18825},
{C_text("f_18856:library_2escm"),(void*)f_18856},
{C_text("f_18860:library_2escm"),(void*)f_18860},
{C_text("f_18864:library_2escm"),(void*)f_18864},
{C_text("f_18867:library_2escm"),(void*)f_18867},
{C_text("f_18870:library_2escm"),(void*)f_18870},
{C_text("f_18873:library_2escm"),(void*)f_18873},
{C_text("f_18875:library_2escm"),(void*)f_18875},
{C_text("f_18886:library_2escm"),(void*)f_18886},
{C_text("f_18897:library_2escm"),(void*)f_18897},
{C_text("f_18908:library_2escm"),(void*)f_18908},
{C_text("f_18919:library_2escm"),(void*)f_18919},
{C_text("f_18932:library_2escm"),(void*)f_18932},
{C_text("f_18934:library_2escm"),(void*)f_18934},
{C_text("f_18940:library_2escm"),(void*)f_18940},
{C_text("f_18945:library_2escm"),(void*)f_18945},
{C_text("f_18980:library_2escm"),(void*)f_18980},
{C_text("f_18993:library_2escm"),(void*)f_18993},
{C_text("f_18995:library_2escm"),(void*)f_18995},
{C_text("f_19001:library_2escm"),(void*)f_19001},
{C_text("f_19006:library_2escm"),(void*)f_19006},
{C_text("f_19041:library_2escm"),(void*)f_19041},
{C_text("f_19054:library_2escm"),(void*)f_19054},
{C_text("f_19056:library_2escm"),(void*)f_19056},
{C_text("f_19062:library_2escm"),(void*)f_19062},
{C_text("f_19067:library_2escm"),(void*)f_19067},
{C_text("f_19102:library_2escm"),(void*)f_19102},
{C_text("f_19114:library_2escm"),(void*)f_19114},
{C_text("f_19116:library_2escm"),(void*)f_19116},
{C_text("f_19122:library_2escm"),(void*)f_19122},
{C_text("f_19128:library_2escm"),(void*)f_19128},
{C_text("f_19138:library_2escm"),(void*)f_19138},
{C_text("f_19141:library_2escm"),(void*)f_19141},
{C_text("f_19144:library_2escm"),(void*)f_19144},
{C_text("f_19147:library_2escm"),(void*)f_19147},
{C_text("f_19150:library_2escm"),(void*)f_19150},
{C_text("f_19157:library_2escm"),(void*)f_19157},
{C_text("f_19161:library_2escm"),(void*)f_19161},
{C_text("f_19165:library_2escm"),(void*)f_19165},
{C_text("f_19171:library_2escm"),(void*)f_19171},
{C_text("f_19184:library_2escm"),(void*)f_19184},
{C_text("f_19226:library_2escm"),(void*)f_19226},
{C_text("f_19230:library_2escm"),(void*)f_19230},
{C_text("f_19263:library_2escm"),(void*)f_19263},
{C_text("f_19269:library_2escm"),(void*)f_19269},
{C_text("f_19275:library_2escm"),(void*)f_19275},
{C_text("f_19281:library_2escm"),(void*)f_19281},
{C_text("f_19287:library_2escm"),(void*)f_19287},
{C_text("f_19291:library_2escm"),(void*)f_19291},
{C_text("f_19296:library_2escm"),(void*)f_19296},
{C_text("f_19302:library_2escm"),(void*)f_19302},
{C_text("f_19306:library_2escm"),(void*)f_19306},
{C_text("f_19311:library_2escm"),(void*)f_19311},
{C_text("f_19315:library_2escm"),(void*)f_19315},
{C_text("f_19320:library_2escm"),(void*)f_19320},
{C_text("f_19326:library_2escm"),(void*)f_19326},
{C_text("f_19330:library_2escm"),(void*)f_19330},
{C_text("f_19335:library_2escm"),(void*)f_19335},
{C_text("f_19339:library_2escm"),(void*)f_19339},
{C_text("f_19344:library_2escm"),(void*)f_19344},
{C_text("f_19349:library_2escm"),(void*)f_19349},
{C_text("f_19355:library_2escm"),(void*)f_19355},
{C_text("f_19359:library_2escm"),(void*)f_19359},
{C_text("f_19364:library_2escm"),(void*)f_19364},
{C_text("f_19369:library_2escm"),(void*)f_19369},
{C_text("f_19373:library_2escm"),(void*)f_19373},
{C_text("f_19378:library_2escm"),(void*)f_19378},
{C_text("f_19383:library_2escm"),(void*)f_19383},
{C_text("f_19389:library_2escm"),(void*)f_19389},
{C_text("f_19393:library_2escm"),(void*)f_19393},
{C_text("f_19398:library_2escm"),(void*)f_19398},
{C_text("f_19403:library_2escm"),(void*)f_19403},
{C_text("f_19408:library_2escm"),(void*)f_19408},
{C_text("f_19429:library_2escm"),(void*)f_19429},
{C_text("f_19436:library_2escm"),(void*)f_19436},
{C_text("f_19442:library_2escm"),(void*)f_19442},
{C_text("f_19460:library_2escm"),(void*)f_19460},
{C_text("f_19469:library_2escm"),(void*)f_19469},
{C_text("f_19482:library_2escm"),(void*)f_19482},
{C_text("f_19490:library_2escm"),(void*)f_19490},
{C_text("f_19495:library_2escm"),(void*)f_19495},
{C_text("f_19532:library_2escm"),(void*)f_19532},
{C_text("f_19544:library_2escm"),(void*)f_19544},
{C_text("f_19554:library_2escm"),(void*)f_19554},
{C_text("f_19570:library_2escm"),(void*)f_19570},
{C_text("f_19583:library_2escm"),(void*)f_19583},
{C_text("f_19590:library_2escm"),(void*)f_19590},
{C_text("f_19592:library_2escm"),(void*)f_19592},
{C_text("f_19605:library_2escm"),(void*)f_19605},
{C_text("f_19611:library_2escm"),(void*)f_19611},
{C_text("f_19618:library_2escm"),(void*)f_19618},
{C_text("f_19620:library_2escm"),(void*)f_19620},
{C_text("f_19624:library_2escm"),(void*)f_19624},
{C_text("f_19627:library_2escm"),(void*)f_19627},
{C_text("f_19637:library_2escm"),(void*)f_19637},
{C_text("f_19641:library_2escm"),(void*)f_19641},
{C_text("f_19649:library_2escm"),(void*)f_19649},
{C_text("f_19652:library_2escm"),(void*)f_19652},
{C_text("f_19659:library_2escm"),(void*)f_19659},
{C_text("f_19662:library_2escm"),(void*)f_19662},
{C_text("f_19665:library_2escm"),(void*)f_19665},
{C_text("f_19668:library_2escm"),(void*)f_19668},
{C_text("f_19676:library_2escm"),(void*)f_19676},
{C_text("f_19684:library_2escm"),(void*)f_19684},
{C_text("f_19686:library_2escm"),(void*)f_19686},
{C_text("f_19702:library_2escm"),(void*)f_19702},
{C_text("f_19729:library_2escm"),(void*)f_19729},
{C_text("f_19733:library_2escm"),(void*)f_19733},
{C_text("f_19737:library_2escm"),(void*)f_19737},
{C_text("f_19741:library_2escm"),(void*)f_19741},
{C_text("f_19745:library_2escm"),(void*)f_19745},
{C_text("f_19749:library_2escm"),(void*)f_19749},
{C_text("f_19753:library_2escm"),(void*)f_19753},
{C_text("f_19757:library_2escm"),(void*)f_19757},
{C_text("f_19761:library_2escm"),(void*)f_19761},
{C_text("f_19765:library_2escm"),(void*)f_19765},
{C_text("f_19769:library_2escm"),(void*)f_19769},
{C_text("f_19773:library_2escm"),(void*)f_19773},
{C_text("f_19777:library_2escm"),(void*)f_19777},
{C_text("f_19781:library_2escm"),(void*)f_19781},
{C_text("f_19785:library_2escm"),(void*)f_19785},
{C_text("f_19789:library_2escm"),(void*)f_19789},
{C_text("f_19793:library_2escm"),(void*)f_19793},
{C_text("f_19800:library_2escm"),(void*)f_19800},
{C_text("f_19807:library_2escm"),(void*)f_19807},
{C_text("f_19808:library_2escm"),(void*)f_19808},
{C_text("f_19812:library_2escm"),(void*)f_19812},
{C_text("f_19815:library_2escm"),(void*)f_19815},
{C_text("f_19831:library_2escm"),(void*)f_19831},
{C_text("f_19842:library_2escm"),(void*)f_19842},
{C_text("f_19850:library_2escm"),(void*)f_19850},
{C_text("f_19862:library_2escm"),(void*)f_19862},
{C_text("f_19871:library_2escm"),(void*)f_19871},
{C_text("f_19876:library_2escm"),(void*)f_19876},
{C_text("f_19932:library_2escm"),(void*)f_19932},
{C_text("f_19946:library_2escm"),(void*)f_19946},
{C_text("f_19958:library_2escm"),(void*)f_19958},
{C_text("f_19964:library_2escm"),(void*)f_19964},
{C_text("f_19989:library_2escm"),(void*)f_19989},
{C_text("f_20007:library_2escm"),(void*)f_20007},
{C_text("f_20011:library_2escm"),(void*)f_20011},
{C_text("f_20067:library_2escm"),(void*)f_20067},
{C_text("f_20076:library_2escm"),(void*)f_20076},
{C_text("f_20089:library_2escm"),(void*)f_20089},
{C_text("f_20101:library_2escm"),(void*)f_20101},
{C_text("f_20119:library_2escm"),(void*)f_20119},
{C_text("f_20140:library_2escm"),(void*)f_20140},
{C_text("f_20143:library_2escm"),(void*)f_20143},
{C_text("f_20146:library_2escm"),(void*)f_20146},
{C_text("f_20154:library_2escm"),(void*)f_20154},
{C_text("f_20158:library_2escm"),(void*)f_20158},
{C_text("f_20162:library_2escm"),(void*)f_20162},
{C_text("f_20166:library_2escm"),(void*)f_20166},
{C_text("f_20170:library_2escm"),(void*)f_20170},
{C_text("f_20172:library_2escm"),(void*)f_20172},
{C_text("f_20180:library_2escm"),(void*)f_20180},
{C_text("f_20183:library_2escm"),(void*)f_20183},
{C_text("f_20193:library_2escm"),(void*)f_20193},
{C_text("f_20195:library_2escm"),(void*)f_20195},
{C_text("f_20203:library_2escm"),(void*)f_20203},
{C_text("f_20206:library_2escm"),(void*)f_20206},
{C_text("f_20216:library_2escm"),(void*)f_20216},
{C_text("f_20221:library_2escm"),(void*)f_20221},
{C_text("f_20225:library_2escm"),(void*)f_20225},
{C_text("f_20228:library_2escm"),(void*)f_20228},
{C_text("f_20231:library_2escm"),(void*)f_20231},
{C_text("f_20234:library_2escm"),(void*)f_20234},
{C_text("f_20237:library_2escm"),(void*)f_20237},
{C_text("f_20239:library_2escm"),(void*)f_20239},
{C_text("f_20245:library_2escm"),(void*)f_20245},
{C_text("f_20254:library_2escm"),(void*)f_20254},
{C_text("f_20262:library_2escm"),(void*)f_20262},
{C_text("f_20264:library_2escm"),(void*)f_20264},
{C_text("f_20271:library_2escm"),(void*)f_20271},
{C_text("f_20278:library_2escm"),(void*)f_20278},
{C_text("f_20291:library_2escm"),(void*)f_20291},
{C_text("f_20295:library_2escm"),(void*)f_20295},
{C_text("f_20300:library_2escm"),(void*)f_20300},
{C_text("f_20304:library_2escm"),(void*)f_20304},
{C_text("f_20315:library_2escm"),(void*)f_20315},
{C_text("f_20318:library_2escm"),(void*)f_20318},
{C_text("f_20326:library_2escm"),(void*)f_20326},
{C_text("f_20328:library_2escm"),(void*)f_20328},
{C_text("f_20341:library_2escm"),(void*)f_20341},
{C_text("f_20348:library_2escm"),(void*)f_20348},
{C_text("f_20357:library_2escm"),(void*)f_20357},
{C_text("f_20364:library_2escm"),(void*)f_20364},
{C_text("f_20366:library_2escm"),(void*)f_20366},
{C_text("f_20372:library_2escm"),(void*)f_20372},
{C_text("f_20382:library_2escm"),(void*)f_20382},
{C_text("f_20385:library_2escm"),(void*)f_20385},
{C_text("f_20395:library_2escm"),(void*)f_20395},
{C_text("f_20398:library_2escm"),(void*)f_20398},
{C_text("f_20426:library_2escm"),(void*)f_20426},
{C_text("f_20430:library_2escm"),(void*)f_20430},
{C_text("f_20438:library_2escm"),(void*)f_20438},
{C_text("f_20463:library_2escm"),(void*)f_20463},
{C_text("f_20471:library_2escm"),(void*)f_20471},
{C_text("f_20473:library_2escm"),(void*)f_20473},
{C_text("f_20490:library_2escm"),(void*)f_20490},
{C_text("f_20503:library_2escm"),(void*)f_20503},
{C_text("f_20520:library_2escm"),(void*)f_20520},
{C_text("f_20537:library_2escm"),(void*)f_20537},
{C_text("f_20554:library_2escm"),(void*)f_20554},
{C_text("f_20571:library_2escm"),(void*)f_20571},
{C_text("f_20592:library_2escm"),(void*)f_20592},
{C_text("f_20613:library_2escm"),(void*)f_20613},
{C_text("f_20637:library_2escm"),(void*)f_20637},
{C_text("f_20645:library_2escm"),(void*)f_20645},
{C_text("f_20654:library_2escm"),(void*)f_20654},
{C_text("f_20660:library_2escm"),(void*)f_20660},
{C_text("f_20666:library_2escm"),(void*)f_20666},
{C_text("f_20669:library_2escm"),(void*)f_20669},
{C_text("f_20672:library_2escm"),(void*)f_20672},
{C_text("f_20682:library_2escm"),(void*)f_20682},
{C_text("f_20686:library_2escm"),(void*)f_20686},
{C_text("f_20703:library_2escm"),(void*)f_20703},
{C_text("f_20708:library_2escm"),(void*)f_20708},
{C_text("f_20715:library_2escm"),(void*)f_20715},
{C_text("f_20719:library_2escm"),(void*)f_20719},
{C_text("f_20728:library_2escm"),(void*)f_20728},
{C_text("f_20734:library_2escm"),(void*)f_20734},
{C_text("f_20744:library_2escm"),(void*)f_20744},
{C_text("f_20748:library_2escm"),(void*)f_20748},
{C_text("f_20757:library_2escm"),(void*)f_20757},
{C_text("f_20764:library_2escm"),(void*)f_20764},
{C_text("f_20777:library_2escm"),(void*)f_20777},
{C_text("f_20782:library_2escm"),(void*)f_20782},
{C_text("f_20799:library_2escm"),(void*)f_20799},
{C_text("f_20814:library_2escm"),(void*)f_20814},
{C_text("f_20827:library_2escm"),(void*)f_20827},
{C_text("f_20849:library_2escm"),(void*)f_20849},
{C_text("f_20852:library_2escm"),(void*)f_20852},
{C_text("f_20881:library_2escm"),(void*)f_20881},
{C_text("f_20891:library_2escm"),(void*)f_20891},
{C_text("f_20907:library_2escm"),(void*)f_20907},
{C_text("f_20918:library_2escm"),(void*)f_20918},
{C_text("f_20925:library_2escm"),(void*)f_20925},
{C_text("f_21023:library_2escm"),(void*)f_21023},
{C_text("f_21029:library_2escm"),(void*)f_21029},
{C_text("f_21038:library_2escm"),(void*)f_21038},
{C_text("f_21052:library_2escm"),(void*)f_21052},
{C_text("f_21055:library_2escm"),(void*)f_21055},
{C_text("f_21066:library_2escm"),(void*)f_21066},
{C_text("f_21068:library_2escm"),(void*)f_21068},
{C_text("f_21071:library_2escm"),(void*)f_21071},
{C_text("f_21088:library_2escm"),(void*)f_21088},
{C_text("f_21093:library_2escm"),(void*)f_21093},
{C_text("f_21097:library_2escm"),(void*)f_21097},
{C_text("f_21100:library_2escm"),(void*)f_21100},
{C_text("f_21103:library_2escm"),(void*)f_21103},
{C_text("f_21113:library_2escm"),(void*)f_21113},
{C_text("f_21131:library_2escm"),(void*)f_21131},
{C_text("f_21134:library_2escm"),(void*)f_21134},
{C_text("f_21143:library_2escm"),(void*)f_21143},
{C_text("f_21146:library_2escm"),(void*)f_21146},
{C_text("f_21149:library_2escm"),(void*)f_21149},
{C_text("f_21155:library_2escm"),(void*)f_21155},
{C_text("f_21168:library_2escm"),(void*)f_21168},
{C_text("f_21172:library_2escm"),(void*)f_21172},
{C_text("f_21176:library_2escm"),(void*)f_21176},
{C_text("f_21187:library_2escm"),(void*)f_21187},
{C_text("f_21191:library_2escm"),(void*)f_21191},
{C_text("f_21194:library_2escm"),(void*)f_21194},
{C_text("f_21222:library_2escm"),(void*)f_21222},
{C_text("f_21278:library_2escm"),(void*)f_21278},
{C_text("f_21282:library_2escm"),(void*)f_21282},
{C_text("f_21289:library_2escm"),(void*)f_21289},
{C_text("f_21291:library_2escm"),(void*)f_21291},
{C_text("f_21295:library_2escm"),(void*)f_21295},
{C_text("f_21309:library_2escm"),(void*)f_21309},
{C_text("f_21315:library_2escm"),(void*)f_21315},
{C_text("f_21322:library_2escm"),(void*)f_21322},
{C_text("f_21329:library_2escm"),(void*)f_21329},
{C_text("f_21344:library_2escm"),(void*)f_21344},
{C_text("f_21350:library_2escm"),(void*)f_21350},
{C_text("f_21379:library_2escm"),(void*)f_21379},
{C_text("f_21389:library_2escm"),(void*)f_21389},
{C_text("f_21392:library_2escm"),(void*)f_21392},
{C_text("f_21428:library_2escm"),(void*)f_21428},
{C_text("f_21430:library_2escm"),(void*)f_21430},
{C_text("f_21440:library_2escm"),(void*)f_21440},
{C_text("f_21443:library_2escm"),(void*)f_21443},
{C_text("f_21495:library_2escm"),(void*)f_21495},
{C_text("f_21497:library_2escm"),(void*)f_21497},
{C_text("f_21505:library_2escm"),(void*)f_21505},
{C_text("f_21507:library_2escm"),(void*)f_21507},
{C_text("f_21517:library_2escm"),(void*)f_21517},
{C_text("f_21532:library_2escm"),(void*)f_21532},
{C_text("f_21539:library_2escm"),(void*)f_21539},
{C_text("f_21561:library_2escm"),(void*)f_21561},
{C_text("f_21569:library_2escm"),(void*)f_21569},
{C_text("f_21571:library_2escm"),(void*)f_21571},
{C_text("f_21581:library_2escm"),(void*)f_21581},
{C_text("f_21587:library_2escm"),(void*)f_21587},
{C_text("f_21594:library_2escm"),(void*)f_21594},
{C_text("f_21607:library_2escm"),(void*)f_21607},
{C_text("f_21613:library_2escm"),(void*)f_21613},
{C_text("f_21617:library_2escm"),(void*)f_21617},
{C_text("f_21624:library_2escm"),(void*)f_21624},
{C_text("f_21632:library_2escm"),(void*)f_21632},
{C_text("f_21638:library_2escm"),(void*)f_21638},
{C_text("f_21642:library_2escm"),(void*)f_21642},
{C_text("f_21651:library_2escm"),(void*)f_21651},
{C_text("f_21657:library_2escm"),(void*)f_21657},
{C_text("f_21664:library_2escm"),(void*)f_21664},
{C_text("f_21675:library_2escm"),(void*)f_21675},
{C_text("f_21715:library_2escm"),(void*)f_21715},
{C_text("f_21724:library_2escm"),(void*)f_21724},
{C_text("f_21731:library_2escm"),(void*)f_21731},
{C_text("f_21735:library_2escm"),(void*)f_21735},
{C_text("f_21739:library_2escm"),(void*)f_21739},
{C_text("f_21748:library_2escm"),(void*)f_21748},
{C_text("f_21759:library_2escm"),(void*)f_21759},
{C_text("f_21797:library_2escm"),(void*)f_21797},
{C_text("f_21846:library_2escm"),(void*)f_21846},
{C_text("f_21850:library_2escm"),(void*)f_21850},
{C_text("f_21853:library_2escm"),(void*)f_21853},
{C_text("f_21865:library_2escm"),(void*)f_21865},
{C_text("f_21885:library_2escm"),(void*)f_21885},
{C_text("f_21891:library_2escm"),(void*)f_21891},
{C_text("f_21901:library_2escm"),(void*)f_21901},
{C_text("f_22030:library_2escm"),(void*)f_22030},
{C_text("f_22037:library_2escm"),(void*)f_22037},
{C_text("f_22055:library_2escm"),(void*)f_22055},
{C_text("f_22061:library_2escm"),(void*)f_22061},
{C_text("f_22065:library_2escm"),(void*)f_22065},
{C_text("f_22101:library_2escm"),(void*)f_22101},
{C_text("f_22124:library_2escm"),(void*)f_22124},
{C_text("f_22142:library_2escm"),(void*)f_22142},
{C_text("f_22146:library_2escm"),(void*)f_22146},
{C_text("f_22149:library_2escm"),(void*)f_22149},
{C_text("f_22155:library_2escm"),(void*)f_22155},
{C_text("f_22160:library_2escm"),(void*)f_22160},
{C_text("f_22179:library_2escm"),(void*)f_22179},
{C_text("f_22189:library_2escm"),(void*)f_22189},
{C_text("f_22193:library_2escm"),(void*)f_22193},
{C_text("f_22197:library_2escm"),(void*)f_22197},
{C_text("f_22208:library_2escm"),(void*)f_22208},
{C_text("f_22234:library_2escm"),(void*)f_22234},
{C_text("f_22242:library_2escm"),(void*)f_22242},
{C_text("f_22246:library_2escm"),(void*)f_22246},
{C_text("f_22249:library_2escm"),(void*)f_22249},
{C_text("f_22252:library_2escm"),(void*)f_22252},
{C_text("f_22258:library_2escm"),(void*)f_22258},
{C_text("f_22266:library_2escm"),(void*)f_22266},
{C_text("f_22272:library_2escm"),(void*)f_22272},
{C_text("f_22294:library_2escm"),(void*)f_22294},
{C_text("f_22301:library_2escm"),(void*)f_22301},
{C_text("f_22310:library_2escm"),(void*)f_22310},
{C_text("f_22317:library_2escm"),(void*)f_22317},
{C_text("f_22326:library_2escm"),(void*)f_22326},
{C_text("f_22335:library_2escm"),(void*)f_22335},
{C_text("f_22342:library_2escm"),(void*)f_22342},
{C_text("f_22349:library_2escm"),(void*)f_22349},
{C_text("f_22353:library_2escm"),(void*)f_22353},
{C_text("f_22362:library_2escm"),(void*)f_22362},
{C_text("f_22365:library_2escm"),(void*)f_22365},
{C_text("f_22383:library_2escm"),(void*)f_22383},
{C_text("f_22386:library_2escm"),(void*)f_22386},
{C_text("f_22392:library_2escm"),(void*)f_22392},
{C_text("f_22409:library_2escm"),(void*)f_22409},
{C_text("f_22415:library_2escm"),(void*)f_22415},
{C_text("f_22443:library_2escm"),(void*)f_22443},
{C_text("f_22466:library_2escm"),(void*)f_22466},
{C_text("f_22472:library_2escm"),(void*)f_22472},
{C_text("f_22480:library_2escm"),(void*)f_22480},
{C_text("f_22486:library_2escm"),(void*)f_22486},
{C_text("f_22511:library_2escm"),(void*)f_22511},
{C_text("f_22523:library_2escm"),(void*)f_22523},
{C_text("f_22535:library_2escm"),(void*)f_22535},
{C_text("f_22547:library_2escm"),(void*)f_22547},
{C_text("f_22559:library_2escm"),(void*)f_22559},
{C_text("f_22571:library_2escm"),(void*)f_22571},
{C_text("f_22583:library_2escm"),(void*)f_22583},
{C_text("f_22586:library_2escm"),(void*)f_22586},
{C_text("f_22589:library_2escm"),(void*)f_22589},
{C_text("f_22594:library_2escm"),(void*)f_22594},
{C_text("f_22599:library_2escm"),(void*)f_22599},
{C_text("f_22605:library_2escm"),(void*)f_22605},
{C_text("f_22647:library_2escm"),(void*)f_22647},
{C_text("f_22659:library_2escm"),(void*)f_22659},
{C_text("f_22662:library_2escm"),(void*)f_22662},
{C_text("f_22674:library_2escm"),(void*)f_22674},
{C_text("f_22686:library_2escm"),(void*)f_22686},
{C_text("f_22689:library_2escm"),(void*)f_22689},
{C_text("f_22701:library_2escm"),(void*)f_22701},
{C_text("f_22708:library_2escm"),(void*)f_22708},
{C_text("f_22717:library_2escm"),(void*)f_22717},
{C_text("f_22720:library_2escm"),(void*)f_22720},
{C_text("f_22729:library_2escm"),(void*)f_22729},
{C_text("f_22739:library_2escm"),(void*)f_22739},
{C_text("f_22748:library_2escm"),(void*)f_22748},
{C_text("f_22751:library_2escm"),(void*)f_22751},
{C_text("f_22756:library_2escm"),(void*)f_22756},
{C_text("f_22761:library_2escm"),(void*)f_22761},
{C_text("f_22767:library_2escm"),(void*)f_22767},
{C_text("f_22796:library_2escm"),(void*)f_22796},
{C_text("f_22808:library_2escm"),(void*)f_22808},
{C_text("f_22811:library_2escm"),(void*)f_22811},
{C_text("f_22822:library_2escm"),(void*)f_22822},
{C_text("f_22831:library_2escm"),(void*)f_22831},
{C_text("f_22834:library_2escm"),(void*)f_22834},
{C_text("f_22840:library_2escm"),(void*)f_22840},
{C_text("f_22843:library_2escm"),(void*)f_22843},
{C_text("f_22849:library_2escm"),(void*)f_22849},
{C_text("f_22868:library_2escm"),(void*)f_22868},
{C_text("f_22887:library_2escm"),(void*)f_22887},
{C_text("f_22903:library_2escm"),(void*)f_22903},
{C_text("f_22909:library_2escm"),(void*)f_22909},
{C_text("f_22981:library_2escm"),(void*)f_22981},
{C_text("f_22993:library_2escm"),(void*)f_22993},
{C_text("f_23071:library_2escm"),(void*)f_23071},
{C_text("f_23147:library_2escm"),(void*)f_23147},
{C_text("f_23312:library_2escm"),(void*)f_23312},
{C_text("f_23324:library_2escm"),(void*)f_23324},
{C_text("f_23386:library_2escm"),(void*)f_23386},
{C_text("f_23389:library_2escm"),(void*)f_23389},
{C_text("f_23435:library_2escm"),(void*)f_23435},
{C_text("f_23439:library_2escm"),(void*)f_23439},
{C_text("f_23457:library_2escm"),(void*)f_23457},
{C_text("f_23521:library_2escm"),(void*)f_23521},
{C_text("f_23532:library_2escm"),(void*)f_23532},
{C_text("f_23534:library_2escm"),(void*)f_23534},
{C_text("f_23547:library_2escm"),(void*)f_23547},
{C_text("f_23559:library_2escm"),(void*)f_23559},
{C_text("f_23579:library_2escm"),(void*)f_23579},
{C_text("f_23586:library_2escm"),(void*)f_23586},
{C_text("f_23595:library_2escm"),(void*)f_23595},
{C_text("f_23607:library_2escm"),(void*)f_23607},
{C_text("f_23628:library_2escm"),(void*)f_23628},
{C_text("f_23643:library_2escm"),(void*)f_23643},
{C_text("f_23661:library_2escm"),(void*)f_23661},
{C_text("f_23679:library_2escm"),(void*)f_23679},
{C_text("f_23698:library_2escm"),(void*)f_23698},
{C_text("f_23708:library_2escm"),(void*)f_23708},
{C_text("f_23722:library_2escm"),(void*)f_23722},
{C_text("f_23725:library_2escm"),(void*)f_23725},
{C_text("f_23730:library_2escm"),(void*)f_23730},
{C_text("f_23749:library_2escm"),(void*)f_23749},
{C_text("f_23759:library_2escm"),(void*)f_23759},
{C_text("f_23773:library_2escm"),(void*)f_23773},
{C_text("f_23776:library_2escm"),(void*)f_23776},
{C_text("f_23783:library_2escm"),(void*)f_23783},
{C_text("f_23787:library_2escm"),(void*)f_23787},
{C_text("f_23791:library_2escm"),(void*)f_23791},
{C_text("f_23793:library_2escm"),(void*)f_23793},
{C_text("f_23800:library_2escm"),(void*)f_23800},
{C_text("f_23803:library_2escm"),(void*)f_23803},
{C_text("f_23806:library_2escm"),(void*)f_23806},
{C_text("f_23808:library_2escm"),(void*)f_23808},
{C_text("f_23818:library_2escm"),(void*)f_23818},
{C_text("f_23824:library_2escm"),(void*)f_23824},
{C_text("f_23836:library_2escm"),(void*)f_23836},
{C_text("f_23839:library_2escm"),(void*)f_23839},
{C_text("f_23842:library_2escm"),(void*)f_23842},
{C_text("f_23859:library_2escm"),(void*)f_23859},
{C_text("f_23880:library_2escm"),(void*)f_23880},
{C_text("f_23884:library_2escm"),(void*)f_23884},
{C_text("f_23897:library_2escm"),(void*)f_23897},
{C_text("f_23900:library_2escm"),(void*)f_23900},
{C_text("f_23909:library_2escm"),(void*)f_23909},
{C_text("f_23912:library_2escm"),(void*)f_23912},
{C_text("f_23940:library_2escm"),(void*)f_23940},
{C_text("f_23944:library_2escm"),(void*)f_23944},
{C_text("f_23953:library_2escm"),(void*)f_23953},
{C_text("f_23964:library_2escm"),(void*)f_23964},
{C_text("f_23971:library_2escm"),(void*)f_23971},
{C_text("f_23976:library_2escm"),(void*)f_23976},
{C_text("f_23998:library_2escm"),(void*)f_23998},
{C_text("f_24004:library_2escm"),(void*)f_24004},
{C_text("f_24007:library_2escm"),(void*)f_24007},
{C_text("f_24018:library_2escm"),(void*)f_24018},
{C_text("f_24027:library_2escm"),(void*)f_24027},
{C_text("f_24030:library_2escm"),(void*)f_24030},
{C_text("f_24053:library_2escm"),(void*)f_24053},
{C_text("f_24102:library_2escm"),(void*)f_24102},
{C_text("f_24118:library_2escm"),(void*)f_24118},
{C_text("f_24125:library_2escm"),(void*)f_24125},
{C_text("f_24175:library_2escm"),(void*)f_24175},
{C_text("f_24232:library_2escm"),(void*)f_24232},
{C_text("f_24237:library_2escm"),(void*)f_24237},
{C_text("f_24286:library_2escm"),(void*)f_24286},
{C_text("f_24292:library_2escm"),(void*)f_24292},
{C_text("f_24296:library_2escm"),(void*)f_24296},
{C_text("f_24319:library_2escm"),(void*)f_24319},
{C_text("f_24326:library_2escm"),(void*)f_24326},
{C_text("f_24345:library_2escm"),(void*)f_24345},
{C_text("f_24384:library_2escm"),(void*)f_24384},
{C_text("f_24396:library_2escm"),(void*)f_24396},
{C_text("f_24402:library_2escm"),(void*)f_24402},
{C_text("f_24418:library_2escm"),(void*)f_24418},
{C_text("f_24425:library_2escm"),(void*)f_24425},
{C_text("f_24434:library_2escm"),(void*)f_24434},
{C_text("f_24441:library_2escm"),(void*)f_24441},
{C_text("f_24451:library_2escm"),(void*)f_24451},
{C_text("f_24460:library_2escm"),(void*)f_24460},
{C_text("f_24466:library_2escm"),(void*)f_24466},
{C_text("f_24479:library_2escm"),(void*)f_24479},
{C_text("f_24517:library_2escm"),(void*)f_24517},
{C_text("f_24583:library_2escm"),(void*)f_24583},
{C_text("f_24586:library_2escm"),(void*)f_24586},
{C_text("f_24593:library_2escm"),(void*)f_24593},
{C_text("f_24633:library_2escm"),(void*)f_24633},
{C_text("f_24636:library_2escm"),(void*)f_24636},
{C_text("f_24645:library_2escm"),(void*)f_24645},
{C_text("f_24655:library_2escm"),(void*)f_24655},
{C_text("f_24658:library_2escm"),(void*)f_24658},
{C_text("f_24667:library_2escm"),(void*)f_24667},
{C_text("f_24677:library_2escm"),(void*)f_24677},
{C_text("f_24680:library_2escm"),(void*)f_24680},
{C_text("f_24706:library_2escm"),(void*)f_24706},
{C_text("f_24712:library_2escm"),(void*)f_24712},
{C_text("f_24717:library_2escm"),(void*)f_24717},
{C_text("f_24730:library_2escm"),(void*)f_24730},
{C_text("f_24733:library_2escm"),(void*)f_24733},
{C_text("f_24744:library_2escm"),(void*)f_24744},
{C_text("f_24766:library_2escm"),(void*)f_24766},
{C_text("f_24778:library_2escm"),(void*)f_24778},
{C_text("f_24781:library_2escm"),(void*)f_24781},
{C_text("f_24788:library_2escm"),(void*)f_24788},
{C_text("f_24797:library_2escm"),(void*)f_24797},
{C_text("f_24800:library_2escm"),(void*)f_24800},
{C_text("f_24844:library_2escm"),(void*)f_24844},
{C_text("f_24847:library_2escm"),(void*)f_24847},
{C_text("f_24856:library_2escm"),(void*)f_24856},
{C_text("f_24869:library_2escm"),(void*)f_24869},
{C_text("f_24872:library_2escm"),(void*)f_24872},
{C_text("f_24897:library_2escm"),(void*)f_24897},
{C_text("f_24901:library_2escm"),(void*)f_24901},
{C_text("f_24911:library_2escm"),(void*)f_24911},
{C_text("f_24914:library_2escm"),(void*)f_24914},
{C_text("f_24934:library_2escm"),(void*)f_24934},
{C_text("f_24947:library_2escm"),(void*)f_24947},
{C_text("f_24952:library_2escm"),(void*)f_24952},
{C_text("f_24958:library_2escm"),(void*)f_24958},
{C_text("f_24964:library_2escm"),(void*)f_24964},
{C_text("f_24968:library_2escm"),(void*)f_24968},
{C_text("f_24971:library_2escm"),(void*)f_24971},
{C_text("f_24986:library_2escm"),(void*)f_24986},
{C_text("f_24989:library_2escm"),(void*)f_24989},
{C_text("f_25007:library_2escm"),(void*)f_25007},
{C_text("f_25009:library_2escm"),(void*)f_25009},
{C_text("f_25015:library_2escm"),(void*)f_25015},
{C_text("f_25024:library_2escm"),(void*)f_25024},
{C_text("f_25030:library_2escm"),(void*)f_25030},
{C_text("f_25037:library_2escm"),(void*)f_25037},
{C_text("f_25040:library_2escm"),(void*)f_25040},
{C_text("f_25043:library_2escm"),(void*)f_25043},
{C_text("f_25052:library_2escm"),(void*)f_25052},
{C_text("f_25068:library_2escm"),(void*)f_25068},
{C_text("f_25083:library_2escm"),(void*)f_25083},
{C_text("f_25085:library_2escm"),(void*)f_25085},
{C_text("f_25091:library_2escm"),(void*)f_25091},
{C_text("f_25097:library_2escm"),(void*)f_25097},
{C_text("f_25101:library_2escm"),(void*)f_25101},
{C_text("f_25104:library_2escm"),(void*)f_25104},
{C_text("f_25107:library_2escm"),(void*)f_25107},
{C_text("f_25111:library_2escm"),(void*)f_25111},
{C_text("f_25115:library_2escm"),(void*)f_25115},
{C_text("f_25119:library_2escm"),(void*)f_25119},
{C_text("f_25122:library_2escm"),(void*)f_25122},
{C_text("f_25125:library_2escm"),(void*)f_25125},
{C_text("f_25128:library_2escm"),(void*)f_25128},
{C_text("f_25140:library_2escm"),(void*)f_25140},
{C_text("f_25146:library_2escm"),(void*)f_25146},
{C_text("f_25150:library_2escm"),(void*)f_25150},
{C_text("f_25153:library_2escm"),(void*)f_25153},
{C_text("f_25156:library_2escm"),(void*)f_25156},
{C_text("f_25159:library_2escm"),(void*)f_25159},
{C_text("f_25162:library_2escm"),(void*)f_25162},
{C_text("f_25165:library_2escm"),(void*)f_25165},
{C_text("f_25170:library_2escm"),(void*)f_25170},
{C_text("f_25192:library_2escm"),(void*)f_25192},
{C_text("f_25198:library_2escm"),(void*)f_25198},
{C_text("f_25201:library_2escm"),(void*)f_25201},
{C_text("f_25226:library_2escm"),(void*)f_25226},
{C_text("f_25229:library_2escm"),(void*)f_25229},
{C_text("f_25236:library_2escm"),(void*)f_25236},
{C_text("f_25249:library_2escm"),(void*)f_25249},
{C_text("f_25259:library_2escm"),(void*)f_25259},
{C_text("f_25264:library_2escm"),(void*)f_25264},
{C_text("f_25270:library_2escm"),(void*)f_25270},
{C_text("f_25297:library_2escm"),(void*)f_25297},
{C_text("f_25303:library_2escm"),(void*)f_25303},
{C_text("f_25314:library_2escm"),(void*)f_25314},
{C_text("f_25320:library_2escm"),(void*)f_25320},
{C_text("f_25323:library_2escm"),(void*)f_25323},
{C_text("f_25328:library_2escm"),(void*)f_25328},
{C_text("f_25334:library_2escm"),(void*)f_25334},
{C_text("f_25358:library_2escm"),(void*)f_25358},
{C_text("f_25366:library_2escm"),(void*)f_25366},
{C_text("f_25383:library_2escm"),(void*)f_25383},
{C_text("f_25423:library_2escm"),(void*)f_25423},
{C_text("f_25430:library_2escm"),(void*)f_25430},
{C_text("f_25442:library_2escm"),(void*)f_25442},
{C_text("f_25446:library_2escm"),(void*)f_25446},
{C_text("f_25459:library_2escm"),(void*)f_25459},
{C_text("f_25461:library_2escm"),(void*)f_25461},
{C_text("f_25495:library_2escm"),(void*)f_25495},
{C_text("f_25499:library_2escm"),(void*)f_25499},
{C_text("f_25500:library_2escm"),(void*)f_25500},
{C_text("f_25510:library_2escm"),(void*)f_25510},
{C_text("f_25515:library_2escm"),(void*)f_25515},
{C_text("f_25525:library_2escm"),(void*)f_25525},
{C_text("f_25538:library_2escm"),(void*)f_25538},
{C_text("f_25549:library_2escm"),(void*)f_25549},
{C_text("f_25553:library_2escm"),(void*)f_25553},
{C_text("f_25557:library_2escm"),(void*)f_25557},
{C_text("f_25579:library_2escm"),(void*)f_25579},
{C_text("f_25583:library_2escm"),(void*)f_25583},
{C_text("f_25591:library_2escm"),(void*)f_25591},
{C_text("f_25607:library_2escm"),(void*)f_25607},
{C_text("f_25618:library_2escm"),(void*)f_25618},
{C_text("f_25637:library_2escm"),(void*)f_25637},
{C_text("f_25648:library_2escm"),(void*)f_25648},
{C_text("f_25656:library_2escm"),(void*)f_25656},
{C_text("f_25735:library_2escm"),(void*)f_25735},
{C_text("f_25745:library_2escm"),(void*)f_25745},
{C_text("f_25746:library_2escm"),(void*)f_25746},
{C_text("f_25759:library_2escm"),(void*)f_25759},
{C_text("f_25762:library_2escm"),(void*)f_25762},
{C_text("f_25765:library_2escm"),(void*)f_25765},
{C_text("f_25768:library_2escm"),(void*)f_25768},
{C_text("f_25776:library_2escm"),(void*)f_25776},
{C_text("f_25783:library_2escm"),(void*)f_25783},
{C_text("f_25786:library_2escm"),(void*)f_25786},
{C_text("f_25789:library_2escm"),(void*)f_25789},
{C_text("f_25812:library_2escm"),(void*)f_25812},
{C_text("f_25817:library_2escm"),(void*)f_25817},
{C_text("f_25827:library_2escm"),(void*)f_25827},
{C_text("f_25840:library_2escm"),(void*)f_25840},
{C_text("f_25871:library_2escm"),(void*)f_25871},
{C_text("f_25881:library_2escm"),(void*)f_25881},
{C_text("f_25931:library_2escm"),(void*)f_25931},
{C_text("f_25934:library_2escm"),(void*)f_25934},
{C_text("f_25953:library_2escm"),(void*)f_25953},
{C_text("f_25958:library_2escm"),(void*)f_25958},
{C_text("f_25964:library_2escm"),(void*)f_25964},
{C_text("f_25967:library_2escm"),(void*)f_25967},
{C_text("f_25973:library_2escm"),(void*)f_25973},
{C_text("f_25981:library_2escm"),(void*)f_25981},
{C_text("f_26000:library_2escm"),(void*)f_26000},
{C_text("f_26005:library_2escm"),(void*)f_26005},
{C_text("f_26015:library_2escm"),(void*)f_26015},
{C_text("f_26029:library_2escm"),(void*)f_26029},
{C_text("f_26036:library_2escm"),(void*)f_26036},
{C_text("f_26040:library_2escm"),(void*)f_26040},
{C_text("f_26044:library_2escm"),(void*)f_26044},
{C_text("f_26046:library_2escm"),(void*)f_26046},
{C_text("f_26072:library_2escm"),(void*)f_26072},
{C_text("f_26075:library_2escm"),(void*)f_26075},
{C_text("f_26078:library_2escm"),(void*)f_26078},
{C_text("f_26085:library_2escm"),(void*)f_26085},
{C_text("f_26089:library_2escm"),(void*)f_26089},
{C_text("f_26095:library_2escm"),(void*)f_26095},
{C_text("f_26100:library_2escm"),(void*)f_26100},
{C_text("f_26110:library_2escm"),(void*)f_26110},
{C_text("f_26127:library_2escm"),(void*)f_26127},
{C_text("f_26148:library_2escm"),(void*)f_26148},
{C_text("f_26151:library_2escm"),(void*)f_26151},
{C_text("f_26171:library_2escm"),(void*)f_26171},
{C_text("f_26179:library_2escm"),(void*)f_26179},
{C_text("f_26313:library_2escm"),(void*)f_26313},
{C_text("f_26330:library_2escm"),(void*)f_26330},
{C_text("f_26334:library_2escm"),(void*)f_26334},
{C_text("f_26347:library_2escm"),(void*)f_26347},
{C_text("f_26356:library_2escm"),(void*)f_26356},
{C_text("f_26359:library_2escm"),(void*)f_26359},
{C_text("f_26363:library_2escm"),(void*)f_26363},
{C_text("f_26402:library_2escm"),(void*)f_26402},
{C_text("f_26405:library_2escm"),(void*)f_26405},
{C_text("f_26412:library_2escm"),(void*)f_26412},
{C_text("f_26416:library_2escm"),(void*)f_26416},
{C_text("f_26442:library_2escm"),(void*)f_26442},
{C_text("f_26473:library_2escm"),(void*)f_26473},
{C_text("f_26476:library_2escm"),(void*)f_26476},
{C_text("f_26488:library_2escm"),(void*)f_26488},
{C_text("f_26491:library_2escm"),(void*)f_26491},
{C_text("f_26494:library_2escm"),(void*)f_26494},
{C_text("f_26519:library_2escm"),(void*)f_26519},
{C_text("f_26525:library_2escm"),(void*)f_26525},
{C_text("f_26529:library_2escm"),(void*)f_26529},
{C_text("f_26533:library_2escm"),(void*)f_26533},
{C_text("f_26546:library_2escm"),(void*)f_26546},
{C_text("f_26548:library_2escm"),(void*)f_26548},
{C_text("f_26554:library_2escm"),(void*)f_26554},
{C_text("f_26559:library_2escm"),(void*)f_26559},
{C_text("f_26594:library_2escm"),(void*)f_26594},
{C_text("f_26600:library_2escm"),(void*)f_26600},
{C_text("f_26616:library_2escm"),(void*)f_26616},
{C_text("f_26638:library_2escm"),(void*)f_26638},
{C_text("f_26662:library_2escm"),(void*)f_26662},
{C_text("f_26674:library_2escm"),(void*)f_26674},
{C_text("f_26676:library_2escm"),(void*)f_26676},
{C_text("f_26695:library_2escm"),(void*)f_26695},
{C_text("f_26699:library_2escm"),(void*)f_26699},
{C_text("f_26711:library_2escm"),(void*)f_26711},
{C_text("f_26713:library_2escm"),(void*)f_26713},
{C_text("f_26757:library_2escm"),(void*)f_26757},
{C_text("f_26759:library_2escm"),(void*)f_26759},
{C_text("f_26793:library_2escm"),(void*)f_26793},
{C_text("f_26816:library_2escm"),(void*)f_26816},
{C_text("f_26823:library_2escm"),(void*)f_26823},
{C_text("f_26833:library_2escm"),(void*)f_26833},
{C_text("f_26835:library_2escm"),(void*)f_26835},
{C_text("f_26885:library_2escm"),(void*)f_26885},
{C_text("f_26887:library_2escm"),(void*)f_26887},
{C_text("f_26912:library_2escm"),(void*)f_26912},
{C_text("f_26921:library_2escm"),(void*)f_26921},
{C_text("f_26927:library_2escm"),(void*)f_26927},
{C_text("f_26931:library_2escm"),(void*)f_26931},
{C_text("f_26935:library_2escm"),(void*)f_26935},
{C_text("f_26943:library_2escm"),(void*)f_26943},
{C_text("f_26949:library_2escm"),(void*)f_26949},
{C_text("f_26980:library_2escm"),(void*)f_26980},
{C_text("f_27005:library_2escm"),(void*)f_27005},
{C_text("f_27030:library_2escm"),(void*)f_27030},
{C_text("f_27040:library_2escm"),(void*)f_27040},
{C_text("f_27045:library_2escm"),(void*)f_27045},
{C_text("f_27047:library_2escm"),(void*)f_27047},
{C_text("f_27054:library_2escm"),(void*)f_27054},
{C_text("f_27066:library_2escm"),(void*)f_27066},
{C_text("f_27074:library_2escm"),(void*)f_27074},
{C_text("f_27112:library_2escm"),(void*)f_27112},
{C_text("f_27116:library_2escm"),(void*)f_27116},
{C_text("f_27123:library_2escm"),(void*)f_27123},
{C_text("f_27126:library_2escm"),(void*)f_27126},
{C_text("f_27129:library_2escm"),(void*)f_27129},
{C_text("f_27130:library_2escm"),(void*)f_27130},
{C_text("f_27132:library_2escm"),(void*)f_27132},
{C_text("f_27136:library_2escm"),(void*)f_27136},
{C_text("f_27141:library_2escm"),(void*)f_27141},
{C_text("f_27153:library_2escm"),(void*)f_27153},
{C_text("f_27163:library_2escm"),(void*)f_27163},
{C_text("f_27175:library_2escm"),(void*)f_27175},
{C_text("f_27177:library_2escm"),(void*)f_27177},
{C_text("f_27184:library_2escm"),(void*)f_27184},
{C_text("f_27187:library_2escm"),(void*)f_27187},
{C_text("f_27193:library_2escm"),(void*)f_27193},
{C_text("f_27196:library_2escm"),(void*)f_27196},
{C_text("f_27199:library_2escm"),(void*)f_27199},
{C_text("f_27202:library_2escm"),(void*)f_27202},
{C_text("f_27217:library_2escm"),(void*)f_27217},
{C_text("f_27223:library_2escm"),(void*)f_27223},
{C_text("f_27231:library_2escm"),(void*)f_27231},
{C_text("f_27235:library_2escm"),(void*)f_27235},
{C_text("f_27238:library_2escm"),(void*)f_27238},
{C_text("f_27241:library_2escm"),(void*)f_27241},
{C_text("f_27254:library_2escm"),(void*)f_27254},
{C_text("f_27258:library_2escm"),(void*)f_27258},
{C_text("f_27279:library_2escm"),(void*)f_27279},
{C_text("f_27295:library_2escm"),(void*)f_27295},
{C_text("f_27298:library_2escm"),(void*)f_27298},
{C_text("f_27304:library_2escm"),(void*)f_27304},
{C_text("f_27326:library_2escm"),(void*)f_27326},
{C_text("f_27331:library_2escm"),(void*)f_27331},
{C_text("f_27366:library_2escm"),(void*)f_27366},
{C_text("f_27376:library_2escm"),(void*)f_27376},
{C_text("f_27379:library_2escm"),(void*)f_27379},
{C_text("f_27382:library_2escm"),(void*)f_27382},
{C_text("f_27385:library_2escm"),(void*)f_27385},
{C_text("f_27388:library_2escm"),(void*)f_27388},
{C_text("f_27391:library_2escm"),(void*)f_27391},
{C_text("f_27398:library_2escm"),(void*)f_27398},
{C_text("f_27401:library_2escm"),(void*)f_27401},
{C_text("f_27404:library_2escm"),(void*)f_27404},
{C_text("f_27415:library_2escm"),(void*)f_27415},
{C_text("f_27438:library_2escm"),(void*)f_27438},
{C_text("f_27449:library_2escm"),(void*)f_27449},
{C_text("f_27453:library_2escm"),(void*)f_27453},
{C_text("f_27475:library_2escm"),(void*)f_27475},
{C_text("f_27486:library_2escm"),(void*)f_27486},
{C_text("f_27490:library_2escm"),(void*)f_27490},
{C_text("f_28071:library_2escm"),(void*)f_28071},
{C_text("f_28074:library_2escm"),(void*)f_28074},
{C_text("f_28077:library_2escm"),(void*)f_28077},
{C_text("f_28080:library_2escm"),(void*)f_28080},
{C_text("f_28085:library_2escm"),(void*)f_28085},
{C_text("f_28088:library_2escm"),(void*)f_28088},
{C_text("f_28091:library_2escm"),(void*)f_28091},
{C_text("f_28094:library_2escm"),(void*)f_28094},
{C_text("f_28097:library_2escm"),(void*)f_28097},
{C_text("f_28100:library_2escm"),(void*)f_28100},
{C_text("f_28103:library_2escm"),(void*)f_28103},
{C_text("f_28106:library_2escm"),(void*)f_28106},
{C_text("f_28123:library_2escm"),(void*)f_28123},
{C_text("f_28127:library_2escm"),(void*)f_28127},
{C_text("f_28129:library_2escm"),(void*)f_28129},
{C_text("f_28137:library_2escm"),(void*)f_28137},
{C_text("f_28139:library_2escm"),(void*)f_28139},
{C_text("f_28143:library_2escm"),(void*)f_28143},
{C_text("f_28145:library_2escm"),(void*)f_28145},
{C_text("f_28152:library_2escm"),(void*)f_28152},
{C_text("f_28162:library_2escm"),(void*)f_28162},
{C_text("f_28187:library_2escm"),(void*)f_28187},
{C_text("f_28190:library_2escm"),(void*)f_28190},
{C_text("f_28193:library_2escm"),(void*)f_28193},
{C_text("f_28196:library_2escm"),(void*)f_28196},
{C_text("f_28199:library_2escm"),(void*)f_28199},
{C_text("f_28209:library_2escm"),(void*)f_28209},
{C_text("f_28215:library_2escm"),(void*)f_28215},
{C_text("f_28219:library_2escm"),(void*)f_28219},
{C_text("f_28221:library_2escm"),(void*)f_28221},
{C_text("f_28231:library_2escm"),(void*)f_28231},
{C_text("f_28237:library_2escm"),(void*)f_28237},
{C_text("f_28241:library_2escm"),(void*)f_28241},
{C_text("f_28243:library_2escm"),(void*)f_28243},
{C_text("f_28248:library_2escm"),(void*)f_28248},
{C_text("f_28250:library_2escm"),(void*)f_28250},
{C_text("f_28253:library_2escm"),(void*)f_28253},
{C_text("f_28273:library_2escm"),(void*)f_28273},
{C_text("f_28279:library_2escm"),(void*)f_28279},
{C_text("f_28289:library_2escm"),(void*)f_28289},
{C_text("f_28299:library_2escm"),(void*)f_28299},
{C_text("f_28334:library_2escm"),(void*)f_28334},
{C_text("f_28338:library_2escm"),(void*)f_28338},
{C_text("f_28343:library_2escm"),(void*)f_28343},
{C_text("f_28353:library_2escm"),(void*)f_28353},
{C_text("f_28363:library_2escm"),(void*)f_28363},
{C_text("f_28372:library_2escm"),(void*)f_28372},
{C_text("f_28375:library_2escm"),(void*)f_28375},
{C_text("f_28378:library_2escm"),(void*)f_28378},
{C_text("f_28385:library_2escm"),(void*)f_28385},
{C_text("f_28392:library_2escm"),(void*)f_28392},
{C_text("f_28395:library_2escm"),(void*)f_28395},
{C_text("f_28399:library_2escm"),(void*)f_28399},
{C_text("f_28401:library_2escm"),(void*)f_28401},
{C_text("f_28404:library_2escm"),(void*)f_28404},
{C_text("f_28407:library_2escm"),(void*)f_28407},
{C_text("f_28410:library_2escm"),(void*)f_28410},
{C_text("f_28413:library_2escm"),(void*)f_28413},
{C_text("f_28416:library_2escm"),(void*)f_28416},
{C_text("f_28419:library_2escm"),(void*)f_28419},
{C_text("f_28422:library_2escm"),(void*)f_28422},
{C_text("f_28425:library_2escm"),(void*)f_28425},
{C_text("f_28428:library_2escm"),(void*)f_28428},
{C_text("f_28431:library_2escm"),(void*)f_28431},
{C_text("f_28435:library_2escm"),(void*)f_28435},
{C_text("f_28438:library_2escm"),(void*)f_28438},
{C_text("f_28454:library_2escm"),(void*)f_28454},
{C_text("f_28462:library_2escm"),(void*)f_28462},
{C_text("f_28465:library_2escm"),(void*)f_28465},
{C_text("f_28471:library_2escm"),(void*)f_28471},
{C_text("f_28480:library_2escm"),(void*)f_28480},
{C_text("f_28486:library_2escm"),(void*)f_28486},
{C_text("f_28495:library_2escm"),(void*)f_28495},
{C_text("f_28501:library_2escm"),(void*)f_28501},
{C_text("f_28507:library_2escm"),(void*)f_28507},
{C_text("f_28510:library_2escm"),(void*)f_28510},
{C_text("f_28514:library_2escm"),(void*)f_28514},
{C_text("f_28517:library_2escm"),(void*)f_28517},
{C_text("f_28522:library_2escm"),(void*)f_28522},
{C_text("f_28524:library_2escm"),(void*)f_28524},
{C_text("f_28528:library_2escm"),(void*)f_28528},
{C_text("f_28555:library_2escm"),(void*)f_28555},
{C_text("f_28565:library_2escm"),(void*)f_28565},
{C_text("f_28574:library_2escm"),(void*)f_28574},
{C_text("f_28581:library_2escm"),(void*)f_28581},
{C_text("f_28585:library_2escm"),(void*)f_28585},
{C_text("f_28599:library_2escm"),(void*)f_28599},
{C_text("f_28603:library_2escm"),(void*)f_28603},
{C_text("f_28610:library_2escm"),(void*)f_28610},
{C_text("f_28612:library_2escm"),(void*)f_28612},
{C_text("f_28634:library_2escm"),(void*)f_28634},
{C_text("f_28641:library_2escm"),(void*)f_28641},
{C_text("f_28646:library_2escm"),(void*)f_28646},
{C_text("f_28650:library_2escm"),(void*)f_28650},
{C_text("f_28653:library_2escm"),(void*)f_28653},
{C_text("f_28656:library_2escm"),(void*)f_28656},
{C_text("f_28661:library_2escm"),(void*)f_28661},
{C_text("f_28665:library_2escm"),(void*)f_28665},
{C_text("f_28691:library_2escm"),(void*)f_28691},
{C_text("f_28704:library_2escm"),(void*)f_28704},
{C_text("f_28707:library_2escm"),(void*)f_28707},
{C_text("f_28716:library_2escm"),(void*)f_28716},
{C_text("f_28719:library_2escm"),(void*)f_28719},
{C_text("f_28722:library_2escm"),(void*)f_28722},
{C_text("f_28728:library_2escm"),(void*)f_28728},
{C_text("f_28735:library_2escm"),(void*)f_28735},
{C_text("f_28737:library_2escm"),(void*)f_28737},
{C_text("f_28750:library_2escm"),(void*)f_28750},
{C_text("f_28763:library_2escm"),(void*)f_28763},
{C_text("f_28766:library_2escm"),(void*)f_28766},
{C_text("f_28769:library_2escm"),(void*)f_28769},
{C_text("f_28776:library_2escm"),(void*)f_28776},
{C_text("f_28829:library_2escm"),(void*)f_28829},
{C_text("f_28832:library_2escm"),(void*)f_28832},
{C_text("f_28835:library_2escm"),(void*)f_28835},
{C_text("f_28837:library_2escm"),(void*)f_28837},
{C_text("f_28841:library_2escm"),(void*)f_28841},
{C_text("f_28845:library_2escm"),(void*)f_28845},
{C_text("f_28851:library_2escm"),(void*)f_28851},
{C_text("f_28856:library_2escm"),(void*)f_28856},
{C_text("f_28860:library_2escm"),(void*)f_28860},
{C_text("f_28872:library_2escm"),(void*)f_28872},
{C_text("f_28884:library_2escm"),(void*)f_28884},
{C_text("f_28891:library_2escm"),(void*)f_28891},
{C_text("f_28897:library_2escm"),(void*)f_28897},
{C_text("f_28911:library_2escm"),(void*)f_28911},
{C_text("f_28920:library_2escm"),(void*)f_28920},
{C_text("f_28950:library_2escm"),(void*)f_28950},
{C_text("f_28969:library_2escm"),(void*)f_28969},
{C_text("f_28992:library_2escm"),(void*)f_28992},
{C_text("f_29001:library_2escm"),(void*)f_29001},
{C_text("f_29008:library_2escm"),(void*)f_29008},
{C_text("f_29025:library_2escm"),(void*)f_29025},
{C_text("f_29033:library_2escm"),(void*)f_29033},
{C_text("f_29044:library_2escm"),(void*)f_29044},
{C_text("f_29052:library_2escm"),(void*)f_29052},
{C_text("f_29059:library_2escm"),(void*)f_29059},
{C_text("f_29121:library_2escm"),(void*)f_29121},
{C_text("f_29128:library_2escm"),(void*)f_29128},
{C_text("f_29131:library_2escm"),(void*)f_29131},
{C_text("f_29137:library_2escm"),(void*)f_29137},
{C_text("f_29144:library_2escm"),(void*)f_29144},
{C_text("f_29148:library_2escm"),(void*)f_29148},
{C_text("f_29151:library_2escm"),(void*)f_29151},
{C_text("f_29159:library_2escm"),(void*)f_29159},
{C_text("f_29161:library_2escm"),(void*)f_29161},
{C_text("f_29170:library_2escm"),(void*)f_29170},
{C_text("f_29179:library_2escm"),(void*)f_29179},
{C_text("f_29190:library_2escm"),(void*)f_29190},
{C_text("f_29194:library_2escm"),(void*)f_29194},
{C_text("f_29196:library_2escm"),(void*)f_29196},
{C_text("f_29204:library_2escm"),(void*)f_29204},
{C_text("f_29216:library_2escm"),(void*)f_29216},
{C_text("f_29222:library_2escm"),(void*)f_29222},
{C_text("f_29226:library_2escm"),(void*)f_29226},
{C_text("f_29234:library_2escm"),(void*)f_29234},
{C_text("f_29252:library_2escm"),(void*)f_29252},
{C_text("f_29260:library_2escm"),(void*)f_29260},
{C_text("f_29264:library_2escm"),(void*)f_29264},
{C_text("f_29282:library_2escm"),(void*)f_29282},
{C_text("f_29289:library_2escm"),(void*)f_29289},
{C_text("f_29301:library_2escm"),(void*)f_29301},
{C_text("f_29309:library_2escm"),(void*)f_29309},
{C_text("f_29315:library_2escm"),(void*)f_29315},
{C_text("f_29337:library_2escm"),(void*)f_29337},
{C_text("f_29341:library_2escm"),(void*)f_29341},
{C_text("f_29345:library_2escm"),(void*)f_29345},
{C_text("f_29347:library_2escm"),(void*)f_29347},
{C_text("f_29350:library_2escm"),(void*)f_29350},
{C_text("f_29353:library_2escm"),(void*)f_29353},
{C_text("f_29357:library_2escm"),(void*)f_29357},
{C_text("f_29360:library_2escm"),(void*)f_29360},
{C_text("f_29378:library_2escm"),(void*)f_29378},
{C_text("f_29384:library_2escm"),(void*)f_29384},
{C_text("f_29388:library_2escm"),(void*)f_29388},
{C_text("f_29405:library_2escm"),(void*)f_29405},
{C_text("f_29415:library_2escm"),(void*)f_29415},
{C_text("f_29419:library_2escm"),(void*)f_29419},
{C_text("f_29423:library_2escm"),(void*)f_29423},
{C_text("f_29435:library_2escm"),(void*)f_29435},
{C_text("f_29445:library_2escm"),(void*)f_29445},
{C_text("f_29449:library_2escm"),(void*)f_29449},
{C_text("f_29453:library_2escm"),(void*)f_29453},
{C_text("f_29481:library_2escm"),(void*)f_29481},
{C_text("f_29484:library_2escm"),(void*)f_29484},
{C_text("f_29487:library_2escm"),(void*)f_29487},
{C_text("f_29493:library_2escm"),(void*)f_29493},
{C_text("f_29506:library_2escm"),(void*)f_29506},
{C_text("f_29509:library_2escm"),(void*)f_29509},
{C_text("f_29518:library_2escm"),(void*)f_29518},
{C_text("f_29524:library_2escm"),(void*)f_29524},
{C_text("f_29530:library_2escm"),(void*)f_29530},
{C_text("f_29536:library_2escm"),(void*)f_29536},
{C_text("f_29542:library_2escm"),(void*)f_29542},
{C_text("f_29559:library_2escm"),(void*)f_29559},
{C_text("f_29565:library_2escm"),(void*)f_29565},
{C_text("f_29580:library_2escm"),(void*)f_29580},
{C_text("f_29584:library_2escm"),(void*)f_29584},
{C_text("f_29588:library_2escm"),(void*)f_29588},
{C_text("f_29592:library_2escm"),(void*)f_29592},
{C_text("f_29598:library_2escm"),(void*)f_29598},
{C_text("f_29600:library_2escm"),(void*)f_29600},
{C_text("f_29606:library_2escm"),(void*)f_29606},
{C_text("f_29610:library_2escm"),(void*)f_29610},
{C_text("f_29619:library_2escm"),(void*)f_29619},
{C_text("f_29628:library_2escm"),(void*)f_29628},
{C_text("f_29671:library_2escm"),(void*)f_29671},
{C_text("f_29693:library_2escm"),(void*)f_29693},
{C_text("f_29706:library_2escm"),(void*)f_29706},
{C_text("f_29731:library_2escm"),(void*)f_29731},
{C_text("f_29747:library_2escm"),(void*)f_29747},
{C_text("f_29763:library_2escm"),(void*)f_29763},
{C_text("f_29779:library_2escm"),(void*)f_29779},
{C_text("f_29795:library_2escm"),(void*)f_29795},
{C_text("f_29811:library_2escm"),(void*)f_29811},
{C_text("f_29827:library_2escm"),(void*)f_29827},
{C_text("f_29843:library_2escm"),(void*)f_29843},
{C_text("f_29859:library_2escm"),(void*)f_29859},
{C_text("f_29875:library_2escm"),(void*)f_29875},
{C_text("f_29882:library_2escm"),(void*)f_29882},
{C_text("f_29923:library_2escm"),(void*)f_29923},
{C_text("f_29935:library_2escm"),(void*)f_29935},
{C_text("f_29941:library_2escm"),(void*)f_29941},
{C_text("f_29960:library_2escm"),(void*)f_29960},
{C_text("f_29962:library_2escm"),(void*)f_29962},
{C_text("f_29985:library_2escm"),(void*)f_29985},
{C_text("f_30031:library_2escm"),(void*)f_30031},
{C_text("f_30033:library_2escm"),(void*)f_30033},
{C_text("f_30040:library_2escm"),(void*)f_30040},
{C_text("f_30052:library_2escm"),(void*)f_30052},
{C_text("f_30096:library_2escm"),(void*)f_30096},
{C_text("f_30111:library_2escm"),(void*)f_30111},
{C_text("f_30119:library_2escm"),(void*)f_30119},
{C_text("f_30125:library_2escm"),(void*)f_30125},
{C_text("f_30133:library_2escm"),(void*)f_30133},
{C_text("f_30137:library_2escm"),(void*)f_30137},
{C_text("f_30143:library_2escm"),(void*)f_30143},
{C_text("f_30145:library_2escm"),(void*)f_30145},
{C_text("f_30157:library_2escm"),(void*)f_30157},
{C_text("f_30164:library_2escm"),(void*)f_30164},
{C_text("f_30168:library_2escm"),(void*)f_30168},
{C_text("f_30184:library_2escm"),(void*)f_30184},
{C_text("f_30191:library_2escm"),(void*)f_30191},
{C_text("f_30195:library_2escm"),(void*)f_30195},
{C_text("f_30208:library_2escm"),(void*)f_30208},
{C_text("f_30215:library_2escm"),(void*)f_30215},
{C_text("f_30219:library_2escm"),(void*)f_30219},
{C_text("f_30224:library_2escm"),(void*)f_30224},
{C_text("f_30230:library_2escm"),(void*)f_30230},
{C_text("f_30233:library_2escm"),(void*)f_30233},
{C_text("f_30236:library_2escm"),(void*)f_30236},
{C_text("f_30242:library_2escm"),(void*)f_30242},
{C_text("f_30251:library_2escm"),(void*)f_30251},
{C_text("f_30260:library_2escm"),(void*)f_30260},
{C_text("f_30266:library_2escm"),(void*)f_30266},
{C_text("f_30269:library_2escm"),(void*)f_30269},
{C_text("f_30272:library_2escm"),(void*)f_30272},
{C_text("f_30284:library_2escm"),(void*)f_30284},
{C_text("f_30287:library_2escm"),(void*)f_30287},
{C_text("f_30290:library_2escm"),(void*)f_30290},
{C_text("f_30293:library_2escm"),(void*)f_30293},
{C_text("f_30305:library_2escm"),(void*)f_30305},
{C_text("f_30308:library_2escm"),(void*)f_30308},
{C_text("f_30311:library_2escm"),(void*)f_30311},
{C_text("f_30314:library_2escm"),(void*)f_30314},
{C_text("f_30322:library_2escm"),(void*)f_30322},
{C_text("f_30325:library_2escm"),(void*)f_30325},
{C_text("f_30338:library_2escm"),(void*)f_30338},
{C_text("f_30339:library_2escm"),(void*)f_30339},
{C_text("f_30344:library_2escm"),(void*)f_30344},
{C_text("f_30345:library_2escm"),(void*)f_30345},
{C_text("f_30350:library_2escm"),(void*)f_30350},
{C_text("f_30351:library_2escm"),(void*)f_30351},
{C_text("f_30356:library_2escm"),(void*)f_30356},
{C_text("f_30357:library_2escm"),(void*)f_30357},
{C_text("f_30362:library_2escm"),(void*)f_30362},
{C_text("f_30363:library_2escm"),(void*)f_30363},
{C_text("f_30368:library_2escm"),(void*)f_30368},
{C_text("f_30370:library_2escm"),(void*)f_30370},
{C_text("f_30380:library_2escm"),(void*)f_30380},
{C_text("f_30383:library_2escm"),(void*)f_30383},
{C_text("f_30386:library_2escm"),(void*)f_30386},
{C_text("f_30389:library_2escm"),(void*)f_30389},
{C_text("f_30391:library_2escm"),(void*)f_30391},
{C_text("f_30405:library_2escm"),(void*)f_30405},
{C_text("f_30413:library_2escm"),(void*)f_30413},
{C_text("f_30417:library_2escm"),(void*)f_30417},
{C_text("f_30421:library_2escm"),(void*)f_30421},
{C_text("f_30425:library_2escm"),(void*)f_30425},
{C_text("f_30431:library_2escm"),(void*)f_30431},
{C_text("f_30438:library_2escm"),(void*)f_30438},
{C_text("f_30442:library_2escm"),(void*)f_30442},
{C_text("f_30446:library_2escm"),(void*)f_30446},
{C_text("f_30450:library_2escm"),(void*)f_30450},
{C_text("f_30489:library_2escm"),(void*)f_30489},
{C_text("f_30492:library_2escm"),(void*)f_30492},
{C_text("f_30495:library_2escm"),(void*)f_30495},
{C_text("f_30498:library_2escm"),(void*)f_30498},
{C_text("f_30501:library_2escm"),(void*)f_30501},
{C_text("f_30509:library_2escm"),(void*)f_30509},
{C_text("f_30517:library_2escm"),(void*)f_30517},
{C_text("f_30521:library_2escm"),(void*)f_30521},
{C_text("f_30538:library_2escm"),(void*)f_30538},
{C_text("f_30545:library_2escm"),(void*)f_30545},
{C_text("f_30567:library_2escm"),(void*)f_30567},
{C_text("f_30572:library_2escm"),(void*)f_30572},
{C_text("f_30587:library_2escm"),(void*)f_30587},
{C_text("f_30590:library_2escm"),(void*)f_30590},
{C_text("f_30593:library_2escm"),(void*)f_30593},
{C_text("f_30596:library_2escm"),(void*)f_30596},
{C_text("f_30599:library_2escm"),(void*)f_30599},
{C_text("f_30602:library_2escm"),(void*)f_30602},
{C_text("f_30605:library_2escm"),(void*)f_30605},
{C_text("f_30608:library_2escm"),(void*)f_30608},
{C_text("f_30611:library_2escm"),(void*)f_30611},
{C_text("f_30614:library_2escm"),(void*)f_30614},
{C_text("f_30617:library_2escm"),(void*)f_30617},
{C_text("f_30621:library_2escm"),(void*)f_30621},
{C_text("f_30624:library_2escm"),(void*)f_30624},
{C_text("f_30629:library_2escm"),(void*)f_30629},
{C_text("f_30635:library_2escm"),(void*)f_30635},
{C_text("f_30648:library_2escm"),(void*)f_30648},
{C_text("f_30650:library_2escm"),(void*)f_30650},
{C_text("f_30660:library_2escm"),(void*)f_30660},
{C_text("f_30673:library_2escm"),(void*)f_30673},
{C_text("f_30680:library_2escm"),(void*)f_30680},
{C_text("f_30684:library_2escm"),(void*)f_30684},
{C_text("f_30686:library_2escm"),(void*)f_30686},
{C_text("f_30715:library_2escm"),(void*)f_30715},
{C_text("f_30717:library_2escm"),(void*)f_30717},
{C_text("f_30742:library_2escm"),(void*)f_30742},
{C_text("f_30751:library_2escm"),(void*)f_30751},
{C_text("f_30754:library_2escm"),(void*)f_30754},
{C_text("f_30760:library_2escm"),(void*)f_30760},
{C_text("f_30784:library_2escm"),(void*)f_30784},
{C_text("f_30793:library_2escm"),(void*)f_30793},
{C_text("f_30801:library_2escm"),(void*)f_30801},
{C_text("f_30805:library_2escm"),(void*)f_30805},
{C_text("f_30809:library_2escm"),(void*)f_30809},
{C_text("f_30839:library_2escm"),(void*)f_30839},
{C_text("f_30843:library_2escm"),(void*)f_30843},
{C_text("f_30847:library_2escm"),(void*)f_30847},
{C_text("f_30851:library_2escm"),(void*)f_30851},
{C_text("f_30855:library_2escm"),(void*)f_30855},
{C_text("f_30859:library_2escm"),(void*)f_30859},
{C_text("f_30862:library_2escm"),(void*)f_30862},
{C_text("f_30865:library_2escm"),(void*)f_30865},
{C_text("f_30875:library_2escm"),(void*)f_30875},
{C_text("f_30878:library_2escm"),(void*)f_30878},
{C_text("f_30881:library_2escm"),(void*)f_30881},
{C_text("f_30901:library_2escm"),(void*)f_30901},
{C_text("f_30905:library_2escm"),(void*)f_30905},
{C_text("f_30909:library_2escm"),(void*)f_30909},
{C_text("f_30913:library_2escm"),(void*)f_30913},
{C_text("f_30917:library_2escm"),(void*)f_30917},
{C_text("f_30921:library_2escm"),(void*)f_30921},
{C_text("f_30925:library_2escm"),(void*)f_30925},
{C_text("f_30927:library_2escm"),(void*)f_30927},
{C_text("f_30936:library_2escm"),(void*)f_30936},
{C_text("f_30946:library_2escm"),(void*)f_30946},
{C_text("f_30971:library_2escm"),(void*)f_30971},
{C_text("f_30974:library_2escm"),(void*)f_30974},
{C_text("f_30976:library_2escm"),(void*)f_30976},
{C_text("f_30992:library_2escm"),(void*)f_30992},
{C_text("f_31011:library_2escm"),(void*)f_31011},
{C_text("f_31021:library_2escm"),(void*)f_31021},
{C_text("f_31031:library_2escm"),(void*)f_31031},
{C_text("f_31055:library_2escm"),(void*)f_31055},
{C_text("f_31059:library_2escm"),(void*)f_31059},
{C_text("f_31061:library_2escm"),(void*)f_31061},
{C_text("f_31065:library_2escm"),(void*)f_31065},
{C_text("f_31068:library_2escm"),(void*)f_31068},
{C_text("f_31083:library_2escm"),(void*)f_31083},
{C_text("f_31089:library_2escm"),(void*)f_31089},
{C_text("f_31093:library_2escm"),(void*)f_31093},
{C_text("f_31102:library_2escm"),(void*)f_31102},
{C_text("f_31105:library_2escm"),(void*)f_31105},
{C_text("f_31108:library_2escm"),(void*)f_31108},
{C_text("f_31111:library_2escm"),(void*)f_31111},
{C_text("f_31114:library_2escm"),(void*)f_31114},
{C_text("f_31120:library_2escm"),(void*)f_31120},
{C_text("f_31126:library_2escm"),(void*)f_31126},
{C_text("f_31129:library_2escm"),(void*)f_31129},
{C_text("f_31134:library_2escm"),(void*)f_31134},
{C_text("f_31144:library_2escm"),(void*)f_31144},
{C_text("f_31156:library_2escm"),(void*)f_31156},
{C_text("f_31164:library_2escm"),(void*)f_31164},
{C_text("f_31174:library_2escm"),(void*)f_31174},
{C_text("f_31190:library_2escm"),(void*)f_31190},
{C_text("f_31196:library_2escm"),(void*)f_31196},
{C_text("f_31199:library_2escm"),(void*)f_31199},
{C_text("f_31202:library_2escm"),(void*)f_31202},
{C_text("f_31203:library_2escm"),(void*)f_31203},
{C_text("f_31207:library_2escm"),(void*)f_31207},
{C_text("f_31213:library_2escm"),(void*)f_31213},
{C_text("f_31217:library_2escm"),(void*)f_31217},
{C_text("f_31219:library_2escm"),(void*)f_31219},
{C_text("f_31229:library_2escm"),(void*)f_31229},
{C_text("f_31246:library_2escm"),(void*)f_31246},
{C_text("f_31249:library_2escm"),(void*)f_31249},
{C_text("f_31253:library_2escm"),(void*)f_31253},
{C_text("f_31258:library_2escm"),(void*)f_31258},
{C_text("f_31264:library_2escm"),(void*)f_31264},
{C_text("f_31271:library_2escm"),(void*)f_31271},
{C_text("f_31280:library_2escm"),(void*)f_31280},
{C_text("f_31288:library_2escm"),(void*)f_31288},
{C_text("f_31313:library_2escm"),(void*)f_31313},
{C_text("f_31331:library_2escm"),(void*)f_31331},
{C_text("f_31335:library_2escm"),(void*)f_31335},
{C_text("f_31350:library_2escm"),(void*)f_31350},
{C_text("f_31354:library_2escm"),(void*)f_31354},
{C_text("f_31369:library_2escm"),(void*)f_31369},
{C_text("f_31372:library_2escm"),(void*)f_31372},
{C_text("f_31375:library_2escm"),(void*)f_31375},
{C_text("f_31385:library_2escm"),(void*)f_31385},
{C_text("f_31416:library_2escm"),(void*)f_31416},
{C_text("f_31440:library_2escm"),(void*)f_31440},
{C_text("f_31450:library_2escm"),(void*)f_31450},
{C_text("f_31459:library_2escm"),(void*)f_31459},
{C_text("f_31500:library_2escm"),(void*)f_31500},
{C_text("f_31519:library_2escm"),(void*)f_31519},
{C_text("f_31532:library_2escm"),(void*)f_31532},
{C_text("f_31542:library_2escm"),(void*)f_31542},
{C_text("f_31552:library_2escm"),(void*)f_31552},
{C_text("f_31562:library_2escm"),(void*)f_31562},
{C_text("f_31572:library_2escm"),(void*)f_31572},
{C_text("f_31582:library_2escm"),(void*)f_31582},
{C_text("f_31592:library_2escm"),(void*)f_31592},
{C_text("f_31602:library_2escm"),(void*)f_31602},
{C_text("f_31612:library_2escm"),(void*)f_31612},
{C_text("f_31622:library_2escm"),(void*)f_31622},
{C_text("f_31632:library_2escm"),(void*)f_31632},
{C_text("f_31642:library_2escm"),(void*)f_31642},
{C_text("f_31652:library_2escm"),(void*)f_31652},
{C_text("f_31662:library_2escm"),(void*)f_31662},
{C_text("f_31678:library_2escm"),(void*)f_31678},
{C_text("f_31686:library_2escm"),(void*)f_31686},
{C_text("f_31702:library_2escm"),(void*)f_31702},
{C_text("f_31718:library_2escm"),(void*)f_31718},
{C_text("f_31728:library_2escm"),(void*)f_31728},
{C_text("f_31738:library_2escm"),(void*)f_31738},
{C_text("f_31757:library_2escm"),(void*)f_31757},
{C_text("f_31773:library_2escm"),(void*)f_31773},
{C_text("f_31786:library_2escm"),(void*)f_31786},
{C_text("f_31792:library_2escm"),(void*)f_31792},
{C_text("f_31815:library_2escm"),(void*)f_31815},
{C_text("f_31819:library_2escm"),(void*)f_31819},
{C_text("f_31823:library_2escm"),(void*)f_31823},
{C_text("f_31826:library_2escm"),(void*)f_31826},
{C_text("f_31832:library_2escm"),(void*)f_31832},
{C_text("f_31855:library_2escm"),(void*)f_31855},
{C_text("f_31859:library_2escm"),(void*)f_31859},
{C_text("f_31863:library_2escm"),(void*)f_31863},
{C_text("f_31866:library_2escm"),(void*)f_31866},
{C_text("f_31869:library_2escm"),(void*)f_31869},
{C_text("f_31872:library_2escm"),(void*)f_31872},
{C_text("f_31878:library_2escm"),(void*)f_31878},
{C_text("f_31881:library_2escm"),(void*)f_31881},
{C_text("f_31884:library_2escm"),(void*)f_31884},
{C_text("f_31892:library_2escm"),(void*)f_31892},
{C_text("f_31894:library_2escm"),(void*)f_31894},
{C_text("f_31918:library_2escm"),(void*)f_31918},
{C_text("f_31941:library_2escm"),(void*)f_31941},
{C_text("f_31945:library_2escm"),(void*)f_31945},
{C_text("f_31949:library_2escm"),(void*)f_31949},
{C_text("f_31983:library_2escm"),(void*)f_31983},
{C_text("f_31987:library_2escm"),(void*)f_31987},
{C_text("f_31990:library_2escm"),(void*)f_31990},
{C_text("f_32003:library_2escm"),(void*)f_32003},
{C_text("f_32036:library_2escm"),(void*)f_32036},
{C_text("f_32051:library_2escm"),(void*)f_32051},
{C_text("f_32055:library_2escm"),(void*)f_32055},
{C_text("f_32079:library_2escm"),(void*)f_32079},
{C_text("f_32087:library_2escm"),(void*)f_32087},
{C_text("f_32091:library_2escm"),(void*)f_32091},
{C_text("f_32102:library_2escm"),(void*)f_32102},
{C_text("f_32106:library_2escm"),(void*)f_32106},
{C_text("f_32110:library_2escm"),(void*)f_32110},
{C_text("f_32124:library_2escm"),(void*)f_32124},
{C_text("f_32156:library_2escm"),(void*)f_32156},
{C_text("f_8494:library_2escm"),(void*)f_8494},
{C_text("f_8496:library_2escm"),(void*)f_8496},
{C_text("f_8499:library_2escm"),(void*)f_8499},
{C_text("f_8502:library_2escm"),(void*)f_8502},
{C_text("f_8505:library_2escm"),(void*)f_8505},
{C_text("f_8508:library_2escm"),(void*)f_8508},
{C_text("f_8511:library_2escm"),(void*)f_8511},
{C_text("f_8514:library_2escm"),(void*)f_8514},
{C_text("f_8517:library_2escm"),(void*)f_8517},
{C_text("f_8520:library_2escm"),(void*)f_8520},
{C_text("f_8523:library_2escm"),(void*)f_8523},
{C_text("f_8526:library_2escm"),(void*)f_8526},
{C_text("f_8529:library_2escm"),(void*)f_8529},
{C_text("f_8532:library_2escm"),(void*)f_8532},
{C_text("f_8535:library_2escm"),(void*)f_8535},
{C_text("f_8538:library_2escm"),(void*)f_8538},
{C_text("f_8541:library_2escm"),(void*)f_8541},
{C_text("f_8544:library_2escm"),(void*)f_8544},
{C_text("f_8547:library_2escm"),(void*)f_8547},
{C_text("f_8550:library_2escm"),(void*)f_8550},
{C_text("f_8564:library_2escm"),(void*)f_8564},
{C_text("f_8571:library_2escm"),(void*)f_8571},
{C_text("f_8578:library_2escm"),(void*)f_8578},
{C_text("f_8592:library_2escm"),(void*)f_8592},
{C_text("f_8599:library_2escm"),(void*)f_8599},
{C_text("f_8613:library_2escm"),(void*)f_8613},
{C_text("f_8627:library_2escm"),(void*)f_8627},
{C_text("f_8645:library_2escm"),(void*)f_8645},
{C_text("f_8656:library_2escm"),(void*)f_8656},
{C_text("f_8667:library_2escm"),(void*)f_8667},
{C_text("f_8674:library_2escm"),(void*)f_8674},
{C_text("f_8685:library_2escm"),(void*)f_8685},
{C_text("f_8689:library_2escm"),(void*)f_8689},
{C_text("f_8696:library_2escm"),(void*)f_8696},
{C_text("f_8714:library_2escm"),(void*)f_8714},
{C_text("f_8725:library_2escm"),(void*)f_8725},
{C_text("f_8736:library_2escm"),(void*)f_8736},
{C_text("f_8743:library_2escm"),(void*)f_8743},
{C_text("f_8761:library_2escm"),(void*)f_8761},
{C_text("f_8772:library_2escm"),(void*)f_8772},
{C_text("f_8790:library_2escm"),(void*)f_8790},
{C_text("f_8796:library_2escm"),(void*)f_8796},
{C_text("f_8799:library_2escm"),(void*)f_8799},
{C_text("f_8802:library_2escm"),(void*)f_8802},
{C_text("f_8805:library_2escm"),(void*)f_8805},
{C_text("f_8808:library_2escm"),(void*)f_8808},
{C_text("f_8814:library_2escm"),(void*)f_8814},
{C_text("f_8847:library_2escm"),(void*)f_8847},
{C_text("f_8850:library_2escm"),(void*)f_8850},
{C_text("f_8853:library_2escm"),(void*)f_8853},
{C_text("f_8856:library_2escm"),(void*)f_8856},
{C_text("f_8859:library_2escm"),(void*)f_8859},
{C_text("f_8862:library_2escm"),(void*)f_8862},
{C_text("f_8865:library_2escm"),(void*)f_8865},
{C_text("f_8868:library_2escm"),(void*)f_8868},
{C_text("f_8871:library_2escm"),(void*)f_8871},
{C_text("f_8874:library_2escm"),(void*)f_8874},
{C_text("f_8877:library_2escm"),(void*)f_8877},
{C_text("f_8880:library_2escm"),(void*)f_8880},
{C_text("f_8883:library_2escm"),(void*)f_8883},
{C_text("f_8887:library_2escm"),(void*)f_8887},
{C_text("f_8890:library_2escm"),(void*)f_8890},
{C_text("f_8896:library_2escm"),(void*)f_8896},
{C_text("f_8899:library_2escm"),(void*)f_8899},
{C_text("f_8902:library_2escm"),(void*)f_8902},
{C_text("f_8905:library_2escm"),(void*)f_8905},
{C_text("f_8908:library_2escm"),(void*)f_8908},
{C_text("f_8916:library_2escm"),(void*)f_8916},
{C_text("f_8920:library_2escm"),(void*)f_8920},
{C_text("f_8923:library_2escm"),(void*)f_8923},
{C_text("f_8926:library_2escm"),(void*)f_8926},
{C_text("f_8929:library_2escm"),(void*)f_8929},
{C_text("f_8932:library_2escm"),(void*)f_8932},
{C_text("f_8935:library_2escm"),(void*)f_8935},
{C_text("f_8938:library_2escm"),(void*)f_8938},
{C_text("f_8941:library_2escm"),(void*)f_8941},
{C_text("f_8945:library_2escm"),(void*)f_8945},
{C_text("f_8948:library_2escm"),(void*)f_8948},
{C_text("f_8951:library_2escm"),(void*)f_8951},
{C_text("f_8954:library_2escm"),(void*)f_8954},
{C_text("f_8957:library_2escm"),(void*)f_8957},
{C_text("f_8965:library_2escm"),(void*)f_8965},
{C_text("f_8968:library_2escm"),(void*)f_8968},
{C_text("f_8975:library_2escm"),(void*)f_8975},
{C_text("f_8979:library_2escm"),(void*)f_8979},
{C_text("f_8982:library_2escm"),(void*)f_8982},
{C_text("f_8985:library_2escm"),(void*)f_8985},
{C_text("f_8988:library_2escm"),(void*)f_8988},
{C_text("f_8991:library_2escm"),(void*)f_8991},
{C_text("f_8994:library_2escm"),(void*)f_8994},
{C_text("f_8997:library_2escm"),(void*)f_8997},
{C_text("f_9003:library_2escm"),(void*)f_9003},
{C_text("f_9014:library_2escm"),(void*)f_9014},
{C_text("f_9020:library_2escm"),(void*)f_9020},
{C_text("f_9026:library_2escm"),(void*)f_9026},
{C_text("f_9032:library_2escm"),(void*)f_9032},
{C_text("f_9038:library_2escm"),(void*)f_9038},
{C_text("f_9044:library_2escm"),(void*)f_9044},
{C_text("f_9051:library_2escm"),(void*)f_9051},
{C_text("f_9057:library_2escm"),(void*)f_9057},
{C_text("f_9073:library_2escm"),(void*)f_9073},
{C_text("f_9084:library_2escm"),(void*)f_9084},
{C_text("f_9090:library_2escm"),(void*)f_9090},
{C_text("f_9096:library_2escm"),(void*)f_9096},
{C_text("f_9102:library_2escm"),(void*)f_9102},
{C_text("f_9108:library_2escm"),(void*)f_9108},
{C_text("f_9117:library_2escm"),(void*)f_9117},
{C_text("f_9120:library_2escm"),(void*)f_9120},
{C_text("f_9123:library_2escm"),(void*)f_9123},
{C_text("f_9126:library_2escm"),(void*)f_9126},
{C_text("f_9129:library_2escm"),(void*)f_9129},
{C_text("f_9132:library_2escm"),(void*)f_9132},
{C_text("f_9136:library_2escm"),(void*)f_9136},
{C_text("f_9142:library_2escm"),(void*)f_9142},
{C_text("f_9148:library_2escm"),(void*)f_9148},
{C_text("f_9181:library_2escm"),(void*)f_9181},
{C_text("f_9184:library_2escm"),(void*)f_9184},
{C_text("f_9187:library_2escm"),(void*)f_9187},
{C_text("f_9195:library_2escm"),(void*)f_9195},
{C_text("f_9200:library_2escm"),(void*)f_9200},
{C_text("f_9206:library_2escm"),(void*)f_9206},
{C_text("f_9221:library_2escm"),(void*)f_9221},
{C_text("f_9242:library_2escm"),(void*)f_9242},
{C_text("f_9248:library_2escm"),(void*)f_9248},
{C_text("f_9254:library_2escm"),(void*)f_9254},
{C_text("f_9261:library_2escm"),(void*)f_9261},
{C_text("f_9266:library_2escm"),(void*)f_9266},
{C_text("f_9269:library_2escm"),(void*)f_9269},
{C_text("f_9278:library_2escm"),(void*)f_9278},
{C_text("f_9296:library_2escm"),(void*)f_9296},
{C_text("f_9306:library_2escm"),(void*)f_9306},
{C_text("f_9315:library_2escm"),(void*)f_9315},
{C_text("f_9333:library_2escm"),(void*)f_9333},
{C_text("f_9346:library_2escm"),(void*)f_9346},
{C_text("f_9353:library_2escm"),(void*)f_9353},
{C_text("f_9360:library_2escm"),(void*)f_9360},
{C_text("f_9371:library_2escm"),(void*)f_9371},
{C_text("f_9378:library_2escm"),(void*)f_9378},
{C_text("f_9390:library_2escm"),(void*)f_9390},
{C_text("f_9393:library_2escm"),(void*)f_9393},
{C_text("f_9395:library_2escm"),(void*)f_9395},
{C_text("f_9401:library_2escm"),(void*)f_9401},
{C_text("f_9417:library_2escm"),(void*)f_9417},
{C_text("f_9426:library_2escm"),(void*)f_9426},
{C_text("f_9428:library_2escm"),(void*)f_9428},
{C_text("f_9434:library_2escm"),(void*)f_9434},
{C_text("f_9447:library_2escm"),(void*)f_9447},
{C_text("f_9463:library_2escm"),(void*)f_9463},
{C_text("f_9474:library_2escm"),(void*)f_9474},
{C_text("f_9476:library_2escm"),(void*)f_9476},
{C_text("f_9484:library_2escm"),(void*)f_9484},
{C_text("f_9486:library_2escm"),(void*)f_9486},
{C_text("f_9492:library_2escm"),(void*)f_9492},
{C_text("f_9494:library_2escm"),(void*)f_9494},
{C_text("f_9502:library_2escm"),(void*)f_9502},
{C_text("f_9504:library_2escm"),(void*)f_9504},
{C_text("f_9507:library_2escm"),(void*)f_9507},
{C_text("f_9515:library_2escm"),(void*)f_9515},
{C_text("f_9521:library_2escm"),(void*)f_9521},
{C_text("f_9529:library_2escm"),(void*)f_9529},
{C_text("f_9540:library_2escm"),(void*)f_9540},
{C_text("f_9552:library_2escm"),(void*)f_9552},
{C_text("f_9566:library_2escm"),(void*)f_9566},
{C_text("f_9574:library_2escm"),(void*)f_9574},
{C_text("f_9577:library_2escm"),(void*)f_9577},
{C_text("f_9579:library_2escm"),(void*)f_9579},
{C_text("f_9581:library_2escm"),(void*)f_9581},
{C_text("f_9587:library_2escm"),(void*)f_9587},
{C_text("f_9606:library_2escm"),(void*)f_9606},
{C_text("f_9623:library_2escm"),(void*)f_9623},
{C_text("f_9631:library_2escm"),(void*)f_9631},
{C_text("f_9645:library_2escm"),(void*)f_9645},
{C_text("f_9651:library_2escm"),(void*)f_9651},
{C_text("f_9670:library_2escm"),(void*)f_9670},
{C_text("f_9679:library_2escm"),(void*)f_9679},
{C_text("f_9682:library_2escm"),(void*)f_9682},
{C_text("f_9694:library_2escm"),(void*)f_9694},
{C_text("f_9710:library_2escm"),(void*)f_9710},
{C_text("f_9716:library_2escm"),(void*)f_9716},
{C_text("f_9741:library_2escm"),(void*)f_9741},
{C_text("f_9743:library_2escm"),(void*)f_9743},
{C_text("f_9752:library_2escm"),(void*)f_9752},
{C_text("f_9773:library_2escm"),(void*)f_9773},
{C_text("f_9775:library_2escm"),(void*)f_9775},
{C_text("f_9781:library_2escm"),(void*)f_9781},
{C_text("f_9807:library_2escm"),(void*)f_9807},
{C_text("f_9814:library_2escm"),(void*)f_9814},
{C_text("f_9816:library_2escm"),(void*)f_9816},
{C_text("f_9820:library_2escm"),(void*)f_9820},
{C_text("f_9828:library_2escm"),(void*)f_9828},
{C_text("f_9863:library_2escm"),(void*)f_9863},
{C_text("f_9873:library_2escm"),(void*)f_9873},
{C_text("f_9882:library_2escm"),(void*)f_9882},
{C_text("f_9924:library_2escm"),(void*)f_9924},
{C_text("f_9953:library_2escm"),(void*)f_9953},
{C_text("f_9960:library_2escm"),(void*)f_9960},
{C_text("f_9963:library_2escm"),(void*)f_9963},
{C_text("f_9992:library_2escm"),(void*)f_9992},
{C_text("f_9998:library_2escm"),(void*)f_9998},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  for-each		8
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  map		7
o|eliminated procedure checks: 528 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#memq * list)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  12 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  12 (##sys#check-list (or pair list) *)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  26 (scheme#eqv? (or eof null fixnum char boolean symbol) *)
o|  1 (scheme#remainder * *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  2 (chicken.bitwise#bitwise-and * *)
o|  5 (chicken.bitwise#integer-length *)
o|  204 (scheme#eqv? * (or eof null fixnum char boolean symbol))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#> * *)
o|  7 (scheme#- *)
o|  7 (scheme#< * *)
o|  1 (scheme#odd? *)
o|  3 (scheme#= * *)
o|  2 (scheme#>= * *)
o|  17 (scheme#quotient * *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  44 (scheme#* * *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  48 (scheme#car pair)
o|  4 (scheme#length list)
o|  20 (scheme#- * *)
o|  24 (scheme#+ * *)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3113 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 26 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: ##sys#symbol->string 
o|dropping redundant toplevel assignment: ##sys#symbol->qualified-string 
o|dropping redundant toplevel assignment: ##sys#qualified-symbol-prefix 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#string->qualified-symbol ##sys#qualified-symbol? ##sys#qualified-symbol-prefix ##sys#symbol->qualified-string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#decode-seconds ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#sleep chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8816 
o|inlining procedure: k8816 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9053 
o|inlining procedure: k9053 
o|inlining procedure: k9059 
o|inlining procedure: k9059 
o|inlining procedure: k9150 
o|inlining procedure: k9150 
o|substituted constant variable: a9198 
o|substituted constant variable: a9203 
o|inlining procedure: k9208 
o|inlining procedure: k9208 
o|inlining procedure: k9256 
o|inlining procedure: k9256 
o|inlining procedure: k9280 
o|inlining procedure: k9280 
o|inlining procedure: k9317 
o|inlining procedure: k9317 
o|inlining procedure: k9406 
o|inlining procedure: k9406 
o|inlining procedure: k9436 
o|inlining procedure: k9436 
o|inlining procedure: k9465 
o|inlining procedure: k9465 
o|inlining procedure: k9509 
o|inlining procedure: k9509 
o|inlining procedure: k9530 
o|propagated global variable: r953132220 scheme#values 
o|inlining procedure: k9530 
o|inlining procedure: k9542 
o|propagated global variable: r954332222 chicken.base#identity 
o|inlining procedure: k9542 
o|inlining procedure: k9560 
o|inlining procedure: k9560 
o|inlining procedure: k9589 
o|inlining procedure: k9589 
o|inlining procedure: k9601 
o|inlining procedure: k9601 
o|inlining procedure: k9625 
o|inlining procedure: k9625 
o|inlining procedure: k9659 
o|inlining procedure: k9659 
o|inlining procedure: k9687 
o|inlining procedure: k9687 
o|inlining procedure: k9696 
o|inlining procedure: k9696 
o|inlining procedure: k9718 
o|inlining procedure: k9718 
o|inlining procedure: k9757 
o|inlining procedure: k9757 
o|inlining procedure: k9783 
o|inlining procedure: k9783 
o|inlining procedure: k9830 
o|inlining procedure: k9830 
o|inlining procedure: k9851 
o|inlining procedure: k9851 
o|inlining procedure: k9884 
o|inlining procedure: k9884 
o|inlining procedure: k9899 
o|inlining procedure: k9899 
o|inlining procedure: k9964 
o|inlining procedure: k9964 
o|inlining procedure: k9980 
o|propagated global variable: r998132254 scheme#assv 
o|inlining procedure: k9980 
o|inlining procedure: k10000 
o|inlining procedure: k10000 
o|inlining procedure: k10050 
o|inlining procedure: k10050 
o|inlining procedure: k10075 
o|inlining procedure: k10075 
o|inlining procedure: k10163 
o|inlining procedure: k10163 
o|inlining procedure: k10172 
o|propagated global variable: r1017332264 scheme#assv 
o|inlining procedure: k10172 
o|inlining procedure: k10192 
o|inlining procedure: k10192 
o|inlining procedure: k10210 
o|inlining procedure: k10210 
o|inlining procedure: k10269 
o|inlining procedure: k10269 
o|inlining procedure: k10402 
o|inlining procedure: k10402 
o|inlining procedure: k10411 
o|inlining procedure: k10411 
o|inlining procedure: k10423 
o|inlining procedure: k10423 
o|propagated global variable: r1042432277 ##sys#warnings-enabled 
o|inlining procedure: k10528 
o|inlining procedure: k10528 
o|inlining procedure: k10561 
o|inlining procedure: k10561 
o|inlining procedure: k10572 
o|inlining procedure: k10572 
o|inlining procedure: k10584 
o|inlining procedure: k10584 
o|inlining procedure: k10595 
o|inlining procedure: k10595 
o|inlining procedure: k10606 
o|inlining procedure: k10606 
o|inlining procedure: k10617 
o|inlining procedure: k10617 
o|inlining procedure: k10628 
o|inlining procedure: k10628 
o|inlining procedure: k10639 
o|inlining procedure: k10639 
o|inlining procedure: k10650 
o|inlining procedure: k10650 
o|inlining procedure: k10661 
o|inlining procedure: k10661 
o|inlining procedure: k10672 
o|inlining procedure: k10672 
o|inlining procedure: k10683 
o|inlining procedure: k10683 
o|inlining procedure: k10694 
o|inlining procedure: k10694 
o|inlining procedure: k10705 
o|inlining procedure: k10705 
o|inlining procedure: k10716 
o|inlining procedure: k10716 
o|inlining procedure: k10723 
o|inlining procedure: k10723 
o|inlining procedure: k10733 
o|inlining procedure: k10733 
o|inlining procedure: k10740 
o|inlining procedure: k10740 
o|inlining procedure: k10750 
o|inlining procedure: k10763 
o|inlining procedure: k10763 
o|inlining procedure: k10750 
o|inlining procedure: k10774 
o|inlining procedure: k10774 
o|inlining procedure: k10781 
o|inlining procedure: k10781 
o|inlining procedure: k10794 
o|inlining procedure: k10794 
o|inlining procedure: k10805 
o|inlining procedure: k10805 
o|inlining procedure: k10821 
o|inlining procedure: k10821 
o|inlining procedure: k10831 
o|inlining procedure: k10831 
o|inlining procedure: k10841 
o|inlining procedure: k10841 
o|inlining procedure: k10852 
o|inlining procedure: k10867 
o|inlining procedure: k10867 
o|inlining procedure: k10885 
o|inlining procedure: k10906 
o|inlining procedure: k10906 
o|inlining procedure: k10934 
o|inlining procedure: k10934 
o|inlining procedure: k10885 
o|inlining procedure: k10852 
o|inlining procedure: k11108 
o|inlining procedure: k11108 
o|inlining procedure: k11120 
o|inlining procedure: k11120 
o|inlining procedure: k11139 
o|inlining procedure: k11139 
o|inlining procedure: k11193 
o|inlining procedure: k11193 
o|contracted procedure: "(library.scm:1305) g14951496" 
o|contracted procedure: "(library.scm:1312) g15011502" 
o|inlining procedure: k11289 
o|inlining procedure: k11289 
o|inlining procedure: k11311 
o|inlining procedure: k11311 
o|inlining procedure: k11332 
o|inlining procedure: k11332 
o|inlining procedure: k11363 
o|inlining procedure: k11383 
o|inlining procedure: k11383 
o|inlining procedure: k11363 
o|inlining procedure: k11449 
o|inlining procedure: k11449 
o|inlining procedure: k11465 
o|inlining procedure: k11465 
o|inlining procedure: k11526 
o|inlining procedure: k11526 
o|inlining procedure: k11550 
o|inlining procedure: k11550 
o|inlining procedure: k11571 
o|inlining procedure: k11571 
o|inlining procedure: k11592 
o|inlining procedure: k11592 
o|inlining procedure: k11636 
o|inlining procedure: k11636 
o|inlining procedure: k11660 
o|inlining procedure: k11660 
o|inlining procedure: k11681 
o|inlining procedure: k11681 
o|inlining procedure: k11702 
o|inlining procedure: k11702 
o|inlining procedure: k11739 
o|inlining procedure: k11739 
o|inlining procedure: k11787 
o|inlining procedure: k11787 
o|inlining procedure: k11828 
o|inlining procedure: k11828 
o|inlining procedure: k11849 
o|inlining procedure: k11849 
o|contracted procedure: "(library.scm:1566) g17491750" 
o|inlining procedure: k11910 
o|inlining procedure: k11910 
o|contracted procedure: "(library.scm:1570) g17601761" 
o|inlining procedure: k11934 
o|inlining procedure: k11934 
o|contracted procedure: "(library.scm:1574) g17711772" 
o|inlining procedure: k11958 
o|inlining procedure: k11958 
o|contracted procedure: "(library.scm:1578) g17821783" 
o|inlining procedure: k11982 
o|inlining procedure: k11982 
o|contracted procedure: "(library.scm:1582) g17931794" 
o|inlining procedure: k12006 
o|inlining procedure: k12006 
o|contracted procedure: "(library.scm:1586) g18041805" 
o|inlining procedure: k12030 
o|inlining procedure: k12030 
o|contracted procedure: "(library.scm:1590) g18151816" 
o|inlining procedure: k12054 
o|inlining procedure: k12054 
o|contracted procedure: "(library.scm:1594) g18261827" 
o|inlining procedure: k12078 
o|inlining procedure: k12078 
o|contracted procedure: "(library.scm:1598) g18371838" 
o|inlining procedure: k12102 
o|inlining procedure: k12102 
o|contracted procedure: "(library.scm:1602) g18481849" 
o|inlining procedure: k12126 
o|inlining procedure: k12126 
o|contracted procedure: "(library.scm:1606) g18591860" 
o|inlining procedure: k12150 
o|inlining procedure: k12150 
o|contracted procedure: "(library.scm:1610) g18691870" 
o|inlining procedure: k12174 
o|inlining procedure: k12174 
o|contracted procedure: "(library.scm:1614) g18781879" 
o|inlining procedure: k12192 
o|inlining procedure: k12192 
o|contracted procedure: "(library.scm:1618) g18891890" 
o|inlining procedure: k12216 
o|inlining procedure: k12216 
o|contracted procedure: "(library.scm:1622) g18991900" 
o|inlining procedure: k12240 
o|inlining procedure: k12240 
o|contracted procedure: "(library.scm:1626) g19071908" 
o|inlining procedure: k12258 
o|inlining procedure: k12258 
o|contracted procedure: "(library.scm:1630) g19151916" 
o|inlining procedure: k12276 
o|inlining procedure: k12276 
o|contracted procedure: "(library.scm:1634) g19231924" 
o|inlining procedure: k12294 
o|inlining procedure: k12294 
o|contracted procedure: "(library.scm:1638) g19311932" 
o|inlining procedure: k12312 
o|inlining procedure: k12312 
o|contracted procedure: "(library.scm:1642) g19391940" 
o|inlining procedure: k12330 
o|inlining procedure: k12330 
o|contracted procedure: "(library.scm:1646) g19471948" 
o|inlining procedure: k12348 
o|inlining procedure: k12348 
o|contracted procedure: "(library.scm:1650) g19551956" 
o|inlining procedure: k12366 
o|inlining procedure: k12366 
o|contracted procedure: "(library.scm:1654) g19631964" 
o|inlining procedure: k12384 
o|inlining procedure: k12384 
o|contracted procedure: "(library.scm:1658) g19711972" 
o|inlining procedure: k12402 
o|inlining procedure: k12402 
o|contracted procedure: "(library.scm:1662) g19801981" 
o|inlining procedure: k12420 
o|inlining procedure: k12420 
o|contracted procedure: "(library.scm:1666) g19901991" 
o|inlining procedure: k12444 
o|inlining procedure: k12444 
o|contracted procedure: "(library.scm:1670) g19992000" 
o|inlining procedure: k12462 
o|inlining procedure: k12462 
o|contracted procedure: "(library.scm:1674) g20092010" 
o|inlining procedure: k12486 
o|inlining procedure: k12486 
o|contracted procedure: "(library.scm:1678) g20172018" 
o|inlining procedure: k12504 
o|inlining procedure: k12504 
o|contracted procedure: "(library.scm:1682) g20252026" 
o|inlining procedure: k12522 
o|inlining procedure: k12522 
o|contracted procedure: "(library.scm:1686) g20332034" 
o|inlining procedure: k12540 
o|inlining procedure: k12540 
o|inlining procedure: k12559 
o|inlining procedure: k12559 
o|inlining procedure: k12578 
o|inlining procedure: k12578 
o|inlining procedure: k12605 
o|inlining procedure: k12605 
o|inlining procedure: k12647 
o|contracted procedure: "(library.scm:1735) g21242125" 
o|inlining procedure: k12647 
o|inlining procedure: k12670 
o|contracted procedure: "(library.scm:1741) g21322133" 
o|inlining procedure: k12670 
o|inlining procedure: k12684 
o|inlining procedure: k12684 
o|inlining procedure: k12712 
o|contracted procedure: "(library.scm:1757) g21472148" 
o|contracted procedure: "(library.scm:1756) g21442145" 
o|inlining procedure: k12712 
o|inlining procedure: k12751 
o|inlining procedure: k12751 
o|contracted procedure: "(library.scm:1771) g21572158" 
o|inlining procedure: k12768 
o|contracted procedure: "(library.scm:1773) g21602161" 
o|contracted procedure: "(library.scm:1773) g21672168" 
o|contracted procedure: "(library.scm:1773) g21642165" 
o|inlining procedure: k12768 
o|contracted procedure: "(library.scm:1774) g21702171" 
o|inlining procedure: k12797 
o|inlining procedure: k12797 
o|inlining procedure: k12804 
o|inlining procedure: k12804 
o|inlining procedure: k12826 
o|contracted procedure: "(library.scm:1783) g21832184" 
o|inlining procedure: k12826 
o|inlining procedure: k12843 
o|inlining procedure: k12843 
o|inlining procedure: k12850 
o|inlining procedure: k12850 
o|inlining procedure: k12872 
o|contracted procedure: "(library.scm:1795) g21952196" 
o|inlining procedure: k12872 
o|inlining procedure: k12889 
o|contracted procedure: "(library.scm:1802) g22042205" 
o|inlining procedure: k12889 
o|inlining procedure: k13009 
o|inlining procedure: k13009 
o|inlining procedure: k13018 
o|contracted procedure: "(library.scm:1835) g22362237" 
o|inlining procedure: k13018 
o|contracted procedure: "(library.scm:1836) flonum->ratnum" 
o|inlining procedure: k12955 
o|contracted procedure: "(library.scm:1820) g22212222" 
o|inlining procedure: k12955 
o|contracted procedure: "(library.scm:1817) float-fraction-length2209" 
o|inlining procedure: k12930 
o|inlining procedure: k12930 
o|inlining procedure: k12979 
o|inlining procedure: k12979 
o|substituted constant variable: a13005 
o|inlining procedure: k13035 
o|contracted procedure: "(library.scm:1840) g22422243" 
o|contracted procedure: "(library.scm:1839) g22392240" 
o|inlining procedure: k13035 
o|inlining procedure: k13087 
o|inlining procedure: k13087 
o|inlining procedure: k13110 
o|inlining procedure: k13110 
o|inlining procedure: k13141 
o|contracted procedure: "(library.scm:1892) g22992300" 
o|contracted procedure: "(library.scm:1892) g22952296" 
o|contracted procedure: "(library.scm:1891) g22912292" 
o|inlining procedure: k13141 
o|inlining procedure: k13217 
o|inlining procedure: k13217 
o|inlining procedure: k13240 
o|contracted procedure: "(library.scm:1912) g23382339" 
o|contracted procedure: "(library.scm:1911) g23332334" 
o|contracted procedure: "(library.scm:1910) g23292330" 
o|contracted procedure: "(library.scm:1910) g23252326" 
o|contracted procedure: "(library.scm:1909) g23212322" 
o|contracted procedure: "(library.scm:1909) g23172318" 
o|inlining procedure: k13240 
o|contracted procedure: "(library.scm:1921) g23492350" 
o|contracted procedure: "(library.scm:1918) g23432344" 
o|inlining procedure: k13321 
o|contracted procedure: "(library.scm:1931) g23582359" 
o|contracted procedure: "(library.scm:1929) g23532354" 
o|inlining procedure: k13321 
o|inlining procedure: k13386 
o|inlining procedure: k13386 
o|inlining procedure: k13396 
o|substituted constant variable: a13418 
o|substituted constant variable: a13420 
o|contracted procedure: "(library.scm:1945) g23732374" 
o|contracted procedure: "(library.scm:1944) g23692370" 
o|inlining procedure: k13396 
o|inlining procedure: k13427 
o|inlining procedure: k13427 
o|inlining procedure: k13437 
o|substituted constant variable: a13459 
o|substituted constant variable: a13461 
o|contracted procedure: "(library.scm:1955) g23862387" 
o|contracted procedure: "(library.scm:1954) g23822383" 
o|inlining procedure: k13437 
o|inlining procedure: k13468 
o|inlining procedure: k13468 
o|inlining procedure: k13478 
o|contracted procedure: "(library.scm:1965) g23972398" 
o|contracted procedure: "(library.scm:1964) g23942395" 
o|inlining procedure: k13478 
o|inlining procedure: k13502 
o|inlining procedure: k13502 
o|inlining procedure: k13509 
o|substituted constant variable: a13532 
o|contracted procedure: "(library.scm:1974) g24062407" 
o|inlining procedure: k13509 
o|inlining procedure: k13551 
o|inlining procedure: k13551 
o|substituted constant variable: a13600 
o|inlining procedure: k13613 
o|inlining procedure: k13613 
o|inlining procedure: k13630 
o|inlining procedure: k13630 
o|inlining procedure: k13681 
o|inlining procedure: k13681 
o|contracted procedure: "(library.scm:2001) find-ratio" 
o|inlining procedure: k13713 
o|inlining procedure: k13713 
o|inlining procedure: k13756 
o|inlining procedure: k13756 
o|inlining procedure: k13792 
o|contracted procedure: "(library.scm:2034) g24692470" 
o|contracted procedure: "(library.scm:2033) g24652466" 
o|inlining procedure: k13792 
o|inlining procedure: k13831 
o|inlining procedure: k13831 
o|inlining procedure: k13877 
o|inlining procedure: k13877 
o|substituted constant variable: a13912 
o|inlining procedure: k13906 
o|inlining procedure: k13906 
o|substituted constant variable: a13942 
o|inlining procedure: k13936 
o|inlining procedure: k13936 
o|inlining procedure: k13966 
o|inlining procedure: k13966 
o|inlining procedure: k13991 
o|inlining procedure: k13991 
o|substituted constant variable: a14003 
o|substituted constant variable: a14010 
o|substituted constant variable: a14017 
o|inlining procedure: k14021 
o|inlining procedure: k14021 
o|inlining procedure: k14030 
o|substituted constant variable: a14037 
o|inlining procedure: k14030 
o|inlining procedure: k14044 
o|inlining procedure: k14044 
o|inlining procedure: k14061 
o|inlining procedure: k14061 
o|inlining procedure: k14070 
o|substituted constant variable: a14077 
o|inlining procedure: k14070 
o|inlining procedure: k14087 
o|substituted constant variable: a14099 
o|substituted constant variable: a14114 
o|substituted constant variable: a14117 
o|inlining procedure: k14087 
o|inlining procedure: k14139 
o|inlining procedure: k14157 
o|inlining procedure: k14157 
o|inlining procedure: k14175 
o|inlining procedure: k14175 
o|substituted constant variable: a14188 
o|substituted constant variable: a14190 
o|substituted constant variable: a14192 
o|substituted constant variable: a14197 
o|substituted constant variable: a14199 
o|inlining procedure: k14139 
o|substituted constant variable: a14230 
o|inlining procedure: k14274 
o|substituted constant variable: a14283 
o|substituted constant variable: a14291 
o|inlining procedure: k14274 
o|inlining procedure: k14323 
o|inlining procedure: k14323 
o|inlining procedure: k14370 
o|inlining procedure: k14386 
o|inlining procedure: k14386 
o|inlining procedure: k14370 
o|contracted procedure: "(library.scm:2175) g26112612" 
o|inlining procedure: k14420 
o|contracted procedure: "(library.scm:2178) g26162617" 
o|inlining procedure: k14444 
o|inlining procedure: k14444 
o|inlining procedure: k14420 
o|inlining procedure: k14492 
o|inlining procedure: k14492 
o|substituted constant variable: a14515 
o|substituted constant variable: a14523 
o|inlining procedure: k14542 
o|inlining procedure: k14542 
o|inlining procedure: k14587 
o|inlining procedure: k14587 
o|inlining procedure: k14601 
o|contracted procedure: "(library.scm:2220) g26492650" 
o|inlining procedure: k14601 
o|inlining procedure: k14624 
o|inlining procedure: k14624 
o|contracted procedure: "(library.scm:2225) square2647" 
o|substituted constant variable: a14655 
o|inlining procedure: k14674 
o|inlining procedure: k14674 
o|inlining procedure: k14692 
o|inlining procedure: k14692 
o|inlining procedure: k14710 
o|contracted procedure: "(library.scm:2245) g26772678" 
o|contracted procedure: "(library.scm:2244) g26742675" 
o|inlining procedure: k14710 
o|inlining procedure: k14744 
o|contracted procedure: "(library.scm:2254) g26842685" 
o|inlining procedure: k14779 
o|contracted procedure: "(library.scm:2256) g26892690" 
o|inlining procedure: k14779 
o|inlining procedure: k14744 
o|inlining procedure: k14813 
o|inlining procedure: k14813 
o|inlining procedure: k14831 
o|inlining procedure: k14831 
o|inlining procedure: k14850 
o|inlining procedure: k14850 
o|inlining procedure: k14887 
o|inlining procedure: k14887 
o|inlining procedure: k14919 
o|contracted procedure: "(library.scm:2282) g27142715" 
o|inlining procedure: k14932 
o|contracted procedure: "(library.scm:2285) g27192720" 
o|inlining procedure: k14932 
o|inlining procedure: k14919 
o|inlining procedure: k14960 
o|inlining procedure: k14960 
o|contracted procedure: "(library.scm:2292) g27282729" 
o|inlining procedure: k14995 
o|inlining procedure: k14995 
o|inlining procedure: k15015 
o|inlining procedure: k15015 
o|inlining procedure: k15057 
o|inlining procedure: k15057 
o|inlining procedure: k15077 
o|inlining procedure: k15077 
o|substituted constant variable: a15147 
o|inlining procedure: k15165 
o|contracted procedure: "(library.scm:2348) g27942795" 
o|contracted procedure: "(library.scm:2346) g27912792" 
o|inlining procedure: k15165 
o|inlining procedure: k15229 
o|inlining procedure: k15229 
o|contracted procedure: "(library.scm:2352) g28022803" 
o|contracted procedure: "(library.scm:2351) g27992800" 
o|inlining procedure: k15339 
o|inlining procedure: k15339 
o|substituted constant variable: a15365 
o|contracted procedure: "(library.scm:2390) g28322833" 
o|inlining procedure: k15375 
o|inlining procedure: k15375 
o|inlining procedure: k15385 
o|substituted constant variable: a15398 
o|inlining procedure: k15394 
o|inlining procedure: k15405 
o|inlining procedure: k15405 
o|substituted constant variable: a15413 
o|inlining procedure: k15394 
o|inlining procedure: k15422 
o|inlining procedure: k15422 
o|inlining procedure: k15428 
o|contracted procedure: "(library.scm:2411) mantexp->dbl" 
o|inlining procedure: k15242 
o|inlining procedure: k15242 
o|contracted procedure: "(library.scm:2382) ldexp" 
o|substituted constant variable: a15295 
o|propagated global variable: a15298 chicken.flonum#flonum-precision 
o|inlining procedure: k15428 
o|inlining procedure: k15385 
o|inlining procedure: k15465 
o|inlining procedure: k15465 
o|inlining procedure: k15491 
o|inlining procedure: k15491 
o|inlining procedure: k15518 
o|inlining procedure: k15518 
o|inlining procedure: k15546 
o|inlining procedure: k15546 
o|substituted constant variable: a15553 
o|substituted constant variable: a15557 
o|substituted constant variable: a15564 
o|contracted procedure: "(library.scm:2433) g28702871" 
o|inlining procedure: k15573 
o|inlining procedure: k15573 
o|inlining procedure: k15606 
o|inlining procedure: k15606 
o|contracted procedure: "(library.scm:2448) g28932894" 
o|inlining procedure: k15626 
o|inlining procedure: k15626 
o|inlining procedure: k15648 
o|inlining procedure: k15648 
o|inlining procedure: k15659 
o|inlining procedure: k15659 
o|inlining procedure: k15673 
o|inlining procedure: k15696 
o|inlining procedure: k15696 
o|inlining procedure: k15722 
o|inlining procedure: k15722 
o|substituted constant variable: a15729 
o|substituted constant variable: a15731 
o|contracted procedure: "(library.scm:2470) g29292930" 
o|inlining procedure: k15673 
o|inlining procedure: k15734 
o|inlining procedure: k15755 
o|inlining procedure: k15773 
o|inlining procedure: k15785 
o|inlining procedure: k15801 
o|inlining procedure: k15801 
o|inlining procedure: k15785 
o|inlining procedure: k15773 
o|inlining procedure: k15755 
o|inlining procedure: k15845 
o|inlining procedure: k15845 
o|inlining procedure: k15859 
o|inlining procedure: k15859 
o|inlining procedure: k15871 
o|inlining procedure: k15871 
o|inlining procedure: k15883 
o|inlining procedure: k15883 
o|inlining procedure: k15895 
o|inlining procedure: k15895 
o|substituted constant variable: a15908 
o|substituted constant variable: a15910 
o|substituted constant variable: a15912 
o|substituted constant variable: a15914 
o|substituted constant variable: a15916 
o|substituted constant variable: a15918 
o|substituted constant variable: a15920 
o|substituted constant variable: a15922 
o|substituted constant variable: a15924 
o|substituted constant variable: a15926 
o|contracted procedure: "(library.scm:2486) g29582959" 
o|inlining procedure: k15935 
o|inlining procedure: k15935 
o|inlining procedure: k15734 
o|inlining procedure: k15946 
o|inlining procedure: k15946 
o|inlining procedure: k15971 
o|inlining procedure: k15986 
o|inlining procedure: k15986 
o|inlining procedure: k15971 
o|inlining procedure: k16026 
o|inlining procedure: k16038 
o|inlining procedure: k16048 
o|inlining procedure: k16048 
o|inlining procedure: k16038 
o|inlining procedure: k16026 
o|inlining procedure: k16068 
o|inlining procedure: k16084 
o|inlining procedure: k16094 
o|inlining procedure: k16112 
o|inlining procedure: k16132 
o|inlining procedure: "(library.scm:2539) make-nan2845" 
o|inlining procedure: k16132 
o|substituted constant variable: a16159 
o|substituted constant variable: a16161 
o|substituted constant variable: a16163 
o|inlining procedure: k16112 
o|inlining procedure: k16094 
o|inlining procedure: k16084 
o|inlining procedure: k16068 
o|substituted constant variable: a16181 
o|inlining procedure: k16185 
o|inlining procedure: k16185 
o|inlining procedure: k16197 
o|inlining procedure: k16197 
o|inlining procedure: k16209 
o|inlining procedure: k16209 
o|inlining procedure: k16221 
o|inlining procedure: k16221 
o|substituted constant variable: a16234 
o|substituted constant variable: a16236 
o|substituted constant variable: a16238 
o|substituted constant variable: a16240 
o|substituted constant variable: a16242 
o|substituted constant variable: a16244 
o|substituted constant variable: a16246 
o|substituted constant variable: a16248 
o|substituted constant variable: a16250 
o|substituted constant variable: a16252 
o|substituted constant variable: a16254 
o|contracted procedure: "(library.scm:2511) g30323033" 
o|inlining procedure: k16268 
o|contracted procedure: "(library.scm:2506) g30193020" 
o|inlining procedure: k16268 
o|inlining procedure: k16289 
o|inlining procedure: k16317 
o|inlining procedure: k16339 
o|inlining procedure: k16349 
o|inlining procedure: k16349 
o|inlining procedure: k16339 
o|inlining procedure: k16372 
o|inlining procedure: k16372 
o|inlining procedure: k16317 
o|inlining procedure: k16422 
o|inlining procedure: k16422 
o|inlining procedure: k16432 
o|inlining procedure: k16455 
o|inlining procedure: k16455 
o|inlining procedure: "(library.scm:2568) make-nan2845" 
o|inlining procedure: k16432 
o|substituted constant variable: a16491 
o|substituted constant variable: a16493 
o|substituted constant variable: a16498 
o|substituted constant variable: a16500 
o|contracted procedure: "(library.scm:2549) g31133114" 
o|inlining procedure: k16507 
o|inlining procedure: k16507 
o|substituted constant variable: a16514 
o|substituted constant variable: a16516 
o|contracted procedure: "(library.scm:2545) g31013102" 
o|inlining procedure: k16289 
o|inlining procedure: k16523 
o|inlining procedure: k16535 
o|inlining procedure: k16535 
o|inlining procedure: k16523 
o|inlining procedure: k16542 
o|inlining procedure: k16542 
o|inlining procedure: k16558 
o|contracted procedure: "(library.scm:2578) g31673168" 
o|contracted procedure: "(library.scm:2577) g31633164" 
o|inlining procedure: k16558 
o|inlining procedure: k16599 
o|inlining procedure: k16618 
o|inlining procedure: k16633 
o|inlining procedure: k16633 
o|contracted procedure: "(library.scm:2586) g31913192" 
o|contracted procedure: "(library.scm:2585) g31873188" 
o|inlining procedure: k16618 
o|inlining procedure: k16599 
o|inlining procedure: k16680 
o|inlining procedure: k16680 
o|substituted constant variable: a16707 
o|substituted constant variable: a16712 
o|substituted constant variable: a16714 
o|substituted constant variable: a16719 
o|substituted constant variable: a16721 
o|substituted constant variable: a16723 
o|contracted procedure: "(library.scm:2574) g31513152" 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|inlining procedure: k16792 
o|inlining procedure: k16812 
o|inlining procedure: k16812 
o|inlining procedure: k16825 
o|inlining procedure: k16825 
o|inlining procedure: k16856 
o|inlining procedure: k16856 
o|inlining procedure: k16869 
o|inlining procedure: k16869 
o|inlining procedure: k16900 
o|inlining procedure: k16900 
o|inlining procedure: k16913 
o|inlining procedure: k16913 
o|substituted constant variable: a16939 
o|substituted constant variable: a16941 
o|substituted constant variable: a16946 
o|substituted constant variable: a16948 
o|substituted constant variable: a16953 
o|substituted constant variable: a16955 
o|substituted constant variable: a16960 
o|substituted constant variable: a16962 
o|substituted constant variable: a16967 
o|substituted constant variable: a16969 
o|substituted constant variable: a16974 
o|substituted constant variable: a16976 
o|contracted procedure: "(library.scm:2610) g32383239" 
o|inlining procedure: k16792 
o|inlining procedure: k16985 
o|inlining procedure: k16985 
o|contracted procedure: "(library.scm:2609) g32283229" 
o|inlining procedure: k17010 
o|inlining procedure: k17010 
o|inlining procedure: k17083 
o|inlining procedure: k17104 
o|inlining procedure: k17104 
o|inlining procedure: k17083 
o|inlining procedure: k17148 
o|inlining procedure: k17148 
o|inlining procedure: k17157 
o|inlining procedure: k17157 
o|inlining procedure: k17168 
o|inlining procedure: k17168 
o|inlining procedure: k17180 
o|inlining procedure: k17180 
o|inlining procedure: k17189 
o|inlining procedure: k17189 
o|inlining procedure: k17198 
o|inlining procedure: k17207 
o|inlining procedure: k17207 
o|inlining procedure: k17198 
o|inlining procedure: k17259 
o|inlining procedure: k17259 
o|inlining procedure: k17271 
o|inlining procedure: k17271 
o|inlining procedure: k17292 
o|inlining procedure: k17292 
o|inlining procedure: k17310 
o|inlining procedure: k17310 
o|inlining procedure: k17336 
o|inlining procedure: k17336 
o|inlining procedure: k17348 
o|inlining procedure: k17348 
o|inlining procedure: k17372 
o|inlining procedure: k17372 
o|inlining procedure: k17453 
o|inlining procedure: k17453 
o|inlining procedure: "(library.scm:2756) err3381" 
o|inlining procedure: k17459 
o|inlining procedure: k17459 
o|inlining procedure: "(library.scm:2755) err3381" 
o|inlining procedure: k17499 
o|contracted procedure: "(library.scm:2765) g34053414" 
o|inlining procedure: k17499 
o|inlining procedure: k17533 
o|inlining procedure: k17533 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k17563 
o|inlining procedure: k17563 
o|inlining procedure: k17587 
o|inlining procedure: k17587 
o|inlining procedure: k17624 
o|inlining procedure: k17624 
o|inlining procedure: k17672 
o|inlining procedure: k17672 
o|inlining procedure: k17696 
o|inlining procedure: k17696 
o|inlining procedure: k17715 
o|inlining procedure: k17715 
o|inlining procedure: k17736 
o|inlining procedure: k17736 
o|inlining procedure: k17776 
o|inlining procedure: k17776 
o|inlining procedure: k17815 
o|inlining procedure: k17815 
o|inlining procedure: k17861 
o|inlining procedure: k17861 
o|inlining procedure: k17933 
o|inlining procedure: k17933 
o|inlining procedure: k18007 
o|inlining procedure: k18007 
o|inlining procedure: k18109 
o|inlining procedure: k18109 
o|inlining procedure: k18140 
o|inlining procedure: k18140 
o|inlining procedure: k18170 
o|inlining procedure: k18170 
o|inlining procedure: k18240 
o|inlining procedure: k18240 
o|inlining procedure: k18304 
o|inlining procedure: k18304 
o|inlining procedure: k18342 
o|inlining procedure: k18342 
o|inlining procedure: k18378 
o|inlining procedure: k18378 
o|inlining procedure: k18396 
o|inlining procedure: k18396 
o|inlining procedure: k18422 
o|inlining procedure: k18422 
o|inlining procedure: k18440 
o|inlining procedure: k18440 
o|inlining procedure: k18476 
o|inlining procedure: k18491 
o|inlining procedure: k18491 
o|inlining procedure: k18476 
o|inlining procedure: k18524 
o|inlining procedure: k18524 
o|inlining procedure: k18562 
o|inlining procedure: k18580 
o|inlining procedure: k18580 
o|inlining procedure: k18562 
o|inlining procedure: k18624 
o|inlining procedure: k18624 
o|inlining procedure: k18709 
o|inlining procedure: k18709 
o|inlining procedure: k18743 
o|inlining procedure: k18743 
o|inlining procedure: k18798 
o|inlining procedure: k18798 
o|substituted constant variable: a18805 
o|substituted constant variable: a18810 
o|inlining procedure: k18877 
o|inlining procedure: k18877 
o|inlining procedure: k18888 
o|inlining procedure: k18888 
o|inlining procedure: k18899 
o|inlining procedure: k18899 
o|inlining procedure: k18910 
o|inlining procedure: k18910 
o|inlining procedure: k18921 
o|propagated global variable: r1892232936 ##sys#standard-input 
o|removed unused formal parameters: (convert?3940) 
o|inlining procedure: k18936 
o|inlining procedure: k18936 
o|removed unused parameter to known procedure: convert?3940 "(library.scm:3342) body39303939" 
o|inlining procedure: k18921 
o|inlining procedure: k18963 
o|inlining procedure: k18963 
o|removed unused parameter to known procedure: convert?3940 "(library.scm:3342) body39303939" 
o|inlining procedure: k18982 
o|propagated global variable: r1898332942 ##sys#standard-output 
o|removed unused formal parameters: (convert?3965) 
o|inlining procedure: k18997 
o|inlining procedure: k18997 
o|removed unused parameter to known procedure: convert?3965 "(library.scm:3352) body39553964" 
o|inlining procedure: k18982 
o|inlining procedure: k19024 
o|inlining procedure: k19024 
o|removed unused parameter to known procedure: convert?3965 "(library.scm:3352) body39553964" 
o|inlining procedure: k19043 
o|propagated global variable: r1904432948 ##sys#standard-error 
o|removed unused formal parameters: (convert?3990) 
o|inlining procedure: k19058 
o|inlining procedure: k19058 
o|removed unused parameter to known procedure: convert?3990 "(library.scm:3362) body39803989" 
o|inlining procedure: k19043 
o|inlining procedure: k19085 
o|inlining procedure: k19085 
o|removed unused parameter to known procedure: convert?3990 "(library.scm:3362) body39803989" 
o|inlining procedure: k19104 
o|inlining procedure: k19104 
o|inlining procedure: k19142 
o|inlining procedure: k19142 
o|inlining procedure: k19167 
o|inlining procedure: k19167 
o|inlining procedure: k19173 
o|inlining procedure: k19173 
o|inlining procedure: k19196 
o|inlining procedure: k19196 
o|inlining procedure: k19209 
o|inlining procedure: k19209 
o|substituted constant variable: a19220 
o|substituted constant variable: a19222 
o|substituted constant variable: a19224 
o|inlining procedure: k19234 
o|inlining procedure: k19234 
o|inlining procedure: k19409 
o|inlining procedure: k19409 
o|substituted constant variable: a19425 
o|substituted constant variable: a19427 
o|substituted constant variable: a19448 
o|substituted constant variable: a19449 
o|inlining procedure: k19462 
o|inlining procedure: k19462 
o|inlining procedure: k19484 
o|inlining procedure: k19497 
o|inlining procedure: k19497 
o|inlining procedure: k19484 
o|inlining procedure: k19556 
o|inlining procedure: k19556 
o|inlining procedure: k19594 
o|inlining procedure: k19594 
o|inlining procedure: k19628 
o|inlining procedure: k19628 
o|inlining procedure: k19669 
o|inlining procedure: k19669 
o|inlining procedure: k19688 
o|inlining procedure: k19688 
o|inlining procedure: k19816 
o|inlining procedure: k19816 
o|inlining procedure: k19855 
o|inlining procedure: k19894 
o|inlining procedure: k19894 
o|inlining procedure: k19855 
o|inlining procedure: k19922 
o|inlining procedure: k19922 
o|substituted constant variable: a19970 
o|substituted constant variable: a19971 
o|substituted constant variable: a19995 
o|substituted constant variable: a19996 
o|inlining procedure: k20012 
o|inlining procedure: k20012 
o|substituted constant variable: a20070 
o|substituted constant variable: a20071 
o|inlining procedure: k20078 
o|inlining procedure: k20078 
o|substituted constant variable: a20107 
o|substituted constant variable: a20108 
o|substituted constant variable: a20125 
o|substituted constant variable: a20126 
o|inlining procedure: k20181 
o|inlining procedure: k20181 
o|inlining procedure: k20204 
o|inlining procedure: k20204 
o|inlining procedure: k20247 
o|inlining procedure: k20247 
o|inlining procedure: k20266 
o|inlining procedure: k20266 
o|inlining procedure: k20305 
o|inlining procedure: k20305 
o|inlining procedure: k20330 
o|inlining procedure: k20330 
o|inlining procedure: k20349 
o|inlining procedure: k20349 
o|inlining procedure: k20374 
o|inlining procedure: k20374 
o|inlining procedure: k20440 
o|inlining procedure: k20440 
o|inlining procedure: k20475 
o|inlining procedure: k20475 
o|inlining procedure: k20491 
o|inlining procedure: k20491 
o|inlining procedure: k20525 
o|inlining procedure: k20525 
o|inlining procedure: k20559 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|inlining procedure: k20559 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|inlining procedure: k20601 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|inlining procedure: k20601 
o|inlining procedure: k20646 
o|inlining procedure: k20661 
o|inlining procedure: k20661 
o|substituted constant variable: a20699 
o|substituted constant variable: a20704 
o|inlining procedure: k20646 
o|inlining procedure: k20729 
o|inlining procedure: k20729 
o|inlining procedure: k20749 
o|inlining procedure: k20749 
o|inlining procedure: k20784 
o|inlining procedure: k20784 
o|inlining procedure: k20806 
o|inlining procedure: k20806 
o|inlining procedure: k20831 
o|inlining procedure: k20831 
o|substituted constant variable: a20860 
o|substituted constant variable: a20862 
o|substituted constant variable: a20867 
o|substituted constant variable: a20869 
o|inlining procedure: k20870 
o|inlining procedure: k20870 
o|inlining procedure: k20933 
o|inlining procedure: k20933 
o|inlining procedure: k20945 
o|inlining procedure: k20945 
o|substituted constant variable: a20958 
o|substituted constant variable: a20960 
o|substituted constant variable: a20962 
o|substituted constant variable: a20964 
o|inlining procedure: k20968 
o|inlining procedure: k20968 
o|substituted constant variable: a20981 
o|substituted constant variable: a20983 
o|substituted constant variable: a20985 
o|substituted constant variable: a20987 
o|substituted constant variable: a20989 
o|substituted constant variable: a20991 
o|substituted constant variable: a20993 
o|substituted constant variable: a20995 
o|substituted constant variable: a20997 
o|substituted constant variable: a20999 
o|substituted constant variable: a21001 
o|substituted constant variable: a21003 
o|substituted constant variable: a21005 
o|substituted constant variable: a21007 
o|inlining procedure: k21008 
o|inlining procedure: k21008 
o|inlining procedure: k21040 
o|inlining procedure: k21040 
o|inlining procedure: k21031 
o|inlining procedure: k21073 
o|inlining procedure: k21073 
o|inlining procedure: k21104 
o|inlining procedure: k21104 
o|inlining procedure: k21123 
o|inlining procedure: k21156 
o|inlining procedure: k21156 
o|inlining procedure: k21198 
o|inlining procedure: k21198 
o|inlining procedure: k21214 
o|inlining procedure: k21214 
o|inlining procedure: "(library.scm:3968) build-symbol4465" 
o|inlining procedure: k21244 
o|inlining procedure: k21244 
o|inlining procedure: k21256 
o|inlining procedure: k21256 
o|inlining procedure: k21123 
o|inlining procedure: k21031 
o|inlining procedure: k21296 
o|inlining procedure: k21296 
o|inlining procedure: k21317 
o|inlining procedure: k21317 
o|inlining procedure: k21339 
o|inlining procedure: k21339 
o|inlining procedure: k21354 
o|inlining procedure: k21354 
o|inlining procedure: "(library.scm:4004) build-symbol4465" 
o|inlining procedure: k21364 
o|inlining procedure: k21364 
o|substituted constant variable: a21372 
o|substituted constant variable: a21373 
o|inlining procedure: k21381 
o|inlining procedure: k21402 
o|inlining procedure: k21402 
o|substituted constant variable: a21415 
o|inlining procedure: k21381 
o|inlining procedure: k21432 
o|inlining procedure: k21453 
o|inlining procedure: k21453 
o|substituted constant variable: a21466 
o|substituted constant variable: a21474 
o|inlining procedure: k21470 
o|inlining procedure: k21470 
o|substituted constant variable: a21482 
o|inlining procedure: k21432 
o|inlining procedure: k21509 
o|inlining procedure: k21509 
o|inlining procedure: k21545 
o|inlining procedure: k21545 
o|inlining procedure: k21554 
o|inlining procedure: k21554 
o|inlining procedure: k21573 
o|inlining procedure: k21573 
o|inlining procedure: "(library.scm:4056) build-symbol4465" 
o|inlining procedure: k21643 
o|inlining procedure: k21677 
o|inlining procedure: k21677 
o|inlining procedure: k21687 
o|inlining procedure: k21687 
o|inlining procedure: k21643 
o|inlining procedure: k21716 
o|inlining procedure: k21716 
o|inlining procedure: k21760 
o|inlining procedure: k21760 
o|inlining procedure: k21798 
o|inlining procedure: k21798 
o|inlining procedure: k21822 
o|inlining procedure: k21822 
o|substituted constant variable: a21829 
o|substituted constant variable: a21831 
o|substituted constant variable: a21833 
o|substituted constant variable: a21835 
o|inlining procedure: k21839 
o|inlining procedure: k21839 
o|inlining procedure: k21857 
o|contracted procedure: "(library.scm:4110) g47544755" 
o|inlining procedure: k21886 
o|inlining procedure: k21886 
o|inlining procedure: k21905 
o|inlining procedure: k21923 
o|inlining procedure: k21939 
o|inlining procedure: k21939 
o|inlining procedure: k21923 
o|inlining procedure: k21905 
o|substituted constant variable: a22038 
o|inlining procedure: k22040 
o|inlining procedure: k22040 
o|substituted constant variable: a22043 
o|inlining procedure: k21857 
o|inlining procedure: k22066 
o|inlining procedure: k22078 
o|inlining procedure: k22078 
o|inlining procedure: k22066 
o|inlining procedure: k22112 
o|inlining procedure: k22112 
o|inlining procedure: k22125 
o|inlining procedure: k22125 
o|substituted constant variable: a22138 
o|substituted constant variable: a22140 
o|inlining procedure: k22162 
o|inlining procedure: k22162 
o|folded constant expression: (scheme#char->integer (quote #\#)) 
o|inlining procedure: k22259 
o|inlining procedure: k22274 
o|inlining procedure: k22274 
o|inlining procedure: k22259 
o|inlining procedure: k22302 
o|inlining procedure: k22302 
o|inlining procedure: k22327 
o|inlining procedure: k22327 
o|inlining procedure: k22354 
o|inlining procedure: k22375 
o|inlining procedure: k22402 
o|inlining procedure: k22417 
o|inlining procedure: k22417 
o|inlining procedure: k22402 
o|inlining procedure: k22453 
o|inlining procedure: k22453 
o|inlining procedure: k22375 
o|inlining procedure: k22488 
o|inlining procedure: k22488 
o|inlining procedure: k22503 
o|inlining procedure: k22503 
o|inlining procedure: k22527 
o|inlining procedure: k22527 
o|inlining procedure: k22551 
o|inlining procedure: k22551 
o|inlining procedure: k22575 
o|inlining procedure: k22615 
o|inlining procedure: k22615 
o|inlining procedure: k22575 
o|inlining procedure: k22639 
o|inlining procedure: k22639 
o|inlining procedure: k22666 
o|inlining procedure: k22666 
o|inlining procedure: k22693 
o|inlining procedure: k22693 
o|inlining procedure: k22721 
o|inlining procedure: k22721 
o|inlining procedure: k22740 
o|inlining procedure: k22769 
o|inlining procedure: k22769 
o|inlining procedure: k22740 
o|inlining procedure: k22823 
o|inlining procedure: k22850 
o|inlining procedure: k22850 
o|inlining procedure: "(library.scm:4311) build-symbol4465" 
o|inlining procedure: k22872 
o|inlining procedure: k22872 
o|inlining procedure: k22894 
o|inlining procedure: k22894 
o|substituted constant variable: a22897 
o|inlining procedure: k22823 
o|inlining procedure: k22911 
o|inlining procedure: k22911 
o|substituted constant variable: a22924 
o|substituted constant variable: a22926 
o|substituted constant variable: a22928 
o|substituted constant variable: a22930 
o|substituted constant variable: a22932 
o|substituted constant variable: a22934 
o|substituted constant variable: a22936 
o|substituted constant variable: a22938 
o|substituted constant variable: a22940 
o|substituted constant variable: a22942 
o|substituted constant variable: a22944 
o|substituted constant variable: a22946 
o|substituted constant variable: a22948 
o|substituted constant variable: a22950 
o|substituted constant variable: a22952 
o|substituted constant variable: a22954 
o|substituted constant variable: a22956 
o|inlining procedure: k22354 
o|inlining procedure: k22973 
o|inlining procedure: k22973 
o|inlining procedure: k22997 
o|inlining procedure: k22997 
o|inlining procedure: k23018 
o|inlining procedure: k23018 
o|inlining procedure: k23033 
o|inlining procedure: k23033 
o|inlining procedure: k23051 
o|inlining procedure: k23051 
o|substituted constant variable: a23082 
o|substituted constant variable: a23084 
o|substituted constant variable: a23086 
o|substituted constant variable: a23088 
o|substituted constant variable: a23093 
o|substituted constant variable: a23095 
o|substituted constant variable: a23097 
o|substituted constant variable: a23099 
o|substituted constant variable: a23101 
o|substituted constant variable: a23103 
o|substituted constant variable: a23105 
o|substituted constant variable: a23107 
o|substituted constant variable: a23109 
o|substituted constant variable: a23111 
o|inlining procedure: k23115 
o|inlining procedure: k23115 
o|inlining procedure: k23134 
o|inlining procedure: k23134 
o|inlining procedure: k23152 
o|inlining procedure: k23152 
o|inlining procedure: k23194 
o|inlining procedure: k23194 
o|inlining procedure: k23314 
o|inlining procedure: k23314 
o|inlining procedure: k23326 
o|inlining procedure: k23338 
o|inlining procedure: k23338 
o|inlining procedure: k23326 
o|inlining procedure: k23394 
o|inlining procedure: k23394 
o|substituted constant variable: a23424 
o|substituted constant variable: a23426 
o|substituted constant variable: a23428 
o|substituted constant variable: a23430 
o|inlining procedure: k23440 
o|inlining procedure: k23440 
o|inlining procedure: k23459 
o|inlining procedure: k23459 
o|inlining procedure: k23473 
o|inlining procedure: k23473 
o|inlining procedure: k23536 
o|inlining procedure: k23536 
o|substituted constant variable: a23567 
o|substituted constant variable: a23569 
o|substituted constant variable: a23574 
o|substituted constant variable: a23576 
o|substituted constant variable: a23598 
o|substituted constant variable: a23599 
o|substituted constant variable: a23616 
o|substituted constant variable: a23617 
o|inlining procedure: k23630 
o|propagated global variable: r2363133276 ##sys#standard-output 
o|inlining procedure: k23630 
o|substituted constant variable: a23649 
o|substituted constant variable: a23650 
o|substituted constant variable: a23667 
o|substituted constant variable: a23668 
o|propagated global variable: a23681 ##sys#standard-output 
o|substituted constant variable: a23682 
o|substituted constant variable: a23683 
o|contracted procedure: "(library.scm:4461) g50945095" 
o|inlining procedure: k23700 
o|contracted procedure: "(library.scm:4456) g51005107" 
o|propagated global variable: g51155116 ##sys#print 
o|inlining procedure: k23700 
o|propagated global variable: a23732 ##sys#standard-output 
o|substituted constant variable: a23733 
o|substituted constant variable: a23734 
o|contracted procedure: "(library.scm:4468) g51265127" 
o|inlining procedure: k23751 
o|contracted procedure: "(library.scm:4456) g51325139" 
o|propagated global variable: g51475148 ##sys#print 
o|inlining procedure: k23751 
o|substituted constant variable: a23796 
o|substituted constant variable: a23797 
o|inlining procedure: k23810 
o|inlining procedure: k23810 
o|inlining procedure: k23901 
o|inlining procedure: k23901 
o|inlining procedure: k23933 
o|inlining procedure: k23933 
o|substituted constant variable: special-characters5169 
o|inlining procedure: k23945 
o|inlining procedure: k23945 
o|inlining procedure: k23978 
o|inlining procedure: k23978 
o|substituted constant variable: a24051 
o|inlining procedure: k24058 
o|inlining procedure: k24058 
o|inlining procedure: k24070 
o|inlining procedure: k24070 
o|inlining procedure: k24085 
o|inlining procedure: k24085 
o|inlining procedure: k24104 
o|inlining procedure: k24126 
o|inlining procedure: k24126 
o|inlining procedure: k24149 
o|inlining procedure: k24149 
o|inlining procedure: k24158 
o|inlining procedure: k24158 
o|inlining procedure: k24104 
o|inlining procedure: k24176 
o|inlining procedure: k24201 
o|inlining procedure: k24201 
o|inlining procedure: k24176 
o|inlining procedure: k24239 
o|inlining procedure: k24239 
o|inlining procedure: k24257 
o|inlining procedure: k24257 
o|inlining procedure: k24272 
o|inlining procedure: k24272 
o|inlining procedure: k24281 
o|inlining procedure: k24308 
o|inlining procedure: k24308 
o|inlining procedure: k24281 
o|inlining procedure: k24336 
o|inlining procedure: k24336 
o|inlining procedure: k24352 
o|inlining procedure: k24352 
o|inlining procedure: k24367 
o|inlining procedure: k24376 
o|inlining procedure: k24376 
o|substituted constant variable: a24407 
o|substituted constant variable: a24409 
o|inlining procedure: k24413 
o|inlining procedure: k24413 
o|inlining procedure: k24367 
o|inlining procedure: k24442 
o|inlining procedure: k24442 
o|inlining procedure: k24455 
o|inlining procedure: k24468 
o|inlining procedure: k24468 
o|inlining procedure: k24497 
o|inlining procedure: k24497 
o|inlining procedure: k24518 
o|inlining procedure: k24518 
o|inlining procedure: k24536 
o|inlining procedure: k24536 
o|inlining procedure: k24554 
o|inlining procedure: k24554 
o|inlining procedure: k24572 
o|inlining procedure: k24572 
o|substituted constant variable: a24601 
o|substituted constant variable: a24603 
o|substituted constant variable: a24605 
o|substituted constant variable: a24607 
o|substituted constant variable: a24609 
o|substituted constant variable: a24611 
o|substituted constant variable: a24613 
o|substituted constant variable: a24622 
o|substituted constant variable: a24624 
o|inlining procedure: k24455 
o|inlining procedure: k24628 
o|inlining procedure: k24647 
o|inlining procedure: k24647 
o|inlining procedure: k24628 
o|inlining procedure: k24719 
o|inlining procedure: k24719 
o|inlining procedure: k24751 
o|inlining procedure: k24751 
o|inlining procedure: k24767 
o|inlining procedure: k24767 
o|inlining procedure: k24789 
o|inlining procedure: k24814 
o|inlining procedure: k24814 
o|substituted constant variable: a24827 
o|substituted constant variable: a24829 
o|inlining procedure: k24789 
o|inlining procedure: k24833 
o|inlining procedure: k24833 
o|inlining procedure: k24858 
o|inlining procedure: k24858 
o|inlining procedure: k24902 
o|inlining procedure: k24902 
o|inlining procedure: k24919 
o|inlining procedure: k24919 
o|inlining procedure: k24942 
o|inlining procedure: k24972 
o|inlining procedure: k24972 
o|inlining procedure: k24942 
o|inlining procedure: k25060 
o|inlining procedure: k25060 
o|substituted constant variable: a25077 
o|substituted constant variable: a25079 
o|substituted constant variable: saved547154725484 
o|inlining procedure: k25184 
o|inlining procedure: k25184 
o|inlining procedure: k25251 
o|inlining procedure: k25272 
o|inlining procedure: k25272 
o|inlining procedure: k25251 
o|inlining procedure: k25298 
o|inlining procedure: k25298 
o|inlining procedure: k25336 
o|inlining procedure: k25336 
o|inlining procedure: k25367 
o|inlining procedure: k25367 
o|inlining procedure: k25404 
o|inlining procedure: k25404 
o|substituted constant variable: a25464 
o|substituted constant variable: a25465 
o|inlining procedure: k25466 
o|inlining procedure: k25466 
o|inlining procedure: k25517 
o|inlining procedure: k25517 
o|inlining procedure: k25540 
o|inlining procedure: k25566 
o|inlining procedure: k25566 
o|inlining procedure: k25540 
o|inlining procedure: k25620 
o|inlining procedure: k25620 
o|substituted constant variable: c5680 
o|contracted procedure: "(library.scm:4963) extract5657" 
o|substituted constant variable: c5680 
o|inlining procedure: k25687 
o|inlining procedure: k25687 
o|substituted constant variable: c5680 
o|substituted constant variable: c5680 
o|inlining procedure: k25769 
o|inlining procedure: k25769 
o|inlining procedure: k25794 
o|inlining procedure: k25794 
o|inlining procedure: k25800 
o|inlining procedure: k25800 
o|inlining procedure: k25737 
o|inlining procedure: k25819 
o|inlining procedure: k25819 
o|inlining procedure: k25737 
o|substituted constant variable: a25867 
o|substituted constant variable: a25868 
o|inlining procedure: k25939 
o|inlining procedure: "(library.scm:5011) break5753" 
o|inlining procedure: k25939 
o|inlining procedure: k25968 
o|inlining procedure: k25968 
o|inlining procedure: k25984 
o|inlining procedure: k25984 
o|inlining procedure: k26007 
o|contracted procedure: "(library.scm:5032) g57635770" 
o|inlining procedure: k26007 
o|inlining procedure: k26048 
o|inlining procedure: k26048 
o|inlining procedure: k26102 
o|contracted procedure: "(library.scm:5096) g58315838" 
o|inlining procedure: k26102 
o|inlining procedure: k26140 
o|inlining procedure: k26140 
o|inlining procedure: k26183 
o|inlining procedure: k26183 
o|inlining procedure: k26195 
o|inlining procedure: k26195 
o|inlining procedure: k26207 
o|inlining procedure: k26207 
o|inlining procedure: k26219 
o|inlining procedure: k26219 
o|inlining procedure: k26231 
o|inlining procedure: k26231 
o|inlining procedure: k26243 
o|inlining procedure: k26243 
o|inlining procedure: k26255 
o|inlining procedure: k26255 
o|substituted constant variable: a26262 
o|substituted constant variable: a26264 
o|substituted constant variable: a26266 
o|substituted constant variable: a26268 
o|substituted constant variable: a26270 
o|substituted constant variable: a26272 
o|substituted constant variable: a26274 
o|substituted constant variable: a26276 
o|substituted constant variable: a26278 
o|substituted constant variable: a26280 
o|substituted constant variable: a26282 
o|substituted constant variable: a26284 
o|substituted constant variable: a26286 
o|substituted constant variable: a26288 
o|substituted constant variable: a26324 
o|substituted constant variable: a26326 
o|substituted constant variable: a26328 
o|inlining procedure: k26382 
o|inlining procedure: k26418 
o|inlining procedure: k26418 
o|inlining procedure: k26430 
o|inlining procedure: k26444 
o|inlining procedure: k26444 
o|inlining procedure: k26430 
o|inlining procedure: k26382 
o|inlining procedure: k26480 
o|inlining procedure: k26480 
o|inlining procedure: k26535 
o|propagated global variable: r2653633472 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?6000) 
o|inlining procedure: k26550 
o|inlining procedure: k26550 
o|removed unused parameter to known procedure: convert?6000 "(library.scm:5248) body59905999" 
o|inlining procedure: k26535 
o|inlining procedure: k26577 
o|inlining procedure: k26577 
o|removed unused parameter to known procedure: convert?6000 "(library.scm:5248) body59905999" 
o|inlining procedure: k26602 
o|inlining procedure: k26602 
o|inlining procedure: k26715 
o|contracted procedure: "(library.scm:5276) g60856094" 
o|inlining procedure: k26715 
o|inlining procedure: k26761 
o|contracted procedure: "(library.scm:5275) g60586067" 
o|inlining procedure: k26761 
o|inlining procedure: k26795 
o|contracted procedure: "(library.scm:5272) g60356042" 
o|inlining procedure: k26795 
o|inlining procedure: k26837 
o|inlining procedure: k26837 
o|inlining procedure: k26889 
o|contracted procedure: "(library.scm:5281) g61186127" 
o|inlining procedure: k26889 
o|inlining procedure: k26951 
o|inlining procedure: k26951 
o|inlining procedure: k27007 
o|inlining procedure: k27007 
o|inlining procedure: k27049 
o|inlining procedure: k27049 
o|inlining procedure: k27079 
o|inlining procedure: k27094 
o|inlining procedure: k27094 
o|inlining procedure: k27079 
o|inlining procedure: k27155 
o|inlining procedure: k27155 
o|substituted constant variable: a27180 
o|substituted constant variable: a27181 
o|inlining procedure: k27188 
o|inlining procedure: k27209 
o|inlining procedure: k27209 
o|inlining procedure: k27239 
o|inlining procedure: k27239 
o|inlining procedure: k27268 
o|inlining procedure: k27268 
o|inlining procedure: k27188 
o|inlining procedure: k27336 
o|inlining procedure: k27336 
o|inlining procedure: k27371 
o|inlining procedure: k27371 
o|inlining procedure: k27417 
o|inlining procedure: k27440 
o|inlining procedure: k27440 
o|inlining procedure: k27417 
o|inlining procedure: k27477 
o|inlining procedure: k27477 
o|inlining procedure: k27491 
o|inlining procedure: k27491 
o|inlining procedure: k27509 
o|inlining procedure: k27509 
o|inlining procedure: k27527 
o|inlining procedure: k27527 
o|inlining procedure: k27545 
o|inlining procedure: k27545 
o|inlining procedure: k27563 
o|inlining procedure: k27563 
o|inlining procedure: k27581 
o|inlining procedure: k27581 
o|inlining procedure: k27599 
o|inlining procedure: k27599 
o|inlining procedure: k27617 
o|inlining procedure: k27617 
o|inlining procedure: k27635 
o|inlining procedure: k27635 
o|inlining procedure: k27653 
o|inlining procedure: k27653 
o|inlining procedure: k27671 
o|inlining procedure: k27671 
o|inlining procedure: k27689 
o|inlining procedure: k27689 
o|inlining procedure: k27707 
o|inlining procedure: k27707 
o|inlining procedure: k27725 
o|inlining procedure: k27725 
o|inlining procedure: k27743 
o|inlining procedure: k27743 
o|inlining procedure: k27761 
o|inlining procedure: k27761 
o|inlining procedure: k27779 
o|inlining procedure: k27779 
o|inlining procedure: k27797 
o|inlining procedure: k27797 
o|inlining procedure: k27815 
o|inlining procedure: k27815 
o|inlining procedure: k27833 
o|inlining procedure: k27833 
o|inlining procedure: k27851 
o|inlining procedure: k27851 
o|inlining procedure: k27869 
o|inlining procedure: k27869 
o|inlining procedure: k27887 
o|inlining procedure: k27887 
o|inlining procedure: k27905 
o|inlining procedure: k27905 
o|inlining procedure: k27923 
o|inlining procedure: k27923 
o|inlining procedure: k27941 
o|inlining procedure: k27941 
o|substituted constant variable: a27963 
o|substituted constant variable: a27965 
o|substituted constant variable: a27967 
o|substituted constant variable: a27969 
o|substituted constant variable: a27971 
o|substituted constant variable: a27973 
o|substituted constant variable: a27975 
o|substituted constant variable: a27977 
o|substituted constant variable: a27979 
o|substituted constant variable: a27981 
o|substituted constant variable: a27983 
o|substituted constant variable: a27985 
o|substituted constant variable: a27987 
o|substituted constant variable: a27989 
o|substituted constant variable: a27991 
o|substituted constant variable: a27993 
o|substituted constant variable: a27995 
o|substituted constant variable: a27997 
o|substituted constant variable: a27999 
o|substituted constant variable: a28001 
o|substituted constant variable: a28003 
o|substituted constant variable: a28005 
o|substituted constant variable: a28007 
o|substituted constant variable: a28009 
o|substituted constant variable: a28011 
o|substituted constant variable: a28013 
o|substituted constant variable: a28015 
o|substituted constant variable: a28017 
o|substituted constant variable: a28019 
o|substituted constant variable: a28021 
o|substituted constant variable: a28023 
o|substituted constant variable: a28025 
o|substituted constant variable: a28027 
o|substituted constant variable: a28029 
o|substituted constant variable: a28031 
o|substituted constant variable: a28033 
o|substituted constant variable: a28035 
o|substituted constant variable: a28037 
o|substituted constant variable: a28039 
o|substituted constant variable: a28041 
o|substituted constant variable: a28043 
o|substituted constant variable: a28045 
o|substituted constant variable: a28047 
o|substituted constant variable: a28049 
o|substituted constant variable: a28051 
o|substituted constant variable: a28053 
o|substituted constant variable: a28055 
o|substituted constant variable: a28057 
o|substituted constant variable: a28059 
o|substituted constant variable: a28061 
o|substituted constant variable: a28063 
o|substituted constant variable: a28065 
o|substituted constant variable: a28067 
o|substituted constant variable: a28069 
o|inlining procedure: k28108 
o|substituted constant variable: a28121 
o|inlining procedure: k28108 
o|inlining procedure: k28163 
o|inlining procedure: k28163 
o|inlining procedure: k28201 
o|inlining procedure: k28201 
o|inlining procedure: k28223 
o|inlining procedure: k28223 
o|inlining procedure: k28281 
o|inlining procedure: k28281 
o|contracted procedure: "(library.scm:5589) fetch6498" 
o|contracted procedure: "(library.scm:5606) free6517" 
o|inlining procedure: k28328 
o|inlining procedure: k28328 
o|inlining procedure: k28345 
o|inlining procedure: k28345 
o|contracted procedure: "(library.scm:5601) fetch6516" 
o|propagated global variable: ct6618 ##sys#current-thread 
o|inlining procedure: k28529 
o|inlining procedure: k28529 
o|inlining procedure: k28557 
o|inlining procedure: k28557 
o|inlining procedure: k28614 
o|inlining procedure: k28614 
o|inlining procedure: k28654 
o|inlining procedure: k28666 
o|inlining procedure: k28666 
o|inlining procedure: k28654 
o|inlining procedure: k28693 
o|inlining procedure: k28693 
o|inlining procedure: k28739 
o|inlining procedure: k28739 
o|substituted constant variable: a28797 
o|inlining procedure: k28790 
o|inlining procedure: k28790 
o|substituted constant variable: a28810 
o|inlining procedure: k28821 
o|inlining procedure: k28861 
o|inlining procedure: k28899 
o|inlining procedure: k28899 
o|inlining procedure: k28861 
o|inlining procedure: k28993 
o|inlining procedure: k28993 
o|substituted constant variable: a29054 
o|substituted constant variable: a29056 
o|substituted constant variable: a29064 
o|substituted constant variable: a29069 
o|substituted constant variable: a29071 
o|substituted constant variable: a29085 
o|inlining procedure: k29078 
o|inlining procedure: k29078 
o|substituted constant variable: a29098 
o|inlining procedure: k28821 
o|substituted constant variable: a29113 
o|substituted constant variable: a29115 
o|inlining procedure: k29129 
o|inlining procedure: k29129 
o|inlining procedure: k29168 
o|inlining procedure: k29168 
o|inlining procedure: k29227 
o|inlining procedure: k29236 
o|inlining procedure: k29236 
o|inlining procedure: k29227 
o|contracted procedure: "(library.scm:5994) get6831" 
o|inlining procedure: k29303 
o|inlining procedure: k29303 
o|inlining procedure: k29317 
o|inlining procedure: k29317 
o|contracted procedure: "(library.scm:6023) fetch-arg6851" 
o|inlining procedure: k29386 
o|inlining procedure: k29406 
o|inlining procedure: k29406 
o|inlining procedure: k29433 
o|inlining procedure: k29433 
o|inlining procedure: k29386 
o|inlining procedure: k29457 
o|inlining procedure: k29457 
o|inlining procedure: k29469 
o|inlining procedure: k29469 
o|inlining procedure: k29495 
o|inlining procedure: k29495 
o|inlining procedure: k29611 
o|inlining procedure: k29611 
o|inlining procedure: k29633 
o|inlining procedure: k29633 
o|inlining procedure: k29673 
o|inlining procedure: k29673 
o|inlining procedure: k29698 
o|inlining procedure: k29698 
o|inlining procedure: k29720 
o|inlining procedure: k29720 
o|inlining procedure: k29752 
o|inlining procedure: k29752 
o|inlining procedure: k29784 
o|inlining procedure: k29784 
o|inlining procedure: k29816 
o|inlining procedure: k29816 
o|inlining procedure: k29848 
o|inlining procedure: k29848 
o|substituted constant variable: a29896 
o|substituted constant variable: a29898 
o|substituted constant variable: a29900 
o|substituted constant variable: a29902 
o|substituted constant variable: a29904 
o|substituted constant variable: a29906 
o|substituted constant variable: a29908 
o|substituted constant variable: a29910 
o|substituted constant variable: a29912 
o|substituted constant variable: a29914 
o|inlining procedure: k29915 
o|inlining procedure: k29915 
o|inlining procedure: k29970 
o|inlining procedure: k29970 
o|inlining procedure: k29987 
o|inlining procedure: k30011 
o|inlining procedure: k30011 
o|inlining procedure: k29987 
o|inlining procedure: k30054 
o|inlining procedure: k30054 
o|inlining procedure: k30117 
o|inlining procedure: k30117 
o|inlining procedure: k30147 
o|inlining procedure: "(library.scm:6355) pstr7127" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: k30147 
o|inlining procedure: "(library.scm:6357) pstr7127" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|substituted constant variable: a30205 
o|inlining procedure: k30201 
o|inlining procedure: "(library.scm:6359) pstr7127" 
o|substituted constant variable: a30221 
o|inlining procedure: k30201 
o|inlining procedure: "(library.scm:6360) pstr7127" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: "(library.scm:6386) pstr7127" 
o|inlining procedure: "(library.scm:6384) pstr7127" 
o|inlining procedure: "(library.scm:6382) pchr7128" 
o|inlining procedure: "(library.scm:6380) pstr7127" 
o|inlining procedure: "(library.scm:6376) pstr7127" 
o|inlining procedure: "(library.scm:6374) pchr7128" 
o|inlining procedure: "(library.scm:6372) pstr7127" 
o|substituted constant variable: a30319 
o|inlining procedure: "(library.scm:6368) pstr7127" 
o|inlining procedure: "(library.scm:6366) pstr7127" 
o|inlining procedure: "(library.scm:6363) pstr7127" 
o|inlining procedure: k30426 
o|inlining procedure: k30448 
o|inlining procedure: k30448 
o|contracted procedure: "(library.scm:6461) get-config7230" 
o|inlining procedure: k30393 
o|inlining procedure: k30393 
o|substituted constant variable: a30406 
o|inlining procedure: k30484 
o|inlining procedure: k30484 
o|inlining procedure: k30426 
o|propagated global variable: r3042733795 ##sys#build-version 
o|removed side-effect free assignment to unused variable: prefix7259 
o|inlining procedure: k30540 
o|inlining procedure: k30540 
o|inlining procedure: k30555 
o|inlining procedure: k30555 
o|contracted procedure: "(library.scm:6500) err7258" 
o|inlining procedure: k30574 
o|inlining procedure: k30574 
o|inlining procedure: k30652 
o|contracted procedure: "(library.scm:6536) g72907297" 
o|inlining procedure: k30636 
o|inlining procedure: k30636 
o|inlining procedure: k30652 
o|inlining procedure: k30688 
o|inlining procedure: k30688 
o|inlining procedure: k30719 
o|inlining procedure: k30719 
o|inlining procedure: k30765 
o|inlining procedure: k30765 
o|inlining procedure: k30860 
o|inlining procedure: k30860 
o|inlining procedure: k30876 
o|inlining procedure: k30876 
o|inlining procedure: k30947 
o|inlining procedure: k30947 
o|inlining procedure: k30994 
o|inlining procedure: k30994 
o|inlining procedure: k31069 
o|inlining procedure: k31069 
o|substituted constant variable: a31081 
o|inlining procedure: k31094 
o|inlining procedure: k31136 
o|inlining procedure: k31136 
o|inlining procedure: k31166 
o|contracted procedure: "(library.scm:5168) g58965903" 
o|inlining procedure: k31166 
o|inlining procedure: k31094 
o|inlining procedure: k31221 
o|inlining procedure: k31221 
o|inlining procedure: k31272 
o|inlining procedure: k31272 
o|inlining procedure: k31299 
o|inlining procedure: k31299 
o|inlining procedure: k31324 
o|inlining procedure: k31324 
o|inlining procedure: k31404 
o|inlining procedure: k31404 
o|inlining procedure: k31430 
o|inlining procedure: k31430 
o|inlining procedure: k31511 
o|inlining procedure: k31511 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k31670 
o|inlining procedure: k31670 
o|inlining procedure: k31679 
o|inlining procedure: k31679 
o|inlining procedure: k31688 
o|inlining procedure: k31688 
o|inlining procedure: k31704 
o|inlining procedure: k31704 
o|inlining procedure: k31730 
o|inlining procedure: k31759 
o|inlining procedure: k31759 
o|inlining procedure: k31730 
o|inlining procedure: k31794 
o|inlining procedure: k31794 
o|inlining procedure: k31834 
o|inlining procedure: k31834 
o|inlining procedure: k31896 
o|inlining procedure: k31896 
o|inlining procedure: k31908 
o|inlining procedure: k31908 
o|inlining procedure: k31951 
o|inlining procedure: k31951 
o|inlining procedure: k32009 
o|inlining procedure: k32009 
o|inlining procedure: k32024 
o|inlining procedure: k32024 
o|inlining procedure: k32060 
o|inlining procedure: k32060 
o|substituted constant variable: sblen3886 
o|substituted constant variable: sblen3886 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|replaced variables: 4498 
o|removed binding forms: 1855 
o|substituted constant variable: r905432199 
o|substituted constant variable: r906032201 
o|inlining procedure: k9373 
o|substituted constant variable: r943732215 
o|substituted constant variable: r959032226 
o|substituted constant variable: r960232229 
o|substituted constant variable: r969732236 
o|substituted constant variable: r975832241 
o|substituted constant variable: r983132244 
o|substituted constant variable: r988532248 
o|substituted constant variable: r1000132257 
o|substituted constant variable: r1019332266 
o|substituted constant variable: r1027032271 
o|substituted constant variable: r1072432312 
o|substituted constant variable: r1072432312 
o|substituted constant variable: r1074132318 
o|substituted constant variable: r1074132318 
o|substituted constant variable: r1076432323 
o|substituted constant variable: r1076432323 
o|substituted constant variable: r1078232330 
o|substituted constant variable: r1078232330 
o|substituted constant variable: r1080632336 
o|substituted constant variable: r1080632336 
o|substituted constant variable: r1083232342 
o|substituted constant variable: r1083232342 
o|substituted constant variable: r1093532353 
o|substituted constant variable: r1146632377 
o|substituted constant variable: r1182932398 
o|substituted constant variable: loc1753 
o|substituted constant variable: loc1764 
o|substituted constant variable: loc1775 
o|substituted constant variable: loc1786 
o|substituted constant variable: loc1797 
o|substituted constant variable: loc1808 
o|substituted constant variable: loc1819 
o|substituted constant variable: loc1830 
o|substituted constant variable: loc1841 
o|substituted constant variable: loc1852 
o|substituted constant variable: loc1863 
o|substituted constant variable: loc1872 
o|substituted constant variable: loc1882 
o|substituted constant variable: loc1893 
o|substituted constant variable: loc1902 
o|substituted constant variable: loc1910 
o|substituted constant variable: loc1918 
o|substituted constant variable: loc1926 
o|substituted constant variable: loc1934 
o|substituted constant variable: loc1942 
o|substituted constant variable: loc1950 
o|substituted constant variable: loc1958 
o|substituted constant variable: loc1966 
o|substituted constant variable: loc1974 
o|substituted constant variable: loc1984 
o|substituted constant variable: loc1993 
o|substituted constant variable: loc2003 
o|substituted constant variable: loc2012 
o|substituted constant variable: loc2020 
o|substituted constant variable: loc2028 
o|substituted constant variable: loc2036 
o|inlining procedure: k12592 
o|inlining procedure: k12592 
o|substituted constant variable: r1260632471 
o|substituted constant variable: r1268532476 
o|substituted constant variable: r1284432490 
o|converted assignments to bindings: (deliver2210) 
o|substituted constant variable: n2408 
o|substituted constant variable: d2409 
o|substituted constant variable: r1402232565 
o|substituted constant variable: r1403132567 
o|substituted constant variable: r1406232571 
o|substituted constant variable: r1407132573 
o|substituted constant variable: r1488832621 
o|substituted constant variable: r1499632628 
o|substituted constant variable: r1505832632 
o|substituted constant variable: r1523032639 
o|inlining procedure: k15350 
o|inlining procedure: k15350 
o|substituted constant variable: r1540632646 
o|substituted constant variable: r1542332649 
o|substituted constant variable: r1542332650 
o|substituted constant variable: r1538632655 
o|removed side-effect free assignment to unused variable: make-nan2845 
o|substituted constant variable: r1560732667 
o|substituted constant variable: r1562732669 
o|substituted constant variable: r1564932671 
o|substituted constant variable: r1566032673 
o|substituted constant variable: r1569732676 
o|substituted constant variable: r1572332677 
o|substituted constant variable: r1572332678 
o|substituted constant variable: r1567432679 
o|substituted constant variable: r1578632692 
o|substituted constant variable: r1577432693 
o|substituted constant variable: r1573532709 
o|substituted constant variable: r1604932719 
o|substituted constant variable: r1603932720 
o|substituted constant variable: r1602732721 
o|substituted constant variable: r1611332729 
o|substituted constant variable: r1609532730 
o|substituted constant variable: r1608532731 
o|substituted constant variable: r1626932742 
o|substituted constant variable: r1635032746 
o|substituted constant variable: r1635032746 
o|substituted constant variable: r1635032748 
o|substituted constant variable: r1635032748 
o|substituted constant variable: r1637332753 
o|substituted constant variable: r1637332753 
o|substituted constant variable: r1645632761 
o|substituted constant variable: r1645632761 
o|substituted constant variable: r1643332764 
o|substituted constant variable: r1650832765 
o|substituted constant variable: r1650832766 
o|substituted constant variable: r1629032767 
o|substituted constant variable: r1653632770 
o|substituted constant variable: r1652432771 
o|substituted constant variable: r1655932775 
o|substituted constant variable: r1663432779 
o|substituted constant variable: r1661932780 
o|substituted constant variable: r1668132783 
o|contracted procedure: k16739 
o|contracted procedure: k16751 
o|contracted procedure: k16763 
o|substituted constant variable: r1681332786 
o|substituted constant variable: r1685732790 
o|substituted constant variable: r1690132794 
o|substituted constant variable: r1691432796 
o|substituted constant variable: r1701132803 
o|substituted constant variable: r1708432807 
o|substituted constant variable: r1716932812 
o|substituted constant variable: r1718132814 
o|substituted constant variable: r1719032817 
o|substituted constant variable: r1720832820 
o|substituted constant variable: r1726032823 
o|substituted constant variable: r1727232825 
o|substituted constant variable: r1733732831 
o|substituted constant variable: r1734932833 
o|substituted constant variable: r1753432855 
o|contracted procedure: k17557 
o|substituted constant variable: r1762532861 
o|substituted constant variable: r1767332863 
o|substituted constant variable: r1777732872 
o|substituted constant variable: r1811032883 
o|substituted constant variable: r1824132889 
o|substituted constant variable: r1844132901 
o|substituted constant variable: r1862532913 
o|converted assignments to bindings: (continuation3796) 
o|substituted constant variable: r1879932927 
o|removed unused formal parameters: (%convert?39283943) 
o|removed unused parameter to known procedure: %convert?39283943 "(library.scm:3342) def-set?39333942" 
o|removed unused parameter to known procedure: %convert?39283943 "(library.scm:3342) def-set?39333942" 
o|removed unused formal parameters: (%convert?39533968) 
o|removed unused parameter to known procedure: %convert?39533968 "(library.scm:3352) def-set?39583967" 
o|removed unused parameter to known procedure: %convert?39533968 "(library.scm:3352) def-set?39583967" 
o|removed unused formal parameters: (%convert?39783993) 
o|removed unused parameter to known procedure: %convert?39783993 "(library.scm:3362) def-set?39833992" 
o|removed unused parameter to known procedure: %convert?39783993 "(library.scm:3362) def-set?39833992" 
o|substituted constant variable: r1910532955 
o|substituted constant variable: r1916832960 
o|substituted constant variable: r1916832960 
o|substituted constant variable: r1916832962 
o|substituted constant variable: r1916832962 
o|substituted constant variable: r1941032972 
o|substituted constant variable: r1946332975 
o|substituted constant variable: r1955732981 
o|substituted constant variable: r1959532983 
o|substituted constant variable: r1962932985 
o|substituted constant variable: r1968932989 
o|inlining procedure: k20012 
o|substituted constant variable: r2007933004 
o|inlining procedure: k20090 
o|contracted procedure: k20577 
o|contracted procedure: k20598 
o|contracted procedure: k20619 
o|substituted constant variable: r2093433055 
o|inlining procedure: k21265 
o|converted assignments to bindings: (starting-line4571) 
o|substituted constant variable: r2136533110 
o|substituted constant variable: r2136533110 
o|substituted constant variable: r2167833140 
o|substituted constant variable: r2167833140 
o|substituted constant variable: r2168833143 
o|inlining procedure: k21926 
o|inlining procedure: k21926 
o|inlining procedure: k21926 
o|substituted constant variable: r2192433164 
o|substituted constant variable: r2190633165 
o|contracted procedure: k22221 
o|removed side-effect free assignment to unused variable: build-symbol4465 
o|substituted constant variable: r2245433196 
o|substituted constant variable: r2261633207 
o|substituted constant variable: r2285133223 
o|substituted constant variable: r2311633249 
o|substituted constant variable: r2313533250 
o|substituted constant variable: r2313533250 
o|substituted constant variable: r2313533252 
o|substituted constant variable: r2313533252 
o|substituted constant variable: r2331533259 
o|substituted constant variable: r2333933262 
o|substituted constant variable: r2332733263 
o|converted assignments to bindings: (hex4996) 
o|substituted constant variable: r2353733274 
o|propagated global variable: port506433277 ##sys#standard-output 
o|substituted constant variable: r2405933300 
o|substituted constant variable: r2407133302 
o|substituted constant variable: r2408633304 
o|substituted constant variable: r2408633305 
o|substituted constant variable: r2415033309 
o|substituted constant variable: r2415033310 
o|substituted constant variable: r2417733317 
o|inlining procedure: k24656 
o|substituted constant variable: r2490333373 
o|inlining procedure: k25041 
o|substituted constant variable: r2540533397 
o|converted assignments to bindings: (copy&append5584) 
o|substituted constant variable: r2562133408 
o|converted assignments to bindings: (break5753) 
o|substituted constant variable: r2614133440 
o|substituted constant variable: r2614133440 
o|substituted constant variable: r2614133442 
o|substituted constant variable: r2614133442 
o|substituted constant variable: r2618433444 
o|substituted constant variable: r2619633446 
o|substituted constant variable: r2620833448 
o|substituted constant variable: r2622033450 
o|substituted constant variable: r2623233452 
o|substituted constant variable: r2624433454 
o|substituted constant variable: r2625633456 
o|substituted constant variable: r2625633457 
o|substituted constant variable: r2641933461 
o|substituted constant variable: r2641933461 
o|inlining procedure: k26444 
o|inlining procedure: k26444 
o|removed unused formal parameters: (%convert?59886003) 
o|removed unused parameter to known procedure: %convert?59886003 "(library.scm:5248) def-set?59936002" 
o|removed unused parameter to known procedure: %convert?59886003 "(library.scm:5248) def-set?59936002" 
o|substituted constant variable: r2660333478 
o|substituted constant variable: r2695233490 
o|substituted constant variable: r2705033495 
o|substituted constant variable: r2708033499 
o|substituted constant variable: r2744133525 
o|substituted constant variable: r2744133525 
o|substituted constant variable: r2747833530 
o|substituted constant variable: r2747833530 
o|substituted constant variable: r2810933585 
o|substituted constant variable: r2820233589 
o|substituted constant variable: r2822433591 
o|substituted constant variable: r2828233592 
o|substituted constant variable: r2832933596 
o|substituted constant variable: r2832933596 
o|substituted constant variable: r2834633598 
o|inlining procedure: k28748 
o|converted assignments to bindings: (get/clear-str6718) 
o|substituted constant variable: r2916933635 
o|substituted constant variable: r2916933635 
o|substituted constant variable: r2922833641 
o|inlining procedure: k29386 
o|inlining procedure: k29386 
o|substituted constant variable: r2998833703 
o|removed side-effect free assignment to unused variable: pstr7127 
o|removed side-effect free assignment to unused variable: pchr7128 
o|substituted constant variable: r3011833706 
o|substituted constant variable: r3011833706 
o|contracted procedure: k30152 
o|substituted constant variable: str713233712 
o|contracted procedure: k30171 
o|contracted procedure: k30179 
o|substituted constant variable: str713233718 
o|contracted procedure: k30198 
o|substituted constant variable: str713233724 
o|substituted constant variable: str713233730 
o|substituted constant variable: str713233735 
o|substituted constant variable: str713233740 
o|substituted constant variable: chr713333745 
o|substituted constant variable: str713233750 
o|substituted constant variable: str713233755 
o|substituted constant variable: chr713333760 
o|substituted constant variable: str713233765 
o|substituted constant variable: str713233770 
o|substituted constant variable: str713233775 
o|substituted constant variable: str713233780 
o|substituted constant variable: r3044933785 
o|substituted constant variable: r3044933785 
o|substituted constant variable: r3039433789 
o|converted assignments to bindings: (str7235) 
o|substituted constant variable: r3048533791 
o|substituted constant variable: r3048533791 
o|substituted constant variable: r3048533793 
o|substituted constant variable: r3048533793 
o|substituted constant variable: r3068933806 
o|inlining procedure: k30860 
o|inlining procedure: k30876 
o|substituted constant variable: r3099533822 
o|inlining procedure: k31115 
o|inlining procedure: k31115 
o|substituted constant variable: r3130033836 
o|substituted constant variable: r3132533838 
o|substituted constant variable: r3143133844 
o|substituted constant variable: r3151233846 
o|contracted procedure: k31524 
o|substituted constant variable: r3168033851 
o|substituted constant variable: r3168933853 
o|substituted constant variable: r3170533855 
o|substituted constant variable: r3176033858 
o|contracted procedure: k32161 
o|contracted procedure: k32165 
o|contracted procedure: k32169 
o|contracted procedure: k32173 
o|contracted procedure: k32177 
o|contracted procedure: k32181 
o|contracted procedure: k32185 
o|contracted procedure: k32189 
o|contracted procedure: k32193 
o|converted assignments to bindings: (lookup-char3629) 
o|converted assignments to bindings: (split3340) 
o|simplifications: ((let . 11)) 
o|replaced variables: 202 
o|removed binding forms: 4543 
o|removed conditional forms: 1 
o|inlining procedure: k9355 
o|substituted constant variable: r937433888 
o|inlining procedure: k10519 
o|inlining procedure: k10519 
o|inlining procedure: k10519 
o|inlining procedure: k10980 
o|inlining procedure: k10996 
o|inlining procedure: k11012 
o|inlining procedure: k11028 
o|inlining procedure: k11044 
o|inlining procedure: k11060 
o|inlining procedure: k11076 
o|inlining procedure: k11092 
o|inlining procedure: k11217 
o|inlining procedure: k11252 
o|inlining procedure: k11252 
o|inlining procedure: k11507 
o|inlining procedure: k11507 
o|inlining procedure: k11617 
o|inlining procedure: k11617 
o|inlining procedure: k12786 
o|inlining procedure: k12898 
o|inlining procedure: k12969 
o|inlining procedure: k13055 
o|inlining procedure: k13061 
o|inlining procedure: k13164 
o|inlining procedure: k13493 
o|inlining procedure: k13528 
o|inlining procedure: k13528 
o|inlining procedure: k13687 
o|inlining procedure: k13823 
o|inlining procedure: k14414 
o|inlining procedure: k14438 
o|inlining procedure: k14615 
o|inlining procedure: k14636 
o|inlining procedure: k14727 
o|inlining procedure: k14735 
o|inlining procedure: k14773 
o|inlining procedure: k14791 
o|inlining procedure: k14944 
o|inlining procedure: k14973 
o|inlining procedure: k15185 
o|inlining procedure: k15192 
o|substituted constant variable: r1535134034 
o|substituted constant variable: r1535134037 
o|inlining procedure: k15636 
o|inlining procedure: k16142 
o|inlining procedure: k16280 
o|inlining procedure: k16570 
o|inlining procedure: k16584 
o|inlining procedure: k16590 
o|inlining procedure: k16649 
o|inlining procedure: k16657 
o|substituted constant variable: r16740 
o|substituted constant variable: r16752 
o|substituted constant variable: r16764 
o|inlining procedure: k16997 
o|inlining procedure: k17004 
o|inlining procedure: k17004 
o|inlining procedure: k17037 
o|inlining procedure: k17262 
o|inlining procedure: k17262 
o|substituted constant variable: r17558 
o|inlining procedure: k19182 
o|inlining procedure: k19182 
o|inlining procedure: k19182 
o|inlining procedure: k19444 
o|propagated global variable: r1944534637 ##sys#standard-output 
o|propagated global variable: r1944534637 ##sys#standard-output 
o|inlining procedure: k19991 
o|propagated global variable: r1999234645 ##sys#standard-input 
o|propagated global variable: r1999234645 ##sys#standard-input 
o|inlining procedure: k20103 
o|propagated global variable: r2010434647 ##sys#standard-input 
o|propagated global variable: r2010434647 ##sys#standard-input 
o|inlining procedure: k20121 
o|propagated global variable: r2012234649 ##sys#standard-input 
o|propagated global variable: r2012234649 ##sys#standard-input 
o|substituted constant variable: r20578 
o|substituted constant variable: r20599 
o|substituted constant variable: r20620 
o|inlining procedure: k20850 
o|substituted constant variable: r22222 
o|inlining procedure: k22772 
o|inlining procedure: k23645 
o|propagated global variable: r2364634679 ##sys#standard-output 
o|propagated global variable: r2364634679 ##sys#standard-output 
o|inlining procedure: k23663 
o|propagated global variable: r2366434681 ##sys#standard-output 
o|propagated global variable: r2366434681 ##sys#standard-output 
o|inlining procedure: k24041 
o|inlining procedure: k26298 
o|inlining procedure: k28563 
o|inlining procedure: "(library.scm:5822) format-here-doc-warning" 
o|inlining procedure: k28798 
o|inlining procedure: k28798 
o|inlining procedure: "(library.scm:5856) format-here-doc-warning" 
o|inlining procedure: k29086 
o|inlining procedure: k29086 
o|inlining procedure: k29630 
o|inlining procedure: k29630 
o|inlining procedure: k29999 
o|inlining procedure: k29999 
o|substituted constant variable: r30153 
o|substituted constant variable: r30172 
o|substituted constant variable: r30180 
o|substituted constant variable: r30199 
o|substituted constant variable: r31525 
o|inlining procedure: k31667 
o|inlining procedure: k31667 
o|substituted constant variable: r32162 
o|substituted constant variable: r32166 
o|substituted constant variable: r32170 
o|substituted constant variable: r32174 
o|substituted constant variable: r32178 
o|substituted constant variable: r32182 
o|substituted constant variable: r32186 
o|substituted constant variable: r32190 
o|substituted constant variable: r32194 
o|replaced variables: 32 
o|removed binding forms: 500 
o|substituted constant variable: r935634417 
o|substituted constant variable: code67933889 
o|substituted constant variable: code67933889 
o|substituted constant variable: r1098134459 
o|substituted constant variable: r1099734461 
o|substituted constant variable: r1101334463 
o|substituted constant variable: r1102934465 
o|substituted constant variable: r1104534467 
o|substituted constant variable: r1106134469 
o|substituted constant variable: r1107734471 
o|substituted constant variable: r1109334473 
o|substituted constant variable: r1121834481 
o|substituted constant variable: r1121834481 
o|substituted constant variable: r1125334485 
o|substituted constant variable: r1125334485 
o|contracted procedure: k12720 
o|contracted procedure: k12725 
o|contracted procedure: k12780 
o|contracted procedure: k13149 
o|contracted procedure: k13158 
o|contracted procedure: k13248 
o|contracted procedure: k13253 
o|contracted procedure: k13258 
o|contracted procedure: k13263 
o|contracted procedure: k13268 
o|contracted procedure: k13273 
o|contracted procedure: k13295 
o|contracted procedure: k13306 
o|contracted procedure: k13329 
o|contracted procedure: k13341 
o|contracted procedure: k13404 
o|contracted procedure: k13411 
o|contracted procedure: k13445 
o|contracted procedure: k13452 
o|contracted procedure: k13487 
o|contracted procedure: k13519 
o|substituted constant variable: r1352934532 
o|contracted procedure: k13806 
o|contracted procedure: k15204 
o|contracted procedure: k15209 
o|contracted procedure: k15336 
o|contracted procedure: k15482 
o|contracted procedure: k15590 
o|contracted procedure: k15681 
o|contracted procedure: k16297 
o|contracted procedure: k16314 
o|contracted procedure: k16451 
o|substituted constant variable: a16738 
o|substituted constant variable: a16750 
o|substituted constant variable: a16762 
o|contracted procedure: k16800 
o|substituted constant variable: r1700534584 
o|substituted constant variable: r1700534585 
o|substituted constant variable: r1726334589 
o|substituted constant variable: r1726334591 
o|inlining procedure: k21220 
o|substituted constant variable: r2277334676 
o|substituted constant variable: r2644534268 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2963134782 
o|substituted constant variable: r2963134782 
o|substituted constant variable: r3000034783 
o|substituted constant variable: r3000034783 
o|substituted constant variable: r3000034784 
o|substituted constant variable: r3000034784 
o|substituted constant variable: r3166834803 
o|substituted constant variable: r3166834803 
o|substituted constant variable: r3166834803 
o|substituted constant variable: r3166834805 
o|substituted constant variable: r3166834805 
o|substituted constant variable: r3166834805 
o|simplifications: ((let . 3)) 
o|replaced variables: 27 
o|removed binding forms: 136 
o|removed conditional forms: 11 
o|substituted constant variable: code66634418 
o|substituted constant variable: r2122134951 
o|substituted constant variable: r2122134951 
o|replaced variables: 34 
o|removed binding forms: 57 
o|removed conditional forms: 1 
o|simplifications: ((let . 1)) 
o|removed binding forms: 21 
o|simplifications: ((if . 203) (##core#call . 2578)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-length	2
o|    scheme#string-ref	2
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    ##sys#generic-structure?	2
o|    scheme#caddr	2
o|    scheme#write-char
o|    scheme#equal?
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    ##sys#apply	2
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#member	7
o|    ##sys#setbyte
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	5
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    scheme#string	6
o|    scheme#symbol?	8
o|    ##sys#check-symbol	10
o|    ##sys#byte	4
o|    ##sys#intern-symbol	12
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.fixnum#fxneg	5
o|    chicken.bitwise#arithmetic-shift	11
o|    scheme#cadr	14
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	36
o|    scheme#length	6
o|    chicken.fixnum#fx>=	34
o|    chicken.fixnum#fx+	126
o|    ##sys#check-string	24
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	28
o|    chicken.fixnum#fx<	39
o|    scheme#vector	7
o|    chicken.fixnum#fx=	21
o|    ##sys#size	71
o|    scheme#list	27
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	18
o|    scheme#not	89
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	95
o|    scheme#call-with-values	2
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	89
o|    ##sys#slot	348
o|    scheme#cons	140
o|    scheme#eq?	394
o|    scheme#cdr	45
o|    scheme#car	119
o|contracted procedure: k8560 
o|contracted procedure: k8556 
o|contracted procedure: k8574 
o|contracted procedure: k8588 
o|contracted procedure: k8584 
o|contracted procedure: k8609 
o|contracted procedure: k8605 
o|contracted procedure: k8623 
o|contracted procedure: k8619 
o|contracted procedure: k8641 
o|contracted procedure: k8637 
o|contracted procedure: k8633 
o|contracted procedure: k8651 
o|contracted procedure: k8663 
o|contracted procedure: k8681 
o|contracted procedure: k8677 
o|contracted procedure: k8692 
o|contracted procedure: k8710 
o|contracted procedure: k8706 
o|contracted procedure: k8702 
o|contracted procedure: k8720 
o|contracted procedure: k8732 
o|contracted procedure: k8757 
o|contracted procedure: k8753 
o|contracted procedure: k8749 
o|contracted procedure: k8767 
o|contracted procedure: k8786 
o|contracted procedure: k8782 
o|contracted procedure: k8778 
o|contracted procedure: k8819 
o|contracted procedure: k8825 
o|contracted procedure: k8832 
o|contracted procedure: k8840 
o|contracted procedure: k8836 
o|contracted procedure: k8970 
o|contracted procedure: k8999 
o|contracted procedure: k9005 
o|contracted procedure: k9016 
o|contracted procedure: k9022 
o|contracted procedure: k9028 
o|contracted procedure: k9034 
o|contracted procedure: k9040 
o|contracted procedure: k9211 
o|contracted procedure: k9271 
o|contracted procedure: k9302 
o|contracted procedure: k9283 
o|contracted procedure: k9290 
o|contracted procedure: k9298 
o|contracted procedure: k9308 
o|contracted procedure: k9339 
o|contracted procedure: k9320 
o|contracted procedure: k9327 
o|contracted procedure: k9335 
o|contracted procedure: k9349 
o|contracted procedure: k9364 
o|contracted procedure: k9355 
o|contracted procedure: k9379 
o|contracted procedure: k9373 
o|contracted procedure: k9403 
o|contracted procedure: k9412 
o|contracted procedure: k9422 
o|contracted procedure: k9459 
o|contracted procedure: k9439 
o|contracted procedure: k9442 
o|contracted procedure: k9455 
o|contracted procedure: k9468 
o|contracted procedure: k9471 
o|contracted procedure: k9512 
o|contracted procedure: k9533 
o|contracted procedure: k9545 
o|contracted procedure: k9554 
o|contracted procedure: k9557 
o|contracted procedure: k9563 
o|contracted procedure: k9592 
o|contracted procedure: k9619 
o|contracted procedure: k9598 
o|contracted procedure: k9611 
o|contracted procedure: k9615 
o|contracted procedure: k9628 
o|contracted procedure: k9675 
o|contracted procedure: k9639 
o|contracted procedure: k9653 
o|contracted procedure: k9656 
o|contracted procedure: k9662 
o|contracted procedure: k9684 
o|contracted procedure: k9706 
o|contracted procedure: k9721 
o|contracted procedure: k9731 
o|contracted procedure: k9735 
o|contracted procedure: k9745 
o|contracted procedure: k9754 
o|contracted procedure: k9760 
o|contracted procedure: k9767 
o|contracted procedure: k9786 
o|contracted procedure: k9789 
o|contracted procedure: k9792 
o|contracted procedure: k9798 
o|contracted procedure: k9821 
o|contracted procedure: k9833 
o|contracted procedure: k9865 
o|contracted procedure: k9839 
o|contracted procedure: k9845 
o|contracted procedure: k9848 
o|contracted procedure: k9854 
o|contracted procedure: k9868 
o|contracted procedure: k9875 
o|contracted procedure: k9887 
o|contracted procedure: k9949 
o|contracted procedure: k9893 
o|contracted procedure: k9945 
o|contracted procedure: k9902 
o|contracted procedure: k9911 
o|contracted procedure: k9918 
o|contracted procedure: k9926 
o|contracted procedure: k9930 
o|contracted procedure: k9937 
o|contracted procedure: k9941 
o|contracted procedure: k10032 
o|contracted procedure: k9955 
o|contracted procedure: k9967 
o|contracted procedure: k9974 
o|contracted procedure: k9977 
o|contracted procedure: k9983 
o|contracted procedure: k9989 
o|contracted procedure: k10003 
o|contracted procedure: k10006 
o|contracted procedure: k10019 
o|contracted procedure: k10022 
o|contracted procedure: k10029 
o|contracted procedure: k10136 
o|contracted procedure: k10041 
o|contracted procedure: k10053 
o|contracted procedure: k10060 
o|contracted procedure: k10133 
o|contracted procedure: k10066 
o|contracted procedure: k10072 
o|contracted procedure: k10129 
o|contracted procedure: k10078 
o|contracted procedure: k10094 
o|contracted procedure: k10098 
o|contracted procedure: k10117 
o|contracted procedure: k10121 
o|contracted procedure: k10105 
o|contracted procedure: k10113 
o|contracted procedure: k10125 
o|contracted procedure: k10248 
o|contracted procedure: k10145 
o|contracted procedure: k10242 
o|contracted procedure: k10148 
o|contracted procedure: k10236 
o|contracted procedure: k10151 
o|contracted procedure: k10230 
o|contracted procedure: k10154 
o|contracted procedure: k10169 
o|contracted procedure: k10175 
o|contracted procedure: k10181 
o|contracted procedure: k10195 
o|contracted procedure: k10201 
o|contracted procedure: k10204 
o|contracted procedure: k10207 
o|contracted procedure: k10220 
o|contracted procedure: k10224 
o|contracted procedure: k10257 
o|contracted procedure: k10272 
o|contracted procedure: k10275 
o|contracted procedure: k10278 
o|contracted procedure: k10291 
o|contracted procedure: k10295 
o|contracted procedure: k10298 
o|contracted procedure: k10414 
o|contracted procedure: k10426 
o|contracted procedure: k10466 
o|contracted procedure: k10462 
o|contracted procedure: k10513 
o|contracted procedure: k10516 
o|contracted procedure: k10525 
o|contracted procedure: k10544 
o|contracted procedure: k10551 
o|contracted procedure: k10555 
o|contracted procedure: k10564 
o|contracted procedure: k10575 
o|contracted procedure: k10587 
o|contracted procedure: k10598 
o|contracted procedure: k10609 
o|contracted procedure: k10620 
o|contracted procedure: k10631 
o|contracted procedure: k10642 
o|contracted procedure: k10653 
o|contracted procedure: k10664 
o|contracted procedure: k10675 
o|contracted procedure: k10686 
o|contracted procedure: k10697 
o|contracted procedure: k10708 
o|contracted procedure: k10726 
o|contracted procedure: k10743 
o|contracted procedure: k10753 
o|contracted procedure: k10756 
o|contracted procedure: k10766 
o|contracted procedure: k10784 
o|contracted procedure: k10812 
o|contracted procedure: k10797 
o|contracted procedure: k10808 
o|contracted procedure: k10824 
o|contracted procedure: k10834 
o|contracted procedure: k10844 
o|contracted procedure: k10855 
o|contracted procedure: k10864 
o|contracted procedure: k10870 
o|contracted procedure: k10879 
o|contracted procedure: k10888 
o|contracted procedure: k10891 
o|contracted procedure: k10960 
o|contracted procedure: k10956 
o|contracted procedure: k10900 
o|contracted procedure: k10912 
o|contracted procedure: k10922 
o|contracted procedure: k10915 
o|contracted procedure: k10925 
o|contracted procedure: k10952 
o|contracted procedure: k10931 
o|contracted procedure: k10948 
o|contracted procedure: k10937 
o|contracted procedure: k10944 
o|contracted procedure: k10969 
o|contracted procedure: k10987 
o|contracted procedure: k10980 
o|contracted procedure: k11003 
o|contracted procedure: k10996 
o|contracted procedure: k11019 
o|contracted procedure: k11012 
o|contracted procedure: k11035 
o|contracted procedure: k11028 
o|contracted procedure: k11051 
o|contracted procedure: k11044 
o|contracted procedure: k11067 
o|contracted procedure: k11060 
o|contracted procedure: k11083 
o|contracted procedure: k11076 
o|contracted procedure: k11099 
o|contracted procedure: k11092 
o|contracted procedure: k11111 
o|contracted procedure: k11181 
o|contracted procedure: k11123 
o|contracted procedure: k11133 
o|contracted procedure: k11142 
o|contracted procedure: k11149 
o|contracted procedure: k11155 
o|contracted procedure: k11162 
o|contracted procedure: k11170 
o|contracted procedure: k11177 
o|contracted procedure: k11196 
o|contracted procedure: k11203 
o|contracted procedure: k11211 
o|contracted procedure: k11207 
o|contracted procedure: k11228 
o|contracted procedure: k11217 
o|contracted procedure: k11255 
o|contracted procedure: k11258 
o|contracted procedure: k11261 
o|contracted procedure: k11264 
o|contracted procedure: k11273 
o|contracted procedure: k11276 
o|contracted procedure: k11283 
o|contracted procedure: k11292 
o|contracted procedure: k11299 
o|contracted procedure: k11303 
o|contracted procedure: k11356 
o|contracted procedure: k11314 
o|contracted procedure: k11320 
o|contracted procedure: k11335 
o|contracted procedure: k11338 
o|contracted procedure: k11341 
o|contracted procedure: k11348 
o|contracted procedure: k11352 
o|contracted procedure: k11366 
o|contracted procedure: k11377 
o|contracted procedure: k11386 
o|contracted procedure: k11389 
o|contracted procedure: k11392 
o|contracted procedure: k11399 
o|contracted procedure: k11403 
o|contracted procedure: k11412 
o|contracted procedure: k11415 
o|contracted procedure: k11419 
o|contracted procedure: k11425 
o|contracted procedure: k11428 
o|contracted procedure: k11437 
o|contracted procedure: k11446 
o|contracted procedure: k11462 
o|contracted procedure: k11468 
o|contracted procedure: k11474 
o|contracted procedure: k11491 
o|contracted procedure: k11496 
o|contracted procedure: k11499 
o|contracted procedure: k11510 
o|contracted procedure: k11523 
o|contracted procedure: k11532 
o|contracted procedure: k11547 
o|contracted procedure: k11556 
o|contracted procedure: k11574 
o|contracted procedure: k11595 
o|contracted procedure: k11606 
o|contracted procedure: k11609 
o|contracted procedure: k11620 
o|contracted procedure: k11633 
o|contracted procedure: k11642 
o|contracted procedure: k11657 
o|contracted procedure: k11666 
o|contracted procedure: k11684 
o|contracted procedure: k11705 
o|contracted procedure: k11717 
o|contracted procedure: k11720 
o|contracted procedure: k11727 
o|contracted procedure: k11742 
o|contracted procedure: k11749 
o|contracted procedure: k11752 
o|contracted procedure: k11755 
o|contracted procedure: k11762 
o|contracted procedure: k11766 
o|contracted procedure: k11790 
o|contracted procedure: k11793 
o|contracted procedure: k11796 
o|contracted procedure: k11803 
o|contracted procedure: k11807 
o|contracted procedure: k11819 
o|contracted procedure: k11831 
o|contracted procedure: k11837 
o|contracted procedure: k11852 
o|contracted procedure: k11867 
o|contracted procedure: k11886 
o|contracted procedure: k11874 
o|contracted procedure: k11878 
o|contracted procedure: k11882 
o|contracted procedure: k11889 
o|contracted procedure: k11920 
o|contracted procedure: k11913 
o|contracted procedure: k11944 
o|contracted procedure: k11937 
o|contracted procedure: k11968 
o|contracted procedure: k11961 
o|contracted procedure: k11992 
o|contracted procedure: k11985 
o|contracted procedure: k12016 
o|contracted procedure: k12009 
o|contracted procedure: k12040 
o|contracted procedure: k12033 
o|contracted procedure: k12064 
o|contracted procedure: k12057 
o|contracted procedure: k12088 
o|contracted procedure: k12081 
o|contracted procedure: k12112 
o|contracted procedure: k12105 
o|contracted procedure: k12136 
o|contracted procedure: k12129 
o|contracted procedure: k12160 
o|contracted procedure: k12153 
o|contracted procedure: k12177 
o|contracted procedure: k12202 
o|contracted procedure: k12195 
o|contracted procedure: k12226 
o|contracted procedure: k12219 
o|contracted procedure: k12243 
o|contracted procedure: k12261 
o|contracted procedure: k12279 
o|contracted procedure: k12297 
o|contracted procedure: k12315 
o|contracted procedure: k12333 
o|contracted procedure: k12351 
o|contracted procedure: k12369 
o|contracted procedure: k12387 
o|contracted procedure: k12405 
o|contracted procedure: k12430 
o|contracted procedure: k12423 
o|contracted procedure: k12447 
o|contracted procedure: k12472 
o|contracted procedure: k12465 
o|contracted procedure: k12489 
o|contracted procedure: k12507 
o|contracted procedure: k12525 
o|contracted procedure: k12543 
o|contracted procedure: k12565 
o|contracted procedure: k12556 
o|contracted procedure: k12581 
o|contracted procedure: k12595 
o|contracted procedure: k12599 
o|contracted procedure: k12650 
o|contracted procedure: k12661 
o|contracted procedure: k12673 
o|contracted procedure: k12687 
o|contracted procedure: k12696 
o|contracted procedure: k12715 
o|contracted procedure: k12741 
o|contracted procedure: k12754 
o|contracted procedure: k12760 
o|contracted procedure: k12807 
o|contracted procedure: k12829 
o|contracted procedure: k12853 
o|contracted procedure: k12875 
o|contracted procedure: k12892 
o|contracted procedure: k12904 
o|contracted procedure: k13012 
o|contracted procedure: k12941 
o|contracted procedure: k12982 
o|contracted procedure: k13038 
o|contracted procedure: k13090 
o|contracted procedure: k13100 
o|contracted procedure: k13113 
o|contracted procedure: k13120 
o|contracted procedure: k13128 
o|contracted procedure: k13132 
o|contracted procedure: k13170 
o|contracted procedure: k13173 
o|contracted procedure: k13220 
o|contracted procedure: k13237 
o|contracted procedure: k13243 
o|contracted procedure: k13324 
o|contracted procedure: k13368 
o|contracted procedure: k13358 
o|contracted procedure: k13376 
o|contracted procedure: k13399 
o|contracted procedure: k13440 
o|contracted procedure: k13481 
o|contracted procedure: k13512 
o|contracted procedure: k13554 
o|contracted procedure: k13573 
o|contracted procedure: k13624 
o|contracted procedure: k13649 
o|contracted procedure: k13653 
o|contracted procedure: k13684 
o|contracted procedure: k13687 
o|contracted procedure: k13710 
o|contracted procedure: k13716 
o|contracted procedure: k13723 
o|contracted procedure: k13730 
o|contracted procedure: k13734 
o|contracted procedure: k13738 
o|contracted procedure: k13753 
o|contracted procedure: k13759 
o|contracted procedure: k13766 
o|contracted procedure: k13773 
o|contracted procedure: k13777 
o|contracted procedure: k13781 
o|contracted procedure: k13789 
o|contracted procedure: k13795 
o|contracted procedure: k13834 
o|contracted procedure: k13843 
o|contracted procedure: k13894 
o|contracted procedure: k13874 
o|contracted procedure: k13903 
o|contracted procedure: k13909 
o|contracted procedure: k13933 
o|contracted procedure: k13939 
o|contracted procedure: k13963 
o|contracted procedure: k13969 
o|contracted procedure: k13988 
o|contracted procedure: k14024 
o|contracted procedure: k14041 
o|contracted procedure: k14064 
o|contracted procedure: k14130 
o|contracted procedure: k14081 
o|contracted procedure: k14084 
o|contracted procedure: k14090 
o|contracted procedure: k14305 
o|contracted procedure: k14142 
o|contracted procedure: k14148 
o|contracted procedure: k14151 
o|contracted procedure: k14160 
o|contracted procedure: k14169 
o|contracted procedure: k14178 
o|contracted procedure: k14300 
o|contracted procedure: k14200 
o|contracted procedure: k14203 
o|contracted procedure: k14220 
o|contracted procedure: k14216 
o|contracted procedure: k14227 
o|contracted procedure: k14296 
o|contracted procedure: k14234 
o|contracted procedure: k14249 
o|contracted procedure: k14254 
o|contracted procedure: k14261 
o|contracted procedure: k14266 
o|contracted procedure: k14288 
o|contracted procedure: k14326 
o|contracted procedure: k14389 
o|contracted procedure: k14399 
o|contracted procedure: k14423 
o|contracted procedure: k14447 
o|contracted procedure: k14495 
o|contracted procedure: k14519 
o|contracted procedure: k14580 
o|contracted procedure: k14584 
o|contracted procedure: k14627 
o|contracted procedure: k14644 
o|contracted procedure: k14677 
o|contracted procedure: k14913 
o|contracted procedure: k14695 
o|contracted procedure: k14909 
o|contracted procedure: k14704 
o|contracted procedure: k14741 
o|contracted procedure: k14782 
o|contracted procedure: k14816 
o|contracted procedure: k14860 
o|contracted procedure: k14863 
o|contracted procedure: k14890 
o|contracted procedure: k14898 
o|contracted procedure: k14905 
o|contracted procedure: k14935 
o|contracted procedure: k14957 
o|contracted procedure: k14998 
o|contracted procedure: k15005 
o|contracted procedure: k15009 
o|contracted procedure: k15018 
o|contracted procedure: k15029 
o|contracted procedure: k15040 
o|contracted procedure: k15060 
o|contracted procedure: k15067 
o|contracted procedure: k15071 
o|contracted procedure: k15080 
o|contracted procedure: k15091 
o|contracted procedure: k15106 
o|contracted procedure: k15159 
o|contracted procedure: k15112 
o|contracted procedure: k15149 
o|contracted procedure: k15144 
o|contracted procedure: k15168 
o|contracted procedure: k15199 
o|contracted procedure: k15220 
o|contracted procedure: k15342 
o|contracted procedure: k15353 
o|contracted procedure: k15378 
o|contracted procedure: k15391 
o|contracted procedure: k15402 
o|contracted procedure: k15419 
o|contracted procedure: k15425 
o|contracted procedure: k15431 
o|contracted procedure: k15245 
o|contracted procedure: k15309 
o|contracted procedure: k15257 
o|contracted procedure: k15263 
o|contracted procedure: k15300 
o|contracted procedure: k15266 
o|contracted procedure: k15324 
o|contracted procedure: k15328 
o|contracted procedure: k15282 
o|contracted procedure: k15286 
o|contracted procedure: k15445 
o|contracted procedure: k16767 
o|contracted procedure: k16759 
o|contracted procedure: k15448 
o|contracted procedure: k16755 
o|contracted procedure: k16747 
o|contracted procedure: k15451 
o|contracted procedure: k16743 
o|contracted procedure: k16735 
o|contracted procedure: k15454 
o|contracted procedure: k15468 
o|contracted procedure: k15474 
o|contracted procedure: k15488 
o|contracted procedure: k15513 
o|contracted procedure: k15494 
o|contracted procedure: k15501 
o|contracted procedure: k15507 
o|contracted procedure: k15560 
o|contracted procedure: k15521 
o|contracted procedure: k15531 
o|contracted procedure: k15537 
o|contracted procedure: k15543 
o|contracted procedure: k15576 
o|contracted procedure: k15582 
o|contracted procedure: k15596 
o|contracted procedure: k15603 
o|contracted procedure: k15609 
o|contracted procedure: k15623 
o|contracted procedure: k15630 
o|contracted procedure: k15651 
o|contracted procedure: k15665 
o|contracted procedure: k15676 
o|contracted procedure: k15687 
o|contracted procedure: k15707 
o|contracted procedure: k15711 
o|contracted procedure: k15719 
o|contracted procedure: k15725 
o|contracted procedure: k15737 
o|contracted procedure: k15743 
o|contracted procedure: k15758 
o|contracted procedure: k15764 
o|contracted procedure: k15776 
o|contracted procedure: k15791 
o|contracted procedure: k15819 
o|contracted procedure: k15815 
o|contracted procedure: k15823 
o|contracted procedure: k15826 
o|contracted procedure: k15829 
o|contracted procedure: k15832 
o|contracted procedure: k15838 
o|contracted procedure: k15856 
o|contracted procedure: k15862 
o|contracted procedure: k15868 
o|contracted procedure: k15874 
o|contracted procedure: k15880 
o|contracted procedure: k15886 
o|contracted procedure: k15892 
o|contracted procedure: k15898 
o|contracted procedure: k15932 
o|contracted procedure: k15959 
o|contracted procedure: k15974 
o|contracted procedure: k15983 
o|contracted procedure: k16009 
o|contracted procedure: k15989 
o|contracted procedure: k15996 
o|contracted procedure: k16017 
o|contracted procedure: k16023 
o|contracted procedure: k16029 
o|contracted procedure: k16057 
o|contracted procedure: k16061 
o|contracted procedure: k16071 
o|contracted procedure: k16075 
o|contracted procedure: k16091 
o|contracted procedure: k16169 
o|contracted procedure: k16100 
o|contracted procedure: k16165 
o|contracted procedure: k16115 
o|contracted procedure: k16124 
o|contracted procedure: k16135 
o|contracted procedure: k16150 
o|contracted procedure: k16173 
o|contracted procedure: k16182 
o|contracted procedure: k16188 
o|contracted procedure: k16194 
o|contracted procedure: k16200 
o|contracted procedure: k16206 
o|contracted procedure: k16212 
o|contracted procedure: k16218 
o|contracted procedure: k16224 
o|contracted procedure: k16255 
o|contracted procedure: k16284 
o|contracted procedure: k16265 
o|contracted procedure: k16271 
o|contracted procedure: k16292 
o|contracted procedure: k16303 
o|contracted procedure: k16309 
o|contracted procedure: k16320 
o|contracted procedure: k16323 
o|contracted procedure: k16336 
o|contracted procedure: k16407 
o|contracted procedure: k16342 
o|contracted procedure: k16352 
o|contracted procedure: k16385 
o|contracted procedure: k16368 
o|contracted procedure: k16382 
o|contracted procedure: k16375 
o|contracted procedure: k16372 
o|contracted procedure: k16403 
o|contracted procedure: k16388 
o|contracted procedure: k16399 
o|contracted procedure: k16413 
o|contracted procedure: k16416 
o|contracted procedure: k16429 
o|contracted procedure: k16477 
o|contracted procedure: k16435 
o|contracted procedure: k16441 
o|contracted procedure: k16465 
o|contracted procedure: k16458 
o|contracted procedure: k16455 
o|contracted procedure: k16473 
o|contracted procedure: k16484 
o|contracted procedure: k16504 
o|contracted procedure: k16510 
o|contracted procedure: k16529 
o|contracted procedure: k16545 
o|contracted procedure: k16552 
o|contracted procedure: k16555 
o|contracted procedure: k16594 
o|contracted procedure: k16561 
o|contracted procedure: k16567 
o|contracted procedure: k16570 
o|contracted procedure: k16602 
o|contracted procedure: k16605 
o|contracted procedure: k16615 
o|contracted procedure: k16663 
o|contracted procedure: k16621 
o|contracted procedure: k16627 
o|contracted procedure: k16673 
o|contracted procedure: k16697 
o|contracted procedure: k16683 
o|contracted procedure: k16701 
o|contracted procedure: k16724 
o|contracted procedure: k17019 
o|contracted procedure: k16773 
o|contracted procedure: k16776 
o|contracted procedure: k16786 
o|contracted procedure: k16978 
o|contracted procedure: k16806 
o|contracted procedure: k16809 
o|contracted procedure: k16815 
o|contracted procedure: k16822 
o|contracted procedure: k16828 
o|contracted procedure: k16831 
o|contracted procedure: k16837 
o|contracted procedure: k16844 
o|contracted procedure: k16850 
o|contracted procedure: k16853 
o|contracted procedure: k16859 
o|contracted procedure: k16866 
o|contracted procedure: k16872 
o|contracted procedure: k16875 
o|contracted procedure: k16881 
o|contracted procedure: k16888 
o|contracted procedure: k16894 
o|contracted procedure: k16897 
o|contracted procedure: k16903 
o|contracted procedure: k16910 
o|contracted procedure: k16916 
o|contracted procedure: k16919 
o|contracted procedure: k16925 
o|contracted procedure: k16932 
o|contracted procedure: k17001 
o|contracted procedure: k16988 
o|contracted procedure: k17013 
o|contracted procedure: k17004 
o|contracted procedure: k17061 
o|contracted procedure: k17028 
o|contracted procedure: k17055 
o|contracted procedure: k17031 
o|contracted procedure: k17049 
o|contracted procedure: k17034 
o|contracted procedure: k17043 
o|contracted procedure: k17037 
o|contracted procedure: k17077 
o|contracted procedure: k17080 
o|contracted procedure: k17086 
o|contracted procedure: k17089 
o|contracted procedure: k17095 
o|contracted procedure: k17107 
o|contracted procedure: k17114 
o|contracted procedure: k17118 
o|contracted procedure: k17131 
o|contracted procedure: k17135 
o|contracted procedure: k17139 
o|contracted procedure: k17145 
o|contracted procedure: k17154 
o|contracted procedure: k17160 
o|contracted procedure: k17171 
o|contracted procedure: k17177 
o|contracted procedure: k17183 
o|contracted procedure: k17204 
o|contracted procedure: k17214 
o|contracted procedure: k17210 
o|contracted procedure: k17217 
o|contracted procedure: k17230 
o|contracted procedure: k17223 
o|contracted procedure: k17247 
o|contracted procedure: k17256 
o|contracted procedure: k17268 
o|contracted procedure: k17274 
o|contracted procedure: k17262 
o|contracted procedure: k17283 
o|contracted procedure: k17286 
o|contracted procedure: k17301 
o|contracted procedure: k17304 
o|contracted procedure: k17327 
o|contracted procedure: k17330 
o|contracted procedure: k17345 
o|contracted procedure: k17362 
o|contracted procedure: k17351 
o|contracted procedure: k17358 
o|contracted procedure: k17381 
o|contracted procedure: k17394 
o|contracted procedure: k17407 
o|contracted procedure: k17426 
o|contracted procedure: k17444 
o|contracted procedure: k17447 
o|contracted procedure: k17482 
o|contracted procedure: k17502 
o|contracted procedure: k17505 
o|contracted procedure: k17508 
o|contracted procedure: k17516 
o|contracted procedure: k17524 
o|contracted procedure: k17487 
o|contracted procedure: k17536 
o|contracted procedure: k17542 
o|contracted procedure: k17553 
o|contracted procedure: k17576 
o|contracted procedure: k17599 
o|contracted procedure: k17581 
o|contracted procedure: k17584 
o|contracted procedure: k17590 
o|contracted procedure: k17639 
o|contracted procedure: k17642 
o|contracted procedure: k17654 
o|contracted procedure: k17669 
o|contracted procedure: k17680 
o|contracted procedure: k17675 
o|contracted procedure: k17699 
o|contracted procedure: k17696 
o|contracted procedure: k17705 
o|contracted procedure: k17761 
o|contracted procedure: k17718 
o|contracted procedure: k17724 
o|contracted procedure: k17739 
o|contracted procedure: k17757 
o|contracted procedure: k17742 
o|contracted procedure: k17749 
o|contracted procedure: k17753 
o|contracted procedure: k17767 
o|contracted procedure: k17779 
o|contracted procedure: k17786 
o|contracted procedure: k17794 
o|contracted procedure: k17806 
o|contracted procedure: k17818 
o|contracted procedure: k17821 
o|contracted procedure: k17828 
o|contracted procedure: k17834 
o|contracted procedure: k17837 
o|contracted procedure: k17840 
o|contracted procedure: k17843 
o|contracted procedure: k17864 
o|contracted procedure: k17878 
o|contracted procedure: k17867 
o|contracted procedure: k17874 
o|contracted procedure: k17881 
o|contracted procedure: k17884 
o|contracted procedure: k17893 
o|contracted procedure: k17965 
o|contracted procedure: k17903 
o|contracted procedure: k17906 
o|contracted procedure: k17909 
o|contracted procedure: k17912 
o|contracted procedure: k17915 
o|contracted procedure: k17936 
o|contracted procedure: k17954 
o|contracted procedure: k17950 
o|contracted procedure: k17939 
o|contracted procedure: k17946 
o|contracted procedure: k17958 
o|contracted procedure: k17962 
o|contracted procedure: k17986 
o|contracted procedure: k17974 
o|contracted procedure: k17977 
o|contracted procedure: k18010 
o|contracted procedure: k18024 
o|contracted procedure: k18013 
o|contracted procedure: k18020 
o|contracted procedure: k18028 
o|contracted procedure: k18038 
o|contracted procedure: k18042 
o|contracted procedure: k18049 
o|contracted procedure: k18053 
o|contracted procedure: k18060 
o|contracted procedure: k18064 
o|contracted procedure: k18071 
o|contracted procedure: k18075 
o|contracted procedure: k18082 
o|contracted procedure: k18086 
o|contracted procedure: k18096 
o|contracted procedure: k18103 
o|contracted procedure: k18112 
o|contracted procedure: k18115 
o|contracted procedure: k18132 
o|contracted procedure: k18121 
o|contracted procedure: k18128 
o|contracted procedure: k18143 
o|contracted procedure: k18158 
o|contracted procedure: k18161 
o|contracted procedure: k18173 
o|contracted procedure: k18176 
o|contracted procedure: k18190 
o|contracted procedure: k18186 
o|contracted procedure: k18194 
o|contracted procedure: k18217 
o|contracted procedure: k18198 
o|contracted procedure: k18209 
o|contracted procedure: k18213 
o|contracted procedure: k18205 
o|contracted procedure: k18231 
o|contracted procedure: k18227 
o|contracted procedure: k18220 
o|contracted procedure: k18234 
o|contracted procedure: k18237 
o|contracted procedure: k18246 
o|contracted procedure: k18307 
o|contracted procedure: k18313 
o|contracted procedure: k18323 
o|contracted procedure: k18327 
o|contracted procedure: k18345 
o|contracted procedure: k18351 
o|contracted procedure: k18366 
o|contracted procedure: k18370 
o|contracted procedure: k18381 
o|contracted procedure: k18384 
o|contracted procedure: k18390 
o|contracted procedure: k18399 
o|contracted procedure: k18414 
o|contracted procedure: k18425 
o|contracted procedure: k18468 
o|contracted procedure: k18443 
o|contracted procedure: k18464 
o|contracted procedure: k18460 
o|contracted procedure: k18449 
o|contracted procedure: k18456 
o|contracted procedure: k18479 
o|contracted procedure: k18482 
o|contracted procedure: k18494 
o|contracted procedure: k18504 
o|contracted procedure: k18508 
o|contracted procedure: k18515 
o|contracted procedure: k18521 
o|contracted procedure: k18527 
o|contracted procedure: k18565 
o|contracted procedure: k18568 
o|contracted procedure: k18571 
o|contracted procedure: k18583 
o|contracted procedure: k18586 
o|contracted procedure: k18589 
o|contracted procedure: k18597 
o|contracted procedure: k18605 
o|contracted procedure: k18615 
o|contracted procedure: k18621 
o|contracted procedure: k18627 
o|contracted procedure: k18693 
o|contracted procedure: k18673 
o|contracted procedure: k18683 
o|contracted procedure: k18715 
o|contracted procedure: k18726 
o|contracted procedure: k18730 
o|contracted procedure: k18722 
o|contracted procedure: k18740 
o|contracted procedure: k18749 
o|contracted procedure: k18763 
o|contracted procedure: k18755 
o|contracted procedure: k18767 
o|contracted procedure: k18771 
o|contracted procedure: k18792 
o|contracted procedure: k18774 
o|contracted procedure: k18778 
o|contracted procedure: k18788 
o|contracted procedure: k18821 
o|contracted procedure: k18827 
o|contracted procedure: k18830 
o|contracted procedure: k18833 
o|contracted procedure: k18836 
o|contracted procedure: k18839 
o|contracted procedure: k18842 
o|contracted procedure: k18845 
o|contracted procedure: k31797 
o|contracted procedure: k31803 
o|contracted procedure: k31837 
o|contracted procedure: k31843 
o|contracted procedure: k31899 
o|contracted procedure: k31905 
o|contracted procedure: k31911 
o|contracted procedure: k31924 
o|contracted procedure: k31928 
o|contracted procedure: k31932 
o|contracted procedure: k31954 
o|contracted procedure: k31961 
o|contracted procedure: k31965 
o|contracted procedure: k31969 
o|contracted procedure: k31979 
o|contracted procedure: k31995 
o|contracted procedure: k31999 
o|contracted procedure: k32006 
o|contracted procedure: k32012 
o|contracted procedure: k32021 
o|contracted procedure: k32027 
o|contracted procedure: k32041 
o|contracted procedure: k32045 
o|contracted procedure: k32057 
o|contracted procedure: k32063 
o|contracted procedure: k32069 
o|contracted procedure: k32093 
o|contracted procedure: k32072 
o|contracted procedure: k32130 
o|contracted procedure: k32126 
o|contracted procedure: k32115 
o|contracted procedure: k32144 
o|contracted procedure: k32140 
o|contracted procedure: k32133 
o|contracted procedure: k32147 
o|contracted procedure: k18849 
o|contracted procedure: k18880 
o|contracted procedure: k18891 
o|contracted procedure: k18902 
o|contracted procedure: k18913 
o|contracted procedure: k18924 
o|contracted procedure: k18927 
o|contracted procedure: k18953 
o|contracted procedure: k18959 
o|contracted procedure: k18966 
o|contracted procedure: k18972 
o|contracted procedure: k18985 
o|contracted procedure: k18988 
o|contracted procedure: k19014 
o|contracted procedure: k19020 
o|contracted procedure: k19027 
o|contracted procedure: k19033 
o|contracted procedure: k19046 
o|contracted procedure: k19049 
o|contracted procedure: k19075 
o|contracted procedure: k19081 
o|contracted procedure: k19088 
o|contracted procedure: k19094 
o|contracted procedure: k19107 
o|contracted procedure: k19130 
o|contracted procedure: k19133 
o|contracted procedure: k19176 
o|contracted procedure: k19179 
o|contracted procedure: k19189 
o|contracted procedure: k19192 
o|contracted procedure: k1918934626 
o|contracted procedure: k19199 
o|contracted procedure: k1918934630 
o|contracted procedure: k19206 
o|contracted procedure: k1918934634 
o|contracted procedure: k19231 
o|contracted procedure: k19255 
o|contracted procedure: k19259 
o|contracted procedure: k19251 
o|contracted procedure: k19237 
o|contracted procedure: k19247 
o|contracted procedure: k19240 
o|contracted procedure: k19412 
o|contracted procedure: k19418 
o|contracted procedure: k19438 
o|contracted procedure: k19431 
o|contracted procedure: k19453 
o|contracted procedure: k19444 
o|contracted procedure: k19471 
o|contracted procedure: k19478 
o|contracted procedure: k19500 
o|contracted procedure: k19517 
o|contracted procedure: k19506 
o|contracted procedure: k19513 
o|contracted procedure: k19521 
o|contracted procedure: k19524 
o|contracted procedure: k19540 
o|contracted procedure: k19579 
o|contracted procedure: k19550 
o|contracted procedure: k19559 
o|contracted procedure: k19562 
o|contracted procedure: k19575 
o|contracted procedure: k19585 
o|contracted procedure: k19601 
o|contracted procedure: k19597 
o|contracted procedure: k19613 
o|contracted procedure: k19643 
o|contracted procedure: k19720 
o|contracted procedure: k19654 
o|contracted procedure: k19678 
o|contracted procedure: k19691 
o|contracted procedure: k19698 
o|contracted procedure: k19708 
o|contracted procedure: k19704 
o|contracted procedure: k19711 
o|contracted procedure: k19795 
o|contracted procedure: k19955 
o|contracted procedure: k19802 
o|contracted procedure: k19816 
o|contracted procedure: k19825 
o|contracted procedure: k19833 
o|contracted procedure: k19837 
o|contracted procedure: k19843 
o|contracted procedure: k19852 
o|contracted procedure: k19858 
o|contracted procedure: k19868 
o|contracted procedure: k19884 
o|contracted procedure: k19890 
o|contracted procedure: k19897 
o|contracted procedure: k19903 
o|contracted procedure: k19913 
o|contracted procedure: k19919 
o|contracted procedure: k19925 
o|contracted procedure: k19934 
o|contracted procedure: k19952 
o|contracted procedure: k19940 
o|contracted procedure: k19948 
o|contracted procedure: k19982 
o|contracted procedure: k19966 
o|contracted procedure: k19979 
o|contracted procedure: k19972 
o|contracted procedure: k20000 
o|contracted procedure: k19991 
o|contracted procedure: k20015 
o|contracted procedure: k20029 
o|contracted procedure: k20025 
o|contracted procedure: k20018 
o|inlining procedure: k20012 
o|contracted procedure: k20035 
o|contracted procedure: k20046 
o|contracted procedure: k20042 
o|inlining procedure: k20012 
o|contracted procedure: k20050 
o|contracted procedure: k20053 
o|contracted procedure: k20063 
o|contracted procedure: k20056 
o|contracted procedure: k20081 
o|contracted procedure: k20097 
o|contracted procedure: k20084 
o|contracted procedure: k20090 
o|contracted procedure: k20112 
o|contracted procedure: k20103 
o|contracted procedure: k20130 
o|contracted procedure: k20121 
o|contracted procedure: k20184 
o|contracted procedure: k20207 
o|contracted procedure: k20218 
o|contracted procedure: k20279 
o|contracted procedure: k20286 
o|contracted procedure: k20308 
o|contracted procedure: k20336 
o|contracted procedure: k20352 
o|contracted procedure: k20377 
o|contracted procedure: k20402 
o|contracted procedure: k20405 
o|contracted procedure: k20415 
o|contracted procedure: k20419 
o|contracted procedure: k20431 
o|contracted procedure: k20443 
o|contracted procedure: k20450 
o|contracted procedure: k20454 
o|contracted procedure: k20459 
o|contracted procedure: k20484 
o|contracted procedure: k20494 
o|contracted procedure: k20505 
o|contracted procedure: k20511 
o|contracted procedure: k20522 
o|contracted procedure: k20528 
o|contracted procedure: k20539 
o|contracted procedure: k20545 
o|contracted procedure: k20556 
o|contracted procedure: k20562 
o|contracted procedure: k20573 
o|contracted procedure: k20583 
o|contracted procedure: k20594 
o|contracted procedure: k20604 
o|contracted procedure: k20615 
o|contracted procedure: k20625 
o|contracted procedure: k20628 
o|contracted procedure: k20639 
o|contracted procedure: k20649 
o|contracted procedure: k20693 
o|contracted procedure: k20723 
o|contracted procedure: k20752 
o|contracted procedure: k20766 
o|contracted procedure: k20772 
o|contracted procedure: k20787 
o|contracted procedure: k20790 
o|contracted procedure: k20803 
o|contracted procedure: k20818 
o|contracted procedure: k20834 
o|contracted procedure: k20913 
o|contracted procedure: k20909 
o|contracted procedure: k20901 
o|contracted procedure: k20897 
o|contracted procedure: k20882 
o|contracted procedure: k20893 
o|contracted procedure: k20927 
o|contracted procedure: k20930 
o|contracted procedure: k20936 
o|contracted procedure: k20942 
o|contracted procedure: k20948 
o|contracted procedure: k20965 
o|contracted procedure: k20971 
o|contracted procedure: k21011 
o|contracted procedure: k21025 
o|contracted procedure: k21034 
o|contracted procedure: k21043 
o|contracted procedure: k21076 
o|contracted procedure: k21117 
o|contracted procedure: k21126 
o|contracted procedure: k21138 
o|contracted procedure: k21150 
o|contracted procedure: k21159 
o|contracted procedure: k21177 
o|contracted procedure: k21195 
o|contracted procedure: k21198 
o|contracted procedure: k21235 
o|contracted procedure: k21208 
o|contracted procedure: k21229 
o|contracted procedure: k21241 
o|contracted procedure: k21247 
o|contracted procedure: k21253 
o|contracted procedure: k21262 
o|contracted procedure: k21265 
o|contracted procedure: k21299 
o|contracted procedure: k21333 
o|contracted procedure: k21375 
o|contracted procedure: k21367 
o|contracted procedure: k21384 
o|contracted procedure: k21396 
o|contracted procedure: k21405 
o|contracted procedure: k21435 
o|contracted procedure: k21447 
o|contracted procedure: k21456 
o|contracted procedure: k21512 
o|contracted procedure: k21524 
o|inlining procedure: k21541 
o|contracted procedure: k21545 
o|inlining procedure: k21541 
o|contracted procedure: k21551 
o|contracted procedure: k21576 
o|contracted procedure: k21596 
o|contracted procedure: k21603 
o|contracted procedure: k21646 
o|contracted procedure: k21666 
o|contracted procedure: k21684 
o|contracted procedure: k21677 
o|contracted procedure: k21690 
o|contracted procedure: k21701 
o|contracted procedure: k21697 
o|contracted procedure: k21707 
o|contracted procedure: k21719 
o|contracted procedure: k21743 
o|contracted procedure: k21753 
o|contracted procedure: k21763 
o|contracted procedure: k21783 
o|contracted procedure: k21769 
o|contracted procedure: k21780 
o|contracted procedure: k21792 
o|contracted procedure: k21801 
o|contracted procedure: k21811 
o|inlining procedure: k21818 
o|contracted procedure: k21822 
o|inlining procedure: k21818 
o|contracted procedure: k21836 
o|contracted procedure: k21854 
o|contracted procedure: k21860 
o|contracted procedure: k21877 
o|contracted procedure: k21880 
o|contracted procedure: k21902 
o|contracted procedure: k22021 
o|contracted procedure: k21908 
o|contracted procedure: k22017 
o|contracted procedure: k22009 
o|contracted procedure: k22013 
o|contracted procedure: k22005 
o|contracted procedure: k21911 
o|contracted procedure: k21914 
o|contracted procedure: k22001 
o|contracted procedure: k21997 
o|contracted procedure: k21993 
o|contracted procedure: k21989 
o|contracted procedure: k21976 
o|contracted procedure: k21984 
o|contracted procedure: k21980 
o|contracted procedure: k21920 
o|contracted procedure: k21932 
o|contracted procedure: k21963 
o|contracted procedure: k21971 
o|contracted procedure: k21967 
o|contracted procedure: k21936 
o|contracted procedure: k21942 
o|contracted procedure: k21950 
o|contracted procedure: k21958 
o|contracted procedure: k21954 
o|contracted procedure: k21946 
o|contracted procedure: k22025 
o|contracted procedure: k22048 
o|contracted procedure: k22069 
o|contracted procedure: k22075 
o|contracted procedure: k22092 
o|contracted procedure: k22081 
o|contracted procedure: k22088 
o|contracted procedure: k22105 
o|contracted procedure: k22115 
o|contracted procedure: k22112 
o|contracted procedure: k22128 
o|contracted procedure: k22150 
o|contracted procedure: k22165 
o|contracted procedure: k22217 
o|contracted procedure: k22174 
o|contracted procedure: k22180 
o|contracted procedure: k22199 
o|contracted procedure: k22202 
o|contracted procedure: k22213 
o|contracted procedure: k22253 
o|contracted procedure: k22277 
o|contracted procedure: k22289 
o|contracted procedure: k22305 
o|contracted procedure: k22321 
o|contracted procedure: k22330 
o|contracted procedure: k22357 
o|contracted procedure: k22369 
o|contracted procedure: k22378 
o|contracted procedure: k22387 
o|contracted procedure: k22396 
o|contracted procedure: k22420 
o|contracted procedure: k22432 
o|contracted procedure: k22435 
o|contracted procedure: k22450 
o|contracted procedure: k22460 
o|contracted procedure: k22467 
o|contracted procedure: k22491 
o|contracted procedure: k22500 
o|contracted procedure: k22506 
o|contracted procedure: k22518 
o|contracted procedure: k22530 
o|contracted procedure: k22542 
o|contracted procedure: k22554 
o|contracted procedure: k22566 
o|contracted procedure: k22578 
o|contracted procedure: k22609 
o|contracted procedure: k22618 
o|contracted procedure: k22624 
o|contracted procedure: k22633 
o|contracted procedure: k22642 
o|contracted procedure: k22654 
o|contracted procedure: k22669 
o|contracted procedure: k22681 
o|contracted procedure: k22696 
o|contracted procedure: k22712 
o|contracted procedure: k22724 
o|contracted procedure: k22743 
o|contracted procedure: k22792 
o|contracted procedure: k22781 
o|contracted procedure: k22788 
o|contracted procedure: k22772 
o|contracted procedure: k22803 
o|contracted procedure: k22816 
o|contracted procedure: k22826 
o|contracted procedure: k22853 
o|contracted procedure: k22859 
o|contracted procedure: k22869 
o|contracted procedure: k22875 
o|contracted procedure: k22888 
o|contracted procedure: k22891 
o|contracted procedure: k22914 
o|contracted procedure: k22961 
o|contracted procedure: k22967 
o|contracted procedure: k22976 
o|contracted procedure: k22988 
o|contracted procedure: k23000 
o|contracted procedure: k23009 
o|contracted procedure: k23012 
o|contracted procedure: k23021 
o|contracted procedure: k23027 
o|contracted procedure: k23036 
o|contracted procedure: k23045 
o|contracted procedure: k23054 
o|contracted procedure: k23063 
o|contracted procedure: k23066 
o|contracted procedure: k23126 
o|contracted procedure: k23112 
o|contracted procedure: k23122 
o|contracted procedure: k23140 
o|contracted procedure: k23130 
o|contracted procedure: k23137 
o|contracted procedure: k23149 
o|contracted procedure: k23155 
o|contracted procedure: k23164 
o|contracted procedure: k23191 
o|contracted procedure: k23187 
o|contracted procedure: k23171 
o|contracted procedure: k23183 
o|contracted procedure: k23179 
o|contracted procedure: k23175 
o|contracted procedure: k23197 
o|contracted procedure: k23240 
o|contracted procedure: k23236 
o|contracted procedure: k23204 
o|contracted procedure: k23232 
o|contracted procedure: k23228 
o|contracted procedure: k23224 
o|contracted procedure: k23208 
o|contracted procedure: k23220 
o|contracted procedure: k23216 
o|contracted procedure: k23212 
o|contracted procedure: k23246 
o|contracted procedure: k23305 
o|contracted procedure: k23301 
o|contracted procedure: k23253 
o|contracted procedure: k23297 
o|contracted procedure: k23293 
o|contracted procedure: k23289 
o|contracted procedure: k23257 
o|contracted procedure: k23285 
o|contracted procedure: k23281 
o|contracted procedure: k23277 
o|contracted procedure: k23261 
o|contracted procedure: k23273 
o|contracted procedure: k23269 
o|contracted procedure: k23265 
o|contracted procedure: k23317 
o|contracted procedure: k23329 
o|contracted procedure: k23335 
o|contracted procedure: k23341 
o|contracted procedure: k23347 
o|contracted procedure: k23382 
o|contracted procedure: k23378 
o|contracted procedure: k23374 
o|contracted procedure: k23354 
o|contracted procedure: k23370 
o|contracted procedure: k23362 
o|contracted procedure: k23366 
o|contracted procedure: k23358 
o|contracted procedure: k23391 
o|contracted procedure: k23397 
o|contracted procedure: k23404 
o|contracted procedure: k23410 
o|contracted procedure: k23417 
o|contracted procedure: k23443 
o|contracted procedure: k23452 
o|contracted procedure: k23470 
o|contracted procedure: k23466 
o|contracted procedure: k23459 
o|contracted procedure: k23476 
o|contracted procedure: k23494 
o|contracted procedure: k23490 
o|contracted procedure: k23486 
o|contracted procedure: k23515 
o|contracted procedure: k23511 
o|contracted procedure: k23507 
o|contracted procedure: k23526 
o|contracted procedure: k23539 
o|contracted procedure: k23542 
o|contracted procedure: k23551 
o|contracted procedure: k23554 
o|contracted procedure: k23591 
o|contracted procedure: k23581 
o|contracted procedure: k23600 
o|contracted procedure: k23621 
o|contracted procedure: k23609 
o|contracted procedure: k23612 
o|contracted procedure: k23636 
o|contracted procedure: k23630 
o|contracted procedure: k23654 
o|contracted procedure: k23645 
o|contracted procedure: k23672 
o|contracted procedure: k23663 
o|contracted procedure: k23691 
o|contracted procedure: k23703 
o|contracted procedure: k23713 
o|contracted procedure: k23717 
o|contracted procedure: k23742 
o|contracted procedure: k23754 
o|contracted procedure: k23764 
o|contracted procedure: k23768 
o|contracted procedure: k23813 
o|contracted procedure: k23819 
o|contracted procedure: k23828 
o|contracted procedure: k23831 
o|contracted procedure: k23847 
o|propagated global variable: r23848 ##sys#undefined-value 
o|contracted procedure: k23850 
o|contracted procedure: k23876 
o|contracted procedure: k23869 
o|contracted procedure: k23892 
o|contracted procedure: k23885 
o|contracted procedure: k23904 
o|contracted procedure: k23917 
o|propagated global variable: r23918 ##sys#undefined-value 
o|contracted procedure: k23921 
o|contracted procedure: k23927 
o|contracted procedure: k23930 
o|contracted procedure: k23948 
o|contracted procedure: k23966 
o|contracted procedure: k23981 
o|contracted procedure: k23990 
o|contracted procedure: k23993 
o|contracted procedure: k23999 
o|contracted procedure: k24012 
o|contracted procedure: k24019 
o|contracted procedure: k24035 
o|contracted procedure: k24038 
o|contracted procedure: k24041 
o|contracted procedure: k24055 
o|contracted procedure: k24061 
o|contracted procedure: k24067 
o|contracted procedure: k24073 
o|contracted procedure: k24076 
o|contracted procedure: k24088 
o|contracted procedure: k24098 
o|contracted procedure: k24107 
o|contracted procedure: k24113 
o|contracted procedure: k24129 
o|contracted procedure: k24136 
o|contracted procedure: k24142 
o|contracted procedure: k24155 
o|contracted procedure: k24161 
o|contracted procedure: k24179 
o|contracted procedure: k24216 
o|contracted procedure: k24185 
o|contracted procedure: k24195 
o|contracted procedure: k24212 
o|contracted procedure: k24198 
o|contracted procedure: k24208 
o|contracted procedure: k24227 
o|contracted procedure: k24242 
o|contracted procedure: k24251 
o|contracted procedure: k24260 
o|contracted procedure: k24287 
o|contracted procedure: k24302 
o|contracted procedure: k24311 
o|contracted procedure: k24314 
o|contracted procedure: k24355 
o|contracted procedure: k24410 
o|contracted procedure: k24373 
o|contracted procedure: k24379 
o|contracted procedure: k24391 
o|contracted procedure: k24471 
o|contracted procedure: k24484 
o|contracted procedure: k24488 
o|contracted procedure: k24491 
o|contracted procedure: k24500 
o|contracted procedure: k24509 
o|contracted procedure: k24512 
o|contracted procedure: k24521 
o|contracted procedure: k24530 
o|contracted procedure: k24539 
o|contracted procedure: k24548 
o|contracted procedure: k24557 
o|contracted procedure: k24566 
o|contracted procedure: k24575 
o|contracted procedure: k24594 
o|contracted procedure: k24641 
o|contracted procedure: k24650 
o|contracted procedure: k24672 
o|contracted procedure: k24662 
o|contracted procedure: k24685 
o|contracted procedure: k24689 
o|contracted procedure: k24698 
o|contracted procedure: k24707 
o|contracted procedure: k24722 
o|contracted procedure: k24725 
o|contracted procedure: k24738 
o|contracted procedure: k24745 
o|contracted procedure: k24792 
o|contracted procedure: k24805 
o|contracted procedure: k24808 
o|contracted procedure: k24817 
o|contracted procedure: k24836 
o|contracted procedure: k24852 
o|contracted procedure: k24861 
o|contracted procedure: k24877 
o|contracted procedure: k24881 
o|contracted procedure: k24885 
o|contracted procedure: k24889 
o|contracted procedure: k24916 
o|contracted procedure: k24919 
o|contracted procedure: k24930 
o|contracted procedure: k24926 
o|contracted procedure: k24936 
o|contracted procedure: k24939 
o|contracted procedure: k24975 
o|contracted procedure: k24998 
o|contracted procedure: k24978 
o|contracted procedure: k24994 
o|contracted procedure: k25017 
o|contracted procedure: k25047 
o|contracted procedure: k25057 
o|contracted procedure: k25063 
o|contracted procedure: k25073 
o|contracted procedure: k25172 
o|contracted procedure: k25175 
o|contracted procedure: k25178 
o|contracted procedure: k25181 
o|contracted procedure: k25187 
o|contracted procedure: k25212 
o|contracted procedure: k25193 
o|contracted procedure: k25202 
o|contracted procedure: k25205 
o|contracted procedure: k25215 
o|contracted procedure: k31290 
o|contracted procedure: k31293 
o|contracted procedure: k31296 
o|contracted procedure: k31302 
o|contracted procedure: k31309 
o|contracted procedure: k31305 
o|contracted procedure: k31315 
o|contracted procedure: k31318 
o|contracted procedure: k31321 
o|contracted procedure: k31327 
o|contracted procedure: k31336 
o|contracted procedure: k31339 
o|contracted procedure: k31346 
o|contracted procedure: k31355 
o|contracted procedure: k31358 
o|contracted procedure: k31365 
o|contracted procedure: k31377 
o|contracted procedure: k31412 
o|contracted procedure: k31380 
o|contracted procedure: k31387 
o|contracted procedure: k31391 
o|contracted procedure: k31398 
o|contracted procedure: k31394 
o|contracted procedure: k31401 
o|contracted procedure: k31404 
o|contracted procedure: k31418 
o|contracted procedure: k31421 
o|contracted procedure: k31424 
o|contracted procedure: k31427 
o|contracted procedure: k31433 
o|contracted procedure: k31455 
o|contracted procedure: k31446 
o|contracted procedure: k31464 
o|contracted procedure: k31478 
o|contracted procedure: k31474 
o|contracted procedure: k31467 
o|contracted procedure: k31489 
o|contracted procedure: k31493 
o|contracted procedure: k31485 
o|contracted procedure: k31502 
o|contracted procedure: k31505 
o|contracted procedure: k31508 
o|contracted procedure: k31514 
o|contracted procedure: k31520 
o|contracted procedure: k25222 
o|contracted procedure: k25231 
o|contracted procedure: k25242 
o|contracted procedure: k25238 
o|contracted procedure: k25254 
o|contracted procedure: k25284 
o|contracted procedure: k25291 
o|contracted procedure: k25308 
o|contracted procedure: k25342 
o|contracted procedure: k25349 
o|contracted procedure: k25370 
o|contracted procedure: k25377 
o|contracted procedure: k25388 
o|contracted procedure: k25391 
o|contracted procedure: k25398 
o|contracted procedure: k25401 
o|contracted procedure: k25419 
o|contracted procedure: k25407 
o|contracted procedure: k25415 
o|contracted procedure: k25425 
o|contracted procedure: k25431 
o|contracted procedure: k25434 
o|contracted procedure: k25437 
o|contracted procedure: k25447 
o|contracted procedure: k25450 
o|contracted procedure: k25453 
o|contracted procedure: k25491 
o|contracted procedure: k25487 
o|contracted procedure: k25469 
o|contracted procedure: k25479 
o|contracted procedure: k25483 
o|contracted procedure: k25505 
o|contracted procedure: k25520 
o|contracted procedure: k25530 
o|contracted procedure: k25534 
o|contracted procedure: k25559 
o|contracted procedure: k25569 
o|inlining procedure: k25562 
o|inlining procedure: k25562 
o|contracted procedure: k25728 
o|contracted procedure: k25593 
o|contracted procedure: k25722 
o|contracted procedure: k25596 
o|contracted procedure: k25716 
o|contracted procedure: k25599 
o|contracted procedure: k25710 
o|contracted procedure: k25602 
o|contracted procedure: k25700 
o|contracted procedure: k25608 
o|contracted procedure: k25611 
o|contracted procedure: k25623 
o|contracted procedure: k25694 
o|contracted procedure: k25626 
o|contracted procedure: k25632 
o|contracted procedure: k25670 
o|contracted procedure: k25658 
o|contracted procedure: k25666 
o|contracted procedure: k25662 
o|contracted procedure: k25642 
o|contracted procedure: k25650 
o|contracted procedure: k25674 
o|contracted procedure: k25681 
o|contracted procedure: k25684 
o|contracted procedure: k25707 
o|contracted procedure: k25740 
o|contracted procedure: k25748 
o|contracted procedure: k25751 
o|contracted procedure: k25754 
o|contracted procedure: k25794 
o|contracted procedure: k25807 
o|contracted procedure: k25822 
o|contracted procedure: k25832 
o|contracted procedure: k25836 
o|contracted procedure: k25924 
o|contracted procedure: k25842 
o|contracted procedure: k25918 
o|contracted procedure: k25845 
o|contracted procedure: k25912 
o|contracted procedure: k25848 
o|contracted procedure: k25906 
o|contracted procedure: k25851 
o|contracted procedure: k25900 
o|contracted procedure: k25854 
o|contracted procedure: k25894 
o|contracted procedure: k25857 
o|contracted procedure: k25888 
o|contracted procedure: k25860 
o|contracted procedure: k25882 
o|contracted procedure: k25863 
o|contracted procedure: k25872 
o|contracted procedure: k25942 
o|contracted procedure: k25959 
o|contracted procedure: k25987 
o|contracted procedure: k25995 
o|contracted procedure: k26010 
o|contracted procedure: k26020 
o|contracted procedure: k26024 
o|contracted procedure: k26051 
o|contracted procedure: k26058 
o|contracted procedure: k26064 
o|contracted procedure: k26067 
o|contracted procedure: k26105 
o|contracted procedure: k26115 
o|contracted procedure: k26119 
o|contracted procedure: k26122 
o|contracted procedure: k26143 
o|contracted procedure: k26152 
o|contracted procedure: k26155 
o|contracted procedure: k26158 
o|contracted procedure: k26173 
o|contracted procedure: k26165 
o|contracted procedure: k26180 
o|contracted procedure: k26186 
o|contracted procedure: k26192 
o|contracted procedure: k26198 
o|contracted procedure: k26204 
o|contracted procedure: k26210 
o|contracted procedure: k26216 
o|contracted procedure: k26222 
o|contracted procedure: k26228 
o|contracted procedure: k26234 
o|contracted procedure: k26240 
o|contracted procedure: k26246 
o|contracted procedure: k26252 
o|contracted procedure: k26258 
o|contracted procedure: k26295 
o|contracted procedure: k26298 
o|contracted procedure: k26314 
o|contracted procedure: k26307 
o|contracted procedure: k26343 
o|contracted procedure: k26339 
o|contracted procedure: k26372 
o|contracted procedure: k26368 
o|contracted procedure: k26375 
o|contracted procedure: k26379 
o|contracted procedure: k26385 
o|contracted procedure: k26388 
o|contracted procedure: k26391 
o|contracted procedure: k26394 
o|contracted procedure: k26397 
o|contracted procedure: k26418 
o|contracted procedure: k26424 
o|contracted procedure: k26427 
o|contracted procedure: k26433 
o|contracted procedure: k26447 
o|contracted procedure: k26444 
o|contracted procedure: k26456 
o|contracted procedure: k26515 
o|contracted procedure: k26468 
o|contracted procedure: k26511 
o|contracted procedure: k26483 
o|contracted procedure: k26507 
o|contracted procedure: k26503 
o|contracted procedure: k26499 
o|contracted procedure: k26538 
o|contracted procedure: k26541 
o|contracted procedure: k26567 
o|contracted procedure: k26573 
o|contracted procedure: k26580 
o|contracted procedure: k26586 
o|contracted procedure: k26605 
o|contracted procedure: k26658 
o|contracted procedure: k26611 
o|contracted procedure: k26643 
o|contracted procedure: k26624 
o|contracted procedure: k26632 
o|contracted procedure: k26628 
o|contracted procedure: k26654 
o|contracted procedure: k26650 
o|contracted procedure: k26668 
o|contracted procedure: k26678 
o|contracted procedure: k26701 
o|contracted procedure: k26718 
o|contracted procedure: k26740 
o|contracted procedure: k26736 
o|contracted procedure: k26721 
o|contracted procedure: k26724 
o|contracted procedure: k26732 
o|contracted procedure: k26747 
o|contracted procedure: k26764 
o|contracted procedure: k26786 
o|contracted procedure: k26782 
o|contracted procedure: k26767 
o|contracted procedure: k26770 
o|contracted procedure: k26778 
o|contracted procedure: k26798 
o|contracted procedure: k26812 
o|contracted procedure: k26801 
o|contracted procedure: k26808 
o|contracted procedure: k26818 
o|contracted procedure: k26828 
o|contracted procedure: k26840 
o|contracted procedure: k26862 
o|contracted procedure: k26858 
o|contracted procedure: k26843 
o|contracted procedure: k26846 
o|contracted procedure: k26854 
o|contracted procedure: k26869 
o|contracted procedure: k26892 
o|contracted procedure: k26895 
o|contracted procedure: k26898 
o|contracted procedure: k26906 
o|contracted procedure: k26914 
o|contracted procedure: k26878 
o|contracted procedure: k26932 
o|contracted procedure: k26945 
o|contracted procedure: k26954 
o|contracted procedure: k26992 
o|contracted procedure: k26960 
o|contracted procedure: k26974 
o|contracted procedure: k26970 
o|contracted procedure: k26988 
o|contracted procedure: k26995 
o|contracted procedure: k26998 
o|contracted procedure: k27010 
o|contracted procedure: k27013 
o|contracted procedure: k27016 
o|contracted procedure: k27024 
o|contracted procedure: k27032 
o|contracted procedure: k27062 
o|contracted procedure: k27058 
o|contracted procedure: k27068 
o|contracted procedure: k27071 
o|contracted procedure: k27076 
o|contracted procedure: k27108 
o|contracted procedure: k27082 
o|contracted procedure: k27104 
o|contracted procedure: k27085 
o|contracted procedure: k27146 
o|contracted procedure: k27158 
o|contracted procedure: k27168 
o|contracted procedure: k27172 
o|contracted procedure: k27203 
o|contracted procedure: k27228 
o|contracted procedure: k27212 
o|contracted procedure: k27245 
o|contracted procedure: k27265 
o|contracted procedure: k27271 
o|contracted procedure: k27284 
o|contracted procedure: k27290 
o|contracted procedure: k27309 
o|contracted procedure: k27323 
o|contracted procedure: k27312 
o|contracted procedure: k27319 
o|contracted procedure: k27339 
o|contracted procedure: k27345 
o|contracted procedure: k27352 
o|contracted procedure: k27358 
o|contracted procedure: k27408 
o|contracted procedure: k27368 
o|contracted procedure: k27420 
o|contracted procedure: k27423 
o|contracted procedure: k27426 
o|contracted procedure: k27429 
o|contracted procedure: k27440 
o|contracted procedure: k27457 
o|contracted procedure: k27460 
o|contracted procedure: k27463 
o|contracted procedure: k27466 
o|contracted procedure: k27477 
o|contracted procedure: k27494 
o|contracted procedure: k27503 
o|contracted procedure: k27512 
o|contracted procedure: k27521 
o|contracted procedure: k27530 
o|contracted procedure: k27539 
o|contracted procedure: k27548 
o|contracted procedure: k27557 
o|contracted procedure: k27566 
o|contracted procedure: k27575 
o|contracted procedure: k27584 
o|contracted procedure: k27593 
o|contracted procedure: k27602 
o|contracted procedure: k27611 
o|contracted procedure: k27620 
o|contracted procedure: k27629 
o|contracted procedure: k27638 
o|contracted procedure: k27647 
o|contracted procedure: k27656 
o|contracted procedure: k27665 
o|contracted procedure: k27674 
o|contracted procedure: k27683 
o|contracted procedure: k27692 
o|contracted procedure: k27701 
o|contracted procedure: k27710 
o|contracted procedure: k27719 
o|contracted procedure: k27728 
o|contracted procedure: k27737 
o|contracted procedure: k27746 
o|contracted procedure: k27755 
o|contracted procedure: k27764 
o|contracted procedure: k27773 
o|contracted procedure: k27782 
o|contracted procedure: k27791 
o|contracted procedure: k27800 
o|contracted procedure: k27809 
o|contracted procedure: k27818 
o|contracted procedure: k27827 
o|contracted procedure: k27836 
o|contracted procedure: k27845 
o|contracted procedure: k27854 
o|contracted procedure: k27863 
o|contracted procedure: k27872 
o|contracted procedure: k27881 
o|contracted procedure: k27890 
o|contracted procedure: k27899 
o|contracted procedure: k27908 
o|contracted procedure: k27917 
o|contracted procedure: k27926 
o|contracted procedure: k27935 
o|contracted procedure: k27944 
o|contracted procedure: k27953 
o|contracted procedure: k28114 
o|contracted procedure: k28118 
o|contracted procedure: k28148 
o|contracted procedure: k28178 
o|contracted procedure: k28154 
o|contracted procedure: k28157 
o|contracted procedure: k28166 
o|contracted procedure: k28175 
o|contracted procedure: k28211 
o|contracted procedure: k28204 
o|contracted procedure: k28233 
o|contracted procedure: k28226 
o|contracted procedure: k28284 
o|contracted procedure: k28301 
o|contracted procedure: k28263 
o|contracted procedure: k28267 
o|contracted procedure: k28328 
o|contracted procedure: k28348 
o|contracted procedure: k28365 
o|contracted procedure: k28315 
o|contracted procedure: k28319 
o|contracted procedure: k28381 
o|contracted procedure: k28388 
o|contracted procedure: k28444 
o|contracted procedure: k28448 
o|contracted procedure: k28456 
o|contracted procedure: k28473 
o|contracted procedure: k28488 
o|contracted procedure: k28551 
o|contracted procedure: k28532 
o|contracted procedure: k28541 
o|contracted procedure: k28560 
o|contracted procedure: k28617 
o|contracted procedure: k28620 
o|contracted procedure: k28626 
o|contracted procedure: k28669 
o|contracted procedure: k28685 
o|contracted procedure: k28678 
o|contracted procedure: k29117 
o|contracted procedure: k28696 
o|contracted procedure: k28711 
o|contracted procedure: k28815 
o|contracted procedure: k28723 
o|contracted procedure: k28742 
o|contracted procedure: k28745 
o|contracted procedure: k28754 
o|contracted procedure: k2859434751 
o|contracted procedure: k28784 
o|contracted procedure: k28812 
o|contracted procedure: k28794 
o|contracted procedure: k28807 
o|contracted procedure: k28824 
o|contracted procedure: k29103 
o|contracted procedure: k28846 
o|contracted procedure: k28864 
o|contracted procedure: k28867 
o|contracted procedure: k28876 
o|contracted procedure: k28879 
o|contracted procedure: k28893 
o|contracted procedure: k28902 
o|contracted procedure: k28957 
o|contracted procedure: k28915 
o|contracted procedure: k28927 
o|contracted procedure: k28944 
o|contracted procedure: k28938 
o|contracted procedure: k28960 
o|contracted procedure: k2859434764 
o|contracted procedure: k28978 
o|contracted procedure: k28974 
o|contracted procedure: k28987 
o|contracted procedure: k28996 
o|contracted procedure: k29012 
o|contracted procedure: k29027 
o|contracted procedure: k29019 
o|contracted procedure: k29046 
o|contracted procedure: k29038 
o|contracted procedure: k29072 
o|contracted procedure: k29100 
o|contracted procedure: k29082 
o|contracted procedure: k29095 
o|contracted procedure: k29123 
o|contracted procedure: k29132 
o|contracted procedure: k29175 
o|contracted procedure: k29181 
o|contracted procedure: k29184 
o|contracted procedure: k29198 
o|contracted procedure: k29239 
o|contracted procedure: k29246 
o|contracted procedure: k29254 
o|contracted procedure: k29266 
o|contracted procedure: k29270 
o|contracted procedure: k29277 
o|contracted procedure: k29213 
o|contracted procedure: k29311 
o|contracted procedure: k29320 
o|contracted procedure: k29327 
o|contracted procedure: k29331 
o|contracted procedure: k29361 
o|contracted procedure: k29368 
o|contracted procedure: k29372 
o|contracted procedure: k29379 
o|contracted procedure: k29392 
o|contracted procedure: k29399 
o|contracted procedure: k29430 
o|contracted procedure: k29426 
o|contracted procedure: k29454 
o|contracted procedure: k29463 
o|contracted procedure: k29476 
o|contracted procedure: k29488 
o|contracted procedure: k29498 
o|contracted procedure: k29571 
o|contracted procedure: k29501 
o|contracted procedure: k29514 
o|contracted procedure: k29555 
o|contracted procedure: k29544 
o|contracted procedure: k29551 
o|contracted procedure: k29624 
o|contracted procedure: k29614 
o|contracted procedure: k29642 
o|contracted procedure: k29676 
o|contracted procedure: k29685 
o|contracted procedure: k29688 
o|contracted procedure: k29695 
o|contracted procedure: k29701 
o|contracted procedure: k29708 
o|contracted procedure: k29714 
o|contracted procedure: k29717 
o|contracted procedure: k29723 
o|contracted procedure: k29726 
o|contracted procedure: k29733 
o|contracted procedure: k29739 
o|contracted procedure: k29742 
o|contracted procedure: k29749 
o|contracted procedure: k29755 
o|contracted procedure: k29758 
o|contracted procedure: k29765 
o|contracted procedure: k29771 
o|contracted procedure: k29774 
o|contracted procedure: k29781 
o|contracted procedure: k29787 
o|contracted procedure: k29790 
o|contracted procedure: k29797 
o|contracted procedure: k29803 
o|contracted procedure: k29806 
o|contracted procedure: k29813 
o|contracted procedure: k29819 
o|contracted procedure: k29822 
o|contracted procedure: k29829 
o|contracted procedure: k29835 
o|contracted procedure: k29838 
o|contracted procedure: k29845 
o|contracted procedure: k29851 
o|contracted procedure: k29854 
o|contracted procedure: k29861 
o|contracted procedure: k29867 
o|contracted procedure: k29870 
o|contracted procedure: k29877 
o|contracted procedure: k29884 
o|contracted procedure: k29892 
o|contracted procedure: k29888 
o|contracted procedure: k29918 
o|contracted procedure: k29925 
o|contracted procedure: k29937 
o|contracted procedure: k29949 
o|contracted procedure: k29943 
o|contracted procedure: k29946 
o|contracted procedure: k29964 
o|contracted procedure: k29977 
o|contracted procedure: k29973 
o|contracted procedure: k29981 
o|contracted procedure: k30025 
o|contracted procedure: k29990 
o|contracted procedure: k29993 
o|contracted procedure: k29996 
o|contracted procedure: k30021 
o|contracted procedure: k30008 
o|contracted procedure: k30011 
o|contracted procedure: k30035 
o|contracted procedure: k30041 
o|contracted procedure: k30048 
o|contracted procedure: k30057 
o|contracted procedure: k30063 
o|contracted procedure: k30066 
o|contracted procedure: k30069 
o|contracted procedure: k30075 
o|contracted procedure: k30082 
o|contracted procedure: k30088 
o|contracted procedure: k30092 
o|contracted procedure: k30237 
o|contracted procedure: k30243 
o|contracted procedure: k30246 
o|contracted procedure: k30252 
o|contracted procedure: k30255 
o|contracted procedure: k30261 
o|contracted procedure: k30276 
o|contracted procedure: k30279 
o|contracted procedure: k30300 
o|contracted procedure: k30330 
o|contracted procedure: k30502 
o|contracted procedure: k30372 
o|contracted procedure: k30458 
o|contracted procedure: k30451 
o|contracted procedure: k30396 
o|contracted procedure: k30468 
o|contracted procedure: k30472 
o|contracted procedure: k30476 
o|contracted procedure: k30480 
o|contracted procedure: k30549 
o|contracted procedure: k30558 
o|contracted procedure: k30577 
o|contracted procedure: k30581 
o|contracted procedure: k30795 
o|contracted procedure: k30625 
o|contracted procedure: k30655 
o|contracted procedure: k30665 
o|contracted procedure: k30669 
o|contracted procedure: k30639 
o|contracted procedure: k30643 
o|contracted procedure: k30675 
o|contracted procedure: k30691 
o|contracted procedure: k30694 
o|contracted procedure: k30697 
o|contracted procedure: k30703 
o|contracted procedure: k30722 
o|contracted procedure: k30725 
o|contracted procedure: k30728 
o|contracted procedure: k30736 
o|contracted procedure: k30744 
o|contracted procedure: k30762 
o|contracted procedure: k30771 
o|contracted procedure: k30778 
o|contracted procedure: k30786 
o|contracted procedure: k30812 
o|contracted procedure: k30816 
o|contracted procedure: k30821 
o|contracted procedure: k30825 
o|contracted procedure: k30829 
o|contracted procedure: k30833 
o|contracted procedure: k30888 
o|contracted procedure: k30895 
o|contracted procedure: k30929 
o|contracted procedure: k30938 
o|contracted procedure: k30941 
o|contracted procedure: k30950 
o|contracted procedure: k30965 
o|contracted procedure: k30961 
o|contracted procedure: k30978 
o|contracted procedure: k30981 
o|contracted procedure: k30988 
o|contracted procedure: k30997 
o|contracted procedure: k31000 
o|contracted procedure: k31003 
o|contracted procedure: k31033 
o|contracted procedure: k31022 
o|contracted procedure: k31043 
o|contracted procedure: k31046 
o|contracted procedure: k31097 
o|contracted procedure: k31121 
o|contracted procedure: k31139 
o|contracted procedure: k31149 
o|contracted procedure: k31169 
o|contracted procedure: k31179 
o|contracted procedure: k31183 
o|contracted procedure: k31224 
o|contracted procedure: k31234 
o|contracted procedure: k31238 
o|contracted procedure: k31281 
o|contracted procedure: k31266 
o|contracted procedure: k31528 
o|contracted procedure: k31538 
o|contracted procedure: k31548 
o|contracted procedure: k31558 
o|contracted procedure: k31568 
o|contracted procedure: k31578 
o|contracted procedure: k31588 
o|contracted procedure: k31598 
o|contracted procedure: k31608 
o|contracted procedure: k31618 
o|contracted procedure: k31628 
o|contracted procedure: k31638 
o|contracted procedure: k31648 
o|contracted procedure: k31658 
o|contracted procedure: k31664 
o|contracted procedure: k31667 
o|contracted procedure: k31691 
o|contracted procedure: k31698 
o|contracted procedure: k31707 
o|contracted procedure: k31714 
o|contracted procedure: k31733 
o|contracted procedure: k31742 
o|contracted procedure: k31753 
o|contracted procedure: k31749 
o|contracted procedure: k31762 
o|contracted procedure: k31769 
o|contracted procedure: k31779 
o|contracted procedure: k31775 
o|contracted procedure: k31724 
o|contracted procedure: k31720 
o|simplifications: ((if . 1) (let . 539)) 
o|removed binding forms: 2206 
o|inlining procedure: "(library.scm:4494) outstr05171" 
o|inlining procedure: "(library.scm:4493) outstr05171" 
o|inlining procedure: "(library.scm:4496) outstr05171" 
o|inlining procedure: "(library.scm:4498) outstr05171" 
o|inlining procedure: "(library.scm:4508) outstr05171" 
o|inlining procedure: k23882 
o|inlining procedure: k23882 
o|inlining procedure: k24188 
o|inlining procedure: k24188 
o|inlining procedure: k24188 
o|inlining procedure: k31461 
o|inlining procedure: k31461 
o|inlining procedure: k26361 
o|inlining procedure: k26361 
o|inlining procedure: k30972 
o|inlining procedure: k31037 
o|inlining procedure: k31037 
o|replaced variables: 768 
o|removed binding forms: 4 
o|inlining procedure: k11926 
o|inlining procedure: k11950 
o|inlining procedure: k11974 
o|inlining procedure: k11998 
o|inlining procedure: k12022 
o|inlining procedure: k12046 
o|inlining procedure: k12070 
o|inlining procedure: k12094 
o|inlining procedure: k12118 
o|inlining procedure: k12142 
o|inlining procedure: k12166 
o|inlining procedure: k12184 
o|inlining procedure: k12208 
o|inlining procedure: k12232 
o|inlining procedure: k12250 
o|inlining procedure: k12268 
o|inlining procedure: k12286 
o|inlining procedure: k12304 
o|inlining procedure: k12322 
o|inlining procedure: k12340 
o|inlining procedure: k12358 
o|inlining procedure: k12376 
o|inlining procedure: k12394 
o|inlining procedure: k12412 
o|inlining procedure: k12436 
o|inlining procedure: k12454 
o|inlining procedure: k12478 
o|inlining procedure: k12496 
o|inlining procedure: k12514 
o|inlining procedure: k12532 
o|inlining procedure: k12550 
o|substituted constant variable: str518936507 
o|removed side-effect free assignment to unused variable: outstr05171 
o|substituted constant variable: str518936527 
o|inlining procedure: k28339 
o|inlining procedure: k28339 
o|substituted constant variable: r3103836644 
o|simplifications: ((let . 1) (if . 8)) 
o|replaced variables: 14 
o|removed binding forms: 398 
o|inlining procedure: "(library.scm:4547) specialchar?5173" 
o|inlining procedure: "(library.scm:4562) specialchar?5173" 
o|inlining procedure: "(library.scm:4566) specialchar?5173" 
o|removed binding forms: 48 
o|removed side-effect free assignment to unused variable: specialchar?5173 
o|replaced variables: 11 
o|removed binding forms: 31 
o|inlining procedure: k24082 
o|inlining procedure: k24152 
o|removed binding forms: 9 
o|contracted procedure: k24220 
o|removed binding forms: 3 
o|direct leaf routine/allocation: loop776 0 
o|direct leaf routine/allocation: doloop15201521 0 
o|direct leaf routine/allocation: iter1533 0 
o|direct leaf routine/allocation: loop1684 0 
o|direct leaf routine/allocation: go-inexact!2843 0 
o|direct leaf routine/allocation: split3340 0 
o|direct leaf routine/allocation: loop3521 0 
o|direct leaf routine/allocation: doloop35363537 0 
o|direct leaf routine/allocation: doloop35483552 0 
o|direct leaf routine/allocation: doloop35793580 0 
o|direct leaf routine/allocation: doloop36073608 0 
o|direct leaf routine/allocation: loop3633 0 
o|direct leaf routine/allocation: loop3704 0 
o|direct leaf routine/allocation: body39303939 0 
o|direct leaf routine/allocation: def-set?39333942 0 
o|direct leaf routine/allocation: def-convert?39323944 0 
o|direct leaf routine/allocation: body39553964 0 
o|direct leaf routine/allocation: def-set?39583967 0 
o|direct leaf routine/allocation: def-convert?39573969 0 
o|direct leaf routine/allocation: body39803989 0 
o|direct leaf routine/allocation: def-set?39833992 0 
o|direct leaf routine/allocation: def-convert?39823994 0 
o|direct leaf routine/allocation: body59905999 0 
o|direct leaf routine/allocation: def-set?59936002 0 
o|direct leaf routine/allocation: def-convert?59926004 0 
o|direct leaf routine/allocation: for-each-loop60346045 0 
o|direct leaf routine/allocation: loop7083 0 
o|converted assignments to bindings: (loop776) 
o|converted assignments to bindings: (doloop15201521) 
o|contracted procedure: k11373 
o|converted assignments to bindings: (iter1533) 
o|converted assignments to bindings: (loop1684) 
o|contracted procedure: "(library.scm:2465) k15636" 
o|contracted procedure: "(library.scm:2474) k15699" 
o|contracted procedure: "(library.scm:2508) k15952" 
o|contracted procedure: "(library.scm:2513) k15977" 
o|contracted procedure: "(library.scm:2557) k16361" 
o|contracted procedure: "(library.scm:2567) k16444" 
o|contracted procedure: "(library.scm:2694) k17289" 
o|contracted procedure: "(library.scm:2701) k17307" 
o|contracted procedure: "(library.scm:2710) k17333" 
o|converted assignments to bindings: (loop3521) 
o|converted assignments to bindings: (doloop35363537) 
o|converted assignments to bindings: (doloop35483552) 
o|converted assignments to bindings: (doloop35793580) 
o|converted assignments to bindings: (doloop36073608) 
o|converted assignments to bindings: (loop3633) 
o|converted assignments to bindings: (loop3704) 
o|inlining procedure: "(library.scm:3342) k18950" 
o|inlining procedure: "(library.scm:3342) k18950" 
o|inlining procedure: "(library.scm:3342) k18950" 
o|inlining procedure: "(library.scm:3352) k19011" 
o|inlining procedure: "(library.scm:3352) k19011" 
o|inlining procedure: "(library.scm:3352) k19011" 
o|inlining procedure: "(library.scm:3362) k19072" 
o|inlining procedure: "(library.scm:3362) k19072" 
o|inlining procedure: "(library.scm:3362) k19072" 
o|inlining procedure: "(library.scm:5248) k26564" 
o|inlining procedure: "(library.scm:5248) k26564" 
o|inlining procedure: "(library.scm:5248) k26564" 
o|contracted procedure: k26686 
o|converted assignments to bindings: (for-each-loop60346045) 
o|contracted procedure: k29967 
o|converted assignments to bindings: (loop7083) 
o|simplifications: ((let . 13)) 
o|removed binding forms: 12 
o|replaced variables: 16 
o|removed binding forms: 4 
o|removed binding forms: 5 
o|customizable procedures: (cleanup-before-exit g59275934 for-each-loop59265938 for-each-loop58955907 k31009 loop6868 k30366 check7270 k30603 k30606 k30609 k30612 k30615 loop7345 map-loop73127329 loop7336 for-each-loop72897301 str7235 pmem7131 round-to7130 pnum7129 k30038 loop7108 loop6957 doloop69326933 k29451 doloop68576858 scan6840 loop6837 read-escaped-sexp6658 get/clear-str6718 loop6729 k28918 loop26752 readln6657 doloop66966705 loop6672 doloop66616662 loop6636 loop6536 loop6510 def-port62626311 def-header62636309 body62606269 k27191 g62836284 writeargs6234 g62406247 for-each-loop62396251 g61756184 map-loop61696194 loop6187 map-loop61126130 map-loop61396156 map-loop60526070 map-loop60796097 chicken.condition#prop-list->kind-prefixed-prop-list k26614 loop6015 k26146 k26149 k26169 k26125 for-each-loop58305842 for-each-loop57625773 loop5758 g57035710 for-each-loop57025723 k25781 k25635 loop5686 g56375644 for-each-loop56365647 k25301 k25318 copy&append5584 loop5593 k31383 doloop53905391 doloop53665367 k24653 doloop53525353 out5281 doloop53225323 outsym5174 g52975298 k24173 loop5251 k24116 loop5216 outchr5172 sym-is-readable?5176 outreadablesym5175 outstr5170 for-each-loop51315149 for-each-loop50995117 hex4996 loop5005 k22256 r-symbol4460 k22470 k22838 r-ext-symbol4464 r-comment4463 r-char4462 r-vector4454 r-number-with-radix4457 r-number-with-exactness4456 r-digits4459 k22390 loop4796 k22177 loop4783 r-token4458 k22028 k21883 k21649 r-string4452 loop4700 k21655 k21579 loop4683 k21515 read-unreserved-char-04435 loop4668 r-number4455 k21342 r-list4453 k21098 k21141 r-xtoken4461 build-keyword4466 loop4576 readrec4436 r-spaces4449 starting-line4571 info4432 k20755 k20775 k20879 eat-ws4541 k20664 r-cons-codepoint4451 r-usequence4450 loop4504 lp4499 loop4482 skip-to-eol4433 loop4467 reserved-character4434 k20269 skip4441 k19840 def-convert?43004312 def-set?43014310 body42984307 assign4282 k19810 loop4159 loop4140 doloop41474148 close4010 open4009 doloop40174018 k31988 loop3887 k31890 loop3870 ##sys#dynamic-unwind loop3769 map-loop37453762 loop3729 for-each-loop37143724 k18428 loop3676 loop3665 k18137 lookup-char3629 ##sys#vector-resize k17846 loop3528 map-loop33993418 compare-slots3295 loop3307 walk3296 k16795 ##sys#string->compnum scan-prefix3222 k16539 scan-real3091 k16630 k16300 k16419 k16358 k16326 scan-ureal3014 k15949 k15968 k16020 scan-decimal-tail2937 scan-digits+hashes2899 k15749 k15752 k15761 scan-exponent2919 k15788 safe-exponent2844 k15684 scan-digits2864 scan-hashes2887 lp2889 k15524 lp2866 round-quotient k15272 loop2746 loop2736 k14713 k14819 k14828 slow-expt2668 log-expt2667 lp2652 k14498 lp2640 k14047 k14053 k13994 k14000 k13846 loop2454 loop2442 find-ratio-between sr2419 k13144 ##sys#internal-gcd ratnum loop2277 deliver2210 doloop22122213 make-complex doloop17011702 loop1694 loop1669 k11443 k11452 loop1511 loop1479 copy1469 loop1467 k10909 lp1340 k10260 loop934 loop919 k10157 loop882 loop860 k9958 loop830 k9818 loop816 loop801 loop793 loop787 loop762 loop747 loop736 loop706 loop694 loop651 loop642 loop108) 
o|calls to known targets: 906 
o|identified direct recursive calls: f_8814 1 
o|unused rest argument: env348 f_9084 
o|unused rest argument: evaluator355 f_9108 
o|unused rest argument: _607 f_9221 
o|identified direct recursive calls: f_9315 1 
o|unused rest argument: _718 f_9474 
o|unused rest argument: _719 f_9476 
o|unused rest argument: _760 f_9631 
o|identified direct recursive calls: f_9694 1 
o|identified direct recursive calls: f_9716 1 
o|identified direct recursive calls: f_9752 1 
o|identified direct recursive calls: f_9781 2 
o|identified direct recursive calls: f_9828 1 
o|identified direct recursive calls: f_9882 2 
o|identified direct recursive calls: f_10862 1 
o|identified direct recursive calls: f_11137 1 
o|identified direct recursive calls: f_11191 1 
o|identified direct recursive calls: f_11287 1 
o|identified direct recursive calls: f_11330 1 
o|identified direct recursive calls: f_11381 1 
o|identified direct recursive calls: f_11737 1 
o|identified direct recursive calls: f_11785 1 
o|identified direct recursive calls: f_11847 1 
o|identified direct recursive calls: f_13540 1 
o|identified direct recursive calls: f_13708 1 
o|identified direct recursive calls: f_13751 1 
o|identified direct recursive calls: f_14622 2 
o|identified direct recursive calls: f_15463 1 
o|identified direct recursive calls: f_15571 1 
o|identified direct recursive calls: f_17734 1 
o|identified direct recursive calls: f_17774 1 
o|identified direct recursive calls: f_17813 1 
o|identified direct recursive calls: f_17859 1 
o|identified direct recursive calls: f_17931 1 
o|identified direct recursive calls: f_18005 1 
o|identified direct recursive calls: f_18107 1 
o|identified direct recursive calls: f_18438 1 
o|identified direct recursive calls: f_18738 1 
o|identified direct recursive calls: f_31894 1 
o|identified direct recursive calls: f_19171 3 
o|identified direct recursive calls: f_19495 1 
o|identified direct recursive calls: f_20438 1 
o|identified direct recursive calls: f_22160 1 
o|identified direct recursive calls: f_26793 1 
o|identified direct recursive calls: f_26713 1 
o|identified direct recursive calls: f_26759 1 
o|identified direct recursive calls: f_26835 1 
o|identified direct recursive calls: f_26949 2 
o|identified direct recursive calls: f_28555 1 
o|identified direct recursive calls: f_29234 1 
o|identified direct recursive calls: f_29985 1 
o|identified direct recursive calls: f_30052 1 
o|identified direct recursive calls: f_30686 2 
o|unused rest argument: args5885 f_31246 
o|fast box initializations: 161 
o|fast global references: 68 
o|fast global assignments: 19 
o|dropping unused closure argument: f_12576 
o|dropping unused closure argument: f_12749 
o|dropping unused closure argument: f_13540 
o|dropping unused closure argument: f_14660 
o|dropping unused closure argument: f_14672 
o|dropping unused closure argument: f_14917 
o|dropping unused closure argument: f_15332 
o|dropping unused closure argument: f_15370 
o|dropping unused closure argument: f_17254 
o|dropping unused closure argument: f_17993 
o|dropping unused closure argument: f_18438 
o|dropping unused closure argument: f_18738 
o|dropping unused closure argument: f_19128 
o|dropping unused closure argument: f_19226 
o|dropping unused closure argument: f_20426 
o|dropping unused closure argument: f_25229 
o|dropping unused closure argument: f_25953 
o|dropping unused closure argument: f_26594 
o|dropping unused closure argument: f_26793 
o|dropping unused closure argument: f_27130 
o|dropping unused closure argument: f_28599 
o|dropping unused closure argument: f_28646 
o|dropping unused closure argument: f_30111 
o|dropping unused closure argument: f_30125 
o|dropping unused closure argument: f_30391 
o|dropping unused closure argument: f_30572 
*/
/* end of file */
